#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_00hp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (00|hp) integrals */

void d12hrr_order_00hp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[0][6][11] = int_stack + 0;
 Libderiv->deriv_classes[0][6][10] = int_stack + 28;
 Libderiv->deriv_classes[0][6][9] = int_stack + 56;
 Libderiv->deriv_classes[0][6][8] = int_stack + 84;
 Libderiv->deriv_classes[0][6][7] = int_stack + 112;
 Libderiv->dvrr_classes[0][5] = int_stack + 140;
 Libderiv->deriv_classes[0][6][6] = int_stack + 161;
 Libderiv->deriv_classes[0][6][2] = int_stack + 189;
 Libderiv->deriv_classes[0][6][1] = int_stack + 217;
 Libderiv->deriv_classes[0][6][0] = int_stack + 245;
 Libderiv->deriv2_classes[0][5][143] = int_stack + 273;
 Libderiv->deriv2_classes[0][6][143] = int_stack + 294;
 Libderiv->deriv2_classes[0][5][131] = int_stack + 322;
 Libderiv->deriv2_classes[0][6][131] = int_stack + 343;
 Libderiv->deriv2_classes[0][5][130] = int_stack + 371;
 Libderiv->deriv2_classes[0][6][130] = int_stack + 392;
 Libderiv->deriv2_classes[0][5][119] = int_stack + 420;
 Libderiv->deriv2_classes[0][6][119] = int_stack + 441;
 Libderiv->deriv2_classes[0][5][118] = int_stack + 469;
 Libderiv->deriv2_classes[0][6][118] = int_stack + 490;
 Libderiv->deriv2_classes[0][5][117] = int_stack + 518;
 Libderiv->deriv2_classes[0][6][117] = int_stack + 539;
 Libderiv->deriv2_classes[0][5][107] = int_stack + 567;
 Libderiv->deriv2_classes[0][6][107] = int_stack + 588;
 Libderiv->deriv2_classes[0][5][106] = int_stack + 616;
 Libderiv->deriv2_classes[0][6][106] = int_stack + 637;
 Libderiv->deriv2_classes[0][5][105] = int_stack + 665;
 Libderiv->deriv2_classes[0][6][105] = int_stack + 686;
 Libderiv->deriv2_classes[0][5][104] = int_stack + 714;
 Libderiv->deriv2_classes[0][6][104] = int_stack + 735;
 Libderiv->deriv2_classes[0][5][95] = int_stack + 763;
 Libderiv->deriv2_classes[0][6][95] = int_stack + 784;
 Libderiv->deriv2_classes[0][5][94] = int_stack + 812;
 Libderiv->deriv2_classes[0][6][94] = int_stack + 833;
 Libderiv->deriv2_classes[0][5][93] = int_stack + 861;
 Libderiv->deriv2_classes[0][6][93] = int_stack + 882;
 Libderiv->deriv2_classes[0][5][92] = int_stack + 910;
 Libderiv->deriv2_classes[0][6][92] = int_stack + 931;
 Libderiv->deriv2_classes[0][5][91] = int_stack + 959;
 Libderiv->deriv2_classes[0][6][91] = int_stack + 980;
 Libderiv->deriv_classes[0][5][11] = int_stack + 1008;
 Libderiv->deriv2_classes[0][5][83] = int_stack + 1029;
 Libderiv->deriv2_classes[0][6][83] = int_stack + 1050;
 Libderiv->deriv_classes[0][5][10] = int_stack + 1078;
 Libderiv->deriv2_classes[0][5][82] = int_stack + 1099;
 Libderiv->deriv2_classes[0][6][82] = int_stack + 1120;
 Libderiv->deriv_classes[0][5][9] = int_stack + 1148;
 Libderiv->deriv2_classes[0][5][81] = int_stack + 1169;
 Libderiv->deriv2_classes[0][6][81] = int_stack + 1190;
 Libderiv->deriv_classes[0][5][8] = int_stack + 1218;
 Libderiv->deriv2_classes[0][5][80] = int_stack + 1239;
 Libderiv->deriv2_classes[0][6][80] = int_stack + 1260;
 Libderiv->deriv_classes[0][5][7] = int_stack + 1288;
 Libderiv->deriv2_classes[0][5][79] = int_stack + 1309;
 Libderiv->deriv2_classes[0][6][79] = int_stack + 1330;
 Libderiv->deriv_classes[0][5][6] = int_stack + 1358;
 Libderiv->deriv2_classes[0][5][78] = int_stack + 1379;
 Libderiv->deriv2_classes[0][6][78] = int_stack + 1400;
 Libderiv->deriv2_classes[0][5][35] = int_stack + 1428;
 Libderiv->deriv2_classes[0][6][35] = int_stack + 1449;
 Libderiv->deriv2_classes[0][5][34] = int_stack + 1477;
 Libderiv->deriv2_classes[0][6][34] = int_stack + 1498;
 Libderiv->deriv2_classes[0][5][33] = int_stack + 1526;
 Libderiv->deriv2_classes[0][6][33] = int_stack + 1547;
 Libderiv->deriv2_classes[0][5][32] = int_stack + 1575;
 Libderiv->deriv2_classes[0][6][32] = int_stack + 1596;
 Libderiv->deriv2_classes[0][5][31] = int_stack + 1624;
 Libderiv->deriv2_classes[0][6][31] = int_stack + 1645;
 Libderiv->deriv_classes[0][5][2] = int_stack + 1673;
 Libderiv->deriv2_classes[0][5][30] = int_stack + 1694;
 Libderiv->deriv2_classes[0][6][30] = int_stack + 1715;
 Libderiv->deriv2_classes[0][5][26] = int_stack + 1743;
 Libderiv->deriv2_classes[0][6][26] = int_stack + 1764;
 Libderiv->deriv2_classes[0][5][23] = int_stack + 1792;
 Libderiv->deriv2_classes[0][6][23] = int_stack + 1813;
 Libderiv->deriv2_classes[0][5][22] = int_stack + 1841;
 Libderiv->deriv2_classes[0][6][22] = int_stack + 1862;
 Libderiv->deriv2_classes[0][5][21] = int_stack + 1890;
 Libderiv->deriv2_classes[0][6][21] = int_stack + 1911;
 Libderiv->deriv2_classes[0][5][20] = int_stack + 1939;
 Libderiv->deriv2_classes[0][6][20] = int_stack + 1960;
 Libderiv->deriv2_classes[0][5][19] = int_stack + 1988;
 Libderiv->deriv2_classes[0][6][19] = int_stack + 2009;
 Libderiv->deriv_classes[0][5][1] = int_stack + 2037;
 Libderiv->deriv2_classes[0][5][18] = int_stack + 2058;
 Libderiv->deriv2_classes[0][6][18] = int_stack + 2079;
 Libderiv->deriv2_classes[0][5][14] = int_stack + 2107;
 Libderiv->deriv2_classes[0][6][14] = int_stack + 2128;
 Libderiv->deriv2_classes[0][5][13] = int_stack + 2156;
 Libderiv->deriv2_classes[0][6][13] = int_stack + 2177;
 Libderiv->deriv2_classes[0][5][11] = int_stack + 2205;
 Libderiv->deriv2_classes[0][6][11] = int_stack + 2226;
 Libderiv->deriv2_classes[0][5][10] = int_stack + 2254;
 Libderiv->deriv2_classes[0][6][10] = int_stack + 2275;
 Libderiv->deriv2_classes[0][5][9] = int_stack + 2303;
 Libderiv->deriv2_classes[0][6][9] = int_stack + 2324;
 Libderiv->deriv2_classes[0][5][8] = int_stack + 2352;
 Libderiv->deriv2_classes[0][6][8] = int_stack + 2373;
 Libderiv->deriv2_classes[0][5][7] = int_stack + 2401;
 Libderiv->deriv2_classes[0][6][7] = int_stack + 2422;
 Libderiv->deriv_classes[0][5][0] = int_stack + 2450;
 Libderiv->deriv2_classes[0][5][6] = int_stack + 2471;
 Libderiv->deriv2_classes[0][6][6] = int_stack + 2492;
 Libderiv->deriv2_classes[0][5][2] = int_stack + 2520;
 Libderiv->deriv2_classes[0][6][2] = int_stack + 2541;
 Libderiv->deriv2_classes[0][5][1] = int_stack + 2569;
 Libderiv->deriv2_classes[0][6][1] = int_stack + 2590;
 Libderiv->deriv2_classes[0][5][0] = int_stack + 2618;
 Libderiv->deriv2_classes[0][6][0] = int_stack + 2639;
 memset(int_stack,0,21336);

 Libderiv->dvrr_stack = int_stack + 3486;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_00hp(Libderiv, Data);
   Data++;
 }

 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2667,int_stack+0,int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140,1);
     Libderiv->ABCD[11] = int_stack + 2667;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2730,int_stack+28,int_stack+1078, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140, 0.0, zero_stack,1);
     Libderiv->ABCD[10] = int_stack + 2730;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2793,int_stack+56,int_stack+1148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[9] = int_stack + 2793;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+84,int_stack+1218, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2856,int_stack+112,int_stack+1288, 0.0, zero_stack, 1.0, int_stack+140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[7] = int_stack + 2856;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+63,int_stack+161,int_stack+1358, 1.0, int_stack+140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[6] = int_stack + 63;
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+126,int_stack+189,int_stack+1673,1);
     Libderiv->ABCD[2] = int_stack + 126;
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2919,int_stack+217,int_stack+2037,1);
     Libderiv->ABCD[1] = int_stack + 2919;
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2982,int_stack+245,int_stack+2450,1);
     Libderiv->ABCD[0] = int_stack + 2982;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+189,int_stack+294,int_stack+273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1008,1);
     Libderiv->ABCD[155] = int_stack + 189;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+252,int_stack+343,int_stack+322, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1008, 1.0, int_stack+1078,1);
     Libderiv->ABCD[143] = int_stack + 252;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3045,int_stack+392,int_stack+371, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1078, 0.0, zero_stack,1);
     Libderiv->ABCD[142] = int_stack + 3045;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+315,int_stack+441,int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1008, 0.0, zero_stack, 1.0, int_stack+1148,1);
     Libderiv->ABCD[131] = int_stack + 315;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+378,int_stack+490,int_stack+469, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1078, 1.0, int_stack+1148, 0.0, zero_stack,1);
     Libderiv->ABCD[130] = int_stack + 378;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+441,int_stack+539,int_stack+518, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1148, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[129] = int_stack + 441;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+504,int_stack+588,int_stack+567, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1218,1);
     Libderiv->ABCD[119] = int_stack + 504;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3108,int_stack+637,int_stack+616, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1078, 0.0, zero_stack, 1.0, int_stack+1218, 0.0, zero_stack,1);
     Libderiv->ABCD[118] = int_stack + 3108;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+567,int_stack+686,int_stack+665, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1148, 1.0, int_stack+1218, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[117] = int_stack + 567;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+630,int_stack+735,int_stack+714, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+1218, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[116] = int_stack + 630;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+693,int_stack+784,int_stack+763, 0.0, zero_stack, 1.0, int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1288,1);
     Libderiv->ABCD[107] = int_stack + 693;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3171,int_stack+833,int_stack+812, 0.0, zero_stack, 1.0, int_stack+1078, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1288, 0.0, zero_stack,1);
     Libderiv->ABCD[106] = int_stack + 3171;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+756,int_stack+882,int_stack+861, 0.0, zero_stack, 1.0, int_stack+1148, 0.0, zero_stack, 1.0, int_stack+1288, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[105] = int_stack + 756;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+819,int_stack+931,int_stack+910, 0.0, zero_stack, 1.0, int_stack+1218, 1.0, int_stack+1288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[104] = int_stack + 819;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+882,int_stack+980,int_stack+959, 0.0, zero_stack, 2.0, int_stack+1288, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[103] = int_stack + 882;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+1050,int_stack+1029, 1.0, int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1358,1);
     Libderiv->ABCD[95] = int_stack + 945;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1008,int_stack+1120,int_stack+1099, 1.0, int_stack+1078, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1358, 0.0, zero_stack,1);
     Libderiv->ABCD[94] = int_stack + 1008;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1071,int_stack+1190,int_stack+1169, 1.0, int_stack+1148, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1358, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[93] = int_stack + 1071;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+1260,int_stack+1239, 1.0, int_stack+1218, 0.0, zero_stack, 1.0, int_stack+1358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[92] = int_stack + 1134;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1197,int_stack+1330,int_stack+1309, 1.0, int_stack+1288, 1.0, int_stack+1358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[91] = int_stack + 1197;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1260,int_stack+1400,int_stack+1379, 2.0, int_stack+1358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[90] = int_stack + 1260;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1323,int_stack+1449,int_stack+1428, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1673,1);
     Libderiv->ABCD[47] = int_stack + 1323;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1386,int_stack+1498,int_stack+1477, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1673, 0.0, zero_stack,1);
     Libderiv->ABCD[46] = int_stack + 1386;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1449,int_stack+1547,int_stack+1526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1673, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[45] = int_stack + 1449;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1512,int_stack+1596,int_stack+1575, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1673, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[44] = int_stack + 1512;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3234,int_stack+1645,int_stack+1624, 0.0, zero_stack, 1.0, int_stack+1673, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[43] = int_stack + 3234;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1575,int_stack+1715,int_stack+1694, 1.0, int_stack+1673, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[42] = int_stack + 1575;
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1638,int_stack+1764,int_stack+1743,1);
     Libderiv->ABCD[38] = int_stack + 1638;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1701,int_stack+1813,int_stack+1792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2037,1);
     Libderiv->ABCD[35] = int_stack + 1701;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1764,int_stack+1862,int_stack+1841, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2037, 0.0, zero_stack,1);
     Libderiv->ABCD[34] = int_stack + 1764;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1827,int_stack+1911,int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2037, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[33] = int_stack + 1827;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3297,int_stack+1960,int_stack+1939, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[32] = int_stack + 3297;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+2009,int_stack+1988, 0.0, zero_stack, 1.0, int_stack+2037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[31] = int_stack + 1890;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1953,int_stack+2079,int_stack+2058, 1.0, int_stack+2037, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[30] = int_stack + 1953;
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2016,int_stack+2128,int_stack+2107,1);
     Libderiv->ABCD[26] = int_stack + 2016;
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2079,int_stack+2177,int_stack+2156,1);
     Libderiv->ABCD[25] = int_stack + 2079;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2142,int_stack+2226,int_stack+2205, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2450,1);
     Libderiv->ABCD[23] = int_stack + 2142;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3360,int_stack+2275,int_stack+2254, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2450, 0.0, zero_stack,1);
     Libderiv->ABCD[22] = int_stack + 3360;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2205,int_stack+2324,int_stack+2303, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2450, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[21] = int_stack + 2205;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2268,int_stack+2373,int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[20] = int_stack + 2268;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2331,int_stack+2422,int_stack+2401, 0.0, zero_stack, 1.0, int_stack+2450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[19] = int_stack + 2331;
 /*--- compute (00|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3423,int_stack+2492,int_stack+2471, 1.0, int_stack+2450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,1);
     Libderiv->ABCD[18] = int_stack + 3423;
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2394,int_stack+2541,int_stack+2520,1);
     Libderiv->ABCD[14] = int_stack + 2394;
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2457,int_stack+2590,int_stack+2569,1);
     Libderiv->ABCD[13] = int_stack + 2457;
 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2520,int_stack+2639,int_stack+2618,1);
     Libderiv->ABCD[12] = int_stack + 2520;

}
