#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_h0gd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|gd) integrals */

void d12hrr_order_h0gd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][6][11] = int_stack + 0;
 Libderiv->deriv_classes[5][6][10] = int_stack + 588;
 Libderiv->deriv_classes[5][6][9] = int_stack + 1176;
 Libderiv->deriv_classes[5][6][8] = int_stack + 1764;
 Libderiv->deriv_classes[5][6][7] = int_stack + 2352;
 Libderiv->dvrr_classes[5][5] = int_stack + 2940;
 Libderiv->deriv_classes[5][6][6] = int_stack + 3381;
 Libderiv->deriv_classes[5][6][2] = int_stack + 3969;
 Libderiv->deriv_classes[5][6][1] = int_stack + 4557;
 Libderiv->deriv_classes[5][6][0] = int_stack + 5145;
 Libderiv->deriv2_classes[5][4][143] = int_stack + 5733;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 6048;
 Libderiv->deriv2_classes[5][6][143] = int_stack + 6489;
 Libderiv->deriv2_classes[5][4][131] = int_stack + 7077;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 7392;
 Libderiv->deriv2_classes[5][6][131] = int_stack + 7833;
 Libderiv->deriv2_classes[5][4][130] = int_stack + 8421;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 8736;
 Libderiv->deriv2_classes[5][6][130] = int_stack + 9177;
 Libderiv->deriv2_classes[5][4][119] = int_stack + 9765;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 10080;
 Libderiv->deriv2_classes[5][6][119] = int_stack + 10521;
 Libderiv->deriv2_classes[5][4][118] = int_stack + 11109;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 11424;
 Libderiv->deriv2_classes[5][6][118] = int_stack + 11865;
 Libderiv->deriv2_classes[5][4][117] = int_stack + 12453;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 12768;
 Libderiv->deriv2_classes[5][6][117] = int_stack + 13209;
 Libderiv->deriv2_classes[5][4][107] = int_stack + 13797;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 14112;
 Libderiv->deriv2_classes[5][6][107] = int_stack + 14553;
 Libderiv->deriv2_classes[5][4][106] = int_stack + 15141;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 15456;
 Libderiv->deriv2_classes[5][6][106] = int_stack + 15897;
 Libderiv->deriv2_classes[5][4][105] = int_stack + 16485;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 16800;
 Libderiv->deriv2_classes[5][6][105] = int_stack + 17241;
 Libderiv->deriv2_classes[5][4][104] = int_stack + 17829;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 18144;
 Libderiv->deriv2_classes[5][6][104] = int_stack + 18585;
 Libderiv->deriv2_classes[5][4][95] = int_stack + 19173;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 19488;
 Libderiv->deriv2_classes[5][6][95] = int_stack + 19929;
 Libderiv->deriv2_classes[5][4][94] = int_stack + 20517;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 20832;
 Libderiv->deriv2_classes[5][6][94] = int_stack + 21273;
 Libderiv->deriv2_classes[5][4][93] = int_stack + 21861;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 22176;
 Libderiv->deriv2_classes[5][6][93] = int_stack + 22617;
 Libderiv->deriv2_classes[5][4][92] = int_stack + 23205;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 23520;
 Libderiv->deriv2_classes[5][6][92] = int_stack + 23961;
 Libderiv->deriv2_classes[5][4][91] = int_stack + 24549;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 24864;
 Libderiv->deriv2_classes[5][6][91] = int_stack + 25305;
 Libderiv->deriv_classes[5][4][11] = int_stack + 25893;
 Libderiv->deriv2_classes[5][4][83] = int_stack + 26208;
 Libderiv->deriv_classes[5][5][11] = int_stack + 26523;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 26964;
 Libderiv->deriv2_classes[5][6][83] = int_stack + 27405;
 Libderiv->deriv_classes[5][4][10] = int_stack + 27993;
 Libderiv->deriv2_classes[5][4][82] = int_stack + 28308;
 Libderiv->deriv_classes[5][5][10] = int_stack + 28623;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 29064;
 Libderiv->deriv2_classes[5][6][82] = int_stack + 29505;
 Libderiv->deriv_classes[5][4][9] = int_stack + 30093;
 Libderiv->deriv2_classes[5][4][81] = int_stack + 30408;
 Libderiv->deriv_classes[5][5][9] = int_stack + 30723;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 31164;
 Libderiv->deriv2_classes[5][6][81] = int_stack + 31605;
 Libderiv->deriv_classes[5][4][8] = int_stack + 32193;
 Libderiv->deriv2_classes[5][4][80] = int_stack + 32508;
 Libderiv->deriv_classes[5][5][8] = int_stack + 32823;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 33264;
 Libderiv->deriv2_classes[5][6][80] = int_stack + 33705;
 Libderiv->deriv_classes[5][4][7] = int_stack + 34293;
 Libderiv->deriv2_classes[5][4][79] = int_stack + 34608;
 Libderiv->deriv_classes[5][5][7] = int_stack + 34923;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 35364;
 Libderiv->deriv2_classes[5][6][79] = int_stack + 35805;
 Libderiv->dvrr_classes[5][4] = int_stack + 36393;
 Libderiv->deriv_classes[5][4][6] = int_stack + 36708;
 Libderiv->deriv2_classes[5][4][78] = int_stack + 37023;
 Libderiv->deriv_classes[5][5][6] = int_stack + 37338;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 37779;
 Libderiv->deriv2_classes[5][6][78] = int_stack + 38220;
 Libderiv->deriv2_classes[5][4][35] = int_stack + 38808;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 39123;
 Libderiv->deriv2_classes[5][6][35] = int_stack + 39564;
 Libderiv->deriv2_classes[5][4][34] = int_stack + 40152;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 40467;
 Libderiv->deriv2_classes[5][6][34] = int_stack + 40908;
 Libderiv->deriv2_classes[5][4][33] = int_stack + 41496;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 41811;
 Libderiv->deriv2_classes[5][6][33] = int_stack + 42252;
 Libderiv->deriv2_classes[5][4][32] = int_stack + 42840;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 43155;
 Libderiv->deriv2_classes[5][6][32] = int_stack + 43596;
 Libderiv->deriv2_classes[5][4][31] = int_stack + 44184;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 44499;
 Libderiv->deriv2_classes[5][6][31] = int_stack + 44940;
 Libderiv->deriv_classes[5][4][2] = int_stack + 45528;
 Libderiv->deriv2_classes[5][4][30] = int_stack + 45843;
 Libderiv->deriv_classes[5][5][2] = int_stack + 46158;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 46599;
 Libderiv->deriv2_classes[5][6][30] = int_stack + 47040;
 Libderiv->deriv2_classes[5][4][26] = int_stack + 47628;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 47943;
 Libderiv->deriv2_classes[5][6][26] = int_stack + 48384;
 Libderiv->deriv2_classes[5][4][23] = int_stack + 48972;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 49287;
 Libderiv->deriv2_classes[5][6][23] = int_stack + 49728;
 Libderiv->deriv2_classes[5][4][22] = int_stack + 50316;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 50631;
 Libderiv->deriv2_classes[5][6][22] = int_stack + 51072;
 Libderiv->deriv2_classes[5][4][21] = int_stack + 51660;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 51975;
 Libderiv->deriv2_classes[5][6][21] = int_stack + 52416;
 Libderiv->deriv2_classes[5][4][20] = int_stack + 53004;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 53319;
 Libderiv->deriv2_classes[5][6][20] = int_stack + 53760;
 Libderiv->deriv2_classes[5][4][19] = int_stack + 54348;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 54663;
 Libderiv->deriv2_classes[5][6][19] = int_stack + 55104;
 Libderiv->deriv_classes[5][4][1] = int_stack + 55692;
 Libderiv->deriv2_classes[5][4][18] = int_stack + 56007;
 Libderiv->deriv_classes[5][5][1] = int_stack + 56322;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 56763;
 Libderiv->deriv2_classes[5][6][18] = int_stack + 57204;
 Libderiv->deriv2_classes[5][4][14] = int_stack + 57792;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 58107;
 Libderiv->deriv2_classes[5][6][14] = int_stack + 58548;
 Libderiv->deriv2_classes[5][4][13] = int_stack + 59136;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 59451;
 Libderiv->deriv2_classes[5][6][13] = int_stack + 59892;
 Libderiv->deriv2_classes[5][4][11] = int_stack + 60480;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 60795;
 Libderiv->deriv2_classes[5][6][11] = int_stack + 61236;
 Libderiv->deriv2_classes[5][4][10] = int_stack + 61824;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 62139;
 Libderiv->deriv2_classes[5][6][10] = int_stack + 62580;
 Libderiv->deriv2_classes[5][4][9] = int_stack + 63168;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 63483;
 Libderiv->deriv2_classes[5][6][9] = int_stack + 63924;
 Libderiv->deriv2_classes[5][4][8] = int_stack + 64512;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 64827;
 Libderiv->deriv2_classes[5][6][8] = int_stack + 65268;
 Libderiv->deriv2_classes[5][4][7] = int_stack + 65856;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 66171;
 Libderiv->deriv2_classes[5][6][7] = int_stack + 66612;
 Libderiv->deriv_classes[5][4][0] = int_stack + 67200;
 Libderiv->deriv2_classes[5][4][6] = int_stack + 67515;
 Libderiv->deriv_classes[5][5][0] = int_stack + 67830;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 68271;
 Libderiv->deriv2_classes[5][6][6] = int_stack + 68712;
 Libderiv->deriv2_classes[5][4][2] = int_stack + 69300;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 69615;
 Libderiv->deriv2_classes[5][6][2] = int_stack + 70056;
 Libderiv->deriv2_classes[5][4][1] = int_stack + 70644;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 70959;
 Libderiv->deriv2_classes[5][6][1] = int_stack + 71400;
 Libderiv->deriv2_classes[5][4][0] = int_stack + 71988;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 72303;
 Libderiv->deriv2_classes[5][6][0] = int_stack + 72744;
 memset(int_stack,0,586656);

 Libderiv->dvrr_stack = int_stack + 135135;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_h0gd(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+73332,int_stack+2940,int_stack+36393,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+74277,int_stack+26523,int_stack+25893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36393,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+75222,int_stack+0,int_stack+26523, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2940,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+76545,int_stack+28623,int_stack+27993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36393, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+77490,int_stack+588,int_stack+28623, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2940, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+30723,int_stack+30093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36393, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+78813,int_stack+1176,int_stack+30723, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2940, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+80136,int_stack+32823,int_stack+32193, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36393, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+81081,int_stack+1764,int_stack+32823, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+945,int_stack+34923,int_stack+34293, 0.0, zero_stack, 1.0, int_stack+36393, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+82404,int_stack+2352,int_stack+34923, 0.0, zero_stack, 1.0, int_stack+2940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1890,int_stack+37338,int_stack+36708, 1.0, int_stack+36393, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+83727,int_stack+3381,int_stack+37338, 1.0, int_stack+2940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+2835,int_stack+46158,int_stack+45528,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+85050,int_stack+3969,int_stack+46158,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+86373,int_stack+56322,int_stack+55692,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+87318,int_stack+4557,int_stack+56322,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+3780,int_stack+67830,int_stack+67200,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+88641,int_stack+5145,int_stack+67830,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4725,int_stack+6048,int_stack+5733, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+25893,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+89964,int_stack+6489,int_stack+6048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+26523,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5670,int_stack+7392,int_stack+7077, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25893, 1.0, int_stack+27993,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+91287,int_stack+7833,int_stack+7392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26523, 1.0, int_stack+28623,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6615,int_stack+8736,int_stack+8421, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+27993, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+92610,int_stack+9177,int_stack+8736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+28623, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7560,int_stack+10080,int_stack+9765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25893, 0.0, zero_stack, 1.0, int_stack+30093,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8505,int_stack+10521,int_stack+10080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26523, 0.0, zero_stack, 1.0, int_stack+30723,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+9828,int_stack+11424,int_stack+11109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27993, 1.0, int_stack+30093, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+93933,int_stack+11865,int_stack+11424, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28623, 1.0, int_stack+30723, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+10773,int_stack+12768,int_stack+12453, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+30093, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+95256,int_stack+13209,int_stack+12768, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+30723, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+11718,int_stack+14112,int_stack+13797, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25893, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32193,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12663,int_stack+14553,int_stack+14112, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26523, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32823,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+13986,int_stack+15456,int_stack+15141, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27993, 0.0, zero_stack, 1.0, int_stack+32193, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+96579,int_stack+15897,int_stack+15456, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28623, 0.0, zero_stack, 1.0, int_stack+32823, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+14931,int_stack+16800,int_stack+16485, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30093, 1.0, int_stack+32193, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+97902,int_stack+17241,int_stack+16800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30723, 1.0, int_stack+32823, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+15876,int_stack+18144,int_stack+17829, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+32193, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16821,int_stack+18585,int_stack+18144, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+32823, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+18144,int_stack+19488,int_stack+19173, 0.0, zero_stack, 1.0, int_stack+25893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34293,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+99225,int_stack+19929,int_stack+19488, 0.0, zero_stack, 1.0, int_stack+26523, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34923,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+19089,int_stack+20832,int_stack+20517, 0.0, zero_stack, 1.0, int_stack+27993, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34293, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+100548,int_stack+21273,int_stack+20832, 0.0, zero_stack, 1.0, int_stack+28623, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34923, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+20034,int_stack+22176,int_stack+21861, 0.0, zero_stack, 1.0, int_stack+30093, 0.0, zero_stack, 1.0, int_stack+34293, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+101871,int_stack+22617,int_stack+22176, 0.0, zero_stack, 1.0, int_stack+30723, 0.0, zero_stack, 1.0, int_stack+34923, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+20979,int_stack+23520,int_stack+23205, 0.0, zero_stack, 1.0, int_stack+32193, 1.0, int_stack+34293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21924,int_stack+23961,int_stack+23520, 0.0, zero_stack, 1.0, int_stack+32823, 1.0, int_stack+34923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+23247,int_stack+24864,int_stack+24549, 0.0, zero_stack, 2.0, int_stack+34293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+103194,int_stack+25305,int_stack+24864, 0.0, zero_stack, 2.0, int_stack+34923, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24192,int_stack+26964,int_stack+26208, 1.0, int_stack+25893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36708,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25137,int_stack+27405,int_stack+26964, 1.0, int_stack+26523, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37338,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+26460,int_stack+29064,int_stack+28308, 1.0, int_stack+27993, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36708, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+104517,int_stack+29505,int_stack+29064, 1.0, int_stack+28623, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37338, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+27405,int_stack+31164,int_stack+30408, 1.0, int_stack+30093, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36708, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+28350,int_stack+31605,int_stack+31164, 1.0, int_stack+30723, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37338, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+29673,int_stack+33264,int_stack+32508, 1.0, int_stack+32193, 0.0, zero_stack, 1.0, int_stack+36708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+30618,int_stack+33705,int_stack+33264, 1.0, int_stack+32823, 0.0, zero_stack, 1.0, int_stack+37338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+31941,int_stack+35364,int_stack+34608, 1.0, int_stack+34293, 1.0, int_stack+36708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32886,int_stack+35805,int_stack+35364, 1.0, int_stack+34923, 1.0, int_stack+37338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+34209,int_stack+37779,int_stack+37023, 2.0, int_stack+36708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+35154,int_stack+38220,int_stack+37779, 2.0, int_stack+37338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+36477,int_stack+39123,int_stack+38808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45528,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37422,int_stack+39564,int_stack+39123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46158,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+38745,int_stack+40467,int_stack+40152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45528, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+105840,int_stack+40908,int_stack+40467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46158, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+39690,int_stack+41811,int_stack+41496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45528, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+107163,int_stack+42252,int_stack+41811, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46158, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+40635,int_stack+43155,int_stack+42840, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+41580,int_stack+43596,int_stack+43155, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46158, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+42903,int_stack+44499,int_stack+44184, 0.0, zero_stack, 1.0, int_stack+45528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+108486,int_stack+44940,int_stack+44499, 0.0, zero_stack, 1.0, int_stack+46158, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+43848,int_stack+46599,int_stack+45843, 1.0, int_stack+45528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+44793,int_stack+47040,int_stack+46599, 1.0, int_stack+46158, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+46116,int_stack+47943,int_stack+47628,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+109809,int_stack+48384,int_stack+47943,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+47061,int_stack+49287,int_stack+48972, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55692,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+111132,int_stack+49728,int_stack+49287, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56322,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+48006,int_stack+50631,int_stack+50316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55692, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+48951,int_stack+51072,int_stack+50631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56322, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+50274,int_stack+51975,int_stack+51660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55692, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+112455,int_stack+52416,int_stack+51975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56322, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+51219,int_stack+53319,int_stack+53004, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+55692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+113778,int_stack+53760,int_stack+53319, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+56322, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+52164,int_stack+54663,int_stack+54348, 0.0, zero_stack, 1.0, int_stack+55692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+53109,int_stack+55104,int_stack+54663, 0.0, zero_stack, 1.0, int_stack+56322, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+54432,int_stack+56763,int_stack+56007, 1.0, int_stack+55692, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+115101,int_stack+57204,int_stack+56763, 1.0, int_stack+56322, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+55377,int_stack+58107,int_stack+57792,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+56322,int_stack+58548,int_stack+58107,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+57645,int_stack+59451,int_stack+59136,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116424,int_stack+59892,int_stack+59451,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+58590,int_stack+60795,int_stack+60480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67200,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+117747,int_stack+61236,int_stack+60795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67830,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+59535,int_stack+62139,int_stack+61824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67200, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+60480,int_stack+62580,int_stack+62139, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67830, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+61803,int_stack+63483,int_stack+63168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67200, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+119070,int_stack+63924,int_stack+63483, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67830, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+62748,int_stack+64827,int_stack+64512, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120393,int_stack+65268,int_stack+64827, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+63693,int_stack+66171,int_stack+65856, 0.0, zero_stack, 1.0, int_stack+67200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+64638,int_stack+66612,int_stack+66171, 0.0, zero_stack, 1.0, int_stack+67830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+65961,int_stack+68271,int_stack+67515, 1.0, int_stack+67200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+121716,int_stack+68712,int_stack+68271, 1.0, int_stack+67830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+66906,int_stack+69615,int_stack+69300,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+67851,int_stack+70056,int_stack+69615,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+69174,int_stack+70959,int_stack+70644,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+123039,int_stack+71400,int_stack+70959,21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+70119,int_stack+72303,int_stack+71988,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+124362,int_stack+72744,int_stack+72303,21);
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+71064,int_stack+75222,int_stack+74277, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73332,21);
     Libderiv->ABCD[11] = int_stack + 71064;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+125685,int_stack+77490,int_stack+76545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73332, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 125685;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+127575,int_stack+78813,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73332, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 127575;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+77490,int_stack+81081,int_stack+80136, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 77490;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+129465,int_stack+82404,int_stack+945, 0.0, zero_stack, 1.0, int_stack+73332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 129465;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+81081,int_stack+83727,int_stack+1890, 1.0, int_stack+73332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 81081;
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+82971,int_stack+85050,int_stack+2835,21);
     Libderiv->ABCD[2] = int_stack + 82971;
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+131355,int_stack+87318,int_stack+86373,21);
     Libderiv->ABCD[1] = int_stack + 131355;
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+133245,int_stack+88641,int_stack+3780,21);
     Libderiv->ABCD[0] = int_stack + 133245;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+87318,int_stack+89964,int_stack+4725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+74277,21);
     Libderiv->ABCD[155] = int_stack + 87318;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+89208,int_stack+91287,int_stack+5670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74277, 1.0, int_stack+76545,21);
     Libderiv->ABCD[143] = int_stack + 89208;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+4725,int_stack+92610,int_stack+6615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+76545, 0.0, zero_stack,21);
     Libderiv->ABCD[142] = int_stack + 4725;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+91098,int_stack+8505,int_stack+7560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74277, 0.0, zero_stack, 1.0, int_stack+0,21);
     Libderiv->ABCD[131] = int_stack + 91098;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+6615,int_stack+93933,int_stack+9828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76545, 1.0, int_stack+0, 0.0, zero_stack,21);
     Libderiv->ABCD[130] = int_stack + 6615;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+8505,int_stack+95256,int_stack+10773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[129] = int_stack + 8505;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+92988,int_stack+12663,int_stack+11718, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74277, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80136,21);
     Libderiv->ABCD[119] = int_stack + 92988;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+10395,int_stack+96579,int_stack+13986, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76545, 0.0, zero_stack, 1.0, int_stack+80136, 0.0, zero_stack,21);
     Libderiv->ABCD[118] = int_stack + 10395;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+12285,int_stack+97902,int_stack+14931, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+80136, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[117] = int_stack + 12285;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+94878,int_stack+16821,int_stack+15876, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+80136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[116] = int_stack + 94878;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+14175,int_stack+99225,int_stack+18144, 0.0, zero_stack, 1.0, int_stack+74277, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+945,21);
     Libderiv->ABCD[107] = int_stack + 14175;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+16065,int_stack+100548,int_stack+19089, 0.0, zero_stack, 1.0, int_stack+76545, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+945, 0.0, zero_stack,21);
     Libderiv->ABCD[106] = int_stack + 16065;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+17955,int_stack+101871,int_stack+20034, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[105] = int_stack + 17955;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+96768,int_stack+21924,int_stack+20979, 0.0, zero_stack, 1.0, int_stack+80136, 1.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[104] = int_stack + 96768;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+19845,int_stack+103194,int_stack+23247, 0.0, zero_stack, 2.0, int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[103] = int_stack + 19845;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+21735,int_stack+25137,int_stack+24192, 1.0, int_stack+74277, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1890,21);
     Libderiv->ABCD[95] = int_stack + 21735;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+23625,int_stack+104517,int_stack+26460, 1.0, int_stack+76545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack,21);
     Libderiv->ABCD[94] = int_stack + 23625;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+25515,int_stack+28350,int_stack+27405, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[93] = int_stack + 25515;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+27405,int_stack+30618,int_stack+29673, 1.0, int_stack+80136, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[92] = int_stack + 27405;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+29295,int_stack+32886,int_stack+31941, 1.0, int_stack+945, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[91] = int_stack + 29295;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+35154,int_stack+34209, 2.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[90] = int_stack + 0;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+31185,int_stack+37422,int_stack+36477, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835,21);
     Libderiv->ABCD[47] = int_stack + 31185;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+33075,int_stack+105840,int_stack+38745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack,21);
     Libderiv->ABCD[46] = int_stack + 33075;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+34965,int_stack+107163,int_stack+39690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[45] = int_stack + 34965;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+36855,int_stack+41580,int_stack+40635, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[44] = int_stack + 36855;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+38745,int_stack+108486,int_stack+42903, 0.0, zero_stack, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[43] = int_stack + 38745;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+40635,int_stack+44793,int_stack+43848, 1.0, int_stack+2835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[42] = int_stack + 40635;
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+1890,int_stack+109809,int_stack+46116,21);
     Libderiv->ABCD[38] = int_stack + 1890;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+42525,int_stack+111132,int_stack+47061, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86373,21);
     Libderiv->ABCD[35] = int_stack + 42525;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+44415,int_stack+48951,int_stack+48006, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86373, 0.0, zero_stack,21);
     Libderiv->ABCD[34] = int_stack + 44415;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+46305,int_stack+112455,int_stack+50274, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86373, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[33] = int_stack + 46305;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+48195,int_stack+113778,int_stack+51219, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+86373, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[32] = int_stack + 48195;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+50085,int_stack+53109,int_stack+52164, 0.0, zero_stack, 1.0, int_stack+86373, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[31] = int_stack + 50085;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+51975,int_stack+115101,int_stack+54432, 1.0, int_stack+86373, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[30] = int_stack + 51975;
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+98658,int_stack+56322,int_stack+55377,21);
     Libderiv->ABCD[26] = int_stack + 98658;
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+53865,int_stack+116424,int_stack+57645,21);
     Libderiv->ABCD[25] = int_stack + 53865;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+55755,int_stack+117747,int_stack+58590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,21);
     Libderiv->ABCD[23] = int_stack + 55755;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+57645,int_stack+60480,int_stack+59535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,21);
     Libderiv->ABCD[22] = int_stack + 57645;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+59535,int_stack+119070,int_stack+61803, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[21] = int_stack + 59535;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+100548,int_stack+120393,int_stack+62748, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[20] = int_stack + 100548;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+61425,int_stack+64638,int_stack+63693, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[19] = int_stack + 61425;
 /*--- compute (h0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+63315,int_stack+121716,int_stack+65961, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[18] = int_stack + 63315;
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+102438,int_stack+67851,int_stack+66906,21);
     Libderiv->ABCD[14] = int_stack + 102438;
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+65205,int_stack+123039,int_stack+69174,21);
     Libderiv->ABCD[13] = int_stack + 65205;
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+67095,int_stack+124362,int_stack+70119,21);
     Libderiv->ABCD[12] = int_stack + 67095;

}
