  /* This machine-generated function computes a quartet of |hi) first derivative ERIs */

void d1hrr3_build_hi(const double *CD, double *vp, const double *I0, const double *I1,
        double c2, const double *I2, double c3, const double *I3, double c4, const double *I4,
        double c5, const double *I5, double c6, const double *I6, double c7, const double *I7, int ab_num)
{
  int ab;
  const double CD0 = CD[0];
  const double CD1 = CD[1];
  const double CD2 = CD[2];
  for(ab=0;ab<ab_num;ab++) {
    *(vp++) = I0[0] + CD0*I1[0] + c2*I2[0] - c5*I5[0];
    *(vp++) = I0[1] + CD0*I1[1] + c2*I2[1] - c5*I5[1];
    *(vp++) = I0[2] + CD0*I1[2] + c2*I2[2] - c5*I5[2];
    *(vp++) = I0[3] + CD0*I1[3] + c2*I2[3] - c5*I5[3];
    *(vp++) = I0[4] + CD0*I1[4] + c2*I2[4] - c5*I5[4];
    *(vp++) = I0[5] + CD0*I1[5] + c2*I2[5] - c5*I5[5];
    *(vp++) = I0[6] + CD0*I1[6] + c2*I2[6] - c5*I5[6];
    *(vp++) = I0[7] + CD0*I1[7] + c2*I2[7] - c5*I5[7];
    *(vp++) = I0[8] + CD0*I1[8] + c2*I2[8] - c5*I5[8];
    *(vp++) = I0[9] + CD0*I1[9] + c2*I2[9] - c5*I5[9];
    *(vp++) = I0[10] + CD0*I1[10] + c2*I2[10] - c5*I5[10];
    *(vp++) = I0[11] + CD0*I1[11] + c2*I2[11] - c5*I5[11];
    *(vp++) = I0[12] + CD0*I1[12] + c2*I2[12] - c5*I5[12];
    *(vp++) = I0[13] + CD0*I1[13] + c2*I2[13] - c5*I5[13];
    *(vp++) = I0[14] + CD0*I1[14] + c2*I2[14] - c5*I5[14];
    *(vp++) = I0[15] + CD0*I1[15] + c2*I2[15] - c5*I5[15];
    *(vp++) = I0[16] + CD0*I1[16] + c2*I2[16] - c5*I5[16];
    *(vp++) = I0[17] + CD0*I1[17] + c2*I2[17] - c5*I5[17];
    *(vp++) = I0[18] + CD0*I1[18] + c2*I2[18] - c5*I5[18];
    *(vp++) = I0[19] + CD0*I1[19] + c2*I2[19] - c5*I5[19];
    *(vp++) = I0[20] + CD0*I1[20] + c2*I2[20] - c5*I5[20];
    *(vp++) = I0[36] + CD1*I1[15] + c3*I3[15] - c6*I6[15];
    *(vp++) = I0[37] + CD1*I1[16] + c3*I3[16] - c6*I6[16];
    *(vp++) = I0[38] + CD1*I1[17] + c3*I3[17] - c6*I6[17];
    *(vp++) = I0[39] + CD1*I1[18] + c3*I3[18] - c6*I6[18];
    *(vp++) = I0[40] + CD1*I1[19] + c3*I3[19] - c6*I6[19];
    *(vp++) = I0[41] + CD1*I1[20] + c3*I3[20] - c6*I6[20];
    *(vp++) = I0[62] + CD2*I1[20] + c4*I4[20] - c7*I7[20];
    *(vp++) = I0[21] + CD0*I1[21] + c2*I2[21] - c5*I5[21];
    *(vp++) = I0[22] + CD0*I1[22] + c2*I2[22] - c5*I5[22];
    *(vp++) = I0[23] + CD0*I1[23] + c2*I2[23] - c5*I5[23];
    *(vp++) = I0[24] + CD0*I1[24] + c2*I2[24] - c5*I5[24];
    *(vp++) = I0[25] + CD0*I1[25] + c2*I2[25] - c5*I5[25];
    *(vp++) = I0[26] + CD0*I1[26] + c2*I2[26] - c5*I5[26];
    *(vp++) = I0[27] + CD0*I1[27] + c2*I2[27] - c5*I5[27];
    *(vp++) = I0[28] + CD0*I1[28] + c2*I2[28] - c5*I5[28];
    *(vp++) = I0[29] + CD0*I1[29] + c2*I2[29] - c5*I5[29];
    *(vp++) = I0[30] + CD0*I1[30] + c2*I2[30] - c5*I5[30];
    *(vp++) = I0[31] + CD0*I1[31] + c2*I2[31] - c5*I5[31];
    *(vp++) = I0[32] + CD0*I1[32] + c2*I2[32] - c5*I5[32];
    *(vp++) = I0[33] + CD0*I1[33] + c2*I2[33] - c5*I5[33];
    *(vp++) = I0[34] + CD0*I1[34] + c2*I2[34] - c5*I5[34];
    *(vp++) = I0[35] + CD0*I1[35] + c2*I2[35] - c5*I5[35];
    *(vp++) = I0[36] + CD0*I1[36] + c2*I2[36] - c5*I5[36];
    *(vp++) = I0[37] + CD0*I1[37] + c2*I2[37] - c5*I5[37];
    *(vp++) = I0[38] + CD0*I1[38] + c2*I2[38] - c5*I5[38];
    *(vp++) = I0[39] + CD0*I1[39] + c2*I2[39] - c5*I5[39];
    *(vp++) = I0[40] + CD0*I1[40] + c2*I2[40] - c5*I5[40];
    *(vp++) = I0[41] + CD0*I1[41] + c2*I2[41] - c5*I5[41];
    *(vp++) = I0[78] + CD1*I1[36] + c3*I3[36] - c6*I6[36];
    *(vp++) = I0[79] + CD1*I1[37] + c3*I3[37] - c6*I6[37];
    *(vp++) = I0[80] + CD1*I1[38] + c3*I3[38] - c6*I6[38];
    *(vp++) = I0[81] + CD1*I1[39] + c3*I3[39] - c6*I6[39];
    *(vp++) = I0[82] + CD1*I1[40] + c3*I3[40] - c6*I6[40];
    *(vp++) = I0[83] + CD1*I1[41] + c3*I3[41] - c6*I6[41];
    *(vp++) = I0[104] + CD2*I1[41] + c4*I4[41] - c7*I7[41];
    *(vp++) = I0[42] + CD0*I1[42] + c2*I2[42] - c5*I5[42];
    *(vp++) = I0[43] + CD0*I1[43] + c2*I2[43] - c5*I5[43];
    *(vp++) = I0[44] + CD0*I1[44] + c2*I2[44] - c5*I5[44];
    *(vp++) = I0[45] + CD0*I1[45] + c2*I2[45] - c5*I5[45];
    *(vp++) = I0[46] + CD0*I1[46] + c2*I2[46] - c5*I5[46];
    *(vp++) = I0[47] + CD0*I1[47] + c2*I2[47] - c5*I5[47];
    *(vp++) = I0[48] + CD0*I1[48] + c2*I2[48] - c5*I5[48];
    *(vp++) = I0[49] + CD0*I1[49] + c2*I2[49] - c5*I5[49];
    *(vp++) = I0[50] + CD0*I1[50] + c2*I2[50] - c5*I5[50];
    *(vp++) = I0[51] + CD0*I1[51] + c2*I2[51] - c5*I5[51];
    *(vp++) = I0[52] + CD0*I1[52] + c2*I2[52] - c5*I5[52];
    *(vp++) = I0[53] + CD0*I1[53] + c2*I2[53] - c5*I5[53];
    *(vp++) = I0[54] + CD0*I1[54] + c2*I2[54] - c5*I5[54];
    *(vp++) = I0[55] + CD0*I1[55] + c2*I2[55] - c5*I5[55];
    *(vp++) = I0[56] + CD0*I1[56] + c2*I2[56] - c5*I5[56];
    *(vp++) = I0[57] + CD0*I1[57] + c2*I2[57] - c5*I5[57];
    *(vp++) = I0[58] + CD0*I1[58] + c2*I2[58] - c5*I5[58];
    *(vp++) = I0[59] + CD0*I1[59] + c2*I2[59] - c5*I5[59];
    *(vp++) = I0[60] + CD0*I1[60] + c2*I2[60] - c5*I5[60];
    *(vp++) = I0[61] + CD0*I1[61] + c2*I2[61] - c5*I5[61];
    *(vp++) = I0[62] + CD0*I1[62] + c2*I2[62] - c5*I5[62];
    *(vp++) = I0[99] + CD1*I1[57] + c3*I3[57] - c6*I6[57];
    *(vp++) = I0[100] + CD1*I1[58] + c3*I3[58] - c6*I6[58];
    *(vp++) = I0[101] + CD1*I1[59] + c3*I3[59] - c6*I6[59];
    *(vp++) = I0[102] + CD1*I1[60] + c3*I3[60] - c6*I6[60];
    *(vp++) = I0[103] + CD1*I1[61] + c3*I3[61] - c6*I6[61];
    *(vp++) = I0[104] + CD1*I1[62] + c3*I3[62] - c6*I6[62];
    *(vp++) = I0[125] + CD2*I1[62] + c4*I4[62] - c7*I7[62];
    *(vp++) = I0[63] + CD0*I1[63] + c2*I2[63] - c5*I5[63];
    *(vp++) = I0[64] + CD0*I1[64] + c2*I2[64] - c5*I5[64];
    *(vp++) = I0[65] + CD0*I1[65] + c2*I2[65] - c5*I5[65];
    *(vp++) = I0[66] + CD0*I1[66] + c2*I2[66] - c5*I5[66];
    *(vp++) = I0[67] + CD0*I1[67] + c2*I2[67] - c5*I5[67];
    *(vp++) = I0[68] + CD0*I1[68] + c2*I2[68] - c5*I5[68];
    *(vp++) = I0[69] + CD0*I1[69] + c2*I2[69] - c5*I5[69];
    *(vp++) = I0[70] + CD0*I1[70] + c2*I2[70] - c5*I5[70];
    *(vp++) = I0[71] + CD0*I1[71] + c2*I2[71] - c5*I5[71];
    *(vp++) = I0[72] + CD0*I1[72] + c2*I2[72] - c5*I5[72];
    *(vp++) = I0[73] + CD0*I1[73] + c2*I2[73] - c5*I5[73];
    *(vp++) = I0[74] + CD0*I1[74] + c2*I2[74] - c5*I5[74];
    *(vp++) = I0[75] + CD0*I1[75] + c2*I2[75] - c5*I5[75];
    *(vp++) = I0[76] + CD0*I1[76] + c2*I2[76] - c5*I5[76];
    *(vp++) = I0[77] + CD0*I1[77] + c2*I2[77] - c5*I5[77];
    *(vp++) = I0[78] + CD0*I1[78] + c2*I2[78] - c5*I5[78];
    *(vp++) = I0[79] + CD0*I1[79] + c2*I2[79] - c5*I5[79];
    *(vp++) = I0[80] + CD0*I1[80] + c2*I2[80] - c5*I5[80];
    *(vp++) = I0[81] + CD0*I1[81] + c2*I2[81] - c5*I5[81];
    *(vp++) = I0[82] + CD0*I1[82] + c2*I2[82] - c5*I5[82];
    *(vp++) = I0[83] + CD0*I1[83] + c2*I2[83] - c5*I5[83];
    *(vp++) = I0[141] + CD1*I1[78] + c3*I3[78] - c6*I6[78];
    *(vp++) = I0[142] + CD1*I1[79] + c3*I3[79] - c6*I6[79];
    *(vp++) = I0[143] + CD1*I1[80] + c3*I3[80] - c6*I6[80];
    *(vp++) = I0[144] + CD1*I1[81] + c3*I3[81] - c6*I6[81];
    *(vp++) = I0[145] + CD1*I1[82] + c3*I3[82] - c6*I6[82];
    *(vp++) = I0[146] + CD1*I1[83] + c3*I3[83] - c6*I6[83];
    *(vp++) = I0[167] + CD2*I1[83] + c4*I4[83] - c7*I7[83];
    *(vp++) = I0[84] + CD0*I1[84] + c2*I2[84] - c5*I5[84];
    *(vp++) = I0[85] + CD0*I1[85] + c2*I2[85] - c5*I5[85];
    *(vp++) = I0[86] + CD0*I1[86] + c2*I2[86] - c5*I5[86];
    *(vp++) = I0[87] + CD0*I1[87] + c2*I2[87] - c5*I5[87];
    *(vp++) = I0[88] + CD0*I1[88] + c2*I2[88] - c5*I5[88];
    *(vp++) = I0[89] + CD0*I1[89] + c2*I2[89] - c5*I5[89];
    *(vp++) = I0[90] + CD0*I1[90] + c2*I2[90] - c5*I5[90];
    *(vp++) = I0[91] + CD0*I1[91] + c2*I2[91] - c5*I5[91];
    *(vp++) = I0[92] + CD0*I1[92] + c2*I2[92] - c5*I5[92];
    *(vp++) = I0[93] + CD0*I1[93] + c2*I2[93] - c5*I5[93];
    *(vp++) = I0[94] + CD0*I1[94] + c2*I2[94] - c5*I5[94];
    *(vp++) = I0[95] + CD0*I1[95] + c2*I2[95] - c5*I5[95];
    *(vp++) = I0[96] + CD0*I1[96] + c2*I2[96] - c5*I5[96];
    *(vp++) = I0[97] + CD0*I1[97] + c2*I2[97] - c5*I5[97];
    *(vp++) = I0[98] + CD0*I1[98] + c2*I2[98] - c5*I5[98];
    *(vp++) = I0[99] + CD0*I1[99] + c2*I2[99] - c5*I5[99];
    *(vp++) = I0[100] + CD0*I1[100] + c2*I2[100] - c5*I5[100];
    *(vp++) = I0[101] + CD0*I1[101] + c2*I2[101] - c5*I5[101];
    *(vp++) = I0[102] + CD0*I1[102] + c2*I2[102] - c5*I5[102];
    *(vp++) = I0[103] + CD0*I1[103] + c2*I2[103] - c5*I5[103];
    *(vp++) = I0[104] + CD0*I1[104] + c2*I2[104] - c5*I5[104];
    *(vp++) = I0[162] + CD1*I1[99] + c3*I3[99] - c6*I6[99];
    *(vp++) = I0[163] + CD1*I1[100] + c3*I3[100] - c6*I6[100];
    *(vp++) = I0[164] + CD1*I1[101] + c3*I3[101] - c6*I6[101];
    *(vp++) = I0[165] + CD1*I1[102] + c3*I3[102] - c6*I6[102];
    *(vp++) = I0[166] + CD1*I1[103] + c3*I3[103] - c6*I6[103];
    *(vp++) = I0[167] + CD1*I1[104] + c3*I3[104] - c6*I6[104];
    *(vp++) = I0[188] + CD2*I1[104] + c4*I4[104] - c7*I7[104];
    *(vp++) = I0[105] + CD0*I1[105] + c2*I2[105] - c5*I5[105];
    *(vp++) = I0[106] + CD0*I1[106] + c2*I2[106] - c5*I5[106];
    *(vp++) = I0[107] + CD0*I1[107] + c2*I2[107] - c5*I5[107];
    *(vp++) = I0[108] + CD0*I1[108] + c2*I2[108] - c5*I5[108];
    *(vp++) = I0[109] + CD0*I1[109] + c2*I2[109] - c5*I5[109];
    *(vp++) = I0[110] + CD0*I1[110] + c2*I2[110] - c5*I5[110];
    *(vp++) = I0[111] + CD0*I1[111] + c2*I2[111] - c5*I5[111];
    *(vp++) = I0[112] + CD0*I1[112] + c2*I2[112] - c5*I5[112];
    *(vp++) = I0[113] + CD0*I1[113] + c2*I2[113] - c5*I5[113];
    *(vp++) = I0[114] + CD0*I1[114] + c2*I2[114] - c5*I5[114];
    *(vp++) = I0[115] + CD0*I1[115] + c2*I2[115] - c5*I5[115];
    *(vp++) = I0[116] + CD0*I1[116] + c2*I2[116] - c5*I5[116];
    *(vp++) = I0[117] + CD0*I1[117] + c2*I2[117] - c5*I5[117];
    *(vp++) = I0[118] + CD0*I1[118] + c2*I2[118] - c5*I5[118];
    *(vp++) = I0[119] + CD0*I1[119] + c2*I2[119] - c5*I5[119];
    *(vp++) = I0[120] + CD0*I1[120] + c2*I2[120] - c5*I5[120];
    *(vp++) = I0[121] + CD0*I1[121] + c2*I2[121] - c5*I5[121];
    *(vp++) = I0[122] + CD0*I1[122] + c2*I2[122] - c5*I5[122];
    *(vp++) = I0[123] + CD0*I1[123] + c2*I2[123] - c5*I5[123];
    *(vp++) = I0[124] + CD0*I1[124] + c2*I2[124] - c5*I5[124];
    *(vp++) = I0[125] + CD0*I1[125] + c2*I2[125] - c5*I5[125];
    *(vp++) = I0[183] + CD1*I1[120] + c3*I3[120] - c6*I6[120];
    *(vp++) = I0[184] + CD1*I1[121] + c3*I3[121] - c6*I6[121];
    *(vp++) = I0[185] + CD1*I1[122] + c3*I3[122] - c6*I6[122];
    *(vp++) = I0[186] + CD1*I1[123] + c3*I3[123] - c6*I6[123];
    *(vp++) = I0[187] + CD1*I1[124] + c3*I3[124] - c6*I6[124];
    *(vp++) = I0[188] + CD1*I1[125] + c3*I3[125] - c6*I6[125];
    *(vp++) = I0[209] + CD2*I1[125] + c4*I4[125] - c7*I7[125];
    *(vp++) = I0[126] + CD0*I1[126] + c2*I2[126] - c5*I5[126];
    *(vp++) = I0[127] + CD0*I1[127] + c2*I2[127] - c5*I5[127];
    *(vp++) = I0[128] + CD0*I1[128] + c2*I2[128] - c5*I5[128];
    *(vp++) = I0[129] + CD0*I1[129] + c2*I2[129] - c5*I5[129];
    *(vp++) = I0[130] + CD0*I1[130] + c2*I2[130] - c5*I5[130];
    *(vp++) = I0[131] + CD0*I1[131] + c2*I2[131] - c5*I5[131];
    *(vp++) = I0[132] + CD0*I1[132] + c2*I2[132] - c5*I5[132];
    *(vp++) = I0[133] + CD0*I1[133] + c2*I2[133] - c5*I5[133];
    *(vp++) = I0[134] + CD0*I1[134] + c2*I2[134] - c5*I5[134];
    *(vp++) = I0[135] + CD0*I1[135] + c2*I2[135] - c5*I5[135];
    *(vp++) = I0[136] + CD0*I1[136] + c2*I2[136] - c5*I5[136];
    *(vp++) = I0[137] + CD0*I1[137] + c2*I2[137] - c5*I5[137];
    *(vp++) = I0[138] + CD0*I1[138] + c2*I2[138] - c5*I5[138];
    *(vp++) = I0[139] + CD0*I1[139] + c2*I2[139] - c5*I5[139];
    *(vp++) = I0[140] + CD0*I1[140] + c2*I2[140] - c5*I5[140];
    *(vp++) = I0[141] + CD0*I1[141] + c2*I2[141] - c5*I5[141];
    *(vp++) = I0[142] + CD0*I1[142] + c2*I2[142] - c5*I5[142];
    *(vp++) = I0[143] + CD0*I1[143] + c2*I2[143] - c5*I5[143];
    *(vp++) = I0[144] + CD0*I1[144] + c2*I2[144] - c5*I5[144];
    *(vp++) = I0[145] + CD0*I1[145] + c2*I2[145] - c5*I5[145];
    *(vp++) = I0[146] + CD0*I1[146] + c2*I2[146] - c5*I5[146];
    *(vp++) = I0[225] + CD1*I1[141] + c3*I3[141] - c6*I6[141];
    *(vp++) = I0[226] + CD1*I1[142] + c3*I3[142] - c6*I6[142];
    *(vp++) = I0[227] + CD1*I1[143] + c3*I3[143] - c6*I6[143];
    *(vp++) = I0[228] + CD1*I1[144] + c3*I3[144] - c6*I6[144];
    *(vp++) = I0[229] + CD1*I1[145] + c3*I3[145] - c6*I6[145];
    *(vp++) = I0[230] + CD1*I1[146] + c3*I3[146] - c6*I6[146];
    *(vp++) = I0[251] + CD2*I1[146] + c4*I4[146] - c7*I7[146];
    *(vp++) = I0[147] + CD0*I1[147] + c2*I2[147] - c5*I5[147];
    *(vp++) = I0[148] + CD0*I1[148] + c2*I2[148] - c5*I5[148];
    *(vp++) = I0[149] + CD0*I1[149] + c2*I2[149] - c5*I5[149];
    *(vp++) = I0[150] + CD0*I1[150] + c2*I2[150] - c5*I5[150];
    *(vp++) = I0[151] + CD0*I1[151] + c2*I2[151] - c5*I5[151];
    *(vp++) = I0[152] + CD0*I1[152] + c2*I2[152] - c5*I5[152];
    *(vp++) = I0[153] + CD0*I1[153] + c2*I2[153] - c5*I5[153];
    *(vp++) = I0[154] + CD0*I1[154] + c2*I2[154] - c5*I5[154];
    *(vp++) = I0[155] + CD0*I1[155] + c2*I2[155] - c5*I5[155];
    *(vp++) = I0[156] + CD0*I1[156] + c2*I2[156] - c5*I5[156];
    *(vp++) = I0[157] + CD0*I1[157] + c2*I2[157] - c5*I5[157];
    *(vp++) = I0[158] + CD0*I1[158] + c2*I2[158] - c5*I5[158];
    *(vp++) = I0[159] + CD0*I1[159] + c2*I2[159] - c5*I5[159];
    *(vp++) = I0[160] + CD0*I1[160] + c2*I2[160] - c5*I5[160];
    *(vp++) = I0[161] + CD0*I1[161] + c2*I2[161] - c5*I5[161];
    *(vp++) = I0[162] + CD0*I1[162] + c2*I2[162] - c5*I5[162];
    *(vp++) = I0[163] + CD0*I1[163] + c2*I2[163] - c5*I5[163];
    *(vp++) = I0[164] + CD0*I1[164] + c2*I2[164] - c5*I5[164];
    *(vp++) = I0[165] + CD0*I1[165] + c2*I2[165] - c5*I5[165];
    *(vp++) = I0[166] + CD0*I1[166] + c2*I2[166] - c5*I5[166];
    *(vp++) = I0[167] + CD0*I1[167] + c2*I2[167] - c5*I5[167];
    *(vp++) = I0[246] + CD1*I1[162] + c3*I3[162] - c6*I6[162];
    *(vp++) = I0[247] + CD1*I1[163] + c3*I3[163] - c6*I6[163];
    *(vp++) = I0[248] + CD1*I1[164] + c3*I3[164] - c6*I6[164];
    *(vp++) = I0[249] + CD1*I1[165] + c3*I3[165] - c6*I6[165];
    *(vp++) = I0[250] + CD1*I1[166] + c3*I3[166] - c6*I6[166];
    *(vp++) = I0[251] + CD1*I1[167] + c3*I3[167] - c6*I6[167];
    *(vp++) = I0[272] + CD2*I1[167] + c4*I4[167] - c7*I7[167];
    *(vp++) = I0[168] + CD0*I1[168] + c2*I2[168] - c5*I5[168];
    *(vp++) = I0[169] + CD0*I1[169] + c2*I2[169] - c5*I5[169];
    *(vp++) = I0[170] + CD0*I1[170] + c2*I2[170] - c5*I5[170];
    *(vp++) = I0[171] + CD0*I1[171] + c2*I2[171] - c5*I5[171];
    *(vp++) = I0[172] + CD0*I1[172] + c2*I2[172] - c5*I5[172];
    *(vp++) = I0[173] + CD0*I1[173] + c2*I2[173] - c5*I5[173];
    *(vp++) = I0[174] + CD0*I1[174] + c2*I2[174] - c5*I5[174];
    *(vp++) = I0[175] + CD0*I1[175] + c2*I2[175] - c5*I5[175];
    *(vp++) = I0[176] + CD0*I1[176] + c2*I2[176] - c5*I5[176];
    *(vp++) = I0[177] + CD0*I1[177] + c2*I2[177] - c5*I5[177];
    *(vp++) = I0[178] + CD0*I1[178] + c2*I2[178] - c5*I5[178];
    *(vp++) = I0[179] + CD0*I1[179] + c2*I2[179] - c5*I5[179];
    *(vp++) = I0[180] + CD0*I1[180] + c2*I2[180] - c5*I5[180];
    *(vp++) = I0[181] + CD0*I1[181] + c2*I2[181] - c5*I5[181];
    *(vp++) = I0[182] + CD0*I1[182] + c2*I2[182] - c5*I5[182];
    *(vp++) = I0[183] + CD0*I1[183] + c2*I2[183] - c5*I5[183];
    *(vp++) = I0[184] + CD0*I1[184] + c2*I2[184] - c5*I5[184];
    *(vp++) = I0[185] + CD0*I1[185] + c2*I2[185] - c5*I5[185];
    *(vp++) = I0[186] + CD0*I1[186] + c2*I2[186] - c5*I5[186];
    *(vp++) = I0[187] + CD0*I1[187] + c2*I2[187] - c5*I5[187];
    *(vp++) = I0[188] + CD0*I1[188] + c2*I2[188] - c5*I5[188];
    *(vp++) = I0[267] + CD1*I1[183] + c3*I3[183] - c6*I6[183];
    *(vp++) = I0[268] + CD1*I1[184] + c3*I3[184] - c6*I6[184];
    *(vp++) = I0[269] + CD1*I1[185] + c3*I3[185] - c6*I6[185];
    *(vp++) = I0[270] + CD1*I1[186] + c3*I3[186] - c6*I6[186];
    *(vp++) = I0[271] + CD1*I1[187] + c3*I3[187] - c6*I6[187];
    *(vp++) = I0[272] + CD1*I1[188] + c3*I3[188] - c6*I6[188];
    *(vp++) = I0[293] + CD2*I1[188] + c4*I4[188] - c7*I7[188];
    *(vp++) = I0[189] + CD0*I1[189] + c2*I2[189] - c5*I5[189];
    *(vp++) = I0[190] + CD0*I1[190] + c2*I2[190] - c5*I5[190];
    *(vp++) = I0[191] + CD0*I1[191] + c2*I2[191] - c5*I5[191];
    *(vp++) = I0[192] + CD0*I1[192] + c2*I2[192] - c5*I5[192];
    *(vp++) = I0[193] + CD0*I1[193] + c2*I2[193] - c5*I5[193];
    *(vp++) = I0[194] + CD0*I1[194] + c2*I2[194] - c5*I5[194];
    *(vp++) = I0[195] + CD0*I1[195] + c2*I2[195] - c5*I5[195];
    *(vp++) = I0[196] + CD0*I1[196] + c2*I2[196] - c5*I5[196];
    *(vp++) = I0[197] + CD0*I1[197] + c2*I2[197] - c5*I5[197];
    *(vp++) = I0[198] + CD0*I1[198] + c2*I2[198] - c5*I5[198];
    *(vp++) = I0[199] + CD0*I1[199] + c2*I2[199] - c5*I5[199];
    *(vp++) = I0[200] + CD0*I1[200] + c2*I2[200] - c5*I5[200];
    *(vp++) = I0[201] + CD0*I1[201] + c2*I2[201] - c5*I5[201];
    *(vp++) = I0[202] + CD0*I1[202] + c2*I2[202] - c5*I5[202];
    *(vp++) = I0[203] + CD0*I1[203] + c2*I2[203] - c5*I5[203];
    *(vp++) = I0[204] + CD0*I1[204] + c2*I2[204] - c5*I5[204];
    *(vp++) = I0[205] + CD0*I1[205] + c2*I2[205] - c5*I5[205];
    *(vp++) = I0[206] + CD0*I1[206] + c2*I2[206] - c5*I5[206];
    *(vp++) = I0[207] + CD0*I1[207] + c2*I2[207] - c5*I5[207];
    *(vp++) = I0[208] + CD0*I1[208] + c2*I2[208] - c5*I5[208];
    *(vp++) = I0[209] + CD0*I1[209] + c2*I2[209] - c5*I5[209];
    *(vp++) = I0[288] + CD1*I1[204] + c3*I3[204] - c6*I6[204];
    *(vp++) = I0[289] + CD1*I1[205] + c3*I3[205] - c6*I6[205];
    *(vp++) = I0[290] + CD1*I1[206] + c3*I3[206] - c6*I6[206];
    *(vp++) = I0[291] + CD1*I1[207] + c3*I3[207] - c6*I6[207];
    *(vp++) = I0[292] + CD1*I1[208] + c3*I3[208] - c6*I6[208];
    *(vp++) = I0[293] + CD1*I1[209] + c3*I3[209] - c6*I6[209];
    *(vp++) = I0[314] + CD2*I1[209] + c4*I4[209] - c7*I7[209];
    *(vp++) = I0[210] + CD0*I1[210] + c2*I2[210] - c5*I5[210];
    *(vp++) = I0[211] + CD0*I1[211] + c2*I2[211] - c5*I5[211];
    *(vp++) = I0[212] + CD0*I1[212] + c2*I2[212] - c5*I5[212];
    *(vp++) = I0[213] + CD0*I1[213] + c2*I2[213] - c5*I5[213];
    *(vp++) = I0[214] + CD0*I1[214] + c2*I2[214] - c5*I5[214];
    *(vp++) = I0[215] + CD0*I1[215] + c2*I2[215] - c5*I5[215];
    *(vp++) = I0[216] + CD0*I1[216] + c2*I2[216] - c5*I5[216];
    *(vp++) = I0[217] + CD0*I1[217] + c2*I2[217] - c5*I5[217];
    *(vp++) = I0[218] + CD0*I1[218] + c2*I2[218] - c5*I5[218];
    *(vp++) = I0[219] + CD0*I1[219] + c2*I2[219] - c5*I5[219];
    *(vp++) = I0[220] + CD0*I1[220] + c2*I2[220] - c5*I5[220];
    *(vp++) = I0[221] + CD0*I1[221] + c2*I2[221] - c5*I5[221];
    *(vp++) = I0[222] + CD0*I1[222] + c2*I2[222] - c5*I5[222];
    *(vp++) = I0[223] + CD0*I1[223] + c2*I2[223] - c5*I5[223];
    *(vp++) = I0[224] + CD0*I1[224] + c2*I2[224] - c5*I5[224];
    *(vp++) = I0[225] + CD0*I1[225] + c2*I2[225] - c5*I5[225];
    *(vp++) = I0[226] + CD0*I1[226] + c2*I2[226] - c5*I5[226];
    *(vp++) = I0[227] + CD0*I1[227] + c2*I2[227] - c5*I5[227];
    *(vp++) = I0[228] + CD0*I1[228] + c2*I2[228] - c5*I5[228];
    *(vp++) = I0[229] + CD0*I1[229] + c2*I2[229] - c5*I5[229];
    *(vp++) = I0[230] + CD0*I1[230] + c2*I2[230] - c5*I5[230];
    *(vp++) = I0[330] + CD1*I1[225] + c3*I3[225] - c6*I6[225];
    *(vp++) = I0[331] + CD1*I1[226] + c3*I3[226] - c6*I6[226];
    *(vp++) = I0[332] + CD1*I1[227] + c3*I3[227] - c6*I6[227];
    *(vp++) = I0[333] + CD1*I1[228] + c3*I3[228] - c6*I6[228];
    *(vp++) = I0[334] + CD1*I1[229] + c3*I3[229] - c6*I6[229];
    *(vp++) = I0[335] + CD1*I1[230] + c3*I3[230] - c6*I6[230];
    *(vp++) = I0[356] + CD2*I1[230] + c4*I4[230] - c7*I7[230];
    *(vp++) = I0[231] + CD0*I1[231] + c2*I2[231] - c5*I5[231];
    *(vp++) = I0[232] + CD0*I1[232] + c2*I2[232] - c5*I5[232];
    *(vp++) = I0[233] + CD0*I1[233] + c2*I2[233] - c5*I5[233];
    *(vp++) = I0[234] + CD0*I1[234] + c2*I2[234] - c5*I5[234];
    *(vp++) = I0[235] + CD0*I1[235] + c2*I2[235] - c5*I5[235];
    *(vp++) = I0[236] + CD0*I1[236] + c2*I2[236] - c5*I5[236];
    *(vp++) = I0[237] + CD0*I1[237] + c2*I2[237] - c5*I5[237];
    *(vp++) = I0[238] + CD0*I1[238] + c2*I2[238] - c5*I5[238];
    *(vp++) = I0[239] + CD0*I1[239] + c2*I2[239] - c5*I5[239];
    *(vp++) = I0[240] + CD0*I1[240] + c2*I2[240] - c5*I5[240];
    *(vp++) = I0[241] + CD0*I1[241] + c2*I2[241] - c5*I5[241];
    *(vp++) = I0[242] + CD0*I1[242] + c2*I2[242] - c5*I5[242];
    *(vp++) = I0[243] + CD0*I1[243] + c2*I2[243] - c5*I5[243];
    *(vp++) = I0[244] + CD0*I1[244] + c2*I2[244] - c5*I5[244];
    *(vp++) = I0[245] + CD0*I1[245] + c2*I2[245] - c5*I5[245];
    *(vp++) = I0[246] + CD0*I1[246] + c2*I2[246] - c5*I5[246];
    *(vp++) = I0[247] + CD0*I1[247] + c2*I2[247] - c5*I5[247];
    *(vp++) = I0[248] + CD0*I1[248] + c2*I2[248] - c5*I5[248];
    *(vp++) = I0[249] + CD0*I1[249] + c2*I2[249] - c5*I5[249];
    *(vp++) = I0[250] + CD0*I1[250] + c2*I2[250] - c5*I5[250];
    *(vp++) = I0[251] + CD0*I1[251] + c2*I2[251] - c5*I5[251];
    *(vp++) = I0[351] + CD1*I1[246] + c3*I3[246] - c6*I6[246];
    *(vp++) = I0[352] + CD1*I1[247] + c3*I3[247] - c6*I6[247];
    *(vp++) = I0[353] + CD1*I1[248] + c3*I3[248] - c6*I6[248];
    *(vp++) = I0[354] + CD1*I1[249] + c3*I3[249] - c6*I6[249];
    *(vp++) = I0[355] + CD1*I1[250] + c3*I3[250] - c6*I6[250];
    *(vp++) = I0[356] + CD1*I1[251] + c3*I3[251] - c6*I6[251];
    *(vp++) = I0[377] + CD2*I1[251] + c4*I4[251] - c7*I7[251];
    *(vp++) = I0[252] + CD0*I1[252] + c2*I2[252] - c5*I5[252];
    *(vp++) = I0[253] + CD0*I1[253] + c2*I2[253] - c5*I5[253];
    *(vp++) = I0[254] + CD0*I1[254] + c2*I2[254] - c5*I5[254];
    *(vp++) = I0[255] + CD0*I1[255] + c2*I2[255] - c5*I5[255];
    *(vp++) = I0[256] + CD0*I1[256] + c2*I2[256] - c5*I5[256];
    *(vp++) = I0[257] + CD0*I1[257] + c2*I2[257] - c5*I5[257];
    *(vp++) = I0[258] + CD0*I1[258] + c2*I2[258] - c5*I5[258];
    *(vp++) = I0[259] + CD0*I1[259] + c2*I2[259] - c5*I5[259];
    *(vp++) = I0[260] + CD0*I1[260] + c2*I2[260] - c5*I5[260];
    *(vp++) = I0[261] + CD0*I1[261] + c2*I2[261] - c5*I5[261];
    *(vp++) = I0[262] + CD0*I1[262] + c2*I2[262] - c5*I5[262];
    *(vp++) = I0[263] + CD0*I1[263] + c2*I2[263] - c5*I5[263];
    *(vp++) = I0[264] + CD0*I1[264] + c2*I2[264] - c5*I5[264];
    *(vp++) = I0[265] + CD0*I1[265] + c2*I2[265] - c5*I5[265];
    *(vp++) = I0[266] + CD0*I1[266] + c2*I2[266] - c5*I5[266];
    *(vp++) = I0[267] + CD0*I1[267] + c2*I2[267] - c5*I5[267];
    *(vp++) = I0[268] + CD0*I1[268] + c2*I2[268] - c5*I5[268];
    *(vp++) = I0[269] + CD0*I1[269] + c2*I2[269] - c5*I5[269];
    *(vp++) = I0[270] + CD0*I1[270] + c2*I2[270] - c5*I5[270];
    *(vp++) = I0[271] + CD0*I1[271] + c2*I2[271] - c5*I5[271];
    *(vp++) = I0[272] + CD0*I1[272] + c2*I2[272] - c5*I5[272];
    *(vp++) = I0[372] + CD1*I1[267] + c3*I3[267] - c6*I6[267];
    *(vp++) = I0[373] + CD1*I1[268] + c3*I3[268] - c6*I6[268];
    *(vp++) = I0[374] + CD1*I1[269] + c3*I3[269] - c6*I6[269];
    *(vp++) = I0[375] + CD1*I1[270] + c3*I3[270] - c6*I6[270];
    *(vp++) = I0[376] + CD1*I1[271] + c3*I3[271] - c6*I6[271];
    *(vp++) = I0[377] + CD1*I1[272] + c3*I3[272] - c6*I6[272];
    *(vp++) = I0[398] + CD2*I1[272] + c4*I4[272] - c7*I7[272];
    *(vp++) = I0[273] + CD0*I1[273] + c2*I2[273] - c5*I5[273];
    *(vp++) = I0[274] + CD0*I1[274] + c2*I2[274] - c5*I5[274];
    *(vp++) = I0[275] + CD0*I1[275] + c2*I2[275] - c5*I5[275];
    *(vp++) = I0[276] + CD0*I1[276] + c2*I2[276] - c5*I5[276];
    *(vp++) = I0[277] + CD0*I1[277] + c2*I2[277] - c5*I5[277];
    *(vp++) = I0[278] + CD0*I1[278] + c2*I2[278] - c5*I5[278];
    *(vp++) = I0[279] + CD0*I1[279] + c2*I2[279] - c5*I5[279];
    *(vp++) = I0[280] + CD0*I1[280] + c2*I2[280] - c5*I5[280];
    *(vp++) = I0[281] + CD0*I1[281] + c2*I2[281] - c5*I5[281];
    *(vp++) = I0[282] + CD0*I1[282] + c2*I2[282] - c5*I5[282];
    *(vp++) = I0[283] + CD0*I1[283] + c2*I2[283] - c5*I5[283];
    *(vp++) = I0[284] + CD0*I1[284] + c2*I2[284] - c5*I5[284];
    *(vp++) = I0[285] + CD0*I1[285] + c2*I2[285] - c5*I5[285];
    *(vp++) = I0[286] + CD0*I1[286] + c2*I2[286] - c5*I5[286];
    *(vp++) = I0[287] + CD0*I1[287] + c2*I2[287] - c5*I5[287];
    *(vp++) = I0[288] + CD0*I1[288] + c2*I2[288] - c5*I5[288];
    *(vp++) = I0[289] + CD0*I1[289] + c2*I2[289] - c5*I5[289];
    *(vp++) = I0[290] + CD0*I1[290] + c2*I2[290] - c5*I5[290];
    *(vp++) = I0[291] + CD0*I1[291] + c2*I2[291] - c5*I5[291];
    *(vp++) = I0[292] + CD0*I1[292] + c2*I2[292] - c5*I5[292];
    *(vp++) = I0[293] + CD0*I1[293] + c2*I2[293] - c5*I5[293];
    *(vp++) = I0[393] + CD1*I1[288] + c3*I3[288] - c6*I6[288];
    *(vp++) = I0[394] + CD1*I1[289] + c3*I3[289] - c6*I6[289];
    *(vp++) = I0[395] + CD1*I1[290] + c3*I3[290] - c6*I6[290];
    *(vp++) = I0[396] + CD1*I1[291] + c3*I3[291] - c6*I6[291];
    *(vp++) = I0[397] + CD1*I1[292] + c3*I3[292] - c6*I6[292];
    *(vp++) = I0[398] + CD1*I1[293] + c3*I3[293] - c6*I6[293];
    *(vp++) = I0[419] + CD2*I1[293] + c4*I4[293] - c7*I7[293];
    *(vp++) = I0[294] + CD0*I1[294] + c2*I2[294] - c5*I5[294];
    *(vp++) = I0[295] + CD0*I1[295] + c2*I2[295] - c5*I5[295];
    *(vp++) = I0[296] + CD0*I1[296] + c2*I2[296] - c5*I5[296];
    *(vp++) = I0[297] + CD0*I1[297] + c2*I2[297] - c5*I5[297];
    *(vp++) = I0[298] + CD0*I1[298] + c2*I2[298] - c5*I5[298];
    *(vp++) = I0[299] + CD0*I1[299] + c2*I2[299] - c5*I5[299];
    *(vp++) = I0[300] + CD0*I1[300] + c2*I2[300] - c5*I5[300];
    *(vp++) = I0[301] + CD0*I1[301] + c2*I2[301] - c5*I5[301];
    *(vp++) = I0[302] + CD0*I1[302] + c2*I2[302] - c5*I5[302];
    *(vp++) = I0[303] + CD0*I1[303] + c2*I2[303] - c5*I5[303];
    *(vp++) = I0[304] + CD0*I1[304] + c2*I2[304] - c5*I5[304];
    *(vp++) = I0[305] + CD0*I1[305] + c2*I2[305] - c5*I5[305];
    *(vp++) = I0[306] + CD0*I1[306] + c2*I2[306] - c5*I5[306];
    *(vp++) = I0[307] + CD0*I1[307] + c2*I2[307] - c5*I5[307];
    *(vp++) = I0[308] + CD0*I1[308] + c2*I2[308] - c5*I5[308];
    *(vp++) = I0[309] + CD0*I1[309] + c2*I2[309] - c5*I5[309];
    *(vp++) = I0[310] + CD0*I1[310] + c2*I2[310] - c5*I5[310];
    *(vp++) = I0[311] + CD0*I1[311] + c2*I2[311] - c5*I5[311];
    *(vp++) = I0[312] + CD0*I1[312] + c2*I2[312] - c5*I5[312];
    *(vp++) = I0[313] + CD0*I1[313] + c2*I2[313] - c5*I5[313];
    *(vp++) = I0[314] + CD0*I1[314] + c2*I2[314] - c5*I5[314];
    *(vp++) = I0[414] + CD1*I1[309] + c3*I3[309] - c6*I6[309];
    *(vp++) = I0[415] + CD1*I1[310] + c3*I3[310] - c6*I6[310];
    *(vp++) = I0[416] + CD1*I1[311] + c3*I3[311] - c6*I6[311];
    *(vp++) = I0[417] + CD1*I1[312] + c3*I3[312] - c6*I6[312];
    *(vp++) = I0[418] + CD1*I1[313] + c3*I3[313] - c6*I6[313];
    *(vp++) = I0[419] + CD1*I1[314] + c3*I3[314] - c6*I6[314];
    *(vp++) = I0[440] + CD2*I1[314] + c4*I4[314] - c7*I7[314];
    *(vp++) = I0[315] + CD0*I1[315] + c2*I2[315] - c5*I5[315];
    *(vp++) = I0[316] + CD0*I1[316] + c2*I2[316] - c5*I5[316];
    *(vp++) = I0[317] + CD0*I1[317] + c2*I2[317] - c5*I5[317];
    *(vp++) = I0[318] + CD0*I1[318] + c2*I2[318] - c5*I5[318];
    *(vp++) = I0[319] + CD0*I1[319] + c2*I2[319] - c5*I5[319];
    *(vp++) = I0[320] + CD0*I1[320] + c2*I2[320] - c5*I5[320];
    *(vp++) = I0[321] + CD0*I1[321] + c2*I2[321] - c5*I5[321];
    *(vp++) = I0[322] + CD0*I1[322] + c2*I2[322] - c5*I5[322];
    *(vp++) = I0[323] + CD0*I1[323] + c2*I2[323] - c5*I5[323];
    *(vp++) = I0[324] + CD0*I1[324] + c2*I2[324] - c5*I5[324];
    *(vp++) = I0[325] + CD0*I1[325] + c2*I2[325] - c5*I5[325];
    *(vp++) = I0[326] + CD0*I1[326] + c2*I2[326] - c5*I5[326];
    *(vp++) = I0[327] + CD0*I1[327] + c2*I2[327] - c5*I5[327];
    *(vp++) = I0[328] + CD0*I1[328] + c2*I2[328] - c5*I5[328];
    *(vp++) = I0[329] + CD0*I1[329] + c2*I2[329] - c5*I5[329];
    *(vp++) = I0[330] + CD0*I1[330] + c2*I2[330] - c5*I5[330];
    *(vp++) = I0[331] + CD0*I1[331] + c2*I2[331] - c5*I5[331];
    *(vp++) = I0[332] + CD0*I1[332] + c2*I2[332] - c5*I5[332];
    *(vp++) = I0[333] + CD0*I1[333] + c2*I2[333] - c5*I5[333];
    *(vp++) = I0[334] + CD0*I1[334] + c2*I2[334] - c5*I5[334];
    *(vp++) = I0[335] + CD0*I1[335] + c2*I2[335] - c5*I5[335];
    *(vp++) = I0[456] + CD1*I1[330] + c3*I3[330] - c6*I6[330];
    *(vp++) = I0[457] + CD1*I1[331] + c3*I3[331] - c6*I6[331];
    *(vp++) = I0[458] + CD1*I1[332] + c3*I3[332] - c6*I6[332];
    *(vp++) = I0[459] + CD1*I1[333] + c3*I3[333] - c6*I6[333];
    *(vp++) = I0[460] + CD1*I1[334] + c3*I3[334] - c6*I6[334];
    *(vp++) = I0[461] + CD1*I1[335] + c3*I3[335] - c6*I6[335];
    *(vp++) = I0[482] + CD2*I1[335] + c4*I4[335] - c7*I7[335];
    *(vp++) = I0[336] + CD0*I1[336] + c2*I2[336] - c5*I5[336];
    *(vp++) = I0[337] + CD0*I1[337] + c2*I2[337] - c5*I5[337];
    *(vp++) = I0[338] + CD0*I1[338] + c2*I2[338] - c5*I5[338];
    *(vp++) = I0[339] + CD0*I1[339] + c2*I2[339] - c5*I5[339];
    *(vp++) = I0[340] + CD0*I1[340] + c2*I2[340] - c5*I5[340];
    *(vp++) = I0[341] + CD0*I1[341] + c2*I2[341] - c5*I5[341];
    *(vp++) = I0[342] + CD0*I1[342] + c2*I2[342] - c5*I5[342];
    *(vp++) = I0[343] + CD0*I1[343] + c2*I2[343] - c5*I5[343];
    *(vp++) = I0[344] + CD0*I1[344] + c2*I2[344] - c5*I5[344];
    *(vp++) = I0[345] + CD0*I1[345] + c2*I2[345] - c5*I5[345];
    *(vp++) = I0[346] + CD0*I1[346] + c2*I2[346] - c5*I5[346];
    *(vp++) = I0[347] + CD0*I1[347] + c2*I2[347] - c5*I5[347];
    *(vp++) = I0[348] + CD0*I1[348] + c2*I2[348] - c5*I5[348];
    *(vp++) = I0[349] + CD0*I1[349] + c2*I2[349] - c5*I5[349];
    *(vp++) = I0[350] + CD0*I1[350] + c2*I2[350] - c5*I5[350];
    *(vp++) = I0[351] + CD0*I1[351] + c2*I2[351] - c5*I5[351];
    *(vp++) = I0[352] + CD0*I1[352] + c2*I2[352] - c5*I5[352];
    *(vp++) = I0[353] + CD0*I1[353] + c2*I2[353] - c5*I5[353];
    *(vp++) = I0[354] + CD0*I1[354] + c2*I2[354] - c5*I5[354];
    *(vp++) = I0[355] + CD0*I1[355] + c2*I2[355] - c5*I5[355];
    *(vp++) = I0[356] + CD0*I1[356] + c2*I2[356] - c5*I5[356];
    *(vp++) = I0[477] + CD1*I1[351] + c3*I3[351] - c6*I6[351];
    *(vp++) = I0[478] + CD1*I1[352] + c3*I3[352] - c6*I6[352];
    *(vp++) = I0[479] + CD1*I1[353] + c3*I3[353] - c6*I6[353];
    *(vp++) = I0[480] + CD1*I1[354] + c3*I3[354] - c6*I6[354];
    *(vp++) = I0[481] + CD1*I1[355] + c3*I3[355] - c6*I6[355];
    *(vp++) = I0[482] + CD1*I1[356] + c3*I3[356] - c6*I6[356];
    *(vp++) = I0[503] + CD2*I1[356] + c4*I4[356] - c7*I7[356];
    *(vp++) = I0[357] + CD0*I1[357] + c2*I2[357] - c5*I5[357];
    *(vp++) = I0[358] + CD0*I1[358] + c2*I2[358] - c5*I5[358];
    *(vp++) = I0[359] + CD0*I1[359] + c2*I2[359] - c5*I5[359];
    *(vp++) = I0[360] + CD0*I1[360] + c2*I2[360] - c5*I5[360];
    *(vp++) = I0[361] + CD0*I1[361] + c2*I2[361] - c5*I5[361];
    *(vp++) = I0[362] + CD0*I1[362] + c2*I2[362] - c5*I5[362];
    *(vp++) = I0[363] + CD0*I1[363] + c2*I2[363] - c5*I5[363];
    *(vp++) = I0[364] + CD0*I1[364] + c2*I2[364] - c5*I5[364];
    *(vp++) = I0[365] + CD0*I1[365] + c2*I2[365] - c5*I5[365];
    *(vp++) = I0[366] + CD0*I1[366] + c2*I2[366] - c5*I5[366];
    *(vp++) = I0[367] + CD0*I1[367] + c2*I2[367] - c5*I5[367];
    *(vp++) = I0[368] + CD0*I1[368] + c2*I2[368] - c5*I5[368];
    *(vp++) = I0[369] + CD0*I1[369] + c2*I2[369] - c5*I5[369];
    *(vp++) = I0[370] + CD0*I1[370] + c2*I2[370] - c5*I5[370];
    *(vp++) = I0[371] + CD0*I1[371] + c2*I2[371] - c5*I5[371];
    *(vp++) = I0[372] + CD0*I1[372] + c2*I2[372] - c5*I5[372];
    *(vp++) = I0[373] + CD0*I1[373] + c2*I2[373] - c5*I5[373];
    *(vp++) = I0[374] + CD0*I1[374] + c2*I2[374] - c5*I5[374];
    *(vp++) = I0[375] + CD0*I1[375] + c2*I2[375] - c5*I5[375];
    *(vp++) = I0[376] + CD0*I1[376] + c2*I2[376] - c5*I5[376];
    *(vp++) = I0[377] + CD0*I1[377] + c2*I2[377] - c5*I5[377];
    *(vp++) = I0[498] + CD1*I1[372] + c3*I3[372] - c6*I6[372];
    *(vp++) = I0[499] + CD1*I1[373] + c3*I3[373] - c6*I6[373];
    *(vp++) = I0[500] + CD1*I1[374] + c3*I3[374] - c6*I6[374];
    *(vp++) = I0[501] + CD1*I1[375] + c3*I3[375] - c6*I6[375];
    *(vp++) = I0[502] + CD1*I1[376] + c3*I3[376] - c6*I6[376];
    *(vp++) = I0[503] + CD1*I1[377] + c3*I3[377] - c6*I6[377];
    *(vp++) = I0[524] + CD2*I1[377] + c4*I4[377] - c7*I7[377];
    *(vp++) = I0[378] + CD0*I1[378] + c2*I2[378] - c5*I5[378];
    *(vp++) = I0[379] + CD0*I1[379] + c2*I2[379] - c5*I5[379];
    *(vp++) = I0[380] + CD0*I1[380] + c2*I2[380] - c5*I5[380];
    *(vp++) = I0[381] + CD0*I1[381] + c2*I2[381] - c5*I5[381];
    *(vp++) = I0[382] + CD0*I1[382] + c2*I2[382] - c5*I5[382];
    *(vp++) = I0[383] + CD0*I1[383] + c2*I2[383] - c5*I5[383];
    *(vp++) = I0[384] + CD0*I1[384] + c2*I2[384] - c5*I5[384];
    *(vp++) = I0[385] + CD0*I1[385] + c2*I2[385] - c5*I5[385];
    *(vp++) = I0[386] + CD0*I1[386] + c2*I2[386] - c5*I5[386];
    *(vp++) = I0[387] + CD0*I1[387] + c2*I2[387] - c5*I5[387];
    *(vp++) = I0[388] + CD0*I1[388] + c2*I2[388] - c5*I5[388];
    *(vp++) = I0[389] + CD0*I1[389] + c2*I2[389] - c5*I5[389];
    *(vp++) = I0[390] + CD0*I1[390] + c2*I2[390] - c5*I5[390];
    *(vp++) = I0[391] + CD0*I1[391] + c2*I2[391] - c5*I5[391];
    *(vp++) = I0[392] + CD0*I1[392] + c2*I2[392] - c5*I5[392];
    *(vp++) = I0[393] + CD0*I1[393] + c2*I2[393] - c5*I5[393];
    *(vp++) = I0[394] + CD0*I1[394] + c2*I2[394] - c5*I5[394];
    *(vp++) = I0[395] + CD0*I1[395] + c2*I2[395] - c5*I5[395];
    *(vp++) = I0[396] + CD0*I1[396] + c2*I2[396] - c5*I5[396];
    *(vp++) = I0[397] + CD0*I1[397] + c2*I2[397] - c5*I5[397];
    *(vp++) = I0[398] + CD0*I1[398] + c2*I2[398] - c5*I5[398];
    *(vp++) = I0[519] + CD1*I1[393] + c3*I3[393] - c6*I6[393];
    *(vp++) = I0[520] + CD1*I1[394] + c3*I3[394] - c6*I6[394];
    *(vp++) = I0[521] + CD1*I1[395] + c3*I3[395] - c6*I6[395];
    *(vp++) = I0[522] + CD1*I1[396] + c3*I3[396] - c6*I6[396];
    *(vp++) = I0[523] + CD1*I1[397] + c3*I3[397] - c6*I6[397];
    *(vp++) = I0[524] + CD1*I1[398] + c3*I3[398] - c6*I6[398];
    *(vp++) = I0[545] + CD2*I1[398] + c4*I4[398] - c7*I7[398];
    *(vp++) = I0[399] + CD0*I1[399] + c2*I2[399] - c5*I5[399];
    *(vp++) = I0[400] + CD0*I1[400] + c2*I2[400] - c5*I5[400];
    *(vp++) = I0[401] + CD0*I1[401] + c2*I2[401] - c5*I5[401];
    *(vp++) = I0[402] + CD0*I1[402] + c2*I2[402] - c5*I5[402];
    *(vp++) = I0[403] + CD0*I1[403] + c2*I2[403] - c5*I5[403];
    *(vp++) = I0[404] + CD0*I1[404] + c2*I2[404] - c5*I5[404];
    *(vp++) = I0[405] + CD0*I1[405] + c2*I2[405] - c5*I5[405];
    *(vp++) = I0[406] + CD0*I1[406] + c2*I2[406] - c5*I5[406];
    *(vp++) = I0[407] + CD0*I1[407] + c2*I2[407] - c5*I5[407];
    *(vp++) = I0[408] + CD0*I1[408] + c2*I2[408] - c5*I5[408];
    *(vp++) = I0[409] + CD0*I1[409] + c2*I2[409] - c5*I5[409];
    *(vp++) = I0[410] + CD0*I1[410] + c2*I2[410] - c5*I5[410];
    *(vp++) = I0[411] + CD0*I1[411] + c2*I2[411] - c5*I5[411];
    *(vp++) = I0[412] + CD0*I1[412] + c2*I2[412] - c5*I5[412];
    *(vp++) = I0[413] + CD0*I1[413] + c2*I2[413] - c5*I5[413];
    *(vp++) = I0[414] + CD0*I1[414] + c2*I2[414] - c5*I5[414];
    *(vp++) = I0[415] + CD0*I1[415] + c2*I2[415] - c5*I5[415];
    *(vp++) = I0[416] + CD0*I1[416] + c2*I2[416] - c5*I5[416];
    *(vp++) = I0[417] + CD0*I1[417] + c2*I2[417] - c5*I5[417];
    *(vp++) = I0[418] + CD0*I1[418] + c2*I2[418] - c5*I5[418];
    *(vp++) = I0[419] + CD0*I1[419] + c2*I2[419] - c5*I5[419];
    *(vp++) = I0[540] + CD1*I1[414] + c3*I3[414] - c6*I6[414];
    *(vp++) = I0[541] + CD1*I1[415] + c3*I3[415] - c6*I6[415];
    *(vp++) = I0[542] + CD1*I1[416] + c3*I3[416] - c6*I6[416];
    *(vp++) = I0[543] + CD1*I1[417] + c3*I3[417] - c6*I6[417];
    *(vp++) = I0[544] + CD1*I1[418] + c3*I3[418] - c6*I6[418];
    *(vp++) = I0[545] + CD1*I1[419] + c3*I3[419] - c6*I6[419];
    *(vp++) = I0[566] + CD2*I1[419] + c4*I4[419] - c7*I7[419];
    *(vp++) = I0[420] + CD0*I1[420] + c2*I2[420] - c5*I5[420];
    *(vp++) = I0[421] + CD0*I1[421] + c2*I2[421] - c5*I5[421];
    *(vp++) = I0[422] + CD0*I1[422] + c2*I2[422] - c5*I5[422];
    *(vp++) = I0[423] + CD0*I1[423] + c2*I2[423] - c5*I5[423];
    *(vp++) = I0[424] + CD0*I1[424] + c2*I2[424] - c5*I5[424];
    *(vp++) = I0[425] + CD0*I1[425] + c2*I2[425] - c5*I5[425];
    *(vp++) = I0[426] + CD0*I1[426] + c2*I2[426] - c5*I5[426];
    *(vp++) = I0[427] + CD0*I1[427] + c2*I2[427] - c5*I5[427];
    *(vp++) = I0[428] + CD0*I1[428] + c2*I2[428] - c5*I5[428];
    *(vp++) = I0[429] + CD0*I1[429] + c2*I2[429] - c5*I5[429];
    *(vp++) = I0[430] + CD0*I1[430] + c2*I2[430] - c5*I5[430];
    *(vp++) = I0[431] + CD0*I1[431] + c2*I2[431] - c5*I5[431];
    *(vp++) = I0[432] + CD0*I1[432] + c2*I2[432] - c5*I5[432];
    *(vp++) = I0[433] + CD0*I1[433] + c2*I2[433] - c5*I5[433];
    *(vp++) = I0[434] + CD0*I1[434] + c2*I2[434] - c5*I5[434];
    *(vp++) = I0[435] + CD0*I1[435] + c2*I2[435] - c5*I5[435];
    *(vp++) = I0[436] + CD0*I1[436] + c2*I2[436] - c5*I5[436];
    *(vp++) = I0[437] + CD0*I1[437] + c2*I2[437] - c5*I5[437];
    *(vp++) = I0[438] + CD0*I1[438] + c2*I2[438] - c5*I5[438];
    *(vp++) = I0[439] + CD0*I1[439] + c2*I2[439] - c5*I5[439];
    *(vp++) = I0[440] + CD0*I1[440] + c2*I2[440] - c5*I5[440];
    *(vp++) = I0[561] + CD1*I1[435] + c3*I3[435] - c6*I6[435];
    *(vp++) = I0[562] + CD1*I1[436] + c3*I3[436] - c6*I6[436];
    *(vp++) = I0[563] + CD1*I1[437] + c3*I3[437] - c6*I6[437];
    *(vp++) = I0[564] + CD1*I1[438] + c3*I3[438] - c6*I6[438];
    *(vp++) = I0[565] + CD1*I1[439] + c3*I3[439] - c6*I6[439];
    *(vp++) = I0[566] + CD1*I1[440] + c3*I3[440] - c6*I6[440];
    *(vp++) = I0[587] + CD2*I1[440] + c4*I4[440] - c7*I7[440];
    I0 += 588;
    I1 += 441;
    I2 += 441;
    I3 += 441;
    I4 += 441;
    I5 += 441;
    I6 += 441;
    I7 += 441;
  }
}
