#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fdid(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fd|id) integrals */

void d1hrr_order_fdid(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][8][11] = int_stack + 640;
 Libderiv->deriv_classes[4][6][11] = int_stack + 1090;
 Libderiv->deriv_classes[4][7][11] = int_stack + 1510;
 Libderiv->deriv_classes[4][8][11] = int_stack + 2050;
 Libderiv->deriv_classes[5][6][11] = int_stack + 2725;
 Libderiv->deriv_classes[5][7][11] = int_stack + 3313;
 Libderiv->deriv_classes[5][8][11] = int_stack + 4069;
 Libderiv->deriv_classes[3][6][10] = int_stack + 5014;
 Libderiv->deriv_classes[3][7][10] = int_stack + 5294;
 Libderiv->deriv_classes[3][8][10] = int_stack + 5654;
 Libderiv->deriv_classes[4][6][10] = int_stack + 6104;
 Libderiv->deriv_classes[4][7][10] = int_stack + 6524;
 Libderiv->deriv_classes[4][8][10] = int_stack + 7064;
 Libderiv->deriv_classes[5][6][10] = int_stack + 7739;
 Libderiv->deriv_classes[5][7][10] = int_stack + 8327;
 Libderiv->deriv_classes[5][8][10] = int_stack + 9083;
 Libderiv->deriv_classes[3][6][9] = int_stack + 10028;
 Libderiv->deriv_classes[3][7][9] = int_stack + 10308;
 Libderiv->deriv_classes[3][8][9] = int_stack + 10668;
 Libderiv->deriv_classes[4][6][9] = int_stack + 11118;
 Libderiv->deriv_classes[4][7][9] = int_stack + 11538;
 Libderiv->deriv_classes[4][8][9] = int_stack + 12078;
 Libderiv->deriv_classes[5][6][9] = int_stack + 12753;
 Libderiv->deriv_classes[5][7][9] = int_stack + 13341;
 Libderiv->deriv_classes[5][8][9] = int_stack + 14097;
 Libderiv->deriv_classes[3][6][8] = int_stack + 15042;
 Libderiv->deriv_classes[3][7][8] = int_stack + 15322;
 Libderiv->deriv_classes[3][8][8] = int_stack + 15682;
 Libderiv->deriv_classes[4][6][8] = int_stack + 16132;
 Libderiv->deriv_classes[4][7][8] = int_stack + 16552;
 Libderiv->deriv_classes[4][8][8] = int_stack + 17092;
 Libderiv->deriv_classes[5][6][8] = int_stack + 17767;
 Libderiv->deriv_classes[5][7][8] = int_stack + 18355;
 Libderiv->deriv_classes[5][8][8] = int_stack + 19111;
 Libderiv->deriv_classes[3][6][7] = int_stack + 20056;
 Libderiv->deriv_classes[3][7][7] = int_stack + 20336;
 Libderiv->deriv_classes[3][8][7] = int_stack + 20696;
 Libderiv->deriv_classes[4][6][7] = int_stack + 21146;
 Libderiv->deriv_classes[4][7][7] = int_stack + 21566;
 Libderiv->deriv_classes[4][8][7] = int_stack + 22106;
 Libderiv->deriv_classes[5][6][7] = int_stack + 22781;
 Libderiv->deriv_classes[5][7][7] = int_stack + 23369;
 Libderiv->deriv_classes[5][8][7] = int_stack + 24125;
 Libderiv->deriv_classes[3][6][6] = int_stack + 25070;
 Libderiv->deriv_classes[3][7][6] = int_stack + 25350;
 Libderiv->deriv_classes[3][8][6] = int_stack + 25710;
 Libderiv->deriv_classes[4][6][6] = int_stack + 26160;
 Libderiv->deriv_classes[4][7][6] = int_stack + 26580;
 Libderiv->deriv_classes[4][8][6] = int_stack + 27120;
 Libderiv->dvrr_classes[5][6] = int_stack + 27795;
 Libderiv->deriv_classes[5][6][6] = int_stack + 28383;
 Libderiv->dvrr_classes[5][7] = int_stack + 28971;
 Libderiv->deriv_classes[5][7][6] = int_stack + 29727;
 Libderiv->deriv_classes[5][8][6] = int_stack + 30483;
 Libderiv->deriv_classes[3][6][2] = int_stack + 31428;
 Libderiv->deriv_classes[3][7][2] = int_stack + 31708;
 Libderiv->deriv_classes[3][8][2] = int_stack + 32068;
 Libderiv->deriv_classes[4][6][2] = int_stack + 32518;
 Libderiv->deriv_classes[4][7][2] = int_stack + 32938;
 Libderiv->deriv_classes[4][8][2] = int_stack + 33478;
 Libderiv->deriv_classes[5][6][2] = int_stack + 34153;
 Libderiv->deriv_classes[5][7][2] = int_stack + 34741;
 Libderiv->deriv_classes[5][8][2] = int_stack + 35497;
 Libderiv->deriv_classes[3][6][1] = int_stack + 36442;
 Libderiv->deriv_classes[3][7][1] = int_stack + 36722;
 Libderiv->deriv_classes[3][8][1] = int_stack + 37082;
 Libderiv->deriv_classes[4][6][1] = int_stack + 37532;
 Libderiv->deriv_classes[4][7][1] = int_stack + 37952;
 Libderiv->deriv_classes[4][8][1] = int_stack + 38492;
 Libderiv->deriv_classes[5][6][1] = int_stack + 39167;
 Libderiv->deriv_classes[5][7][1] = int_stack + 39755;
 Libderiv->deriv_classes[5][8][1] = int_stack + 40511;
 Libderiv->dvrr_classes[3][6] = int_stack + 41456;
 Libderiv->dvrr_classes[3][7] = int_stack + 41736;
 Libderiv->dvrr_classes[3][8] = int_stack + 42096;
 Libderiv->deriv_classes[3][6][0] = int_stack + 42546;
 Libderiv->deriv_classes[3][7][0] = int_stack + 42826;
 Libderiv->deriv_classes[3][8][0] = int_stack + 43186;
 Libderiv->dvrr_classes[4][6] = int_stack + 43636;
 Libderiv->dvrr_classes[4][7] = int_stack + 44056;
 Libderiv->dvrr_classes[4][8] = int_stack + 44596;
 Libderiv->deriv_classes[4][6][0] = int_stack + 45271;
 Libderiv->deriv_classes[4][7][0] = int_stack + 45691;
 Libderiv->deriv_classes[4][8][0] = int_stack + 46231;
 Libderiv->deriv_classes[5][6][0] = int_stack + 46906;
 Libderiv->deriv_classes[5][7][0] = int_stack + 47494;
 Libderiv->deriv_classes[5][8][0] = int_stack + 48250;
 memset(int_stack,0,393560);

 Libderiv->dvrr_stack = int_stack + 147883;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fdid(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+49195,int_stack+41736,int_stack+41456,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+50035,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41456,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+50875,int_stack+640,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41736,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+51955,int_stack+50875,int_stack+50035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49195,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+50035,int_stack+44056,int_stack+43636,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+53635,int_stack+1510,int_stack+1090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43636,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+54895,int_stack+2050,int_stack+1510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44056,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+54895,int_stack+53635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50035,15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+53635,int_stack+0,int_stack+51955,168);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+51295,int_stack+28971,int_stack+27795,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+58675,int_stack+3313,int_stack+2725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27795,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+60439,int_stack+4069,int_stack+3313, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28971,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+62707,int_stack+60439,int_stack+58675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51295,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+66235,int_stack+62707,int_stack+0,168);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+5294,int_stack+5014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41456, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+840,int_stack+5654,int_stack+5294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41736, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1920,int_stack+840,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49195, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+6524,int_stack+6104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43636, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3600,int_stack+7064,int_stack+6524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44056, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+58675,int_stack+3600,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50035, 0.0, zero_stack,15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+61195,int_stack+58675,int_stack+1920,168);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+8327,int_stack+7739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27795, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1764,int_stack+9083,int_stack+8327, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28971, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4032,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51295, 0.0, zero_stack,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+73795,int_stack+4032,int_stack+58675,168);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+58675,int_stack+10308,int_stack+10028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41456, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+59515,int_stack+10668,int_stack+10308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41736, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+59515,int_stack+58675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49195, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+58675,int_stack+11538,int_stack+11118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43636, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1680,int_stack+12078,int_stack+11538, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44056, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3300,int_stack+1680,int_stack+58675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50035, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+5820,int_stack+3300,int_stack+0,168);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+13341,int_stack+12753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27795, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+58675,int_stack+14097,int_stack+13341, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28971, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10860,int_stack+58675,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51295, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+81355,int_stack+10860,int_stack+3300,168);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10860,int_stack+15322,int_stack+15042, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11700,int_stack+15682,int_stack+15322, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12780,int_stack+11700,int_stack+10860, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+49195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10860,int_stack+16552,int_stack+16132, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+43636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+14460,int_stack+17092,int_stack+16552, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+44056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+58675,int_stack+14460,int_stack+10860, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+50035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+58675,int_stack+12780,168);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10860,int_stack+18355,int_stack+17767, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12624,int_stack+19111,int_stack+18355, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+14892,int_stack+12624,int_stack+10860, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+51295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+88915,int_stack+14892,int_stack+58675,168);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+58675,int_stack+20336,int_stack+20056, 0.0, zero_stack, 1.0, int_stack+41456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+59515,int_stack+20696,int_stack+20336, 0.0, zero_stack, 1.0, int_stack+41736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10860,int_stack+59515,int_stack+58675, 0.0, zero_stack, 1.0, int_stack+49195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+58675,int_stack+21566,int_stack+21146, 0.0, zero_stack, 1.0, int_stack+43636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12540,int_stack+22106,int_stack+21566, 0.0, zero_stack, 1.0, int_stack+44056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+14160,int_stack+12540,int_stack+58675, 0.0, zero_stack, 1.0, int_stack+50035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+16680,int_stack+14160,int_stack+10860,168);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10860,int_stack+23369,int_stack+22781, 0.0, zero_stack, 1.0, int_stack+27795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+58675,int_stack+24125,int_stack+23369, 0.0, zero_stack, 1.0, int_stack+28971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+96475,int_stack+58675,int_stack+10860, 0.0, zero_stack, 1.0, int_stack+51295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+100003,int_stack+96475,int_stack+14160,168);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+96475,int_stack+25350,int_stack+25070, 1.0, int_stack+41456, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+97315,int_stack+25710,int_stack+25350, 1.0, int_stack+41736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10860,int_stack+97315,int_stack+96475, 1.0, int_stack+49195, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+96475,int_stack+26580,int_stack+26160, 1.0, int_stack+43636, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+97735,int_stack+27120,int_stack+26580, 1.0, int_stack+44056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+58675,int_stack+97735,int_stack+96475, 1.0, int_stack+50035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+21720,int_stack+58675,int_stack+10860,168);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+10860,int_stack+29727,int_stack+28383, 1.0, int_stack+27795, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12624,int_stack+30483,int_stack+29727, 1.0, int_stack+28971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+96475,int_stack+12624,int_stack+10860, 1.0, int_stack+51295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+107563,int_stack+96475,int_stack+58675,168);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+58675,int_stack+42096,int_stack+41736,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+96475,int_stack+58675,int_stack+49195,10);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+58675,int_stack+44596,int_stack+44056,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+10860,int_stack+58675,int_stack+50035,15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+115123,int_stack+10860,int_stack+96475,168);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+58675,int_stack+31708,int_stack+31428,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+59515,int_stack+32068,int_stack+31708,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+49195,int_stack+59515,int_stack+58675,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+58675,int_stack+32938,int_stack+32518,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+50875,int_stack+33478,int_stack+32938,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+13380,int_stack+50875,int_stack+58675,15);
 /*--- compute (fp|id) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+26760,int_stack+13380,int_stack+49195, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+49195,int_stack+34741,int_stack+34153,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+50959,int_stack+35497,int_stack+34741,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+31800,int_stack+50959,int_stack+49195,21);
 /*--- compute (gp|id) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+120163,int_stack+31800,int_stack+13380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+13380,int_stack+36722,int_stack+36442,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+14220,int_stack+37082,int_stack+36722,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+31800,int_stack+14220,int_stack+13380,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+13380,int_stack+37952,int_stack+37532,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+14640,int_stack+38492,int_stack+37952,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+58675,int_stack+14640,int_stack+13380,15);
 /*--- compute (fp|id) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+33480,int_stack+58675,int_stack+31800, 0.0, zero_stack, 1.0, int_stack+96475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+13380,int_stack+39755,int_stack+39167,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+49195,int_stack+40511,int_stack+39755,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+38520,int_stack+49195,int_stack+13380,21);
 /*--- compute (gp|id) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+127723,int_stack+38520,int_stack+58675, 0.0, zero_stack, 1.0, int_stack+10860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+58675,int_stack+42826,int_stack+42546,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+59515,int_stack+43186,int_stack+42826,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+31800,int_stack+59515,int_stack+58675,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+58675,int_stack+45691,int_stack+45271,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+38520,int_stack+46231,int_stack+45691,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+40140,int_stack+38520,int_stack+58675,15);
 /*--- compute (fp|id) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+135283,int_stack+40140,int_stack+31800, 1.0, int_stack+96475, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+96475,int_stack+47494,int_stack+46906,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+58675,int_stack+48250,int_stack+47494,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+42660,int_stack+58675,int_stack+96475,21);
 /*--- compute (gp|id) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+140323,int_stack+42660,int_stack+40140, 1.0, int_stack+10860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (fd|id) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+38520,int_stack+66235,int_stack+53635,168);
     Libderiv->ABCD[11] = int_stack + 38520;
 /*--- compute (fd|id) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+48600,int_stack+73795,int_stack+61195,168);
     Libderiv->ABCD[10] = int_stack + 48600;
 /*--- compute (fd|id) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+58680,int_stack+81355,int_stack+5820,168);
     Libderiv->ABCD[9] = int_stack + 58680;
 /*--- compute (fd|id) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+68760,int_stack+88915,int_stack+0,168);
     Libderiv->ABCD[8] = int_stack + 68760;
 /*--- compute (fd|id) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+0,int_stack+100003,int_stack+16680,168);
     Libderiv->ABCD[7] = int_stack + 0;
 /*--- compute (fd|id) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+10080,int_stack+107563,int_stack+21720,168);
     Libderiv->ABCD[6] = int_stack + 10080;
 /*--- compute (fd|id) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+78840,int_stack+120163,int_stack+26760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+115123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[2] = int_stack + 78840;
 /*--- compute (fd|id) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+20160,int_stack+127723,int_stack+33480, 0.0, zero_stack, 1.0, int_stack+115123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[1] = int_stack + 20160;
 /*--- compute (fd|id) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+120163,int_stack+140323,int_stack+135283, 1.0, int_stack+115123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[0] = int_stack + 120163;

}
