#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_gghg(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gg|hg) integrals */

void d1hrr_order_gghg(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][5][11] = int_stack + 0;
 Libderiv->deriv_classes[4][6][11] = int_stack + 315;
 Libderiv->deriv_classes[4][7][11] = int_stack + 735;
 Libderiv->deriv_classes[4][8][11] = int_stack + 1275;
 Libderiv->deriv_classes[4][9][11] = int_stack + 1950;
 Libderiv->deriv_classes[5][5][11] = int_stack + 2775;
 Libderiv->deriv_classes[5][6][11] = int_stack + 3216;
 Libderiv->deriv_classes[5][7][11] = int_stack + 3804;
 Libderiv->deriv_classes[5][8][11] = int_stack + 4560;
 Libderiv->deriv_classes[5][9][11] = int_stack + 5505;
 Libderiv->deriv_classes[6][5][11] = int_stack + 6660;
 Libderiv->deriv_classes[6][6][11] = int_stack + 7248;
 Libderiv->deriv_classes[6][7][11] = int_stack + 8032;
 Libderiv->deriv_classes[6][8][11] = int_stack + 9040;
 Libderiv->deriv_classes[6][9][11] = int_stack + 10300;
 Libderiv->deriv_classes[7][5][11] = int_stack + 11840;
 Libderiv->deriv_classes[7][6][11] = int_stack + 12596;
 Libderiv->deriv_classes[7][7][11] = int_stack + 13604;
 Libderiv->deriv_classes[7][8][11] = int_stack + 14900;
 Libderiv->deriv_classes[7][9][11] = int_stack + 16520;
 Libderiv->deriv_classes[8][5][11] = int_stack + 18500;
 Libderiv->deriv_classes[8][6][11] = int_stack + 19445;
 Libderiv->deriv_classes[8][7][11] = int_stack + 20705;
 Libderiv->deriv_classes[8][8][11] = int_stack + 22325;
 Libderiv->deriv_classes[8][9][11] = int_stack + 24350;
 Libderiv->deriv_classes[4][5][10] = int_stack + 26825;
 Libderiv->deriv_classes[4][6][10] = int_stack + 27140;
 Libderiv->deriv_classes[4][7][10] = int_stack + 27560;
 Libderiv->deriv_classes[4][8][10] = int_stack + 28100;
 Libderiv->deriv_classes[4][9][10] = int_stack + 28775;
 Libderiv->deriv_classes[5][5][10] = int_stack + 29600;
 Libderiv->deriv_classes[5][6][10] = int_stack + 30041;
 Libderiv->deriv_classes[5][7][10] = int_stack + 30629;
 Libderiv->deriv_classes[5][8][10] = int_stack + 31385;
 Libderiv->deriv_classes[5][9][10] = int_stack + 32330;
 Libderiv->deriv_classes[6][5][10] = int_stack + 33485;
 Libderiv->deriv_classes[6][6][10] = int_stack + 34073;
 Libderiv->deriv_classes[6][7][10] = int_stack + 34857;
 Libderiv->deriv_classes[6][8][10] = int_stack + 35865;
 Libderiv->deriv_classes[6][9][10] = int_stack + 37125;
 Libderiv->deriv_classes[7][5][10] = int_stack + 38665;
 Libderiv->deriv_classes[7][6][10] = int_stack + 39421;
 Libderiv->deriv_classes[7][7][10] = int_stack + 40429;
 Libderiv->deriv_classes[7][8][10] = int_stack + 41725;
 Libderiv->deriv_classes[7][9][10] = int_stack + 43345;
 Libderiv->deriv_classes[8][5][10] = int_stack + 45325;
 Libderiv->deriv_classes[8][6][10] = int_stack + 46270;
 Libderiv->deriv_classes[8][7][10] = int_stack + 47530;
 Libderiv->deriv_classes[8][8][10] = int_stack + 49150;
 Libderiv->deriv_classes[8][9][10] = int_stack + 51175;
 Libderiv->deriv_classes[4][5][9] = int_stack + 53650;
 Libderiv->deriv_classes[4][6][9] = int_stack + 53965;
 Libderiv->deriv_classes[4][7][9] = int_stack + 54385;
 Libderiv->deriv_classes[4][8][9] = int_stack + 54925;
 Libderiv->deriv_classes[4][9][9] = int_stack + 55600;
 Libderiv->deriv_classes[5][5][9] = int_stack + 56425;
 Libderiv->deriv_classes[5][6][9] = int_stack + 56866;
 Libderiv->deriv_classes[5][7][9] = int_stack + 57454;
 Libderiv->deriv_classes[5][8][9] = int_stack + 58210;
 Libderiv->deriv_classes[5][9][9] = int_stack + 59155;
 Libderiv->deriv_classes[6][5][9] = int_stack + 60310;
 Libderiv->deriv_classes[6][6][9] = int_stack + 60898;
 Libderiv->deriv_classes[6][7][9] = int_stack + 61682;
 Libderiv->deriv_classes[6][8][9] = int_stack + 62690;
 Libderiv->deriv_classes[6][9][9] = int_stack + 63950;
 Libderiv->deriv_classes[7][5][9] = int_stack + 65490;
 Libderiv->deriv_classes[7][6][9] = int_stack + 66246;
 Libderiv->deriv_classes[7][7][9] = int_stack + 67254;
 Libderiv->deriv_classes[7][8][9] = int_stack + 68550;
 Libderiv->deriv_classes[7][9][9] = int_stack + 70170;
 Libderiv->deriv_classes[8][5][9] = int_stack + 72150;
 Libderiv->deriv_classes[8][6][9] = int_stack + 73095;
 Libderiv->deriv_classes[8][7][9] = int_stack + 74355;
 Libderiv->deriv_classes[8][8][9] = int_stack + 75975;
 Libderiv->deriv_classes[8][9][9] = int_stack + 78000;
 Libderiv->deriv_classes[4][5][8] = int_stack + 80475;
 Libderiv->deriv_classes[4][6][8] = int_stack + 80790;
 Libderiv->deriv_classes[4][7][8] = int_stack + 81210;
 Libderiv->deriv_classes[4][8][8] = int_stack + 81750;
 Libderiv->deriv_classes[4][9][8] = int_stack + 82425;
 Libderiv->deriv_classes[5][5][8] = int_stack + 83250;
 Libderiv->deriv_classes[5][6][8] = int_stack + 83691;
 Libderiv->deriv_classes[5][7][8] = int_stack + 84279;
 Libderiv->deriv_classes[5][8][8] = int_stack + 85035;
 Libderiv->deriv_classes[5][9][8] = int_stack + 85980;
 Libderiv->deriv_classes[6][5][8] = int_stack + 87135;
 Libderiv->deriv_classes[6][6][8] = int_stack + 87723;
 Libderiv->deriv_classes[6][7][8] = int_stack + 88507;
 Libderiv->deriv_classes[6][8][8] = int_stack + 89515;
 Libderiv->deriv_classes[6][9][8] = int_stack + 90775;
 Libderiv->deriv_classes[7][5][8] = int_stack + 92315;
 Libderiv->deriv_classes[7][6][8] = int_stack + 93071;
 Libderiv->deriv_classes[7][7][8] = int_stack + 94079;
 Libderiv->deriv_classes[7][8][8] = int_stack + 95375;
 Libderiv->deriv_classes[7][9][8] = int_stack + 96995;
 Libderiv->deriv_classes[8][5][8] = int_stack + 98975;
 Libderiv->deriv_classes[8][6][8] = int_stack + 99920;
 Libderiv->deriv_classes[8][7][8] = int_stack + 101180;
 Libderiv->deriv_classes[8][8][8] = int_stack + 102800;
 Libderiv->deriv_classes[8][9][8] = int_stack + 104825;
 Libderiv->deriv_classes[4][5][7] = int_stack + 107300;
 Libderiv->deriv_classes[4][6][7] = int_stack + 107615;
 Libderiv->deriv_classes[4][7][7] = int_stack + 108035;
 Libderiv->deriv_classes[4][8][7] = int_stack + 108575;
 Libderiv->deriv_classes[4][9][7] = int_stack + 109250;
 Libderiv->deriv_classes[5][5][7] = int_stack + 110075;
 Libderiv->deriv_classes[5][6][7] = int_stack + 110516;
 Libderiv->deriv_classes[5][7][7] = int_stack + 111104;
 Libderiv->deriv_classes[5][8][7] = int_stack + 111860;
 Libderiv->deriv_classes[5][9][7] = int_stack + 112805;
 Libderiv->deriv_classes[6][5][7] = int_stack + 113960;
 Libderiv->deriv_classes[6][6][7] = int_stack + 114548;
 Libderiv->deriv_classes[6][7][7] = int_stack + 115332;
 Libderiv->deriv_classes[6][8][7] = int_stack + 116340;
 Libderiv->deriv_classes[6][9][7] = int_stack + 117600;
 Libderiv->deriv_classes[7][5][7] = int_stack + 119140;
 Libderiv->deriv_classes[7][6][7] = int_stack + 119896;
 Libderiv->deriv_classes[7][7][7] = int_stack + 120904;
 Libderiv->deriv_classes[7][8][7] = int_stack + 122200;
 Libderiv->deriv_classes[7][9][7] = int_stack + 123820;
 Libderiv->deriv_classes[8][5][7] = int_stack + 125800;
 Libderiv->deriv_classes[8][6][7] = int_stack + 126745;
 Libderiv->deriv_classes[8][7][7] = int_stack + 128005;
 Libderiv->deriv_classes[8][8][7] = int_stack + 129625;
 Libderiv->deriv_classes[8][9][7] = int_stack + 131650;
 Libderiv->deriv_classes[4][5][6] = int_stack + 134125;
 Libderiv->deriv_classes[4][6][6] = int_stack + 134440;
 Libderiv->deriv_classes[4][7][6] = int_stack + 134860;
 Libderiv->deriv_classes[4][8][6] = int_stack + 135400;
 Libderiv->deriv_classes[4][9][6] = int_stack + 136075;
 Libderiv->deriv_classes[5][5][6] = int_stack + 136900;
 Libderiv->deriv_classes[5][6][6] = int_stack + 137341;
 Libderiv->deriv_classes[5][7][6] = int_stack + 137929;
 Libderiv->deriv_classes[5][8][6] = int_stack + 138685;
 Libderiv->deriv_classes[5][9][6] = int_stack + 139630;
 Libderiv->deriv_classes[6][5][6] = int_stack + 140785;
 Libderiv->deriv_classes[6][6][6] = int_stack + 141373;
 Libderiv->deriv_classes[6][7][6] = int_stack + 142157;
 Libderiv->deriv_classes[6][8][6] = int_stack + 143165;
 Libderiv->deriv_classes[6][9][6] = int_stack + 144425;
 Libderiv->deriv_classes[7][5][6] = int_stack + 145965;
 Libderiv->deriv_classes[7][6][6] = int_stack + 146721;
 Libderiv->deriv_classes[7][7][6] = int_stack + 147729;
 Libderiv->deriv_classes[7][8][6] = int_stack + 149025;
 Libderiv->deriv_classes[7][9][6] = int_stack + 150645;
 Libderiv->dvrr_classes[8][5] = int_stack + 152625;
 Libderiv->deriv_classes[8][5][6] = int_stack + 153570;
 Libderiv->dvrr_classes[8][6] = int_stack + 154515;
 Libderiv->deriv_classes[8][6][6] = int_stack + 155775;
 Libderiv->dvrr_classes[8][7] = int_stack + 157035;
 Libderiv->deriv_classes[8][7][6] = int_stack + 158655;
 Libderiv->dvrr_classes[8][8] = int_stack + 160275;
 Libderiv->deriv_classes[8][8][6] = int_stack + 162300;
 Libderiv->deriv_classes[8][9][6] = int_stack + 164325;
 Libderiv->deriv_classes[4][5][2] = int_stack + 166800;
 Libderiv->deriv_classes[4][6][2] = int_stack + 167115;
 Libderiv->deriv_classes[4][7][2] = int_stack + 167535;
 Libderiv->deriv_classes[4][8][2] = int_stack + 168075;
 Libderiv->deriv_classes[4][9][2] = int_stack + 168750;
 Libderiv->deriv_classes[5][5][2] = int_stack + 169575;
 Libderiv->deriv_classes[5][6][2] = int_stack + 170016;
 Libderiv->deriv_classes[5][7][2] = int_stack + 170604;
 Libderiv->deriv_classes[5][8][2] = int_stack + 171360;
 Libderiv->deriv_classes[5][9][2] = int_stack + 172305;
 Libderiv->deriv_classes[6][5][2] = int_stack + 173460;
 Libderiv->deriv_classes[6][6][2] = int_stack + 174048;
 Libderiv->deriv_classes[6][7][2] = int_stack + 174832;
 Libderiv->deriv_classes[6][8][2] = int_stack + 175840;
 Libderiv->deriv_classes[6][9][2] = int_stack + 177100;
 Libderiv->deriv_classes[7][5][2] = int_stack + 178640;
 Libderiv->deriv_classes[7][6][2] = int_stack + 179396;
 Libderiv->deriv_classes[7][7][2] = int_stack + 180404;
 Libderiv->deriv_classes[7][8][2] = int_stack + 181700;
 Libderiv->deriv_classes[7][9][2] = int_stack + 183320;
 Libderiv->deriv_classes[8][5][2] = int_stack + 185300;
 Libderiv->deriv_classes[8][6][2] = int_stack + 186245;
 Libderiv->deriv_classes[8][7][2] = int_stack + 187505;
 Libderiv->deriv_classes[8][8][2] = int_stack + 189125;
 Libderiv->deriv_classes[8][9][2] = int_stack + 191150;
 Libderiv->deriv_classes[4][5][1] = int_stack + 193625;
 Libderiv->deriv_classes[4][6][1] = int_stack + 193940;
 Libderiv->deriv_classes[4][7][1] = int_stack + 194360;
 Libderiv->deriv_classes[4][8][1] = int_stack + 194900;
 Libderiv->deriv_classes[4][9][1] = int_stack + 195575;
 Libderiv->deriv_classes[5][5][1] = int_stack + 196400;
 Libderiv->deriv_classes[5][6][1] = int_stack + 196841;
 Libderiv->deriv_classes[5][7][1] = int_stack + 197429;
 Libderiv->deriv_classes[5][8][1] = int_stack + 198185;
 Libderiv->deriv_classes[5][9][1] = int_stack + 199130;
 Libderiv->deriv_classes[6][5][1] = int_stack + 200285;
 Libderiv->deriv_classes[6][6][1] = int_stack + 200873;
 Libderiv->deriv_classes[6][7][1] = int_stack + 201657;
 Libderiv->deriv_classes[6][8][1] = int_stack + 202665;
 Libderiv->deriv_classes[6][9][1] = int_stack + 203925;
 Libderiv->deriv_classes[7][5][1] = int_stack + 205465;
 Libderiv->deriv_classes[7][6][1] = int_stack + 206221;
 Libderiv->deriv_classes[7][7][1] = int_stack + 207229;
 Libderiv->deriv_classes[7][8][1] = int_stack + 208525;
 Libderiv->deriv_classes[7][9][1] = int_stack + 210145;
 Libderiv->deriv_classes[8][5][1] = int_stack + 212125;
 Libderiv->deriv_classes[8][6][1] = int_stack + 213070;
 Libderiv->deriv_classes[8][7][1] = int_stack + 214330;
 Libderiv->deriv_classes[8][8][1] = int_stack + 215950;
 Libderiv->deriv_classes[8][9][1] = int_stack + 217975;
 Libderiv->dvrr_classes[4][5] = int_stack + 220450;
 Libderiv->dvrr_classes[4][6] = int_stack + 220765;
 Libderiv->dvrr_classes[4][7] = int_stack + 221185;
 Libderiv->dvrr_classes[4][8] = int_stack + 221725;
 Libderiv->dvrr_classes[4][9] = int_stack + 222400;
 Libderiv->deriv_classes[4][5][0] = int_stack + 223225;
 Libderiv->deriv_classes[4][6][0] = int_stack + 223540;
 Libderiv->deriv_classes[4][7][0] = int_stack + 223960;
 Libderiv->deriv_classes[4][8][0] = int_stack + 224500;
 Libderiv->deriv_classes[4][9][0] = int_stack + 225175;
 Libderiv->dvrr_classes[5][5] = int_stack + 226000;
 Libderiv->dvrr_classes[5][6] = int_stack + 226441;
 Libderiv->dvrr_classes[5][7] = int_stack + 227029;
 Libderiv->dvrr_classes[5][8] = int_stack + 227785;
 Libderiv->dvrr_classes[5][9] = int_stack + 228730;
 Libderiv->deriv_classes[5][5][0] = int_stack + 229885;
 Libderiv->deriv_classes[5][6][0] = int_stack + 230326;
 Libderiv->deriv_classes[5][7][0] = int_stack + 230914;
 Libderiv->deriv_classes[5][8][0] = int_stack + 231670;
 Libderiv->deriv_classes[5][9][0] = int_stack + 232615;
 Libderiv->dvrr_classes[6][5] = int_stack + 233770;
 Libderiv->dvrr_classes[6][6] = int_stack + 234358;
 Libderiv->dvrr_classes[6][7] = int_stack + 235142;
 Libderiv->dvrr_classes[6][8] = int_stack + 236150;
 Libderiv->dvrr_classes[6][9] = int_stack + 237410;
 Libderiv->deriv_classes[6][5][0] = int_stack + 238950;
 Libderiv->deriv_classes[6][6][0] = int_stack + 239538;
 Libderiv->deriv_classes[6][7][0] = int_stack + 240322;
 Libderiv->deriv_classes[6][8][0] = int_stack + 241330;
 Libderiv->deriv_classes[6][9][0] = int_stack + 242590;
 Libderiv->dvrr_classes[7][5] = int_stack + 244130;
 Libderiv->dvrr_classes[7][6] = int_stack + 244886;
 Libderiv->dvrr_classes[7][7] = int_stack + 245894;
 Libderiv->dvrr_classes[7][8] = int_stack + 247190;
 Libderiv->dvrr_classes[7][9] = int_stack + 248810;
 Libderiv->deriv_classes[7][5][0] = int_stack + 250790;
 Libderiv->deriv_classes[7][6][0] = int_stack + 251546;
 Libderiv->deriv_classes[7][7][0] = int_stack + 252554;
 Libderiv->deriv_classes[7][8][0] = int_stack + 253850;
 Libderiv->deriv_classes[7][9][0] = int_stack + 255470;
 Libderiv->deriv_classes[8][5][0] = int_stack + 257450;
 Libderiv->deriv_classes[8][6][0] = int_stack + 258395;
 Libderiv->deriv_classes[8][7][0] = int_stack + 259655;
 Libderiv->deriv_classes[8][8][0] = int_stack + 261275;
 Libderiv->deriv_classes[8][9][0] = int_stack + 263300;
 memset(int_stack,0,2126200);

 Libderiv->dvrr_stack = int_stack + 1491662;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_gghg(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+265775,int_stack+220765,int_stack+220450,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+266720,int_stack+221185,int_stack+220765,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+267980,int_stack+266720,int_stack+265775,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+269870,int_stack+221725,int_stack+221185,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+271490,int_stack+269870,int_stack+266720,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+274010,int_stack+271490,int_stack+267980,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+277160,int_stack+315,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220450,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+278105,int_stack+735,int_stack+315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220765,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+279365,int_stack+278105,int_stack+277160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+265775,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+281255,int_stack+1275,int_stack+735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221185,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+282875,int_stack+281255,int_stack+278105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266720,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+285395,int_stack+282875,int_stack+279365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+267980,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+277160,int_stack+1950,int_stack+1275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221725,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+288545,int_stack+277160,int_stack+281255, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269870,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+277160,int_stack+288545,int_stack+282875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271490,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+288545,int_stack+277160,int_stack+285395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+274010,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+277160,int_stack+226441,int_stack+226000,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+278483,int_stack+227029,int_stack+226441,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+280247,int_stack+278483,int_stack+277160,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+282893,int_stack+227785,int_stack+227029,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+293270,int_stack+282893,int_stack+278483,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+296798,int_stack+293270,int_stack+280247,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+285161,int_stack+3216,int_stack+2775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226000,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+286484,int_stack+3804,int_stack+3216, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226441,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+286484,int_stack+285161, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+277160,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+301208,int_stack+4560,int_stack+3804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227029,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+303476,int_stack+301208,int_stack+286484, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278483,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+307004,int_stack+303476,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280247,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+5505,int_stack+4560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227785,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+311414,int_stack+0,int_stack+301208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282893,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+311414,int_stack+303476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+293270,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+311414,int_stack+0,int_stack+307004, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296798,21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+318029,int_stack+311414,int_stack+288545,315);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+234358,int_stack+233770,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+235142,int_stack+234358,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+301208,int_stack+1764,int_stack+0,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+304736,int_stack+236150,int_stack+235142,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+285161,int_stack+304736,int_stack+1764,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+332204,int_stack+285161,int_stack+301208,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4116,int_stack+7248,int_stack+6660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+233770,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+307760,int_stack+8032,int_stack+7248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234358,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+338084,int_stack+307760,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4116,int_stack+9040,int_stack+8032, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235142,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+341612,int_stack+4116,int_stack+307760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+346316,int_stack+341612,int_stack+338084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301208,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+352196,int_stack+10300,int_stack+9040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236150,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+355976,int_stack+352196,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304736,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+362024,int_stack+355976,int_stack+341612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+285161,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+352196,int_stack+362024,int_stack+346316, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+332204,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+361016,int_stack+352196,int_stack+311414,315);
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+380861,int_stack+361016,int_stack+318029,315);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+4116,int_stack+244886,int_stack+244130,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+6384,int_stack+245894,int_stack+244886,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+338084,int_stack+6384,int_stack+4116,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+342620,int_stack+247190,int_stack+245894,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+307760,int_stack+342620,int_stack+6384,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+313808,int_stack+307760,int_stack+338084,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9408,int_stack+12596,int_stack+11840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244130,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+346508,int_stack+13604,int_stack+12596, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244886,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+321368,int_stack+346508,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4116,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+9408,int_stack+14900,int_stack+13604, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+245894,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+325904,int_stack+9408,int_stack+346508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6384,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+409211,int_stack+325904,int_stack+321368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338084,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+346508,int_stack+16520,int_stack+14900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247190,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+416771,int_stack+346508,int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342620,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+424547,int_stack+416771,int_stack+325904, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+307760,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+434627,int_stack+424547,int_stack+409211, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313808,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+445967,int_stack+434627,int_stack+352196,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+472427,int_stack+445967,int_stack+361016,315);
 /*--- compute (gf|hg) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+512117,int_stack+472427,int_stack+380861,315);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+9408,int_stack+154515,int_stack+152625,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+12243,int_stack+157035,int_stack+154515,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+346508,int_stack+12243,int_stack+9408,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+352178,int_stack+160275,int_stack+157035,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+357038,int_stack+352178,int_stack+12243,45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+364598,int_stack+357038,int_stack+346508,45);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+374048,int_stack+19445,int_stack+18500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152625,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+376883,int_stack+20705,int_stack+19445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154515,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+380663,int_stack+376883,int_stack+374048, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9408,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+386333,int_stack+22325,int_stack+20705, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157035,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+391193,int_stack+386333,int_stack+376883, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12243,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+398753,int_stack+391193,int_stack+380663, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+346508,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+374048,int_stack+24350,int_stack+22325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160275,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+16023,int_stack+374048,int_stack+386333, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+352178,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+374048,int_stack+16023,int_stack+391193, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+357038,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+408203,int_stack+374048,int_stack+398753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+364598,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+374048,int_stack+408203,int_stack+434627,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+559367,int_stack+374048,int_stack+445967,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+374048,int_stack+559367,int_stack+472427,315);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+559367,int_stack+27140,int_stack+26825, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220450, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+560312,int_stack+27560,int_stack+27140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220765, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+561572,int_stack+560312,int_stack+559367, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+265775, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+563462,int_stack+28100,int_stack+27560, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221185, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+565082,int_stack+563462,int_stack+560312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266720, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+567602,int_stack+565082,int_stack+561572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+267980, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+559367,int_stack+28775,int_stack+28100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221725, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+570752,int_stack+559367,int_stack+563462, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269870, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+559367,int_stack+570752,int_stack+565082, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271490, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+570752,int_stack+559367,int_stack+567602, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+274010, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+559367,int_stack+30041,int_stack+29600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226000, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+560690,int_stack+30629,int_stack+30041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226441, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+562454,int_stack+560690,int_stack+559367, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+277160, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+565100,int_stack+31385,int_stack+30629, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227029, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+575477,int_stack+565100,int_stack+560690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278483, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+579005,int_stack+575477,int_stack+562454, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280247, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+559367,int_stack+32330,int_stack+31385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227785, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+583415,int_stack+559367,int_stack+565100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282893, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+559367,int_stack+583415,int_stack+575477, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+293270, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+583415,int_stack+559367,int_stack+579005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296798, 0.0, zero_stack,21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+590030,int_stack+583415,int_stack+570752,315);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+559367,int_stack+34073,int_stack+33485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+233770, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+561131,int_stack+34857,int_stack+34073, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234358, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+563483,int_stack+561131,int_stack+559367, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+567011,int_stack+35865,int_stack+34857, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235142, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+570035,int_stack+567011,int_stack+561131, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+574739,int_stack+570035,int_stack+563483, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301208, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+559367,int_stack+37125,int_stack+35865, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236150, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+604205,int_stack+559367,int_stack+567011, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304736, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+559367,int_stack+604205,int_stack+570035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+285161, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+440198,int_stack+559367,int_stack+574739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+332204, 0.0, zero_stack,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+559367,int_stack+440198,int_stack+583415,315);
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+449018,int_stack+559367,int_stack+590030,315);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+579212,int_stack+39421,int_stack+38665, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244130, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+581480,int_stack+40429,int_stack+39421, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244886, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+584504,int_stack+581480,int_stack+579212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4116, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+589040,int_stack+41725,int_stack+40429, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+245894, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+592928,int_stack+589040,int_stack+581480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6384, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+598976,int_stack+592928,int_stack+584504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338084, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+579212,int_stack+43345,int_stack+41725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247190, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+477368,int_stack+579212,int_stack+589040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342620, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+579212,int_stack+477368,int_stack+592928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+307760, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+477368,int_stack+579212,int_stack+598976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313808, 0.0, zero_stack,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+579212,int_stack+477368,int_stack+440198,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+605672,int_stack+579212,int_stack+559367,315);
 /*--- compute (gf|hg) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+645362,int_stack+605672,int_stack+449018,315);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+559367,int_stack+46270,int_stack+45325, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152625, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+562202,int_stack+47530,int_stack+46270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154515, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+565982,int_stack+562202,int_stack+559367, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9408, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+571652,int_stack+49150,int_stack+47530, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157035, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+440198,int_stack+571652,int_stack+562202, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12243, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+447758,int_stack+440198,int_stack+565982, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+346508, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+559367,int_stack+51175,int_stack+49150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160275, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+457208,int_stack+559367,int_stack+571652, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+352178, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+559367,int_stack+457208,int_stack+440198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+357038, 0.0, zero_stack,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+457208,int_stack+559367,int_stack+447758, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+364598, 0.0, zero_stack,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+16023,int_stack+457208,int_stack+477368,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+440198,int_stack+16023,int_stack+579212,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+692612,int_stack+440198,int_stack+605672,315);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+440198,int_stack+53965,int_stack+53650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220450, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+441143,int_stack+54385,int_stack+53965, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220765, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+442403,int_stack+441143,int_stack+440198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+265775, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+444293,int_stack+54925,int_stack+54385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221185, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+445913,int_stack+444293,int_stack+441143, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266720, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+448433,int_stack+445913,int_stack+442403, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+267980, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+440198,int_stack+55600,int_stack+54925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221725, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+451583,int_stack+440198,int_stack+444293, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269870, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+440198,int_stack+451583,int_stack+445913, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271490, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+451583,int_stack+440198,int_stack+448433, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+274010, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+440198,int_stack+56866,int_stack+56425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226000, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+441521,int_stack+57454,int_stack+56866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226441, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+443285,int_stack+441521,int_stack+440198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+277160, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+445931,int_stack+58210,int_stack+57454, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227029, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+456308,int_stack+445931,int_stack+441521, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278483, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+459836,int_stack+456308,int_stack+443285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280247, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+440198,int_stack+59155,int_stack+58210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227785, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+464246,int_stack+440198,int_stack+445931, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282893, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+440198,int_stack+464246,int_stack+456308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+293270, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+464246,int_stack+440198,int_stack+459836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296798, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+470861,int_stack+464246,int_stack+451583,315);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+440198,int_stack+60898,int_stack+60310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+233770, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+441962,int_stack+61682,int_stack+60898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234358, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+444314,int_stack+441962,int_stack+440198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+447842,int_stack+62690,int_stack+61682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235142, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+450866,int_stack+447842,int_stack+441962, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+455570,int_stack+450866,int_stack+444314, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301208, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+440198,int_stack+63950,int_stack+62690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236150, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+485036,int_stack+440198,int_stack+447842, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304736, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+440198,int_stack+485036,int_stack+450866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+285161, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+485036,int_stack+440198,int_stack+455570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+332204, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+440198,int_stack+485036,int_stack+464246,315);
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+16023,int_stack+440198,int_stack+470861,315);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+460043,int_stack+66246,int_stack+65490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244130, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+462311,int_stack+67254,int_stack+66246, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244886, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+465335,int_stack+462311,int_stack+460043, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4116, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+469871,int_stack+68550,int_stack+67254, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+245894, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+473759,int_stack+469871,int_stack+462311, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6384, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+493856,int_stack+473759,int_stack+465335, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338084, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+460043,int_stack+70170,int_stack+68550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247190, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+501416,int_stack+460043,int_stack+469871, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342620, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+460043,int_stack+501416,int_stack+473759, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+307760, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+470123,int_stack+460043,int_stack+493856, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313808, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+44373,int_stack+470123,int_stack+485036,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+559367,int_stack+44373,int_stack+440198,315);
 /*--- compute (gf|hg) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+758762,int_stack+559367,int_stack+16023,315);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16023,int_stack+73095,int_stack+72150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152625, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+18858,int_stack+74355,int_stack+73095, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154515, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22638,int_stack+18858,int_stack+16023, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9408, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28308,int_stack+75975,int_stack+74355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157035, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+33168,int_stack+28308,int_stack+18858, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12243, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+440198,int_stack+33168,int_stack+22638, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+346508, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+16023,int_stack+78000,int_stack+75975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160275, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+449648,int_stack+16023,int_stack+28308, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+352178, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+16023,int_stack+449648,int_stack+33168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+357038, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+449648,int_stack+16023,int_stack+440198, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+364598, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+599057,int_stack+449648,int_stack+470123,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+440198,int_stack+599057,int_stack+44373,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+806012,int_stack+440198,int_stack+559367,315);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+559367,int_stack+80790,int_stack+80475, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+560312,int_stack+81210,int_stack+80790, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+561572,int_stack+560312,int_stack+559367, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+265775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+563462,int_stack+81750,int_stack+81210, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221185, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+565082,int_stack+563462,int_stack+560312, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+266720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+567602,int_stack+565082,int_stack+561572, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+267980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+559367,int_stack+82425,int_stack+81750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+221725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+570752,int_stack+559367,int_stack+563462, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+269870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+559367,int_stack+570752,int_stack+565082, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+271490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+570752,int_stack+559367,int_stack+567602, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+274010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+559367,int_stack+83691,int_stack+83250, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+560690,int_stack+84279,int_stack+83691, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+226441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+562454,int_stack+560690,int_stack+559367, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+277160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+565100,int_stack+85035,int_stack+84279, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+575477,int_stack+565100,int_stack+560690, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+278483, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+579005,int_stack+575477,int_stack+562454, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+280247, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+559367,int_stack+85980,int_stack+85035, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+227785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+583415,int_stack+559367,int_stack+565100, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+282893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+559367,int_stack+583415,int_stack+575477, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+293270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+583415,int_stack+559367,int_stack+579005, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+296798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+590030,int_stack+583415,int_stack+570752,315);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+559367,int_stack+87723,int_stack+87135, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+233770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+561131,int_stack+88507,int_stack+87723, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+234358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+563483,int_stack+561131,int_stack+559367, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+567011,int_stack+89515,int_stack+88507, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+235142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+570035,int_stack+567011,int_stack+561131, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+574739,int_stack+570035,int_stack+563483, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+301208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+559367,int_stack+90775,int_stack+89515, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+236150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+604205,int_stack+559367,int_stack+567011, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+304736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+559367,int_stack+604205,int_stack+570035, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+285161, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+604205,int_stack+559367,int_stack+574739, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+332204, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+559367,int_stack+604205,int_stack+583415,315);
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+613025,int_stack+559367,int_stack+590030,315);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+579212,int_stack+93071,int_stack+92315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+581480,int_stack+94079,int_stack+93071, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+244886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+584504,int_stack+581480,int_stack+579212, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+589040,int_stack+95375,int_stack+94079, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+245894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+592928,int_stack+589040,int_stack+581480, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+440198,int_stack+592928,int_stack+584504, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+338084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+579212,int_stack+96995,int_stack+95375, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+247190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+447758,int_stack+579212,int_stack+589040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+342620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+579212,int_stack+447758,int_stack+592928, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+307760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+447758,int_stack+579212,int_stack+440198, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+459098,int_stack+447758,int_stack+604205,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+16023,int_stack+459098,int_stack+559367,315);
 /*--- compute (gf|hg) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+559367,int_stack+16023,int_stack+613025,315);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+606617,int_stack+99920,int_stack+98975, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+152625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+609452,int_stack+101180,int_stack+99920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+154515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+613232,int_stack+609452,int_stack+606617, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+618902,int_stack+102800,int_stack+101180, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+440198,int_stack+618902,int_stack+609452, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12243, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+623762,int_stack+440198,int_stack+613232, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+346508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+606617,int_stack+104825,int_stack+102800, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+160275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+633212,int_stack+606617,int_stack+618902, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+352178, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+606617,int_stack+633212,int_stack+440198, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+357038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+485558,int_stack+606617,int_stack+623762, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+364598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+606617,int_stack+485558,int_stack+447758,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+872162,int_stack+606617,int_stack+459098,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+440198,int_stack+872162,int_stack+16023,315);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16023,int_stack+107615,int_stack+107300, 0.0, zero_stack, 1.0, int_stack+220450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+16968,int_stack+108035,int_stack+107615, 0.0, zero_stack, 1.0, int_stack+220765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+18228,int_stack+16968,int_stack+16023, 0.0, zero_stack, 1.0, int_stack+265775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+20118,int_stack+108575,int_stack+108035, 0.0, zero_stack, 1.0, int_stack+221185, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+21738,int_stack+20118,int_stack+16968, 0.0, zero_stack, 1.0, int_stack+266720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+24258,int_stack+21738,int_stack+18228, 0.0, zero_stack, 1.0, int_stack+267980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+16023,int_stack+109250,int_stack+108575, 0.0, zero_stack, 1.0, int_stack+221725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+27408,int_stack+16023,int_stack+20118, 0.0, zero_stack, 1.0, int_stack+269870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+16023,int_stack+27408,int_stack+21738, 0.0, zero_stack, 1.0, int_stack+271490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+27408,int_stack+16023,int_stack+24258, 0.0, zero_stack, 1.0, int_stack+274010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16023,int_stack+110516,int_stack+110075, 0.0, zero_stack, 1.0, int_stack+226000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+17346,int_stack+111104,int_stack+110516, 0.0, zero_stack, 1.0, int_stack+226441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19110,int_stack+17346,int_stack+16023, 0.0, zero_stack, 1.0, int_stack+277160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+21756,int_stack+111860,int_stack+111104, 0.0, zero_stack, 1.0, int_stack+227029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+32133,int_stack+21756,int_stack+17346, 0.0, zero_stack, 1.0, int_stack+278483, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+35661,int_stack+32133,int_stack+19110, 0.0, zero_stack, 1.0, int_stack+280247, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+16023,int_stack+112805,int_stack+111860, 0.0, zero_stack, 1.0, int_stack+227785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+40071,int_stack+16023,int_stack+21756, 0.0, zero_stack, 1.0, int_stack+282893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+16023,int_stack+40071,int_stack+32133, 0.0, zero_stack, 1.0, int_stack+293270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+40071,int_stack+16023,int_stack+35661, 0.0, zero_stack, 1.0, int_stack+296798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+46686,int_stack+40071,int_stack+27408,315);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16023,int_stack+114548,int_stack+113960, 0.0, zero_stack, 1.0, int_stack+233770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+17787,int_stack+115332,int_stack+114548, 0.0, zero_stack, 1.0, int_stack+234358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20139,int_stack+17787,int_stack+16023, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+23667,int_stack+116340,int_stack+115332, 0.0, zero_stack, 1.0, int_stack+235142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+26691,int_stack+23667,int_stack+17787, 0.0, zero_stack, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+31395,int_stack+26691,int_stack+20139, 0.0, zero_stack, 1.0, int_stack+301208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+16023,int_stack+117600,int_stack+116340, 0.0, zero_stack, 1.0, int_stack+236150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+60861,int_stack+16023,int_stack+23667, 0.0, zero_stack, 1.0, int_stack+304736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+16023,int_stack+60861,int_stack+26691, 0.0, zero_stack, 1.0, int_stack+285161, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+60861,int_stack+16023,int_stack+31395, 0.0, zero_stack, 1.0, int_stack+332204, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+16023,int_stack+60861,int_stack+40071,315);
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+69681,int_stack+16023,int_stack+46686,315);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+35868,int_stack+119896,int_stack+119140, 0.0, zero_stack, 1.0, int_stack+244130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+38136,int_stack+120904,int_stack+119896, 0.0, zero_stack, 1.0, int_stack+244886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+41160,int_stack+38136,int_stack+35868, 0.0, zero_stack, 1.0, int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+45696,int_stack+122200,int_stack+120904, 0.0, zero_stack, 1.0, int_stack+245894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+49584,int_stack+45696,int_stack+38136, 0.0, zero_stack, 1.0, int_stack+6384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+98031,int_stack+49584,int_stack+41160, 0.0, zero_stack, 1.0, int_stack+338084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+35868,int_stack+123820,int_stack+122200, 0.0, zero_stack, 1.0, int_stack+247190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+105591,int_stack+35868,int_stack+45696, 0.0, zero_stack, 1.0, int_stack+342620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+35868,int_stack+105591,int_stack+49584, 0.0, zero_stack, 1.0, int_stack+307760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+105591,int_stack+35868,int_stack+98031, 0.0, zero_stack, 1.0, int_stack+313808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+872162,int_stack+105591,int_stack+60861,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+898622,int_stack+872162,int_stack+16023,315);
 /*--- compute (gf|hg) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+16023,int_stack+898622,int_stack+69681,315);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+63273,int_stack+126745,int_stack+125800, 0.0, zero_stack, 1.0, int_stack+152625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+66108,int_stack+128005,int_stack+126745, 0.0, zero_stack, 1.0, int_stack+154515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+69888,int_stack+66108,int_stack+63273, 0.0, zero_stack, 1.0, int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+75558,int_stack+129625,int_stack+128005, 0.0, zero_stack, 1.0, int_stack+157035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+80418,int_stack+75558,int_stack+66108, 0.0, zero_stack, 1.0, int_stack+12243, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+87978,int_stack+80418,int_stack+69888, 0.0, zero_stack, 1.0, int_stack+346508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+63273,int_stack+131650,int_stack+129625, 0.0, zero_stack, 1.0, int_stack+160275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+116931,int_stack+63273,int_stack+75558, 0.0, zero_stack, 1.0, int_stack+352178, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+63273,int_stack+116931,int_stack+80418, 0.0, zero_stack, 1.0, int_stack+357038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+116931,int_stack+63273,int_stack+87978, 0.0, zero_stack, 1.0, int_stack+364598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+63273,int_stack+116931,int_stack+105591,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+938312,int_stack+63273,int_stack+872162,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+63273,int_stack+938312,int_stack+898622,315);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+872162,int_stack+134440,int_stack+134125, 1.0, int_stack+220450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+873107,int_stack+134860,int_stack+134440, 1.0, int_stack+220765, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+874367,int_stack+873107,int_stack+872162, 1.0, int_stack+265775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+876257,int_stack+135400,int_stack+134860, 1.0, int_stack+221185, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+877877,int_stack+876257,int_stack+873107, 1.0, int_stack+266720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+880397,int_stack+877877,int_stack+874367, 1.0, int_stack+267980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+265775,int_stack+136075,int_stack+135400, 1.0, int_stack+221725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+872162,int_stack+265775,int_stack+876257, 1.0, int_stack+269870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+883547,int_stack+872162,int_stack+877877, 1.0, int_stack+271490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+872162,int_stack+883547,int_stack+880397, 1.0, int_stack+274010, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+876887,int_stack+137341,int_stack+136900, 1.0, int_stack+226000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+878210,int_stack+137929,int_stack+137341, 1.0, int_stack+226441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+879974,int_stack+878210,int_stack+876887, 1.0, int_stack+277160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+882620,int_stack+138685,int_stack+137929, 1.0, int_stack+227029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+884888,int_stack+882620,int_stack+878210, 1.0, int_stack+278483, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+888416,int_stack+884888,int_stack+879974, 1.0, int_stack+280247, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+277160,int_stack+139630,int_stack+138685, 1.0, int_stack+227785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+876887,int_stack+277160,int_stack+882620, 1.0, int_stack+282893, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+892826,int_stack+876887,int_stack+884888, 1.0, int_stack+293270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+876887,int_stack+892826,int_stack+888416, 1.0, int_stack+296798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+883502,int_stack+876887,int_stack+872162,315);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+872162,int_stack+141373,int_stack+140785, 1.0, int_stack+233770, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+873926,int_stack+142157,int_stack+141373, 1.0, int_stack+234358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+897677,int_stack+873926,int_stack+872162, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+901205,int_stack+143165,int_stack+142157, 1.0, int_stack+235142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+904229,int_stack+901205,int_stack+873926, 1.0, int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+908933,int_stack+904229,int_stack+897677, 1.0, int_stack+301208, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+144425,int_stack+143165, 1.0, int_stack+236150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+914813,int_stack+0,int_stack+901205, 1.0, int_stack+304736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+920861,int_stack+914813,int_stack+904229, 1.0, int_stack+285161, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+897677,int_stack+920861,int_stack+908933, 1.0, int_stack+332204, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+906497,int_stack+897677,int_stack+876887,315);
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+926342,int_stack+906497,int_stack+883502,315);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+146721,int_stack+145965, 1.0, int_stack+244130, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+301208,int_stack+147729,int_stack+146721, 1.0, int_stack+244886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+954692,int_stack+301208,int_stack+0, 1.0, int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+149025,int_stack+147729, 1.0, int_stack+245894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+959228,int_stack+0,int_stack+301208, 1.0, int_stack+6384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+965276,int_stack+959228,int_stack+954692, 1.0, int_stack+338084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+3888,int_stack+150645,int_stack+149025, 1.0, int_stack+247190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+972836,int_stack+3888,int_stack+0, 1.0, int_stack+342620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+980612,int_stack+972836,int_stack+959228, 1.0, int_stack+307760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+872162,int_stack+980612,int_stack+965276, 1.0, int_stack+313808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+954692,int_stack+872162,int_stack+897677,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+981152,int_stack+954692,int_stack+906497,315);
 /*--- compute (gf|hg) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1020842,int_stack+981152,int_stack+926342,315);
 /*--- compute (l0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+155775,int_stack+153570, 1.0, int_stack+152625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2835,int_stack+158655,int_stack+155775, 1.0, int_stack+154515, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+883502,int_stack+2835,int_stack+0, 1.0, int_stack+9408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+6615,int_stack+162300,int_stack+158655, 1.0, int_stack+157035, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+889172,int_stack+6615,int_stack+2835, 1.0, int_stack+12243, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+896732,int_stack+889172,int_stack+883502, 1.0, int_stack+346508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+164325,int_stack+162300, 1.0, int_stack+160275, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+906182,int_stack+0,int_stack+6615, 1.0, int_stack+352178, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+906182,int_stack+889172, 1.0, int_stack+357038, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+906182,int_stack+0,int_stack+896732, 1.0, int_stack+364598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+920357,int_stack+906182,int_stack+872162,315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+1068092,int_stack+920357,int_stack+954692,315);
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+872162,int_stack+1068092,int_stack+981152,315);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1068092,int_stack+222400,int_stack+221725,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1070117,int_stack+1068092,int_stack+269870,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1073357,int_stack+1070117,int_stack+271490,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1068092,int_stack+1073357,int_stack+274010,15);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1072817,int_stack+228730,int_stack+227785,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+338084,int_stack+1072817,int_stack+282893,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1072817,int_stack+338084,int_stack+293270,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1078697,int_stack+1072817,int_stack+296798,21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1085312,int_stack+1078697,int_stack+1068092,315);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1072817,int_stack+237410,int_stack+236150,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1099487,int_stack+1072817,int_stack+304736,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1105535,int_stack+1099487,int_stack+285161,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+938312,int_stack+1105535,int_stack+332204,28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+1099487,int_stack+938312,int_stack+1078697,315);
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+947132,int_stack+1099487,int_stack+1085312,315);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1072817,int_stack+248810,int_stack+247190,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+975482,int_stack+1072817,int_stack+342620,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+983258,int_stack+975482,int_stack+307760,36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+993338,int_stack+983258,int_stack+313808,36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+265775,int_stack+993338,int_stack+938312,315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+292235,int_stack+265775,int_stack+1099487,315);
 /*--- compute (gf|hg) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+1119332,int_stack+292235,int_stack+947132,315);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+975482,int_stack+167115,int_stack+166800,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+976427,int_stack+167535,int_stack+167115,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+977687,int_stack+976427,int_stack+975482,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+979577,int_stack+168075,int_stack+167535,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+981197,int_stack+979577,int_stack+976427,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+983717,int_stack+981197,int_stack+977687,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+975482,int_stack+168750,int_stack+168075,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+986867,int_stack+975482,int_stack+979577,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+975482,int_stack+986867,int_stack+981197,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+986867,int_stack+975482,int_stack+983717,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+975482,int_stack+170016,int_stack+169575,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+976805,int_stack+170604,int_stack+170016,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+978569,int_stack+976805,int_stack+975482,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+981215,int_stack+171360,int_stack+170604,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1072817,int_stack+981215,int_stack+976805,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1004678,int_stack+1072817,int_stack+978569,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+975482,int_stack+172305,int_stack+171360,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1009088,int_stack+975482,int_stack+981215,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+975482,int_stack+1009088,int_stack+1072817,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1009088,int_stack+975482,int_stack+1004678,21);
 /*--- compute (gp|hg) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+0,int_stack+1009088,int_stack+986867, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1068092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1004678,int_stack+174048,int_stack+173460,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1006442,int_stack+174832,int_stack+174048,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+975482,int_stack+1006442,int_stack+1004678,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+979010,int_stack+175840,int_stack+174832,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+982034,int_stack+979010,int_stack+1006442,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1072817,int_stack+982034,int_stack+975482,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1004678,int_stack+177100,int_stack+175840,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+986738,int_stack+1004678,int_stack+979010,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+331925,int_stack+986738,int_stack+982034,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+975482,int_stack+331925,int_stack+1072817,28);
 /*--- compute (hp|hg) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+331925,int_stack+975482,int_stack+1009088, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1078697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (gd|hg) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+129423,int_stack+331925,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1085312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+179396,int_stack+178640,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2268,int_stack+180404,int_stack+179396,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+5292,int_stack+2268,int_stack+0,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+9828,int_stack+181700,int_stack+180404,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+351770,int_stack+9828,int_stack+2268,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+357818,int_stack+351770,int_stack+5292,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+183320,int_stack+181700,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+365378,int_stack+0,int_stack+9828,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+365378,int_stack+351770,36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1004678,int_stack+0,int_stack+357818,36);
 /*--- compute (ip|hg) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+157773,int_stack+1004678,int_stack+975482, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+938312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hd|hg) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1166582,int_stack+157773,int_stack+331925, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1099487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (gf|hg) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+1206272,int_stack+1166582,int_stack+129423, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+947132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+129423,int_stack+186245,int_stack+185300,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+132258,int_stack+187505,int_stack+186245,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+136038,int_stack+132258,int_stack+129423,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+141708,int_stack+189125,int_stack+187505,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+146568,int_stack+141708,int_stack+132258,45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+331925,int_stack+146568,int_stack+136038,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+129423,int_stack+191150,int_stack+189125,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+341375,int_stack+129423,int_stack+141708,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+129423,int_stack+341375,int_stack+146568,45);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+341375,int_stack+129423,int_stack+331925,45);
 /*--- compute (kp|hg) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+606617,int_stack+341375,int_stack+1004678, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+993338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (id|hg) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+1253522,int_stack+606617,int_stack+157773, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+265775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hf|hg) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+1306442,int_stack+1253522,int_stack+1166582, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+292235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1166582,int_stack+193940,int_stack+193625,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1167527,int_stack+194360,int_stack+193940,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1168787,int_stack+1167527,int_stack+1166582,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1170677,int_stack+194900,int_stack+194360,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1172297,int_stack+1170677,int_stack+1167527,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1174817,int_stack+1172297,int_stack+1168787,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1166582,int_stack+195575,int_stack+194900,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1177967,int_stack+1166582,int_stack+1170677,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1166582,int_stack+1177967,int_stack+1172297,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1177967,int_stack+1166582,int_stack+1174817,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1166582,int_stack+196841,int_stack+196400,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1167905,int_stack+197429,int_stack+196841,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1169669,int_stack+1167905,int_stack+1166582,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1172315,int_stack+198185,int_stack+197429,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1182692,int_stack+1172315,int_stack+1167905,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1186220,int_stack+1182692,int_stack+1169669,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1166582,int_stack+199130,int_stack+198185,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1190630,int_stack+1166582,int_stack+1172315,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1072817,int_stack+1190630,int_stack+1182692,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1190630,int_stack+1072817,int_stack+1186220,21);
 /*--- compute (gp|hg) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1253522,int_stack+1190630,int_stack+1177967, 0.0, zero_stack, 1.0, int_stack+1068092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1072817,int_stack+200873,int_stack+200285,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1074581,int_stack+201657,int_stack+200873,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1197245,int_stack+1074581,int_stack+1072817,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1200773,int_stack+202665,int_stack+201657,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1166582,int_stack+1200773,int_stack+1074581,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1072817,int_stack+1166582,int_stack+1197245,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1171286,int_stack+203925,int_stack+202665,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1175066,int_stack+1171286,int_stack+1200773,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1197245,int_stack+1175066,int_stack+1166582,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1166582,int_stack+1197245,int_stack+1072817,28);
 /*--- compute (hp|hg) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+1267697,int_stack+1166582,int_stack+1190630, 0.0, zero_stack, 1.0, int_stack+1078697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (gd|hg) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+1175402,int_stack+1267697,int_stack+1253522, 0.0, zero_stack, 1.0, int_stack+1085312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1253522,int_stack+206221,int_stack+205465,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1255790,int_stack+207229,int_stack+206221,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1258814,int_stack+1255790,int_stack+1253522,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1263350,int_stack+208525,int_stack+207229,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1287542,int_stack+1263350,int_stack+1255790,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1293590,int_stack+1287542,int_stack+1258814,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1253522,int_stack+210145,int_stack+208525,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+606617,int_stack+1253522,int_stack+1263350,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1253522,int_stack+606617,int_stack+1287542,36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+606617,int_stack+1253522,int_stack+1293590,36);
 /*--- compute (ip|hg) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+617957,int_stack+606617,int_stack+1166582, 0.0, zero_stack, 1.0, int_stack+938312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hd|hg) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+331925,int_stack+617957,int_stack+1267697, 0.0, zero_stack, 1.0, int_stack+1099487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (gf|hg) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+1253522,int_stack+331925,int_stack+1175402, 0.0, zero_stack, 1.0, int_stack+947132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1166582,int_stack+213070,int_stack+212125,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1169417,int_stack+214330,int_stack+213070,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1300772,int_stack+1169417,int_stack+1166582,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1173197,int_stack+215950,int_stack+214330,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1178057,int_stack+1173197,int_stack+1169417,45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1185617,int_stack+1178057,int_stack+1300772,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1166582,int_stack+217975,int_stack+215950,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1195067,int_stack+1166582,int_stack+1173197,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1004678,int_stack+1195067,int_stack+1178057,45);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1166582,int_stack+1004678,int_stack+1185617,45);
 /*--- compute (kp|hg) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+129423,int_stack+1166582,int_stack+606617, 0.0, zero_stack, 1.0, int_stack+993338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (id|hg) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+163443,int_stack+129423,int_stack+617957, 0.0, zero_stack, 1.0, int_stack+265775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hf|hg) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+1372592,int_stack+163443,int_stack+331925, 0.0, zero_stack, 1.0, int_stack+292235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+331925,int_stack+223540,int_stack+223225,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+332870,int_stack+223960,int_stack+223540,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+334130,int_stack+332870,int_stack+331925,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+336020,int_stack+224500,int_stack+223960,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+337640,int_stack+336020,int_stack+332870,15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+340160,int_stack+337640,int_stack+334130,15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+331925,int_stack+225175,int_stack+224500,15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+343310,int_stack+331925,int_stack+336020,15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+331925,int_stack+343310,int_stack+337640,15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+343310,int_stack+331925,int_stack+340160,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+331925,int_stack+230326,int_stack+229885,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+333248,int_stack+230914,int_stack+230326,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+335012,int_stack+333248,int_stack+331925,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+337658,int_stack+231670,int_stack+230914,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+348035,int_stack+337658,int_stack+333248,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+351563,int_stack+348035,int_stack+335012,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+331925,int_stack+232615,int_stack+231670,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+355973,int_stack+331925,int_stack+337658,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1072817,int_stack+355973,int_stack+348035,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+355973,int_stack+1072817,int_stack+351563,21);
 /*--- compute (gp|hg) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+129423,int_stack+355973,int_stack+343310, 1.0, int_stack+1068092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1068092,int_stack+239538,int_stack+238950,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1069856,int_stack+240322,int_stack+239538,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1072208,int_stack+1069856,int_stack+1068092,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+362588,int_stack+241330,int_stack+240322,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+365612,int_stack+362588,int_stack+1069856,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+331925,int_stack+365612,int_stack+1072208,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1068092,int_stack+242590,int_stack+241330,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1071872,int_stack+1068092,int_stack+362588,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+337805,int_stack+1071872,int_stack+365612,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+362588,int_stack+337805,int_stack+331925,28);
 /*--- compute (hp|hg) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+331925,int_stack+362588,int_stack+355973, 1.0, int_stack+1078697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (gd|hg) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+143598,int_stack+331925,int_stack+129423, 1.0, int_stack+1085312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+129423,int_stack+251546,int_stack+250790,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+131691,int_stack+252554,int_stack+251546,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+134715,int_stack+131691,int_stack+129423,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+139251,int_stack+253850,int_stack+252554,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+351770,int_stack+139251,int_stack+131691,36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+1068092,int_stack+351770,int_stack+134715,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+129423,int_stack+255470,int_stack+253850,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1075652,int_stack+129423,int_stack+139251,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+129423,int_stack+1075652,int_stack+351770,36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+1075652,int_stack+129423,int_stack+1068092,36);
 /*--- compute (ip|hg) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+171948,int_stack+1075652,int_stack+362588, 1.0, int_stack+938312, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hd|hg) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+1166582,int_stack+171948,int_stack+331925, 1.0, int_stack+1099487, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (gf|hg) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+198408,int_stack+1166582,int_stack+143598, 1.0, int_stack+947132, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+331925,int_stack+258395,int_stack+257450,45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+334760,int_stack+259655,int_stack+258395,45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+1300772,int_stack+334760,int_stack+331925,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+338540,int_stack+261275,int_stack+259655,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1068092,int_stack+338540,int_stack+334760,45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+343400,int_stack+1068092,int_stack+1300772,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+331925,int_stack+263300,int_stack+261275,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+352850,int_stack+331925,int_stack+338540,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+938312,int_stack+352850,int_stack+1068092,45);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+352850,int_stack+938312,int_stack+343400,45);
 /*--- compute (kp|hg) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+938312,int_stack+352850,int_stack+1075652, 1.0, int_stack+993338, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (id|hg) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+1438742,int_stack+938312,int_stack+171948, 1.0, int_stack+265775, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (hf|hg) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+938312,int_stack+1438742,int_stack+1166582, 1.0, int_stack+292235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
 /*--- compute (gg|hg) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+245658,int_stack+374048,int_stack+512117,315);
     Libderiv->ABCD[11] = int_stack + 245658;
 /*--- compute (gg|hg) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+316533,int_stack+692612,int_stack+645362,315);
     Libderiv->ABCD[10] = int_stack + 316533;
 /*--- compute (gg|hg) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+606617,int_stack+806012,int_stack+758762,315);
     Libderiv->ABCD[9] = int_stack + 606617;
 /*--- compute (gg|hg) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+677492,int_stack+440198,int_stack+559367,315);
     Libderiv->ABCD[8] = int_stack + 677492;
 /*--- compute (gg|hg) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+387408,int_stack+63273,int_stack+16023,315);
     Libderiv->ABCD[7] = int_stack + 387408;
 /*--- compute (gg|hg) ---*/
   hrr1_build_gg(Libderiv->AB,int_stack+458283,int_stack+872162,int_stack+1020842,315);
     Libderiv->ABCD[6] = int_stack + 458283;
 /*--- compute (gg|hg) ---*/
   d1hrr1_build_gg(Libderiv->AB,int_stack+1004462,int_stack+1306442,int_stack+1206272, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1119332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[2] = int_stack + 1004462;
 /*--- compute (gg|hg) ---*/
   d1hrr1_build_gg(Libderiv->AB,int_stack+1166582,int_stack+1372592,int_stack+1253522, 0.0, zero_stack, 1.0, int_stack+1119332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[1] = int_stack + 1166582;
 /*--- compute (gg|hg) ---*/
   d1hrr1_build_gg(Libderiv->AB,int_stack+1237457,int_stack+938312,int_stack+198408, 1.0, int_stack+1119332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,315);
     Libderiv->ABCD[0] = int_stack + 1237457;

}
