#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_h0id(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|id) integrals */

void d1hrr_order_h0id(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][6][11] = int_stack + 0;
 Libderiv->deriv_classes[5][7][11] = int_stack + 588;
 Libderiv->deriv_classes[5][8][11] = int_stack + 1344;
 Libderiv->deriv_classes[5][6][10] = int_stack + 2289;
 Libderiv->deriv_classes[5][7][10] = int_stack + 2877;
 Libderiv->deriv_classes[5][8][10] = int_stack + 3633;
 Libderiv->deriv_classes[5][6][9] = int_stack + 4578;
 Libderiv->deriv_classes[5][7][9] = int_stack + 5166;
 Libderiv->deriv_classes[5][8][9] = int_stack + 5922;
 Libderiv->deriv_classes[5][6][8] = int_stack + 6867;
 Libderiv->deriv_classes[5][7][8] = int_stack + 7455;
 Libderiv->deriv_classes[5][8][8] = int_stack + 8211;
 Libderiv->deriv_classes[5][6][7] = int_stack + 9156;
 Libderiv->deriv_classes[5][7][7] = int_stack + 9744;
 Libderiv->deriv_classes[5][8][7] = int_stack + 10500;
 Libderiv->dvrr_classes[5][6] = int_stack + 11445;
 Libderiv->deriv_classes[5][6][6] = int_stack + 12033;
 Libderiv->dvrr_classes[5][7] = int_stack + 12621;
 Libderiv->deriv_classes[5][7][6] = int_stack + 13377;
 Libderiv->deriv_classes[5][8][6] = int_stack + 14133;
 Libderiv->deriv_classes[5][6][2] = int_stack + 15078;
 Libderiv->deriv_classes[5][7][2] = int_stack + 15666;
 Libderiv->deriv_classes[5][8][2] = int_stack + 16422;
 Libderiv->deriv_classes[5][6][1] = int_stack + 17367;
 Libderiv->deriv_classes[5][7][1] = int_stack + 17955;
 Libderiv->deriv_classes[5][8][1] = int_stack + 18711;
 Libderiv->deriv_classes[5][6][0] = int_stack + 19656;
 Libderiv->deriv_classes[5][7][0] = int_stack + 20244;
 Libderiv->deriv_classes[5][8][0] = int_stack + 21000;
 memset(int_stack,0,175560);

 Libderiv->dvrr_stack = int_stack + 48405;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_h0id(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+21945,int_stack+12621,int_stack+11445,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+23709,int_stack+588,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11445,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+25473,int_stack+1344,int_stack+588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12621,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+2877,int_stack+2289, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11445, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27741,int_stack+3633,int_stack+2877, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12621, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+5166,int_stack+4578, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11445, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+30009,int_stack+5922,int_stack+5166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12621, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3528,int_stack+7455,int_stack+6867, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32277,int_stack+8211,int_stack+7455, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12621, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5292,int_stack+9744,int_stack+9156, 0.0, zero_stack, 1.0, int_stack+11445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7056,int_stack+10500,int_stack+9744, 0.0, zero_stack, 1.0, int_stack+12621, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+9324,int_stack+13377,int_stack+12033, 1.0, int_stack+11445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+34545,int_stack+14133,int_stack+13377, 1.0, int_stack+12621, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+11088,int_stack+15666,int_stack+15078,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+12852,int_stack+16422,int_stack+15666,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+15120,int_stack+17955,int_stack+17367,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+36813,int_stack+18711,int_stack+17955,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16884,int_stack+20244,int_stack+19656,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+39081,int_stack+21000,int_stack+20244,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+41349,int_stack+25473,int_stack+23709, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21945,21);
     Libderiv->ABCD[11] = int_stack + 41349;
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+23709,int_stack+27741,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21945, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 23709;
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+44877,int_stack+30009,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21945, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 44877;
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+32277,int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+27237,int_stack+7056,int_stack+5292, 0.0, zero_stack, 1.0, int_stack+21945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 27237;
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3528,int_stack+34545,int_stack+9324, 1.0, int_stack+21945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 3528;
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7056,int_stack+12852,int_stack+11088,21);
     Libderiv->ABCD[2] = int_stack + 7056;
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+10584,int_stack+36813,int_stack+15120,21);
     Libderiv->ABCD[1] = int_stack + 10584;
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+30765,int_stack+39081,int_stack+16884,21);
     Libderiv->ABCD[0] = int_stack + 30765;

}
