#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_p0ii(Libderiv_t *, prim_data *);

  /* Computes derivatives of (p0|ii) integrals */

void d1hrr_order_p0ii(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][6][11] = int_stack + 0;
 Libderiv->deriv_classes[1][7][11] = int_stack + 84;
 Libderiv->deriv_classes[1][8][11] = int_stack + 192;
 Libderiv->deriv_classes[1][9][11] = int_stack + 327;
 Libderiv->deriv_classes[1][10][11] = int_stack + 492;
 Libderiv->deriv_classes[1][11][11] = int_stack + 690;
 Libderiv->deriv_classes[1][12][11] = int_stack + 924;
 Libderiv->deriv_classes[1][6][10] = int_stack + 1197;
 Libderiv->deriv_classes[1][7][10] = int_stack + 1281;
 Libderiv->deriv_classes[1][8][10] = int_stack + 1389;
 Libderiv->deriv_classes[1][9][10] = int_stack + 1524;
 Libderiv->deriv_classes[1][10][10] = int_stack + 1689;
 Libderiv->deriv_classes[1][11][10] = int_stack + 1887;
 Libderiv->deriv_classes[1][12][10] = int_stack + 2121;
 Libderiv->deriv_classes[1][6][9] = int_stack + 2394;
 Libderiv->deriv_classes[1][7][9] = int_stack + 2478;
 Libderiv->deriv_classes[1][8][9] = int_stack + 2586;
 Libderiv->deriv_classes[1][9][9] = int_stack + 2721;
 Libderiv->deriv_classes[1][10][9] = int_stack + 2886;
 Libderiv->deriv_classes[1][11][9] = int_stack + 3084;
 Libderiv->deriv_classes[1][12][9] = int_stack + 3318;
 Libderiv->deriv_classes[1][6][8] = int_stack + 3591;
 Libderiv->deriv_classes[1][7][8] = int_stack + 3675;
 Libderiv->deriv_classes[1][8][8] = int_stack + 3783;
 Libderiv->deriv_classes[1][9][8] = int_stack + 3918;
 Libderiv->deriv_classes[1][10][8] = int_stack + 4083;
 Libderiv->deriv_classes[1][11][8] = int_stack + 4281;
 Libderiv->deriv_classes[1][12][8] = int_stack + 4515;
 Libderiv->deriv_classes[1][6][7] = int_stack + 4788;
 Libderiv->deriv_classes[1][7][7] = int_stack + 4872;
 Libderiv->deriv_classes[1][8][7] = int_stack + 4980;
 Libderiv->deriv_classes[1][9][7] = int_stack + 5115;
 Libderiv->deriv_classes[1][10][7] = int_stack + 5280;
 Libderiv->deriv_classes[1][11][7] = int_stack + 5478;
 Libderiv->deriv_classes[1][12][7] = int_stack + 5712;
 Libderiv->dvrr_classes[1][6] = int_stack + 5985;
 Libderiv->deriv_classes[1][6][6] = int_stack + 6069;
 Libderiv->dvrr_classes[1][7] = int_stack + 6153;
 Libderiv->deriv_classes[1][7][6] = int_stack + 6261;
 Libderiv->dvrr_classes[1][8] = int_stack + 6369;
 Libderiv->deriv_classes[1][8][6] = int_stack + 6504;
 Libderiv->dvrr_classes[1][9] = int_stack + 6639;
 Libderiv->deriv_classes[1][9][6] = int_stack + 6804;
 Libderiv->dvrr_classes[1][10] = int_stack + 6969;
 Libderiv->deriv_classes[1][10][6] = int_stack + 7167;
 Libderiv->dvrr_classes[1][11] = int_stack + 7365;
 Libderiv->deriv_classes[1][11][6] = int_stack + 7599;
 Libderiv->deriv_classes[1][12][6] = int_stack + 7833;
 Libderiv->deriv_classes[1][6][2] = int_stack + 8106;
 Libderiv->deriv_classes[1][7][2] = int_stack + 8190;
 Libderiv->deriv_classes[1][8][2] = int_stack + 8298;
 Libderiv->deriv_classes[1][9][2] = int_stack + 8433;
 Libderiv->deriv_classes[1][10][2] = int_stack + 8598;
 Libderiv->deriv_classes[1][11][2] = int_stack + 8796;
 Libderiv->deriv_classes[1][12][2] = int_stack + 9030;
 Libderiv->deriv_classes[1][6][1] = int_stack + 9303;
 Libderiv->deriv_classes[1][7][1] = int_stack + 9387;
 Libderiv->deriv_classes[1][8][1] = int_stack + 9495;
 Libderiv->deriv_classes[1][9][1] = int_stack + 9630;
 Libderiv->deriv_classes[1][10][1] = int_stack + 9795;
 Libderiv->deriv_classes[1][11][1] = int_stack + 9993;
 Libderiv->deriv_classes[1][12][1] = int_stack + 10227;
 Libderiv->deriv_classes[1][6][0] = int_stack + 10500;
 Libderiv->deriv_classes[1][7][0] = int_stack + 10584;
 Libderiv->deriv_classes[1][8][0] = int_stack + 10692;
 Libderiv->deriv_classes[1][9][0] = int_stack + 10827;
 Libderiv->deriv_classes[1][10][0] = int_stack + 10992;
 Libderiv->deriv_classes[1][11][0] = int_stack + 11190;
 Libderiv->deriv_classes[1][12][0] = int_stack + 11424;
 memset(int_stack,0,93576);

 Libderiv->dvrr_stack = int_stack + 49908;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_p0ii(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+11697,int_stack+6153,int_stack+5985,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+11949,int_stack+6369,int_stack+6153,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+12273,int_stack+11949,int_stack+11697,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+12777,int_stack+6639,int_stack+6369,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+13182,int_stack+12777,int_stack+11949,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+13830,int_stack+13182,int_stack+12273,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+14670,int_stack+6969,int_stack+6639,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+15165,int_stack+14670,int_stack+12777,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+15975,int_stack+15165,int_stack+13182,3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+17055,int_stack+15975,int_stack+13830,3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+18315,int_stack+7365,int_stack+6969,3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+18909,int_stack+18315,int_stack+14670,3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+19899,int_stack+18909,int_stack+15165,3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+21249,int_stack+19899,int_stack+15975,3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+22869,int_stack+21249,int_stack+17055,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+24633,int_stack+84,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5985,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+24885,int_stack+192,int_stack+84, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6153,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+25209,int_stack+24885,int_stack+24633, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11697,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+25713,int_stack+327,int_stack+192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6369,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+26118,int_stack+25713,int_stack+24885, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11949,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+26766,int_stack+26118,int_stack+25209, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12273,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+24633,int_stack+492,int_stack+327, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6639,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+27606,int_stack+24633,int_stack+25713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12777,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+28416,int_stack+27606,int_stack+26118, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13182,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+25128,int_stack+28416,int_stack+26766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13830,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+26388,int_stack+690,int_stack+492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6969,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+29496,int_stack+26388,int_stack+24633, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14670,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+30486,int_stack+29496,int_stack+27606, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15165,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+31836,int_stack+30486,int_stack+28416, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15975,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+26982,int_stack+31836,int_stack+25128, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17055,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+24633,int_stack+924,int_stack+690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7365,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+24633,int_stack+26388, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18315,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+24633,int_stack+0,int_stack+29496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18909,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+33456,int_stack+24633,int_stack+30486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19899,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+24633,int_stack+33456,int_stack+31836, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21249,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+1281,int_stack+1197, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5985, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+252,int_stack+1389,int_stack+1281, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6153, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+576,int_stack+252,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11697, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+28746,int_stack+1524,int_stack+1389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6369, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+29151,int_stack+28746,int_stack+252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11949, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+29799,int_stack+29151,int_stack+576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12273, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+1689,int_stack+1524, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6639, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+495,int_stack+0,int_stack+28746, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12777, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+30639,int_stack+495,int_stack+29151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13182, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+31719,int_stack+30639,int_stack+29799, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13830, 0.0, zero_stack,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+28746,int_stack+1887,int_stack+1689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6969, 0.0, zero_stack,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+29340,int_stack+28746,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14670, 0.0, zero_stack,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+32979,int_stack+29340,int_stack+495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15165, 0.0, zero_stack,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+0,int_stack+32979,int_stack+30639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15975, 0.0, zero_stack,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+34329,int_stack+0,int_stack+31719, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17055, 0.0, zero_stack,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+30330,int_stack+2121,int_stack+1887, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7365, 0.0, zero_stack,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+31032,int_stack+30330,int_stack+28746, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18315, 0.0, zero_stack,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+36093,int_stack+31032,int_stack+29340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18909, 0.0, zero_stack,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+28746,int_stack+36093,int_stack+32979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19899, 0.0, zero_stack,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+30771,int_stack+28746,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21249, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+2478,int_stack+2394, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5985, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+252,int_stack+2586,int_stack+2478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6153, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+576,int_stack+252,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11697, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1080,int_stack+2721,int_stack+2586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6369, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1485,int_stack+1080,int_stack+252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11949, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+28746,int_stack+1485,int_stack+576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12273, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+2886,int_stack+2721, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6639, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+29586,int_stack+0,int_stack+1080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12777, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+36093,int_stack+29586,int_stack+1485, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13182, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+495,int_stack+36093,int_stack+28746, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13830, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+28746,int_stack+3084,int_stack+2886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6969, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+1755,int_stack+28746,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14670, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+37173,int_stack+1755,int_stack+29586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15165, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+38523,int_stack+37173,int_stack+36093, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15975, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+40143,int_stack+38523,int_stack+495, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17055, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+36093,int_stack+3318,int_stack+3084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7365, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+0,int_stack+36093,int_stack+28746, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18315, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+28746,int_stack+0,int_stack+1755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18909, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+0,int_stack+28746,int_stack+37173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19899, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+36093,int_stack+0,int_stack+38523, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21249, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+3675,int_stack+3591, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+252,int_stack+3783,int_stack+3675, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+576,int_stack+252,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+1080,int_stack+3918,int_stack+3783, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6369, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+1485,int_stack+1080,int_stack+252, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+2133,int_stack+1485,int_stack+576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+4083,int_stack+3918, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+2973,int_stack+0,int_stack+1080, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12777, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+28746,int_stack+2973,int_stack+1485, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+495,int_stack+28746,int_stack+2133, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+1755,int_stack+4281,int_stack+4083, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+38361,int_stack+1755,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+41907,int_stack+38361,int_stack+2973, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+2349,int_stack+41907,int_stack+28746, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+28746,int_stack+2349,int_stack+495, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+0,int_stack+4515,int_stack+4281, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+33039,int_stack+0,int_stack+1755, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+0,int_stack+33039,int_stack+38361, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18909, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+43257,int_stack+0,int_stack+41907, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19899, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+0,int_stack+43257,int_stack+2349, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21249, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+41907,int_stack+4872,int_stack+4788, 0.0, zero_stack, 1.0, int_stack+5985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+42159,int_stack+4980,int_stack+4872, 0.0, zero_stack, 1.0, int_stack+6153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+42483,int_stack+42159,int_stack+41907, 0.0, zero_stack, 1.0, int_stack+11697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+42987,int_stack+5115,int_stack+4980, 0.0, zero_stack, 1.0, int_stack+6369, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+43392,int_stack+42987,int_stack+42159, 0.0, zero_stack, 1.0, int_stack+11949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+44040,int_stack+43392,int_stack+42483, 0.0, zero_stack, 1.0, int_stack+12273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+41907,int_stack+5280,int_stack+5115, 0.0, zero_stack, 1.0, int_stack+6639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+44880,int_stack+41907,int_stack+42987, 0.0, zero_stack, 1.0, int_stack+12777, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+2268,int_stack+44880,int_stack+43392, 0.0, zero_stack, 1.0, int_stack+13182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+42402,int_stack+2268,int_stack+44040, 0.0, zero_stack, 1.0, int_stack+13830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+43662,int_stack+5478,int_stack+5280, 0.0, zero_stack, 1.0, int_stack+6969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+3348,int_stack+43662,int_stack+41907, 0.0, zero_stack, 1.0, int_stack+14670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+38361,int_stack+3348,int_stack+44880, 0.0, zero_stack, 1.0, int_stack+15165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+44256,int_stack+38361,int_stack+2268, 0.0, zero_stack, 1.0, int_stack+15975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+45876,int_stack+44256,int_stack+42402, 0.0, zero_stack, 1.0, int_stack+17055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+2268,int_stack+5712,int_stack+5478, 0.0, zero_stack, 1.0, int_stack+7365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+41907,int_stack+2268,int_stack+43662, 0.0, zero_stack, 1.0, int_stack+18315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+47640,int_stack+41907,int_stack+3348, 0.0, zero_stack, 1.0, int_stack+18909, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+41907,int_stack+47640,int_stack+38361, 0.0, zero_stack, 1.0, int_stack+19899, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+47640,int_stack+41907,int_stack+44256, 0.0, zero_stack, 1.0, int_stack+21249, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+41907,int_stack+6261,int_stack+6069, 1.0, int_stack+5985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+42159,int_stack+6504,int_stack+6261, 1.0, int_stack+6153, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+42483,int_stack+42159,int_stack+41907, 1.0, int_stack+11697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+42987,int_stack+6804,int_stack+6504, 1.0, int_stack+6369, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+43392,int_stack+42987,int_stack+42159, 1.0, int_stack+11949, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+44040,int_stack+43392,int_stack+42483, 1.0, int_stack+12273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+11697,int_stack+7167,int_stack+6804, 1.0, int_stack+6639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+41907,int_stack+11697,int_stack+42987, 1.0, int_stack+12777, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+38361,int_stack+41907,int_stack+43392, 1.0, int_stack+13182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+12192,int_stack+38361,int_stack+44040, 1.0, int_stack+13830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|np) ---*/
   d1hrr3_build_np(Libderiv->CD,int_stack+13452,int_stack+7599,int_stack+7167, 1.0, int_stack+6969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|md) ---*/
   d1hrr3_build_md(Libderiv->CD,int_stack+42717,int_stack+13452,int_stack+11697, 1.0, int_stack+14670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lf) ---*/
   d1hrr3_build_lf(Libderiv->CD,int_stack+43707,int_stack+42717,int_stack+41907, 1.0, int_stack+15165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kg) ---*/
   d1hrr3_build_kg(Libderiv->CD,int_stack+14046,int_stack+43707,int_stack+38361, 1.0, int_stack+15975, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ih) ---*/
   d1hrr3_build_ih(Libderiv->CD,int_stack+38361,int_stack+14046,int_stack+12192, 1.0, int_stack+17055, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|op) ---*/
   d1hrr3_build_op(Libderiv->CD,int_stack+41907,int_stack+7833,int_stack+7599, 1.0, int_stack+7365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|nd) ---*/
   d1hrr3_build_nd(Libderiv->CD,int_stack+11697,int_stack+41907,int_stack+13452, 1.0, int_stack+18315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|mf) ---*/
   d1hrr3_build_mf(Libderiv->CD,int_stack+15666,int_stack+11697,int_stack+42717, 1.0, int_stack+18909, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|lg) ---*/
   d1hrr3_build_lg(Libderiv->CD,int_stack+11697,int_stack+15666,int_stack+43707, 1.0, int_stack+19899, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kh) ---*/
   d1hrr3_build_kh(Libderiv->CD,int_stack+15666,int_stack+11697,int_stack+14046, 1.0, int_stack+21249, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+11697,int_stack+8190,int_stack+8106,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+11949,int_stack+8298,int_stack+8190,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+12273,int_stack+11949,int_stack+11697,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+12777,int_stack+8433,int_stack+8298,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+13182,int_stack+12777,int_stack+11949,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+13830,int_stack+13182,int_stack+12273,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+11697,int_stack+8598,int_stack+8433,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+14670,int_stack+11697,int_stack+12777,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+17934,int_stack+14670,int_stack+13182,3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+12192,int_stack+17934,int_stack+13830,3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+13452,int_stack+8796,int_stack+8598,3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+19014,int_stack+13452,int_stack+11697,3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+20004,int_stack+19014,int_stack+14670,3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+14046,int_stack+20004,int_stack+17934,3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+41907,int_stack+14046,int_stack+12192,3);
 /*--- compute (p0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+17934,int_stack+9030,int_stack+8796,3);
 /*--- compute (p0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+11697,int_stack+17934,int_stack+13452,3);
 /*--- compute (p0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+43671,int_stack+11697,int_stack+19014,3);
 /*--- compute (p0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+11697,int_stack+43671,int_stack+20004,3);
 /*--- compute (p0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+17934,int_stack+11697,int_stack+14046,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+11697,int_stack+9387,int_stack+9303,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+11949,int_stack+9495,int_stack+9387,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+12273,int_stack+11949,int_stack+11697,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+12777,int_stack+9630,int_stack+9495,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+13182,int_stack+12777,int_stack+11949,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+13830,int_stack+13182,int_stack+12273,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+11697,int_stack+9795,int_stack+9630,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+14670,int_stack+11697,int_stack+12777,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+43671,int_stack+14670,int_stack+13182,3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+12192,int_stack+43671,int_stack+13830,3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+13452,int_stack+9993,int_stack+9795,3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+44751,int_stack+13452,int_stack+11697,3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+20202,int_stack+44751,int_stack+14670,3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+14046,int_stack+20202,int_stack+43671,3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+2268,int_stack+14046,int_stack+12192,3);
 /*--- compute (p0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+43671,int_stack+10227,int_stack+9993,3);
 /*--- compute (p0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+11697,int_stack+43671,int_stack+13452,3);
 /*--- compute (p0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+4032,int_stack+11697,int_stack+44751,3);
 /*--- compute (p0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+11697,int_stack+4032,int_stack+20202,3);
 /*--- compute (p0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+20202,int_stack+11697,int_stack+14046,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+11697,int_stack+10584,int_stack+10500,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+11949,int_stack+10692,int_stack+10584,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+12273,int_stack+11949,int_stack+11697,3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+12777,int_stack+10827,int_stack+10692,3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+13182,int_stack+12777,int_stack+11949,3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+13830,int_stack+13182,int_stack+12273,3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+11697,int_stack+10992,int_stack+10827,3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+14670,int_stack+11697,int_stack+12777,3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+4032,int_stack+14670,int_stack+13182,3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+12192,int_stack+4032,int_stack+13830,3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libderiv->CD,int_stack+13452,int_stack+11190,int_stack+10992,3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libderiv->CD,int_stack+5112,int_stack+13452,int_stack+11697,3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libderiv->CD,int_stack+6102,int_stack+5112,int_stack+14670,3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libderiv->CD,int_stack+14046,int_stack+6102,int_stack+4032,3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libderiv->CD,int_stack+7452,int_stack+14046,int_stack+12192,3);
 /*--- compute (p0|op) ---*/
   hrr3_build_op(Libderiv->CD,int_stack+4032,int_stack+11424,int_stack+11190,3);
 /*--- compute (p0|nd) ---*/
   hrr3_build_nd(Libderiv->CD,int_stack+9216,int_stack+4032,int_stack+13452,3);
 /*--- compute (p0|mf) ---*/
   hrr3_build_mf(Libderiv->CD,int_stack+10404,int_stack+9216,int_stack+5112,3);
 /*--- compute (p0|lg) ---*/
   hrr3_build_lg(Libderiv->CD,int_stack+4032,int_stack+10404,int_stack+6102,3);
 /*--- compute (p0|kh) ---*/
   hrr3_build_kh(Libderiv->CD,int_stack+9216,int_stack+4032,int_stack+14046,3);
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+4032,int_stack+24633,int_stack+26982, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22869,3);
     Libderiv->ABCD[11] = int_stack + 4032;
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+24633,int_stack+30771,int_stack+34329, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22869, 0.0, zero_stack,3);
     Libderiv->ABCD[10] = int_stack + 24633;
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+11484,int_stack+36093,int_stack+40143, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22869, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[9] = int_stack + 11484;
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+30510,int_stack+0,int_stack+28746, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[8] = int_stack + 30510;
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+26985,int_stack+47640,int_stack+45876, 0.0, zero_stack, 1.0, int_stack+22869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[7] = int_stack + 26985;
 /*--- compute (p0|ii) ---*/
   d1hrr3_build_ii(Libderiv->CD,int_stack+43671,int_stack+15666,int_stack+38361, 1.0, int_stack+22869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[6] = int_stack + 43671;
 /*--- compute (p0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+13836,int_stack+17934,int_stack+41907,3);
     Libderiv->ABCD[2] = int_stack + 13836;
 /*--- compute (p0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+16188,int_stack+20202,int_stack+2268,3);
     Libderiv->ABCD[1] = int_stack + 16188;
 /*--- compute (p0|ii) ---*/
   hrr3_build_ii(Libderiv->CD,int_stack+0,int_stack+9216,int_stack+7452,3);
     Libderiv->ABCD[0] = int_stack + 0;

}
