#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00ii(Libint_t*, prim_data*);

  /* Computes quartets of (00|ii) integrals */

REALTYPE *hrr_order_00ii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][6] = int_stack + 0;
 Libint->vrr_classes[0][7] = int_stack + 28;
 Libint->vrr_classes[0][8] = int_stack + 64;
 Libint->vrr_classes[0][9] = int_stack + 109;
 Libint->vrr_classes[0][10] = int_stack + 164;
 Libint->vrr_classes[0][11] = int_stack + 230;
 Libint->vrr_classes[0][12] = int_stack + 308;
 memset(int_stack,0,399*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 399;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00ii(Libint, Data);
   Data++;
 }
 /*--- compute (00|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+399,int_stack+28,int_stack+0,1);
 /*--- compute (00|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+483,int_stack+64,int_stack+28,1);
 /*--- compute (00|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+591,int_stack+483,int_stack+399,1);
 /*--- compute (00|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+759,int_stack+109,int_stack+64,1);
 /*--- compute (00|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+894,int_stack+759,int_stack+483,1);
 /*--- compute (00|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+1110,int_stack+894,int_stack+591,1);
 /*--- compute (00|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+399,int_stack+164,int_stack+109,1);
 /*--- compute (00|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+1390,int_stack+399,int_stack+759,1);
 /*--- compute (00|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+1660,int_stack+1390,int_stack+894,1);
 /*--- compute (00|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+564,int_stack+1660,int_stack+1110,1);
 /*--- compute (00|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+984,int_stack+230,int_stack+164,1);
 /*--- compute (00|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+2020,int_stack+984,int_stack+399,1);
 /*--- compute (00|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+2350,int_stack+2020,int_stack+1390,1);
 /*--- compute (00|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+2800,int_stack+2350,int_stack+1660,1);
 /*--- compute (00|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+1182,int_stack+2800,int_stack+564,1);
 /*--- compute (00|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+399,int_stack+308,int_stack+230,1);
 /*--- compute (00|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+399,int_stack+984,1);
 /*--- compute (00|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+396,int_stack+0,int_stack+2020,1);
 /*--- compute (00|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+3340,int_stack+396,int_stack+2350,1);
 /*--- compute (00|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+3340,int_stack+2800,1);
 /*--- compute (00|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+1770,int_stack+0,int_stack+1182,1);
 return int_stack+1770;}
