#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00nd(Libint_t*, prim_data*);

  /* Computes quartets of (00|nd) integrals */

REALTYPE *hrr_order_00nd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][10] = int_stack + 0;
 Libint->vrr_classes[0][11] = int_stack + 66;
 Libint->vrr_classes[0][12] = int_stack + 144;
 memset(int_stack,0,235*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 235;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00nd(Libint, Data);
   Data++;
 }
 /*--- compute (00|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+235,int_stack+66,int_stack+0,1);
 /*--- compute (00|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+433,int_stack+144,int_stack+66,1);
 /*--- compute (00|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+667,int_stack+433,int_stack+235,1);
 return int_stack+667;}
