#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_d0ki(Libint_t*, prim_data*);

  /* Computes quartets of (d0|ki) integrals */

REALTYPE *hrr_order_d0ki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][7] = int_stack + 0;
 Libint->vrr_classes[2][8] = int_stack + 216;
 Libint->vrr_classes[2][9] = int_stack + 486;
 Libint->vrr_classes[2][10] = int_stack + 816;
 Libint->vrr_classes[2][11] = int_stack + 1212;
 Libint->vrr_classes[2][12] = int_stack + 1680;
 Libint->vrr_classes[2][13] = int_stack + 2226;
 memset(int_stack,0,2856*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2856;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_d0ki(Libint, Data);
   Data++;
 }
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2856,int_stack+216,int_stack+0,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3504,int_stack+486,int_stack+216,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+4314,int_stack+3504,int_stack+2856,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+5610,int_stack+816,int_stack+486,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+6600,int_stack+5610,int_stack+3504,6);
 /*--- compute (d0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+8220,int_stack+6600,int_stack+4314,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2856,int_stack+1212,int_stack+816,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+10380,int_stack+2856,int_stack+5610,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+12360,int_stack+10380,int_stack+6600,6);
 /*--- compute (d0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+4044,int_stack+12360,int_stack+8220,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+7284,int_stack+1680,int_stack+1212,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+15060,int_stack+7284,int_stack+2856,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+17436,int_stack+15060,int_stack+10380,6);
 /*--- compute (d0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+20736,int_stack+17436,int_stack+12360,6);
 /*--- compute (d0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+8688,int_stack+20736,int_stack+4044,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2856,int_stack+2226,int_stack+1680,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+2856,int_stack+7284,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2808,int_stack+0,int_stack+15060,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+24786,int_stack+2808,int_stack+17436,6);
 /*--- compute (d0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+24786,int_stack+20736,6);
 /*--- compute (d0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+13224,int_stack+0,int_stack+8688,6);
 return int_stack+13224;}
