#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_d0lf(Libint_t*, prim_data*);

  /* Computes quartets of (d0|lf) integrals */

REALTYPE *hrr_order_d0lf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][8] = int_stack + 0;
 Libint->vrr_classes[2][9] = int_stack + 270;
 Libint->vrr_classes[2][10] = int_stack + 600;
 Libint->vrr_classes[2][11] = int_stack + 996;
 memset(int_stack,0,1464*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1464;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_d0lf(Libint, Data);
   Data++;
 }
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+1464,int_stack+270,int_stack+0,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+2274,int_stack+600,int_stack+270,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+3264,int_stack+2274,int_stack+1464,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4884,int_stack+996,int_stack+600,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+4884,int_stack+2274,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+4884,int_stack+0,int_stack+3264,6);
 return int_stack+4884;}
