#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_d0lp(Libint_t*, prim_data*);

  /* Computes quartets of (d0|lp) integrals */

REALTYPE *hrr_order_d0lp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][8] = int_stack + 0;
 Libint->vrr_classes[2][9] = int_stack + 270;
 memset(int_stack,0,600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_d0lp(Libint, Data);
   Data++;
 }
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+600,int_stack+270,int_stack+0,6);
 return int_stack+600;}
