#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddkf(Libint_t*, prim_data*);

  /* Computes quartets of (dd|kf) integrals */

REALTYPE *hrr_order_ddkf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][7] = int_stack + 0;
 Libint->vrr_classes[2][8] = int_stack + 216;
 Libint->vrr_classes[2][9] = int_stack + 486;
 Libint->vrr_classes[2][10] = int_stack + 816;
 Libint->vrr_classes[3][7] = int_stack + 1212;
 Libint->vrr_classes[3][8] = int_stack + 1572;
 Libint->vrr_classes[3][9] = int_stack + 2022;
 Libint->vrr_classes[3][10] = int_stack + 2572;
 Libint->vrr_classes[4][7] = int_stack + 3232;
 Libint->vrr_classes[4][8] = int_stack + 3772;
 Libint->vrr_classes[4][9] = int_stack + 4447;
 Libint->vrr_classes[4][10] = int_stack + 5272;
 memset(int_stack,0,6262*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 6262;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddkf(Libint, Data);
   Data++;
 }
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+6262,int_stack+216,int_stack+0,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+6910,int_stack+486,int_stack+216,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+7720,int_stack+6910,int_stack+6262,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+9016,int_stack+816,int_stack+486,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+10006,int_stack+9016,int_stack+6910,6);
 /*--- compute (d0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+11626,int_stack+10006,int_stack+7720,6);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+6262,int_stack+1572,int_stack+1212,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7342,int_stack+2022,int_stack+1572,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+8692,int_stack+7342,int_stack+6262,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+2572,int_stack+2022,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+13786,int_stack+0,int_stack+7342,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+16486,int_stack+13786,int_stack+8692,10);
 /*--- compute (dp|kf) ---*/
 hrr1_build_dp(Libint->AB,int_stack+20086,int_stack+16486,int_stack+11626,360);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+3772,int_stack+3232,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+1620,int_stack+4447,int_stack+3772,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+6262,int_stack+1620,int_stack+0,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+9502,int_stack+5272,int_stack+4447,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+11977,int_stack+9502,int_stack+1620,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+11977,int_stack+6262,15);
 /*--- compute (fp|kf) ---*/
 hrr1_build_fp(Libint->AB,int_stack+5400,int_stack+0,int_stack+16486,360);
 /*--- compute (dd|kf) ---*/
 hrr1_build_dd(Libint->AB,int_stack+26566,int_stack+5400,int_stack+20086,360);
 return int_stack+26566;}
