#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddl0(Libint_t*, prim_data*);

  /* Computes quartets of (dd|l0) integrals */

REALTYPE *hrr_order_ddl0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][8] = int_stack + 0;
 Libint->vrr_classes[3][8] = int_stack + 270;
 Libint->vrr_classes[4][8] = int_stack + 720;
 memset(int_stack,0,1395*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1395;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddl0(Libint, Data);
   Data++;
 }
 /*--- compute (dp|l0) ---*/
 hrr1_build_dp(Libint->AB,int_stack+1395,int_stack+270,int_stack+0,45);
 /*--- compute (fp|l0) ---*/
 hrr1_build_fp(Libint->AB,int_stack+2205,int_stack+720,int_stack+270,45);
 /*--- compute (dd|l0) ---*/
 hrr1_build_dd(Libint->AB,int_stack+3555,int_stack+2205,int_stack+1395,45);
 return int_stack+3555;}
