#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdii(Libint_t*, prim_data*);

  /* Computes quartets of (fd|ii) integrals */

REALTYPE *hrr_order_fdii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][6] = int_stack + 0;
 Libint->vrr_classes[3][7] = int_stack + 280;
 Libint->vrr_classes[3][8] = int_stack + 640;
 Libint->vrr_classes[3][9] = int_stack + 1090;
 Libint->vrr_classes[3][10] = int_stack + 1640;
 Libint->vrr_classes[3][11] = int_stack + 2300;
 Libint->vrr_classes[3][12] = int_stack + 3080;
 Libint->vrr_classes[4][6] = int_stack + 3990;
 Libint->vrr_classes[4][7] = int_stack + 4410;
 Libint->vrr_classes[4][8] = int_stack + 4950;
 Libint->vrr_classes[4][9] = int_stack + 5625;
 Libint->vrr_classes[4][10] = int_stack + 6450;
 Libint->vrr_classes[4][11] = int_stack + 7440;
 Libint->vrr_classes[4][12] = int_stack + 8610;
 Libint->vrr_classes[5][6] = int_stack + 9975;
 Libint->vrr_classes[5][7] = int_stack + 10563;
 Libint->vrr_classes[5][8] = int_stack + 11319;
 Libint->vrr_classes[5][9] = int_stack + 12264;
 Libint->vrr_classes[5][10] = int_stack + 13419;
 Libint->vrr_classes[5][11] = int_stack + 14805;
 Libint->vrr_classes[5][12] = int_stack + 16443;
 memset(int_stack,0,18354*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 18354;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdii(Libint, Data);
   Data++;
 }
 /*--- compute (f0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+18354,int_stack+280,int_stack+0,10);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+19194,int_stack+640,int_stack+280,10);
 /*--- compute (f0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+20274,int_stack+19194,int_stack+18354,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21954,int_stack+1090,int_stack+640,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+23304,int_stack+21954,int_stack+19194,10);
 /*--- compute (f0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+25464,int_stack+23304,int_stack+20274,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+18354,int_stack+1640,int_stack+1090,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+28264,int_stack+18354,int_stack+21954,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+30964,int_stack+28264,int_stack+23304,10);
 /*--- compute (f0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+20004,int_stack+30964,int_stack+25464,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+24204,int_stack+2300,int_stack+1640,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+34564,int_stack+24204,int_stack+18354,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+37864,int_stack+34564,int_stack+28264,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+42364,int_stack+37864,int_stack+30964,10);
 /*--- compute (f0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+26184,int_stack+42364,int_stack+20004,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18354,int_stack+3080,int_stack+2300,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+18354,int_stack+24204,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+18354,int_stack+0,int_stack+34564,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+47764,int_stack+18354,int_stack+37864,10);
 /*--- compute (f0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+18354,int_stack+47764,int_stack+42364,10);
 /*--- compute (f0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+32064,int_stack+18354,int_stack+26184,10);
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+18354,int_stack+4410,int_stack+3990,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+19614,int_stack+4950,int_stack+4410,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+21234,int_stack+19614,int_stack+18354,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+23754,int_stack+5625,int_stack+4950,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+25779,int_stack+23754,int_stack+19614,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+25779,int_stack+21234,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+18354,int_stack+6450,int_stack+5625,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+39904,int_stack+18354,int_stack+23754,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+43954,int_stack+39904,int_stack+25779,15);
 /*--- compute (g0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+20829,int_stack+43954,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+7440,int_stack+6450,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49354,int_stack+0,int_stack+18354,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+54304,int_stack+49354,int_stack+39904,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+61054,int_stack+54304,int_stack+43954,15);
 /*--- compute (g0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+39904,int_stack+61054,int_stack+20829,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18354,int_stack+8610,int_stack+7440,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+21864,int_stack+18354,int_stack+0,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+21864,int_stack+49354,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+18354,int_stack+0,int_stack+54304,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+48724,int_stack+18354,int_stack+61054,15);
 /*--- compute (g0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+18354,int_stack+48724,int_stack+39904,15);
 /*--- compute (fp|ii) ---*/
 hrr1_build_fp(Libint->AB,int_stack+39904,int_stack+18354,int_stack+32064,784);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+63424,int_stack+10563,int_stack+9975,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+65188,int_stack+11319,int_stack+10563,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+30114,int_stack+65188,int_stack+63424,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+33642,int_stack+12264,int_stack+11319,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+33642,int_stack+65188,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+63424,int_stack+0,int_stack+30114,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30114,int_stack+13419,int_stack+12264,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+4536,int_stack+30114,int_stack+33642,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+69304,int_stack+4536,int_stack+0,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+76864,int_stack+69304,int_stack+63424,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+63424,int_stack+14805,int_stack+13419,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+85684,int_stack+63424,int_stack+30114,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+30114,int_stack+85684,int_stack+4536,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+30114,int_stack+69304,21);
 /*--- compute (h0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+92614,int_stack+0,int_stack+76864,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+67582,int_stack+16443,int_stack+14805,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+72496,int_stack+67582,int_stack+63424,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+104962,int_stack+72496,int_stack+85684,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+63424,int_stack+104962,int_stack+30114,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+104962,int_stack+63424,int_stack+0,21);
 /*--- compute (h0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+0,int_stack+104962,int_stack+92614,21);
 /*--- compute (gp|ii) ---*/
 hrr1_build_gp(Libint->AB,int_stack+63424,int_stack+0,int_stack+18354,784);
 /*--- compute (fd|ii) ---*/
 hrr1_build_fd(Libint->AB,int_stack+98704,int_stack+63424,int_stack+39904,784);
 return int_stack+98704;}
