#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_g0kd(Libint_t*, prim_data*);

  /* Computes quartets of (g0|kd) integrals */

REALTYPE *hrr_order_g0kd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 memset(int_stack,0,2040*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2040;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_g0kd(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2040,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3660,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+5685,int_stack+3660,int_stack+2040,15);
 return int_stack+5685;}
