#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdk0(Libint_t*, prim_data*);

  /* Computes quartets of (gd|k0) integrals */

REALTYPE *hrr_order_gdk0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 540;
 Libint->vrr_classes[6][7] = int_stack + 1296;
 memset(int_stack,0,2304*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2304;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdk0(Libint, Data);
   Data++;
 }
 /*--- compute (gp|k0) ---*/
 hrr1_build_gp(Libint->AB,int_stack+2304,int_stack+540,int_stack+0,36);
 /*--- compute (hp|k0) ---*/
 hrr1_build_hp(Libint->AB,int_stack+3924,int_stack+1296,int_stack+540,36);
 /*--- compute (gd|k0) ---*/
 hrr1_build_gd(Libint->AB,int_stack+6192,int_stack+3924,int_stack+2304,36);
 return int_stack+6192;}
