#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggmm(Libint_t*, prim_data*);

  /* Computes quartets of (gg|mm) integrals */

REALTYPE *hrr_order_ggmm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 Libint->vrr_classes[4][12] = int_stack + 2985;
 Libint->vrr_classes[4][13] = int_stack + 4350;
 Libint->vrr_classes[4][14] = int_stack + 5925;
 Libint->vrr_classes[4][15] = int_stack + 7725;
 Libint->vrr_classes[4][16] = int_stack + 9765;
 Libint->vrr_classes[4][17] = int_stack + 12060;
 Libint->vrr_classes[4][18] = int_stack + 14625;
 Libint->vrr_classes[5][9] = int_stack + 17475;
 Libint->vrr_classes[5][10] = int_stack + 18630;
 Libint->vrr_classes[5][11] = int_stack + 20016;
 Libint->vrr_classes[5][12] = int_stack + 21654;
 Libint->vrr_classes[5][13] = int_stack + 23565;
 Libint->vrr_classes[5][14] = int_stack + 25770;
 Libint->vrr_classes[5][15] = int_stack + 28290;
 Libint->vrr_classes[5][16] = int_stack + 31146;
 Libint->vrr_classes[5][17] = int_stack + 34359;
 Libint->vrr_classes[5][18] = int_stack + 37950;
 Libint->vrr_classes[6][9] = int_stack + 41940;
 Libint->vrr_classes[6][10] = int_stack + 43480;
 Libint->vrr_classes[6][11] = int_stack + 45328;
 Libint->vrr_classes[6][12] = int_stack + 47512;
 Libint->vrr_classes[6][13] = int_stack + 50060;
 Libint->vrr_classes[6][14] = int_stack + 53000;
 Libint->vrr_classes[6][15] = int_stack + 56360;
 Libint->vrr_classes[6][16] = int_stack + 60168;
 Libint->vrr_classes[6][17] = int_stack + 64452;
 Libint->vrr_classes[6][18] = int_stack + 69240;
 Libint->vrr_classes[7][9] = int_stack + 74560;
 Libint->vrr_classes[7][10] = int_stack + 76540;
 Libint->vrr_classes[7][11] = int_stack + 78916;
 Libint->vrr_classes[7][12] = int_stack + 81724;
 Libint->vrr_classes[7][13] = int_stack + 85000;
 Libint->vrr_classes[7][14] = int_stack + 88780;
 Libint->vrr_classes[7][15] = int_stack + 93100;
 Libint->vrr_classes[7][16] = int_stack + 97996;
 Libint->vrr_classes[7][17] = int_stack + 103504;
 Libint->vrr_classes[7][18] = int_stack + 109660;
 Libint->vrr_classes[8][9] = int_stack + 116500;
 Libint->vrr_classes[8][10] = int_stack + 118975;
 Libint->vrr_classes[8][11] = int_stack + 121945;
 Libint->vrr_classes[8][12] = int_stack + 125455;
 Libint->vrr_classes[8][13] = int_stack + 129550;
 Libint->vrr_classes[8][14] = int_stack + 134275;
 Libint->vrr_classes[8][15] = int_stack + 139675;
 Libint->vrr_classes[8][16] = int_stack + 145795;
 Libint->vrr_classes[8][17] = int_stack + 152680;
 Libint->vrr_classes[8][18] = int_stack + 160375;
 memset(int_stack,0,168925*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 168925;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggmm(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+168925,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+171400,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+174370,int_stack+171400,int_stack+168925,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+179320,int_stack+2985,int_stack+1815,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+182830,int_stack+179320,int_stack+171400,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+188770,int_stack+182830,int_stack+174370,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+168925,int_stack+4350,int_stack+2985,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+197020,int_stack+168925,int_stack+179320,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+204040,int_stack+197020,int_stack+182830,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+173020,int_stack+204040,int_stack+188770,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+185395,int_stack+5925,int_stack+4350,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+213940,int_stack+185395,int_stack+168925,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+222130,int_stack+213940,int_stack+197020,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+233830,int_stack+222130,int_stack+204040,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+190120,int_stack+233830,int_stack+173020,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+168925,int_stack+7725,int_stack+5925,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+174325,int_stack+168925,int_stack+185395,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+248680,int_stack+174325,int_stack+213940,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+262330,int_stack+248680,int_stack+222130,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+207445,int_stack+262330,int_stack+233830,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+279880,int_stack+207445,int_stack+190120,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+183775,int_stack+9765,int_stack+7725,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+189895,int_stack+183775,int_stack+168925,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+228235,int_stack+189895,int_stack+174325,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+302980,int_stack+228235,int_stack+248680,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+323455,int_stack+302980,int_stack+262330,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+243985,int_stack+323455,int_stack+207445,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+348025,int_stack+243985,int_stack+279880,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+168925,int_stack+12060,int_stack+9765,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+200695,int_stack+168925,int_stack+183775,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+271705,int_stack+200695,int_stack+189895,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+175810,int_stack+271705,int_stack+228235,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+212935,int_stack+175810,int_stack+302980,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+289705,int_stack+212935,int_stack+323455,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+377725,int_stack+289705,int_stack+243985,15);
 /*--- compute (g0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+413365,int_stack+377725,int_stack+348025,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+241600,int_stack+14625,int_stack+12060,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+249295,int_stack+241600,int_stack+168925,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+322465,int_stack+249295,int_stack+200695,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+241600,int_stack+322465,int_stack+271705,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+322465,int_stack+241600,int_stack+175810,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+241600,int_stack+322465,int_stack+212935,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+322465,int_stack+241600,int_stack+289705,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+168925,int_stack+322465,int_stack+377725,15);
 /*--- compute (g0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+213475,int_stack+168925,int_stack+413365,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+168925,int_stack+18630,int_stack+17475,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+172390,int_stack+20016,int_stack+18630,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+176548,int_stack+172390,int_stack+168925,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+183478,int_stack+21654,int_stack+20016,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+188392,int_stack+183478,int_stack+172390,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+196708,int_stack+188392,int_stack+176548,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+168925,int_stack+23565,int_stack+21654,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+258850,int_stack+168925,int_stack+183478,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+268678,int_stack+258850,int_stack+188392,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+174658,int_stack+268678,int_stack+196708,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+191983,int_stack+25770,int_stack+23565,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+198598,int_stack+191983,int_stack+168925,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+282538,int_stack+198598,int_stack+258850,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+298918,int_stack+282538,int_stack+268678,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+319708,int_stack+298918,int_stack+174658,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+258850,int_stack+28290,int_stack+25770,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+266410,int_stack+258850,int_stack+191983,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+168925,int_stack+266410,int_stack+198598,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+188035,int_stack+168925,int_stack+282538,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+343963,int_stack+188035,int_stack+298918,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+279640,int_stack+343963,int_stack+319708,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+311980,int_stack+31146,int_stack+28290,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+320548,int_stack+311980,int_stack+258850,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+373069,int_stack+320548,int_stack+266410,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+395119,int_stack+373069,int_stack+168925,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+423784,int_stack+395119,int_stack+188035,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+168925,int_stack+423784,int_stack+343963,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+458182,int_stack+168925,int_stack+279640,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+258850,int_stack+34359,int_stack+31146,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+268489,int_stack+258850,int_stack+311980,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+285625,int_stack+268489,int_stack+320548,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+310825,int_stack+285625,int_stack+373069,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+343900,int_stack+310825,int_stack+395119,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+499762,int_stack+343900,int_stack+423784,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+384031,int_stack+499762,int_stack+168925,21);
 /*--- compute (h0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+545626,int_stack+384031,int_stack+458182,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+168925,int_stack+37950,int_stack+34359,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+179698,int_stack+168925,int_stack+258850,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+433927,int_stack+179698,int_stack+268489,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+168925,int_stack+433927,int_stack+285625,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+433927,int_stack+168925,int_stack+310825,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+258850,int_stack+433927,int_stack+343900,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+433927,int_stack+258850,int_stack+499762,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+258850,int_stack+433927,int_stack+384031,21);
 /*--- compute (h0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+321220,int_stack+258850,int_stack+545626,21);
 /*--- compute (gp|mm) ---*/
 hrr1_build_gp(Libint->AB,int_stack+384745,int_stack+321220,int_stack+213475,3025);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+520870,int_stack+43480,int_stack+41940,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+525490,int_stack+45328,int_stack+43480,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+531034,int_stack+525490,int_stack+520870,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+540274,int_stack+47512,int_stack+45328,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+546826,int_stack+540274,int_stack+525490,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+557914,int_stack+546826,int_stack+531034,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+520870,int_stack+50060,int_stack+47512,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+573314,int_stack+520870,int_stack+540274,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+168925,int_stack+573314,int_stack+546826,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+528514,int_stack+168925,int_stack+557914,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+551614,int_stack+53000,int_stack+50060,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+187405,int_stack+551614,int_stack+520870,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+202693,int_stack+187405,int_stack+573314,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+560434,int_stack+202693,int_stack+168925,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+224533,int_stack+560434,int_stack+528514,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+168925,int_stack+56360,int_stack+53000,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+520870,int_stack+168925,int_stack+551614,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+256873,int_stack+520870,int_stack+187405,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+282353,int_stack+256873,int_stack+202693,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+179005,int_stack+282353,int_stack+560434,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+538510,int_stack+179005,int_stack+224533,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+217813,int_stack+60168,int_stack+56360,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+229237,int_stack+217813,int_stack+168925,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+229237,int_stack+520870,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+581630,int_stack+0,int_stack+256873,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+619850,int_stack+581630,int_stack+282353,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+249397,int_stack+619850,int_stack+179005,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+665714,int_stack+249397,int_stack+538510,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+520870,int_stack+64452,int_stack+60168,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+533722,int_stack+520870,int_stack+217813,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+168925,int_stack+533722,int_stack+229237,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+202525,int_stack+168925,int_stack+0,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+202525,int_stack+581630,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+556570,int_stack+0,int_stack+619850,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+721154,int_stack+556570,int_stack+249397,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+246625,int_stack+721154,int_stack+665714,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+617722,int_stack+69240,int_stack+64452,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+632086,int_stack+617722,int_stack+520870,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+657790,int_stack+632086,int_stack+533722,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+787682,int_stack+657790,int_stack+168925,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+617722,int_stack+787682,int_stack+202525,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+168925,int_stack+617722,int_stack+0,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+617722,int_stack+168925,int_stack+556570,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+520870,int_stack+617722,int_stack+721154,28);
 /*--- compute (i0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+604030,int_stack+520870,int_stack+246625,28);
 /*--- compute (hp|mm) ---*/
 hrr1_build_hp(Libint->AB,int_stack+688730,int_stack+604030,int_stack+321220,3025);
 /*--- compute (gd|mm) ---*/
 hrr1_build_gd(Libint->AB,int_stack+879305,int_stack+688730,int_stack+384745,3025);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+168925,int_stack+76540,int_stack+74560,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+174865,int_stack+78916,int_stack+76540,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+181993,int_stack+174865,int_stack+168925,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+193873,int_stack+81724,int_stack+78916,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+202297,int_stack+193873,int_stack+174865,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+216553,int_stack+202297,int_stack+181993,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+168925,int_stack+85000,int_stack+81724,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+236353,int_stack+168925,int_stack+193873,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+253201,int_stack+236353,int_stack+202297,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+178753,int_stack+253201,int_stack+216553,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+208453,int_stack+88780,int_stack+85000,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+276961,int_stack+208453,int_stack+168925,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+296617,int_stack+276961,int_stack+236353,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+324697,int_stack+296617,int_stack+253201,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+219793,int_stack+324697,int_stack+178753,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+168925,int_stack+93100,int_stack+88780,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+181885,int_stack+168925,int_stack+208453,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+360337,int_stack+181885,int_stack+276961,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+393097,int_stack+360337,int_stack+296617,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+261373,int_stack+393097,int_stack+324697,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+435217,int_stack+261373,int_stack+219793,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+204565,int_stack+97996,int_stack+93100,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+219253,int_stack+204565,int_stack+168925,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+311269,int_stack+219253,int_stack+181885,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+490657,int_stack+311269,int_stack+360337,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+539797,int_stack+490657,int_stack+393097,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+349069,int_stack+539797,int_stack+261373,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+349069,int_stack+435217,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+168925,int_stack+103504,int_stack+97996,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+245173,int_stack+168925,int_stack+204565,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+415597,int_stack+245173,int_stack+219253,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+185449,int_stack+415597,int_stack+311269,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+274549,int_stack+185449,int_stack+490657,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+458797,int_stack+274549,int_stack+539797,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1151555,int_stack+458797,int_stack+349069,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1237091,int_stack+1151555,int_stack+0,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+109660,int_stack+103504,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+18468,int_stack+0,int_stack+168925,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+51516,int_stack+18468,int_stack+245173,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+343345,int_stack+51516,int_stack+415597,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+0,int_stack+343345,int_stack+185449,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+343345,int_stack+0,int_stack+274549,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+343345,int_stack+458797,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+168925,int_stack+0,int_stack+1151555,36);
 /*--- compute (k0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+0,int_stack+168925,int_stack+1237091,36);
 /*--- compute (ip|mm) ---*/
 hrr1_build_ip(Libint->AB,int_stack+168925,int_stack+0,int_stack+604030,3025);
 /*--- compute (hd|mm) ---*/
 hrr1_build_hd(Libint->AB,int_stack+1151555,int_stack+168925,int_stack+688730,3025);
 /*--- compute (gf|mm) ---*/
 hrr1_build_gf(Libint->AB,int_stack+423025,int_stack+1151555,int_stack+879305,3025);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+876775,int_stack+118975,int_stack+116500,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+884200,int_stack+121945,int_stack+118975,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+893110,int_stack+884200,int_stack+876775,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+907960,int_stack+125455,int_stack+121945,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+918490,int_stack+907960,int_stack+884200,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+936310,int_stack+918490,int_stack+893110,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+876775,int_stack+129550,int_stack+125455,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+961060,int_stack+876775,int_stack+907960,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+982120,int_stack+961060,int_stack+918490,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+889060,int_stack+982120,int_stack+936310,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+926185,int_stack+134275,int_stack+129550,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1011820,int_stack+926185,int_stack+876775,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1036390,int_stack+1011820,int_stack+961060,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1071490,int_stack+1036390,int_stack+982120,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+940360,int_stack+1071490,int_stack+889060,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+876775,int_stack+139675,int_stack+134275,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+892975,int_stack+876775,int_stack+926185,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1532705,int_stack+892975,int_stack+1011820,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1573655,int_stack+1532705,int_stack+1036390,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+992335,int_stack+1573655,int_stack+1071490,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1054705,int_stack+992335,int_stack+940360,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+921325,int_stack+145795,int_stack+139675,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+939685,int_stack+921325,int_stack+876775,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1626305,int_stack+939685,int_stack+892975,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1673555,int_stack+1626305,int_stack+1532705,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1734980,int_stack+1673555,int_stack+1573655,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1532705,int_stack+1734980,int_stack+992335,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1808690,int_stack+1532705,int_stack+1054705,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+876775,int_stack+152680,int_stack+145795,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+972085,int_stack+876775,int_stack+921325,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1008805,int_stack+972085,int_stack+939685,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+897430,int_stack+1008805,int_stack+1626305,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1062805,int_stack+897430,int_stack+1673555,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1615865,int_stack+1062805,int_stack+1734980,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1897790,int_stack+1615865,int_stack+1532705,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+2004710,int_stack+1897790,int_stack+1808690,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1532705,int_stack+160375,int_stack+152680,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1555790,int_stack+1532705,int_stack+876775,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1714145,int_stack+1555790,int_stack+972085,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1532705,int_stack+1714145,int_stack+1008805,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1714145,int_stack+1532705,int_stack+897430,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+876775,int_stack+1714145,int_stack+1062805,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1714145,int_stack+876775,int_stack+1615865,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+876775,int_stack+1714145,int_stack+1897790,45);
 /*--- compute (l0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+1010425,int_stack+876775,int_stack+2004710,45);
 /*--- compute (kp|mm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+1532705,int_stack+1010425,int_stack+0,3025);
 /*--- compute (id|mm) ---*/
 hrr1_build_id(Libint->AB,int_stack+1859405,int_stack+1532705,int_stack+168925,3025);
 /*--- compute (hf|mm) ---*/
 hrr1_build_hf(Libint->AB,int_stack+2367605,int_stack+1859405,int_stack+1151555,3025);
 /*--- compute (gg|mm) ---*/
 hrr1_build_gg(Libint->AB,int_stack+876775,int_stack+2367605,int_stack+423025,3025);
 return int_stack+876775;}
