#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_h0kd(Libint_t*, prim_data*);

  /* Computes quartets of (h0|kd) integrals */

REALTYPE *hrr_order_h0kd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][7] = int_stack + 0;
 Libint->vrr_classes[5][8] = int_stack + 756;
 Libint->vrr_classes[5][9] = int_stack + 1701;
 memset(int_stack,0,2856*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2856;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_h0kd(Libint, Data);
   Data++;
 }
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2856,int_stack+756,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5124,int_stack+1701,int_stack+756,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+7959,int_stack+5124,int_stack+2856,21);
 return int_stack+7959;}
