#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_h0ld(Libint_t*, prim_data*);

  /* Computes quartets of (h0|ld) integrals */

REALTYPE *hrr_order_h0ld(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][8] = int_stack + 0;
 Libint->vrr_classes[5][9] = int_stack + 945;
 Libint->vrr_classes[5][10] = int_stack + 2100;
 memset(int_stack,0,3486*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3486;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_h0ld(Libint, Data);
   Data++;
 }
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3486,int_stack+945,int_stack+0,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6321,int_stack+2100,int_stack+945,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+9786,int_stack+6321,int_stack+3486,21);
 return int_stack+9786;}
