#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hgii(Libint_t*, prim_data*);

  /* Computes quartets of (hg|ii) integrals */

REALTYPE *hrr_order_hgii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][6] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 588;
 Libint->vrr_classes[5][8] = int_stack + 1344;
 Libint->vrr_classes[5][9] = int_stack + 2289;
 Libint->vrr_classes[5][10] = int_stack + 3444;
 Libint->vrr_classes[5][11] = int_stack + 4830;
 Libint->vrr_classes[5][12] = int_stack + 6468;
 Libint->vrr_classes[6][6] = int_stack + 8379;
 Libint->vrr_classes[6][7] = int_stack + 9163;
 Libint->vrr_classes[6][8] = int_stack + 10171;
 Libint->vrr_classes[6][9] = int_stack + 11431;
 Libint->vrr_classes[6][10] = int_stack + 12971;
 Libint->vrr_classes[6][11] = int_stack + 14819;
 Libint->vrr_classes[6][12] = int_stack + 17003;
 Libint->vrr_classes[7][6] = int_stack + 19551;
 Libint->vrr_classes[7][7] = int_stack + 20559;
 Libint->vrr_classes[7][8] = int_stack + 21855;
 Libint->vrr_classes[7][9] = int_stack + 23475;
 Libint->vrr_classes[7][10] = int_stack + 25455;
 Libint->vrr_classes[7][11] = int_stack + 27831;
 Libint->vrr_classes[7][12] = int_stack + 30639;
 Libint->vrr_classes[8][6] = int_stack + 33915;
 Libint->vrr_classes[8][7] = int_stack + 35175;
 Libint->vrr_classes[8][8] = int_stack + 36795;
 Libint->vrr_classes[8][9] = int_stack + 38820;
 Libint->vrr_classes[8][10] = int_stack + 41295;
 Libint->vrr_classes[8][11] = int_stack + 44265;
 Libint->vrr_classes[8][12] = int_stack + 47775;
 Libint->vrr_classes[9][6] = int_stack + 51870;
 Libint->vrr_classes[9][7] = int_stack + 53410;
 Libint->vrr_classes[9][8] = int_stack + 55390;
 Libint->vrr_classes[9][9] = int_stack + 57865;
 Libint->vrr_classes[9][10] = int_stack + 60890;
 Libint->vrr_classes[9][11] = int_stack + 64520;
 Libint->vrr_classes[9][12] = int_stack + 68810;
 memset(int_stack,0,73815*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 73815;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hgii(Libint, Data);
   Data++;
 }
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+73815,int_stack+588,int_stack+0,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+75579,int_stack+1344,int_stack+588,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+77847,int_stack+75579,int_stack+73815,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+81375,int_stack+2289,int_stack+1344,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+84210,int_stack+81375,int_stack+75579,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+88746,int_stack+84210,int_stack+77847,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+73815,int_stack+3444,int_stack+2289,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+94626,int_stack+73815,int_stack+81375,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+100296,int_stack+94626,int_stack+84210,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+77280,int_stack+100296,int_stack+88746,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+86100,int_stack+4830,int_stack+3444,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+107856,int_stack+86100,int_stack+73815,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+114786,int_stack+107856,int_stack+94626,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+124236,int_stack+114786,int_stack+100296,21);
 /*--- compute (h0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+90258,int_stack+124236,int_stack+77280,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+73815,int_stack+6468,int_stack+4830,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+73815,int_stack+86100,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+73815,int_stack+0,int_stack+107856,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+135576,int_stack+73815,int_stack+114786,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+73815,int_stack+135576,int_stack+124236,21);
 /*--- compute (h0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+102606,int_stack+73815,int_stack+90258,21);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+73815,int_stack+9163,int_stack+8379,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+76167,int_stack+10171,int_stack+9163,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+79191,int_stack+76167,int_stack+73815,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+83895,int_stack+11431,int_stack+10171,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+87675,int_stack+83895,int_stack+76167,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+93723,int_stack+87675,int_stack+79191,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+73815,int_stack+12971,int_stack+11431,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+73815,int_stack+83895,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+119070,int_stack+0,int_stack+87675,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+78435,int_stack+119070,int_stack+93723,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+90195,int_stack+14819,int_stack+12971,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+129150,int_stack+90195,int_stack+73815,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+138390,int_stack+129150,int_stack+0,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+150990,int_stack+138390,int_stack+119070,28);
 /*--- compute (i0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+166110,int_stack+150990,int_stack+78435,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+119070,int_stack+17003,int_stack+14819,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+119070,int_stack+90195,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+73815,int_stack+0,int_stack+129150,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+73815,int_stack+138390,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+73815,int_stack+0,int_stack+150990,28);
 /*--- compute (i0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+119070,int_stack+73815,int_stack+166110,28);
 /*--- compute (hp|ii) ---*/
 hrr1_build_hp(Libint->AB,int_stack+141022,int_stack+119070,int_stack+102606,784);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+73815,int_stack+20559,int_stack+19551,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+76839,int_stack+21855,int_stack+20559,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+80727,int_stack+76839,int_stack+73815,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+86775,int_stack+23475,int_stack+21855,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+91635,int_stack+86775,int_stack+76839,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+99411,int_stack+91635,int_stack+80727,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+73815,int_stack+25455,int_stack+23475,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+73815,int_stack+86775,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+9720,int_stack+0,int_stack+91635,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+79755,int_stack+9720,int_stack+99411,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+94875,int_stack+27831,int_stack+25455,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+102003,int_stack+94875,int_stack+73815,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+190414,int_stack+102003,int_stack+0,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+206614,int_stack+190414,int_stack+9720,36);
 /*--- compute (k0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+0,int_stack+206614,int_stack+79755,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+73815,int_stack+30639,int_stack+27831,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+226054,int_stack+73815,int_stack+94875,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+73815,int_stack+226054,int_stack+102003,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+93615,int_stack+73815,int_stack+190414,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+226054,int_stack+93615,int_stack+206614,36);
 /*--- compute (k0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+190414,int_stack+226054,int_stack+0,36);
 /*--- compute (ip|ii) ---*/
 hrr1_build_ip(Libint->AB,int_stack+218638,int_stack+190414,int_stack+119070,784);
 /*--- compute (hd|ii) ---*/
 hrr1_build_hd(Libint->AB,int_stack+284494,int_stack+218638,int_stack+141022,784);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+35175,int_stack+33915,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3780,int_stack+36795,int_stack+35175,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+8640,int_stack+3780,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+16200,int_stack+38820,int_stack+36795,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+22275,int_stack+16200,int_stack+3780,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+73815,int_stack+22275,int_stack+8640,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+41295,int_stack+38820,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+86415,int_stack+0,int_stack+16200,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+98565,int_stack+86415,int_stack+22275,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+7425,int_stack+98565,int_stack+73815,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+73815,int_stack+44265,int_stack+41295,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+26325,int_stack+73815,int_stack+0,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+114765,int_stack+26325,int_stack+86415,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+135015,int_stack+114765,int_stack+98565,45);
 /*--- compute (l0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+82725,int_stack+135015,int_stack+7425,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+47775,int_stack+44265,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+159315,int_stack+0,int_stack+73815,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+159315,int_stack+26325,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+159315,int_stack+0,int_stack+114765,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+159315,int_stack+135015,45);
 /*--- compute (l0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+109185,int_stack+0,int_stack+82725,45);
 /*--- compute (kp|ii) ---*/
 hrr1_build_kp(Libint->AB,int_stack+383278,int_stack+109185,int_stack+190414,784);
 /*--- compute (id|ii) ---*/
 hrr1_build_id(Libint->AB,int_stack+467950,int_stack+383278,int_stack+218638,784);
 /*--- compute (hf|ii) ---*/
 hrr1_build_hf(Libint->AB,int_stack+599662,int_stack+467950,int_stack+284494,784);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+53410,int_stack+51870,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4620,int_stack+55390,int_stack+53410,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+10560,int_stack+4620,int_stack+0,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+19800,int_stack+57865,int_stack+55390,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+27225,int_stack+19800,int_stack+4620,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+39105,int_stack+27225,int_stack+10560,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+60890,int_stack+57865,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+73815,int_stack+0,int_stack+19800,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+88665,int_stack+73815,int_stack+27225,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+9075,int_stack+88665,int_stack+39105,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+32175,int_stack+64520,int_stack+60890,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+43065,int_stack+32175,int_stack+0,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+144465,int_stack+43065,int_stack+73815,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+169215,int_stack+144465,int_stack+88665,55);
 /*--- compute (m0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+73815,int_stack+169215,int_stack+9075,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+68810,int_stack+64520,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+198915,int_stack+0,int_stack+32175,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+198915,int_stack+43065,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+198915,int_stack+0,int_stack+144465,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+198915,int_stack+169215,55);
 /*--- compute (m0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+144465,int_stack+0,int_stack+73815,55);
 /*--- compute (lp|ii) ---*/
 hrr1_build_lp(Libint->AB,int_stack+0,int_stack+144465,int_stack+109185,784);
 /*--- compute (kd|ii) ---*/
 hrr1_build_kd(Libint->AB,int_stack+105840,int_stack+0,int_stack+383278,784);
 /*--- compute (if|ii) ---*/
 hrr1_build_if(Libint->AB,int_stack+764302,int_stack+105840,int_stack+467950,784);
 /*--- compute (hg|ii) ---*/
 hrr1_build_hg(Libint->AB,int_stack+0,int_stack+764302,int_stack+599662,784);
 return int_stack+0;}
