#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hgkd(Libint_t*, prim_data*);

  /* Computes quartets of (hg|kd) integrals */

REALTYPE *hrr_order_hgkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][7] = int_stack + 0;
 Libint->vrr_classes[5][8] = int_stack + 756;
 Libint->vrr_classes[5][9] = int_stack + 1701;
 Libint->vrr_classes[6][7] = int_stack + 2856;
 Libint->vrr_classes[6][8] = int_stack + 3864;
 Libint->vrr_classes[6][9] = int_stack + 5124;
 Libint->vrr_classes[7][7] = int_stack + 6664;
 Libint->vrr_classes[7][8] = int_stack + 7960;
 Libint->vrr_classes[7][9] = int_stack + 9580;
 Libint->vrr_classes[8][7] = int_stack + 11560;
 Libint->vrr_classes[8][8] = int_stack + 13180;
 Libint->vrr_classes[8][9] = int_stack + 15205;
 Libint->vrr_classes[9][7] = int_stack + 17680;
 Libint->vrr_classes[9][8] = int_stack + 19660;
 Libint->vrr_classes[9][9] = int_stack + 22135;
 memset(int_stack,0,25160*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 25160;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hgkd(Libint, Data);
   Data++;
 }
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+25160,int_stack+756,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+27428,int_stack+1701,int_stack+756,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+30263,int_stack+27428,int_stack+25160,21);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+25160,int_stack+3864,int_stack+2856,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+5124,int_stack+3864,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+34799,int_stack+0,int_stack+25160,28);
 /*--- compute (hp|kd) ---*/
 hrr1_build_hp(Libint->AB,int_stack+40847,int_stack+34799,int_stack+30263,216);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+25160,int_stack+7960,int_stack+6664,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+29048,int_stack+9580,int_stack+7960,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+29048,int_stack+25160,36);
 /*--- compute (ip|kd) ---*/
 hrr1_build_ip(Libint->AB,int_stack+54455,int_stack+0,int_stack+34799,216);
 /*--- compute (hd|kd) ---*/
 hrr1_build_hd(Libint->AB,int_stack+72599,int_stack+54455,int_stack+40847,216);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+25160,int_stack+13180,int_stack+11560,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+30020,int_stack+15205,int_stack+13180,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+36095,int_stack+30020,int_stack+25160,45);
 /*--- compute (kp|kd) ---*/
 hrr1_build_kp(Libint->AB,int_stack+99815,int_stack+36095,int_stack+0,216);
 /*--- compute (id|kd) ---*/
 hrr1_build_id(Libint->AB,int_stack+123143,int_stack+99815,int_stack+54455,216);
 /*--- compute (hf|kd) ---*/
 hrr1_build_hf(Libint->AB,int_stack+159431,int_stack+123143,int_stack+72599,216);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+19660,int_stack+17680,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5940,int_stack+22135,int_stack+19660,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+13365,int_stack+5940,int_stack+0,55);
 /*--- compute (lp|kd) ---*/
 hrr1_build_lp(Libint->AB,int_stack+45815,int_stack+13365,int_stack+36095,216);
 /*--- compute (kd|kd) ---*/
 hrr1_build_kd(Libint->AB,int_stack+204791,int_stack+45815,int_stack+99815,216);
 /*--- compute (if|kd) ---*/
 hrr1_build_if(Libint->AB,int_stack+0,int_stack+204791,int_stack+123143,216);
 /*--- compute (hg|kd) ---*/
 hrr1_build_hg(Libint->AB,int_stack+60480,int_stack+0,int_stack+159431,216);
 return int_stack+60480;}
