#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hgli(Libint_t*, prim_data*);

  /* Computes quartets of (hg|li) integrals */

REALTYPE *hrr_order_hgli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][8] = int_stack + 0;
 Libint->vrr_classes[5][9] = int_stack + 945;
 Libint->vrr_classes[5][10] = int_stack + 2100;
 Libint->vrr_classes[5][11] = int_stack + 3486;
 Libint->vrr_classes[5][12] = int_stack + 5124;
 Libint->vrr_classes[5][13] = int_stack + 7035;
 Libint->vrr_classes[5][14] = int_stack + 9240;
 Libint->vrr_classes[6][8] = int_stack + 11760;
 Libint->vrr_classes[6][9] = int_stack + 13020;
 Libint->vrr_classes[6][10] = int_stack + 14560;
 Libint->vrr_classes[6][11] = int_stack + 16408;
 Libint->vrr_classes[6][12] = int_stack + 18592;
 Libint->vrr_classes[6][13] = int_stack + 21140;
 Libint->vrr_classes[6][14] = int_stack + 24080;
 Libint->vrr_classes[7][8] = int_stack + 27440;
 Libint->vrr_classes[7][9] = int_stack + 29060;
 Libint->vrr_classes[7][10] = int_stack + 31040;
 Libint->vrr_classes[7][11] = int_stack + 33416;
 Libint->vrr_classes[7][12] = int_stack + 36224;
 Libint->vrr_classes[7][13] = int_stack + 39500;
 Libint->vrr_classes[7][14] = int_stack + 43280;
 Libint->vrr_classes[8][8] = int_stack + 47600;
 Libint->vrr_classes[8][9] = int_stack + 49625;
 Libint->vrr_classes[8][10] = int_stack + 52100;
 Libint->vrr_classes[8][11] = int_stack + 55070;
 Libint->vrr_classes[8][12] = int_stack + 58580;
 Libint->vrr_classes[8][13] = int_stack + 62675;
 Libint->vrr_classes[8][14] = int_stack + 67400;
 Libint->vrr_classes[9][8] = int_stack + 72800;
 Libint->vrr_classes[9][9] = int_stack + 75275;
 Libint->vrr_classes[9][10] = int_stack + 78300;
 Libint->vrr_classes[9][11] = int_stack + 81930;
 Libint->vrr_classes[9][12] = int_stack + 86220;
 Libint->vrr_classes[9][13] = int_stack + 91225;
 Libint->vrr_classes[9][14] = int_stack + 97000;
 memset(int_stack,0,103600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 103600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hgli(Libint, Data);
   Data++;
 }
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+103600,int_stack+945,int_stack+0,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+106435,int_stack+2100,int_stack+945,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+109900,int_stack+106435,int_stack+103600,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+115570,int_stack+3486,int_stack+2100,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+119728,int_stack+115570,int_stack+106435,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+126658,int_stack+119728,int_stack+109900,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+103600,int_stack+5124,int_stack+3486,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+136108,int_stack+103600,int_stack+115570,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+144424,int_stack+136108,int_stack+119728,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+108514,int_stack+144424,int_stack+126658,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+122689,int_stack+7035,int_stack+5124,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+155974,int_stack+122689,int_stack+103600,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+165802,int_stack+155974,int_stack+136108,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+179662,int_stack+165802,int_stack+144424,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+128422,int_stack+179662,int_stack+108514,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+103600,int_stack+9240,int_stack+7035,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+110215,int_stack+103600,int_stack+122689,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+196987,int_stack+110215,int_stack+155974,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+103600,int_stack+196987,int_stack+165802,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+148267,int_stack+103600,int_stack+179662,21);
 /*--- compute (h0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+172522,int_stack+148267,int_stack+128422,21);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+103600,int_stack+13020,int_stack+11760,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+107380,int_stack+14560,int_stack+13020,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+112000,int_stack+107380,int_stack+103600,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+119560,int_stack+16408,int_stack+14560,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+125104,int_stack+119560,int_stack+107380,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+134344,int_stack+125104,int_stack+112000,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+103600,int_stack+18592,int_stack+16408,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+146944,int_stack+103600,int_stack+119560,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+146944,int_stack+125104,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+110152,int_stack+0,int_stack+134344,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+129052,int_stack+21140,int_stack+18592,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+158032,int_stack+129052,int_stack+103600,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+198982,int_stack+158032,int_stack+146944,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+217462,int_stack+198982,int_stack+0,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+240562,int_stack+217462,int_stack+110152,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+24080,int_stack+21140,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+8820,int_stack+0,int_stack+129052,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+103600,int_stack+8820,int_stack+158032,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+125440,int_stack+103600,int_stack+198982,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+267022,int_stack+125440,int_stack+217462,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+198982,int_stack+267022,int_stack+240562,28);
 /*--- compute (hp|li) ---*/
 hrr1_build_hp(Libint->AB,int_stack+234262,int_stack+198982,int_stack+172522,1260);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+103600,int_stack+29060,int_stack+27440,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+108460,int_stack+31040,int_stack+29060,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+114400,int_stack+108460,int_stack+103600,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+124120,int_stack+33416,int_stack+31040,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+131248,int_stack+124120,int_stack+108460,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+143128,int_stack+131248,int_stack+114400,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+103600,int_stack+36224,int_stack+33416,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+159328,int_stack+103600,int_stack+124120,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+173584,int_stack+159328,int_stack+131248,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+112024,int_stack+173584,int_stack+143128,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+136324,int_stack+39500,int_stack+36224,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+136324,int_stack+103600,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+313642,int_stack+0,int_stack+159328,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+337402,int_stack+313642,int_stack+173584,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+146152,int_stack+337402,int_stack+112024,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+103600,int_stack+43280,int_stack+39500,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+114940,int_stack+103600,int_stack+136324,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+16848,int_stack+114940,int_stack+0,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+103600,int_stack+16848,int_stack+313642,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+103600,int_stack+337402,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+313642,int_stack+0,int_stack+146152,36);
 /*--- compute (ip|li) ---*/
 hrr1_build_ip(Libint->AB,int_stack+359002,int_stack+313642,int_stack+198982,1260);
 /*--- compute (hd|li) ---*/
 hrr1_build_hd(Libint->AB,int_stack+464842,int_stack+359002,int_stack+234262,1260);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+49625,int_stack+47600,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6075,int_stack+52100,int_stack+49625,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+13500,int_stack+6075,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+25650,int_stack+55070,int_stack+52100,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+34560,int_stack+25650,int_stack+6075,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+103600,int_stack+34560,int_stack+13500,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+58580,int_stack+55070,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+123850,int_stack+0,int_stack+25650,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+141670,int_stack+123850,int_stack+34560,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+10530,int_stack+141670,int_stack+103600,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+103600,int_stack+62675,int_stack+58580,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+40905,int_stack+103600,int_stack+0,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+166420,int_stack+40905,int_stack+123850,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+196120,int_stack+166420,int_stack+141670,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+115885,int_stack+196120,int_stack+10530,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+67400,int_stack+62675,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+14175,int_stack+0,int_stack+103600,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+233245,int_stack+14175,int_stack+40905,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+233245,int_stack+166420,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+233245,int_stack+0,int_stack+196120,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+233245,int_stack+115885,45);
 /*--- compute (kp|li) ---*/
 hrr1_build_kp(Libint->AB,int_stack+103600,int_stack+0,int_stack+313642,1260);
 /*--- compute (id|li) ---*/
 hrr1_build_id(Libint->AB,int_stack+623602,int_stack+103600,int_stack+359002,1260);
 /*--- compute (hf|li) ---*/
 hrr1_build_hf(Libint->AB,int_stack+835282,int_stack+623602,int_stack+464842,1260);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+56700,int_stack+75275,int_stack+72800,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+64125,int_stack+78300,int_stack+75275,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+239680,int_stack+64125,int_stack+56700,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+254530,int_stack+81930,int_stack+78300,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+265420,int_stack+254530,int_stack+64125,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+56700,int_stack+265420,int_stack+239680,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+239680,int_stack+86220,int_stack+81930,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+283570,int_stack+239680,int_stack+254530,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+305350,int_stack+283570,int_stack+265420,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+335600,int_stack+305350,int_stack+56700,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+56700,int_stack+91225,int_stack+86220,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+252550,int_stack+56700,int_stack+239680,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+372725,int_stack+252550,int_stack+283570,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+409025,int_stack+372725,int_stack+305350,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+278290,int_stack+409025,int_stack+335600,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+71715,int_stack+97000,int_stack+91225,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+330265,int_stack+71715,int_stack+56700,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+56700,int_stack+330265,int_stack+252550,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+454400,int_stack+56700,int_stack+372725,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+330265,int_stack+454400,int_stack+409025,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+393790,int_stack+330265,int_stack+278290,55);
 /*--- compute (lp|li) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1099882,int_stack+393790,int_stack+0,1260);
 /*--- compute (kd|li) ---*/
 hrr1_build_kd(Libint->AB,int_stack+239680,int_stack+1099882,int_stack+103600,1260);
 /*--- compute (if|li) ---*/
 hrr1_build_if(Libint->AB,int_stack+1099882,int_stack+239680,int_stack+623602,1260);
 /*--- compute (hg|li) ---*/
 hrr1_build_hg(Libint->AB,int_stack+0,int_stack+1099882,int_stack+835282,1260);
 return int_stack+0;}
