#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hgn0(Libint_t*, prim_data*);

  /* Computes quartets of (hg|n0) integrals */

REALTYPE *hrr_order_hgn0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1386;
 Libint->vrr_classes[7][10] = int_stack + 3234;
 Libint->vrr_classes[8][10] = int_stack + 5610;
 Libint->vrr_classes[9][10] = int_stack + 8580;
 memset(int_stack,0,12210*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 12210;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hgn0(Libint, Data);
   Data++;
 }
 /*--- compute (hp|n0) ---*/
 hrr1_build_hp(Libint->AB,int_stack+12210,int_stack+1386,int_stack+0,66);
 /*--- compute (ip|n0) ---*/
 hrr1_build_ip(Libint->AB,int_stack+16368,int_stack+3234,int_stack+1386,66);
 /*--- compute (hd|n0) ---*/
 hrr1_build_hd(Libint->AB,int_stack+21912,int_stack+16368,int_stack+12210,66);
 /*--- compute (kp|n0) ---*/
 hrr1_build_kp(Libint->AB,int_stack+30228,int_stack+5610,int_stack+3234,66);
 /*--- compute (id|n0) ---*/
 hrr1_build_id(Libint->AB,int_stack+37356,int_stack+30228,int_stack+16368,66);
 /*--- compute (hf|n0) ---*/
 hrr1_build_hf(Libint->AB,int_stack+48444,int_stack+37356,int_stack+21912,66);
 /*--- compute (lp|n0) ---*/
 hrr1_build_lp(Libint->AB,int_stack+12210,int_stack+8580,int_stack+5610,66);
 /*--- compute (kd|n0) ---*/
 hrr1_build_kd(Libint->AB,int_stack+62304,int_stack+12210,int_stack+30228,66);
 /*--- compute (if|n0) ---*/
 hrr1_build_if(Libint->AB,int_stack+0,int_stack+62304,int_stack+37356,66);
 /*--- compute (hg|n0) ---*/
 hrr1_build_hg(Libint->AB,int_stack+18480,int_stack+0,int_stack+48444,66);
 return int_stack+18480;}
