#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hhlk(Libint_t*, prim_data*);

  /* Computes quartets of (hh|lk) integrals */

REALTYPE *hrr_order_hhlk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][8] = int_stack + 0;
 Libint->vrr_classes[5][9] = int_stack + 945;
 Libint->vrr_classes[5][10] = int_stack + 2100;
 Libint->vrr_classes[5][11] = int_stack + 3486;
 Libint->vrr_classes[5][12] = int_stack + 5124;
 Libint->vrr_classes[5][13] = int_stack + 7035;
 Libint->vrr_classes[5][14] = int_stack + 9240;
 Libint->vrr_classes[5][15] = int_stack + 11760;
 Libint->vrr_classes[6][8] = int_stack + 14616;
 Libint->vrr_classes[6][9] = int_stack + 15876;
 Libint->vrr_classes[6][10] = int_stack + 17416;
 Libint->vrr_classes[6][11] = int_stack + 19264;
 Libint->vrr_classes[6][12] = int_stack + 21448;
 Libint->vrr_classes[6][13] = int_stack + 23996;
 Libint->vrr_classes[6][14] = int_stack + 26936;
 Libint->vrr_classes[6][15] = int_stack + 30296;
 Libint->vrr_classes[7][8] = int_stack + 34104;
 Libint->vrr_classes[7][9] = int_stack + 35724;
 Libint->vrr_classes[7][10] = int_stack + 37704;
 Libint->vrr_classes[7][11] = int_stack + 40080;
 Libint->vrr_classes[7][12] = int_stack + 42888;
 Libint->vrr_classes[7][13] = int_stack + 46164;
 Libint->vrr_classes[7][14] = int_stack + 49944;
 Libint->vrr_classes[7][15] = int_stack + 54264;
 Libint->vrr_classes[8][8] = int_stack + 59160;
 Libint->vrr_classes[8][9] = int_stack + 61185;
 Libint->vrr_classes[8][10] = int_stack + 63660;
 Libint->vrr_classes[8][11] = int_stack + 66630;
 Libint->vrr_classes[8][12] = int_stack + 70140;
 Libint->vrr_classes[8][13] = int_stack + 74235;
 Libint->vrr_classes[8][14] = int_stack + 78960;
 Libint->vrr_classes[8][15] = int_stack + 84360;
 Libint->vrr_classes[9][8] = int_stack + 90480;
 Libint->vrr_classes[9][9] = int_stack + 92955;
 Libint->vrr_classes[9][10] = int_stack + 95980;
 Libint->vrr_classes[9][11] = int_stack + 99610;
 Libint->vrr_classes[9][12] = int_stack + 103900;
 Libint->vrr_classes[9][13] = int_stack + 108905;
 Libint->vrr_classes[9][14] = int_stack + 114680;
 Libint->vrr_classes[9][15] = int_stack + 121280;
 Libint->vrr_classes[10][8] = int_stack + 128760;
 Libint->vrr_classes[10][9] = int_stack + 131730;
 Libint->vrr_classes[10][10] = int_stack + 135360;
 Libint->vrr_classes[10][11] = int_stack + 139716;
 Libint->vrr_classes[10][12] = int_stack + 144864;
 Libint->vrr_classes[10][13] = int_stack + 150870;
 Libint->vrr_classes[10][14] = int_stack + 157800;
 Libint->vrr_classes[10][15] = int_stack + 165720;
 memset(int_stack,0,174696*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 174696;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hhlk(Libint, Data);
   Data++;
 }
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+174696,int_stack+945,int_stack+0,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+177531,int_stack+2100,int_stack+945,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+180996,int_stack+177531,int_stack+174696,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+186666,int_stack+3486,int_stack+2100,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+190824,int_stack+186666,int_stack+177531,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+197754,int_stack+190824,int_stack+180996,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+174696,int_stack+5124,int_stack+3486,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+207204,int_stack+174696,int_stack+186666,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+215520,int_stack+207204,int_stack+190824,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+179610,int_stack+215520,int_stack+197754,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+193785,int_stack+7035,int_stack+5124,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+227070,int_stack+193785,int_stack+174696,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+236898,int_stack+227070,int_stack+207204,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+250758,int_stack+236898,int_stack+215520,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+199518,int_stack+250758,int_stack+179610,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+174696,int_stack+9240,int_stack+7035,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+181311,int_stack+174696,int_stack+193785,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+268083,int_stack+181311,int_stack+227070,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+284463,int_stack+268083,int_stack+236898,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+219363,int_stack+284463,int_stack+250758,21);
 /*--- compute (h0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+305253,int_stack+219363,int_stack+199518,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+192777,int_stack+11760,int_stack+9240,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+200337,int_stack+192777,int_stack+174696,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+243618,int_stack+200337,int_stack+181311,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+174696,int_stack+243618,int_stack+268083,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+243618,int_stack+174696,int_stack+284463,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+174696,int_stack+243618,int_stack+219363,21);
 /*--- compute (h0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+207036,int_stack+174696,int_stack+305253,21);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+174696,int_stack+15876,int_stack+14616,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+178476,int_stack+17416,int_stack+15876,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+183096,int_stack+178476,int_stack+174696,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+190656,int_stack+19264,int_stack+17416,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+196200,int_stack+190656,int_stack+178476,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+241056,int_stack+196200,int_stack+183096,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+174696,int_stack+21448,int_stack+19264,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+253656,int_stack+174696,int_stack+190656,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+264744,int_stack+253656,int_stack+196200,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+181248,int_stack+264744,int_stack+241056,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+241056,int_stack+23996,int_stack+21448,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+280144,int_stack+241056,int_stack+174696,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+293248,int_stack+280144,int_stack+253656,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+293248,int_stack+264744,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+248700,int_stack+0,int_stack+181248,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+174696,int_stack+26936,int_stack+23996,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+183516,int_stack+174696,int_stack+241056,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+311728,int_stack+183516,int_stack+280144,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+333568,int_stack+311728,int_stack+293248,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+275160,int_stack+333568,int_stack+0,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+361288,int_stack+275160,int_stack+248700,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+30296,int_stack+26936,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+10080,int_stack+0,int_stack+174696,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+241056,int_stack+10080,int_stack+183516,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+241056,int_stack+311728,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+396568,int_stack+0,int_stack+333568,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+307500,int_stack+396568,int_stack+275160,28);
 /*--- compute (i0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+241056,int_stack+307500,int_stack+361288,28);
 /*--- compute (hp|lk) ---*/
 hrr1_build_hp(Libint->AB,int_stack+286416,int_stack+241056,int_stack+207036,1620);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+35724,int_stack+34104,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4860,int_stack+37704,int_stack+35724,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+10800,int_stack+4860,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+20520,int_stack+40080,int_stack+37704,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+27648,int_stack+20520,int_stack+4860,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+388476,int_stack+27648,int_stack+10800,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+42888,int_stack+40080,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+404676,int_stack+0,int_stack+20520,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+174696,int_stack+404676,int_stack+27648,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+8424,int_stack+174696,int_stack+388476,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+388476,int_stack+46164,int_stack+42888,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+418932,int_stack+388476,int_stack+0,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+194496,int_stack+418932,int_stack+404676,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+435780,int_stack+194496,int_stack+174696,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+465480,int_stack+435780,int_stack+8424,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+174696,int_stack+49944,int_stack+46164,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+174696,int_stack+388476,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+388476,int_stack+0,int_stack+418932,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+499500,int_stack+388476,int_stack+194496,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+186036,int_stack+499500,int_stack+435780,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+416556,int_stack+186036,int_stack+465480,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+461916,int_stack+54264,int_stack+49944,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+474876,int_stack+461916,int_stack+174696,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+19656,int_stack+474876,int_stack+0,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+535140,int_stack+19656,int_stack+388476,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+535140,int_stack+499500,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+461916,int_stack+0,int_stack+186036,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+0,int_stack+461916,int_stack+416556,36);
 /*--- compute (ip|lk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+388476,int_stack+0,int_stack+241056,1620);
 /*--- compute (hd|lk) ---*/
 hrr1_build_hd(Libint->AB,int_stack+524556,int_stack+388476,int_stack+286416,1620);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+174696,int_stack+61185,int_stack+59160,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+180771,int_stack+63660,int_stack+61185,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+188196,int_stack+180771,int_stack+174696,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+200346,int_stack+66630,int_stack+63660,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+209256,int_stack+200346,int_stack+180771,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+224106,int_stack+209256,int_stack+188196,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+174696,int_stack+70140,int_stack+66630,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+244356,int_stack+174696,int_stack+200346,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+262176,int_stack+244356,int_stack+209256,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+185226,int_stack+262176,int_stack+224106,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+215601,int_stack+74235,int_stack+70140,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+286926,int_stack+215601,int_stack+174696,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+307986,int_stack+286926,int_stack+244356,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+337686,int_stack+307986,int_stack+262176,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+227886,int_stack+337686,int_stack+185226,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+174696,int_stack+78960,int_stack+74235,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+188871,int_stack+174696,int_stack+215601,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+728676,int_stack+188871,int_stack+286926,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+763776,int_stack+728676,int_stack+307986,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+270411,int_stack+763776,int_stack+337686,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+322386,int_stack+270411,int_stack+227886,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+213441,int_stack+84360,int_stack+78960,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+229641,int_stack+213441,int_stack+174696,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+808326,int_stack+229641,int_stack+188871,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+174696,int_stack+808326,int_stack+728676,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+808326,int_stack+174696,int_stack+763776,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+174696,int_stack+808326,int_stack+270411,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+243996,int_stack+174696,int_stack+322386,45);
 /*--- compute (kp|lk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+728676,int_stack+243996,int_stack+0,1620);
 /*--- compute (id|lk) ---*/
 hrr1_build_id(Libint->AB,int_stack+903636,int_stack+728676,int_stack+388476,1620);
 /*--- compute (hf|lk) ---*/
 hrr1_build_hf(Libint->AB,int_stack+1175796,int_stack+903636,int_stack+524556,1620);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+92955,int_stack+90480,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7425,int_stack+95980,int_stack+92955,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+16500,int_stack+7425,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31350,int_stack+99610,int_stack+95980,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+42240,int_stack+31350,int_stack+7425,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+60390,int_stack+42240,int_stack+16500,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+103900,int_stack+99610,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+174696,int_stack+0,int_stack+31350,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+196476,int_stack+174696,int_stack+42240,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+12870,int_stack+196476,int_stack+60390,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+49995,int_stack+108905,int_stack+103900,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+65010,int_stack+49995,int_stack+0,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+316896,int_stack+65010,int_stack+174696,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+353196,int_stack+316896,int_stack+196476,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+174696,int_stack+353196,int_stack+12870,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+226671,int_stack+114680,int_stack+108905,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+226671,int_stack+49995,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+398571,int_stack+0,int_stack+65010,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+30030,int_stack+398571,int_stack+316896,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+441471,int_stack+30030,int_stack+353196,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+316896,int_stack+441471,int_stack+174696,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+174696,int_stack+121280,int_stack+114680,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+84480,int_stack+174696,int_stack+226671,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+174696,int_stack+84480,int_stack+0,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+504996,int_stack+174696,int_stack+398571,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+569346,int_stack+504996,int_stack+30030,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+569346,int_stack+441471,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+386196,int_stack+0,int_stack+316896,55);
 /*--- compute (lp|lk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+475296,int_stack+386196,int_stack+243996,1620);
 /*--- compute (kd|lk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1515996,int_stack+475296,int_stack+728676,1620);
 /*--- compute (if|lk) ---*/
 hrr1_build_if(Libint->AB,int_stack+1865916,int_stack+1515996,int_stack+903636,1620);
 /*--- compute (hg|lk) ---*/
 hrr1_build_hg(Libint->AB,int_stack+2319516,int_stack+1865916,int_stack+1175796,1620);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+131730,int_stack+128760,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8910,int_stack+135360,int_stack+131730,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+19800,int_stack+8910,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37620,int_stack+139716,int_stack+135360,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+50688,int_stack+37620,int_stack+8910,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+72468,int_stack+50688,int_stack+19800,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+144864,int_stack+139716,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+102168,int_stack+0,int_stack+37620,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+174696,int_stack+102168,int_stack+50688,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+15444,int_stack+174696,int_stack+72468,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+59994,int_stack+150870,int_stack+144864,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+210996,int_stack+59994,int_stack+0,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+241884,int_stack+210996,int_stack+102168,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+78012,int_stack+241884,int_stack+174696,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+285444,int_stack+78012,int_stack+15444,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+174696,int_stack+157800,int_stack+150870,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+174696,int_stack+59994,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+693996,int_stack+0,int_stack+210996,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+745476,int_stack+693996,int_stack+241884,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+195486,int_stack+745476,int_stack+78012,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+36036,int_stack+195486,int_stack+285444,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+271716,int_stack+165720,int_stack+157800,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+295476,int_stack+271716,int_stack+174696,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+119196,int_stack+295476,int_stack+0,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+271716,int_stack+119196,int_stack+693996,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+810816,int_stack+271716,int_stack+745476,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+271716,int_stack+810816,int_stack+195486,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+693996,int_stack+271716,int_stack+36036,66);
 /*--- compute (mp|lk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+800916,int_stack+693996,int_stack+386196,1620);
 /*--- compute (ld|lk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1068216,int_stack+800916,int_stack+475296,1620);
 /*--- compute (kf|lk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+1068216,int_stack+1515996,1620);
 /*--- compute (ig|lk) ---*/
 hrr1_build_ig(Libint->AB,int_stack+583200,int_stack+0,int_stack+1865916,1620);
 /*--- compute (hh|lk) ---*/
 hrr1_build_hh(Libint->AB,int_stack+1263600,int_stack+583200,int_stack+2319516,1620);
 return int_stack+1263600;}
