#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpmp(Libint_t*, prim_data*);

  /* Computes quartets of (hp|mp) integrals */

REALTYPE *hrr_order_hpmp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 1155;
 Libint->vrr_classes[6][9] = int_stack + 2541;
 Libint->vrr_classes[6][10] = int_stack + 4081;
 memset(int_stack,0,5929*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5929;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpmp(Libint, Data);
   Data++;
 }
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+5929,int_stack+1155,int_stack+0,21);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+9394,int_stack+4081,int_stack+2541,28);
 /*--- compute (hp|mp) ---*/
 hrr1_build_hp(Libint->AB,int_stack+14014,int_stack+9394,int_stack+5929,165);
 return int_stack+14014;}
