#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0mi(Libint_t*, prim_data*);

  /* Computes quartets of (i0|mi) integrals */

REALTYPE *hrr_order_i0mi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 memset(int_stack,0,18228*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 18228;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0mi(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+18228,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22848,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28392,int_stack+22848,int_stack+18228,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+37632,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+44184,int_stack+37632,int_stack+22848,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+55272,int_stack+44184,int_stack+28392,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+18228,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+70672,int_stack+18228,int_stack+37632,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+83776,int_stack+70672,int_stack+44184,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+25872,int_stack+83776,int_stack+55272,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+48972,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+102256,int_stack+48972,int_stack+18228,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+117544,int_stack+102256,int_stack+70672,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+139384,int_stack+117544,int_stack+83776,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+57792,int_stack+139384,int_stack+25872,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+18228,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+28308,int_stack+18228,int_stack+48972,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+28308,int_stack+102256,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+167104,int_stack+0,int_stack+117544,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+167104,int_stack+139384,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+90132,int_stack+0,int_stack+57792,28);
 return int_stack+90132;}
