#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idmm(Libint_t*, prim_data*);

  /* Computes quartets of (id|mm) integrals */

REALTYPE *hrr_order_idmm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[6][16] = int_stack + 18228;
 Libint->vrr_classes[6][17] = int_stack + 22512;
 Libint->vrr_classes[6][18] = int_stack + 27300;
 Libint->vrr_classes[7][9] = int_stack + 32620;
 Libint->vrr_classes[7][10] = int_stack + 34600;
 Libint->vrr_classes[7][11] = int_stack + 36976;
 Libint->vrr_classes[7][12] = int_stack + 39784;
 Libint->vrr_classes[7][13] = int_stack + 43060;
 Libint->vrr_classes[7][14] = int_stack + 46840;
 Libint->vrr_classes[7][15] = int_stack + 51160;
 Libint->vrr_classes[7][16] = int_stack + 56056;
 Libint->vrr_classes[7][17] = int_stack + 61564;
 Libint->vrr_classes[7][18] = int_stack + 67720;
 Libint->vrr_classes[8][9] = int_stack + 74560;
 Libint->vrr_classes[8][10] = int_stack + 77035;
 Libint->vrr_classes[8][11] = int_stack + 80005;
 Libint->vrr_classes[8][12] = int_stack + 83515;
 Libint->vrr_classes[8][13] = int_stack + 87610;
 Libint->vrr_classes[8][14] = int_stack + 92335;
 Libint->vrr_classes[8][15] = int_stack + 97735;
 Libint->vrr_classes[8][16] = int_stack + 103855;
 Libint->vrr_classes[8][17] = int_stack + 110740;
 Libint->vrr_classes[8][18] = int_stack + 118435;
 memset(int_stack,0,126985*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 126985;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idmm(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+126985,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+131605,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+137149,int_stack+131605,int_stack+126985,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+146389,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+152941,int_stack+146389,int_stack+131605,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+164029,int_stack+152941,int_stack+137149,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+126985,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+179429,int_stack+126985,int_stack+146389,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+192533,int_stack+179429,int_stack+152941,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+134629,int_stack+192533,int_stack+164029,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+157729,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+211013,int_stack+157729,int_stack+126985,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+226301,int_stack+211013,int_stack+179429,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+248141,int_stack+226301,int_stack+192533,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+166549,int_stack+248141,int_stack+134629,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+126985,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+137065,int_stack+126985,int_stack+157729,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+275861,int_stack+137065,int_stack+211013,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+301341,int_stack+275861,int_stack+226301,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+198889,int_stack+301341,int_stack+248141,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+334101,int_stack+198889,int_stack+166549,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+154705,int_stack+18228,int_stack+14420,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+166129,int_stack+154705,int_stack+126985,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+237697,int_stack+166129,int_stack+137065,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+377221,int_stack+237697,int_stack+275861,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+415441,int_stack+377221,int_stack+301341,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+267097,int_stack+415441,int_stack+198889,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+461305,int_stack+267097,int_stack+334101,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+126985,int_stack+22512,int_stack+18228,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+186289,int_stack+126985,int_stack+154705,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+318841,int_stack+186289,int_stack+166129,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+139837,int_stack+318841,int_stack+237697,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+209137,int_stack+139837,int_stack+377221,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+352441,int_stack+209137,int_stack+415441,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+516745,int_stack+352441,int_stack+267097,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+583273,int_stack+516745,int_stack+461305,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+262645,int_stack+27300,int_stack+22512,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+277009,int_stack+262645,int_stack+126985,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+413593,int_stack+277009,int_stack+186289,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+262645,int_stack+413593,int_stack+318841,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+413593,int_stack+262645,int_stack+139837,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+262645,int_stack+413593,int_stack+209137,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+413593,int_stack+262645,int_stack+352441,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+126985,int_stack+413593,int_stack+516745,28);
 /*--- compute (i0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+210145,int_stack+126985,int_stack+583273,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+126985,int_stack+34600,int_stack+32620,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+132925,int_stack+36976,int_stack+34600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+140053,int_stack+132925,int_stack+126985,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+151933,int_stack+39784,int_stack+36976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+160357,int_stack+151933,int_stack+132925,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+174613,int_stack+160357,int_stack+140053,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+126985,int_stack+43060,int_stack+39784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+294845,int_stack+126985,int_stack+151933,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+311693,int_stack+294845,int_stack+160357,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+136813,int_stack+311693,int_stack+174613,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+166513,int_stack+46840,int_stack+43060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+177853,int_stack+166513,int_stack+126985,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+335453,int_stack+177853,int_stack+294845,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+363533,int_stack+335453,int_stack+311693,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+399173,int_stack+363533,int_stack+136813,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+294845,int_stack+51160,int_stack+46840,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+307805,int_stack+294845,int_stack+166513,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+126985,int_stack+307805,int_stack+177853,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+159745,int_stack+126985,int_stack+335453,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+440753,int_stack+159745,int_stack+363533,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+330485,int_stack+440753,int_stack+399173,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+385925,int_stack+56056,int_stack+51160,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+400613,int_stack+385925,int_stack+294845,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+490649,int_stack+400613,int_stack+307805,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+528449,int_stack+490649,int_stack+126985,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+577589,int_stack+528449,int_stack+159745,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+126985,int_stack+577589,int_stack+440753,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+636557,int_stack+126985,int_stack+330485,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+193513,int_stack+61564,int_stack+56056,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+294845,int_stack+193513,int_stack+385925,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+324221,int_stack+294845,int_stack+400613,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+367421,int_stack+324221,int_stack+490649,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+424121,int_stack+367421,int_stack+528449,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+492917,int_stack+424121,int_stack+577589,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+707837,int_stack+492917,int_stack+126985,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+793373,int_stack+707837,int_stack+636557,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+126985,int_stack+67720,int_stack+61564,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+145453,int_stack+126985,int_stack+193513,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+571541,int_stack+145453,int_stack+294845,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+126985,int_stack+571541,int_stack+324221,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+571541,int_stack+126985,int_stack+367421,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+294845,int_stack+571541,int_stack+424121,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+571541,int_stack+294845,int_stack+492917,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+294845,int_stack+571541,int_stack+707837,36);
 /*--- compute (k0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+401765,int_stack+294845,int_stack+793373,36);
 /*--- compute (ip|mm) ---*/
 hrr1_build_ip(Libint->AB,int_stack+510665,int_stack+401765,int_stack+210145,3025);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+764765,int_stack+77035,int_stack+74560,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+772190,int_stack+80005,int_stack+77035,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+781100,int_stack+772190,int_stack+764765,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+795950,int_stack+83515,int_stack+80005,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+806480,int_stack+795950,int_stack+772190,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+824300,int_stack+806480,int_stack+781100,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+764765,int_stack+87610,int_stack+83515,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+849050,int_stack+764765,int_stack+795950,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+126985,int_stack+849050,int_stack+806480,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+777050,int_stack+126985,int_stack+824300,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+814175,int_stack+92335,int_stack+87610,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+156685,int_stack+814175,int_stack+764765,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+181255,int_stack+156685,int_stack+849050,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+828350,int_stack+181255,int_stack+126985,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+216355,int_stack+828350,int_stack+777050,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+126985,int_stack+97735,int_stack+92335,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+764765,int_stack+126985,int_stack+814175,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+268330,int_stack+764765,int_stack+156685,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+309280,int_stack+268330,int_stack+181255,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+143185,int_stack+309280,int_stack+828350,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+793115,int_stack+143185,int_stack+216355,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+205555,int_stack+103855,int_stack+97735,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+223915,int_stack+205555,int_stack+126985,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+223915,int_stack+764765,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+862415,int_stack+0,int_stack+268330,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+923840,int_stack+862415,int_stack+309280,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+256315,int_stack+923840,int_stack+143185,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+997550,int_stack+256315,int_stack+793115,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+764765,int_stack+110740,int_stack+103855,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+785420,int_stack+764765,int_stack+205555,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+126985,int_stack+785420,int_stack+223915,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+180985,int_stack+126985,int_stack+0,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+180985,int_stack+862415,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+822140,int_stack+0,int_stack+923840,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1086650,int_stack+822140,int_stack+256315,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+251860,int_stack+1086650,int_stack+997550,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+85995,int_stack+118435,int_stack+110740,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+920420,int_stack+85995,int_stack+764765,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+961730,int_stack+920420,int_stack+785420,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1193570,int_stack+961730,int_stack+126985,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+920420,int_stack+1193570,int_stack+180985,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+85995,int_stack+920420,int_stack+0,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+920420,int_stack+85995,int_stack+822140,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+920420,int_stack+1086650,45);
 /*--- compute (l0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+764765,int_stack+0,int_stack+251860,45);
 /*--- compute (kp|mm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+0,int_stack+764765,int_stack+401765,3025);
 /*--- compute (id|mm) ---*/
 hrr1_build_id(Libint->AB,int_stack+764765,int_stack+0,int_stack+510665,3025);
 return int_stack+764765;}
