#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ifnf(Libint_t*, prim_data*);

  /* Computes quartets of (if|nf) integrals */

REALTYPE *hrr_order_ifnf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[7][10] = int_stack + 9520;
 Libint->vrr_classes[7][11] = int_stack + 11896;
 Libint->vrr_classes[7][12] = int_stack + 14704;
 Libint->vrr_classes[7][13] = int_stack + 17980;
 Libint->vrr_classes[8][10] = int_stack + 21760;
 Libint->vrr_classes[8][11] = int_stack + 24730;
 Libint->vrr_classes[8][12] = int_stack + 28240;
 Libint->vrr_classes[8][13] = int_stack + 32335;
 Libint->vrr_classes[9][10] = int_stack + 37060;
 Libint->vrr_classes[9][11] = int_stack + 40690;
 Libint->vrr_classes[9][12] = int_stack + 44980;
 Libint->vrr_classes[9][13] = int_stack + 49985;
 memset(int_stack,0,55760*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 55760;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ifnf(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+55760,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+61304,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+67856,int_stack+61304,int_stack+55760,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+78944,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+86588,int_stack+78944,int_stack+61304,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+99692,int_stack+86588,int_stack+67856,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+55760,int_stack+11896,int_stack+9520,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+62888,int_stack+14704,int_stack+11896,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+71312,int_stack+62888,int_stack+55760,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+85568,int_stack+17980,int_stack+14704,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+85568,int_stack+62888,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+118172,int_stack+0,int_stack+71312,36);
 /*--- compute (ip|nf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+141932,int_stack+118172,int_stack+99692,660);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+24730,int_stack+21760,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+8910,int_stack+28240,int_stack+24730,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+55760,int_stack+8910,int_stack+0,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+73580,int_stack+32335,int_stack+28240,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85865,int_stack+73580,int_stack+8910,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+85865,int_stack+55760,45);
 /*--- compute (kp|nf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+197372,int_stack+0,int_stack+118172,660);
 /*--- compute (id|nf) ---*/
 hrr1_build_id(Libint->AB,int_stack+268652,int_stack+197372,int_stack+141932,660);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+55760,int_stack+40690,int_stack+37060,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+66650,int_stack+44980,int_stack+40690,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+79520,int_stack+66650,int_stack+55760,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+101300,int_stack+49985,int_stack+44980,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+116315,int_stack+101300,int_stack+66650,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+142055,int_stack+116315,int_stack+79520,55);
 /*--- compute (lp|nf) ---*/
 hrr1_build_lp(Libint->AB,int_stack+29700,int_stack+142055,int_stack+0,660);
 /*--- compute (kd|nf) ---*/
 hrr1_build_kd(Libint->AB,int_stack+379532,int_stack+29700,int_stack+197372,660);
 /*--- compute (if|nf) ---*/
 hrr1_build_if(Libint->AB,int_stack+0,int_stack+379532,int_stack+268652,660);
 return int_stack+0;}
