#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_igih(Libint_t*, prim_data*);

  /* Computes quartets of (ig|ih) integrals */

REALTYPE *hrr_order_igih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][6] = int_stack + 0;
 Libint->vrr_classes[6][7] = int_stack + 784;
 Libint->vrr_classes[6][8] = int_stack + 1792;
 Libint->vrr_classes[6][9] = int_stack + 3052;
 Libint->vrr_classes[6][10] = int_stack + 4592;
 Libint->vrr_classes[6][11] = int_stack + 6440;
 Libint->vrr_classes[7][6] = int_stack + 8624;
 Libint->vrr_classes[7][7] = int_stack + 9632;
 Libint->vrr_classes[7][8] = int_stack + 10928;
 Libint->vrr_classes[7][9] = int_stack + 12548;
 Libint->vrr_classes[7][10] = int_stack + 14528;
 Libint->vrr_classes[7][11] = int_stack + 16904;
 Libint->vrr_classes[8][6] = int_stack + 19712;
 Libint->vrr_classes[8][7] = int_stack + 20972;
 Libint->vrr_classes[8][8] = int_stack + 22592;
 Libint->vrr_classes[8][9] = int_stack + 24617;
 Libint->vrr_classes[8][10] = int_stack + 27092;
 Libint->vrr_classes[8][11] = int_stack + 30062;
 Libint->vrr_classes[9][6] = int_stack + 33572;
 Libint->vrr_classes[9][7] = int_stack + 35112;
 Libint->vrr_classes[9][8] = int_stack + 37092;
 Libint->vrr_classes[9][9] = int_stack + 39567;
 Libint->vrr_classes[9][10] = int_stack + 42592;
 Libint->vrr_classes[9][11] = int_stack + 46222;
 Libint->vrr_classes[10][6] = int_stack + 50512;
 Libint->vrr_classes[10][7] = int_stack + 52360;
 Libint->vrr_classes[10][8] = int_stack + 54736;
 Libint->vrr_classes[10][9] = int_stack + 57706;
 Libint->vrr_classes[10][10] = int_stack + 61336;
 Libint->vrr_classes[10][11] = int_stack + 65692;
 memset(int_stack,0,70840*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 70840;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_igih(Libint, Data);
   Data++;
 }
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+70840,int_stack+784,int_stack+0,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+73192,int_stack+1792,int_stack+784,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+76216,int_stack+73192,int_stack+70840,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+80920,int_stack+3052,int_stack+1792,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+84700,int_stack+80920,int_stack+73192,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+90748,int_stack+84700,int_stack+76216,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+70840,int_stack+4592,int_stack+3052,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+98588,int_stack+70840,int_stack+80920,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+106148,int_stack+98588,int_stack+84700,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+75460,int_stack+106148,int_stack+90748,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+87220,int_stack+6440,int_stack+4592,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+116228,int_stack+87220,int_stack+70840,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+125468,int_stack+116228,int_stack+98588,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+87220,int_stack+125468,int_stack+106148,28);
 /*--- compute (i0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+102340,int_stack+87220,int_stack+75460,28);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+70840,int_stack+9632,int_stack+8624,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+73864,int_stack+10928,int_stack+9632,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+77752,int_stack+73864,int_stack+70840,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+83800,int_stack+12548,int_stack+10928,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+88660,int_stack+83800,int_stack+73864,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+118804,int_stack+88660,int_stack+77752,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+70840,int_stack+14528,int_stack+12548,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+128884,int_stack+70840,int_stack+83800,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+128884,int_stack+88660,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+76780,int_stack+0,int_stack+118804,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+118804,int_stack+16904,int_stack+14528,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+138604,int_stack+118804,int_stack+70840,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+150484,int_stack+138604,int_stack+128884,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+118804,int_stack+150484,int_stack+0,36);
 /*--- compute (k0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+138244,int_stack+118804,int_stack+76780,36);
 /*--- compute (ip|ih) ---*/
 hrr1_build_ip(Libint->AB,int_stack+159412,int_stack+138244,int_stack+102340,588);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+20972,int_stack+19712,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3780,int_stack+22592,int_stack+20972,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+8640,int_stack+3780,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+16200,int_stack+24617,int_stack+22592,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+70840,int_stack+16200,int_stack+3780,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+80560,int_stack+70840,int_stack+8640,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+27092,int_stack+24617,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+93160,int_stack+0,int_stack+16200,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+7425,int_stack+93160,int_stack+70840,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+105310,int_stack+7425,int_stack+80560,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+70840,int_stack+30062,int_stack+27092,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+208804,int_stack+70840,int_stack+0,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+70840,int_stack+208804,int_stack+93160,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+208804,int_stack+70840,int_stack+7425,45);
 /*--- compute (l0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+70840,int_stack+208804,int_stack+105310,45);
 /*--- compute (kp|ih) ---*/
 hrr1_build_kp(Libint->AB,int_stack+208804,int_stack+70840,int_stack+138244,588);
 /*--- compute (id|ih) ---*/
 hrr1_build_id(Libint->AB,int_stack+272308,int_stack+208804,int_stack+159412,588);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+97300,int_stack+35112,int_stack+33572,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+101920,int_stack+37092,int_stack+35112,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+107860,int_stack+101920,int_stack+97300,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+117100,int_stack+39567,int_stack+37092,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+124525,int_stack+117100,int_stack+101920,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+136405,int_stack+124525,int_stack+107860,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+97300,int_stack+42592,int_stack+39567,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+151805,int_stack+97300,int_stack+117100,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+166655,int_stack+151805,int_stack+124525,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+106375,int_stack+166655,int_stack+136405,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+129475,int_stack+46222,int_stack+42592,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+186455,int_stack+129475,int_stack+97300,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+186455,int_stack+151805,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+129475,int_stack+0,int_stack+166655,55);
 /*--- compute (m0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+0,int_stack+129475,int_stack+106375,55);
 /*--- compute (lp|ih) ---*/
 hrr1_build_lp(Libint->AB,int_stack+97300,int_stack+0,int_stack+70840,588);
 /*--- compute (kd|ih) ---*/
 hrr1_build_kd(Libint->AB,int_stack+371092,int_stack+97300,int_stack+208804,588);
 /*--- compute (if|ih) ---*/
 hrr1_build_if(Libint->AB,int_stack+498100,int_stack+371092,int_stack+272308,588);
 /*--- compute (n0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+70840,int_stack+52360,int_stack+50512,66);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+76384,int_stack+54736,int_stack+52360,66);
 /*--- compute (n0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+83512,int_stack+76384,int_stack+70840,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+32340,int_stack+57706,int_stack+54736,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+41250,int_stack+32340,int_stack+76384,66);
 /*--- compute (n0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+176680,int_stack+41250,int_stack+83512,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+70840,int_stack+61336,int_stack+57706,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+195160,int_stack+70840,int_stack+32340,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+212980,int_stack+195160,int_stack+41250,66);
 /*--- compute (n0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+32340,int_stack+212980,int_stack+176680,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+176680,int_stack+65692,int_stack+61336,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+236740,int_stack+176680,int_stack+70840,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+60060,int_stack+236740,int_stack+195160,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+236740,int_stack+60060,int_stack+212980,66);
 /*--- compute (n0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+272380,int_stack+236740,int_stack+32340,66);
 /*--- compute (mp|ih) ---*/
 hrr1_build_mp(Libint->AB,int_stack+662740,int_stack+272380,int_stack+0,588);
 /*--- compute (ld|ih) ---*/
 hrr1_build_ld(Libint->AB,int_stack+176680,int_stack+662740,int_stack+97300,588);
 /*--- compute (kf|ih) ---*/
 hrr1_build_kf(Libint->AB,int_stack+662740,int_stack+176680,int_stack+371092,588);
 /*--- compute (ig|ih) ---*/
 hrr1_build_ig(Libint->AB,int_stack+0,int_stack+662740,int_stack+498100,588);
 return int_stack+0;}
