#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ihmd(Libint_t*, prim_data*);

  /* Computes quartets of (ih|md) integrals */

REALTYPE *hrr_order_ihmd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[7][9] = int_stack + 5572;
 Libint->vrr_classes[7][10] = int_stack + 7552;
 Libint->vrr_classes[7][11] = int_stack + 9928;
 Libint->vrr_classes[8][9] = int_stack + 12736;
 Libint->vrr_classes[8][10] = int_stack + 15211;
 Libint->vrr_classes[8][11] = int_stack + 18181;
 Libint->vrr_classes[9][9] = int_stack + 21691;
 Libint->vrr_classes[9][10] = int_stack + 24716;
 Libint->vrr_classes[9][11] = int_stack + 28346;
 Libint->vrr_classes[10][9] = int_stack + 32636;
 Libint->vrr_classes[10][10] = int_stack + 36266;
 Libint->vrr_classes[10][11] = int_stack + 40622;
 Libint->vrr_classes[11][9] = int_stack + 45770;
 Libint->vrr_classes[11][10] = int_stack + 50060;
 Libint->vrr_classes[11][11] = int_stack + 55208;
 memset(int_stack,0,61292*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 61292;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ihmd(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+61292,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+65912,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+71456,int_stack+65912,int_stack+61292,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+61292,int_stack+7552,int_stack+5572,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+9928,int_stack+7552,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+80696,int_stack+0,int_stack+61292,36);
 /*--- compute (ip|md) ---*/
 hrr1_build_ip(Libint->AB,int_stack+92576,int_stack+80696,int_stack+71456,330);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+61292,int_stack+15211,int_stack+12736,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+68717,int_stack+18181,int_stack+15211,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+68717,int_stack+61292,45);
 /*--- compute (kp|md) ---*/
 hrr1_build_kp(Libint->AB,int_stack+120296,int_stack+0,int_stack+80696,330);
 /*--- compute (id|md) ---*/
 hrr1_build_id(Libint->AB,int_stack+155936,int_stack+120296,int_stack+92576,330);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+61292,int_stack+24716,int_stack+21691,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+70367,int_stack+28346,int_stack+24716,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+81257,int_stack+70367,int_stack+61292,55);
 /*--- compute (lp|md) ---*/
 hrr1_build_lp(Libint->AB,int_stack+211376,int_stack+81257,int_stack+0,330);
 /*--- compute (kd|md) ---*/
 hrr1_build_kd(Libint->AB,int_stack+255926,int_stack+211376,int_stack+120296,330);
 /*--- compute (if|md) ---*/
 hrr1_build_if(Libint->AB,int_stack+327206,int_stack+255926,int_stack+155936,330);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+36266,int_stack+32636,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+40622,int_stack+36266,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23958,int_stack+10890,int_stack+0,66);
 /*--- compute (mp|md) ---*/
 hrr1_build_mp(Libint->AB,int_stack+99407,int_stack+23958,int_stack+81257,330);
 /*--- compute (ld|md) ---*/
 hrr1_build_ld(Libint->AB,int_stack+419606,int_stack+99407,int_stack+211376,330);
 /*--- compute (kf|md) ---*/
 hrr1_build_kf(Libint->AB,int_stack+508706,int_stack+419606,int_stack+255926,330);
 /*--- compute (ig|md) ---*/
 hrr1_build_ig(Libint->AB,int_stack+153857,int_stack+508706,int_stack+327206,330);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+50060,int_stack+45770,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+61292,int_stack+55208,int_stack+50060,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+292457,int_stack+61292,int_stack+0,78);
 /*--- compute (np|md) ---*/
 hrr1_build_np(Libint->AB,int_stack+318197,int_stack+292457,int_stack+23958,330);
 /*--- compute (md|md) ---*/
 hrr1_build_md(Libint->AB,int_stack+627506,int_stack+318197,int_stack+99407,330);
 /*--- compute (lf|md) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+627506,int_stack+419606,330);
 /*--- compute (kg|md) ---*/
 hrr1_build_kg(Libint->AB,int_stack+292457,int_stack+0,int_stack+508706,330);
 /*--- compute (ih|md) ---*/
 hrr1_build_ih(Libint->AB,int_stack+470657,int_stack+292457,int_stack+153857,330);
 return int_stack+470657;}
