#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ihml(Libint_t*, prim_data*);

  /* Computes quartets of (ih|ml) integrals */

REALTYPE *hrr_order_ihml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[6][16] = int_stack + 18228;
 Libint->vrr_classes[6][17] = int_stack + 22512;
 Libint->vrr_classes[7][9] = int_stack + 27300;
 Libint->vrr_classes[7][10] = int_stack + 29280;
 Libint->vrr_classes[7][11] = int_stack + 31656;
 Libint->vrr_classes[7][12] = int_stack + 34464;
 Libint->vrr_classes[7][13] = int_stack + 37740;
 Libint->vrr_classes[7][14] = int_stack + 41520;
 Libint->vrr_classes[7][15] = int_stack + 45840;
 Libint->vrr_classes[7][16] = int_stack + 50736;
 Libint->vrr_classes[7][17] = int_stack + 56244;
 Libint->vrr_classes[8][9] = int_stack + 62400;
 Libint->vrr_classes[8][10] = int_stack + 64875;
 Libint->vrr_classes[8][11] = int_stack + 67845;
 Libint->vrr_classes[8][12] = int_stack + 71355;
 Libint->vrr_classes[8][13] = int_stack + 75450;
 Libint->vrr_classes[8][14] = int_stack + 80175;
 Libint->vrr_classes[8][15] = int_stack + 85575;
 Libint->vrr_classes[8][16] = int_stack + 91695;
 Libint->vrr_classes[8][17] = int_stack + 98580;
 Libint->vrr_classes[9][9] = int_stack + 106275;
 Libint->vrr_classes[9][10] = int_stack + 109300;
 Libint->vrr_classes[9][11] = int_stack + 112930;
 Libint->vrr_classes[9][12] = int_stack + 117220;
 Libint->vrr_classes[9][13] = int_stack + 122225;
 Libint->vrr_classes[9][14] = int_stack + 128000;
 Libint->vrr_classes[9][15] = int_stack + 134600;
 Libint->vrr_classes[9][16] = int_stack + 142080;
 Libint->vrr_classes[9][17] = int_stack + 150495;
 Libint->vrr_classes[10][9] = int_stack + 159900;
 Libint->vrr_classes[10][10] = int_stack + 163530;
 Libint->vrr_classes[10][11] = int_stack + 167886;
 Libint->vrr_classes[10][12] = int_stack + 173034;
 Libint->vrr_classes[10][13] = int_stack + 179040;
 Libint->vrr_classes[10][14] = int_stack + 185970;
 Libint->vrr_classes[10][15] = int_stack + 193890;
 Libint->vrr_classes[10][16] = int_stack + 202866;
 Libint->vrr_classes[10][17] = int_stack + 212964;
 Libint->vrr_classes[11][9] = int_stack + 224250;
 Libint->vrr_classes[11][10] = int_stack + 228540;
 Libint->vrr_classes[11][11] = int_stack + 233688;
 Libint->vrr_classes[11][12] = int_stack + 239772;
 Libint->vrr_classes[11][13] = int_stack + 246870;
 Libint->vrr_classes[11][14] = int_stack + 255060;
 Libint->vrr_classes[11][15] = int_stack + 264420;
 Libint->vrr_classes[11][16] = int_stack + 275028;
 Libint->vrr_classes[11][17] = int_stack + 286962;
 memset(int_stack,0,300300*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 300300;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ihml(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+300300,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+304920,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+310464,int_stack+304920,int_stack+300300,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+319704,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+326256,int_stack+319704,int_stack+304920,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+337344,int_stack+326256,int_stack+310464,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+300300,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+352744,int_stack+300300,int_stack+319704,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+365848,int_stack+352744,int_stack+326256,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+307944,int_stack+365848,int_stack+337344,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+331044,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+384328,int_stack+331044,int_stack+300300,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+399616,int_stack+384328,int_stack+352744,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+421456,int_stack+399616,int_stack+365848,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+339864,int_stack+421456,int_stack+307944,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+300300,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+310380,int_stack+300300,int_stack+331044,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+449176,int_stack+310380,int_stack+384328,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+474656,int_stack+449176,int_stack+399616,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+372204,int_stack+474656,int_stack+421456,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+507416,int_stack+372204,int_stack+339864,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+328020,int_stack+18228,int_stack+14420,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+339444,int_stack+328020,int_stack+300300,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+411012,int_stack+339444,int_stack+310380,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+550536,int_stack+411012,int_stack+449176,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+588756,int_stack+550536,int_stack+474656,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+440412,int_stack+588756,int_stack+372204,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+634620,int_stack+440412,int_stack+507416,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+300300,int_stack+22512,int_stack+18228,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+359604,int_stack+300300,int_stack+328020,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+300300,int_stack+359604,int_stack+339444,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+333900,int_stack+300300,int_stack+411012,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+378000,int_stack+333900,int_stack+550536,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+300300,int_stack+378000,int_stack+588756,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+361452,int_stack+300300,int_stack+440412,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+427980,int_stack+361452,int_stack+634620,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+300300,int_stack+29280,int_stack+27300,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+306240,int_stack+31656,int_stack+29280,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+313368,int_stack+306240,int_stack+300300,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+325248,int_stack+34464,int_stack+31656,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+333672,int_stack+325248,int_stack+306240,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+347928,int_stack+333672,int_stack+313368,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+300300,int_stack+37740,int_stack+34464,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+367728,int_stack+300300,int_stack+325248,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+384576,int_stack+367728,int_stack+333672,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+310128,int_stack+384576,int_stack+347928,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+339828,int_stack+41520,int_stack+37740,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+497280,int_stack+339828,int_stack+300300,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+516936,int_stack+497280,int_stack+367728,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+545016,int_stack+516936,int_stack+384576,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+351168,int_stack+545016,int_stack+310128,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+300300,int_stack+45840,int_stack+41520,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+313260,int_stack+300300,int_stack+339828,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+392748,int_stack+313260,int_stack+497280,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+580656,int_stack+392748,int_stack+516936,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+622776,int_stack+580656,int_stack+545016,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+497280,int_stack+622776,int_stack+351168,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+552720,int_stack+50736,int_stack+45840,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+335940,int_stack+552720,int_stack+300300,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+335940,int_stack+313260,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+672672,int_stack+0,int_stack+392748,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+361860,int_stack+672672,int_stack+580656,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+721812,int_stack+361860,int_stack+622776,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+567408,int_stack+721812,int_stack+497280,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+497280,int_stack+56244,int_stack+50736,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+513804,int_stack+497280,int_stack+552720,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+788340,int_stack+513804,int_stack+335940,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+497280,int_stack+788340,int_stack+0,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+788340,int_stack+497280,int_stack+672672,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+638688,int_stack+788340,int_stack+361860,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+300300,int_stack+638688,int_stack+721812,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+638688,int_stack+300300,int_stack+567408,36);
 /*--- compute (ip|ml) ---*/
 hrr1_build_ip(Libint->AB,int_stack+727788,int_stack+638688,int_stack+427980,2475);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+300300,int_stack+64875,int_stack+62400,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+307725,int_stack+67845,int_stack+64875,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+316635,int_stack+307725,int_stack+300300,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+331485,int_stack+71355,int_stack+67845,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+342015,int_stack+331485,int_stack+307725,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+359835,int_stack+342015,int_stack+316635,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+300300,int_stack+75450,int_stack+71355,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+384585,int_stack+300300,int_stack+331485,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+405645,int_stack+384585,int_stack+342015,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+312585,int_stack+405645,int_stack+359835,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+349710,int_stack+80175,int_stack+75450,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+435345,int_stack+349710,int_stack+300300,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+459915,int_stack+435345,int_stack+384585,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+495015,int_stack+459915,int_stack+405645,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+363885,int_stack+495015,int_stack+312585,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+300300,int_stack+85575,int_stack+80175,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+316500,int_stack+300300,int_stack+349710,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+539565,int_stack+316500,int_stack+435345,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+580515,int_stack+539565,int_stack+459915,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+415860,int_stack+580515,int_stack+495015,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+415860,int_stack+363885,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+344850,int_stack+91695,int_stack+85575,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+363210,int_stack+344850,int_stack+300300,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+478230,int_stack+363210,int_stack+316500,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+935688,int_stack+478230,int_stack+539565,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+997113,int_stack+935688,int_stack+580515,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+525480,int_stack+997113,int_stack+415860,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1070823,int_stack+525480,int_stack+0,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+98580,int_stack+91695,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+20655,int_stack+0,int_stack+344850,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+300300,int_stack+20655,int_stack+363210,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+300300,int_stack+478230,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+300300,int_stack+0,int_stack+935688,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+300300,int_stack+997113,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+300300,int_stack+0,int_stack+525480,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+407220,int_stack+300300,int_stack+1070823,45);
 /*--- compute (kp|ml) ---*/
 hrr1_build_kp(Libint->AB,int_stack+935688,int_stack+407220,int_stack+638688,2475);
 /*--- compute (id|ml) ---*/
 hrr1_build_id(Libint->AB,int_stack+1202988,int_stack+935688,int_stack+727788,2475);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+300300,int_stack+109300,int_stack+106275,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+309375,int_stack+112930,int_stack+109300,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+320265,int_stack+309375,int_stack+300300,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+338415,int_stack+117220,int_stack+112930,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+351285,int_stack+338415,int_stack+309375,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+373065,int_stack+351285,int_stack+320265,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+300300,int_stack+122225,int_stack+117220,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+300300,int_stack+338415,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+25740,int_stack+0,int_stack+351285,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+315315,int_stack+25740,int_stack+373065,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+360690,int_stack+128000,int_stack+122225,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+62040,int_stack+360690,int_stack+300300,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+518595,int_stack+62040,int_stack+0,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+561495,int_stack+518595,int_stack+25740,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+615945,int_stack+561495,int_stack+315315,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+134600,int_stack+128000,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+19800,int_stack+0,int_stack+360690,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+300300,int_stack+19800,int_stack+62040,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+54450,int_stack+300300,int_stack+518595,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+679470,int_stack+54450,int_stack+561495,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+518595,int_stack+679470,int_stack+615945,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+603295,int_stack+142080,int_stack+134600,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+625735,int_stack+603295,int_stack+0,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+755700,int_stack+625735,int_stack+19800,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+813450,int_stack+755700,int_stack+300300,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+300300,int_stack+813450,int_stack+54450,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+300300,int_stack+679470,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1618788,int_stack+0,int_stack+518595,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+518595,int_stack+150495,int_stack+142080,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+543840,int_stack+518595,int_stack+603295,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+665335,int_stack+543840,int_stack+625735,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+518595,int_stack+665335,int_stack+755700,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+605220,int_stack+518595,int_stack+813450,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+710325,int_stack+605220,int_stack+300300,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+518595,int_stack+710325,int_stack+0,55);
 /*--- compute (m0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+518595,int_stack+1618788,55);
 /*--- compute (lp|ml) ---*/
 hrr1_build_lp(Libint->AB,int_stack+518595,int_stack+0,int_stack+407220,2475);
 /*--- compute (kd|ml) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1618788,int_stack+518595,int_stack+935688,2475);
 /*--- compute (if|ml) ---*/
 hrr1_build_if(Libint->AB,int_stack+2153388,int_stack+1618788,int_stack+1202988,2475);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+852720,int_stack+163530,int_stack+159900,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+863610,int_stack+167886,int_stack+163530,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+876678,int_stack+863610,int_stack+852720,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+898458,int_stack+173034,int_stack+167886,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+913902,int_stack+898458,int_stack+863610,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+940038,int_stack+913902,int_stack+876678,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+852720,int_stack+179040,int_stack+173034,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+976338,int_stack+852720,int_stack+898458,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1007226,int_stack+976338,int_stack+913902,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+870738,int_stack+1007226,int_stack+940038,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+925188,int_stack+185970,int_stack+179040,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1050786,int_stack+925188,int_stack+852720,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1086822,int_stack+1050786,int_stack+976338,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1138302,int_stack+1086822,int_stack+1007226,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+945978,int_stack+1138302,int_stack+870738,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+852720,int_stack+193890,int_stack+185970,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+876480,int_stack+852720,int_stack+925188,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1203642,int_stack+876480,int_stack+1050786,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1263702,int_stack+1203642,int_stack+1086822,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1022208,int_stack+1263702,int_stack+1138302,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1340922,int_stack+1022208,int_stack+945978,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+918060,int_stack+202866,int_stack+193890,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+944988,int_stack+918060,int_stack+852720,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1113684,int_stack+944988,int_stack+876480,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1442562,int_stack+1113684,int_stack+1203642,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+300300,int_stack+1442562,int_stack+1263702,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1182984,int_stack+300300,int_stack+1022208,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2846388,int_stack+1182984,int_stack+1340922,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+852720,int_stack+212964,int_stack+202866,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+992508,int_stack+852720,int_stack+918060,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+852720,int_stack+992508,int_stack+944988,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+931920,int_stack+852720,int_stack+1113684,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1035870,int_stack+931920,int_stack+1442562,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+852720,int_stack+1035870,int_stack+300300,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+300300,int_stack+852720,int_stack+1182984,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+852720,int_stack+300300,int_stack+2846388,66);
 /*--- compute (mp|ml) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1016070,int_stack+852720,int_stack+0,2475);
 /*--- compute (ld|ml) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2846388,int_stack+1016070,int_stack+518595,2475);
 /*--- compute (kf|ml) ---*/
 hrr1_build_kf(Libint->AB,int_stack+3514638,int_stack+2846388,int_stack+1618788,2475);
 /*--- compute (ig|ml) ---*/
 hrr1_build_ig(Libint->AB,int_stack+4405638,int_stack+3514638,int_stack+2153388,2475);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+228540,int_stack+224250,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12870,int_stack+233688,int_stack+228540,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28314,int_stack+12870,int_stack+0,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54054,int_stack+239772,int_stack+233688,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+72306,int_stack+54054,int_stack+12870,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+103194,int_stack+72306,int_stack+28314,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+246870,int_stack+239772,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+146094,int_stack+0,int_stack+54054,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+182598,int_stack+146094,int_stack+72306,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+21294,int_stack+182598,int_stack+103194,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+85644,int_stack+255060,int_stack+246870,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+300300,int_stack+85644,int_stack+0,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+342888,int_stack+300300,int_stack+146094,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+403728,int_stack+342888,int_stack+182598,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+110214,int_stack+403728,int_stack+21294,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+264420,int_stack+255060,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+28080,int_stack+0,int_stack+85644,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+480948,int_stack+28080,int_stack+300300,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+551928,int_stack+480948,int_stack+342888,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+643188,int_stack+551928,int_stack+403728,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+300300,int_stack+643188,int_stack+110214,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+420420,int_stack+275028,int_stack+264420,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+77220,int_stack+420420,int_stack+0,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+133380,int_stack+77220,int_stack+28080,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1424445,int_stack+133380,int_stack+480948,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1530915,int_stack+1424445,int_stack+551928,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+452244,int_stack+1530915,int_stack+643188,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+596388,int_stack+452244,int_stack+300300,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+300300,int_stack+286962,int_stack+275028,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+336102,int_stack+300300,int_stack+420420,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+750828,int_stack+336102,int_stack+77220,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+750828,int_stack+133380,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+122850,int_stack+0,int_stack+1424445,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+271908,int_stack+122850,int_stack+1530915,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1424445,int_stack+271908,int_stack+452244,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1609773,int_stack+1424445,int_stack+596388,78);
 /*--- compute (np|ml) ---*/
 hrr1_build_np(Libint->AB,int_stack+1802823,int_stack+1609773,int_stack+852720,2475);
 /*--- compute (md|ml) ---*/
 hrr1_build_md(Libint->AB,int_stack+0,int_stack+1802823,int_stack+1016070,2475);
 /*--- compute (lf|ml) ---*/
 hrr1_build_lf(Libint->AB,int_stack+816750,int_stack+0,int_stack+2846388,2475);
 /*--- compute (kg|ml) ---*/
 hrr1_build_kg(Libint->AB,int_stack+1930500,int_stack+816750,int_stack+3514638,2475);
 /*--- compute (ih|ml) ---*/
 hrr1_build_ih(Libint->AB,int_stack+0,int_stack+1930500,int_stack+4405638,2475);
 return int_stack+0;}
