#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iimm(Libint_t*, prim_data*);

  /* Computes quartets of (ii|mm) integrals */

REALTYPE *hrr_order_iimm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[6][16] = int_stack + 18228;
 Libint->vrr_classes[6][17] = int_stack + 22512;
 Libint->vrr_classes[6][18] = int_stack + 27300;
 Libint->vrr_classes[7][9] = int_stack + 32620;
 Libint->vrr_classes[7][10] = int_stack + 34600;
 Libint->vrr_classes[7][11] = int_stack + 36976;
 Libint->vrr_classes[7][12] = int_stack + 39784;
 Libint->vrr_classes[7][13] = int_stack + 43060;
 Libint->vrr_classes[7][14] = int_stack + 46840;
 Libint->vrr_classes[7][15] = int_stack + 51160;
 Libint->vrr_classes[7][16] = int_stack + 56056;
 Libint->vrr_classes[7][17] = int_stack + 61564;
 Libint->vrr_classes[7][18] = int_stack + 67720;
 Libint->vrr_classes[8][9] = int_stack + 74560;
 Libint->vrr_classes[8][10] = int_stack + 77035;
 Libint->vrr_classes[8][11] = int_stack + 80005;
 Libint->vrr_classes[8][12] = int_stack + 83515;
 Libint->vrr_classes[8][13] = int_stack + 87610;
 Libint->vrr_classes[8][14] = int_stack + 92335;
 Libint->vrr_classes[8][15] = int_stack + 97735;
 Libint->vrr_classes[8][16] = int_stack + 103855;
 Libint->vrr_classes[8][17] = int_stack + 110740;
 Libint->vrr_classes[8][18] = int_stack + 118435;
 Libint->vrr_classes[9][9] = int_stack + 126985;
 Libint->vrr_classes[9][10] = int_stack + 130010;
 Libint->vrr_classes[9][11] = int_stack + 133640;
 Libint->vrr_classes[9][12] = int_stack + 137930;
 Libint->vrr_classes[9][13] = int_stack + 142935;
 Libint->vrr_classes[9][14] = int_stack + 148710;
 Libint->vrr_classes[9][15] = int_stack + 155310;
 Libint->vrr_classes[9][16] = int_stack + 162790;
 Libint->vrr_classes[9][17] = int_stack + 171205;
 Libint->vrr_classes[9][18] = int_stack + 180610;
 Libint->vrr_classes[10][9] = int_stack + 191060;
 Libint->vrr_classes[10][10] = int_stack + 194690;
 Libint->vrr_classes[10][11] = int_stack + 199046;
 Libint->vrr_classes[10][12] = int_stack + 204194;
 Libint->vrr_classes[10][13] = int_stack + 210200;
 Libint->vrr_classes[10][14] = int_stack + 217130;
 Libint->vrr_classes[10][15] = int_stack + 225050;
 Libint->vrr_classes[10][16] = int_stack + 234026;
 Libint->vrr_classes[10][17] = int_stack + 244124;
 Libint->vrr_classes[10][18] = int_stack + 255410;
 Libint->vrr_classes[11][9] = int_stack + 267950;
 Libint->vrr_classes[11][10] = int_stack + 272240;
 Libint->vrr_classes[11][11] = int_stack + 277388;
 Libint->vrr_classes[11][12] = int_stack + 283472;
 Libint->vrr_classes[11][13] = int_stack + 290570;
 Libint->vrr_classes[11][14] = int_stack + 298760;
 Libint->vrr_classes[11][15] = int_stack + 308120;
 Libint->vrr_classes[11][16] = int_stack + 318728;
 Libint->vrr_classes[11][17] = int_stack + 330662;
 Libint->vrr_classes[11][18] = int_stack + 344000;
 Libint->vrr_classes[12][9] = int_stack + 358820;
 Libint->vrr_classes[12][10] = int_stack + 363825;
 Libint->vrr_classes[12][11] = int_stack + 369831;
 Libint->vrr_classes[12][12] = int_stack + 376929;
 Libint->vrr_classes[12][13] = int_stack + 385210;
 Libint->vrr_classes[12][14] = int_stack + 394765;
 Libint->vrr_classes[12][15] = int_stack + 405685;
 Libint->vrr_classes[12][16] = int_stack + 418061;
 Libint->vrr_classes[12][17] = int_stack + 431984;
 Libint->vrr_classes[12][18] = int_stack + 447545;
 memset(int_stack,0,464835*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 464835;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iimm(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+464835,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+469455,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+474999,int_stack+469455,int_stack+464835,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+484239,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+490791,int_stack+484239,int_stack+469455,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+501879,int_stack+490791,int_stack+474999,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+464835,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+517279,int_stack+464835,int_stack+484239,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+530383,int_stack+517279,int_stack+490791,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+472479,int_stack+530383,int_stack+501879,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+495579,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+548863,int_stack+495579,int_stack+464835,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+564151,int_stack+548863,int_stack+517279,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+585991,int_stack+564151,int_stack+530383,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+504399,int_stack+585991,int_stack+472479,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+464835,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+474915,int_stack+464835,int_stack+495579,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+613711,int_stack+474915,int_stack+548863,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+639191,int_stack+613711,int_stack+564151,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+536739,int_stack+639191,int_stack+585991,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+671951,int_stack+536739,int_stack+504399,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+492555,int_stack+18228,int_stack+14420,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+503979,int_stack+492555,int_stack+464835,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+575547,int_stack+503979,int_stack+474915,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+715071,int_stack+575547,int_stack+613711,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+753291,int_stack+715071,int_stack+639191,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+604947,int_stack+753291,int_stack+536739,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+799155,int_stack+604947,int_stack+671951,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+464835,int_stack+22512,int_stack+18228,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+524139,int_stack+464835,int_stack+492555,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+656691,int_stack+524139,int_stack+503979,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+477687,int_stack+656691,int_stack+575547,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+546987,int_stack+477687,int_stack+715071,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+690291,int_stack+546987,int_stack+753291,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+854595,int_stack+690291,int_stack+604947,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+921123,int_stack+854595,int_stack+799155,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+600495,int_stack+27300,int_stack+22512,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+614859,int_stack+600495,int_stack+464835,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+751443,int_stack+614859,int_stack+524139,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+600495,int_stack+751443,int_stack+656691,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+751443,int_stack+600495,int_stack+477687,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+600495,int_stack+751443,int_stack+546987,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+751443,int_stack+600495,int_stack+690291,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+464835,int_stack+751443,int_stack+854595,28);
 /*--- compute (i0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+547995,int_stack+464835,int_stack+921123,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+464835,int_stack+34600,int_stack+32620,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+470775,int_stack+36976,int_stack+34600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+477903,int_stack+470775,int_stack+464835,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+489783,int_stack+39784,int_stack+36976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+498207,int_stack+489783,int_stack+470775,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+512463,int_stack+498207,int_stack+477903,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+464835,int_stack+43060,int_stack+39784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+632695,int_stack+464835,int_stack+489783,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+649543,int_stack+632695,int_stack+498207,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+474663,int_stack+649543,int_stack+512463,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+504363,int_stack+46840,int_stack+43060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+515703,int_stack+504363,int_stack+464835,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+673303,int_stack+515703,int_stack+632695,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+701383,int_stack+673303,int_stack+649543,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+737023,int_stack+701383,int_stack+474663,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+632695,int_stack+51160,int_stack+46840,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+645655,int_stack+632695,int_stack+504363,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+464835,int_stack+645655,int_stack+515703,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+497595,int_stack+464835,int_stack+673303,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+778603,int_stack+497595,int_stack+701383,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+668335,int_stack+778603,int_stack+737023,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+723775,int_stack+56056,int_stack+51160,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+738463,int_stack+723775,int_stack+632695,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+828499,int_stack+738463,int_stack+645655,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+866299,int_stack+828499,int_stack+464835,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+915439,int_stack+866299,int_stack+497595,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+464835,int_stack+915439,int_stack+778603,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+974407,int_stack+464835,int_stack+668335,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+531363,int_stack+61564,int_stack+56056,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+632695,int_stack+531363,int_stack+723775,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+662071,int_stack+632695,int_stack+738463,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+705271,int_stack+662071,int_stack+828499,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+761971,int_stack+705271,int_stack+866299,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+830767,int_stack+761971,int_stack+915439,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1045687,int_stack+830767,int_stack+464835,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1131223,int_stack+1045687,int_stack+974407,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+464835,int_stack+67720,int_stack+61564,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+483303,int_stack+464835,int_stack+531363,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+909391,int_stack+483303,int_stack+632695,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+464835,int_stack+909391,int_stack+662071,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+909391,int_stack+464835,int_stack+705271,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+632695,int_stack+909391,int_stack+761971,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+909391,int_stack+632695,int_stack+830767,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+632695,int_stack+909391,int_stack+1045687,36);
 /*--- compute (k0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+739615,int_stack+632695,int_stack+1131223,36);
 /*--- compute (ip|mm) ---*/
 hrr1_build_ip(Libint->AB,int_stack+848515,int_stack+739615,int_stack+547995,3025);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1102615,int_stack+77035,int_stack+74560,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1110040,int_stack+80005,int_stack+77035,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1118950,int_stack+1110040,int_stack+1102615,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1133800,int_stack+83515,int_stack+80005,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1144330,int_stack+1133800,int_stack+1110040,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1162150,int_stack+1144330,int_stack+1118950,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1102615,int_stack+87610,int_stack+83515,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1186900,int_stack+1102615,int_stack+1133800,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+464835,int_stack+1186900,int_stack+1144330,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1114900,int_stack+464835,int_stack+1162150,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1152025,int_stack+92335,int_stack+87610,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+494535,int_stack+1152025,int_stack+1102615,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+519105,int_stack+494535,int_stack+1186900,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1166200,int_stack+519105,int_stack+464835,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+554205,int_stack+1166200,int_stack+1114900,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+464835,int_stack+97735,int_stack+92335,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1102615,int_stack+464835,int_stack+1152025,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+606180,int_stack+1102615,int_stack+494535,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+647130,int_stack+606180,int_stack+519105,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+481035,int_stack+647130,int_stack+1166200,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1130965,int_stack+481035,int_stack+554205,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+543405,int_stack+103855,int_stack+97735,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+561765,int_stack+543405,int_stack+464835,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+561765,int_stack+1102615,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1200265,int_stack+0,int_stack+606180,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1261690,int_stack+1200265,int_stack+647130,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+594165,int_stack+1261690,int_stack+481035,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1335400,int_stack+594165,int_stack+1130965,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1102615,int_stack+110740,int_stack+103855,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1123270,int_stack+1102615,int_stack+543405,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+464835,int_stack+1123270,int_stack+561765,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+518835,int_stack+464835,int_stack+0,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+518835,int_stack+1200265,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1159990,int_stack+0,int_stack+1261690,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1424500,int_stack+1159990,int_stack+594165,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+589710,int_stack+1424500,int_stack+1335400,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+85995,int_stack+118435,int_stack+110740,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1258270,int_stack+85995,int_stack+1102615,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1299580,int_stack+1258270,int_stack+1123270,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1531420,int_stack+1299580,int_stack+464835,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1258270,int_stack+1531420,int_stack+518835,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+464835,int_stack+1258270,int_stack+0,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+464835,int_stack+1159990,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1102615,int_stack+0,int_stack+1424500,45);
 /*--- compute (l0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+1236265,int_stack+1102615,int_stack+589710,45);
 /*--- compute (kp|mm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+1372390,int_stack+1236265,int_stack+739615,3025);
 /*--- compute (id|mm) ---*/
 hrr1_build_id(Libint->AB,int_stack+1699090,int_stack+1372390,int_stack+848515,3025);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+130010,int_stack+126985,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9075,int_stack+133640,int_stack+130010,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+19965,int_stack+9075,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+38115,int_stack+137930,int_stack+133640,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+50985,int_stack+38115,int_stack+9075,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+72765,int_stack+50985,int_stack+19965,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+142935,int_stack+137930,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+103015,int_stack+0,int_stack+38115,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+464835,int_stack+103015,int_stack+50985,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+15015,int_stack+464835,int_stack+72765,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+60390,int_stack+148710,int_stack+142935,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+501135,int_stack+60390,int_stack+0,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+531165,int_stack+501135,int_stack+103015,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+77715,int_stack+531165,int_stack+464835,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+574065,int_stack+77715,int_stack+15015,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+464835,int_stack+155310,int_stack+148710,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+464835,int_stack+60390,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+637590,int_stack+0,int_stack+501135,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+687640,int_stack+637590,int_stack+531165,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+484635,int_stack+687640,int_stack+77715,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+34650,int_stack+484635,int_stack+574065,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+560865,int_stack+162790,int_stack+155310,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+583305,int_stack+560865,int_stack+464835,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+751990,int_stack+583305,int_stack+0,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+809740,int_stack+751990,int_stack+637590,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+884815,int_stack+809740,int_stack+687640,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+622905,int_stack+884815,int_stack+484635,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+974905,int_stack+622905,int_stack+34650,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+171205,int_stack+162790,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+25245,int_stack+0,int_stack+560865,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+70125,int_stack+25245,int_stack+583305,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+464835,int_stack+70125,int_stack+751990,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1083805,int_stack+464835,int_stack+809740,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+724545,int_stack+1083805,int_stack+884815,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2207290,int_stack+724545,int_stack+622905,55);
 /*--- compute (m0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+551460,int_stack+2207290,int_stack+974905,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+136125,int_stack+180610,int_stack+171205,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+844665,int_stack+136125,int_stack+0,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+895155,int_stack+844665,int_stack+25245,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+969955,int_stack+895155,int_stack+70125,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+844665,int_stack+969955,int_stack+464835,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+844665,int_stack+1083805,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+844665,int_stack+0,int_stack+724545,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+844665,int_stack+2207290,55);
 /*--- compute (m0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+687585,int_stack+0,int_stack+551460,55);
 /*--- compute (lp|mm) ---*/
 hrr1_build_lp(Libint->AB,int_stack+2207290,int_stack+687585,int_stack+1236265,3025);
 /*--- compute (kd|mm) ---*/
 hrr1_build_kd(Libint->AB,int_stack+2615665,int_stack+2207290,int_stack+1372390,3025);
 /*--- compute (if|mm) ---*/
 hrr1_build_if(Libint->AB,int_stack+3269065,int_stack+2615665,int_stack+1699090,3025);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+194690,int_stack+191060,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+199046,int_stack+194690,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23958,int_stack+10890,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+45738,int_stack+204194,int_stack+199046,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+61182,int_stack+45738,int_stack+10890,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+87318,int_stack+61182,int_stack+23958,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+210200,int_stack+204194,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+123618,int_stack+0,int_stack+45738,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+154506,int_stack+123618,int_stack+61182,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+18018,int_stack+154506,int_stack+87318,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+72468,int_stack+217130,int_stack+210200,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+464835,int_stack+72468,int_stack+0,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+500871,int_stack+464835,int_stack+123618,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+552351,int_stack+500871,int_stack+154506,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+93258,int_stack+552351,int_stack+18018,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+225050,int_stack+217130,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+23760,int_stack+0,int_stack+72468,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+617691,int_stack+23760,int_stack+464835,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+853960,int_stack+617691,int_stack+500871,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+931180,int_stack+853960,int_stack+552351,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+464835,int_stack+931180,int_stack+93258,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+566475,int_stack+234026,int_stack+225050,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+65340,int_stack+566475,int_stack+0,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+112860,int_stack+65340,int_stack+23760,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1022656,int_stack+112860,int_stack+617691,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1112746,int_stack+1022656,int_stack+853960,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1220854,int_stack+1112746,int_stack+931180,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+853960,int_stack+1220854,int_stack+464835,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+464835,int_stack+244124,int_stack+234026,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+495129,int_stack+464835,int_stack+566475,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+548985,int_stack+495129,int_stack+65340,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+548985,int_stack+112860,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+103950,int_stack+0,int_stack+1022656,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1342822,int_stack+103950,int_stack+1112746,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+984640,int_stack+1342822,int_stack+1220854,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1141456,int_stack+984640,int_stack+853960,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+853960,int_stack+255410,int_stack+244124,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+887818,int_stack+853960,int_stack+464835,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1486966,int_stack+887818,int_stack+495129,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+853960,int_stack+1486966,int_stack+548985,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1486966,int_stack+853960,int_stack+0,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1632496,int_stack+1486966,int_stack+103950,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+1632496,int_stack+1342822,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+464835,int_stack+0,int_stack+984640,66);
 /*--- compute (n0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+0,int_stack+464835,int_stack+1141456,66);
 /*--- compute (mp|mm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+853960,int_stack+0,int_stack+687585,3025);
 /*--- compute (ld|mm) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1353085,int_stack+853960,int_stack+2207290,3025);
 /*--- compute (kf|mm) ---*/
 hrr1_build_kf(Libint->AB,int_stack+4116065,int_stack+1353085,int_stack+2615665,3025);
 /*--- compute (ig|mm) ---*/
 hrr1_build_ig(Libint->AB,int_stack+5205065,int_stack+4116065,int_stack+3269065,3025);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+464835,int_stack+272240,int_stack+267950,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+477705,int_stack+277388,int_stack+272240,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+493149,int_stack+477705,int_stack+464835,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+518889,int_stack+283472,int_stack+277388,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+537141,int_stack+518889,int_stack+477705,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+568029,int_stack+537141,int_stack+493149,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+464835,int_stack+290570,int_stack+283472,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+610929,int_stack+464835,int_stack+518889,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+647433,int_stack+610929,int_stack+537141,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+486129,int_stack+647433,int_stack+568029,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+550479,int_stack+298760,int_stack+290570,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+698913,int_stack+550479,int_stack+464835,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+741501,int_stack+698913,int_stack+610929,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+199650,int_stack+741501,int_stack+647433,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+575049,int_stack+199650,int_stack+486129,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+464835,int_stack+308120,int_stack+298760,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+492915,int_stack+464835,int_stack+550479,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2169835,int_stack+492915,int_stack+698913,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2240815,int_stack+2169835,int_stack+741501,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+665139,int_stack+2240815,int_stack+199650,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+2332075,int_stack+665139,int_stack+575049,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+199650,int_stack+318728,int_stack+308120,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+231474,int_stack+199650,int_stack+464835,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+542055,int_stack+231474,int_stack+492915,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2452195,int_stack+542055,int_stack+2169835,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2558665,int_stack+2452195,int_stack+2240815,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2169835,int_stack+2558665,int_stack+665139,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+623955,int_stack+2169835,int_stack+2332075,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2313979,int_stack+330662,int_stack+318728,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2349781,int_stack+2313979,int_stack+199650,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2686429,int_stack+2349781,int_stack+231474,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+199650,int_stack+2686429,int_stack+542055,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+464835,int_stack+199650,int_stack+2452195,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2780029,int_stack+464835,int_stack+2558665,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2413429,int_stack+2780029,int_stack+2169835,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+2950381,int_stack+2413429,int_stack+623955,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2169835,int_stack+344000,int_stack+330662,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2209849,int_stack+2169835,int_stack+2313979,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+613893,int_stack+2209849,int_stack+2349781,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2169835,int_stack+613893,int_stack+2686429,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+613893,int_stack+2169835,int_stack+199650,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2169835,int_stack+613893,int_stack+464835,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+464835,int_stack+2169835,int_stack+2780029,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2169835,int_stack+464835,int_stack+2413429,78);
 /*--- compute (o0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+464835,int_stack+2169835,int_stack+2950381,78);
 /*--- compute (np|mm) ---*/
 hrr1_build_np(Libint->AB,int_stack+2169835,int_stack+464835,int_stack+0,3025);
 /*--- compute (md|mm) ---*/
 hrr1_build_md(Libint->AB,int_stack+2768785,int_stack+2169835,int_stack+853960,3025);
 /*--- compute (lf|mm) ---*/
 hrr1_build_lf(Libint->AB,int_stack+6475565,int_stack+2768785,int_stack+1353085,3025);
 /*--- compute (kg|mm) ---*/
 hrr1_build_kg(Libint->AB,int_stack+7836815,int_stack+6475565,int_stack+4116065,3025);
 /*--- compute (ih|mm) ---*/
 hrr1_build_ih(Libint->AB,int_stack+9470315,int_stack+7836815,int_stack+5205065,3025);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+363825,int_stack+358820,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15015,int_stack+369831,int_stack+363825,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+33033,int_stack+15015,int_stack+0,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+63063,int_stack+376929,int_stack+369831,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+84357,int_stack+63063,int_stack+15015,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+120393,int_stack+84357,int_stack+33033,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+385210,int_stack+376929,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+170443,int_stack+0,int_stack+63063,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+213031,int_stack+170443,int_stack+84357,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+24843,int_stack+213031,int_stack+120393,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+99918,int_stack+394765,int_stack+385210,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+273091,int_stack+99918,int_stack+0,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+322777,int_stack+273091,int_stack+170443,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+3767035,int_stack+322777,int_stack+213031,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+128583,int_stack+3767035,int_stack+24843,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+405685,int_stack+394765,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+32760,int_stack+0,int_stack+99918,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+3857125,int_stack+32760,int_stack+273091,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+3939935,int_stack+3857125,int_stack+322777,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+233688,int_stack+3939935,int_stack+3767035,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+4046405,int_stack+233688,int_stack+128583,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+3767035,int_stack+418061,int_stack+405685,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+90090,int_stack+3767035,int_stack+0,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+4186545,int_stack+90090,int_stack+32760,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+4282095,int_stack+4186545,int_stack+3857125,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+4406310,int_stack+4282095,int_stack+3939935,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+3804163,int_stack+4406310,int_stack+233688,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+155610,int_stack+3804163,int_stack+4046405,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+431984,int_stack+418061,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+3972331,int_stack+0,int_stack+3767035,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+4046587,int_stack+3972331,int_stack+90090,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+4555368,int_stack+4046587,int_stack+4186545,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+4698693,int_stack+4555368,int_stack+4282095,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+4155787,int_stack+4698693,int_stack+4406310,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4872594,int_stack+4155787,int_stack+3804163,91);
 /*--- compute (q0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+5088810,int_stack+4872594,int_stack+155610,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+3767035,int_stack+447545,int_stack+431984,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+3813718,int_stack+3767035,int_stack+0,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+0,int_stack+3813718,int_stack+3972331,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+123760,int_stack+0,int_stack+4046587,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3767035,int_stack+123760,int_stack+4555368,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+3767035,int_stack+4698693,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+3767035,int_stack+0,int_stack+4155787,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+3767035,int_stack+4872594,91);
 /*--- compute (q0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+3767035,int_stack+0,int_stack+5088810,91);
 /*--- compute (op|mm) ---*/
 hrr1_build_op(Libint->AB,int_stack+4042310,int_stack+3767035,int_stack+464835,3025);
 /*--- compute (nd|mm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+4042310,int_stack+2169835,3025);
 /*--- compute (mf|mm) ---*/
 hrr1_build_mf(Libint->AB,int_stack+3767035,int_stack+0,int_stack+2768785,3025);
 /*--- compute (lg|mm) ---*/
 hrr1_build_lg(Libint->AB,int_stack+0,int_stack+3767035,int_stack+6475565,3025);
 /*--- compute (kh|mm) ---*/
 hrr1_build_kh(Libint->AB,int_stack+2041875,int_stack+0,int_stack+7836815,3025);
 /*--- compute (ii|mm) ---*/
 hrr1_build_ii(Libint->AB,int_stack+4328775,int_stack+2041875,int_stack+9470315,3025);
 return int_stack+4328775;}
