#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kdmp(Libint_t*, prim_data*);

  /* Computes quartets of (kd|mp) integrals */

REALTYPE *hrr_order_kdmp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[8][9] = int_stack + 4356;
 Libint->vrr_classes[8][10] = int_stack + 6831;
 Libint->vrr_classes[9][9] = int_stack + 9801;
 Libint->vrr_classes[9][10] = int_stack + 12826;
 memset(int_stack,0,16456*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 16456;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kdmp(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+16456,int_stack+1980,int_stack+0,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+22396,int_stack+6831,int_stack+4356,45);
 /*--- compute (kp|mp) ---*/
 hrr1_build_kp(Libint->AB,int_stack+29821,int_stack+22396,int_stack+16456,165);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+12826,int_stack+9801,55);
 /*--- compute (lp|mp) ---*/
 hrr1_build_lp(Libint->AB,int_stack+47641,int_stack+0,int_stack+22396,165);
 /*--- compute (kd|mp) ---*/
 hrr1_build_kd(Libint->AB,int_stack+69916,int_stack+47641,int_stack+29821,165);
 return int_stack+69916;}
