#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_khnl(Libint_t*, prim_data*);

  /* Computes quartets of (kh|nl) integrals */

REALTYPE *hrr_order_khnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 Libint->vrr_classes[7][17] = int_stack + 26964;
 Libint->vrr_classes[7][18] = int_stack + 33120;
 Libint->vrr_classes[8][10] = int_stack + 39960;
 Libint->vrr_classes[8][11] = int_stack + 42930;
 Libint->vrr_classes[8][12] = int_stack + 46440;
 Libint->vrr_classes[8][13] = int_stack + 50535;
 Libint->vrr_classes[8][14] = int_stack + 55260;
 Libint->vrr_classes[8][15] = int_stack + 60660;
 Libint->vrr_classes[8][16] = int_stack + 66780;
 Libint->vrr_classes[8][17] = int_stack + 73665;
 Libint->vrr_classes[8][18] = int_stack + 81360;
 Libint->vrr_classes[9][10] = int_stack + 89910;
 Libint->vrr_classes[9][11] = int_stack + 93540;
 Libint->vrr_classes[9][12] = int_stack + 97830;
 Libint->vrr_classes[9][13] = int_stack + 102835;
 Libint->vrr_classes[9][14] = int_stack + 108610;
 Libint->vrr_classes[9][15] = int_stack + 115210;
 Libint->vrr_classes[9][16] = int_stack + 122690;
 Libint->vrr_classes[9][17] = int_stack + 131105;
 Libint->vrr_classes[9][18] = int_stack + 140510;
 Libint->vrr_classes[10][10] = int_stack + 150960;
 Libint->vrr_classes[10][11] = int_stack + 155316;
 Libint->vrr_classes[10][12] = int_stack + 160464;
 Libint->vrr_classes[10][13] = int_stack + 166470;
 Libint->vrr_classes[10][14] = int_stack + 173400;
 Libint->vrr_classes[10][15] = int_stack + 181320;
 Libint->vrr_classes[10][16] = int_stack + 190296;
 Libint->vrr_classes[10][17] = int_stack + 200394;
 Libint->vrr_classes[10][18] = int_stack + 211680;
 Libint->vrr_classes[11][10] = int_stack + 224220;
 Libint->vrr_classes[11][11] = int_stack + 229368;
 Libint->vrr_classes[11][12] = int_stack + 235452;
 Libint->vrr_classes[11][13] = int_stack + 242550;
 Libint->vrr_classes[11][14] = int_stack + 250740;
 Libint->vrr_classes[11][15] = int_stack + 260100;
 Libint->vrr_classes[11][16] = int_stack + 270708;
 Libint->vrr_classes[11][17] = int_stack + 282642;
 Libint->vrr_classes[11][18] = int_stack + 295980;
 Libint->vrr_classes[12][10] = int_stack + 310800;
 Libint->vrr_classes[12][11] = int_stack + 316806;
 Libint->vrr_classes[12][12] = int_stack + 323904;
 Libint->vrr_classes[12][13] = int_stack + 332185;
 Libint->vrr_classes[12][14] = int_stack + 341740;
 Libint->vrr_classes[12][15] = int_stack + 352660;
 Libint->vrr_classes[12][16] = int_stack + 365036;
 Libint->vrr_classes[12][17] = int_stack + 378959;
 Libint->vrr_classes[12][18] = int_stack + 394520;
 memset(int_stack,0,411810*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 411810;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_khnl(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+411810,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+418938,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+427362,int_stack+418938,int_stack+411810,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+441618,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+451446,int_stack+441618,int_stack+418938,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+468294,int_stack+451446,int_stack+427362,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+411810,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+492054,int_stack+411810,int_stack+441618,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+423150,int_stack+492054,int_stack+451446,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+511710,int_stack+423150,int_stack+468294,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+451230,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+464190,int_stack+451230,int_stack+411810,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+547350,int_stack+464190,int_stack+492054,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+580110,int_stack+547350,int_stack+423150,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+622230,int_stack+580110,int_stack+511710,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+411810,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+486870,int_stack+411810,int_stack+451230,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+672126,int_stack+486870,int_stack+464190,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+426498,int_stack+672126,int_stack+547350,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+512790,int_stack+426498,int_stack+580110,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+709926,int_stack+512790,int_stack+622230,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+571758,int_stack+26964,int_stack+21456,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+588282,int_stack+571758,int_stack+411810,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+617658,int_stack+588282,int_stack+486870,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+776454,int_stack+617658,int_stack+672126,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+833154,int_stack+776454,int_stack+426498,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+411810,int_stack+833154,int_stack+512790,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+901950,int_stack+411810,int_stack+709926,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+490434,int_stack+33120,int_stack+26964,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+508902,int_stack+490434,int_stack+571758,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+660858,int_stack+508902,int_stack+588282,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+490434,int_stack+660858,int_stack+617658,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+555234,int_stack+490434,int_stack+776454,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+634614,int_stack+555234,int_stack+833154,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+490434,int_stack+634614,int_stack+411810,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+591522,int_stack+490434,int_stack+901950,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+411810,int_stack+42930,int_stack+39960,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+420720,int_stack+46440,int_stack+42930,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+431250,int_stack+420720,int_stack+411810,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+449070,int_stack+50535,int_stack+46440,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+461355,int_stack+449070,int_stack+420720,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+482415,int_stack+461355,int_stack+431250,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+411810,int_stack+55260,int_stack+50535,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+512115,int_stack+411810,int_stack+449070,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+425985,int_stack+512115,int_stack+461355,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+536685,int_stack+425985,int_stack+482415,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+461085,int_stack+60660,int_stack+55260,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+477285,int_stack+461085,int_stack+411810,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+698442,int_stack+477285,int_stack+512115,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+739392,int_stack+698442,int_stack+425985,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+792042,int_stack+739392,int_stack+536685,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+411810,int_stack+66780,int_stack+60660,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+505635,int_stack+411810,int_stack+461085,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+538035,int_stack+505635,int_stack+477285,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+430170,int_stack+538035,int_stack+698442,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+854412,int_stack+430170,int_stack+739392,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+698442,int_stack+854412,int_stack+792042,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+781602,int_stack+73665,int_stack+66780,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+802257,int_stack+781602,int_stack+411810,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+928122,int_stack+802257,int_stack+505635,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+928122,int_stack+538035,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+491595,int_stack+0,int_stack+430170,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+982122,int_stack+491595,int_stack+854412,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1080402,int_stack+982122,int_stack+698442,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+698442,int_stack+81360,int_stack+73665,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+721527,int_stack+698442,int_stack+781602,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+411810,int_stack+721527,int_stack+802257,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+698442,int_stack+411810,int_stack+928122,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+779442,int_stack+698442,int_stack+0,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1187322,int_stack+779442,int_stack+491595,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+698442,int_stack+1187322,int_stack+982122,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+824802,int_stack+698442,int_stack+1080402,45);
 /*--- compute (kp|nl) ---*/
 hrr1_build_kp(Libint->AB,int_stack+958452,int_stack+824802,int_stack+591522,2970);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+93540,int_stack+89910,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+97830,int_stack+93540,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+102835,int_stack+97830,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60555,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+411810,int_stack+60555,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+108610,int_stack+102835,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+448110,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+448110,int_stack+60555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+478140,int_stack+17325,int_stack+411810,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+411810,int_stack+115210,int_stack+108610,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+60225,int_stack+411810,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+532590,int_stack+60225,int_stack+448110,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+582640,int_stack+532590,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+646990,int_stack+582640,int_stack+478140,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+122690,int_stack+115210,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+431610,int_stack+0,int_stack+411810,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+471210,int_stack+431610,int_stack+60225,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+22440,int_stack+471210,int_stack+532590,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+723220,int_stack+22440,int_stack+582640,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+528960,int_stack+723220,int_stack+646990,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+630600,int_stack+131105,int_stack+122690,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+655845,int_stack+630600,int_stack+0,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1279212,int_stack+655845,int_stack+431610,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1345212,int_stack+1279212,int_stack+471210,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+411810,int_stack+1345212,int_stack+22440,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+411810,int_stack+723220,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1431837,int_stack+0,int_stack+528960,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+516915,int_stack+140510,int_stack+131105,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+545130,int_stack+516915,int_stack+630600,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+700725,int_stack+545130,int_stack+655845,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+516915,int_stack+700725,int_stack+1279212,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+615915,int_stack+516915,int_stack+1345212,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1279212,int_stack+615915,int_stack+411810,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+411810,int_stack+1279212,int_stack+0,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+566250,int_stack+411810,int_stack+1431837,55);
 /*--- compute (lp|nl) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1279212,int_stack+566250,int_stack+824802,2970);
 /*--- compute (kd|nl) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1680162,int_stack+1279212,int_stack+958452,2970);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+411810,int_stack+155316,int_stack+150960,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+424878,int_stack+160464,int_stack+155316,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+440322,int_stack+424878,int_stack+411810,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+466458,int_stack+166470,int_stack+160464,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+484476,int_stack+466458,int_stack+424878,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+515364,int_stack+484476,int_stack+440322,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+411810,int_stack+173400,int_stack+166470,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+411810,int_stack+466458,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+432600,int_stack+0,int_stack+484476,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+36036,int_stack+432600,int_stack+515364,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+484080,int_stack+181320,int_stack+173400,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+507840,int_stack+484080,int_stack+411810,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+101376,int_stack+507840,int_stack+0,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+729600,int_stack+101376,int_stack+432600,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+806820,int_stack+729600,int_stack+36036,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+190296,int_stack+181320,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+26928,int_stack+0,int_stack+484080,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+411810,int_stack+26928,int_stack+507840,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+898296,int_stack+411810,int_stack+101376,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+74448,int_stack+898296,int_stack+729600,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+988386,int_stack+74448,int_stack+806820,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+729600,int_stack+200394,int_stack+190296,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+759894,int_stack+729600,int_stack+0,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+813750,int_stack+759894,int_stack+26928,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1110354,int_stack+813750,int_stack+411810,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+411810,int_stack+1110354,int_stack+898296,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2321682,int_stack+411810,int_stack+74448,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+2321682,int_stack+988386,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+156816,int_stack+211680,int_stack+200394,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+892950,int_stack+156816,int_stack+729600,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+953538,int_stack+892950,int_stack+759894,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2465826,int_stack+953538,int_stack+813750,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+729600,int_stack+2465826,int_stack+1110354,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+875130,int_stack+729600,int_stack+411810,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1043298,int_stack+875130,int_stack+2321682,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2321682,int_stack+1043298,int_stack+0,66);
 /*--- compute (mp|nl) ---*/
 hrr1_build_mp(Libint->AB,int_stack+729600,int_stack+2321682,int_stack+566250,2970);
 /*--- compute (ld|nl) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2517702,int_stack+729600,int_stack+1279212,2970);
 /*--- compute (kf|nl) ---*/
 hrr1_build_kf(Libint->AB,int_stack+3319602,int_stack+2517702,int_stack+1680162,2970);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+229368,int_stack+224220,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+235452,int_stack+229368,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+242550,int_stack+235452,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85878,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+122382,int_stack+85878,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+250740,int_stack+242550,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+173862,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+173862,int_stack+85878,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+411810,int_stack+24570,int_stack+122382,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+85410,int_stack+260100,int_stack+250740,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+113490,int_stack+85410,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+489030,int_stack+113490,int_stack+173862,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+162630,int_stack+489030,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+560010,int_stack+162630,int_stack+411810,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+411810,int_stack+270708,int_stack+260100,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+411810,int_stack+85410,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1219650,int_stack+0,int_stack+113490,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+56160,int_stack+1219650,int_stack+489030,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1301550,int_stack+56160,int_stack+162630,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1429314,int_stack+1301550,int_stack+560010,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+162630,int_stack+282642,int_stack+270708,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+198432,int_stack+162630,int_stack+411810,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+411810,int_stack+198432,int_stack+0,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+505410,int_stack+411810,int_stack+1219650,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1573458,int_stack+505410,int_stack+56160,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1722516,int_stack+1573458,int_stack+1301550,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1219650,int_stack+1722516,int_stack+1429314,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1404978,int_stack+295980,int_stack+282642,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1444992,int_stack+1404978,int_stack+162630,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+0,int_stack+1444992,int_stack+198432,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1404978,int_stack+0,int_stack+411810,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+0,int_stack+1404978,int_stack+505410,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+411810,int_stack+0,int_stack+1573458,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+411810,int_stack+1722516,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+411810,int_stack+0,int_stack+1219650,78);
 /*--- compute (np|nl) ---*/
 hrr1_build_np(Libint->AB,int_stack+1219650,int_stack+411810,int_stack+2321682,2970);
 /*--- compute (md|nl) ---*/
 hrr1_build_md(Libint->AB,int_stack+4388802,int_stack+1219650,int_stack+729600,2970);
 /*--- compute (lf|nl) ---*/
 hrr1_build_lf(Libint->AB,int_stack+5368902,int_stack+4388802,int_stack+2517702,2970);
 /*--- compute (kg|nl) ---*/
 hrr1_build_kg(Libint->AB,int_stack+6705402,int_stack+5368902,int_stack+3319602,2970);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1807710,int_stack+316806,int_stack+310800,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1825728,int_stack+323904,int_stack+316806,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1847022,int_stack+1825728,int_stack+1807710,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1883058,int_stack+332185,int_stack+323904,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1907901,int_stack+1883058,int_stack+1825728,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1950489,int_stack+1907901,int_stack+1847022,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1807710,int_stack+341740,int_stack+332185,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2010549,int_stack+1807710,int_stack+1883058,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1836375,int_stack+2010549,int_stack+1907901,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2060235,int_stack+1836375,int_stack+1950489,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1907355,int_stack+352660,int_stack+341740,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1940115,int_stack+1907355,int_stack+1807710,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2150325,int_stack+1940115,int_stack+2010549,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2233135,int_stack+2150325,int_stack+1836375,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2339605,int_stack+2233135,int_stack+2060235,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1807710,int_stack+365036,int_stack+352660,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1997445,int_stack+1807710,int_stack+1907355,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2465731,int_stack+1997445,int_stack+1940115,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1844838,int_stack+2465731,int_stack+2150325,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2062965,int_stack+1844838,int_stack+2233135,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2561281,int_stack+2062965,int_stack+2339605,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2212023,int_stack+378959,int_stack+365036,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2253792,int_stack+2212023,int_stack+1807710,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2328048,int_stack+2253792,int_stack+1997445,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2729449,int_stack+2328048,int_stack+2465731,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2872774,int_stack+2729449,int_stack+1844838,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1807710,int_stack+2872774,int_stack+2062965,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3046675,int_stack+1807710,int_stack+2561281,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2006454,int_stack+394520,int_stack+378959,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2053137,int_stack+2006454,int_stack+2212023,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2437248,int_stack+2053137,int_stack+2253792,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2006454,int_stack+2437248,int_stack+2328048,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2170254,int_stack+2006454,int_stack+2729449,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2370909,int_stack+2170254,int_stack+2872774,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2006454,int_stack+2370909,int_stack+1807710,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2261982,int_stack+2006454,int_stack+3046675,91);
 /*--- compute (op|nl) ---*/
 hrr1_build_op(Libint->AB,int_stack+2532252,int_stack+2261982,int_stack+411810,2970);
 /*--- compute (nd|nl) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+2532252,int_stack+1219650,2970);
 /*--- compute (mf|nl) ---*/
 hrr1_build_mf(Libint->AB,int_stack+1176120,int_stack+0,int_stack+4388802,2970);
 /*--- compute (lg|nl) ---*/
 hrr1_build_lg(Libint->AB,int_stack+2809620,int_stack+1176120,int_stack+5368902,2970);
 /*--- compute (kh|nl) ---*/
 hrr1_build_kh(Libint->AB,int_stack+0,int_stack+2809620,int_stack+6705402,2970);
 return int_stack+0;}
