#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kiml(Libint_t*, prim_data*);

  /* Computes quartets of (ki|ml) integrals */

REALTYPE *hrr_order_kiml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[7][15] = int_stack + 18540;
 Libint->vrr_classes[7][16] = int_stack + 23436;
 Libint->vrr_classes[7][17] = int_stack + 28944;
 Libint->vrr_classes[8][9] = int_stack + 35100;
 Libint->vrr_classes[8][10] = int_stack + 37575;
 Libint->vrr_classes[8][11] = int_stack + 40545;
 Libint->vrr_classes[8][12] = int_stack + 44055;
 Libint->vrr_classes[8][13] = int_stack + 48150;
 Libint->vrr_classes[8][14] = int_stack + 52875;
 Libint->vrr_classes[8][15] = int_stack + 58275;
 Libint->vrr_classes[8][16] = int_stack + 64395;
 Libint->vrr_classes[8][17] = int_stack + 71280;
 Libint->vrr_classes[9][9] = int_stack + 78975;
 Libint->vrr_classes[9][10] = int_stack + 82000;
 Libint->vrr_classes[9][11] = int_stack + 85630;
 Libint->vrr_classes[9][12] = int_stack + 89920;
 Libint->vrr_classes[9][13] = int_stack + 94925;
 Libint->vrr_classes[9][14] = int_stack + 100700;
 Libint->vrr_classes[9][15] = int_stack + 107300;
 Libint->vrr_classes[9][16] = int_stack + 114780;
 Libint->vrr_classes[9][17] = int_stack + 123195;
 Libint->vrr_classes[10][9] = int_stack + 132600;
 Libint->vrr_classes[10][10] = int_stack + 136230;
 Libint->vrr_classes[10][11] = int_stack + 140586;
 Libint->vrr_classes[10][12] = int_stack + 145734;
 Libint->vrr_classes[10][13] = int_stack + 151740;
 Libint->vrr_classes[10][14] = int_stack + 158670;
 Libint->vrr_classes[10][15] = int_stack + 166590;
 Libint->vrr_classes[10][16] = int_stack + 175566;
 Libint->vrr_classes[10][17] = int_stack + 185664;
 Libint->vrr_classes[11][9] = int_stack + 196950;
 Libint->vrr_classes[11][10] = int_stack + 201240;
 Libint->vrr_classes[11][11] = int_stack + 206388;
 Libint->vrr_classes[11][12] = int_stack + 212472;
 Libint->vrr_classes[11][13] = int_stack + 219570;
 Libint->vrr_classes[11][14] = int_stack + 227760;
 Libint->vrr_classes[11][15] = int_stack + 237120;
 Libint->vrr_classes[11][16] = int_stack + 247728;
 Libint->vrr_classes[11][17] = int_stack + 259662;
 Libint->vrr_classes[12][9] = int_stack + 273000;
 Libint->vrr_classes[12][10] = int_stack + 278005;
 Libint->vrr_classes[12][11] = int_stack + 284011;
 Libint->vrr_classes[12][12] = int_stack + 291109;
 Libint->vrr_classes[12][13] = int_stack + 299390;
 Libint->vrr_classes[12][14] = int_stack + 308945;
 Libint->vrr_classes[12][15] = int_stack + 319865;
 Libint->vrr_classes[12][16] = int_stack + 332241;
 Libint->vrr_classes[12][17] = int_stack + 346164;
 Libint->vrr_classes[13][9] = int_stack + 361725;
 Libint->vrr_classes[13][10] = int_stack + 367500;
 Libint->vrr_classes[13][11] = int_stack + 374430;
 Libint->vrr_classes[13][12] = int_stack + 382620;
 Libint->vrr_classes[13][13] = int_stack + 392175;
 Libint->vrr_classes[13][14] = int_stack + 403200;
 Libint->vrr_classes[13][15] = int_stack + 415800;
 Libint->vrr_classes[13][16] = int_stack + 430080;
 Libint->vrr_classes[13][17] = int_stack + 446145;
 memset(int_stack,0,464100*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 464100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kiml(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+464100,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+470040,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+477168,int_stack+470040,int_stack+464100,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+489048,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+497472,int_stack+489048,int_stack+470040,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+511728,int_stack+497472,int_stack+477168,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+464100,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+531528,int_stack+464100,int_stack+489048,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+548376,int_stack+531528,int_stack+497472,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+473928,int_stack+548376,int_stack+511728,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+503628,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+572136,int_stack+503628,int_stack+464100,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+591792,int_stack+572136,int_stack+531528,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+619872,int_stack+591792,int_stack+548376,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+514968,int_stack+619872,int_stack+473928,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+464100,int_stack+18540,int_stack+14220,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+477060,int_stack+464100,int_stack+503628,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+655512,int_stack+477060,int_stack+572136,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+688272,int_stack+655512,int_stack+591792,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+556548,int_stack+688272,int_stack+619872,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+730392,int_stack+556548,int_stack+514968,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+499740,int_stack+23436,int_stack+18540,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+514428,int_stack+499740,int_stack+464100,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+606444,int_stack+514428,int_stack+477060,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+785832,int_stack+606444,int_stack+655512,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+834972,int_stack+785832,int_stack+688272,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+644244,int_stack+834972,int_stack+556548,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+893940,int_stack+644244,int_stack+730392,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+464100,int_stack+28944,int_stack+23436,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+540348,int_stack+464100,int_stack+499740,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+464100,int_stack+540348,int_stack+514428,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+507300,int_stack+464100,int_stack+606444,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+564000,int_stack+507300,int_stack+785832,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+464100,int_stack+564000,int_stack+834972,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+542724,int_stack+464100,int_stack+644244,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+628260,int_stack+542724,int_stack+893940,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+464100,int_stack+37575,int_stack+35100,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+471525,int_stack+40545,int_stack+37575,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+480435,int_stack+471525,int_stack+464100,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+495285,int_stack+44055,int_stack+40545,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+505815,int_stack+495285,int_stack+471525,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+523635,int_stack+505815,int_stack+480435,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+464100,int_stack+48150,int_stack+44055,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+548385,int_stack+464100,int_stack+495285,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+569445,int_stack+548385,int_stack+505815,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+476385,int_stack+569445,int_stack+523635,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+513510,int_stack+52875,int_stack+48150,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+599145,int_stack+513510,int_stack+464100,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+717360,int_stack+599145,int_stack+548385,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+752460,int_stack+717360,int_stack+569445,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+527685,int_stack+752460,int_stack+476385,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+464100,int_stack+58275,int_stack+52875,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+480300,int_stack+464100,int_stack+513510,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+797010,int_stack+480300,int_stack+599145,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+837960,int_stack+797010,int_stack+717360,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+890610,int_stack+837960,int_stack+752460,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+717360,int_stack+890610,int_stack+527685,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+508650,int_stack+64395,int_stack+58275,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+527010,int_stack+508650,int_stack+464100,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+559410,int_stack+527010,int_stack+480300,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+559410,int_stack+797010,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+952980,int_stack+0,int_stack+837960,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+786660,int_stack+952980,int_stack+890610,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1026690,int_stack+786660,int_stack+717360,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+717360,int_stack+71280,int_stack+64395,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+738015,int_stack+717360,int_stack+508650,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+464100,int_stack+738015,int_stack+527010,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+869820,int_stack+464100,int_stack+559410,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+464100,int_stack+869820,int_stack+0,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1115790,int_stack+464100,int_stack+952980,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+464100,int_stack+1115790,int_stack+786660,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+717360,int_stack+464100,int_stack+1026690,45);
 /*--- compute (kp|ml) ---*/
 hrr1_build_kp(Libint->AB,int_stack+828735,int_stack+717360,int_stack+628260,2475);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+464100,int_stack+82000,int_stack+78975,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+473175,int_stack+85630,int_stack+82000,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+484065,int_stack+473175,int_stack+464100,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+502215,int_stack+89920,int_stack+85630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+515085,int_stack+502215,int_stack+473175,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+536865,int_stack+515085,int_stack+484065,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+464100,int_stack+94925,int_stack+89920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+567115,int_stack+464100,int_stack+502215,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+592855,int_stack+567115,int_stack+515085,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+479115,int_stack+592855,int_stack+536865,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+524490,int_stack+100700,int_stack+94925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+629155,int_stack+524490,int_stack+464100,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+659185,int_stack+629155,int_stack+567115,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+659185,int_stack+592855,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+541815,int_stack+0,int_stack+479115,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+464100,int_stack+107300,int_stack+100700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+483900,int_stack+464100,int_stack+524490,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+54450,int_stack+483900,int_stack+629155,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1096035,int_stack+54450,int_stack+659185,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+605340,int_stack+1096035,int_stack+0,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1160385,int_stack+605340,int_stack+541815,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+114780,int_stack+107300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+518550,int_stack+0,int_stack+464100,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1245085,int_stack+518550,int_stack+483900,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1302835,int_stack+1245085,int_stack+54450,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+22440,int_stack+1302835,int_stack+1096035,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1377910,int_stack+22440,int_stack+605340,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+558150,int_stack+1377910,int_stack+1160385,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1096035,int_stack+123195,int_stack+114780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1121280,int_stack+1096035,int_stack+0,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1166160,int_stack+1121280,int_stack+518550,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+464100,int_stack+1166160,int_stack+1245085,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1096035,int_stack+464100,int_stack+1302835,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1201140,int_stack+1096035,int_stack+22440,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+1201140,int_stack+1377910,55);
 /*--- compute (m0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1096035,int_stack+0,int_stack+558150,55);
 /*--- compute (lp|ml) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1232160,int_stack+1096035,int_stack+717360,2475);
 /*--- compute (kd|ml) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1566285,int_stack+1232160,int_stack+828735,2475);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+136230,int_stack+132600,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+140586,int_stack+136230,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23958,int_stack+10890,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+45738,int_stack+145734,int_stack+140586,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+61182,int_stack+45738,int_stack+10890,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+87318,int_stack+61182,int_stack+23958,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+151740,int_stack+145734,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+464100,int_stack+0,int_stack+45738,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+494988,int_stack+464100,int_stack+61182,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+18018,int_stack+494988,int_stack+87318,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+72468,int_stack+158670,int_stack+151740,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+93258,int_stack+72468,int_stack+0,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+538548,int_stack+93258,int_stack+464100,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+590028,int_stack+538548,int_stack+494988,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+655368,int_stack+590028,int_stack+18018,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+464100,int_stack+166590,int_stack+158670,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+487860,int_stack+464100,int_stack+72468,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+487860,int_stack+93258,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+60060,int_stack+0,int_stack+538548,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+731598,int_stack+60060,int_stack+590028,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+529440,int_stack+731598,int_stack+655368,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+631080,int_stack+175566,int_stack+166590,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+658008,int_stack+631080,int_stack+464100,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+823074,int_stack+658008,int_stack+487860,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+892374,int_stack+823074,int_stack+0,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+982464,int_stack+892374,int_stack+60060,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+982464,int_stack+731598,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2100885,int_stack+0,int_stack+529440,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+121968,int_stack+185664,int_stack+175566,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+464100,int_stack+121968,int_stack+631080,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+517956,int_stack+464100,int_stack+658008,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+597156,int_stack+517956,int_stack+823074,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+464100,int_stack+597156,int_stack+892374,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+590226,int_stack+464100,int_stack+982464,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+734370,int_stack+590226,int_stack+0,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+734370,int_stack+2100885,66);
 /*--- compute (mp|ml) ---*/
 hrr1_build_mp(Libint->AB,int_stack+464100,int_stack+0,int_stack+1096035,2475);
 /*--- compute (ld|ml) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2100885,int_stack+464100,int_stack+1232160,2475);
 /*--- compute (kf|ml) ---*/
 hrr1_build_kf(Libint->AB,int_stack+2769135,int_stack+2100885,int_stack+1566285,2475);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+163350,int_stack+201240,int_stack+196950,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+176220,int_stack+206388,int_stack+201240,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+872475,int_stack+176220,int_stack+163350,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+898215,int_stack+212472,int_stack+206388,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+916467,int_stack+898215,int_stack+176220,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+163350,int_stack+916467,int_stack+872475,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+872475,int_stack+219570,int_stack+212472,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+947355,int_stack+872475,int_stack+898215,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+983859,int_stack+947355,int_stack+916467,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1035339,int_stack+983859,int_stack+163350,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+163350,int_stack+227760,int_stack+219570,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+893769,int_stack+163350,int_stack+872475,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1099689,int_stack+893769,int_stack+947355,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1160529,int_stack+1099689,int_stack+983859,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+936357,int_stack+1160529,int_stack+1035339,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+187920,int_stack+237120,int_stack+227760,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1026447,int_stack+187920,int_stack+163350,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1237749,int_stack+1026447,int_stack+893769,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1308729,int_stack+1237749,int_stack+1099689,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1399989,int_stack+1308729,int_stack+1160529,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1075587,int_stack+1399989,int_stack+936357,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+872475,int_stack+247728,int_stack+237120,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+904299,int_stack+872475,int_stack+187920,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+163350,int_stack+904299,int_stack+1026447,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+960459,int_stack+163350,int_stack+1237749,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1508097,int_stack+960459,int_stack+1308729,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1195707,int_stack+1508097,int_stack+1399989,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1339851,int_stack+1195707,int_stack+1075587,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1066929,int_stack+259662,int_stack+247728,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1102731,int_stack+1066929,int_stack+872475,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1635861,int_stack+1102731,int_stack+904299,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1066929,int_stack+1635861,int_stack+163350,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1635861,int_stack+1066929,int_stack+960459,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1784919,int_stack+1635861,int_stack+1508097,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+872475,int_stack+1784919,int_stack+1195707,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1057803,int_stack+872475,int_stack+1339851,78);
 /*--- compute (np|ml) ---*/
 hrr1_build_np(Libint->AB,int_stack+1250853,int_stack+1057803,int_stack+0,2475);
 /*--- compute (md|ml) ---*/
 hrr1_build_md(Libint->AB,int_stack+3660135,int_stack+1250853,int_stack+464100,2475);
 /*--- compute (lf|ml) ---*/
 hrr1_build_lf(Libint->AB,int_stack+4476885,int_stack+3660135,int_stack+2100885,2475);
 /*--- compute (kg|ml) ---*/
 hrr1_build_kg(Libint->AB,int_stack+5590635,int_stack+4476885,int_stack+2769135,2475);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+464100,int_stack+278005,int_stack+273000,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+479115,int_stack+284011,int_stack+278005,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+497133,int_stack+479115,int_stack+464100,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+527163,int_stack+291109,int_stack+284011,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+548457,int_stack+527163,int_stack+479115,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+584493,int_stack+548457,int_stack+497133,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+464100,int_stack+299390,int_stack+291109,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+634543,int_stack+464100,int_stack+527163,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+677131,int_stack+634543,int_stack+548457,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+488943,int_stack+677131,int_stack+584493,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+564018,int_stack+308945,int_stack+299390,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+737191,int_stack+564018,int_stack+464100,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+786877,int_stack+737191,int_stack+634543,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+857857,int_stack+786877,int_stack+677131,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+592683,int_stack+857857,int_stack+488943,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+464100,int_stack+319865,int_stack+308945,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+496860,int_stack+464100,int_stack+564018,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+947947,int_stack+496860,int_stack+737191,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+947947,int_stack+786877,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+697788,int_stack+0,int_stack+857857,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+106470,int_stack+697788,int_stack+592683,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+554190,int_stack+332241,int_stack+319865,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+591318,int_stack+554190,int_stack+464100,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+823914,int_stack+591318,int_stack+496860,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1740903,int_stack+823914,int_stack+947947,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1865118,int_stack+1740903,int_stack+0,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2014176,int_stack+1865118,int_stack+697788,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2182344,int_stack+2014176,int_stack+106470,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+346164,int_stack+332241,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+41769,int_stack+0,int_stack+554190,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+116025,int_stack+41769,int_stack+591318,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+464100,int_stack+116025,int_stack+823914,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+464100,int_stack+1740903,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+464100,int_stack+0,int_stack+1865118,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+464100,int_stack+2014176,91);
 /*--- compute (q0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+464100,int_stack+0,int_stack+2182344,91);
 /*--- compute (op|ml) ---*/
 hrr1_build_op(Libint->AB,int_stack+1740903,int_stack+464100,int_stack+1057803,2475);
 /*--- compute (nd|ml) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2320053,int_stack+1740903,int_stack+1250853,2475);
 /*--- compute (mf|ml) ---*/
 hrr1_build_mf(Libint->AB,int_stack+6927135,int_stack+2320053,int_stack+3660135,2475);
 /*--- compute (lg|ml) ---*/
 hrr1_build_lg(Libint->AB,int_stack+8288385,int_stack+6927135,int_stack+4476885,2475);
 /*--- compute (kh|ml) ---*/
 hrr1_build_kh(Libint->AB,int_stack+3300153,int_stack+8288385,int_stack+5590635,2475);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+367500,int_stack+361725,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17325,int_stack+374430,int_stack+367500,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+38115,int_stack+17325,int_stack+0,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+72765,int_stack+382620,int_stack+374430,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+97335,int_stack+72765,int_stack+17325,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+138915,int_stack+97335,int_stack+38115,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+392175,int_stack+382620,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+196665,int_stack+0,int_stack+72765,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+245805,int_stack+196665,int_stack+97335,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+28665,int_stack+245805,int_stack+138915,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+115290,int_stack+403200,int_stack+392175,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+315105,int_stack+115290,int_stack+0,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+689325,int_stack+315105,int_stack+196665,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+771225,int_stack+689325,int_stack+245805,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+148365,int_stack+771225,int_stack+28665,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+415800,int_stack+403200,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+37800,int_stack+0,int_stack+115290,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+875175,int_stack+37800,int_stack+315105,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+269640,int_stack+875175,int_stack+689325,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+970725,int_stack+269640,int_stack+771225,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+689325,int_stack+970725,int_stack+148365,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+103950,int_stack+430080,int_stack+415800,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+146790,int_stack+103950,int_stack+0,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1116255,int_stack+146790,int_stack+37800,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1226505,int_stack+1116255,int_stack+875175,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1369830,int_stack+1226505,int_stack+269640,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+222390,int_stack+1369830,int_stack+970725,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+851025,int_stack+222390,int_stack+689325,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+689325,int_stack+446145,int_stack+430080,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+737520,int_stack+689325,int_stack+103950,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+737520,int_stack+146790,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1541820,int_stack+0,int_stack+1116255,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+1541820,int_stack+1226505,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1058925,int_stack+0,int_stack+1369830,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1288245,int_stack+1058925,int_stack+222390,105);
 /*--- compute (r0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+1288245,int_stack+851025,105);
 /*--- compute (qp|ml) ---*/
 hrr1_build_qp(Libint->AB,int_stack+689325,int_stack+0,int_stack+464100,2475);
 /*--- compute (od|ml) ---*/
 hrr1_build_od(Libint->AB,int_stack+5171253,int_stack+689325,int_stack+1740903,2475);
 /*--- compute (nf|ml) ---*/
 hrr1_build_nf(Libint->AB,int_stack+0,int_stack+5171253,int_stack+2320053,2475);
 /*--- compute (mg|ml) ---*/
 hrr1_build_mg(Libint->AB,int_stack+9959010,int_stack+0,int_stack+6927135,2475);
 /*--- compute (lh|ml) ---*/
 hrr1_build_lh(Libint->AB,int_stack+0,int_stack+9959010,int_stack+8288385,2475);
 /*--- compute (ki|ml) ---*/
 hrr1_build_ki(Libint->AB,int_stack+5171253,int_stack+0,int_stack+3300153,2475);
 return int_stack+5171253;}
