#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpkf(Libint_t*, prim_data*);

  /* Computes quartets of (kp|kf) integrals */

REALTYPE *hrr_order_kpkf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[8][7] = int_stack + 7272;
 Libint->vrr_classes[8][8] = int_stack + 8892;
 Libint->vrr_classes[8][9] = int_stack + 10917;
 Libint->vrr_classes[8][10] = int_stack + 13392;
 memset(int_stack,0,16362*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 16362;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpkf(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+16362,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+20250,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+25110,int_stack+20250,int_stack+16362,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+32886,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+38826,int_stack+32886,int_stack+20250,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+48546,int_stack+38826,int_stack+25110,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+16362,int_stack+8892,int_stack+7272,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21222,int_stack+10917,int_stack+8892,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+27297,int_stack+21222,int_stack+16362,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+37017,int_stack+13392,int_stack+10917,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+37017,int_stack+21222,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+61506,int_stack+0,int_stack+27297,45);
 /*--- compute (kp|kf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+0,int_stack+61506,int_stack+48546,360);
 return int_stack+0;}
