#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpkp(Libint_t*, prim_data*);

  /* Computes quartets of (kp|kp) integrals */

REALTYPE *hrr_order_kpkp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[8][7] = int_stack + 2916;
 Libint->vrr_classes[8][8] = int_stack + 4536;
 memset(int_stack,0,6561*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 6561;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpkp(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+6561,int_stack+1296,int_stack+0,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+10449,int_stack+4536,int_stack+2916,45);
 /*--- compute (kp|kp) ---*/
 hrr1_build_kp(Libint->AB,int_stack+15309,int_stack+10449,int_stack+6561,108);
 return int_stack+15309;}
