#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_l0mh(Libint_t*, prim_data*);

  /* Computes quartets of (l0|mh) integrals */

REALTYPE *hrr_order_l0mh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 memset(int_stack,0,23175*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 23175;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_l0mh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+23175,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+30600,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+39510,int_stack+30600,int_stack+23175,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54360,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+64890,int_stack+54360,int_stack+30600,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+82710,int_stack+64890,int_stack+39510,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+23175,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+107460,int_stack+23175,int_stack+54360,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+128520,int_stack+107460,int_stack+64890,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+35460,int_stack+128520,int_stack+82710,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+72585,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+158220,int_stack+72585,int_stack+23175,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+158220,int_stack+107460,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+72585,int_stack+0,int_stack+128520,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+117135,int_stack+72585,int_stack+35460,45);
 return int_stack+117135;}
