#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_l0mp(Libint_t*, prim_data*);

  /* Computes quartets of (l0|mp) integrals */

REALTYPE *hrr_order_l0mp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 memset(int_stack,0,5445*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5445;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_l0mp(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+5445,int_stack+2475,int_stack+0,45);
 return int_stack+5445;}
