#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_l0ng(Libint_t*, prim_data*);

  /* Computes quartets of (l0|ng) integrals */

REALTYPE *hrr_order_l0ng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 memset(int_stack,0,20700*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 20700;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_l0ng(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+20700,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+29610,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+40140,int_stack+29610,int_stack+20700,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+57960,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+70245,int_stack+57960,int_stack+29610,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+91305,int_stack+70245,int_stack+40140,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+20700,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+121005,int_stack+20700,int_stack+57960,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+121005,int_stack+70245,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+35100,int_stack+0,int_stack+91305,45);
 return int_stack+35100;}
