#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ldmh(Libint_t*, prim_data*);

  /* Computes quartets of (ld|mh) integrals */

REALTYPE *hrr_order_ldmh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[9][9] = int_stack + 23175;
 Libint->vrr_classes[9][10] = int_stack + 26200;
 Libint->vrr_classes[9][11] = int_stack + 29830;
 Libint->vrr_classes[9][12] = int_stack + 34120;
 Libint->vrr_classes[9][13] = int_stack + 39125;
 Libint->vrr_classes[9][14] = int_stack + 44900;
 Libint->vrr_classes[10][9] = int_stack + 51500;
 Libint->vrr_classes[10][10] = int_stack + 55130;
 Libint->vrr_classes[10][11] = int_stack + 59486;
 Libint->vrr_classes[10][12] = int_stack + 64634;
 Libint->vrr_classes[10][13] = int_stack + 70640;
 Libint->vrr_classes[10][14] = int_stack + 77570;
 memset(int_stack,0,85490*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 85490;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ldmh(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+85490,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+92915,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+101825,int_stack+92915,int_stack+85490,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+116675,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+127205,int_stack+116675,int_stack+92915,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+145025,int_stack+127205,int_stack+101825,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+85490,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+169775,int_stack+85490,int_stack+116675,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+190835,int_stack+169775,int_stack+127205,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+97775,int_stack+190835,int_stack+145025,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+134900,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+220535,int_stack+134900,int_stack+85490,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+245105,int_stack+220535,int_stack+169775,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+134900,int_stack+245105,int_stack+190835,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+179450,int_stack+134900,int_stack+97775,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+85490,int_stack+26200,int_stack+23175,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+94565,int_stack+29830,int_stack+26200,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+105455,int_stack+94565,int_stack+85490,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+123605,int_stack+34120,int_stack+29830,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+136475,int_stack+123605,int_stack+94565,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+231425,int_stack+136475,int_stack+105455,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+85490,int_stack+39125,int_stack+34120,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+85490,int_stack+123605,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+261675,int_stack+0,int_stack+136475,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+100505,int_stack+261675,int_stack+231425,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+231425,int_stack+44900,int_stack+39125,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+145880,int_stack+231425,int_stack+85490,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+297975,int_stack+145880,int_stack+0,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+340875,int_stack+297975,int_stack+261675,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+231425,int_stack+340875,int_stack+100505,55);
 /*--- compute (lp|mh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+294950,int_stack+231425,int_stack+179450,1155);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+55130,int_stack+51500,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+59486,int_stack+55130,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23958,int_stack+10890,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+85490,int_stack+64634,int_stack+59486,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+100934,int_stack+85490,int_stack+10890,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+127070,int_stack+100934,int_stack+23958,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+70640,int_stack+64634,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+18018,int_stack+0,int_stack+85490,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+163370,int_stack+18018,int_stack+100934,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+450875,int_stack+163370,int_stack+127070,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+85490,int_stack+77570,int_stack+70640,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+106280,int_stack+85490,int_stack+0,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+48906,int_stack+106280,int_stack+18018,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+505325,int_stack+48906,int_stack+163370,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+505325,int_stack+450875,66);
 /*--- compute (mp|mh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+450875,int_stack+0,int_stack+231425,1155);
 /*--- compute (ld|mh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+641450,int_stack+450875,int_stack+294950,1155);
 return int_stack+641450;}
