#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_llnk(Libint_t*, prim_data*);

  /* Computes quartets of (ll|nk) integrals */

REALTYPE *hrr_order_llnk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[8][16] = int_stack + 26820;
 Libint->vrr_classes[8][17] = int_stack + 33705;
 Libint->vrr_classes[9][10] = int_stack + 41400;
 Libint->vrr_classes[9][11] = int_stack + 45030;
 Libint->vrr_classes[9][12] = int_stack + 49320;
 Libint->vrr_classes[9][13] = int_stack + 54325;
 Libint->vrr_classes[9][14] = int_stack + 60100;
 Libint->vrr_classes[9][15] = int_stack + 66700;
 Libint->vrr_classes[9][16] = int_stack + 74180;
 Libint->vrr_classes[9][17] = int_stack + 82595;
 Libint->vrr_classes[10][10] = int_stack + 92000;
 Libint->vrr_classes[10][11] = int_stack + 96356;
 Libint->vrr_classes[10][12] = int_stack + 101504;
 Libint->vrr_classes[10][13] = int_stack + 107510;
 Libint->vrr_classes[10][14] = int_stack + 114440;
 Libint->vrr_classes[10][15] = int_stack + 122360;
 Libint->vrr_classes[10][16] = int_stack + 131336;
 Libint->vrr_classes[10][17] = int_stack + 141434;
 Libint->vrr_classes[11][10] = int_stack + 152720;
 Libint->vrr_classes[11][11] = int_stack + 157868;
 Libint->vrr_classes[11][12] = int_stack + 163952;
 Libint->vrr_classes[11][13] = int_stack + 171050;
 Libint->vrr_classes[11][14] = int_stack + 179240;
 Libint->vrr_classes[11][15] = int_stack + 188600;
 Libint->vrr_classes[11][16] = int_stack + 199208;
 Libint->vrr_classes[11][17] = int_stack + 211142;
 Libint->vrr_classes[12][10] = int_stack + 224480;
 Libint->vrr_classes[12][11] = int_stack + 230486;
 Libint->vrr_classes[12][12] = int_stack + 237584;
 Libint->vrr_classes[12][13] = int_stack + 245865;
 Libint->vrr_classes[12][14] = int_stack + 255420;
 Libint->vrr_classes[12][15] = int_stack + 266340;
 Libint->vrr_classes[12][16] = int_stack + 278716;
 Libint->vrr_classes[12][17] = int_stack + 292639;
 Libint->vrr_classes[13][10] = int_stack + 308200;
 Libint->vrr_classes[13][11] = int_stack + 315130;
 Libint->vrr_classes[13][12] = int_stack + 323320;
 Libint->vrr_classes[13][13] = int_stack + 332875;
 Libint->vrr_classes[13][14] = int_stack + 343900;
 Libint->vrr_classes[13][15] = int_stack + 356500;
 Libint->vrr_classes[13][16] = int_stack + 370780;
 Libint->vrr_classes[13][17] = int_stack + 386845;
 Libint->vrr_classes[14][10] = int_stack + 404800;
 Libint->vrr_classes[14][11] = int_stack + 412720;
 Libint->vrr_classes[14][12] = int_stack + 422080;
 Libint->vrr_classes[14][13] = int_stack + 433000;
 Libint->vrr_classes[14][14] = int_stack + 445600;
 Libint->vrr_classes[14][15] = int_stack + 460000;
 Libint->vrr_classes[14][16] = int_stack + 476320;
 Libint->vrr_classes[14][17] = int_stack + 494680;
 Libint->vrr_classes[15][10] = int_stack + 515200;
 Libint->vrr_classes[15][11] = int_stack + 524176;
 Libint->vrr_classes[15][12] = int_stack + 534784;
 Libint->vrr_classes[15][13] = int_stack + 547160;
 Libint->vrr_classes[15][14] = int_stack + 561440;
 Libint->vrr_classes[15][15] = int_stack + 577760;
 Libint->vrr_classes[15][16] = int_stack + 596256;
 Libint->vrr_classes[15][17] = int_stack + 617064;
 Libint->vrr_classes[16][10] = int_stack + 640320;
 Libint->vrr_classes[16][11] = int_stack + 650418;
 Libint->vrr_classes[16][12] = int_stack + 662352;
 Libint->vrr_classes[16][13] = int_stack + 676275;
 Libint->vrr_classes[16][14] = int_stack + 692340;
 Libint->vrr_classes[16][15] = int_stack + 710700;
 Libint->vrr_classes[16][16] = int_stack + 731508;
 Libint->vrr_classes[16][17] = int_stack + 754917;
 memset(int_stack,0,781080*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 781080;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_llnk(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+781080,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+789990,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+800520,int_stack+789990,int_stack+781080,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+818340,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+830625,int_stack+818340,int_stack+789990,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+851685,int_stack+830625,int_stack+800520,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+781080,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+881385,int_stack+781080,int_stack+818340,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+795255,int_stack+881385,int_stack+830625,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+905955,int_stack+795255,int_stack+851685,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+830355,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+846555,int_stack+830355,int_stack+781080,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+950505,int_stack+846555,int_stack+881385,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+991455,int_stack+950505,int_stack+795255,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1044105,int_stack+991455,int_stack+905955,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+781080,int_stack+26820,int_stack+20700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+874905,int_stack+781080,int_stack+830355,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1106475,int_stack+874905,int_stack+846555,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+799440,int_stack+1106475,int_stack+950505,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+907305,int_stack+799440,int_stack+991455,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1153725,int_stack+907305,int_stack+1044105,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+981015,int_stack+33705,int_stack+26820,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1001670,int_stack+981015,int_stack+781080,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1038390,int_stack+1001670,int_stack+874905,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1236885,int_stack+1038390,int_stack+1106475,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+981015,int_stack+1236885,int_stack+799440,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+781080,int_stack+981015,int_stack+907305,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+879360,int_stack+781080,int_stack+1153725,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+781080,int_stack+45030,int_stack+41400,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+791970,int_stack+49320,int_stack+45030,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+804840,int_stack+791970,int_stack+781080,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+826620,int_stack+54325,int_stack+49320,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+841635,int_stack+826620,int_stack+791970,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+986280,int_stack+841635,int_stack+804840,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+781080,int_stack+60100,int_stack+54325,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1022580,int_stack+781080,int_stack+826620,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+798405,int_stack+1022580,int_stack+841635,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1052610,int_stack+798405,int_stack+986280,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+986280,int_stack+66700,int_stack+60100,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+841305,int_stack+986280,int_stack+781080,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1107060,int_stack+841305,int_stack+1022580,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1157110,int_stack+1107060,int_stack+798405,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1221460,int_stack+1157110,int_stack+1052610,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+781080,int_stack+74180,int_stack+66700,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1006080,int_stack+781080,int_stack+986280,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1045680,int_stack+1006080,int_stack+841305,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+803520,int_stack+1045680,int_stack+1107060,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1297690,int_stack+803520,int_stack+1157110,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1103430,int_stack+1297690,int_stack+1221460,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1205070,int_stack+82595,int_stack+74180,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1230315,int_stack+1205070,int_stack+781080,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+1230315,int_stack+1006080,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1205070,int_stack+0,int_stack+1045680,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+986280,int_stack+1205070,int_stack+803520,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1387780,int_stack+986280,int_stack+1297690,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1205070,int_stack+1387780,int_stack+1103430,55);
 /*--- compute (lp|nk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1335750,int_stack+1205070,int_stack+879360,2376);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+96356,int_stack+92000,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+101504,int_stack+96356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54648,int_stack+107510,int_stack+101504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+72666,int_stack+54648,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+781080,int_stack+72666,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+114440,int_stack+107510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+824640,int_stack+0,int_stack+54648,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+20790,int_stack+824640,int_stack+72666,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+860676,int_stack+20790,int_stack+781080,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+781080,int_stack+122360,int_stack+114440,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+72270,int_stack+781080,int_stack+0,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+926016,int_stack+72270,int_stack+824640,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+986076,int_stack+926016,int_stack+20790,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1063296,int_stack+986076,int_stack+860676,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+131336,int_stack+122360,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+804840,int_stack+0,int_stack+781080,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+852360,int_stack+804840,int_stack+72270,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+26928,int_stack+852360,int_stack+926016,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1656510,int_stack+26928,int_stack+986076,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+921660,int_stack+1656510,int_stack+1063296,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1043628,int_stack+141434,int_stack+131336,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1073922,int_stack+1043628,int_stack+0,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1764618,int_stack+1073922,int_stack+804840,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1043628,int_stack+1764618,int_stack+852360,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+781080,int_stack+1043628,int_stack+26928,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1043628,int_stack+781080,int_stack+1656510,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1656510,int_stack+1043628,int_stack+921660,66);
 /*--- compute (mp|nk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+781080,int_stack+1656510,int_stack+1205070,2376);
 /*--- compute (ld|nk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1813326,int_stack+781080,int_stack+1335750,2376);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1173120,int_stack+157868,int_stack+152720,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1188564,int_stack+163952,int_stack+157868,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1206816,int_stack+1188564,int_stack+1173120,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1237704,int_stack+171050,int_stack+163952,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1258998,int_stack+1237704,int_stack+1188564,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1295502,int_stack+1258998,int_stack+1206816,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1173120,int_stack+179240,int_stack+171050,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1346982,int_stack+1173120,int_stack+1237704,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1197690,int_stack+1346982,int_stack+1258998,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1389570,int_stack+1197690,int_stack+1295502,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1258530,int_stack+188600,int_stack+179240,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1286610,int_stack+1258530,int_stack+1173120,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1466790,int_stack+1286610,int_stack+1346982,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1537770,int_stack+1466790,int_stack+1197690,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+1537770,int_stack+1389570,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1173120,int_stack+199208,int_stack+188600,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1335750,int_stack+1173120,int_stack+1258530,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+108108,int_stack+1335750,int_stack+1286610,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1204944,int_stack+108108,int_stack+1466790,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1391910,int_stack+1204944,int_stack+1537770,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2454846,int_stack+1391910,int_stack+0,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+211142,int_stack+199208,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+35802,int_stack+0,int_stack+1173120,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1519674,int_stack+35802,int_stack+1335750,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2598990,int_stack+1519674,int_stack+108108,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+2598990,int_stack+1204944,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1173120,int_stack+0,int_stack+1391910,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+1173120,int_stack+2454846,78);
 /*--- compute (np|nk) ---*/
 hrr1_build_np(Libint->AB,int_stack+1173120,int_stack+0,int_stack+1656510,2376);
 /*--- compute (md|nk) ---*/
 hrr1_build_md(Libint->AB,int_stack+2454846,int_stack+1173120,int_stack+781080,2376);
 /*--- compute (lf|nk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+3238926,int_stack+2454846,int_stack+1813326,2376);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+781080,int_stack+230486,int_stack+224480,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+799098,int_stack+237584,int_stack+230486,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+820392,int_stack+799098,int_stack+781080,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+856428,int_stack+245865,int_stack+237584,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+881271,int_stack+856428,int_stack+799098,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+923859,int_stack+881271,int_stack+820392,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+781080,int_stack+255420,int_stack+245865,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+983919,int_stack+781080,int_stack+856428,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+809745,int_stack+983919,int_stack+881271,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1033605,int_stack+809745,int_stack+923859,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+880725,int_stack+266340,int_stack+255420,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+913485,int_stack+880725,int_stack+781080,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1643568,int_stack+913485,int_stack+983919,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1726378,int_stack+1643568,int_stack+809745,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1832848,int_stack+1726378,int_stack+1033605,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+781080,int_stack+278716,int_stack+266340,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+970815,int_stack+781080,int_stack+880725,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1036335,int_stack+970815,int_stack+913485,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+818208,int_stack+1036335,int_stack+1643568,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1958974,int_stack+818208,int_stack+1726378,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1643568,int_stack+1958974,int_stack+1832848,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1811736,int_stack+292639,int_stack+278716,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1853505,int_stack+1811736,int_stack+781080,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2108032,int_stack+1853505,int_stack+970815,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1811736,int_stack+2108032,int_stack+1036335,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2108032,int_stack+1811736,int_stack+818208,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+781080,int_stack+2108032,int_stack+1958974,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1811736,int_stack+781080,int_stack+1643568,91);
 /*--- compute (op|nk) ---*/
 hrr1_build_op(Libint->AB,int_stack+4308126,int_stack+1811736,int_stack+0,2376);
 /*--- compute (nd|nk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+4864110,int_stack+4308126,int_stack+1173120,2376);
 /*--- compute (mf|nk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+5805006,int_stack+4864110,int_stack+2454846,2376);
 /*--- compute (lg|nk) ---*/
 hrr1_build_lg(Libint->AB,int_stack+7111806,int_stack+5805006,int_stack+3238926,2376);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+315130,int_stack+308200,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+20790,int_stack+323320,int_stack+315130,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+45360,int_stack+20790,int_stack+0,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+86940,int_stack+332875,int_stack+323320,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+115605,int_stack+86940,int_stack+20790,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+164745,int_stack+115605,int_stack+45360,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+343900,int_stack+332875,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+234045,int_stack+0,int_stack+86940,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+33075,int_stack+234045,int_stack+115605,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+781080,int_stack+33075,int_stack+164745,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+114975,int_stack+356500,int_stack+343900,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+152775,int_stack+114975,int_stack+0,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+885030,int_stack+152775,int_stack+234045,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+218925,int_stack+885030,int_stack+33075,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+980580,int_stack+218925,int_stack+781080,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+781080,int_stack+370780,int_stack+356500,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+781080,int_stack+114975,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1126110,int_stack+0,int_stack+152775,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+75600,int_stack+1126110,int_stack+885030,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1236360,int_stack+75600,int_stack+218925,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1408350,int_stack+1236360,int_stack+980580,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+218925,int_stack+386845,int_stack+370780,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+267120,int_stack+218925,int_stack+781080,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+781080,int_stack+267120,int_stack+0,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+907080,int_stack+781080,int_stack+1126110,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1602390,int_stack+907080,int_stack+75600,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+781080,int_stack+1602390,int_stack+1236360,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1010400,int_stack+781080,int_stack+1408350,105);
 /*--- compute (qp|nk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+2027952,int_stack+1010400,int_stack+1811736,2376);
 /*--- compute (od|nk) ---*/
 hrr1_build_od(Libint->AB,int_stack+2676600,int_stack+2027952,int_stack+4308126,2376);
 /*--- compute (nf|nk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+8715606,int_stack+2676600,int_stack+4864110,2376);
 /*--- compute (mg|nk) ---*/
 hrr1_build_mg(Libint->AB,int_stack+3788568,int_stack+8715606,int_stack+5805006,2376);
 /*--- compute (lh|nk) ---*/
 hrr1_build_lh(Libint->AB,int_stack+10283766,int_stack+3788568,int_stack+7111806,2376);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+781080,int_stack+412720,int_stack+404800,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+804840,int_stack+422080,int_stack+412720,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+832920,int_stack+804840,int_stack+781080,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+880440,int_stack+433000,int_stack+422080,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+913200,int_stack+880440,int_stack+804840,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1259880,int_stack+913200,int_stack+832920,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+781080,int_stack+445600,int_stack+433000,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1339080,int_stack+781080,int_stack+880440,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+818880,int_stack+1339080,int_stack+913200,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1404600,int_stack+818880,int_stack+1259880,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1259880,int_stack+460000,int_stack+445600,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+912480,int_stack+1259880,int_stack+781080,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1523400,int_stack+912480,int_stack+1339080,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1632600,int_stack+1523400,int_stack+818880,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1773000,int_stack+1632600,int_stack+1404600,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+781080,int_stack+476320,int_stack+460000,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1303080,int_stack+781080,int_stack+1259880,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1389480,int_stack+1303080,int_stack+912480,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+830040,int_stack+1389480,int_stack+1523400,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+830040,int_stack+1632600,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1515480,int_stack+0,int_stack+1773000,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1737240,int_stack+494680,int_stack+476320,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1792320,int_stack+1737240,int_stack+781080,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+196560,int_stack+1792320,int_stack+1303080,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1737240,int_stack+196560,int_stack+1389480,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+196560,int_stack+1737240,int_stack+830040,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1737240,int_stack+196560,int_stack+0,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+1737240,int_stack+1515480,120);
 /*--- compute (rp|nk) ---*/
 hrr1_build_rp(Libint->AB,int_stack+1259880,int_stack+0,int_stack+1010400,2376);
 /*--- compute (qd|nk) ---*/
 hrr1_build_qd(Libint->AB,int_stack+5748768,int_stack+1259880,int_stack+2027952,2376);
 /*--- compute (of|nk) ---*/
 hrr1_build_of(Libint->AB,int_stack+12529086,int_stack+5748768,int_stack+2676600,2376);
 /*--- compute (ng|nk) ---*/
 hrr1_build_ng(Libint->AB,int_stack+14382366,int_stack+12529086,int_stack+8715606,2376);
 /*--- compute (mh|nk) ---*/
 hrr1_build_mh(Libint->AB,int_stack+7046064,int_stack+14382366,int_stack+3788568,2376);
 /*--- compute (li|nk) ---*/
 hrr1_build_li(Libint->AB,int_stack+2008320,int_stack+7046064,int_stack+10283766,2376);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+285120,int_stack+524176,int_stack+515200,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+312048,int_stack+534784,int_stack+524176,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+343872,int_stack+312048,int_stack+285120,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+397728,int_stack+547160,int_stack+534784,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+434856,int_stack+397728,int_stack+312048,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+781080,int_stack+434856,int_stack+343872,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+285120,int_stack+561440,int_stack+547160,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+870840,int_stack+285120,int_stack+397728,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+327960,int_stack+870840,int_stack+434856,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+945096,int_stack+327960,int_stack+781080,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+781080,int_stack+577760,int_stack+561440,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+434040,int_stack+781080,int_stack+285120,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1079736,int_stack+434040,int_stack+870840,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+5002080,int_stack+1079736,int_stack+327960,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+5161200,int_stack+5002080,int_stack+945096,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+285120,int_stack+596256,int_stack+577760,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+830040,int_stack+285120,int_stack+781080,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+927960,int_stack+830040,int_stack+434040,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+340608,int_stack+927960,int_stack+1079736,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+5349696,int_stack+340608,int_stack+5002080,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+9790344,int_stack+5349696,int_stack+5161200,136);
 /*--- compute (u0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+5002080,int_stack+617064,int_stack+596256,136);
 /*--- compute (u0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+5064504,int_stack+5002080,int_stack+285120,136);
 /*--- compute (u0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+5175480,int_stack+5064504,int_stack+830040,136);
 /*--- compute (u0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+10041672,int_stack+5175480,int_stack+927960,136);
 /*--- compute (u0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+5002080,int_stack+10041672,int_stack+340608,136);
 /*--- compute (u0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+10041672,int_stack+5002080,int_stack+5349696,136);
 /*--- compute (u0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+5002080,int_stack+10041672,int_stack+9790344,136);
 /*--- compute (tp|nk) ---*/
 hrr1_build_tp(Libint->AB,int_stack+9790344,int_stack+5002080,int_stack+0,2376);
 /*--- compute (rd|nk) ---*/
 hrr1_build_rd(Libint->AB,int_stack+10645704,int_stack+9790344,int_stack+1259880,2376);
 /*--- compute (qf|nk) ---*/
 hrr1_build_qf(Libint->AB,int_stack+16734606,int_stack+10645704,int_stack+5748768,2376);
 /*--- compute (og|nk) ---*/
 hrr1_build_og(Libint->AB,int_stack+18896766,int_stack+16734606,int_stack+12529086,2376);
 /*--- compute (nh|nk) ---*/
 hrr1_build_nh(Libint->AB,int_stack+21676686,int_stack+18896766,int_stack+14382366,2376);
 /*--- compute (mi|nk) ---*/
 hrr1_build_mi(Libint->AB,int_stack+12142584,int_stack+21676686,int_stack+7046064,2376);
 /*--- compute (lk|nk) ---*/
 hrr1_build_lk(Libint->AB,int_stack+5325216,int_stack+12142584,int_stack+2008320,2376);
 /*--- compute (v0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+650418,int_stack+640320,153);
 /*--- compute (v0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+30294,int_stack+662352,int_stack+650418,153);
 /*--- compute (v0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+66096,int_stack+30294,int_stack+0,153);
 /*--- compute (v0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+126684,int_stack+676275,int_stack+662352,153);
 /*--- compute (v0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+168453,int_stack+126684,int_stack+30294,153);
 /*--- compute (v0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+240057,int_stack+168453,int_stack+66096,153);
 /*--- compute (v0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+692340,int_stack+676275,153);
 /*--- compute (v0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+341037,int_stack+0,int_stack+126684,153);
 /*--- compute (v0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+48195,int_stack+341037,int_stack+168453,153);
 /*--- compute (v0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+424575,int_stack+48195,int_stack+240057,153);
 /*--- compute (v0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+167535,int_stack+710700,int_stack+692340,153);
 /*--- compute (v0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+222615,int_stack+167535,int_stack+0,153);
 /*--- compute (v0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+15801624,int_stack+222615,int_stack+341037,153);
 /*--- compute (v0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+15940854,int_stack+15801624,int_stack+48195,153);
 /*--- compute (v0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+16119864,int_stack+15940854,int_stack+424575,153);
 /*--- compute (v0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+731508,int_stack+710700,153);
 /*--- compute (v0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+319005,int_stack+0,int_stack+167535,153);
 /*--- compute (v0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+429165,int_stack+319005,int_stack+222615,153);
 /*--- compute (v0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+62424,int_stack+429165,int_stack+15801624,153);
 /*--- compute (v0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+16331922,int_stack+62424,int_stack+15940854,153);
 /*--- compute (v0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+15801624,int_stack+16331922,int_stack+16119864,153);
 /*--- compute (v0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+16084368,int_stack+754917,int_stack+731508,153);
 /*--- compute (v0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+16154595,int_stack+16084368,int_stack+0,153);
 /*--- compute (v0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+589815,int_stack+16154595,int_stack+319005,153);
 /*--- compute (v0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+16084368,int_stack+589815,int_stack+429165,153);
 /*--- compute (v0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+271269,int_stack+16084368,int_stack+62424,153);
 /*--- compute (v0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+563652,int_stack+271269,int_stack+16331922,153);
 /*--- compute (v0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+16084368,int_stack+563652,int_stack+15801624,153);
 /*--- compute (up|nk) ---*/
 hrr1_build_up(Libint->AB,int_stack+0,int_stack+16084368,int_stack+5002080,2376);
 /*--- compute (td|nk) ---*/
 hrr1_build_td(Libint->AB,int_stack+969408,int_stack+0,int_stack+9790344,2376);
 /*--- compute (rf|nk) ---*/
 hrr1_build_rf(Libint->AB,int_stack+2680128,int_stack+969408,int_stack+10645704,2376);
 /*--- compute (qg|nk) ---*/
 hrr1_build_qg(Libint->AB,int_stack+24969822,int_stack+2680128,int_stack+16734606,2376);
 /*--- compute (oh|nk) ---*/
 hrr1_build_oh(Libint->AB,int_stack+0,int_stack+24969822,int_stack+18896766,2376);
 /*--- compute (ni|nk) ---*/
 hrr1_build_ni(Libint->AB,int_stack+15801624,int_stack+0,int_stack+21676686,2376);
 /*--- compute (mk|nk) ---*/
 hrr1_build_mk(Libint->AB,int_stack+0,int_stack+15801624,int_stack+12142584,2376);
 /*--- compute (ll|nk) ---*/
 hrr1_build_ll(Libint->AB,int_stack+9174336,int_stack+0,int_stack+5325216,2376);
 return int_stack+9174336;}
