#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lplf(Libint_t*, prim_data*);

  /* Computes quartets of (lp|lf) integrals */

REALTYPE *hrr_order_lplf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][8] = int_stack + 0;
 Libint->vrr_classes[8][9] = int_stack + 2025;
 Libint->vrr_classes[8][10] = int_stack + 4500;
 Libint->vrr_classes[8][11] = int_stack + 7470;
 Libint->vrr_classes[9][8] = int_stack + 10980;
 Libint->vrr_classes[9][9] = int_stack + 13455;
 Libint->vrr_classes[9][10] = int_stack + 16480;
 Libint->vrr_classes[9][11] = int_stack + 20110;
 memset(int_stack,0,24400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 24400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lplf(Libint, Data);
   Data++;
 }
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24400,int_stack+2025,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30475,int_stack+4500,int_stack+2025,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+37900,int_stack+30475,int_stack+24400,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+50050,int_stack+7470,int_stack+4500,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+58960,int_stack+50050,int_stack+30475,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+73810,int_stack+58960,int_stack+37900,45);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+24400,int_stack+13455,int_stack+10980,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+31825,int_stack+16480,int_stack+13455,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+40900,int_stack+31825,int_stack+24400,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+55750,int_stack+20110,int_stack+16480,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+55750,int_stack+31825,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+94060,int_stack+0,int_stack+40900,55);
 /*--- compute (lp|lf) ---*/
 hrr1_build_lp(Libint->AB,int_stack+0,int_stack+94060,int_stack+73810,450);
 return int_stack+0;}
