#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mdmd(Libint_t*, prim_data*);

  /* Computes quartets of (md|md) integrals */

REALTYPE *hrr_order_mdmd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][9] = int_stack + 0;
 Libint->vrr_classes[9][10] = int_stack + 3025;
 Libint->vrr_classes[9][11] = int_stack + 6655;
 Libint->vrr_classes[10][9] = int_stack + 10945;
 Libint->vrr_classes[10][10] = int_stack + 14575;
 Libint->vrr_classes[10][11] = int_stack + 18931;
 Libint->vrr_classes[11][9] = int_stack + 24079;
 Libint->vrr_classes[11][10] = int_stack + 28369;
 Libint->vrr_classes[11][11] = int_stack + 33517;
 memset(int_stack,0,39601*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 39601;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mdmd(Libint, Data);
   Data++;
 }
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+39601,int_stack+3025,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+48676,int_stack+6655,int_stack+3025,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+59566,int_stack+48676,int_stack+39601,55);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+39601,int_stack+14575,int_stack+10945,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+18931,int_stack+14575,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+77716,int_stack+0,int_stack+39601,66);
 /*--- compute (mp|md) ---*/
 hrr1_build_mp(Libint->AB,int_stack+99496,int_stack+77716,int_stack+59566,330);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+39601,int_stack+28369,int_stack+24079,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+52471,int_stack+33517,int_stack+28369,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+52471,int_stack+39601,78);
 /*--- compute (np|md) ---*/
 hrr1_build_np(Libint->AB,int_stack+153946,int_stack+0,int_stack+77716,330);
 /*--- compute (md|md) ---*/
 hrr1_build_md(Libint->AB,int_stack+219286,int_stack+153946,int_stack+99496,330);
 return int_stack+219286;}
