#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mfnm(Libint_t*, prim_data*);

  /* Computes quartets of (mf|nm) integrals */

REALTYPE *hrr_order_mfnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[9][17] = int_stack + 41195;
 Libint->vrr_classes[9][18] = int_stack + 50600;
 Libint->vrr_classes[9][19] = int_stack + 61050;
 Libint->vrr_classes[10][10] = int_stack + 72600;
 Libint->vrr_classes[10][11] = int_stack + 76956;
 Libint->vrr_classes[10][12] = int_stack + 82104;
 Libint->vrr_classes[10][13] = int_stack + 88110;
 Libint->vrr_classes[10][14] = int_stack + 95040;
 Libint->vrr_classes[10][15] = int_stack + 102960;
 Libint->vrr_classes[10][16] = int_stack + 111936;
 Libint->vrr_classes[10][17] = int_stack + 122034;
 Libint->vrr_classes[10][18] = int_stack + 133320;
 Libint->vrr_classes[10][19] = int_stack + 145860;
 Libint->vrr_classes[11][10] = int_stack + 159720;
 Libint->vrr_classes[11][11] = int_stack + 164868;
 Libint->vrr_classes[11][12] = int_stack + 170952;
 Libint->vrr_classes[11][13] = int_stack + 178050;
 Libint->vrr_classes[11][14] = int_stack + 186240;
 Libint->vrr_classes[11][15] = int_stack + 195600;
 Libint->vrr_classes[11][16] = int_stack + 206208;
 Libint->vrr_classes[11][17] = int_stack + 218142;
 Libint->vrr_classes[11][18] = int_stack + 231480;
 Libint->vrr_classes[11][19] = int_stack + 246300;
 Libint->vrr_classes[12][10] = int_stack + 262680;
 Libint->vrr_classes[12][11] = int_stack + 268686;
 Libint->vrr_classes[12][12] = int_stack + 275784;
 Libint->vrr_classes[12][13] = int_stack + 284065;
 Libint->vrr_classes[12][14] = int_stack + 293620;
 Libint->vrr_classes[12][15] = int_stack + 304540;
 Libint->vrr_classes[12][16] = int_stack + 316916;
 Libint->vrr_classes[12][17] = int_stack + 330839;
 Libint->vrr_classes[12][18] = int_stack + 346400;
 Libint->vrr_classes[12][19] = int_stack + 363690;
 memset(int_stack,0,382800*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 382800;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mfnm(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+382800,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+393690,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+406560,int_stack+393690,int_stack+382800,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+428340,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+443355,int_stack+428340,int_stack+393690,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+469095,int_stack+443355,int_stack+406560,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+382800,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+505395,int_stack+382800,int_stack+428340,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+400125,int_stack+505395,int_stack+443355,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+535425,int_stack+400125,int_stack+469095,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+443025,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+462825,int_stack+443025,int_stack+382800,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+589875,int_stack+462825,int_stack+505395,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+639925,int_stack+589875,int_stack+400125,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+704275,int_stack+639925,int_stack+535425,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+382800,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+497475,int_stack+382800,int_stack+443025,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+780505,int_stack+497475,int_stack+462825,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+405240,int_stack+780505,int_stack+589875,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+537075,int_stack+405240,int_stack+639925,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+838255,int_stack+537075,int_stack+704275,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+627165,int_stack+41195,int_stack+32780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+652410,int_stack+627165,int_stack+382800,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+697290,int_stack+652410,int_stack+497475,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+939895,int_stack+697290,int_stack+780505,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1026520,int_stack+939895,int_stack+405240,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+382800,int_stack+1026520,int_stack+537075,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1131625,int_stack+382800,int_stack+838255,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+502920,int_stack+50600,int_stack+41195,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+531135,int_stack+502920,int_stack+627165,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+763290,int_stack+531135,int_stack+652410,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+581625,int_stack+763290,int_stack+697290,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1262305,int_stack+581625,int_stack+939895,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+838090,int_stack+1262305,int_stack+1026520,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1383580,int_stack+838090,int_stack+382800,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1538020,int_stack+1383580,int_stack+1131625,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+382800,int_stack+61050,int_stack+50600,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+414150,int_stack+382800,int_stack+502920,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+978230,int_stack+414150,int_stack+531135,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+382800,int_stack+978230,int_stack+763290,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+978230,int_stack+382800,int_stack+581625,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+382800,int_stack+978230,int_stack+1262305,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+978230,int_stack+382800,int_stack+838090,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+382800,int_stack+978230,int_stack+1383580,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+575850,int_stack+382800,int_stack+1538020,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+382800,int_stack+76956,int_stack+72600,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+395868,int_stack+82104,int_stack+76956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+411312,int_stack+395868,int_stack+382800,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+437448,int_stack+88110,int_stack+82104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+455466,int_stack+437448,int_stack+395868,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+486354,int_stack+455466,int_stack+411312,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+382800,int_stack+95040,int_stack+88110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+529914,int_stack+382800,int_stack+437448,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+403590,int_stack+529914,int_stack+455466,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+775500,int_stack+403590,int_stack+486354,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+455070,int_stack+102960,int_stack+95040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+478830,int_stack+455070,int_stack+382800,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+840840,int_stack+478830,int_stack+529914,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+900900,int_stack+840840,int_stack+403590,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+978120,int_stack+900900,int_stack+775500,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+775500,int_stack+111936,int_stack+102960,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+382800,int_stack+775500,int_stack+455070,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1069596,int_stack+382800,int_stack+478830,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+430320,int_stack+1069596,int_stack+840840,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1138896,int_stack+430320,int_stack+900900,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+802428,int_stack+1138896,int_stack+978120,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+924396,int_stack+122034,int_stack+111936,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+954690,int_stack+924396,int_stack+775500,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1247004,int_stack+954690,int_stack+382800,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1326204,int_stack+1247004,int_stack+1069596,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1008546,int_stack+1326204,int_stack+430320,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+382800,int_stack+1008546,int_stack+1138896,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1430154,int_stack+382800,int_stack+802428,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+526944,int_stack+133320,int_stack+122034,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+775500,int_stack+526944,int_stack+924396,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+836088,int_stack+775500,int_stack+954690,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+836088,int_stack+1247004,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1134672,int_stack+0,int_stack+1326204,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1586970,int_stack+1134672,int_stack+1008546,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+925848,int_stack+1586970,int_stack+382800,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1755138,int_stack+925848,int_stack+1430154,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+382800,int_stack+145860,int_stack+133320,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+420420,int_stack+382800,int_stack+526944,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1280202,int_stack+420420,int_stack+775500,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+382800,int_stack+1280202,int_stack+836088,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1280202,int_stack+382800,int_stack+0,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1951158,int_stack+1280202,int_stack+1134672,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1111176,int_stack+1951158,int_stack+1586970,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1327392,int_stack+1111176,int_stack+925848,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+775500,int_stack+1327392,int_stack+1755138,66);
 /*--- compute (mp|nm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1015080,int_stack+775500,int_stack+575850,3630);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+164868,int_stack+159720,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+170952,int_stack+164868,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+178050,int_stack+170952,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85878,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+122382,int_stack+85878,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+186240,int_stack+178050,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+382800,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+382800,int_stack+85878,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+425388,int_stack+24570,int_stack+122382,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+85410,int_stack+195600,int_stack+186240,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+113490,int_stack+85410,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+502608,int_stack+113490,int_stack+382800,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+573588,int_stack+502608,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+664848,int_stack+573588,int_stack+425388,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+382800,int_stack+206208,int_stack+195600,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+414624,int_stack+382800,int_stack+85410,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+414624,int_stack+113490,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+81900,int_stack+0,int_stack+502608,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1614030,int_stack+81900,int_stack+573588,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+470784,int_stack+1614030,int_stack+664848,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+614928,int_stack+218142,int_stack+206208,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+650730,int_stack+614928,int_stack+382800,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1741794,int_stack+650730,int_stack+414624,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1835394,int_stack+1741794,int_stack+0,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1958244,int_stack+1835394,int_stack+81900,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+1958244,int_stack+1614030,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2107302,int_stack+0,int_stack+470784,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1614030,int_stack+231480,int_stack+218142,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1654044,int_stack+1614030,int_stack+614928,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+382800,int_stack+1654044,int_stack+650730,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+488880,int_stack+382800,int_stack+1741794,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2292630,int_stack+488880,int_stack+1835394,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1725648,int_stack+2292630,int_stack+1958244,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2464620,int_stack+1725648,int_stack+0,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2683644,int_stack+2464620,int_stack+2107302,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+246300,int_stack+231480,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+44460,int_stack+0,int_stack+1614030,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+124488,int_stack+44460,int_stack+1654044,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1924392,int_stack+124488,int_stack+382800,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+0,int_stack+1924392,int_stack+488880,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1924392,int_stack+0,int_stack+2292630,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+0,int_stack+1924392,int_stack+1725648,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+382800,int_stack+0,int_stack+2464620,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1614030,int_stack+382800,int_stack+2683644,78);
 /*--- compute (np|nm) ---*/
 hrr1_build_np(Libint->AB,int_stack+1897170,int_stack+1614030,int_stack+775500,3630);
 /*--- compute (md|nm) ---*/
 hrr1_build_md(Libint->AB,int_stack+2615910,int_stack+1897170,int_stack+1015080,3630);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+382800,int_stack+268686,int_stack+262680,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+400818,int_stack+275784,int_stack+268686,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+422112,int_stack+400818,int_stack+382800,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+458148,int_stack+284065,int_stack+275784,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+482991,int_stack+458148,int_stack+400818,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+525579,int_stack+482991,int_stack+422112,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+382800,int_stack+293620,int_stack+284065,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+585639,int_stack+382800,int_stack+458148,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+411465,int_stack+585639,int_stack+482991,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+635325,int_stack+411465,int_stack+525579,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+482445,int_stack+304540,int_stack+293620,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+515205,int_stack+482445,int_stack+382800,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+725415,int_stack+515205,int_stack+585639,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+808225,int_stack+725415,int_stack+411465,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+914695,int_stack+808225,int_stack+635325,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+382800,int_stack+316916,int_stack+304540,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+572535,int_stack+382800,int_stack+482445,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1040821,int_stack+572535,int_stack+515205,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+419928,int_stack+1040821,int_stack+725415,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+638055,int_stack+419928,int_stack+808225,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1136371,int_stack+638055,int_stack+914695,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+787113,int_stack+330839,int_stack+316916,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+828882,int_stack+787113,int_stack+382800,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+903138,int_stack+828882,int_stack+572535,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1304539,int_stack+903138,int_stack+1040821,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+1304539,int_stack+419928,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+382800,int_stack+0,int_stack+638055,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3813810,int_stack+382800,int_stack+1136371,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+581544,int_stack+346400,int_stack+330839,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+628227,int_stack+581544,int_stack+787113,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1012338,int_stack+628227,int_stack+828882,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+711765,int_stack+1012338,int_stack+903138,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+4030026,int_stack+711765,int_stack+1304539,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1136098,int_stack+4030026,int_stack+0,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+1136098,int_stack+382800,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+4230681,int_stack+0,int_stack+3813810,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+3813810,int_stack+363690,int_stack+346400,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+3865680,int_stack+3813810,int_stack+581544,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+255528,int_stack+3865680,int_stack+628227,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3813810,int_stack+255528,int_stack+1012338,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+255528,int_stack+3813810,int_stack+711765,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+484848,int_stack+255528,int_stack+4030026,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3813810,int_stack+484848,int_stack+1136098,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+255528,int_stack+3813810,int_stack+0,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+3813810,int_stack+255528,int_stack+4230681,91);
 /*--- compute (op|nm) ---*/
 hrr1_build_op(Libint->AB,int_stack+0,int_stack+3813810,int_stack+1614030,3630);
 /*--- compute (nd|nm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3813810,int_stack+0,int_stack+1897170,3630);
 /*--- compute (mf|nm) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+3813810,int_stack+2615910,3630);
 return int_stack+0;}
