#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mkml(Libint_t*, prim_data*);

  /* Computes quartets of (mk|ml) integrals */

REALTYPE *hrr_order_mkml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][9] = int_stack + 0;
 Libint->vrr_classes[9][10] = int_stack + 3025;
 Libint->vrr_classes[9][11] = int_stack + 6655;
 Libint->vrr_classes[9][12] = int_stack + 10945;
 Libint->vrr_classes[9][13] = int_stack + 15950;
 Libint->vrr_classes[9][14] = int_stack + 21725;
 Libint->vrr_classes[9][15] = int_stack + 28325;
 Libint->vrr_classes[9][16] = int_stack + 35805;
 Libint->vrr_classes[9][17] = int_stack + 44220;
 Libint->vrr_classes[10][9] = int_stack + 53625;
 Libint->vrr_classes[10][10] = int_stack + 57255;
 Libint->vrr_classes[10][11] = int_stack + 61611;
 Libint->vrr_classes[10][12] = int_stack + 66759;
 Libint->vrr_classes[10][13] = int_stack + 72765;
 Libint->vrr_classes[10][14] = int_stack + 79695;
 Libint->vrr_classes[10][15] = int_stack + 87615;
 Libint->vrr_classes[10][16] = int_stack + 96591;
 Libint->vrr_classes[10][17] = int_stack + 106689;
 Libint->vrr_classes[11][9] = int_stack + 117975;
 Libint->vrr_classes[11][10] = int_stack + 122265;
 Libint->vrr_classes[11][11] = int_stack + 127413;
 Libint->vrr_classes[11][12] = int_stack + 133497;
 Libint->vrr_classes[11][13] = int_stack + 140595;
 Libint->vrr_classes[11][14] = int_stack + 148785;
 Libint->vrr_classes[11][15] = int_stack + 158145;
 Libint->vrr_classes[11][16] = int_stack + 168753;
 Libint->vrr_classes[11][17] = int_stack + 180687;
 Libint->vrr_classes[12][9] = int_stack + 194025;
 Libint->vrr_classes[12][10] = int_stack + 199030;
 Libint->vrr_classes[12][11] = int_stack + 205036;
 Libint->vrr_classes[12][12] = int_stack + 212134;
 Libint->vrr_classes[12][13] = int_stack + 220415;
 Libint->vrr_classes[12][14] = int_stack + 229970;
 Libint->vrr_classes[12][15] = int_stack + 240890;
 Libint->vrr_classes[12][16] = int_stack + 253266;
 Libint->vrr_classes[12][17] = int_stack + 267189;
 Libint->vrr_classes[13][9] = int_stack + 282750;
 Libint->vrr_classes[13][10] = int_stack + 288525;
 Libint->vrr_classes[13][11] = int_stack + 295455;
 Libint->vrr_classes[13][12] = int_stack + 303645;
 Libint->vrr_classes[13][13] = int_stack + 313200;
 Libint->vrr_classes[13][14] = int_stack + 324225;
 Libint->vrr_classes[13][15] = int_stack + 336825;
 Libint->vrr_classes[13][16] = int_stack + 351105;
 Libint->vrr_classes[13][17] = int_stack + 367170;
 Libint->vrr_classes[14][9] = int_stack + 385125;
 Libint->vrr_classes[14][10] = int_stack + 391725;
 Libint->vrr_classes[14][11] = int_stack + 399645;
 Libint->vrr_classes[14][12] = int_stack + 409005;
 Libint->vrr_classes[14][13] = int_stack + 419925;
 Libint->vrr_classes[14][14] = int_stack + 432525;
 Libint->vrr_classes[14][15] = int_stack + 446925;
 Libint->vrr_classes[14][16] = int_stack + 463245;
 Libint->vrr_classes[14][17] = int_stack + 481605;
 Libint->vrr_classes[15][9] = int_stack + 502125;
 Libint->vrr_classes[15][10] = int_stack + 509605;
 Libint->vrr_classes[15][11] = int_stack + 518581;
 Libint->vrr_classes[15][12] = int_stack + 529189;
 Libint->vrr_classes[15][13] = int_stack + 541565;
 Libint->vrr_classes[15][14] = int_stack + 555845;
 Libint->vrr_classes[15][15] = int_stack + 572165;
 Libint->vrr_classes[15][16] = int_stack + 590661;
 Libint->vrr_classes[15][17] = int_stack + 611469;
 Libint->vrr_classes[16][9] = int_stack + 634725;
 Libint->vrr_classes[16][10] = int_stack + 643140;
 Libint->vrr_classes[16][11] = int_stack + 653238;
 Libint->vrr_classes[16][12] = int_stack + 665172;
 Libint->vrr_classes[16][13] = int_stack + 679095;
 Libint->vrr_classes[16][14] = int_stack + 695160;
 Libint->vrr_classes[16][15] = int_stack + 713520;
 Libint->vrr_classes[16][16] = int_stack + 734328;
 Libint->vrr_classes[16][17] = int_stack + 757737;
 memset(int_stack,0,783900*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 783900;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mkml(Libint, Data);
   Data++;
 }
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+783900,int_stack+3025,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+792975,int_stack+6655,int_stack+3025,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+803865,int_stack+792975,int_stack+783900,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+822015,int_stack+10945,int_stack+6655,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+834885,int_stack+822015,int_stack+792975,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+856665,int_stack+834885,int_stack+803865,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+783900,int_stack+15950,int_stack+10945,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+886915,int_stack+783900,int_stack+822015,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+912655,int_stack+886915,int_stack+834885,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+798915,int_stack+912655,int_stack+856665,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+844290,int_stack+21725,int_stack+15950,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+948955,int_stack+844290,int_stack+783900,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+978985,int_stack+948955,int_stack+886915,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1021885,int_stack+978985,int_stack+912655,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+861615,int_stack+1021885,int_stack+798915,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+783900,int_stack+28325,int_stack+21725,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+803700,int_stack+783900,int_stack+844290,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1076335,int_stack+803700,int_stack+948955,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1126385,int_stack+1076335,int_stack+978985,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+925140,int_stack+1126385,int_stack+1021885,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1190735,int_stack+925140,int_stack+861615,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+838350,int_stack+35805,int_stack+28325,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+860790,int_stack+838350,int_stack+783900,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1001370,int_stack+860790,int_stack+803700,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1275435,int_stack+1001370,int_stack+1076335,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1350510,int_stack+1275435,int_stack+1126385,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1059120,int_stack+1350510,int_stack+925140,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1440600,int_stack+1059120,int_stack+1190735,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+783900,int_stack+44220,int_stack+35805,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+900390,int_stack+783900,int_stack+838350,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+783900,int_stack+900390,int_stack+860790,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+849900,int_stack+783900,int_stack+1001370,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+936525,int_stack+849900,int_stack+1275435,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+783900,int_stack+936525,int_stack+1350510,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+904020,int_stack+783900,int_stack+1059120,55);
 /*--- compute (m0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1034700,int_stack+904020,int_stack+1440600,55);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+783900,int_stack+57255,int_stack+53625,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+794790,int_stack+61611,int_stack+57255,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+807858,int_stack+794790,int_stack+783900,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+829638,int_stack+66759,int_stack+61611,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+845082,int_stack+829638,int_stack+794790,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+871218,int_stack+845082,int_stack+807858,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+783900,int_stack+72765,int_stack+66759,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+907518,int_stack+783900,int_stack+829638,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+938406,int_stack+907518,int_stack+845082,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+801918,int_stack+938406,int_stack+871218,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+856368,int_stack+79695,int_stack+72765,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+981966,int_stack+856368,int_stack+783900,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1170825,int_stack+981966,int_stack+907518,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1222305,int_stack+1170825,int_stack+938406,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+877158,int_stack+1222305,int_stack+801918,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+783900,int_stack+87615,int_stack+79695,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+807660,int_stack+783900,int_stack+856368,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1287645,int_stack+807660,int_stack+981966,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+953388,int_stack+1287645,int_stack+1170825,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1347705,int_stack+953388,int_stack+1222305,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1170825,int_stack+1347705,int_stack+877158,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+849240,int_stack+96591,int_stack+87615,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+876168,int_stack+849240,int_stack+783900,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1439181,int_stack+876168,int_stack+807660,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+1439181,int_stack+1287645,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1508481,int_stack+0,int_stack+953388,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1616589,int_stack+1508481,int_stack+1347705,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1272465,int_stack+1616589,int_stack+1170825,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1170825,int_stack+106689,int_stack+96591,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1201119,int_stack+1170825,int_stack+849240,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+783900,int_stack+1201119,int_stack+876168,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+863100,int_stack+783900,int_stack+1439181,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1738557,int_stack+863100,int_stack+0,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+783900,int_stack+1738557,int_stack+1508481,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1403145,int_stack+783900,int_stack+1616589,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+783900,int_stack+1403145,int_stack+1272465,66);
 /*--- compute (mp|ml) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1170825,int_stack+783900,int_stack+1034700,2475);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+947250,int_stack+122265,int_stack+117975,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+960120,int_stack+127413,int_stack+122265,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+975564,int_stack+960120,int_stack+947250,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1001304,int_stack+133497,int_stack+127413,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1019556,int_stack+1001304,int_stack+960120,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1050444,int_stack+1019556,int_stack+975564,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+947250,int_stack+140595,int_stack+133497,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1093344,int_stack+947250,int_stack+1001304,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+1093344,int_stack+1019556,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+968544,int_stack+0,int_stack+1050444,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1032894,int_stack+148785,int_stack+140595,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+51480,int_stack+1032894,int_stack+947250,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1579200,int_stack+51480,int_stack+1093344,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1057464,int_stack+1579200,int_stack+0,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1640040,int_stack+1057464,int_stack+968544,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+158145,int_stack+148785,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+947250,int_stack+0,int_stack+1032894,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1730130,int_stack+947250,int_stack+51480,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+28080,int_stack+1730130,int_stack+1579200,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1801110,int_stack+28080,int_stack+1057464,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+996390,int_stack+1801110,int_stack+1640040,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1579200,int_stack+168753,int_stack+158145,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1611024,int_stack+1579200,int_stack+0,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1909218,int_stack+1611024,int_stack+947250,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1991118,int_stack+1909218,int_stack+1730130,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1667184,int_stack+1991118,int_stack+28080,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+1667184,int_stack+1801110,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2097588,int_stack+0,int_stack+996390,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+947250,int_stack+180687,int_stack+168753,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+983052,int_stack+947250,int_stack+1579200,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1046700,int_stack+983052,int_stack+1611024,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2252028,int_stack+1046700,int_stack+1909218,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+947250,int_stack+2252028,int_stack+1991118,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1794948,int_stack+947250,int_stack+1667184,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+947250,int_stack+1794948,int_stack+0,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+947250,int_stack+2097588,78);
 /*--- compute (np|ml) ---*/
 hrr1_build_np(Libint->AB,int_stack+1579200,int_stack+0,int_stack+783900,2475);
 /*--- compute (md|ml) ---*/
 hrr1_build_md(Libint->AB,int_stack+2069250,int_stack+1579200,int_stack+1170825,2475);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+783900,int_stack+199030,int_stack+194025,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+798915,int_stack+205036,int_stack+199030,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+816933,int_stack+798915,int_stack+783900,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+846963,int_stack+212134,int_stack+205036,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+868257,int_stack+846963,int_stack+798915,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+904293,int_stack+868257,int_stack+816933,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+783900,int_stack+220415,int_stack+212134,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+954343,int_stack+783900,int_stack+846963,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+996931,int_stack+954343,int_stack+868257,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+808743,int_stack+996931,int_stack+904293,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+883818,int_stack+229970,int_stack+220415,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1056991,int_stack+883818,int_stack+783900,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1106677,int_stack+1056991,int_stack+954343,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1177657,int_stack+1106677,int_stack+996931,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+912483,int_stack+1177657,int_stack+808743,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+783900,int_stack+240890,int_stack+229970,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+816660,int_stack+783900,int_stack+883818,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1267747,int_stack+816660,int_stack+1056991,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1350557,int_stack+1267747,int_stack+1106677,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1017588,int_stack+1350557,int_stack+1177657,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+2886000,int_stack+1017588,int_stack+912483,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+873990,int_stack+253266,int_stack+240890,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+911118,int_stack+873990,int_stack+783900,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1143714,int_stack+911118,int_stack+816660,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+3026140,int_stack+1143714,int_stack+1267747,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+3150355,int_stack+3026140,int_stack+1350557,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1239264,int_stack+3150355,int_stack+1017588,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+3299413,int_stack+1239264,int_stack+2886000,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2886000,int_stack+267189,int_stack+253266,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2927769,int_stack+2886000,int_stack+873990,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+783900,int_stack+2927769,int_stack+911118,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+893100,int_stack+783900,int_stack+1143714,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1036425,int_stack+893100,int_stack+3026140,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+783900,int_stack+1036425,int_stack+3150355,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+982644,int_stack+783900,int_stack+1239264,91);
 /*--- compute (q0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1198860,int_stack+982644,int_stack+3299413,91);
 /*--- compute (op|ml) ---*/
 hrr1_build_op(Libint->AB,int_stack+2886000,int_stack+1198860,int_stack+0,2475);
 /*--- compute (nd|ml) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3465150,int_stack+2886000,int_stack+1579200,2475);
 /*--- compute (mf|ml) ---*/
 hrr1_build_mf(Libint->AB,int_stack+4445250,int_stack+3465150,int_stack+2069250,2475);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+288525,int_stack+282750,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17325,int_stack+295455,int_stack+288525,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+38115,int_stack+17325,int_stack+0,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+72765,int_stack+303645,int_stack+295455,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+97335,int_stack+72765,int_stack+17325,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+138915,int_stack+97335,int_stack+38115,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+313200,int_stack+303645,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+196665,int_stack+0,int_stack+72765,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+783900,int_stack+196665,int_stack+97335,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+28665,int_stack+783900,int_stack+138915,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+115290,int_stack+324225,int_stack+313200,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+245805,int_stack+115290,int_stack+0,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+853200,int_stack+245805,int_stack+196665,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+935100,int_stack+853200,int_stack+783900,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1039050,int_stack+935100,int_stack+28665,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+783900,int_stack+336825,int_stack+324225,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+783900,int_stack+115290,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+66150,int_stack+0,int_stack+245805,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+161700,int_stack+66150,int_stack+853200,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1424085,int_stack+161700,int_stack+935100,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+821700,int_stack+1424085,int_stack+1039050,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+983400,int_stack+351105,int_stack+336825,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1026240,int_stack+983400,int_stack+783900,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1569615,int_stack+1026240,int_stack+0,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1679865,int_stack+1569615,int_stack+66150,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1823190,int_stack+1679865,int_stack+161700,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+1823190,int_stack+1424085,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1995180,int_stack+0,int_stack+821700,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1424085,int_stack+367170,int_stack+351105,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1472280,int_stack+1424085,int_stack+983400,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+194040,int_stack+1472280,int_stack+1026240,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+783900,int_stack+194040,int_stack+1569615,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1424085,int_stack+783900,int_stack+1679865,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+783900,int_stack+1424085,int_stack+1823190,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1424085,int_stack+783900,int_stack+0,105);
 /*--- compute (r0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+1424085,int_stack+1995180,105);
 /*--- compute (qp|ml) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1424085,int_stack+0,int_stack+1198860,2475);
 /*--- compute (od|ml) ---*/
 hrr1_build_od(Libint->AB,int_stack+5806500,int_stack+1424085,int_stack+2886000,2475);
 /*--- compute (nf|ml) ---*/
 hrr1_build_nf(Libint->AB,int_stack+6964800,int_stack+5806500,int_stack+3465150,2475);
 /*--- compute (mg|ml) ---*/
 hrr1_build_mg(Libint->AB,int_stack+2099760,int_stack+6964800,int_stack+4445250,2475);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4141635,int_stack+391725,int_stack+385125,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4161435,int_stack+399645,int_stack+391725,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+4185195,int_stack+4161435,int_stack+4141635,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4224795,int_stack+409005,int_stack+399645,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+4252875,int_stack+4224795,int_stack+4161435,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+4300395,int_stack+4252875,int_stack+4185195,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+4141635,int_stack+419925,int_stack+409005,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+4366395,int_stack+4141635,int_stack+4224795,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+4422555,int_stack+4366395,int_stack+4252875,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+4174395,int_stack+4422555,int_stack+4300395,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+4273395,int_stack+432525,int_stack+419925,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+4501755,int_stack+4273395,int_stack+4141635,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+4567275,int_stack+4501755,int_stack+4366395,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+4660875,int_stack+4567275,int_stack+4422555,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+4311195,int_stack+4660875,int_stack+4174395,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+4141635,int_stack+446925,int_stack+432525,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+4184835,int_stack+4141635,int_stack+4273395,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+4779675,int_stack+4184835,int_stack+4501755,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+4888875,int_stack+4779675,int_stack+4567275,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+4449795,int_stack+4888875,int_stack+4660875,120);
 /*--- compute (t0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+5029275,int_stack+4449795,int_stack+4311195,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+4260435,int_stack+463245,int_stack+446925,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+4309395,int_stack+4260435,int_stack+4141635,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+4616115,int_stack+4309395,int_stack+4184835,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+5214075,int_stack+4616115,int_stack+4779675,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+5377875,int_stack+5214075,int_stack+4888875,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+4742115,int_stack+5377875,int_stack+4449795,120);
 /*--- compute (t0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+783900,int_stack+4742115,int_stack+5029275,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+4141635,int_stack+481605,int_stack+463245,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+4395795,int_stack+4141635,int_stack+4260435,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+4141635,int_stack+4395795,int_stack+4309395,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+4285635,int_stack+4141635,int_stack+4616115,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+4474635,int_stack+4285635,int_stack+5214075,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+4141635,int_stack+4474635,int_stack+5377875,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4403715,int_stack+4141635,int_stack+4742115,120);
 /*--- compute (t0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+4688835,int_stack+4403715,int_stack+783900,120);
 /*--- compute (rp|ml) ---*/
 hrr1_build_rp(Libint->AB,int_stack+4985835,int_stack+4688835,int_stack+0,2475);
 /*--- compute (qd|ml) ---*/
 hrr1_build_qd(Libint->AB,int_stack+8598300,int_stack+4985835,int_stack+1424085,2475);
 /*--- compute (of|ml) ---*/
 hrr1_build_of(Libint->AB,int_stack+9949650,int_stack+8598300,int_stack+5806500,2475);
 /*--- compute (ng|ml) ---*/
 hrr1_build_ng(Libint->AB,int_stack+11880150,int_stack+9949650,int_stack+6964800,2475);
 /*--- compute (mh|ml) ---*/
 hrr1_build_mh(Libint->AB,int_stack+14330400,int_stack+11880150,int_stack+2099760,2475);
 /*--- compute (u0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+509605,int_stack+502125,136);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22440,int_stack+518581,int_stack+509605,136);
 /*--- compute (u0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49368,int_stack+22440,int_stack+0,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+94248,int_stack+529189,int_stack+518581,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+126072,int_stack+94248,int_stack+22440,136);
 /*--- compute (u0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+179928,int_stack+126072,int_stack+49368,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+541565,int_stack+529189,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+254728,int_stack+0,int_stack+94248,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+318376,int_stack+254728,int_stack+126072,136);
 /*--- compute (u0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+37128,int_stack+318376,int_stack+179928,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+149328,int_stack+555845,int_stack+541565,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+408136,int_stack+149328,int_stack+0,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+783900,int_stack+408136,int_stack+254728,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+889980,int_stack+783900,int_stack+318376,136);
 /*--- compute (u0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+192168,int_stack+889980,int_stack+37128,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+572165,int_stack+555845,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+48960,int_stack+0,int_stack+149328,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1024620,int_stack+48960,int_stack+408136,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+349248,int_stack+1024620,int_stack+783900,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1148380,int_stack+349248,int_stack+889980,136);
 /*--- compute (u0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+783900,int_stack+1148380,int_stack+192168,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+134640,int_stack+590661,int_stack+572165,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+190128,int_stack+134640,int_stack+0,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1336876,int_stack+190128,int_stack+48960,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1479676,int_stack+1336876,int_stack+1024620,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1665316,int_stack+1479676,int_stack+349248,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+288048,int_stack+1665316,int_stack+1148380,136);
 /*--- compute (u0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+993340,int_stack+288048,int_stack+783900,136);
 /*--- compute (u0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+783900,int_stack+611469,int_stack+590661,136);
 /*--- compute (u0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+846324,int_stack+783900,int_stack+134640,136);
 /*--- compute (u0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+846324,int_stack+190128,136);
 /*--- compute (u0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1888084,int_stack+0,int_stack+1336876,136);
 /*--- compute (u0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+1888084,int_stack+1479676,136);
 /*--- compute (u0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1888084,int_stack+0,int_stack+1665316,136);
 /*--- compute (u0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2185108,int_stack+1888084,int_stack+288048,136);
 /*--- compute (u0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+2185108,int_stack+993340,136);
 /*--- compute (tp|ml) ---*/
 hrr1_build_tp(Libint->AB,int_stack+783900,int_stack+0,int_stack+4688835,2475);
 /*--- compute (rd|ml) ---*/
 hrr1_build_rd(Libint->AB,int_stack+1674900,int_stack+783900,int_stack+4985835,2475);
 /*--- compute (qf|ml) ---*/
 hrr1_build_qf(Libint->AB,int_stack+3234150,int_stack+1674900,int_stack+8598300,2475);
 /*--- compute (og|ml) ---*/
 hrr1_build_og(Libint->AB,int_stack+5486400,int_stack+3234150,int_stack+9949650,2475);
 /*--- compute (nh|ml) ---*/
 hrr1_build_nh(Libint->AB,int_stack+8382150,int_stack+5486400,int_stack+11880150,2475);
 /*--- compute (mi|ml) ---*/
 hrr1_build_mi(Libint->AB,int_stack+17189025,int_stack+8382150,int_stack+14330400,2475);
 /*--- compute (v0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+336600,int_stack+643140,int_stack+634725,153);
 /*--- compute (v0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+361845,int_stack+653238,int_stack+643140,153);
 /*--- compute (v0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+392139,int_stack+361845,int_stack+336600,153);
 /*--- compute (v0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+442629,int_stack+665172,int_stack+653238,153);
 /*--- compute (v0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+478431,int_stack+442629,int_stack+361845,153);
 /*--- compute (v0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+539019,int_stack+478431,int_stack+392139,153);
 /*--- compute (v0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+336600,int_stack+679095,int_stack+665172,153);
 /*--- compute (v0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+11812500,int_stack+336600,int_stack+442629,153);
 /*--- compute (v0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+11884104,int_stack+11812500,int_stack+478431,153);
 /*--- compute (v0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+378369,int_stack+11884104,int_stack+539019,153);
 /*--- compute (v0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+504594,int_stack+695160,int_stack+679095,153);
 /*--- compute (v0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+552789,int_stack+504594,int_stack+336600,153);
 /*--- compute (v0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+11985084,int_stack+552789,int_stack+11812500,153);
 /*--- compute (v0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+12104424,int_stack+11985084,int_stack+11884104,153);
 /*--- compute (v0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+12255894,int_stack+12104424,int_stack+378369,153);
 /*--- compute (v0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+11812500,int_stack+713520,int_stack+695160,153);
 /*--- compute (v0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+11867580,int_stack+11812500,int_stack+504594,153);
 /*--- compute (v0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+336600,int_stack+11867580,int_stack+552789,153);
 /*--- compute (v0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+475830,int_stack+336600,int_stack+11985084,153);
 /*--- compute (v0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+12432609,int_stack+475830,int_stack+12104424,153);
 /*--- compute (v0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+11963970,int_stack+12432609,int_stack+12255894,153);
 /*--- compute (v0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+12199590,int_stack+734328,int_stack+713520,153);
 /*--- compute (v0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+12262014,int_stack+12199590,int_stack+11812500,153);
 /*--- compute (v0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+12644667,int_stack+12262014,int_stack+11867580,153);
 /*--- compute (v0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+12805317,int_stack+12644667,int_stack+336600,153);
 /*--- compute (v0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+13014162,int_stack+12805317,int_stack+475830,153);
 /*--- compute (v0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+336600,int_stack+13014162,int_stack+12432609,153);
 /*--- compute (v0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+13264776,int_stack+336600,int_stack+11963970,153);
 /*--- compute (v0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+619344,int_stack+757737,int_stack+734328,153);
 /*--- compute (v0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+11812500,int_stack+619344,int_stack+12199590,153);
 /*--- compute (v0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+11937348,int_stack+11812500,int_stack+12262014,153);
 /*--- compute (v0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+12120948,int_stack+11937348,int_stack+12644667,153);
 /*--- compute (v0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+11812500,int_stack+12120948,int_stack+12805317,153);
 /*--- compute (v0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+12104883,int_stack+11812500,int_stack+13014162,153);
 /*--- compute (v0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+12439035,int_stack+12104883,int_stack+336600,153);
 /*--- compute (v0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+336600,int_stack+12439035,int_stack+13264776,153);
 /*--- compute (up|ml) ---*/
 hrr1_build_up(Libint->AB,int_stack+11812500,int_stack+336600,int_stack+0,2475);
 /*--- compute (td|ml) ---*/
 hrr1_build_td(Libint->AB,int_stack+12822300,int_stack+11812500,int_stack+783900,2475);
 /*--- compute (rf|ml) ---*/
 hrr1_build_rf(Libint->AB,int_stack+21000525,int_stack+12822300,int_stack+1674900,2475);
 /*--- compute (qg|ml) ---*/
 hrr1_build_qg(Libint->AB,int_stack+11812500,int_stack+21000525,int_stack+3234150,2475);
 /*--- compute (oh|ml) ---*/
 hrr1_build_oh(Libint->AB,int_stack+0,int_stack+11812500,int_stack+5486400,2475);
 /*--- compute (ni|ml) ---*/
 hrr1_build_ni(Libint->AB,int_stack+11812500,int_stack+0,int_stack+8382150,2475);
 /*--- compute (mk|ml) ---*/
 hrr1_build_mk(Libint->AB,int_stack+0,int_stack+11812500,int_stack+17189025,2475);
 return int_stack+0;}
