#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mkni(Libint_t*, prim_data*);

  /* Computes quartets of (mk|ni) integrals */

REALTYPE *hrr_order_mkni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[10][10] = int_stack + 41195;
 Libint->vrr_classes[10][11] = int_stack + 45551;
 Libint->vrr_classes[10][12] = int_stack + 50699;
 Libint->vrr_classes[10][13] = int_stack + 56705;
 Libint->vrr_classes[10][14] = int_stack + 63635;
 Libint->vrr_classes[10][15] = int_stack + 71555;
 Libint->vrr_classes[10][16] = int_stack + 80531;
 Libint->vrr_classes[11][10] = int_stack + 90629;
 Libint->vrr_classes[11][11] = int_stack + 95777;
 Libint->vrr_classes[11][12] = int_stack + 101861;
 Libint->vrr_classes[11][13] = int_stack + 108959;
 Libint->vrr_classes[11][14] = int_stack + 117149;
 Libint->vrr_classes[11][15] = int_stack + 126509;
 Libint->vrr_classes[11][16] = int_stack + 137117;
 Libint->vrr_classes[12][10] = int_stack + 149051;
 Libint->vrr_classes[12][11] = int_stack + 155057;
 Libint->vrr_classes[12][12] = int_stack + 162155;
 Libint->vrr_classes[12][13] = int_stack + 170436;
 Libint->vrr_classes[12][14] = int_stack + 179991;
 Libint->vrr_classes[12][15] = int_stack + 190911;
 Libint->vrr_classes[12][16] = int_stack + 203287;
 Libint->vrr_classes[13][10] = int_stack + 217210;
 Libint->vrr_classes[13][11] = int_stack + 224140;
 Libint->vrr_classes[13][12] = int_stack + 232330;
 Libint->vrr_classes[13][13] = int_stack + 241885;
 Libint->vrr_classes[13][14] = int_stack + 252910;
 Libint->vrr_classes[13][15] = int_stack + 265510;
 Libint->vrr_classes[13][16] = int_stack + 279790;
 Libint->vrr_classes[14][10] = int_stack + 295855;
 Libint->vrr_classes[14][11] = int_stack + 303775;
 Libint->vrr_classes[14][12] = int_stack + 313135;
 Libint->vrr_classes[14][13] = int_stack + 324055;
 Libint->vrr_classes[14][14] = int_stack + 336655;
 Libint->vrr_classes[14][15] = int_stack + 351055;
 Libint->vrr_classes[14][16] = int_stack + 367375;
 Libint->vrr_classes[15][10] = int_stack + 385735;
 Libint->vrr_classes[15][11] = int_stack + 394711;
 Libint->vrr_classes[15][12] = int_stack + 405319;
 Libint->vrr_classes[15][13] = int_stack + 417695;
 Libint->vrr_classes[15][14] = int_stack + 431975;
 Libint->vrr_classes[15][15] = int_stack + 448295;
 Libint->vrr_classes[15][16] = int_stack + 466791;
 Libint->vrr_classes[16][10] = int_stack + 487599;
 Libint->vrr_classes[16][11] = int_stack + 497697;
 Libint->vrr_classes[16][12] = int_stack + 509631;
 Libint->vrr_classes[16][13] = int_stack + 523554;
 Libint->vrr_classes[16][14] = int_stack + 539619;
 Libint->vrr_classes[16][15] = int_stack + 557979;
 Libint->vrr_classes[16][16] = int_stack + 578787;
 memset(int_stack,0,602196*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 602196;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mkni(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+602196,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+613086,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+625956,int_stack+613086,int_stack+602196,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+647736,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+662751,int_stack+647736,int_stack+613086,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+688491,int_stack+662751,int_stack+625956,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+602196,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+724791,int_stack+602196,int_stack+647736,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+619521,int_stack+724791,int_stack+662751,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+754821,int_stack+619521,int_stack+688491,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+662421,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+682221,int_stack+662421,int_stack+602196,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+809271,int_stack+682221,int_stack+724791,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+859321,int_stack+809271,int_stack+619521,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+923671,int_stack+859321,int_stack+754821,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+602196,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+716871,int_stack+602196,int_stack+662421,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+602196,int_stack+716871,int_stack+682221,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+659946,int_stack+602196,int_stack+809271,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+735021,int_stack+659946,int_stack+859321,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+602196,int_stack+735021,int_stack+923671,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+703836,int_stack+45551,int_stack+41195,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+716904,int_stack+50699,int_stack+45551,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+732348,int_stack+716904,int_stack+703836,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+758484,int_stack+56705,int_stack+50699,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+776502,int_stack+758484,int_stack+716904,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+807390,int_stack+776502,int_stack+732348,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+703836,int_stack+63635,int_stack+56705,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+850950,int_stack+703836,int_stack+758484,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+724626,int_stack+850950,int_stack+776502,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+886986,int_stack+724626,int_stack+807390,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+776106,int_stack+71555,int_stack+63635,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+799866,int_stack+776106,int_stack+703836,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+799866,int_stack+850950,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+952326,int_stack+0,int_stack+724626,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1029546,int_stack+952326,int_stack+886986,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+703836,int_stack+80531,int_stack+71555,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+841446,int_stack+703836,int_stack+776106,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+703836,int_stack+841446,int_stack+799866,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+773136,int_stack+703836,int_stack+0,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1121022,int_stack+773136,int_stack+952326,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+703836,int_stack+1121022,int_stack+1029546,66);
 /*--- compute (mp|ni) ---*/
 hrr1_build_mp(Libint->AB,int_stack+825804,int_stack+703836,int_stack+602196,1848);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+602196,int_stack+95777,int_stack+90629,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+617640,int_stack+101861,int_stack+95777,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+635892,int_stack+617640,int_stack+602196,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+666780,int_stack+108959,int_stack+101861,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+666780,int_stack+617640,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+36504,int_stack+0,int_stack+635892,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+602196,int_stack+117149,int_stack+108959,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1130724,int_stack+602196,int_stack+666780,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+626766,int_stack+1130724,int_stack+0,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1173312,int_stack+626766,int_stack+36504,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+126509,int_stack+117149,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+28080,int_stack+0,int_stack+602196,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1250532,int_stack+28080,int_stack+1130724,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1321512,int_stack+1250532,int_stack+626766,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1412772,int_stack+1321512,int_stack+1173312,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1130724,int_stack+137117,int_stack+126509,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1162548,int_stack+1130724,int_stack+0,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+602196,int_stack+1162548,int_stack+28080,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+602196,int_stack+1250532,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1130724,int_stack+0,int_stack+1321512,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+1130724,int_stack+1412772,78);
 /*--- compute (np|ni) ---*/
 hrr1_build_np(Libint->AB,int_stack+1130724,int_stack+0,int_stack+703836,1848);
 /*--- compute (md|ni) ---*/
 hrr1_build_md(Libint->AB,int_stack+1496628,int_stack+1130724,int_stack+825804,1848);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+602196,int_stack+155057,int_stack+149051,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+620214,int_stack+162155,int_stack+155057,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+641508,int_stack+620214,int_stack+602196,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+677544,int_stack+170436,int_stack+162155,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+702387,int_stack+677544,int_stack+620214,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+744975,int_stack+702387,int_stack+641508,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+602196,int_stack+179991,int_stack+170436,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+805035,int_stack+602196,int_stack+677544,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+630861,int_stack+805035,int_stack+702387,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+854721,int_stack+630861,int_stack+744975,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+701841,int_stack+190911,int_stack+179991,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+734601,int_stack+701841,int_stack+602196,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+944811,int_stack+734601,int_stack+805035,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2106468,int_stack+944811,int_stack+630861,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2212938,int_stack+2106468,int_stack+854721,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+602196,int_stack+203287,int_stack+190911,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+791931,int_stack+602196,int_stack+701841,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+602196,int_stack+791931,int_stack+734601,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+697746,int_stack+602196,int_stack+944811,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+821961,int_stack+697746,int_stack+2106468,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+602196,int_stack+821961,int_stack+2212938,91);
 /*--- compute (op|ni) ---*/
 hrr1_build_op(Libint->AB,int_stack+2106468,int_stack+602196,int_stack+0,1848);
 /*--- compute (nd|ni) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2538900,int_stack+2106468,int_stack+1130724,1848);
 /*--- compute (mf|ni) ---*/
 hrr1_build_mf(Libint->AB,int_stack+3270708,int_stack+2538900,int_stack+1496628,1848);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+224140,int_stack+217210,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+20790,int_stack+232330,int_stack+224140,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+45360,int_stack+20790,int_stack+0,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+86940,int_stack+241885,int_stack+232330,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+115605,int_stack+86940,int_stack+20790,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+164745,int_stack+115605,int_stack+45360,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+252910,int_stack+241885,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+770364,int_stack+0,int_stack+86940,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+33075,int_stack+770364,int_stack+115605,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+827694,int_stack+33075,int_stack+164745,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+114975,int_stack+265510,int_stack+252910,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+152775,int_stack+114975,int_stack+0,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+931644,int_stack+152775,int_stack+770364,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1027194,int_stack+931644,int_stack+33075,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1150044,int_stack+1027194,int_stack+827694,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+770364,int_stack+279790,int_stack+265510,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+813204,int_stack+770364,int_stack+114975,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+813204,int_stack+152775,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+770364,int_stack+0,int_stack+931644,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+770364,int_stack+1027194,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+770364,int_stack+0,int_stack+1150044,105);
 /*--- compute (qp|ni) ---*/
 hrr1_build_qp(Libint->AB,int_stack+964404,int_stack+770364,int_stack+602196,1848);
 /*--- compute (od|ni) ---*/
 hrr1_build_od(Libint->AB,int_stack+4287108,int_stack+964404,int_stack+2106468,1848);
 /*--- compute (nf|ni) ---*/
 hrr1_build_nf(Libint->AB,int_stack+5151972,int_stack+4287108,int_stack+2538900,1848);
 /*--- compute (mg|ni) ---*/
 hrr1_build_mg(Libint->AB,int_stack+1468908,int_stack+5151972,int_stack+3270708,1848);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+602196,int_stack+303775,int_stack+295855,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+625956,int_stack+313135,int_stack+303775,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+654036,int_stack+625956,int_stack+602196,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+701556,int_stack+324055,int_stack+313135,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+701556,int_stack+625956,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+56160,int_stack+0,int_stack+654036,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+602196,int_stack+336655,int_stack+324055,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+135360,int_stack+602196,int_stack+701556,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+639996,int_stack+135360,int_stack+0,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+200880,int_stack+639996,int_stack+56160,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+351055,int_stack+336655,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+43200,int_stack+0,int_stack+602196,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2993508,int_stack+43200,int_stack+135360,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+3102708,int_stack+2993508,int_stack+639996,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+602196,int_stack+3102708,int_stack+200880,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+118800,int_stack+367375,int_stack+351055,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+167760,int_stack+118800,int_stack+0,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+254160,int_stack+167760,int_stack+43200,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+254160,int_stack+2993508,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+163800,int_stack+0,int_stack+3102708,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2993508,int_stack+163800,int_stack+602196,120);
 /*--- compute (rp|ni) ---*/
 hrr1_build_rp(Libint->AB,int_stack+3215268,int_stack+2993508,int_stack+770364,1848);
 /*--- compute (qd|ni) ---*/
 hrr1_build_qd(Libint->AB,int_stack+6371652,int_stack+3215268,int_stack+964404,1848);
 /*--- compute (of|ni) ---*/
 hrr1_build_of(Libint->AB,int_stack+7380660,int_stack+6371652,int_stack+4287108,1848);
 /*--- compute (ng|ni) ---*/
 hrr1_build_ng(Libint->AB,int_stack+8822100,int_stack+7380660,int_stack+5151972,1848);
 /*--- compute (mh|ni) ---*/
 hrr1_build_mh(Libint->AB,int_stack+3797388,int_stack+8822100,int_stack+1468908,1848);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+602196,int_stack+394711,int_stack+385735,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+629124,int_stack+405319,int_stack+394711,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+660948,int_stack+629124,int_stack+602196,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+714804,int_stack+417695,int_stack+405319,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+751932,int_stack+714804,int_stack+629124,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+815580,int_stack+751932,int_stack+660948,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+602196,int_stack+431975,int_stack+417695,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+905340,int_stack+602196,int_stack+714804,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+645036,int_stack+905340,int_stack+751932,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+979596,int_stack+645036,int_stack+815580,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+751116,int_stack+448295,int_stack+431975,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+800076,int_stack+751116,int_stack+602196,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1114236,int_stack+800076,int_stack+905340,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1237996,int_stack+1114236,int_stack+645036,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1397116,int_stack+1237996,int_stack+979596,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+602196,int_stack+466791,int_stack+448295,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+885756,int_stack+602196,int_stack+751116,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+602196,int_stack+885756,int_stack+800076,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+744996,int_stack+602196,int_stack+1114236,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+930636,int_stack+744996,int_stack+1237996,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+602196,int_stack+930636,int_stack+1397116,136);
 /*--- compute (tp|ni) ---*/
 hrr1_build_tp(Libint->AB,int_stack+853524,int_stack+602196,int_stack+2993508,1848);
 /*--- compute (rd|ni) ---*/
 hrr1_build_rd(Libint->AB,int_stack+1518804,int_stack+853524,int_stack+3215268,1848);
 /*--- compute (qf|ni) ---*/
 hrr1_build_qf(Libint->AB,int_stack+10651620,int_stack+1518804,int_stack+6371652,1848);
 /*--- compute (og|ni) ---*/
 hrr1_build_og(Libint->AB,int_stack+12333300,int_stack+10651620,int_stack+7380660,1848);
 /*--- compute (nh|ni) ---*/
 hrr1_build_nh(Libint->AB,int_stack+5931828,int_stack+12333300,int_stack+8822100,1848);
 /*--- compute (mi|ni) ---*/
 hrr1_build_mi(Libint->AB,int_stack+14495460,int_stack+5931828,int_stack+3797388,1848);
 /*--- compute (v0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2683044,int_stack+497697,int_stack+487599,153);
 /*--- compute (v0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2713338,int_stack+509631,int_stack+497697,153);
 /*--- compute (v0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2749140,int_stack+2713338,int_stack+2683044,153);
 /*--- compute (v0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2809728,int_stack+523554,int_stack+509631,153);
 /*--- compute (v0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2851497,int_stack+2809728,int_stack+2713338,153);
 /*--- compute (v0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2923101,int_stack+2851497,int_stack+2749140,153);
 /*--- compute (v0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2683044,int_stack+539619,int_stack+523554,153);
 /*--- compute (v0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+3024081,int_stack+2683044,int_stack+2809728,153);
 /*--- compute (v0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2731239,int_stack+3024081,int_stack+2851497,153);
 /*--- compute (v0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+3107619,int_stack+2731239,int_stack+2923101,153);
 /*--- compute (v0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2850579,int_stack+557979,int_stack+539619,153);
 /*--- compute (v0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2905659,int_stack+2850579,int_stack+2683044,153);
 /*--- compute (v0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+3259089,int_stack+2905659,int_stack+3024081,153);
 /*--- compute (v0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+3398319,int_stack+3259089,int_stack+2731239,153);
 /*--- compute (v0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+3577329,int_stack+3398319,int_stack+3107619,153);
 /*--- compute (v0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+2683044,int_stack+578787,int_stack+557979,153);
 /*--- compute (v0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+3002049,int_stack+2683044,int_stack+2850579,153);
 /*--- compute (v0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2683044,int_stack+3002049,int_stack+2905659,153);
 /*--- compute (v0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2843694,int_stack+2683044,int_stack+3259089,153);
 /*--- compute (v0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+3052539,int_stack+2843694,int_stack+3398319,153);
 /*--- compute (v0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2683044,int_stack+3052539,int_stack+3577329,153);
 /*--- compute (up|ni) ---*/
 hrr1_build_up(Libint->AB,int_stack+2965788,int_stack+2683044,int_stack+602196,1848);
 /*--- compute (td|ni) ---*/
 hrr1_build_td(Libint->AB,int_stack+3719772,int_stack+2965788,int_stack+853524,1848);
 /*--- compute (rf|ni) ---*/
 hrr1_build_rf(Libint->AB,int_stack+8493156,int_stack+3719772,int_stack+1518804,1848);
 /*--- compute (qg|ni) ---*/
 hrr1_build_qg(Libint->AB,int_stack+0,int_stack+8493156,int_stack+10651620,1848);
 /*--- compute (oh|ni) ---*/
 hrr1_build_oh(Libint->AB,int_stack+8493156,int_stack+0,int_stack+12333300,1848);
 /*--- compute (ni|ni) ---*/
 hrr1_build_ni(Libint->AB,int_stack+0,int_stack+8493156,int_stack+5931828,1848);
 /*--- compute (mk|ni) ---*/
 hrr1_build_mk(Libint->AB,int_stack+3415104,int_stack+0,int_stack+14495460,1848);
 return int_stack+3415104;}
