#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mlnn(Libint_t*, prim_data*);

  /* Computes quartets of (ml|nn) integrals */

REALTYPE *hrr_order_mlnn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[9][17] = int_stack + 41195;
 Libint->vrr_classes[9][18] = int_stack + 50600;
 Libint->vrr_classes[9][19] = int_stack + 61050;
 Libint->vrr_classes[9][20] = int_stack + 72600;
 Libint->vrr_classes[10][10] = int_stack + 85305;
 Libint->vrr_classes[10][11] = int_stack + 89661;
 Libint->vrr_classes[10][12] = int_stack + 94809;
 Libint->vrr_classes[10][13] = int_stack + 100815;
 Libint->vrr_classes[10][14] = int_stack + 107745;
 Libint->vrr_classes[10][15] = int_stack + 115665;
 Libint->vrr_classes[10][16] = int_stack + 124641;
 Libint->vrr_classes[10][17] = int_stack + 134739;
 Libint->vrr_classes[10][18] = int_stack + 146025;
 Libint->vrr_classes[10][19] = int_stack + 158565;
 Libint->vrr_classes[10][20] = int_stack + 172425;
 Libint->vrr_classes[11][10] = int_stack + 187671;
 Libint->vrr_classes[11][11] = int_stack + 192819;
 Libint->vrr_classes[11][12] = int_stack + 198903;
 Libint->vrr_classes[11][13] = int_stack + 206001;
 Libint->vrr_classes[11][14] = int_stack + 214191;
 Libint->vrr_classes[11][15] = int_stack + 223551;
 Libint->vrr_classes[11][16] = int_stack + 234159;
 Libint->vrr_classes[11][17] = int_stack + 246093;
 Libint->vrr_classes[11][18] = int_stack + 259431;
 Libint->vrr_classes[11][19] = int_stack + 274251;
 Libint->vrr_classes[11][20] = int_stack + 290631;
 Libint->vrr_classes[12][10] = int_stack + 308649;
 Libint->vrr_classes[12][11] = int_stack + 314655;
 Libint->vrr_classes[12][12] = int_stack + 321753;
 Libint->vrr_classes[12][13] = int_stack + 330034;
 Libint->vrr_classes[12][14] = int_stack + 339589;
 Libint->vrr_classes[12][15] = int_stack + 350509;
 Libint->vrr_classes[12][16] = int_stack + 362885;
 Libint->vrr_classes[12][17] = int_stack + 376808;
 Libint->vrr_classes[12][18] = int_stack + 392369;
 Libint->vrr_classes[12][19] = int_stack + 409659;
 Libint->vrr_classes[12][20] = int_stack + 428769;
 Libint->vrr_classes[13][10] = int_stack + 449790;
 Libint->vrr_classes[13][11] = int_stack + 456720;
 Libint->vrr_classes[13][12] = int_stack + 464910;
 Libint->vrr_classes[13][13] = int_stack + 474465;
 Libint->vrr_classes[13][14] = int_stack + 485490;
 Libint->vrr_classes[13][15] = int_stack + 498090;
 Libint->vrr_classes[13][16] = int_stack + 512370;
 Libint->vrr_classes[13][17] = int_stack + 528435;
 Libint->vrr_classes[13][18] = int_stack + 546390;
 Libint->vrr_classes[13][19] = int_stack + 566340;
 Libint->vrr_classes[13][20] = int_stack + 588390;
 Libint->vrr_classes[14][10] = int_stack + 612645;
 Libint->vrr_classes[14][11] = int_stack + 620565;
 Libint->vrr_classes[14][12] = int_stack + 629925;
 Libint->vrr_classes[14][13] = int_stack + 640845;
 Libint->vrr_classes[14][14] = int_stack + 653445;
 Libint->vrr_classes[14][15] = int_stack + 667845;
 Libint->vrr_classes[14][16] = int_stack + 684165;
 Libint->vrr_classes[14][17] = int_stack + 702525;
 Libint->vrr_classes[14][18] = int_stack + 723045;
 Libint->vrr_classes[14][19] = int_stack + 745845;
 Libint->vrr_classes[14][20] = int_stack + 771045;
 Libint->vrr_classes[15][10] = int_stack + 798765;
 Libint->vrr_classes[15][11] = int_stack + 807741;
 Libint->vrr_classes[15][12] = int_stack + 818349;
 Libint->vrr_classes[15][13] = int_stack + 830725;
 Libint->vrr_classes[15][14] = int_stack + 845005;
 Libint->vrr_classes[15][15] = int_stack + 861325;
 Libint->vrr_classes[15][16] = int_stack + 879821;
 Libint->vrr_classes[15][17] = int_stack + 900629;
 Libint->vrr_classes[15][18] = int_stack + 923885;
 Libint->vrr_classes[15][19] = int_stack + 949725;
 Libint->vrr_classes[15][20] = int_stack + 978285;
 Libint->vrr_classes[16][10] = int_stack + 1009701;
 Libint->vrr_classes[16][11] = int_stack + 1019799;
 Libint->vrr_classes[16][12] = int_stack + 1031733;
 Libint->vrr_classes[16][13] = int_stack + 1045656;
 Libint->vrr_classes[16][14] = int_stack + 1061721;
 Libint->vrr_classes[16][15] = int_stack + 1080081;
 Libint->vrr_classes[16][16] = int_stack + 1100889;
 Libint->vrr_classes[16][17] = int_stack + 1124298;
 Libint->vrr_classes[16][18] = int_stack + 1150461;
 Libint->vrr_classes[16][19] = int_stack + 1179531;
 Libint->vrr_classes[16][20] = int_stack + 1211661;
 Libint->vrr_classes[17][10] = int_stack + 1247004;
 Libint->vrr_classes[17][11] = int_stack + 1258290;
 Libint->vrr_classes[17][12] = int_stack + 1271628;
 Libint->vrr_classes[17][13] = int_stack + 1287189;
 Libint->vrr_classes[17][14] = int_stack + 1305144;
 Libint->vrr_classes[17][15] = int_stack + 1325664;
 Libint->vrr_classes[17][16] = int_stack + 1348920;
 Libint->vrr_classes[17][17] = int_stack + 1375083;
 Libint->vrr_classes[17][18] = int_stack + 1404324;
 Libint->vrr_classes[17][19] = int_stack + 1436814;
 Libint->vrr_classes[17][20] = int_stack + 1472724;
 memset(int_stack,0,1512225*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1512225;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mlnn(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1512225,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1523115,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1535985,int_stack+1523115,int_stack+1512225,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1557765,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1572780,int_stack+1557765,int_stack+1523115,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1598520,int_stack+1572780,int_stack+1535985,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1512225,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1634820,int_stack+1512225,int_stack+1557765,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1529550,int_stack+1634820,int_stack+1572780,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1664850,int_stack+1529550,int_stack+1598520,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1572450,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1592250,int_stack+1572450,int_stack+1512225,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1719300,int_stack+1592250,int_stack+1634820,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1769350,int_stack+1719300,int_stack+1529550,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1833700,int_stack+1769350,int_stack+1664850,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1512225,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1626900,int_stack+1512225,int_stack+1572450,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1909930,int_stack+1626900,int_stack+1592250,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1534665,int_stack+1909930,int_stack+1719300,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1666500,int_stack+1534665,int_stack+1769350,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1967680,int_stack+1666500,int_stack+1833700,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1756590,int_stack+41195,int_stack+32780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1781835,int_stack+1756590,int_stack+1512225,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1826715,int_stack+1781835,int_stack+1626900,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2069320,int_stack+1826715,int_stack+1909930,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2155945,int_stack+2069320,int_stack+1534665,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1512225,int_stack+2155945,int_stack+1666500,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2261050,int_stack+1512225,int_stack+1967680,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1632345,int_stack+50600,int_stack+41195,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1660560,int_stack+1632345,int_stack+1756590,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1892715,int_stack+1660560,int_stack+1781835,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1711050,int_stack+1892715,int_stack+1826715,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2391730,int_stack+1711050,int_stack+2069320,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1967515,int_stack+2391730,int_stack+2155945,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2513005,int_stack+1967515,int_stack+1512225,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2667445,int_stack+2513005,int_stack+2261050,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1512225,int_stack+61050,int_stack+50600,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1543575,int_stack+1512225,int_stack+1632345,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2107655,int_stack+1543575,int_stack+1660560,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2191805,int_stack+2107655,int_stack+1892715,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1810050,int_stack+2191805,int_stack+1711050,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1600005,int_stack+1810050,int_stack+2391730,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2304005,int_stack+1600005,int_stack+1967515,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2830795,int_stack+2304005,int_stack+2513005,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+3023845,int_stack+2830795,int_stack+2667445,55);
 /*--- compute (m0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1761705,int_stack+72600,int_stack+61050,55);
 /*--- compute (m0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1948650,int_stack+1761705,int_stack+1512225,55);
 /*--- compute (m0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+2011350,int_stack+1948650,int_stack+1543575,55);
 /*--- compute (m0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+2484185,int_stack+2011350,int_stack+2107655,55);
 /*--- compute (m0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1948650,int_stack+2484185,int_stack+2191805,55);
 /*--- compute (m0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+2484185,int_stack+1948650,int_stack+1810050,55);
 /*--- compute (m0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1761705,int_stack+2484185,int_stack+1600005,55);
 /*--- compute (m0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+2484185,int_stack+1761705,int_stack+2304005,55);
 /*--- compute (m0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1512225,int_stack+2484185,int_stack+2830795,55);
 /*--- compute (m0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1748175,int_stack+1512225,int_stack+3023845,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1512225,int_stack+89661,int_stack+85305,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1525293,int_stack+94809,int_stack+89661,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1540737,int_stack+1525293,int_stack+1512225,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1566873,int_stack+100815,int_stack+94809,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1584891,int_stack+1566873,int_stack+1525293,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1615779,int_stack+1584891,int_stack+1540737,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1512225,int_stack+107745,int_stack+100815,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1659339,int_stack+1512225,int_stack+1566873,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1533015,int_stack+1659339,int_stack+1584891,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1987755,int_stack+1533015,int_stack+1615779,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1584495,int_stack+115665,int_stack+107745,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1608255,int_stack+1584495,int_stack+1512225,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2053095,int_stack+1608255,int_stack+1659339,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1649835,int_stack+2053095,int_stack+1533015,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2113155,int_stack+1649835,int_stack+1987755,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1987755,int_stack+124641,int_stack+115665,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1512225,int_stack+1987755,int_stack+1584495,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2204631,int_stack+1512225,int_stack+1608255,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1559745,int_stack+2204631,int_stack+2053095,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2273931,int_stack+1559745,int_stack+1649835,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2382039,int_stack+2273931,int_stack+2113155,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1649835,int_stack+134739,int_stack+124641,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1680129,int_stack+1649835,int_stack+1987755,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1987755,int_stack+1680129,int_stack+1512225,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2066955,int_stack+1987755,int_stack+2204631,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2504007,int_stack+2066955,int_stack+1559745,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2630133,int_stack+2504007,int_stack+2273931,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2170905,int_stack+2630133,int_stack+2382039,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1512225,int_stack+146025,int_stack+134739,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1546083,int_stack+1512225,int_stack+1649835,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2327721,int_stack+1546083,int_stack+1680129,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1606671,int_stack+2327721,int_stack+1987755,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2774277,int_stack+1606671,int_stack+2066955,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1987755,int_stack+2774277,int_stack+2504007,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2417481,int_stack+1987755,int_stack+2630133,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2919807,int_stack+2417481,int_stack+2170905,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2155923,int_stack+158565,int_stack+146025,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2193543,int_stack+2155923,int_stack+1512225,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2602809,int_stack+2193543,int_stack+1546083,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+2602809,int_stack+2327721,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+3115827,int_stack+0,int_stack+1606671,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1512225,int_stack+3115827,int_stack+2774277,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3282147,int_stack+1512225,int_stack+1987755,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3498363,int_stack+3282147,int_stack+2417481,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2261259,int_stack+3498363,int_stack+2919807,66);
 /*--- compute (n0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1987755,int_stack+172425,int_stack+158565,66);
 /*--- compute (n0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+2029335,int_stack+1987755,int_stack+2155923,66);
 /*--- compute (n0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+2703789,int_stack+2029335,int_stack+2193543,66);
 /*--- compute (n0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1987755,int_stack+2703789,int_stack+2602809,66);
 /*--- compute (n0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+2500839,int_stack+1987755,int_stack+0,66);
 /*--- compute (n0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1987755,int_stack+2500839,int_stack+3115827,66);
 /*--- compute (n0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+2500839,int_stack+1987755,int_stack+1512225,66);
 /*--- compute (n0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1987755,int_stack+2500839,int_stack+3282147,66);
 /*--- compute (n0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+2500839,int_stack+1987755,int_stack+3498363,66);
 /*--- compute (n0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+2783979,int_stack+2500839,int_stack+2261259,66);
 /*--- compute (mp|nn) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1987755,int_stack+2783979,int_stack+1748175,4356);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2706495,int_stack+192819,int_stack+187671,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2721939,int_stack+198903,int_stack+192819,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2740191,int_stack+2721939,int_stack+2706495,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+3071475,int_stack+206001,int_stack+198903,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+3092769,int_stack+3071475,int_stack+2721939,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+3129273,int_stack+3092769,int_stack+2740191,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2706495,int_stack+214191,int_stack+206001,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2731065,int_stack+2706495,int_stack+3071475,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+3180753,int_stack+2731065,int_stack+3092769,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+3241593,int_stack+3180753,int_stack+3129273,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+3071475,int_stack+223551,int_stack+214191,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+3099555,int_stack+3071475,int_stack+2706495,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+3318813,int_stack+3099555,int_stack+2731065,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+3389793,int_stack+3318813,int_stack+3180753,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+3481053,int_stack+3389793,int_stack+3241593,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+2706495,int_stack+234159,int_stack+223551,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+3148695,int_stack+2706495,int_stack+3071475,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+3204855,int_stack+3148695,int_stack+3099555,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+3589161,int_stack+3204855,int_stack+3318813,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1512225,int_stack+3589161,int_stack+3389793,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+3286755,int_stack+1512225,int_stack+3481053,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+3071475,int_stack+246093,int_stack+234159,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+3430899,int_stack+3071475,int_stack+2706495,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+3494547,int_stack+3430899,int_stack+3148695,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1639989,int_stack+3494547,int_stack+3204855,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+3107277,int_stack+1639989,int_stack+3589161,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1762839,int_stack+3107277,int_stack+1512225,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+1762839,int_stack+3286755,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1512225,int_stack+259431,int_stack+246093,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1552239,int_stack+1512225,int_stack+3071475,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+3256335,int_stack+1552239,int_stack+3430899,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+3588147,int_stack+3256335,int_stack+3494547,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3362415,int_stack+3588147,int_stack+1639989,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+3728547,int_stack+3362415,int_stack+3107277,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+3927291,int_stack+3728547,int_stack+1762839,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1623843,int_stack+3927291,int_stack+0,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+274251,int_stack+259431,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+44460,int_stack+0,int_stack+1512225,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+124488,int_stack+44460,int_stack+1552239,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3071475,int_stack+124488,int_stack+3256335,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+4146315,int_stack+3071475,int_stack+3588147,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+4342875,int_stack+4146315,int_stack+3362415,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3230595,int_stack+4342875,int_stack+3728547,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3486123,int_stack+3230595,int_stack+3927291,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+3759903,int_stack+3486123,int_stack+1623843,78);
 /*--- compute (o0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1512225,int_stack+290631,int_stack+274251,78);
 /*--- compute (o0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1561365,int_stack+1512225,int_stack+0,78);
 /*--- compute (o0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1650285,int_stack+1561365,int_stack+44460,78);
 /*--- compute (o0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1783665,int_stack+1650285,int_stack+124488,78);
 /*--- compute (o0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+0,int_stack+1783665,int_stack+3071475,78);
 /*--- compute (o0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1512225,int_stack+0,int_stack+4146315,78);
 /*--- compute (o0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+0,int_stack+1512225,int_stack+4342875,78);
 /*--- compute (o0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1512225,int_stack+0,int_stack+3230595,78);
 /*--- compute (o0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+3071475,int_stack+1512225,int_stack+3486123,78);
 /*--- compute (o0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1512225,int_stack+3071475,int_stack+3759903,78);
 /*--- compute (np|nn) ---*/
 hrr1_build_np(Libint->AB,int_stack+3071475,int_stack+1512225,int_stack+2783979,4356);
 /*--- compute (md|nn) ---*/
 hrr1_build_md(Libint->AB,int_stack+3933963,int_stack+3071475,int_stack+1987755,4356);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1851993,int_stack+314655,int_stack+308649,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1870011,int_stack+321753,int_stack+314655,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1891305,int_stack+1870011,int_stack+1851993,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1927341,int_stack+330034,int_stack+321753,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1952184,int_stack+1927341,int_stack+1870011,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1994772,int_stack+1952184,int_stack+1891305,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1851993,int_stack+339589,int_stack+330034,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2054832,int_stack+1851993,int_stack+1927341,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1880658,int_stack+2054832,int_stack+1952184,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2104518,int_stack+1880658,int_stack+1994772,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1951638,int_stack+350509,int_stack+339589,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1984398,int_stack+1951638,int_stack+1851993,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2194608,int_stack+1984398,int_stack+2054832,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2277418,int_stack+2194608,int_stack+1880658,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2383888,int_stack+2277418,int_stack+2104518,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1851993,int_stack+362885,int_stack+350509,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2041728,int_stack+1851993,int_stack+1951638,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2510014,int_stack+2041728,int_stack+1984398,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1889121,int_stack+2510014,int_stack+2194608,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2107248,int_stack+1889121,int_stack+2277418,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2605564,int_stack+2107248,int_stack+2383888,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2256306,int_stack+376808,int_stack+362885,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2298075,int_stack+2256306,int_stack+1851993,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2372331,int_stack+2298075,int_stack+2041728,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2773732,int_stack+2372331,int_stack+2510014,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+2773732,int_stack+1889121,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1851993,int_stack+0,int_stack+2107248,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+5371443,int_stack+1851993,int_stack+2605564,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2050737,int_stack+392369,int_stack+376808,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2097420,int_stack+2050737,int_stack+2256306,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2481531,int_stack+2097420,int_stack+2298075,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2180958,int_stack+2481531,int_stack+2372331,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+173901,int_stack+2180958,int_stack+2773732,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2605291,int_stack+173901,int_stack+0,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+5587659,int_stack+2605291,int_stack+1851993,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+5843187,int_stack+5587659,int_stack+5371443,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+5371443,int_stack+409659,int_stack+392369,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+5423313,int_stack+5371443,int_stack+2050737,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1851993,int_stack+5423313,int_stack+2097420,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1991223,int_stack+1851993,int_stack+2481531,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2344758,int_stack+1991223,int_stack+2180958,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+6113457,int_stack+2344758,int_stack+173901,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+0,int_stack+6113457,int_stack+2605291,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2574078,int_stack+0,int_stack+5587659,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+6380997,int_stack+2574078,int_stack+5843187,91);
 /*--- compute (q0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+5516679,int_stack+428769,int_stack+409659,91);
 /*--- compute (q0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+5574009,int_stack+5516679,int_stack+5371443,91);
 /*--- compute (q0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+5677749,int_stack+5574009,int_stack+5423313,91);
 /*--- compute (q0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+5371443,int_stack+5677749,int_stack+1851993,91);
 /*--- compute (q0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+5580288,int_stack+5371443,int_stack+1991223,91);
 /*--- compute (q0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1851993,int_stack+5580288,int_stack+2344758,91);
 /*--- compute (q0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+5371443,int_stack+1851993,int_stack+6113457,91);
 /*--- compute (q0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1851993,int_stack+5371443,int_stack+0,91);
 /*--- compute (q0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+1851993,int_stack+2574078,91);
 /*--- compute (q0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1851993,int_stack+0,int_stack+6380997,91);
 /*--- compute (op|nn) ---*/
 hrr1_build_op(Libint->AB,int_stack+5371443,int_stack+1851993,int_stack+1512225,4356);
 /*--- compute (nd|nn) ---*/
 hrr1_build_nd(Libint->AB,int_stack+6390747,int_stack+5371443,int_stack+3071475,4356);
 /*--- compute (mf|nn) ---*/
 hrr1_build_mf(Libint->AB,int_stack+8115723,int_stack+6390747,int_stack+3933963,4356);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1512225,int_stack+456720,int_stack+449790,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1533015,int_stack+464910,int_stack+456720,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1557585,int_stack+1533015,int_stack+1512225,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1599165,int_stack+474465,int_stack+464910,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1627830,int_stack+1599165,int_stack+1533015,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1676970,int_stack+1627830,int_stack+1557585,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1512225,int_stack+485490,int_stack+474465,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1746270,int_stack+1512225,int_stack+1599165,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1545300,int_stack+1746270,int_stack+1627830,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+1545300,int_stack+1676970,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1627200,int_stack+498090,int_stack+485490,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1665000,int_stack+1627200,int_stack+1512225,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+103950,int_stack+1665000,int_stack+1746270,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+199500,int_stack+103950,int_stack+1545300,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+322350,int_stack+199500,int_stack+0,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+512370,int_stack+498090,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1512225,int_stack+0,int_stack+1627200,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1731150,int_stack+1512225,int_stack+1665000,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1587825,int_stack+1731150,int_stack+103950,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2248389,int_stack+1587825,int_stack+199500,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+42840,int_stack+2248389,int_stack+322350,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+236880,int_stack+528435,int_stack+512370,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+285075,int_stack+236880,int_stack+0,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+370755,int_stack+285075,int_stack+1512225,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2420379,int_stack+370755,int_stack+1731150,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2585754,int_stack+2420379,int_stack+1587825,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1512225,int_stack+2585754,int_stack+2248389,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2786409,int_stack+1512225,int_stack+42840,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2248389,int_stack+546390,int_stack+528435,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2302254,int_stack+2248389,int_stack+236880,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+0,int_stack+2302254,int_stack+285075,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+142800,int_stack+0,int_stack+370755,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3035889,int_stack+142800,int_stack+2420379,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+3267414,int_stack+3035889,int_stack+2585754,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2398644,int_stack+3267414,int_stack+1512225,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1512225,int_stack+2398644,int_stack+2786409,105);
 /*--- compute (r0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2693484,int_stack+566340,int_stack+546390,105);
 /*--- compute (r0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2753334,int_stack+2693484,int_stack+2248389,105);
 /*--- compute (r0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2861064,int_stack+2753334,int_stack+2302254,105);
 /*--- compute (r0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+331800,int_stack+2861064,int_stack+0,105);
 /*--- compute (r0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+3534954,int_stack+331800,int_stack+142800,105);
 /*--- compute (r0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+0,int_stack+3534954,int_stack+3035889,105);
 /*--- compute (r0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3799554,int_stack+0,int_stack+3267414,105);
 /*--- compute (r0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3021714,int_stack+3799554,int_stack+2398644,105);
 /*--- compute (r0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2248389,int_stack+3021714,int_stack+1512225,105);
 /*--- compute (r0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1512225,int_stack+588390,int_stack+566340,105);
 /*--- compute (r0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1578375,int_stack+1512225,int_stack+2693484,105);
 /*--- compute (r0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+4143534,int_stack+1578375,int_stack+2753334,105);
 /*--- compute (r0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1512225,int_stack+4143534,int_stack+2861064,105);
 /*--- compute (r0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+4143534,int_stack+1512225,int_stack+331800,105);
 /*--- compute (r0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+4443414,int_stack+4143534,int_stack+3534954,105);
 /*--- compute (r0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+4796214,int_stack+4443414,int_stack+0,105);
 /*--- compute (r0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+0,int_stack+4796214,int_stack+3799554,105);
 /*--- compute (r0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+3390264,int_stack+0,int_stack+3021714,105);
 /*--- compute (r0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+0,int_stack+3390264,int_stack+2248389,105);
 /*--- compute (qp|nn) ---*/
 hrr1_build_qp(Libint->AB,int_stack+2248389,int_stack+0,int_stack+1851993,4356);
 /*--- compute (od|nn) ---*/
 hrr1_build_od(Libint->AB,int_stack+10511523,int_stack+2248389,int_stack+5371443,4356);
 /*--- compute (nf|nn) ---*/
 hrr1_build_nf(Libint->AB,int_stack+3437577,int_stack+10511523,int_stack+6390747,4356);
 /*--- compute (mg|nn) ---*/
 hrr1_build_mg(Libint->AB,int_stack+12550131,int_stack+3437577,int_stack+8115723,4356);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+6312537,int_stack+620565,int_stack+612645,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+6336297,int_stack+629925,int_stack+620565,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+6364377,int_stack+6336297,int_stack+6312537,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+6411897,int_stack+640845,int_stack+629925,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+6444657,int_stack+6411897,int_stack+6336297,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+6500817,int_stack+6444657,int_stack+6364377,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+6312537,int_stack+653445,int_stack+640845,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+6580017,int_stack+6312537,int_stack+6411897,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+6350337,int_stack+6580017,int_stack+6444657,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+6645537,int_stack+6350337,int_stack+6500817,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+6443937,int_stack+667845,int_stack+653445,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+6487137,int_stack+6443937,int_stack+6312537,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+6764337,int_stack+6487137,int_stack+6580017,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+6873537,int_stack+6764337,int_stack+6350337,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+7013937,int_stack+6873537,int_stack+6645537,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+6312537,int_stack+684165,int_stack+667845,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+6562737,int_stack+6312537,int_stack+6443937,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+7180257,int_stack+6562737,int_stack+6487137,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+6361497,int_stack+7180257,int_stack+6764337,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+6649137,int_stack+6361497,int_stack+6873537,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+7306257,int_stack+6649137,int_stack+7013937,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+6845697,int_stack+702525,int_stack+684165,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+6900777,int_stack+6845697,int_stack+6312537,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+6998697,int_stack+6900777,int_stack+6562737,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+7528017,int_stack+6998697,int_stack+7180257,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+7717017,int_stack+7528017,int_stack+6361497,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+6312537,int_stack+7717017,int_stack+6649137,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+7946337,int_stack+6312537,int_stack+7306257,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+6574617,int_stack+723045,int_stack+702525,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+6636177,int_stack+6574617,int_stack+6845697,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+7142697,int_stack+6636177,int_stack+6900777,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+6746337,int_stack+7142697,int_stack+6998697,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+8231457,int_stack+6746337,int_stack+7528017,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+7305897,int_stack+8231457,int_stack+7717017,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+8496057,int_stack+7305897,int_stack+6312537,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+8833017,int_stack+8496057,int_stack+7946337,120);
 /*--- compute (t0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+6312537,int_stack+745845,int_stack+723045,120);
 /*--- compute (t0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+6380937,int_stack+6312537,int_stack+6574617,120);
 /*--- compute (t0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+7611657,int_stack+6380937,int_stack+6636177,120);
 /*--- compute (t0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+7795257,int_stack+7611657,int_stack+7142697,120);
 /*--- compute (t0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+6962337,int_stack+7795257,int_stack+6746337,120);
 /*--- compute (t0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+6504057,int_stack+6962337,int_stack+8231457,120);
 /*--- compute (t0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+8040057,int_stack+6504057,int_stack+7305897,120);
 /*--- compute (t0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+9189417,int_stack+8040057,int_stack+8496057,120);
 /*--- compute (t0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+9610617,int_stack+9189417,int_stack+8833017,120);
 /*--- compute (t0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+6856857,int_stack+771045,int_stack+745845,120);
 /*--- compute (t0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+7264737,int_stack+6856857,int_stack+6312537,120);
 /*--- compute (t0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+7401537,int_stack+7264737,int_stack+6380937,120);
 /*--- compute (t0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+8433177,int_stack+7401537,int_stack+7611657,120);
 /*--- compute (t0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+7264737,int_stack+8433177,int_stack+7795257,120);
 /*--- compute (t0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+8433177,int_stack+7264737,int_stack+6962337,120);
 /*--- compute (t0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+6856857,int_stack+8433177,int_stack+6504057,120);
 /*--- compute (t0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+8433177,int_stack+6856857,int_stack+8040057,120);
 /*--- compute (t0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+6312537,int_stack+8433177,int_stack+9189417,120);
 /*--- compute (t0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+6827337,int_stack+6312537,int_stack+9610617,120);
 /*--- compute (rp|nn) ---*/
 hrr1_build_rp(Libint->AB,int_stack+7350057,int_stack+6827337,int_stack+0,4356);
 /*--- compute (qd|nn) ---*/
 hrr1_build_qd(Libint->AB,int_stack+16143831,int_stack+7350057,int_stack+2248389,4356);
 /*--- compute (of|nn) ---*/
 hrr1_build_of(Libint->AB,int_stack+18522207,int_stack+16143831,int_stack+10511523,4356);
 /*--- compute (ng|nn) ---*/
 hrr1_build_ng(Libint->AB,int_stack+21919887,int_stack+18522207,int_stack+3437577,4356);
 /*--- compute (mh|nn) ---*/
 hrr1_build_mh(Libint->AB,int_stack+1512225,int_stack+21919887,int_stack+12550131,4356);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+807741,int_stack+798765,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+26928,int_stack+818349,int_stack+807741,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+58752,int_stack+26928,int_stack+0,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+112608,int_stack+830725,int_stack+818349,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+149736,int_stack+112608,int_stack+26928,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+213384,int_stack+149736,int_stack+58752,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+845005,int_stack+830725,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+303144,int_stack+0,int_stack+112608,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+42840,int_stack+303144,int_stack+149736,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+377400,int_stack+42840,int_stack+213384,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+148920,int_stack+861325,int_stack+845005,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+197880,int_stack+148920,int_stack+0,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+512040,int_stack+197880,int_stack+303144,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+635800,int_stack+512040,int_stack+42840,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+8722197,int_stack+635800,int_stack+377400,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+879821,int_stack+861325,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+283560,int_stack+0,int_stack+148920,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+8910693,int_stack+283560,int_stack+197880,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+55488,int_stack+8910693,int_stack+512040,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+381480,int_stack+55488,int_stack+635800,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+604248,int_stack+381480,int_stack+8722197,136);
 /*--- compute (u0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+8722197,int_stack+900629,int_stack+879821,136);
 /*--- compute (u0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+8784621,int_stack+8722197,int_stack+0,136);
 /*--- compute (u0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+9053493,int_stack+8784621,int_stack+283560,136);
 /*--- compute (u0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+9216693,int_stack+9053493,int_stack+8910693,136);
 /*--- compute (u0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+9430893,int_stack+9216693,int_stack+55488,136);
 /*--- compute (u0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+9430893,int_stack+381480,136);
 /*--- compute (u0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+9690789,int_stack+0,int_stack+604248,136);
 /*--- compute (u0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+297024,int_stack+923885,int_stack+900629,136);
 /*--- compute (u0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+366792,int_stack+297024,int_stack+8722197,136);
 /*--- compute (u0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+491640,int_stack+366792,int_stack+8784621,136);
 /*--- compute (u0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+8722197,int_stack+491640,int_stack+9053493,136);
 /*--- compute (u0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+10013925,int_stack+8722197,int_stack+9216693,136);
 /*--- compute (u0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+8966997,int_stack+10013925,int_stack+9430893,136);
 /*--- compute (u0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+10313805,int_stack+8966997,int_stack+0,136);
 /*--- compute (u0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+10695693,int_stack+10313805,int_stack+9690789,136);
 /*--- compute (u0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+949725,int_stack+923885,136);
 /*--- compute (u0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+77520,int_stack+0,int_stack+297024,136);
 /*--- compute (u0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+9313525,int_stack+77520,int_stack+366792,136);
 /*--- compute (u0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+9521605,int_stack+9313525,int_stack+491640,136);
 /*--- compute (u0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+217056,int_stack+9521605,int_stack+8722197,136);
 /*--- compute (u0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+11099613,int_stack+217056,int_stack+10013925,136);
 /*--- compute (u0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+9799045,int_stack+11099613,int_stack+8966997,136);
 /*--- compute (u0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+8722197,int_stack+9799045,int_stack+10313805,136);
 /*--- compute (u0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+11499453,int_stack+8722197,int_stack+10695693,136);
 /*--- compute (u0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+9199557,int_stack+978285,int_stack+949725,136);
 /*--- compute (u0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+559776,int_stack+9199557,int_stack+0,136);
 /*--- compute (u0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+714816,int_stack+559776,int_stack+77520,136);
 /*--- compute (u0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+10244581,int_stack+714816,int_stack+9313525,136);
 /*--- compute (u0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+559776,int_stack+10244581,int_stack+9521605,136);
 /*--- compute (u0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+10244581,int_stack+559776,int_stack+217056,136);
 /*--- compute (u0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+0,int_stack+10244581,int_stack+11099613,136);
 /*--- compute (u0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+10244581,int_stack+0,int_stack+9799045,136);
 /*--- compute (u0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+10244581,int_stack+8722197,136);
 /*--- compute (u0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+8722197,int_stack+0,int_stack+11499453,136);
 /*--- compute (tp|nn) ---*/
 hrr1_build_tp(Libint->AB,int_stack+9314613,int_stack+8722197,int_stack+6827337,4356);
 /*--- compute (rd|nn) ---*/
 hrr1_build_rd(Libint->AB,int_stack+10882773,int_stack+9314613,int_stack+7350057,4356);
 /*--- compute (qf|nn) ---*/
 hrr1_build_qf(Libint->AB,int_stack+26232327,int_stack+10882773,int_stack+16143831,4356);
 /*--- compute (og|nn) ---*/
 hrr1_build_og(Libint->AB,int_stack+30196287,int_stack+26232327,int_stack+18522207,4356);
 /*--- compute (nh|nn) ---*/
 hrr1_build_nh(Libint->AB,int_stack+13627053,int_stack+30196287,int_stack+21919887,4356);
 /*--- compute (mi|nn) ---*/
 hrr1_build_mi(Libint->AB,int_stack+35292807,int_stack+13627053,int_stack+1512225,4356);
 /*--- compute (v0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1512225,int_stack+1019799,int_stack+1009701,153);
 /*--- compute (v0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1542519,int_stack+1031733,int_stack+1019799,153);
 /*--- compute (v0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1578321,int_stack+1542519,int_stack+1512225,153);
 /*--- compute (v0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1638909,int_stack+1045656,int_stack+1031733,153);
 /*--- compute (v0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1680678,int_stack+1638909,int_stack+1542519,153);
 /*--- compute (v0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1752282,int_stack+1680678,int_stack+1578321,153);
 /*--- compute (v0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1512225,int_stack+1061721,int_stack+1045656,153);
 /*--- compute (v0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1853262,int_stack+1512225,int_stack+1638909,153);
 /*--- compute (v0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1560420,int_stack+1853262,int_stack+1680678,153);
 /*--- compute (v0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1936800,int_stack+1560420,int_stack+1752282,153);
 /*--- compute (v0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1679760,int_stack+1080081,int_stack+1061721,153);
 /*--- compute (v0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1734840,int_stack+1679760,int_stack+1512225,153);
 /*--- compute (v0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2088270,int_stack+1734840,int_stack+1853262,153);
 /*--- compute (v0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2227500,int_stack+2088270,int_stack+1560420,153);
 /*--- compute (v0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2406510,int_stack+2227500,int_stack+1936800,153);
 /*--- compute (v0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1512225,int_stack+1100889,int_stack+1080081,153);
 /*--- compute (v0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1831230,int_stack+1512225,int_stack+1679760,153);
 /*--- compute (v0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2618568,int_stack+1831230,int_stack+1734840,153);
 /*--- compute (v0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1574649,int_stack+2618568,int_stack+2088270,153);
 /*--- compute (v0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1941390,int_stack+1574649,int_stack+2227500,153);
 /*--- compute (v0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2779218,int_stack+1941390,int_stack+2406510,153);
 /*--- compute (v0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2192004,int_stack+1124298,int_stack+1100889,153);
 /*--- compute (v0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2262231,int_stack+2192004,int_stack+1512225,153);
 /*--- compute (v0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2387079,int_stack+2262231,int_stack+1831230,153);
 /*--- compute (v0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+3061962,int_stack+2387079,int_stack+2618568,153);
 /*--- compute (v0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+3302937,int_stack+3061962,int_stack+1574649,153);
 /*--- compute (v0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1512225,int_stack+3302937,int_stack+1941390,153);
 /*--- compute (v0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3595320,int_stack+1512225,int_stack+2779218,153);
 /*--- compute (v0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1846377,int_stack+1150461,int_stack+1124298,153);
 /*--- compute (v0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1924866,int_stack+1846377,int_stack+2192004,153);
 /*--- compute (v0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2570679,int_stack+1924866,int_stack+2262231,153);
 /*--- compute (v0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2065320,int_stack+2570679,int_stack+2387079,153);
 /*--- compute (v0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3958848,int_stack+2065320,int_stack+3061962,153);
 /*--- compute (v0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2778759,int_stack+3958848,int_stack+3302937,153);
 /*--- compute (v0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+4296213,int_stack+2778759,int_stack+1512225,153);
 /*--- compute (v0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+4725837,int_stack+4296213,int_stack+3595320,153);
 /*--- compute (v0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1512225,int_stack+1179531,int_stack+1150461,153);
 /*--- compute (v0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1599435,int_stack+1512225,int_stack+1846377,153);
 /*--- compute (v0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+3168603,int_stack+1599435,int_stack+1924866,153);
 /*--- compute (v0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3402693,int_stack+3168603,int_stack+2570679,153);
 /*--- compute (v0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2340720,int_stack+3402693,int_stack+2065320,153);
 /*--- compute (v0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1756413,int_stack+2340720,int_stack+3958848,153);
 /*--- compute (v0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3714813,int_stack+1756413,int_stack+2778759,153);
 /*--- compute (v0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+5180247,int_stack+3714813,int_stack+4296213,153);
 /*--- compute (v0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+5717277,int_stack+5180247,int_stack+4725837,153);
 /*--- compute (v0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+2206233,int_stack+1211661,int_stack+1179531,153);
 /*--- compute (v0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+2726280,int_stack+2206233,int_stack+1512225,153);
 /*--- compute (v0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+2900700,int_stack+2726280,int_stack+1599435,153);
 /*--- compute (v0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+4216041,int_stack+2900700,int_stack+3168603,153);
 /*--- compute (v0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+2726280,int_stack+4216041,int_stack+3402693,153);
 /*--- compute (v0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+4216041,int_stack+2726280,int_stack+2340720,153);
 /*--- compute (v0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+2206233,int_stack+4216041,int_stack+1756413,153);
 /*--- compute (v0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+4216041,int_stack+2206233,int_stack+3714813,153);
 /*--- compute (v0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1512225,int_stack+4216041,int_stack+5180247,153);
 /*--- compute (v0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+2168595,int_stack+1512225,int_stack+5717277,153);
 /*--- compute (up|nn) ---*/
 hrr1_build_up(Libint->AB,int_stack+2835063,int_stack+2168595,int_stack+8722197,4356);
 /*--- compute (td|nn) ---*/
 hrr1_build_td(Libint->AB,int_stack+4612311,int_stack+2835063,int_stack+9314613,4356);
 /*--- compute (rf|nn) ---*/
 hrr1_build_rf(Libint->AB,int_stack+19664469,int_stack+4612311,int_stack+10882773,4356);
 /*--- compute (qg|nn) ---*/
 hrr1_build_qg(Libint->AB,int_stack+42001047,int_stack+19664469,int_stack+26232327,4356);
 /*--- compute (oh|nn) ---*/
 hrr1_build_oh(Libint->AB,int_stack+47946987,int_stack+42001047,int_stack+30196287,4356);
 /*--- compute (ni|nn) ---*/
 hrr1_build_ni(Libint->AB,int_stack+24238269,int_stack+47946987,int_stack+13627053,4356);
 /*--- compute (mk|nn) ---*/
 hrr1_build_mk(Libint->AB,int_stack+7748631,int_stack+24238269,int_stack+35292807,4356);
 /*--- compute (w0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1512225,int_stack+1258290,int_stack+1247004,171);
 /*--- compute (w0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1546083,int_stack+1271628,int_stack+1258290,171);
 /*--- compute (w0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1586097,int_stack+1546083,int_stack+1512225,171);
 /*--- compute (w0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1653813,int_stack+1287189,int_stack+1271628,171);
 /*--- compute (w0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1700496,int_stack+1653813,int_stack+1546083,171);
 /*--- compute (w0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1780524,int_stack+1700496,int_stack+1586097,171);
 /*--- compute (w0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1512225,int_stack+1305144,int_stack+1287189,171);
 /*--- compute (w0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1893384,int_stack+1512225,int_stack+1653813,171);
 /*--- compute (w0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1566090,int_stack+1893384,int_stack+1700496,171);
 /*--- compute (w0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1986750,int_stack+1566090,int_stack+1780524,171);
 /*--- compute (w0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1699470,int_stack+1325664,int_stack+1305144,171);
 /*--- compute (w0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1761030,int_stack+1699470,int_stack+1512225,171);
 /*--- compute (w0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+16373511,int_stack+1761030,int_stack+1893384,171);
 /*--- compute (w0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+16529121,int_stack+16373511,int_stack+1566090,171);
 /*--- compute (w0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+16729191,int_stack+16529121,int_stack+1986750,171);
 /*--- compute (w0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1512225,int_stack+1348920,int_stack+1325664,171);
 /*--- compute (w0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1868760,int_stack+1512225,int_stack+1699470,171);
 /*--- compute (w0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+16966197,int_stack+1868760,int_stack+1761030,171);
 /*--- compute (w0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1581993,int_stack+16966197,int_stack+16373511,171);
 /*--- compute (w0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+17145747,int_stack+1581993,int_stack+16529121,171);
 /*--- compute (w0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+16373511,int_stack+17145747,int_stack+16729191,171);
 /*--- compute (w0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+16689519,int_stack+1375083,int_stack+1348920,171);
 /*--- compute (w0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+16768008,int_stack+16689519,int_stack+1512225,171);
 /*--- compute (w0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+17425845,int_stack+16768008,int_stack+1868760,171);
 /*--- compute (w0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1815408,int_stack+17425845,int_stack+16966197,171);
 /*--- compute (w0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+17631045,int_stack+1815408,int_stack+1581993,171);
 /*--- compute (w0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+17957826,int_stack+17631045,int_stack+17145747,171);
 /*--- compute (w0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+16907544,int_stack+17957826,int_stack+16373511,171);
 /*--- compute (w0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+16373511,int_stack+1404324,int_stack+1375083,171);
 /*--- compute (w0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+16461234,int_stack+16373511,int_stack+16689519,171);
 /*--- compute (w0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1512225,int_stack+16461234,int_stack+16768008,171);
 /*--- compute (w0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+18331290,int_stack+1512225,int_stack+17425845,171);
 /*--- compute (w0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+18639090,int_stack+18331290,int_stack+1815408,171);
 /*--- compute (w0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+19016145,int_stack+18639090,int_stack+17631045,171);
 /*--- compute (w0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+17313840,int_stack+19016145,int_stack+17957826,171);
 /*--- compute (w0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+17794008,int_stack+17313840,int_stack+16907544,171);
 /*--- compute (w0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+16618212,int_stack+1436814,int_stack+1404324,171);
 /*--- compute (w0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+16715682,int_stack+16618212,int_stack+16373511,171);
 /*--- compute (w0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+16891128,int_stack+16715682,int_stack+16461234,171);
 /*--- compute (w0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1744785,int_stack+16891128,int_stack+1512225,171);
 /*--- compute (w0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+0,int_stack+1744785,int_stack+18331290,171);
 /*--- compute (w0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+430920,int_stack+0,int_stack+18639090,171);
 /*--- compute (w0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+18301878,int_stack+430920,int_stack+19016145,171);
 /*--- compute (w0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+18862074,int_stack+18301878,int_stack+17313840,171);
 /*--- compute (w0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+17152758,int_stack+18862074,int_stack+17794008,171);
 /*--- compute (w0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1512225,int_stack+1472724,int_stack+1436814,171);
 /*--- compute (w0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+16373511,int_stack+1512225,int_stack+16618212,171);
 /*--- compute (w0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+17773488,int_stack+16373511,int_stack+16715682,171);
 /*--- compute (w0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+16373511,int_stack+17773488,int_stack+16891128,171);
 /*--- compute (w0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+17773488,int_stack+16373511,int_stack+1744785,171);
 /*--- compute (w0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+16373511,int_stack+17773488,int_stack+0,171);
 /*--- compute (w0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+933660,int_stack+16373511,int_stack+430920,171);
 /*--- compute (w0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+16373511,int_stack+933660,int_stack+18301878,171);
 /*--- compute (w0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+16373511,int_stack+18862074,171);
 /*--- compute (w0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+16373511,int_stack+0,int_stack+17152758,171);
 /*--- compute (vp|nn) ---*/
 hrr1_build_vp(Libint->AB,int_stack+0,int_stack+16373511,int_stack+2168595,4356);
 /*--- compute (ud|nn) ---*/
 hrr1_build_ud(Libint->AB,int_stack+32288157,int_stack+0,int_stack+2835063,4356);
 /*--- compute (tf|nn) ---*/
 hrr1_build_tf(Libint->AB,int_stack+35842653,int_stack+32288157,int_stack+4612311,4356);
 /*--- compute (rg|nn) ---*/
 hrr1_build_rg(Libint->AB,int_stack+0,int_stack+35842653,int_stack+19664469,4356);
 /*--- compute (qh|nn) ---*/
 hrr1_build_qh(Libint->AB,int_stack+32288157,int_stack+0,int_stack+42001047,4356);
 /*--- compute (oi|nn) ---*/
 hrr1_build_oi(Libint->AB,int_stack+55082115,int_stack+32288157,int_stack+47946987,4356);
 /*--- compute (nk|nn) ---*/
 hrr1_build_nk(Libint->AB,int_stack+32288157,int_stack+55082115,int_stack+24238269,4356);
 /*--- compute (ml|nn) ---*/
 hrr1_build_ml(Libint->AB,int_stack+42638013,int_stack+32288157,int_stack+7748631,4356);
 return int_stack+42638013;}
