#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mpll(Libint_t*, prim_data*);

  /* Computes quartets of (mp|ll) integrals */

REALTYPE *hrr_order_mpll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][8] = int_stack + 0;
 Libint->vrr_classes[9][9] = int_stack + 2475;
 Libint->vrr_classes[9][10] = int_stack + 5500;
 Libint->vrr_classes[9][11] = int_stack + 9130;
 Libint->vrr_classes[9][12] = int_stack + 13420;
 Libint->vrr_classes[9][13] = int_stack + 18425;
 Libint->vrr_classes[9][14] = int_stack + 24200;
 Libint->vrr_classes[9][15] = int_stack + 30800;
 Libint->vrr_classes[9][16] = int_stack + 38280;
 Libint->vrr_classes[10][8] = int_stack + 46695;
 Libint->vrr_classes[10][9] = int_stack + 49665;
 Libint->vrr_classes[10][10] = int_stack + 53295;
 Libint->vrr_classes[10][11] = int_stack + 57651;
 Libint->vrr_classes[10][12] = int_stack + 62799;
 Libint->vrr_classes[10][13] = int_stack + 68805;
 Libint->vrr_classes[10][14] = int_stack + 75735;
 Libint->vrr_classes[10][15] = int_stack + 83655;
 Libint->vrr_classes[10][16] = int_stack + 92631;
 memset(int_stack,0,102729*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 102729;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mpll(Libint, Data);
   Data++;
 }
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+102729,int_stack+2475,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+110154,int_stack+5500,int_stack+2475,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+119229,int_stack+110154,int_stack+102729,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+134079,int_stack+9130,int_stack+5500,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+144969,int_stack+134079,int_stack+110154,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+163119,int_stack+144969,int_stack+119229,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+102729,int_stack+13420,int_stack+9130,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+187869,int_stack+102729,int_stack+134079,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+209649,int_stack+187869,int_stack+144969,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+115599,int_stack+209649,int_stack+163119,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+152724,int_stack+18425,int_stack+13420,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+239899,int_stack+152724,int_stack+102729,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+265639,int_stack+239899,int_stack+187869,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+301939,int_stack+265639,int_stack+209649,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+167739,int_stack+301939,int_stack+115599,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+102729,int_stack+24200,int_stack+18425,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+120054,int_stack+102729,int_stack+152724,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+347314,int_stack+120054,int_stack+239899,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+390214,int_stack+347314,int_stack+265639,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+219714,int_stack+390214,int_stack+301939,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+444664,int_stack+219714,int_stack+167739,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+150084,int_stack+30800,int_stack+24200,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+169884,int_stack+150084,int_stack+102729,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+283239,int_stack+169884,int_stack+120054,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+513964,int_stack+283239,int_stack+347314,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+578314,int_stack+513964,int_stack+390214,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+333289,int_stack+578314,int_stack+219714,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+654544,int_stack+333289,int_stack+444664,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+102729,int_stack+38280,int_stack+30800,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+204534,int_stack+102729,int_stack+150084,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+102729,int_stack+204534,int_stack+169884,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+160479,int_stack+102729,int_stack+283239,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+235554,int_stack+160479,int_stack+513964,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+102729,int_stack+235554,int_stack+578314,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+204369,int_stack+102729,int_stack+333289,55);
 /*--- compute (m0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+313269,int_stack+204369,int_stack+654544,55);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+102729,int_stack+49665,int_stack+46695,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+111639,int_stack+53295,int_stack+49665,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+122529,int_stack+111639,int_stack+102729,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+140349,int_stack+57651,int_stack+53295,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+153417,int_stack+140349,int_stack+111639,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+175197,int_stack+153417,int_stack+122529,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+102729,int_stack+62799,int_stack+57651,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+204897,int_stack+102729,int_stack+140349,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+231033,int_stack+204897,int_stack+153417,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+118173,int_stack+231033,int_stack+175197,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+162723,int_stack+68805,int_stack+62799,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+267333,int_stack+162723,int_stack+102729,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+424644,int_stack+267333,int_stack+204897,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+468204,int_stack+424644,int_stack+231033,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+180741,int_stack+468204,int_stack+118173,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+102729,int_stack+75735,int_stack+68805,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+123519,int_stack+102729,int_stack+162723,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+522654,int_stack+123519,int_stack+267333,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+243111,int_stack+522654,int_stack+424644,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+574134,int_stack+243111,int_stack+468204,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+424644,int_stack+574134,int_stack+180741,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+159555,int_stack+83655,int_stack+75735,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+183315,int_stack+159555,int_stack+102729,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+650364,int_stack+183315,int_stack+123519,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+650364,int_stack+522654,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+710424,int_stack+0,int_stack+243111,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+801900,int_stack+710424,int_stack+574134,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+507804,int_stack+801900,int_stack+424644,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+424644,int_stack+92631,int_stack+83655,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+451572,int_stack+424644,int_stack+159555,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+224895,int_stack+451572,int_stack+183315,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+77220,int_stack+224895,int_stack+650364,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+167310,int_stack+77220,int_stack+0,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+167310,int_stack+710424,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+121968,int_stack+0,int_stack+801900,66);
 /*--- compute (n0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+614724,int_stack+121968,int_stack+507804,66);
 /*--- compute (mp|ll) ---*/
 hrr1_build_mp(Libint->AB,int_stack+748374,int_stack+614724,int_stack+313269,2025);
 return int_stack+748374;}
