#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mpnd(Libint_t*, prim_data*);

  /* Computes quartets of (mp|nd) integrals */

REALTYPE *hrr_order_mpnd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[10][10] = int_stack + 12925;
 Libint->vrr_classes[10][11] = int_stack + 17281;
 Libint->vrr_classes[10][12] = int_stack + 22429;
 memset(int_stack,0,28435*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 28435;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mpnd(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+28435,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+39325,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+52195,int_stack+39325,int_stack+28435,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+28435,int_stack+17281,int_stack+12925,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+22429,int_stack+17281,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+73975,int_stack+0,int_stack+28435,66);
 /*--- compute (mp|nd) ---*/
 hrr1_build_mp(Libint->AB,int_stack+100111,int_stack+73975,int_stack+52195,396);
 return int_stack+100111;}
