#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_n0ll(Libint_t*, prim_data*);

  /* Computes quartets of (n0|ll) integrals */

REALTYPE *hrr_order_n0ll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][8] = int_stack + 0;
 Libint->vrr_classes[10][9] = int_stack + 2970;
 Libint->vrr_classes[10][10] = int_stack + 6600;
 Libint->vrr_classes[10][11] = int_stack + 10956;
 Libint->vrr_classes[10][12] = int_stack + 16104;
 Libint->vrr_classes[10][13] = int_stack + 22110;
 Libint->vrr_classes[10][14] = int_stack + 29040;
 Libint->vrr_classes[10][15] = int_stack + 36960;
 Libint->vrr_classes[10][16] = int_stack + 45936;
 memset(int_stack,0,56034*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 56034;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_n0ll(Libint, Data);
   Data++;
 }
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+56034,int_stack+2970,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+64944,int_stack+6600,int_stack+2970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+75834,int_stack+64944,int_stack+56034,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93654,int_stack+10956,int_stack+6600,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+106722,int_stack+93654,int_stack+64944,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+128502,int_stack+106722,int_stack+75834,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+56034,int_stack+16104,int_stack+10956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+158202,int_stack+56034,int_stack+93654,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+184338,int_stack+158202,int_stack+106722,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+71478,int_stack+184338,int_stack+128502,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+116028,int_stack+22110,int_stack+16104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+220638,int_stack+116028,int_stack+56034,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+251526,int_stack+220638,int_stack+158202,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+295086,int_stack+251526,int_stack+184338,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+134046,int_stack+295086,int_stack+71478,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+56034,int_stack+29040,int_stack+22110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+76824,int_stack+56034,int_stack+116028,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+349536,int_stack+76824,int_stack+220638,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+401016,int_stack+349536,int_stack+251526,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+196416,int_stack+401016,int_stack+295086,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+466356,int_stack+196416,int_stack+134046,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+112860,int_stack+36960,int_stack+29040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+136620,int_stack+112860,int_stack+56034,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+272646,int_stack+136620,int_stack+76824,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+549516,int_stack+272646,int_stack+349536,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+626736,int_stack+549516,int_stack+401016,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+332706,int_stack+626736,int_stack+196416,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+718212,int_stack+332706,int_stack+466356,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+56034,int_stack+45936,int_stack+36960,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+178200,int_stack+56034,int_stack+112860,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+434346,int_stack+178200,int_stack+136620,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+434346,int_stack+272646,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+434346,int_stack+0,int_stack+549516,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+434346,int_stack+626736,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+434346,int_stack+0,int_stack+332706,66);
 /*--- compute (n0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+0,int_stack+434346,int_stack+718212,66);
 return int_stack+0;}
