#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ndll(Libint_t*, prim_data*);

  /* Computes quartets of (nd|ll) integrals */

REALTYPE *hrr_order_ndll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][8] = int_stack + 0;
 Libint->vrr_classes[10][9] = int_stack + 2970;
 Libint->vrr_classes[10][10] = int_stack + 6600;
 Libint->vrr_classes[10][11] = int_stack + 10956;
 Libint->vrr_classes[10][12] = int_stack + 16104;
 Libint->vrr_classes[10][13] = int_stack + 22110;
 Libint->vrr_classes[10][14] = int_stack + 29040;
 Libint->vrr_classes[10][15] = int_stack + 36960;
 Libint->vrr_classes[10][16] = int_stack + 45936;
 Libint->vrr_classes[11][8] = int_stack + 56034;
 Libint->vrr_classes[11][9] = int_stack + 59544;
 Libint->vrr_classes[11][10] = int_stack + 63834;
 Libint->vrr_classes[11][11] = int_stack + 68982;
 Libint->vrr_classes[11][12] = int_stack + 75066;
 Libint->vrr_classes[11][13] = int_stack + 82164;
 Libint->vrr_classes[11][14] = int_stack + 90354;
 Libint->vrr_classes[11][15] = int_stack + 99714;
 Libint->vrr_classes[11][16] = int_stack + 110322;
 Libint->vrr_classes[12][8] = int_stack + 122256;
 Libint->vrr_classes[12][9] = int_stack + 126351;
 Libint->vrr_classes[12][10] = int_stack + 131356;
 Libint->vrr_classes[12][11] = int_stack + 137362;
 Libint->vrr_classes[12][12] = int_stack + 144460;
 Libint->vrr_classes[12][13] = int_stack + 152741;
 Libint->vrr_classes[12][14] = int_stack + 162296;
 Libint->vrr_classes[12][15] = int_stack + 173216;
 Libint->vrr_classes[12][16] = int_stack + 185592;
 memset(int_stack,0,199515*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 199515;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ndll(Libint, Data);
   Data++;
 }
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+199515,int_stack+2970,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+208425,int_stack+6600,int_stack+2970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+219315,int_stack+208425,int_stack+199515,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+237135,int_stack+10956,int_stack+6600,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+250203,int_stack+237135,int_stack+208425,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+271983,int_stack+250203,int_stack+219315,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+199515,int_stack+16104,int_stack+10956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+301683,int_stack+199515,int_stack+237135,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+327819,int_stack+301683,int_stack+250203,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+214959,int_stack+327819,int_stack+271983,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+259509,int_stack+22110,int_stack+16104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+364119,int_stack+259509,int_stack+199515,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+395007,int_stack+364119,int_stack+301683,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+438567,int_stack+395007,int_stack+327819,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+277527,int_stack+438567,int_stack+214959,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+199515,int_stack+29040,int_stack+22110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+220305,int_stack+199515,int_stack+259509,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+493017,int_stack+220305,int_stack+364119,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+544497,int_stack+493017,int_stack+395007,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+339897,int_stack+544497,int_stack+438567,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+609837,int_stack+339897,int_stack+277527,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+256341,int_stack+36960,int_stack+29040,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+280101,int_stack+256341,int_stack+199515,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+416127,int_stack+280101,int_stack+220305,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+692997,int_stack+416127,int_stack+493017,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+770217,int_stack+692997,int_stack+544497,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+476187,int_stack+770217,int_stack+339897,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+861693,int_stack+476187,int_stack+609837,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+199515,int_stack+45936,int_stack+36960,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+321681,int_stack+199515,int_stack+256341,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+199515,int_stack+321681,int_stack+280101,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+268815,int_stack+199515,int_stack+416127,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+358905,int_stack+268815,int_stack+692997,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+199515,int_stack+358905,int_stack+770217,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+321483,int_stack+199515,int_stack+476187,66);
 /*--- compute (n0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+452163,int_stack+321483,int_stack+861693,66);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+199515,int_stack+59544,int_stack+56034,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+210045,int_stack+63834,int_stack+59544,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+222915,int_stack+210045,int_stack+199515,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+243975,int_stack+68982,int_stack+63834,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+259419,int_stack+243975,int_stack+210045,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+285159,int_stack+259419,int_stack+222915,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+199515,int_stack+75066,int_stack+68982,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+320259,int_stack+199515,int_stack+243975,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+351147,int_stack+320259,int_stack+259419,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+217767,int_stack+351147,int_stack+285159,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+270417,int_stack+82164,int_stack+75066,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+394047,int_stack+270417,int_stack+199515,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+585813,int_stack+394047,int_stack+320259,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+637293,int_stack+585813,int_stack+351147,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+291711,int_stack+637293,int_stack+217767,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+199515,int_stack+90354,int_stack+82164,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+224085,int_stack+199515,int_stack+270417,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+701643,int_stack+224085,int_stack+394047,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+365421,int_stack+701643,int_stack+585813,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+762483,int_stack+365421,int_stack+637293,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+585813,int_stack+762483,int_stack+291711,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+266673,int_stack+99714,int_stack+90354,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+294753,int_stack+266673,int_stack+199515,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+852573,int_stack+294753,int_stack+224085,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+852573,int_stack+701643,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+923553,int_stack+0,int_stack+365421,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1031661,int_stack+923553,int_stack+762483,78);
 /*--- compute (o0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+684093,int_stack+1031661,int_stack+585813,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+585813,int_stack+110322,int_stack+99714,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+617637,int_stack+585813,int_stack+266673,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+199515,int_stack+617637,int_stack+294753,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+281415,int_stack+199515,int_stack+852573,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1151781,int_stack+281415,int_stack+0,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+199515,int_stack+1151781,int_stack+923553,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+810453,int_stack+199515,int_stack+1031661,78);
 /*--- compute (o0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+199515,int_stack+810453,int_stack+684093,78);
 /*--- compute (np|ll) ---*/
 hrr1_build_np(Libint->AB,int_stack+585813,int_stack+199515,int_stack+452163,2025);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+357465,int_stack+126351,int_stack+122256,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+369750,int_stack+131356,int_stack+126351,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+384765,int_stack+369750,int_stack+357465,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+409335,int_stack+137362,int_stack+131356,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+427353,int_stack+409335,int_stack+369750,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+457383,int_stack+427353,int_stack+384765,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+357465,int_stack+144460,int_stack+137362,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+498333,int_stack+357465,int_stack+409335,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+534369,int_stack+498333,int_stack+427353,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+378759,int_stack+534369,int_stack+457383,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+440184,int_stack+152741,int_stack+144460,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+440184,int_stack+357465,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+42588,int_stack+0,int_stack+498333,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+986763,int_stack+42588,int_stack+534369,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+465027,int_stack+986763,int_stack+378759,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+357465,int_stack+162296,int_stack+152741,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+386130,int_stack+357465,int_stack+440184,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1061838,int_stack+386130,int_stack+0,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1132818,int_stack+1061838,int_stack+42588,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+1132818,int_stack+986763,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+1222908,int_stack+0,int_stack+465027,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+986763,int_stack+173216,int_stack+162296,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+105105,int_stack+986763,int_stack+357465,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+435816,int_stack+105105,int_stack+386130,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1337568,int_stack+435816,int_stack+1061838,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1444038,int_stack+1337568,int_stack+1132818,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1019523,int_stack+1444038,int_stack+0,91);
 /*--- compute (q0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1570164,int_stack+1019523,int_stack+1222908,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+185592,int_stack+173216,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+37128,int_stack+0,int_stack+986763,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1159663,int_stack+37128,int_stack+105105,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+1159663,int_stack+435816,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1159663,int_stack+0,int_stack+1337568,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+1159663,int_stack+1444038,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1159663,int_stack+0,int_stack+1019523,91);
 /*--- compute (q0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+0,int_stack+1159663,int_stack+1570164,91);
 /*--- compute (op|ll) ---*/
 hrr1_build_op(Libint->AB,int_stack+986763,int_stack+0,int_stack+199515,2025);
 /*--- compute (nd|ll) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1460613,int_stack+986763,int_stack+585813,2025);
 return int_stack+1460613;}
