#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nfng(Libint_t*, prim_data*);

  /* Computes quartets of (nf|ng) integrals */

REALTYPE *hrr_order_nfng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[10][13] = int_stack + 15510;
 Libint->vrr_classes[10][14] = int_stack + 22440;
 Libint->vrr_classes[11][10] = int_stack + 30360;
 Libint->vrr_classes[11][11] = int_stack + 35508;
 Libint->vrr_classes[11][12] = int_stack + 41592;
 Libint->vrr_classes[11][13] = int_stack + 48690;
 Libint->vrr_classes[11][14] = int_stack + 56880;
 Libint->vrr_classes[12][10] = int_stack + 66240;
 Libint->vrr_classes[12][11] = int_stack + 72246;
 Libint->vrr_classes[12][12] = int_stack + 79344;
 Libint->vrr_classes[12][13] = int_stack + 87625;
 Libint->vrr_classes[12][14] = int_stack + 97180;
 Libint->vrr_classes[13][10] = int_stack + 108100;
 Libint->vrr_classes[13][11] = int_stack + 115030;
 Libint->vrr_classes[13][12] = int_stack + 123220;
 Libint->vrr_classes[13][13] = int_stack + 132775;
 Libint->vrr_classes[13][14] = int_stack + 143800;
 memset(int_stack,0,156400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 156400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nfng(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+156400,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+169468,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+184912,int_stack+169468,int_stack+156400,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+211048,int_stack+15510,int_stack+9504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+229066,int_stack+211048,int_stack+169468,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+259954,int_stack+229066,int_stack+184912,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+156400,int_stack+22440,int_stack+15510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+303514,int_stack+156400,int_stack+211048,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+156400,int_stack+303514,int_stack+229066,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+303514,int_stack+156400,int_stack+259954,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+156400,int_stack+35508,int_stack+30360,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+171844,int_stack+41592,int_stack+35508,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+190096,int_stack+171844,int_stack+156400,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+220984,int_stack+48690,int_stack+41592,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+242278,int_stack+220984,int_stack+171844,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+368854,int_stack+242278,int_stack+190096,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+156400,int_stack+56880,int_stack+48690,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+156400,int_stack+220984,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+156400,int_stack+0,int_stack+242278,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+217240,int_stack+156400,int_stack+368854,78);
 /*--- compute (np|ng) ---*/
 hrr1_build_np(Libint->AB,int_stack+368854,int_stack+217240,int_stack+303514,990);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+156400,int_stack+72246,int_stack+66240,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+174418,int_stack+79344,int_stack+72246,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+174418,int_stack+156400,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+36036,int_stack+87625,int_stack+79344,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+294460,int_stack+36036,int_stack+174418,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+156400,int_stack+294460,int_stack+0,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+97180,int_stack+87625,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+564874,int_stack+0,int_stack+36036,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+564874,int_stack+294460,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+564874,int_stack+0,int_stack+156400,91);
 /*--- compute (op|ng) ---*/
 hrr1_build_op(Libint->AB,int_stack+654964,int_stack+564874,int_stack+217240,990);
 /*--- compute (nd|ng) ---*/
 hrr1_build_nd(Libint->AB,int_stack+886624,int_stack+654964,int_stack+368854,990);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+156400,int_stack+115030,int_stack+108100,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+177190,int_stack+123220,int_stack+115030,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+201760,int_stack+177190,int_stack+156400,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+243340,int_stack+132775,int_stack+123220,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+272005,int_stack+243340,int_stack+177190,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+321145,int_stack+272005,int_stack+201760,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+156400,int_stack+143800,int_stack+132775,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+390445,int_stack+156400,int_stack+243340,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+447775,int_stack+390445,int_stack+272005,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+447775,int_stack+321145,105);
 /*--- compute (qp|ng) ---*/
 hrr1_build_qp(Libint->AB,int_stack+103950,int_stack+0,int_stack+564874,990);
 /*--- compute (od|ng) ---*/
 hrr1_build_od(Libint->AB,int_stack+1278664,int_stack+103950,int_stack+654964,990);
 /*--- compute (nf|ng) ---*/
 hrr1_build_nf(Libint->AB,int_stack+0,int_stack+1278664,int_stack+886624,990);
 return int_stack+0;}
