#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ngnl(Libint_t*, prim_data*);

  /* Computes quartets of (ng|nl) integrals */

REALTYPE *hrr_order_ngnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[10][13] = int_stack + 15510;
 Libint->vrr_classes[10][14] = int_stack + 22440;
 Libint->vrr_classes[10][15] = int_stack + 30360;
 Libint->vrr_classes[10][16] = int_stack + 39336;
 Libint->vrr_classes[10][17] = int_stack + 49434;
 Libint->vrr_classes[10][18] = int_stack + 60720;
 Libint->vrr_classes[11][10] = int_stack + 73260;
 Libint->vrr_classes[11][11] = int_stack + 78408;
 Libint->vrr_classes[11][12] = int_stack + 84492;
 Libint->vrr_classes[11][13] = int_stack + 91590;
 Libint->vrr_classes[11][14] = int_stack + 99780;
 Libint->vrr_classes[11][15] = int_stack + 109140;
 Libint->vrr_classes[11][16] = int_stack + 119748;
 Libint->vrr_classes[11][17] = int_stack + 131682;
 Libint->vrr_classes[11][18] = int_stack + 145020;
 Libint->vrr_classes[12][10] = int_stack + 159840;
 Libint->vrr_classes[12][11] = int_stack + 165846;
 Libint->vrr_classes[12][12] = int_stack + 172944;
 Libint->vrr_classes[12][13] = int_stack + 181225;
 Libint->vrr_classes[12][14] = int_stack + 190780;
 Libint->vrr_classes[12][15] = int_stack + 201700;
 Libint->vrr_classes[12][16] = int_stack + 214076;
 Libint->vrr_classes[12][17] = int_stack + 227999;
 Libint->vrr_classes[12][18] = int_stack + 243560;
 Libint->vrr_classes[13][10] = int_stack + 260850;
 Libint->vrr_classes[13][11] = int_stack + 267780;
 Libint->vrr_classes[13][12] = int_stack + 275970;
 Libint->vrr_classes[13][13] = int_stack + 285525;
 Libint->vrr_classes[13][14] = int_stack + 296550;
 Libint->vrr_classes[13][15] = int_stack + 309150;
 Libint->vrr_classes[13][16] = int_stack + 323430;
 Libint->vrr_classes[13][17] = int_stack + 339495;
 Libint->vrr_classes[13][18] = int_stack + 357450;
 Libint->vrr_classes[14][10] = int_stack + 377400;
 Libint->vrr_classes[14][11] = int_stack + 385320;
 Libint->vrr_classes[14][12] = int_stack + 394680;
 Libint->vrr_classes[14][13] = int_stack + 405600;
 Libint->vrr_classes[14][14] = int_stack + 418200;
 Libint->vrr_classes[14][15] = int_stack + 432600;
 Libint->vrr_classes[14][16] = int_stack + 448920;
 Libint->vrr_classes[14][17] = int_stack + 467280;
 Libint->vrr_classes[14][18] = int_stack + 487800;
 memset(int_stack,0,510600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 510600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ngnl(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+510600,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+523668,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+539112,int_stack+523668,int_stack+510600,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+565248,int_stack+15510,int_stack+9504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+583266,int_stack+565248,int_stack+523668,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+614154,int_stack+583266,int_stack+539112,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+510600,int_stack+22440,int_stack+15510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+657714,int_stack+510600,int_stack+565248,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+531390,int_stack+657714,int_stack+583266,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+693750,int_stack+531390,int_stack+614154,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+582870,int_stack+30360,int_stack+22440,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+606630,int_stack+582870,int_stack+510600,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+759090,int_stack+606630,int_stack+657714,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+819150,int_stack+759090,int_stack+531390,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+896370,int_stack+819150,int_stack+693750,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+510600,int_stack+39336,int_stack+30360,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+648210,int_stack+510600,int_stack+582870,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+987846,int_stack+648210,int_stack+606630,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+537528,int_stack+987846,int_stack+759090,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+695730,int_stack+537528,int_stack+819150,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1057146,int_stack+695730,int_stack+896370,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+803838,int_stack+49434,int_stack+39336,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+834132,int_stack+803838,int_stack+510600,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+887988,int_stack+834132,int_stack+648210,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1179114,int_stack+887988,int_stack+987846,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1283064,int_stack+1179114,int_stack+537528,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+510600,int_stack+1283064,int_stack+695730,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1409190,int_stack+510600,int_stack+1057146,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+654744,int_stack+60720,int_stack+49434,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+688602,int_stack+654744,int_stack+803838,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+967188,int_stack+688602,int_stack+834132,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+654744,int_stack+967188,int_stack+887988,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+773544,int_stack+654744,int_stack+1179114,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+919074,int_stack+773544,int_stack+1283064,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+654744,int_stack+919074,int_stack+510600,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+840072,int_stack+654744,int_stack+1409190,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+510600,int_stack+78408,int_stack+73260,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+526044,int_stack+84492,int_stack+78408,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+544296,int_stack+526044,int_stack+510600,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+575184,int_stack+91590,int_stack+84492,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+596478,int_stack+575184,int_stack+526044,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+632982,int_stack+596478,int_stack+544296,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+510600,int_stack+99780,int_stack+91590,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+684462,int_stack+510600,int_stack+575184,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+535170,int_stack+684462,int_stack+596478,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+727050,int_stack+535170,int_stack+632982,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+596010,int_stack+109140,int_stack+99780,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+624090,int_stack+596010,int_stack+510600,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1036092,int_stack+624090,int_stack+684462,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1107072,int_stack+1036092,int_stack+535170,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1198332,int_stack+1107072,int_stack+727050,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+510600,int_stack+119748,int_stack+109140,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+673230,int_stack+510600,int_stack+596010,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+729390,int_stack+673230,int_stack+624090,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+542424,int_stack+729390,int_stack+1036092,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1306440,int_stack+542424,int_stack+1107072,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1036092,int_stack+1306440,int_stack+1198332,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1180236,int_stack+131682,int_stack+119748,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1216038,int_stack+1180236,int_stack+510600,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1434204,int_stack+1216038,int_stack+673230,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1434204,int_stack+729390,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+648894,int_stack+0,int_stack+542424,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1527804,int_stack+648894,int_stack+1306440,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1698156,int_stack+1527804,int_stack+1036092,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1036092,int_stack+145020,int_stack+131682,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1076106,int_stack+1036092,int_stack+1180236,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+510600,int_stack+1076106,int_stack+1216038,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1036092,int_stack+510600,int_stack+1434204,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1176492,int_stack+1036092,int_stack+0,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1883484,int_stack+1176492,int_stack+648894,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1036092,int_stack+1883484,int_stack+1527804,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1255116,int_stack+1036092,int_stack+1698156,78);
 /*--- compute (np|nl) ---*/
 hrr1_build_np(Libint->AB,int_stack+1486776,int_stack+1255116,int_stack+840072,2970);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+165846,int_stack+159840,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+172944,int_stack+165846,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+181225,int_stack+172944,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100191,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+510600,int_stack+100191,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+190780,int_stack+181225,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+570660,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+570660,int_stack+100191,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+99645,int_stack+28665,int_stack+510600,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+510600,int_stack+201700,int_stack+190780,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+620346,int_stack+510600,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+677676,int_stack+620346,int_stack+570660,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+760486,int_stack+677676,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+866956,int_stack+760486,int_stack+99645,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+214076,int_stack+201700,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+37128,int_stack+0,int_stack+510600,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+510600,int_stack+37128,int_stack+620346,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+993082,int_stack+510600,int_stack+677676,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+606150,int_stack+993082,int_stack+760486,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2074836,int_stack+606150,int_stack+866956,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+755208,int_stack+227999,int_stack+214076,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+796977,int_stack+755208,int_stack+0,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+871233,int_stack+796977,int_stack+37128,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+871233,int_stack+510600,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2243004,int_stack+0,int_stack+993082,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+980433,int_stack+2243004,int_stack+606150,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+510600,int_stack+980433,int_stack+2074836,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2074836,int_stack+243560,int_stack+227999,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2121519,int_stack+2074836,int_stack+755208,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2416905,int_stack+2121519,int_stack+796977,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2074836,int_stack+2416905,int_stack+871233,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+726816,int_stack+2074836,int_stack+0,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+726816,int_stack+2243004,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2074836,int_stack+0,int_stack+980433,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+726816,int_stack+2074836,int_stack+510600,91);
 /*--- compute (op|nl) ---*/
 hrr1_build_op(Libint->AB,int_stack+2074836,int_stack+726816,int_stack+1255116,2970);
 /*--- compute (nd|nl) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2769816,int_stack+2074836,int_stack+1486776,2970);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+510600,int_stack+267780,int_stack+260850,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+531390,int_stack+275970,int_stack+267780,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+555960,int_stack+531390,int_stack+510600,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+597540,int_stack+285525,int_stack+275970,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+626205,int_stack+597540,int_stack+531390,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+626205,int_stack+555960,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+510600,int_stack+296550,int_stack+285525,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+69300,int_stack+510600,int_stack+597540,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+543675,int_stack+69300,int_stack+626205,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+126630,int_stack+543675,int_stack+0,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+309150,int_stack+296550,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+625575,int_stack+0,int_stack+510600,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+997086,int_stack+625575,int_stack+69300,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1092636,int_stack+997086,int_stack+543675,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1215486,int_stack+1092636,int_stack+126630,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+510600,int_stack+323430,int_stack+309150,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+37800,int_stack+510600,int_stack+0,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+113400,int_stack+37800,int_stack+625575,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+553440,int_stack+113400,int_stack+997086,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1361016,int_stack+553440,int_stack+1092636,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+997086,int_stack+1361016,int_stack+1215486,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1191126,int_stack+339495,int_stack+323430,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1239321,int_stack+1191126,int_stack+510600,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1533006,int_stack+1239321,int_stack+37800,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1659006,int_stack+1533006,int_stack+113400,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+1659006,int_stack+553440,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1824381,int_stack+0,int_stack+1361016,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3945936,int_stack+1824381,int_stack+997086,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+997086,int_stack+357450,int_stack+339495,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1050951,int_stack+997086,int_stack+1191126,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+510600,int_stack+1050951,int_stack+1239321,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+997086,int_stack+510600,int_stack+1533006,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1186086,int_stack+997086,int_stack+1659006,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1417611,int_stack+1186086,int_stack+0,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+1417611,int_stack+1824381,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+997086,int_stack+0,int_stack+3945936,105);
 /*--- compute (qp|nl) ---*/
 hrr1_build_qp(Libint->AB,int_stack+3945936,int_stack+997086,int_stack+726816,2970);
 /*--- compute (od|nl) ---*/
 hrr1_build_od(Libint->AB,int_stack+4756746,int_stack+3945936,int_stack+2074836,2970);
 /*--- compute (nf|nl) ---*/
 hrr1_build_nf(Libint->AB,int_stack+6146706,int_stack+4756746,int_stack+2769816,2970);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+385320,int_stack+377400,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+23760,int_stack+394680,int_stack+385320,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+51840,int_stack+23760,int_stack+0,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+99360,int_stack+405600,int_stack+394680,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+132120,int_stack+99360,int_stack+23760,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+188280,int_stack+132120,int_stack+51840,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+418200,int_stack+405600,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+267480,int_stack+0,int_stack+99360,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+37800,int_stack+267480,int_stack+132120,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1308936,int_stack+37800,int_stack+188280,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+131400,int_stack+432600,int_stack+418200,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+174600,int_stack+131400,int_stack+0,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1427736,int_stack+174600,int_stack+267480,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+250200,int_stack+1427736,int_stack+37800,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1536936,int_stack+250200,int_stack+1308936,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1308936,int_stack+448920,int_stack+432600,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+1308936,int_stack+131400,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1703256,int_stack+0,int_stack+174600,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+86400,int_stack+1703256,int_stack+1427736,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1829256,int_stack+86400,int_stack+250200,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2025816,int_stack+1829256,int_stack+1536936,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+250200,int_stack+467280,int_stack+448920,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+305280,int_stack+250200,int_stack+1308936,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1308936,int_stack+305280,int_stack+0,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1452936,int_stack+1308936,int_stack+1703256,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2247576,int_stack+1452936,int_stack+86400,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2476896,int_stack+2247576,int_stack+1829256,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1641936,int_stack+2476896,int_stack+2025816,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+487800,int_stack+467280,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+61560,int_stack+0,int_stack+250200,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1927056,int_stack+61560,int_stack+305280,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+1927056,int_stack+1308936,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1927056,int_stack+0,int_stack+1452936,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+1927056,int_stack+2247576,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1927056,int_stack+0,int_stack+2476896,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+1927056,int_stack+1641936,120);
 /*--- compute (rp|nl) ---*/
 hrr1_build_rp(Libint->AB,int_stack+1308936,int_stack+0,int_stack+997086,2970);
 /*--- compute (qd|nl) ---*/
 hrr1_build_qd(Libint->AB,int_stack+2244486,int_stack+1308936,int_stack+3945936,2970);
 /*--- compute (of|nl) ---*/
 hrr1_build_of(Libint->AB,int_stack+8106906,int_stack+2244486,int_stack+4756746,2970);
 /*--- compute (ng|nl) ---*/
 hrr1_build_ng(Libint->AB,int_stack+0,int_stack+8106906,int_stack+6146706,2970);
 return int_stack+0;}
