#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nimk(Libint_t*, prim_data*);

  /* Computes quartets of (ni|mk) integrals */

REALTYPE *hrr_order_nimk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][9] = int_stack + 0;
 Libint->vrr_classes[10][10] = int_stack + 3630;
 Libint->vrr_classes[10][11] = int_stack + 7986;
 Libint->vrr_classes[10][12] = int_stack + 13134;
 Libint->vrr_classes[10][13] = int_stack + 19140;
 Libint->vrr_classes[10][14] = int_stack + 26070;
 Libint->vrr_classes[10][15] = int_stack + 33990;
 Libint->vrr_classes[10][16] = int_stack + 42966;
 Libint->vrr_classes[11][9] = int_stack + 53064;
 Libint->vrr_classes[11][10] = int_stack + 57354;
 Libint->vrr_classes[11][11] = int_stack + 62502;
 Libint->vrr_classes[11][12] = int_stack + 68586;
 Libint->vrr_classes[11][13] = int_stack + 75684;
 Libint->vrr_classes[11][14] = int_stack + 83874;
 Libint->vrr_classes[11][15] = int_stack + 93234;
 Libint->vrr_classes[11][16] = int_stack + 103842;
 Libint->vrr_classes[12][9] = int_stack + 115776;
 Libint->vrr_classes[12][10] = int_stack + 120781;
 Libint->vrr_classes[12][11] = int_stack + 126787;
 Libint->vrr_classes[12][12] = int_stack + 133885;
 Libint->vrr_classes[12][13] = int_stack + 142166;
 Libint->vrr_classes[12][14] = int_stack + 151721;
 Libint->vrr_classes[12][15] = int_stack + 162641;
 Libint->vrr_classes[12][16] = int_stack + 175017;
 Libint->vrr_classes[13][9] = int_stack + 188940;
 Libint->vrr_classes[13][10] = int_stack + 194715;
 Libint->vrr_classes[13][11] = int_stack + 201645;
 Libint->vrr_classes[13][12] = int_stack + 209835;
 Libint->vrr_classes[13][13] = int_stack + 219390;
 Libint->vrr_classes[13][14] = int_stack + 230415;
 Libint->vrr_classes[13][15] = int_stack + 243015;
 Libint->vrr_classes[13][16] = int_stack + 257295;
 Libint->vrr_classes[14][9] = int_stack + 273360;
 Libint->vrr_classes[14][10] = int_stack + 279960;
 Libint->vrr_classes[14][11] = int_stack + 287880;
 Libint->vrr_classes[14][12] = int_stack + 297240;
 Libint->vrr_classes[14][13] = int_stack + 308160;
 Libint->vrr_classes[14][14] = int_stack + 320760;
 Libint->vrr_classes[14][15] = int_stack + 335160;
 Libint->vrr_classes[14][16] = int_stack + 351480;
 Libint->vrr_classes[15][9] = int_stack + 369840;
 Libint->vrr_classes[15][10] = int_stack + 377320;
 Libint->vrr_classes[15][11] = int_stack + 386296;
 Libint->vrr_classes[15][12] = int_stack + 396904;
 Libint->vrr_classes[15][13] = int_stack + 409280;
 Libint->vrr_classes[15][14] = int_stack + 423560;
 Libint->vrr_classes[15][15] = int_stack + 439880;
 Libint->vrr_classes[15][16] = int_stack + 458376;
 Libint->vrr_classes[16][9] = int_stack + 479184;
 Libint->vrr_classes[16][10] = int_stack + 487599;
 Libint->vrr_classes[16][11] = int_stack + 497697;
 Libint->vrr_classes[16][12] = int_stack + 509631;
 Libint->vrr_classes[16][13] = int_stack + 523554;
 Libint->vrr_classes[16][14] = int_stack + 539619;
 Libint->vrr_classes[16][15] = int_stack + 557979;
 Libint->vrr_classes[16][16] = int_stack + 578787;
 memset(int_stack,0,602196*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 602196;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nimk(Libint, Data);
   Data++;
 }
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+602196,int_stack+3630,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+613086,int_stack+7986,int_stack+3630,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+626154,int_stack+613086,int_stack+602196,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+647934,int_stack+13134,int_stack+7986,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+663378,int_stack+647934,int_stack+613086,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+689514,int_stack+663378,int_stack+626154,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+602196,int_stack+19140,int_stack+13134,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+725814,int_stack+602196,int_stack+647934,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+756702,int_stack+725814,int_stack+663378,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+620214,int_stack+756702,int_stack+689514,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+674664,int_stack+26070,int_stack+19140,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+800262,int_stack+674664,int_stack+602196,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+836298,int_stack+800262,int_stack+725814,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+887778,int_stack+836298,int_stack+756702,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+695454,int_stack+887778,int_stack+620214,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+602196,int_stack+33990,int_stack+26070,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+625956,int_stack+602196,int_stack+674664,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+953118,int_stack+625956,int_stack+800262,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1013178,int_stack+953118,int_stack+836298,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+771684,int_stack+1013178,int_stack+887778,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1090398,int_stack+771684,int_stack+695454,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+667536,int_stack+42966,int_stack+33990,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+694464,int_stack+667536,int_stack+602196,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+863160,int_stack+694464,int_stack+625956,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+602196,int_stack+863160,int_stack+953118,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+863160,int_stack+602196,int_stack+1013178,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+602196,int_stack+863160,int_stack+771684,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+724164,int_stack+602196,int_stack+1090398,66);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+602196,int_stack+57354,int_stack+53064,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+615066,int_stack+62502,int_stack+57354,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+630510,int_stack+615066,int_stack+602196,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+656250,int_stack+68586,int_stack+62502,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+674502,int_stack+656250,int_stack+615066,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+854844,int_stack+674502,int_stack+630510,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+602196,int_stack+75684,int_stack+68586,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+897744,int_stack+602196,int_stack+656250,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+934248,int_stack+897744,int_stack+674502,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+623490,int_stack+934248,int_stack+854844,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+854844,int_stack+83874,int_stack+75684,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+985728,int_stack+854844,int_stack+602196,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1028316,int_stack+985728,int_stack+897744,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1089156,int_stack+1028316,int_stack+934248,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+879414,int_stack+1089156,int_stack+623490,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+602196,int_stack+93234,int_stack+83874,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+630276,int_stack+602196,int_stack+854844,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+630276,int_stack+985728,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1166376,int_stack+0,int_stack+1028316,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+969504,int_stack+1166376,int_stack+1089156,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1257636,int_stack+969504,int_stack+879414,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+854844,int_stack+103842,int_stack+93234,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+886668,int_stack+854844,int_stack+602196,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1077612,int_stack+886668,int_stack+630276,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+602196,int_stack+1077612,int_stack+0,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1377756,int_stack+602196,int_stack+1166376,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1077612,int_stack+1377756,int_stack+969504,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+854844,int_stack+1077612,int_stack+1257636,78);
 /*--- compute (np|mk) ---*/
 hrr1_build_np(Libint->AB,int_stack+1009284,int_stack+854844,int_stack+724164,1980);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+602196,int_stack+120781,int_stack+115776,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+617211,int_stack+126787,int_stack+120781,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+635229,int_stack+617211,int_stack+602196,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+665259,int_stack+133885,int_stack+126787,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+686553,int_stack+665259,int_stack+617211,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+722589,int_stack+686553,int_stack+635229,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+602196,int_stack+142166,int_stack+133885,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+772639,int_stack+602196,int_stack+665259,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+772639,int_stack+686553,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+627039,int_stack+0,int_stack+722589,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+702114,int_stack+151721,int_stack+142166,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+60060,int_stack+702114,int_stack+602196,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1401324,int_stack+60060,int_stack+772639,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+730779,int_stack+1401324,int_stack+0,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1472304,int_stack+730779,int_stack+627039,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+162641,int_stack+151721,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+602196,int_stack+0,int_stack+702114,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1577409,int_stack+602196,int_stack+60060,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+32760,int_stack+1577409,int_stack+1401324,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1660219,int_stack+32760,int_stack+730779,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+659526,int_stack+1660219,int_stack+1472304,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1401324,int_stack+175017,int_stack+162641,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1438452,int_stack+1401324,int_stack+0,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1786345,int_stack+1438452,int_stack+602196,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1401324,int_stack+1786345,int_stack+1577409,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1786345,int_stack+1401324,int_stack+32760,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1401324,int_stack+1786345,int_stack+1660219,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1569492,int_stack+1401324,int_stack+659526,91);
 /*--- compute (op|mk) ---*/
 hrr1_build_op(Libint->AB,int_stack+1749672,int_stack+1569492,int_stack+854844,1980);
 /*--- compute (nd|mk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2212992,int_stack+1749672,int_stack+1009284,1980);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+602196,int_stack+194715,int_stack+188940,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+619521,int_stack+201645,int_stack+194715,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+640311,int_stack+619521,int_stack+602196,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+674961,int_stack+209835,int_stack+201645,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+699531,int_stack+674961,int_stack+619521,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+741111,int_stack+699531,int_stack+640311,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+602196,int_stack+219390,int_stack+209835,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+798861,int_stack+602196,int_stack+674961,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+848001,int_stack+798861,int_stack+699531,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+630861,int_stack+848001,int_stack+741111,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+717486,int_stack+230415,int_stack+219390,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+917301,int_stack+717486,int_stack+602196,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+974631,int_stack+917301,int_stack+798861,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1056531,int_stack+974631,int_stack+848001,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+750561,int_stack+1056531,int_stack+630861,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+602196,int_stack+243015,int_stack+230415,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+639996,int_stack+602196,int_stack+717486,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1160481,int_stack+639996,int_stack+917301,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1256031,int_stack+1160481,int_stack+974631,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+871836,int_stack+1256031,int_stack+1056531,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1378881,int_stack+871836,int_stack+750561,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+706146,int_stack+257295,int_stack+243015,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+748986,int_stack+706146,int_stack+602196,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1017366,int_stack+748986,int_stack+639996,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+602196,int_stack+1017366,int_stack+1160481,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1017366,int_stack+602196,int_stack+1256031,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+602196,int_stack+1017366,int_stack+871836,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+796236,int_stack+602196,int_stack+1378881,105);
 /*--- compute (qp|mk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1004136,int_stack+796236,int_stack+1569492,1980);
 /*--- compute (od|mk) ---*/
 hrr1_build_od(Libint->AB,int_stack+2997072,int_stack+1004136,int_stack+1749672,1980);
 /*--- compute (nf|mk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+3923712,int_stack+2997072,int_stack+2212992,1980);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+602196,int_stack+279960,int_stack+273360,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+621996,int_stack+287880,int_stack+279960,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+645756,int_stack+621996,int_stack+602196,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+685356,int_stack+297240,int_stack+287880,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+713436,int_stack+685356,int_stack+621996,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1544676,int_stack+713436,int_stack+645756,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+602196,int_stack+308160,int_stack+297240,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1610676,int_stack+602196,int_stack+685356,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1666836,int_stack+1610676,int_stack+713436,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+634956,int_stack+1666836,int_stack+1544676,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1544676,int_stack+320760,int_stack+308160,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1746036,int_stack+1544676,int_stack+602196,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1811556,int_stack+1746036,int_stack+1610676,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1905156,int_stack+1811556,int_stack+1666836,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1582476,int_stack+1905156,int_stack+634956,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+602196,int_stack+335160,int_stack+320760,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+645396,int_stack+602196,int_stack+1544676,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2023956,int_stack+645396,int_stack+1746036,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2133156,int_stack+2023956,int_stack+1811556,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1721076,int_stack+2133156,int_stack+1905156,120);
 /*--- compute (t0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+2273556,int_stack+1721076,int_stack+1582476,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1544676,int_stack+351480,int_stack+335160,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1593636,int_stack+1544676,int_stack+602196,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1887396,int_stack+1593636,int_stack+645396,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+602196,int_stack+1887396,int_stack+2023956,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1887396,int_stack+602196,int_stack+2133156,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2458356,int_stack+1887396,int_stack+1721076,120);
 /*--- compute (t0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1544676,int_stack+2458356,int_stack+2273556,120);
 /*--- compute (rp|mk) ---*/
 hrr1_build_rp(Libint->AB,int_stack+1782276,int_stack+1544676,int_stack+796236,1980);
 /*--- compute (qd|mk) ---*/
 hrr1_build_qd(Libint->AB,int_stack+5230512,int_stack+1782276,int_stack+1004136,1980);
 /*--- compute (of|mk) ---*/
 hrr1_build_of(Libint->AB,int_stack+6311592,int_stack+5230512,int_stack+2997072,1980);
 /*--- compute (ng|mk) ---*/
 hrr1_build_ng(Libint->AB,int_stack+7855992,int_stack+6311592,int_stack+3923712,1980);
 /*--- compute (u0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+602196,int_stack+377320,int_stack+369840,136);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+624636,int_stack+386296,int_stack+377320,136);
 /*--- compute (u0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+651564,int_stack+624636,int_stack+602196,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+696444,int_stack+396904,int_stack+386296,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+728268,int_stack+696444,int_stack+624636,136);
 /*--- compute (u0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+782124,int_stack+728268,int_stack+651564,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+602196,int_stack+409280,int_stack+396904,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+856924,int_stack+602196,int_stack+696444,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+920572,int_stack+856924,int_stack+728268,136);
 /*--- compute (u0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+639324,int_stack+920572,int_stack+782124,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+751524,int_stack+423560,int_stack+409280,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1010332,int_stack+751524,int_stack+602196,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1084588,int_stack+1010332,int_stack+856924,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1190668,int_stack+1084588,int_stack+920572,136);
 /*--- compute (u0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+794364,int_stack+1190668,int_stack+639324,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+602196,int_stack+439880,int_stack+423560,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+651156,int_stack+602196,int_stack+751524,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1325308,int_stack+651156,int_stack+1010332,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2405976,int_stack+1325308,int_stack+1084588,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+951444,int_stack+2405976,int_stack+1190668,136);
 /*--- compute (u0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+2565096,int_stack+951444,int_stack+794364,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+736836,int_stack+458376,int_stack+439880,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+792324,int_stack+736836,int_stack+602196,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1139940,int_stack+792324,int_stack+651156,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+602196,int_stack+1139940,int_stack+1325308,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1139940,int_stack+602196,int_stack+2405976,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+602196,int_stack+1139940,int_stack+951444,136);
 /*--- compute (u0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+853524,int_stack+602196,int_stack+2565096,136);
 /*--- compute (tp|mk) ---*/
 hrr1_build_tp(Libint->AB,int_stack+2405976,int_stack+853524,int_stack+1544676,1980);
 /*--- compute (rd|mk) ---*/
 hrr1_build_rd(Libint->AB,int_stack+3118776,int_stack+2405976,int_stack+1782276,1980);
 /*--- compute (qf|mk) ---*/
 hrr1_build_qf(Libint->AB,int_stack+9816192,int_stack+3118776,int_stack+5230512,1980);
 /*--- compute (og|mk) ---*/
 hrr1_build_og(Libint->AB,int_stack+11617992,int_stack+9816192,int_stack+6311592,1980);
 /*--- compute (nh|mk) ---*/
 hrr1_build_nh(Libint->AB,int_stack+4366176,int_stack+11617992,int_stack+7855992,1980);
 /*--- compute (v0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+602196,int_stack+487599,int_stack+479184,153);
 /*--- compute (v0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+627441,int_stack+497697,int_stack+487599,153);
 /*--- compute (v0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+657735,int_stack+627441,int_stack+602196,153);
 /*--- compute (v0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+708225,int_stack+509631,int_stack+497697,153);
 /*--- compute (v0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+744027,int_stack+708225,int_stack+627441,153);
 /*--- compute (v0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+7110456,int_stack+744027,int_stack+657735,153);
 /*--- compute (v0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+602196,int_stack+523554,int_stack+509631,153);
 /*--- compute (v0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+7194606,int_stack+602196,int_stack+708225,153);
 /*--- compute (v0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+7266210,int_stack+7194606,int_stack+744027,153);
 /*--- compute (v0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+643965,int_stack+7266210,int_stack+7110456,153);
 /*--- compute (v0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+7110456,int_stack+539619,int_stack+523554,153);
 /*--- compute (v0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+7367190,int_stack+7110456,int_stack+602196,153);
 /*--- compute (v0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+7450728,int_stack+7367190,int_stack+7194606,153);
 /*--- compute (v0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+7570068,int_stack+7450728,int_stack+7266210,153);
 /*--- compute (v0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+7158651,int_stack+7570068,int_stack+643965,153);
 /*--- compute (v0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+602196,int_stack+557979,int_stack+539619,153);
 /*--- compute (v0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+657276,int_stack+602196,int_stack+7110456,153);
 /*--- compute (v0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+7721538,int_stack+657276,int_stack+7367190,153);
 /*--- compute (v0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+7860768,int_stack+7721538,int_stack+7450728,153);
 /*--- compute (v0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+7335366,int_stack+7860768,int_stack+7570068,153);
 /*--- compute (v0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+8039778,int_stack+7335366,int_stack+7158651,153);
 /*--- compute (v0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+7110456,int_stack+578787,int_stack+557979,153);
 /*--- compute (v0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+7172880,int_stack+7110456,int_stack+602196,153);
 /*--- compute (v0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+7547424,int_stack+7172880,int_stack+657276,153);
 /*--- compute (v0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+7110456,int_stack+7547424,int_stack+7721538,153);
 /*--- compute (v0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+7547424,int_stack+7110456,int_stack+7860768,153);
 /*--- compute (v0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+8275398,int_stack+7547424,int_stack+7335366,153);
 /*--- compute (v0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+7110456,int_stack+8275398,int_stack+8039778,153);
 /*--- compute (up|mk) ---*/
 hrr1_build_up(Libint->AB,int_stack+7413396,int_stack+7110456,int_stack+853524,1980);
 /*--- compute (td|mk) ---*/
 hrr1_build_td(Libint->AB,int_stack+8221236,int_stack+7413396,int_stack+2405976,1980);
 /*--- compute (rf|mk) ---*/
 hrr1_build_rf(Libint->AB,int_stack+0,int_stack+8221236,int_stack+3118776,1980);
 /*--- compute (qg|mk) ---*/
 hrr1_build_qg(Libint->AB,int_stack+7110456,int_stack+0,int_stack+9816192,1980);
 /*--- compute (oh|mk) ---*/
 hrr1_build_oh(Libint->AB,int_stack+0,int_stack+7110456,int_stack+11617992,1980);
 /*--- compute (ni|mk) ---*/
 hrr1_build_ni(Libint->AB,int_stack+7110456,int_stack+0,int_stack+4366176,1980);
 return int_stack+7110456;}
