#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_p0ip(Libint_t*, prim_data*);

  /* Computes quartets of (p0|ip) integrals */

REALTYPE *hrr_order_p0ip(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][6] = int_stack + 0;
 Libint->vrr_classes[1][7] = int_stack + 84;
 memset(int_stack,0,192*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 192;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_p0ip(Libint, Data);
   Data++;
 }
 /*--- compute (p0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+192,int_stack+84,int_stack+0,3);
 return int_stack+192;}
