#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_p0nm(Libint_t*, prim_data*);

  /* Computes quartets of (p0|nm) integrals */

REALTYPE *hrr_order_p0nm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][10] = int_stack + 0;
 Libint->vrr_classes[1][11] = int_stack + 198;
 Libint->vrr_classes[1][12] = int_stack + 432;
 Libint->vrr_classes[1][13] = int_stack + 705;
 Libint->vrr_classes[1][14] = int_stack + 1020;
 Libint->vrr_classes[1][15] = int_stack + 1380;
 Libint->vrr_classes[1][16] = int_stack + 1788;
 Libint->vrr_classes[1][17] = int_stack + 2247;
 Libint->vrr_classes[1][18] = int_stack + 2760;
 Libint->vrr_classes[1][19] = int_stack + 3330;
 memset(int_stack,0,3960*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3960;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_p0nm(Libint, Data);
   Data++;
 }
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+3960,int_stack+198,int_stack+0,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4554,int_stack+432,int_stack+198,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+5256,int_stack+4554,int_stack+3960,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+6444,int_stack+705,int_stack+432,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+7263,int_stack+6444,int_stack+4554,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+8667,int_stack+7263,int_stack+5256,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+3960,int_stack+1020,int_stack+705,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+10647,int_stack+3960,int_stack+6444,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+4905,int_stack+10647,int_stack+7263,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+12285,int_stack+4905,int_stack+8667,3);
 /*--- compute (p0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+7245,int_stack+1380,int_stack+1020,3);
 /*--- compute (p0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+8325,int_stack+7245,int_stack+3960,3);
 /*--- compute (p0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+15255,int_stack+8325,int_stack+10647,3);
 /*--- compute (p0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+17985,int_stack+15255,int_stack+4905,3);
 /*--- compute (p0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+21495,int_stack+17985,int_stack+12285,3);
 /*--- compute (p0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+3960,int_stack+1788,int_stack+1380,3);
 /*--- compute (p0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+10215,int_stack+3960,int_stack+7245,3);
 /*--- compute (p0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+25653,int_stack+10215,int_stack+8325,3);
 /*--- compute (p0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+5184,int_stack+25653,int_stack+15255,3);
 /*--- compute (p0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+12375,int_stack+5184,int_stack+17985,3);
 /*--- compute (p0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+28803,int_stack+12375,int_stack+21495,3);
 /*--- compute (p0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+17289,int_stack+2247,int_stack+1788,3);
 /*--- compute (p0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+18666,int_stack+17289,int_stack+3960,3);
 /*--- compute (p0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+21114,int_stack+18666,int_stack+10215,3);
 /*--- compute (p0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+34347,int_stack+21114,int_stack+25653,3);
 /*--- compute (p0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+39072,int_stack+34347,int_stack+5184,3);
 /*--- compute (p0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+3960,int_stack+39072,int_stack+12375,3);
 /*--- compute (p0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+44805,int_stack+3960,int_stack+28803,3);
 /*--- compute (p0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+10512,int_stack+2760,int_stack+2247,3);
 /*--- compute (p0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+12051,int_stack+10512,int_stack+17289,3);
 /*--- compute (p0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+24714,int_stack+12051,int_stack+18666,3);
 /*--- compute (p0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+14805,int_stack+24714,int_stack+21114,3);
 /*--- compute (p0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+51933,int_stack+14805,int_stack+34347,3);
 /*--- compute (p0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+28794,int_stack+51933,int_stack+39072,3);
 /*--- compute (p0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+58548,int_stack+28794,int_stack+3960,3);
 /*--- compute (p0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+66972,int_stack+58548,int_stack+44805,3);
 /*--- compute (p0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+3960,int_stack+3330,int_stack+2760,3);
 /*--- compute (p0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+5670,int_stack+3960,int_stack+10512,3);
 /*--- compute (p0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+36438,int_stack+5670,int_stack+12051,3);
 /*--- compute (p0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+41028,int_stack+36438,int_stack+24714,3);
 /*--- compute (p0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+20205,int_stack+41028,int_stack+14805,3);
 /*--- compute (p0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+36438,int_stack+20205,int_stack+51933,3);
 /*--- compute (p0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+45258,int_stack+36438,int_stack+28794,3);
 /*--- compute (p0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+0,int_stack+45258,int_stack+58548,3);
 /*--- compute (p0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+10530,int_stack+0,int_stack+66972,3);
 return int_stack+10530;}
