#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppih(Libint_t*, prim_data*);

  /* Computes quartets of (pp|ih) integrals */

REALTYPE *hrr_order_ppih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][6] = int_stack + 0;
 Libint->vrr_classes[1][7] = int_stack + 84;
 Libint->vrr_classes[1][8] = int_stack + 192;
 Libint->vrr_classes[1][9] = int_stack + 327;
 Libint->vrr_classes[1][10] = int_stack + 492;
 Libint->vrr_classes[1][11] = int_stack + 690;
 Libint->vrr_classes[2][6] = int_stack + 924;
 Libint->vrr_classes[2][7] = int_stack + 1092;
 Libint->vrr_classes[2][8] = int_stack + 1308;
 Libint->vrr_classes[2][9] = int_stack + 1578;
 Libint->vrr_classes[2][10] = int_stack + 1908;
 Libint->vrr_classes[2][11] = int_stack + 2304;
 memset(int_stack,0,2772*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2772;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppih(Libint, Data);
   Data++;
 }
 /*--- compute (p0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+2772,int_stack+84,int_stack+0,3);
 /*--- compute (p0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3024,int_stack+192,int_stack+84,3);
 /*--- compute (p0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+3348,int_stack+3024,int_stack+2772,3);
 /*--- compute (p0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3852,int_stack+327,int_stack+192,3);
 /*--- compute (p0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+4257,int_stack+3852,int_stack+3024,3);
 /*--- compute (p0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+4905,int_stack+4257,int_stack+3348,3);
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+2772,int_stack+492,int_stack+327,3);
 /*--- compute (p0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+5745,int_stack+2772,int_stack+3852,3);
 /*--- compute (p0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+6555,int_stack+5745,int_stack+4257,3);
 /*--- compute (p0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+3267,int_stack+6555,int_stack+4905,3);
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4527,int_stack+690,int_stack+492,3);
 /*--- compute (p0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+7635,int_stack+4527,int_stack+2772,3);
 /*--- compute (p0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+8625,int_stack+7635,int_stack+5745,3);
 /*--- compute (p0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+4527,int_stack+8625,int_stack+6555,3);
 /*--- compute (p0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+6147,int_stack+4527,int_stack+3267,3);
 /*--- compute (d0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+2772,int_stack+1092,int_stack+924,6);
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3276,int_stack+1308,int_stack+1092,6);
 /*--- compute (d0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+3924,int_stack+3276,int_stack+2772,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4932,int_stack+1578,int_stack+1308,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+7911,int_stack+4932,int_stack+3276,6);
 /*--- compute (d0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+9207,int_stack+7911,int_stack+3924,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+2772,int_stack+1908,int_stack+1578,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+2772,int_stack+4932,6);
 /*--- compute (d0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+3762,int_stack+0,int_stack+7911,6);
 /*--- compute (d0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+10887,int_stack+3762,int_stack+9207,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+7911,int_stack+2304,int_stack+1908,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+13407,int_stack+7911,int_stack+2772,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+7911,int_stack+13407,int_stack+0,6);
 /*--- compute (d0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+7911,int_stack+3762,6);
 /*--- compute (d0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+13407,int_stack+0,int_stack+10887,6);
 /*--- compute (pp|ih) ---*/
 hrr1_build_pp(Libint->AB,int_stack+0,int_stack+13407,int_stack+6147,588);
 return int_stack+0;}
