#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppip(Libint_t*, prim_data*);

  /* Computes quartets of (pp|ip) integrals */

REALTYPE *hrr_order_ppip(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][6] = int_stack + 0;
 Libint->vrr_classes[1][7] = int_stack + 84;
 Libint->vrr_classes[2][6] = int_stack + 192;
 Libint->vrr_classes[2][7] = int_stack + 360;
 memset(int_stack,0,576*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 576;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppip(Libint, Data);
   Data++;
 }
 /*--- compute (p0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+576,int_stack+84,int_stack+0,3);
 /*--- compute (d0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+828,int_stack+360,int_stack+192,6);
 /*--- compute (pp|ip) ---*/
 hrr1_build_pp(Libint->AB,int_stack+1332,int_stack+828,int_stack+576,84);
 return int_stack+1332;}
