#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppk0(Libint_t*, prim_data*);

  /* Computes quartets of (pp|k0) integrals */

REALTYPE *hrr_order_ppk0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][7] = int_stack + 0;
 Libint->vrr_classes[2][7] = int_stack + 108;
 memset(int_stack,0,324*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 324;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppk0(Libint, Data);
   Data++;
 }
 /*--- compute (pp|k0) ---*/
 hrr1_build_pp(Libint->AB,int_stack+324,int_stack+108,int_stack+0,36);
 return int_stack+324;}
