#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (hg|nm) integrals */

void vrr_order_hgnm(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+3, Data->F+9, Data->F+10, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+12, vrr_stack+0, Data->F+8, Data->F+9, NULL);
 _BUILD_p0d0(Data,vrr_stack+21, vrr_stack+15, vrr_stack+6, NULL, NULL, vrr_stack+0);
 _BUILD_00f0(Data,vrr_stack+39, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+49, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+52, vrr_stack+49, vrr_stack+12, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+58, vrr_stack+52, vrr_stack+15, vrr_stack+49, vrr_stack+12, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+68, vrr_stack+3, vrr_stack+12, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+74, vrr_stack+6, vrr_stack+68, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_p0f0(Data,vrr_stack+84, vrr_stack+39, vrr_stack+74, NULL, NULL, vrr_stack+6);
 _BUILD_p0f0(Data,vrr_stack+114, vrr_stack+58, vrr_stack+39, NULL, NULL, vrr_stack+15);
 _BUILD_d0f0(Data,vrr_stack+144, vrr_stack+114, vrr_stack+84, vrr_stack+58, vrr_stack+39, vrr_stack+21);
 _BUILD_00g0(Data,vrr_stack+21, vrr_stack+39, vrr_stack+74, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+204, vrr_stack+58, vrr_stack+39, vrr_stack+52, vrr_stack+15, NULL);
 _BUILD_p0g0(Data,vrr_stack+219, vrr_stack+204, vrr_stack+21, NULL, NULL, vrr_stack+39);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+36, vrr_stack+49, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+264, vrr_stack+15, vrr_stack+52, vrr_stack+36, vrr_stack+49, NULL);
 _BUILD_00g0(Data,vrr_stack+274, vrr_stack+264, vrr_stack+58, vrr_stack+15, vrr_stack+52, NULL);
 _BUILD_p0g0(Data,vrr_stack+289, vrr_stack+274, vrr_stack+204, NULL, NULL, vrr_stack+58);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+49, vrr_stack+12, vrr_stack+0, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+334, vrr_stack+68, vrr_stack+49, vrr_stack+3, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+344, vrr_stack+74, vrr_stack+334, vrr_stack+6, vrr_stack+68, NULL);
 _BUILD_p0g0(Data,vrr_stack+359, vrr_stack+21, vrr_stack+344, NULL, NULL, vrr_stack+74);
 _BUILD_d0g0(Data,vrr_stack+404, vrr_stack+219, vrr_stack+359, vrr_stack+204, vrr_stack+21, vrr_stack+84);
 _BUILD_d0g0(Data,vrr_stack+494, vrr_stack+289, vrr_stack+219, vrr_stack+274, vrr_stack+204, vrr_stack+114);
 _BUILD_f0g0(Data,vrr_stack+584, vrr_stack+494, vrr_stack+404, vrr_stack+289, vrr_stack+219, vrr_stack+144);
 _BUILD_00h0(Data,vrr_stack+84, vrr_stack+204, vrr_stack+21, vrr_stack+58, vrr_stack+39, NULL);
 _BUILD_00h0(Data,vrr_stack+105, vrr_stack+274, vrr_stack+204, vrr_stack+264, vrr_stack+58, NULL);
 _BUILD_00h0(Data,vrr_stack+126, vrr_stack+21, vrr_stack+344, vrr_stack+39, vrr_stack+74, NULL);
 _BUILD_p0h0(Data,vrr_stack+734, vrr_stack+84, vrr_stack+126, NULL, NULL, vrr_stack+21);
 _BUILD_p0h0(Data,vrr_stack+797, vrr_stack+105, vrr_stack+84, NULL, NULL, vrr_stack+204);
 _BUILD_d0h0(Data,vrr_stack+860, vrr_stack+797, vrr_stack+734, vrr_stack+105, vrr_stack+84, vrr_stack+219);
 _BUILD_00p0(Data,vrr_stack+219, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+222, vrr_stack+219, vrr_stack+36, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+39, vrr_stack+222, vrr_stack+15, vrr_stack+219, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+986, vrr_stack+39, vrr_stack+264, vrr_stack+222, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+228, vrr_stack+986, vrr_stack+274, vrr_stack+39, vrr_stack+264, NULL);
 _BUILD_p0h0(Data,vrr_stack+1001, vrr_stack+228, vrr_stack+105, NULL, NULL, vrr_stack+274);
 _BUILD_d0h0(Data,vrr_stack+1064, vrr_stack+1001, vrr_stack+797, vrr_stack+228, vrr_stack+105, vrr_stack+289);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+0, vrr_stack+36, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+289, vrr_stack+49, vrr_stack+15, vrr_stack+12, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+299, vrr_stack+334, vrr_stack+289, vrr_stack+68, vrr_stack+49, NULL);
 _BUILD_00h0(Data,vrr_stack+249, vrr_stack+344, vrr_stack+299, vrr_stack+74, vrr_stack+334, NULL);
 _BUILD_p0h0(Data,vrr_stack+1190, vrr_stack+126, vrr_stack+249, NULL, NULL, vrr_stack+344);
 _BUILD_d0h0(Data,vrr_stack+1253, vrr_stack+734, vrr_stack+1190, vrr_stack+84, vrr_stack+126, vrr_stack+359);
 _BUILD_f0h0(Data,vrr_stack+1379, vrr_stack+860, vrr_stack+1253, vrr_stack+797, vrr_stack+734, vrr_stack+404);
 _BUILD_f0h0(Data,vrr_stack+1589, vrr_stack+1064, vrr_stack+860, vrr_stack+1001, vrr_stack+797, vrr_stack+494);
 _BUILD_g0h0(Data,vrr_stack+1799, vrr_stack+1589, vrr_stack+1379, vrr_stack+1064, vrr_stack+860, vrr_stack+584);
 _BUILD_00i0(Data,vrr_stack+359, vrr_stack+84, vrr_stack+126, vrr_stack+204, vrr_stack+21, NULL);
 _BUILD_00i0(Data,vrr_stack+387, vrr_stack+105, vrr_stack+84, vrr_stack+274, vrr_stack+204, NULL);
 _BUILD_p0i0(Data,vrr_stack+415, vrr_stack+387, vrr_stack+359, NULL, NULL, vrr_stack+84);
 _BUILD_00i0(Data,vrr_stack+499, vrr_stack+228, vrr_stack+105, vrr_stack+986, vrr_stack+274, NULL);
 _BUILD_p0i0(Data,vrr_stack+527, vrr_stack+499, vrr_stack+387, NULL, NULL, vrr_stack+105);
 _BUILD_00i0(Data,vrr_stack+611, vrr_stack+126, vrr_stack+249, vrr_stack+21, vrr_stack+344, NULL);
 _BUILD_p0i0(Data,vrr_stack+639, vrr_stack+359, vrr_stack+611, NULL, NULL, vrr_stack+126);
 _BUILD_d0i0(Data,vrr_stack+2114, vrr_stack+415, vrr_stack+639, vrr_stack+387, vrr_stack+359, vrr_stack+734);
 _BUILD_d0i0(Data,vrr_stack+2282, vrr_stack+527, vrr_stack+415, vrr_stack+499, vrr_stack+387, vrr_stack+797);
 _BUILD_f0i0(Data,vrr_stack+2450, vrr_stack+2282, vrr_stack+2114, vrr_stack+527, vrr_stack+415, vrr_stack+860);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+21, vrr_stack+219, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+723, vrr_stack+24, vrr_stack+222, vrr_stack+21, vrr_stack+219, NULL);
 _BUILD_00g0(Data,vrr_stack+733, vrr_stack+723, vrr_stack+39, vrr_stack+24, vrr_stack+222, NULL);
 _BUILD_00h0(Data,vrr_stack+748, vrr_stack+733, vrr_stack+986, vrr_stack+723, vrr_stack+39, NULL);
 _BUILD_00i0(Data,vrr_stack+769, vrr_stack+748, vrr_stack+228, vrr_stack+733, vrr_stack+986, NULL);
 _BUILD_p0i0(Data,vrr_stack+797, vrr_stack+769, vrr_stack+499, NULL, NULL, vrr_stack+228);
 _BUILD_d0i0(Data,vrr_stack+2730, vrr_stack+797, vrr_stack+527, vrr_stack+769, vrr_stack+499, vrr_stack+1001);
 _BUILD_f0i0(Data,vrr_stack+2898, vrr_stack+2730, vrr_stack+2282, vrr_stack+797, vrr_stack+527, vrr_stack+1064);
 _BUILD_00p0(Data,vrr_stack+39, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30, vrr_stack+36, vrr_stack+39, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+881, vrr_stack+15, vrr_stack+30, vrr_stack+0, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+289, vrr_stack+881, vrr_stack+49, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+42, vrr_stack+299, vrr_stack+0, vrr_stack+334, vrr_stack+289, NULL);
 _BUILD_00i0(Data,vrr_stack+891, vrr_stack+249, vrr_stack+42, vrr_stack+344, vrr_stack+299, NULL);
 _BUILD_p0i0(Data,vrr_stack+919, vrr_stack+611, vrr_stack+891, NULL, NULL, vrr_stack+249);
 _BUILD_d0i0(Data,vrr_stack+1003, vrr_stack+639, vrr_stack+919, vrr_stack+359, vrr_stack+611, vrr_stack+1190);
 _BUILD_f0i0(Data,vrr_stack+3178, vrr_stack+2114, vrr_stack+1003, vrr_stack+415, vrr_stack+639, vrr_stack+1253);
 _BUILD_g0i0(Data,vrr_stack+3458, vrr_stack+2450, vrr_stack+3178, vrr_stack+2282, vrr_stack+2114, vrr_stack+1379);
 _BUILD_g0i0(Data,vrr_stack+3878, vrr_stack+2898, vrr_stack+2450, vrr_stack+2730, vrr_stack+2282, vrr_stack+1589);
 _BUILD_h0i0(Data,vrr_stack+1171, vrr_stack+3878, vrr_stack+3458, vrr_stack+2898, vrr_stack+2450, vrr_stack+1799);
 _BUILD_00k0(Data,vrr_stack+1759, vrr_stack+387, vrr_stack+359, vrr_stack+105, vrr_stack+84, NULL);
 _BUILD_00k0(Data,vrr_stack+1795, vrr_stack+499, vrr_stack+387, vrr_stack+228, vrr_stack+105, NULL);
 _BUILD_00k0(Data,vrr_stack+1831, vrr_stack+359, vrr_stack+611, vrr_stack+84, vrr_stack+126, NULL);
 _BUILD_p0k0(Data,vrr_stack+1867, vrr_stack+1759, vrr_stack+1831, NULL, NULL, vrr_stack+359);
 _BUILD_p0k0(Data,vrr_stack+1975, vrr_stack+1795, vrr_stack+1759, NULL, NULL, vrr_stack+387);
 _BUILD_d0k0(Data,vrr_stack+4298, vrr_stack+1975, vrr_stack+1867, vrr_stack+1795, vrr_stack+1759, vrr_stack+415);
 _BUILD_00k0(Data,vrr_stack+415, vrr_stack+769, vrr_stack+499, vrr_stack+748, vrr_stack+228, NULL);
 _BUILD_p0k0(Data,vrr_stack+4514, vrr_stack+415, vrr_stack+1795, NULL, NULL, vrr_stack+499);
 _BUILD_d0k0(Data,vrr_stack+4622, vrr_stack+4514, vrr_stack+1975, vrr_stack+415, vrr_stack+1795, vrr_stack+527);
 _BUILD_00k0(Data,vrr_stack+527, vrr_stack+611, vrr_stack+891, vrr_stack+126, vrr_stack+249, NULL);
 _BUILD_p0k0(Data,vrr_stack+63, vrr_stack+1831, vrr_stack+527, NULL, NULL, vrr_stack+611);
 _BUILD_d0k0(Data,vrr_stack+4838, vrr_stack+1867, vrr_stack+63, vrr_stack+1759, vrr_stack+1831, vrr_stack+639);
 _BUILD_f0k0(Data,vrr_stack+5054, vrr_stack+4298, vrr_stack+4838, vrr_stack+1975, vrr_stack+1867, vrr_stack+2114);
 _BUILD_f0k0(Data,vrr_stack+5414, vrr_stack+4622, vrr_stack+4298, vrr_stack+4514, vrr_stack+1975, vrr_stack+2282);
 _BUILD_g0k0(Data,vrr_stack+5774, vrr_stack+5414, vrr_stack+5054, vrr_stack+4622, vrr_stack+4298, vrr_stack+2450);
 _BUILD_00p0(Data,vrr_stack+639, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+642, vrr_stack+639, vrr_stack+21, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+648, vrr_stack+642, vrr_stack+24, vrr_stack+639, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+658, vrr_stack+648, vrr_stack+723, vrr_stack+642, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+673, vrr_stack+658, vrr_stack+733, vrr_stack+648, vrr_stack+723, NULL);
 _BUILD_00i0(Data,vrr_stack+694, vrr_stack+673, vrr_stack+748, vrr_stack+658, vrr_stack+733, NULL);
 _BUILD_00k0(Data,vrr_stack+563, vrr_stack+694, vrr_stack+769, vrr_stack+673, vrr_stack+748, NULL);
 _BUILD_p0k0(Data,vrr_stack+2083, vrr_stack+563, vrr_stack+415, NULL, NULL, vrr_stack+769);
 _BUILD_d0k0(Data,vrr_stack+2191, vrr_stack+2083, vrr_stack+4514, vrr_stack+563, vrr_stack+415, vrr_stack+797);
 _BUILD_f0k0(Data,vrr_stack+6314, vrr_stack+2191, vrr_stack+4622, vrr_stack+2083, vrr_stack+4514, vrr_stack+2730);
 _BUILD_g0k0(Data,vrr_stack+6674, vrr_stack+6314, vrr_stack+5414, vrr_stack+2191, vrr_stack+4622, vrr_stack+2898);
 _BUILD_00p0(Data,vrr_stack+797, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+800, vrr_stack+39, vrr_stack+797, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+806, vrr_stack+30, vrr_stack+800, vrr_stack+36, vrr_stack+39, NULL);
 _BUILD_00g0(Data,vrr_stack+816, vrr_stack+881, vrr_stack+806, vrr_stack+15, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+831, vrr_stack+0, vrr_stack+816, vrr_stack+289, vrr_stack+881, NULL);
 _BUILD_00i0(Data,vrr_stack+852, vrr_stack+42, vrr_stack+831, vrr_stack+299, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+722, vrr_stack+891, vrr_stack+852, vrr_stack+249, vrr_stack+42, NULL);
 _BUILD_p0k0(Data,vrr_stack+171, vrr_stack+527, vrr_stack+722, NULL, NULL, vrr_stack+891);
 _BUILD_d0k0(Data,vrr_stack+2407, vrr_stack+63, vrr_stack+171, vrr_stack+1831, vrr_stack+527, vrr_stack+919);
 _BUILD_f0k0(Data,vrr_stack+2623, vrr_stack+4838, vrr_stack+2407, vrr_stack+1867, vrr_stack+63, vrr_stack+1003);
 _BUILD_g0k0(Data,vrr_stack+7214, vrr_stack+5054, vrr_stack+2623, vrr_stack+4298, vrr_stack+4838, vrr_stack+3178);
 _BUILD_h0k0(Data,vrr_stack+7754, vrr_stack+5774, vrr_stack+7214, vrr_stack+5414, vrr_stack+5054, vrr_stack+3458);
 _BUILD_h0k0(Data,vrr_stack+2983, vrr_stack+6674, vrr_stack+5774, vrr_stack+6314, vrr_stack+5414, vrr_stack+3878);
 _BUILD_i0k0(Data,vrr_stack+8510, vrr_stack+2983, vrr_stack+7754, vrr_stack+6674, vrr_stack+5774, vrr_stack+1171);
 _BUILD_00l0(Data,vrr_stack+919, vrr_stack+1759, vrr_stack+1831, vrr_stack+387, vrr_stack+359, NULL);
 _BUILD_00l0(Data,vrr_stack+964, vrr_stack+1795, vrr_stack+1759, vrr_stack+499, vrr_stack+387, NULL);
 _BUILD_p0l0(Data,vrr_stack+1009, vrr_stack+964, vrr_stack+919, NULL, NULL, vrr_stack+1759);
 _BUILD_00l0(Data,vrr_stack+1144, vrr_stack+415, vrr_stack+1795, vrr_stack+769, vrr_stack+499, NULL);
 _BUILD_p0l0(Data,vrr_stack+1189, vrr_stack+1144, vrr_stack+964, NULL, NULL, vrr_stack+1795);
 _BUILD_00l0(Data,vrr_stack+1324, vrr_stack+1831, vrr_stack+527, vrr_stack+359, vrr_stack+611, NULL);
 _BUILD_p0l0(Data,vrr_stack+1369, vrr_stack+919, vrr_stack+1324, NULL, NULL, vrr_stack+1831);
 _BUILD_d0l0(Data,vrr_stack+3739, vrr_stack+1009, vrr_stack+1369, vrr_stack+964, vrr_stack+919, vrr_stack+1867);
 _BUILD_d0l0(Data,vrr_stack+4009, vrr_stack+1189, vrr_stack+1009, vrr_stack+1144, vrr_stack+964, vrr_stack+1975);
 _BUILD_f0l0(Data,vrr_stack+9518, vrr_stack+4009, vrr_stack+3739, vrr_stack+1189, vrr_stack+1009, vrr_stack+4298);
 _BUILD_00l0(Data,vrr_stack+1867, vrr_stack+563, vrr_stack+415, vrr_stack+694, vrr_stack+769, NULL);
 _BUILD_p0l0(Data,vrr_stack+1912, vrr_stack+1867, vrr_stack+1144, NULL, NULL, vrr_stack+415);
 _BUILD_d0l0(Data,vrr_stack+9968, vrr_stack+1912, vrr_stack+1189, vrr_stack+1867, vrr_stack+1144, vrr_stack+4514);
 _BUILD_f0l0(Data,vrr_stack+10238, vrr_stack+9968, vrr_stack+4009, vrr_stack+1912, vrr_stack+1189, vrr_stack+4622);
 _BUILD_00l0(Data,vrr_stack+1504, vrr_stack+527, vrr_stack+722, vrr_stack+611, vrr_stack+891, NULL);
 _BUILD_p0l0(Data,vrr_stack+1549, vrr_stack+1324, vrr_stack+1504, NULL, NULL, vrr_stack+527);
 _BUILD_d0l0(Data,vrr_stack+4279, vrr_stack+1369, vrr_stack+1549, vrr_stack+919, vrr_stack+1324, vrr_stack+63);
 _BUILD_f0l0(Data,vrr_stack+10688, vrr_stack+3739, vrr_stack+4279, vrr_stack+1009, vrr_stack+1369, vrr_stack+4838);
 _BUILD_g0l0(Data,vrr_stack+11138, vrr_stack+9518, vrr_stack+10688, vrr_stack+4009, vrr_stack+3739, vrr_stack+5054);
 _BUILD_g0l0(Data,vrr_stack+4549, vrr_stack+10238, vrr_stack+9518, vrr_stack+9968, vrr_stack+4009, vrr_stack+5414);
 _BUILD_h0l0(Data,vrr_stack+11813, vrr_stack+4549, vrr_stack+11138, vrr_stack+10238, vrr_stack+9518, vrr_stack+5774);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+63, vrr_stack+36, vrr_stack+639, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+69, vrr_stack+63, vrr_stack+642, vrr_stack+36, vrr_stack+639, NULL);
 _BUILD_00g0(Data,vrr_stack+15, vrr_stack+69, vrr_stack+648, vrr_stack+63, vrr_stack+642, NULL);
 _BUILD_00h0(Data,vrr_stack+79, vrr_stack+15, vrr_stack+658, vrr_stack+69, vrr_stack+648, NULL);
 _BUILD_00i0(Data,vrr_stack+100, vrr_stack+79, vrr_stack+673, vrr_stack+15, vrr_stack+658, NULL);
 _BUILD_00k0(Data,vrr_stack+2047, vrr_stack+100, vrr_stack+694, vrr_stack+79, vrr_stack+673, NULL);
 _BUILD_00l0(Data,vrr_stack+1684, vrr_stack+2047, vrr_stack+563, vrr_stack+100, vrr_stack+694, NULL);
 _BUILD_p0l0(Data,vrr_stack+279, vrr_stack+1684, vrr_stack+1867, NULL, NULL, vrr_stack+563);
 _BUILD_d0l0(Data,vrr_stack+5224, vrr_stack+279, vrr_stack+1912, vrr_stack+1684, vrr_stack+1867, vrr_stack+2083);
 _BUILD_f0l0(Data,vrr_stack+5494, vrr_stack+5224, vrr_stack+9968, vrr_stack+279, vrr_stack+1912, vrr_stack+2191);
 _BUILD_g0l0(Data,vrr_stack+12758, vrr_stack+5494, vrr_stack+10238, vrr_stack+5224, vrr_stack+9968, vrr_stack+6314);
 _BUILD_h0l0(Data,vrr_stack+13433, vrr_stack+12758, vrr_stack+4549, vrr_stack+5494, vrr_stack+10238, vrr_stack+6674);
 _BUILD_00p0(Data,vrr_stack+2083, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2086, vrr_stack+797, vrr_stack+2083, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+2092, vrr_stack+800, vrr_stack+2086, vrr_stack+39, vrr_stack+797, NULL);
 _BUILD_00g0(Data,vrr_stack+2102, vrr_stack+806, vrr_stack+2092, vrr_stack+30, vrr_stack+800, NULL);
 _BUILD_00h0(Data,vrr_stack+2117, vrr_stack+816, vrr_stack+2102, vrr_stack+881, vrr_stack+806, NULL);
 _BUILD_00i0(Data,vrr_stack+2138, vrr_stack+831, vrr_stack+2117, vrr_stack+0, vrr_stack+816, NULL);
 _BUILD_00k0(Data,vrr_stack+2166, vrr_stack+852, vrr_stack+2138, vrr_stack+42, vrr_stack+831, NULL);
 _BUILD_00l0(Data,vrr_stack+2202, vrr_stack+722, vrr_stack+2166, vrr_stack+891, vrr_stack+852, NULL);
 _BUILD_p0l0(Data,vrr_stack+2247, vrr_stack+1504, vrr_stack+2202, NULL, NULL, vrr_stack+722);
 _BUILD_d0l0(Data,vrr_stack+5944, vrr_stack+1549, vrr_stack+2247, vrr_stack+1324, vrr_stack+1504, vrr_stack+171);
 _BUILD_f0l0(Data,vrr_stack+6214, vrr_stack+4279, vrr_stack+5944, vrr_stack+1369, vrr_stack+1549, vrr_stack+2407);
 _BUILD_g0l0(Data,vrr_stack+14378, vrr_stack+10688, vrr_stack+6214, vrr_stack+3739, vrr_stack+4279, vrr_stack+2623);
 _BUILD_h0l0(Data,vrr_stack+15053, vrr_stack+11138, vrr_stack+14378, vrr_stack+9518, vrr_stack+10688, vrr_stack+7214);
 _BUILD_i0l0(Data,vrr_stack+15998, vrr_stack+11813, vrr_stack+15053, vrr_stack+4549, vrr_stack+11138, vrr_stack+7754);
 _BUILD_i0l0(Data,vrr_stack+6664, vrr_stack+13433, vrr_stack+11813, vrr_stack+12758, vrr_stack+4549, vrr_stack+2983);
 _BUILD_k0l0(Data,vrr_stack+17258, vrr_stack+6664, vrr_stack+15998, vrr_stack+13433, vrr_stack+11813, vrr_stack+8510);
 _BUILD_00m0(Data,vrr_stack+2382, vrr_stack+964, vrr_stack+919, vrr_stack+1795, vrr_stack+1759, NULL);
 _BUILD_00m0(Data,vrr_stack+2437, vrr_stack+1144, vrr_stack+964, vrr_stack+415, vrr_stack+1795, NULL);
 _BUILD_00m0(Data,vrr_stack+2492, vrr_stack+919, vrr_stack+1324, vrr_stack+1759, vrr_stack+1831, NULL);
 _BUILD_p0m0(Data,vrr_stack+2547, vrr_stack+2382, vrr_stack+2492, NULL, NULL, vrr_stack+919);
 _BUILD_p0m0(Data,vrr_stack+2712, vrr_stack+2437, vrr_stack+2382, NULL, NULL, vrr_stack+964);
 _BUILD_d0m0(Data,vrr_stack+2877, vrr_stack+2712, vrr_stack+2547, vrr_stack+2437, vrr_stack+2382, vrr_stack+1009);
 _BUILD_00m0(Data,vrr_stack+1009, vrr_stack+1867, vrr_stack+1144, vrr_stack+563, vrr_stack+415, NULL);
 _BUILD_p0m0(Data,vrr_stack+3207, vrr_stack+1009, vrr_stack+2437, NULL, NULL, vrr_stack+1144);
 _BUILD_d0m0(Data,vrr_stack+3372, vrr_stack+3207, vrr_stack+2712, vrr_stack+1009, vrr_stack+2437, vrr_stack+1189);
 _BUILD_00m0(Data,vrr_stack+1189, vrr_stack+1324, vrr_stack+1504, vrr_stack+1831, vrr_stack+527, NULL);
 _BUILD_p0m0(Data,vrr_stack+7924, vrr_stack+2492, vrr_stack+1189, NULL, NULL, vrr_stack+1324);
 _BUILD_d0m0(Data,vrr_stack+8089, vrr_stack+2547, vrr_stack+7924, vrr_stack+2382, vrr_stack+2492, vrr_stack+1369);
 _BUILD_f0m0(Data,vrr_stack+8419, vrr_stack+2877, vrr_stack+8089, vrr_stack+2712, vrr_stack+2547, vrr_stack+3739);
 _BUILD_f0m0(Data,vrr_stack+18878, vrr_stack+3372, vrr_stack+2877, vrr_stack+3207, vrr_stack+2712, vrr_stack+4009);
 _BUILD_g0m0(Data,vrr_stack+19428, vrr_stack+18878, vrr_stack+8419, vrr_stack+3372, vrr_stack+2877, vrr_stack+9518);
 _BUILD_00m0(Data,vrr_stack+1369, vrr_stack+1684, vrr_stack+1867, vrr_stack+2047, vrr_stack+563, NULL);
 _BUILD_p0m0(Data,vrr_stack+3702, vrr_stack+1369, vrr_stack+1009, NULL, NULL, vrr_stack+1867);
 _BUILD_d0m0(Data,vrr_stack+3867, vrr_stack+3702, vrr_stack+3207, vrr_stack+1369, vrr_stack+1009, vrr_stack+1912);
 _BUILD_f0m0(Data,vrr_stack+8969, vrr_stack+3867, vrr_stack+3372, vrr_stack+3702, vrr_stack+3207, vrr_stack+9968);
 _BUILD_g0m0(Data,vrr_stack+20253, vrr_stack+8969, vrr_stack+18878, vrr_stack+3867, vrr_stack+3372, vrr_stack+10238);
 _BUILD_00m0(Data,vrr_stack+1912, vrr_stack+1504, vrr_stack+2202, vrr_stack+527, vrr_stack+722, NULL);
 _BUILD_p0m0(Data,vrr_stack+414, vrr_stack+1189, vrr_stack+1912, NULL, NULL, vrr_stack+1504);
 _BUILD_d0m0(Data,vrr_stack+9519, vrr_stack+7924, vrr_stack+414, vrr_stack+2492, vrr_stack+1189, vrr_stack+1549);
 _BUILD_f0m0(Data,vrr_stack+9849, vrr_stack+8089, vrr_stack+9519, vrr_stack+2547, vrr_stack+7924, vrr_stack+4279);
 _BUILD_g0m0(Data,vrr_stack+21078, vrr_stack+8419, vrr_stack+9849, vrr_stack+2877, vrr_stack+8089, vrr_stack+10688);
 _BUILD_h0m0(Data,vrr_stack+21903, vrr_stack+19428, vrr_stack+21078, vrr_stack+18878, vrr_stack+8419, vrr_stack+11138);
 _BUILD_h0m0(Data,vrr_stack+10399, vrr_stack+20253, vrr_stack+19428, vrr_stack+8969, vrr_stack+18878, vrr_stack+4549);
 _BUILD_i0m0(Data,vrr_stack+23058, vrr_stack+10399, vrr_stack+21903, vrr_stack+20253, vrr_stack+19428, vrr_stack+11813);
 _BUILD_00p0(Data,vrr_stack+1549, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30, vrr_stack+1549, vrr_stack+36, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+1552, vrr_stack+30, vrr_stack+63, vrr_stack+1549, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+1552, vrr_stack+69, vrr_stack+30, vrr_stack+63, NULL);
 _BUILD_00h0(Data,vrr_stack+36, vrr_stack+0, vrr_stack+15, vrr_stack+1552, vrr_stack+69, NULL);
 _BUILD_00i0(Data,vrr_stack+1562, vrr_stack+36, vrr_stack+79, vrr_stack+0, vrr_stack+15, NULL);
 _BUILD_00k0(Data,vrr_stack+1590, vrr_stack+1562, vrr_stack+100, vrr_stack+36, vrr_stack+79, NULL);
 _BUILD_00l0(Data,vrr_stack+1626, vrr_stack+1590, vrr_stack+2047, vrr_stack+1562, vrr_stack+100, NULL);
 _BUILD_00m0(Data,vrr_stack+57, vrr_stack+1626, vrr_stack+1684, vrr_stack+1590, vrr_stack+2047, NULL);
 _BUILD_p0m0(Data,vrr_stack+112, vrr_stack+57, vrr_stack+1369, NULL, NULL, vrr_stack+1684);
 _BUILD_d0m0(Data,vrr_stack+4197, vrr_stack+112, vrr_stack+3702, vrr_stack+57, vrr_stack+1369, vrr_stack+279);
 _BUILD_f0m0(Data,vrr_stack+4527, vrr_stack+4197, vrr_stack+3867, vrr_stack+112, vrr_stack+3702, vrr_stack+5224);
 _BUILD_g0m0(Data,vrr_stack+11554, vrr_stack+4527, vrr_stack+8969, vrr_stack+4197, vrr_stack+3867, vrr_stack+5494);
 _BUILD_h0m0(Data,vrr_stack+24598, vrr_stack+11554, vrr_stack+20253, vrr_stack+4527, vrr_stack+8969, vrr_stack+12758);
 _BUILD_i0m0(Data,vrr_stack+25753, vrr_stack+24598, vrr_stack+10399, vrr_stack+11554, vrr_stack+20253, vrr_stack+13433);
 _BUILD_00p0(Data,vrr_stack+15, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+18, vrr_stack+2083, vrr_stack+15, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+277, vrr_stack+2086, vrr_stack+18, vrr_stack+797, vrr_stack+2083, NULL);
 _BUILD_00g0(Data,vrr_stack+287, vrr_stack+2092, vrr_stack+277, vrr_stack+800, vrr_stack+2086, NULL);
 _BUILD_00h0(Data,vrr_stack+302, vrr_stack+2102, vrr_stack+287, vrr_stack+806, vrr_stack+2092, NULL);
 _BUILD_00i0(Data,vrr_stack+323, vrr_stack+2117, vrr_stack+302, vrr_stack+816, vrr_stack+2102, NULL);
 _BUILD_00k0(Data,vrr_stack+351, vrr_stack+2138, vrr_stack+323, vrr_stack+831, vrr_stack+2117, NULL);
 _BUILD_00l0(Data,vrr_stack+1967, vrr_stack+2166, vrr_stack+351, vrr_stack+852, vrr_stack+2138, NULL);
 _BUILD_00m0(Data,vrr_stack+2012, vrr_stack+2202, vrr_stack+1967, vrr_stack+722, vrr_stack+2166, NULL);
 _BUILD_p0m0(Data,vrr_stack+5077, vrr_stack+1912, vrr_stack+2012, NULL, NULL, vrr_stack+2202);
 _BUILD_d0m0(Data,vrr_stack+5242, vrr_stack+414, vrr_stack+5077, vrr_stack+1189, vrr_stack+1912, vrr_stack+2247);
 _BUILD_f0m0(Data,vrr_stack+12379, vrr_stack+9519, vrr_stack+5242, vrr_stack+7924, vrr_stack+414, vrr_stack+5944);
 _BUILD_g0m0(Data,vrr_stack+12929, vrr_stack+9849, vrr_stack+12379, vrr_stack+8089, vrr_stack+9519, vrr_stack+6214);
 _BUILD_h0m0(Data,vrr_stack+27293, vrr_stack+21078, vrr_stack+12929, vrr_stack+8419, vrr_stack+9849, vrr_stack+14378);
 _BUILD_i0m0(Data,vrr_stack+28448, vrr_stack+21903, vrr_stack+27293, vrr_stack+19428, vrr_stack+21078, vrr_stack+15053);
 _BUILD_k0m0(Data,vrr_stack+13754, vrr_stack+23058, vrr_stack+28448, vrr_stack+10399, vrr_stack+21903, vrr_stack+15998);
 _BUILD_k0m0(Data,vrr_stack+29988, vrr_stack+25753, vrr_stack+23058, vrr_stack+24598, vrr_stack+10399, vrr_stack+6664);
 _BUILD_l0m0(Data,vrr_stack+31968, vrr_stack+29988, vrr_stack+13754, vrr_stack+25753, vrr_stack+23058, vrr_stack+17258);
 _BUILD_00n0(Data,vrr_stack+2247, vrr_stack+2382, vrr_stack+2492, vrr_stack+964, vrr_stack+919, NULL);
 _BUILD_00n0(Data,vrr_stack+2313, vrr_stack+2437, vrr_stack+2382, vrr_stack+1144, vrr_stack+964, NULL);
 _BUILD_p0n0(Data,vrr_stack+5572, vrr_stack+2313, vrr_stack+2247, NULL, NULL, vrr_stack+2382);
 _BUILD_00n0(Data,vrr_stack+1424, vrr_stack+1009, vrr_stack+2437, vrr_stack+1867, vrr_stack+1144, NULL);
 _BUILD_p0n0(Data,vrr_stack+5770, vrr_stack+1424, vrr_stack+2313, NULL, NULL, vrr_stack+2437);
 _BUILD_00n0(Data,vrr_stack+1244, vrr_stack+2492, vrr_stack+1189, vrr_stack+919, vrr_stack+1324, NULL);
 _BUILD_p0n0(Data,vrr_stack+5968, vrr_stack+2247, vrr_stack+1244, NULL, NULL, vrr_stack+2492);
 _BUILD_d0n0(Data,vrr_stack+6166, vrr_stack+5572, vrr_stack+5968, vrr_stack+2313, vrr_stack+2247, vrr_stack+2547);
 _BUILD_d0n0(Data,vrr_stack+6562, vrr_stack+5770, vrr_stack+5572, vrr_stack+1424, vrr_stack+2313, vrr_stack+2712);
 _BUILD_f0n0(Data,vrr_stack+6958, vrr_stack+6562, vrr_stack+6166, vrr_stack+5770, vrr_stack+5572, vrr_stack+2877);
 _BUILD_00n0(Data,vrr_stack+2547, vrr_stack+1369, vrr_stack+1009, vrr_stack+1684, vrr_stack+1867, NULL);
 _BUILD_p0n0(Data,vrr_stack+2613, vrr_stack+2547, vrr_stack+1424, NULL, NULL, vrr_stack+1009);
 _BUILD_d0n0(Data,vrr_stack+2811, vrr_stack+2613, vrr_stack+5770, vrr_stack+2547, vrr_stack+1424, vrr_stack+3207);
 _BUILD_f0n0(Data,vrr_stack+15734, vrr_stack+2811, vrr_stack+6562, vrr_stack+2613, vrr_stack+5770, vrr_stack+3372);
 _BUILD_00n0(Data,vrr_stack+3207, vrr_stack+1189, vrr_stack+1912, vrr_stack+1324, vrr_stack+1504, NULL);
 _BUILD_p0n0(Data,vrr_stack+3273, vrr_stack+1244, vrr_stack+3207, NULL, NULL, vrr_stack+1189);
 _BUILD_d0n0(Data,vrr_stack+579, vrr_stack+5968, vrr_stack+3273, vrr_stack+2247, vrr_stack+1244, vrr_stack+7924);
 _BUILD_f0n0(Data,vrr_stack+16394, vrr_stack+6166, vrr_stack+579, vrr_stack+5572, vrr_stack+5968, vrr_stack+8089);
 _BUILD_g0n0(Data,vrr_stack+17054, vrr_stack+6958, vrr_stack+16394, vrr_stack+6562, vrr_stack+6166, vrr_stack+8419);
 _BUILD_g0n0(Data,vrr_stack+7618, vrr_stack+15734, vrr_stack+6958, vrr_stack+2811, vrr_stack+6562, vrr_stack+18878);
 _BUILD_h0n0(Data,vrr_stack+34443, vrr_stack+7618, vrr_stack+17054, vrr_stack+15734, vrr_stack+6958, vrr_stack+19428);
 _BUILD_00n0(Data,vrr_stack+3471, vrr_stack+57, vrr_stack+1369, vrr_stack+1626, vrr_stack+1684, NULL);
 _BUILD_p0n0(Data,vrr_stack+1671, vrr_stack+3471, vrr_stack+2547, NULL, NULL, vrr_stack+1369);
 _BUILD_d0n0(Data,vrr_stack+18044, vrr_stack+1671, vrr_stack+2613, vrr_stack+3471, vrr_stack+2547, vrr_stack+3702);
 _BUILD_f0n0(Data,vrr_stack+18440, vrr_stack+18044, vrr_stack+2811, vrr_stack+1671, vrr_stack+2613, vrr_stack+3867);
 _BUILD_g0n0(Data,vrr_stack+19100, vrr_stack+18440, vrr_stack+15734, vrr_stack+18044, vrr_stack+2811, vrr_stack+8969);
 _BUILD_h0n0(Data,vrr_stack+35829, vrr_stack+19100, vrr_stack+7618, vrr_stack+18440, vrr_stack+15734, vrr_stack+20253);
 _BUILD_00n0(Data,vrr_stack+3537, vrr_stack+1912, vrr_stack+2012, vrr_stack+1504, vrr_stack+2202, NULL);
 _BUILD_p0n0(Data,vrr_stack+3603, vrr_stack+3207, vrr_stack+3537, NULL, NULL, vrr_stack+1912);
 _BUILD_d0n0(Data,vrr_stack+3801, vrr_stack+3273, vrr_stack+3603, vrr_stack+1244, vrr_stack+3207, vrr_stack+414);
 _BUILD_f0n0(Data,vrr_stack+8608, vrr_stack+579, vrr_stack+3801, vrr_stack+5968, vrr_stack+3273, vrr_stack+9519);
 _BUILD_g0n0(Data,vrr_stack+37215, vrr_stack+16394, vrr_stack+8608, vrr_stack+6166, vrr_stack+579, vrr_stack+9849);
 _BUILD_h0n0(Data,vrr_stack+38205, vrr_stack+17054, vrr_stack+37215, vrr_stack+6958, vrr_stack+16394, vrr_stack+21078);
 _BUILD_i0n0(Data,vrr_stack+39591, vrr_stack+34443, vrr_stack+38205, vrr_stack+7618, vrr_stack+17054, vrr_stack+21903);
 _BUILD_i0n0(Data,vrr_stack+20090, vrr_stack+35829, vrr_stack+34443, vrr_stack+19100, vrr_stack+7618, vrr_stack+10399);
 _BUILD_k0n0(Data,vrr_stack+41439, vrr_stack+20090, vrr_stack+39591, vrr_stack+35829, vrr_stack+34443, vrr_stack+23058);
 _BUILD_00p0(Data,vrr_stack+2379, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+2379, vrr_stack+1549, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+387, vrr_stack+24, vrr_stack+30, vrr_stack+2379, vrr_stack+1549, NULL);
 _BUILD_00g0(Data,vrr_stack+397, vrr_stack+387, vrr_stack+1552, vrr_stack+24, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+412, vrr_stack+397, vrr_stack+0, vrr_stack+387, vrr_stack+1552, NULL);
 _BUILD_00i0(Data,vrr_stack+433, vrr_stack+412, vrr_stack+36, vrr_stack+397, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+461, vrr_stack+433, vrr_stack+1562, vrr_stack+412, vrr_stack+36, NULL);
 _BUILD_00l0(Data,vrr_stack+387, vrr_stack+461, vrr_stack+1590, vrr_stack+433, vrr_stack+1562, NULL);
 _BUILD_00m0(Data,vrr_stack+497, vrr_stack+387, vrr_stack+1626, vrr_stack+461, vrr_stack+1590, NULL);
 _BUILD_00n0(Data,vrr_stack+1490, vrr_stack+497, vrr_stack+57, vrr_stack+387, vrr_stack+1626, NULL);
 _BUILD_p0n0(Data,vrr_stack+9268, vrr_stack+1490, vrr_stack+3471, NULL, NULL, vrr_stack+57);
 _BUILD_d0n0(Data,vrr_stack+9466, vrr_stack+9268, vrr_stack+1671, vrr_stack+1490, vrr_stack+3471, vrr_stack+112);
 _BUILD_f0n0(Data,vrr_stack+9862, vrr_stack+9466, vrr_stack+18044, vrr_stack+9268, vrr_stack+1671, vrr_stack+4197);
 _BUILD_g0n0(Data,vrr_stack+10522, vrr_stack+9862, vrr_stack+18440, vrr_stack+9466, vrr_stack+18044, vrr_stack+4527);
 _BUILD_h0n0(Data,vrr_stack+21938, vrr_stack+10522, vrr_stack+19100, vrr_stack+9862, vrr_stack+18440, vrr_stack+11554);
   tmp = vrr_stack + 21938;
   target_ptr = Libint->vrr_classes[5][10];
   for(i=0;i<1386;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0n0(Data,vrr_stack+43815, vrr_stack+21938, vrr_stack+35829, vrr_stack+10522, vrr_stack+19100, vrr_stack+24598);
   tmp = vrr_stack + 43815;
   target_ptr = Libint->vrr_classes[6][10];
   for(i=0;i<1848;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0n0(Data,vrr_stack+9268, vrr_stack+43815, vrr_stack+20090, vrr_stack+21938, vrr_stack+35829, vrr_stack+25753);
   tmp = vrr_stack + 9268;
   target_ptr = Libint->vrr_classes[7][10];
   for(i=0;i<2376;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+2379, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+21938, vrr_stack+15, vrr_stack+2379, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+21944, vrr_stack+18, vrr_stack+21938, vrr_stack+2083, vrr_stack+15, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+277, vrr_stack+21944, vrr_stack+2086, vrr_stack+18, NULL);
 _BUILD_00h0(Data,vrr_stack+21954, vrr_stack+287, vrr_stack+0, vrr_stack+2092, vrr_stack+277, NULL);
 _BUILD_00i0(Data,vrr_stack+21975, vrr_stack+302, vrr_stack+21954, vrr_stack+2102, vrr_stack+287, NULL);
 _BUILD_00k0(Data,vrr_stack+22003, vrr_stack+323, vrr_stack+21975, vrr_stack+2117, vrr_stack+302, NULL);
 _BUILD_00l0(Data,vrr_stack+22039, vrr_stack+351, vrr_stack+22003, vrr_stack+2138, vrr_stack+323, NULL);
 _BUILD_00m0(Data,vrr_stack+22084, vrr_stack+1967, vrr_stack+22039, vrr_stack+2166, vrr_stack+351, NULL);
 _BUILD_00n0(Data,vrr_stack+22139, vrr_stack+2012, vrr_stack+22084, vrr_stack+2202, vrr_stack+1967, NULL);
 _BUILD_p0n0(Data,vrr_stack+22205, vrr_stack+3537, vrr_stack+22139, NULL, NULL, vrr_stack+2012);
 _BUILD_d0n0(Data,vrr_stack+22403, vrr_stack+3603, vrr_stack+22205, vrr_stack+3207, vrr_stack+3537, vrr_stack+5077);
 _BUILD_f0n0(Data,vrr_stack+22799, vrr_stack+3801, vrr_stack+22403, vrr_stack+3273, vrr_stack+3603, vrr_stack+5242);
 _BUILD_g0n0(Data,vrr_stack+23459, vrr_stack+8608, vrr_stack+22799, vrr_stack+579, vrr_stack+3801, vrr_stack+12379);
 _BUILD_h0n0(Data,vrr_stack+24449, vrr_stack+37215, vrr_stack+23459, vrr_stack+16394, vrr_stack+8608, vrr_stack+12929);
 _BUILD_i0n0(Data,vrr_stack+11644, vrr_stack+38205, vrr_stack+24449, vrr_stack+17054, vrr_stack+37215, vrr_stack+27293);
 _BUILD_k0n0(Data,vrr_stack+25835, vrr_stack+39591, vrr_stack+11644, vrr_stack+34443, vrr_stack+38205, vrr_stack+28448);
 _BUILD_l0n0(Data,vrr_stack+45663, vrr_stack+41439, vrr_stack+25835, vrr_stack+20090, vrr_stack+39591, vrr_stack+13754);
 _BUILD_l0n0(Data,vrr_stack+48633, vrr_stack+9268, vrr_stack+41439, vrr_stack+43815, vrr_stack+20090, vrr_stack+29988);
   tmp = vrr_stack + 48633;
   target_ptr = Libint->vrr_classes[8][10];
   for(i=0;i<2970;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00o0(Data,vrr_stack+43815, vrr_stack+2247, vrr_stack+1244, vrr_stack+2382, vrr_stack+2492, NULL);
 _BUILD_00o0(Data,vrr_stack+43893, vrr_stack+2313, vrr_stack+2247, vrr_stack+2437, vrr_stack+2382, NULL);
 _BUILD_p0o0(Data,vrr_stack+43971, vrr_stack+43893, vrr_stack+43815, NULL, NULL, vrr_stack+2247);
 _BUILD_00o0(Data,vrr_stack+44205, vrr_stack+1424, vrr_stack+2313, vrr_stack+1009, vrr_stack+2437, NULL);
 _BUILD_p0o0(Data,vrr_stack+44283, vrr_stack+44205, vrr_stack+43893, NULL, NULL, vrr_stack+2313);
 _BUILD_00o0(Data,vrr_stack+2382, vrr_stack+1244, vrr_stack+3207, vrr_stack+2492, vrr_stack+1189, NULL);
 _BUILD_p0o0(Data,vrr_stack+44517, vrr_stack+43815, vrr_stack+2382, NULL, NULL, vrr_stack+1244);
 _BUILD_d0o0(Data,vrr_stack+44751, vrr_stack+43971, vrr_stack+44517, vrr_stack+43893, vrr_stack+43815, vrr_stack+5968);
 _BUILD_d0o0(Data,vrr_stack+28211, vrr_stack+44283, vrr_stack+43971, vrr_stack+44205, vrr_stack+43893, vrr_stack+5572);
 _BUILD_f0o0(Data,vrr_stack+28679, vrr_stack+28211, vrr_stack+44751, vrr_stack+44283, vrr_stack+43971, vrr_stack+6166);
 _BUILD_00o0(Data,vrr_stack+5968, vrr_stack+2547, vrr_stack+1424, vrr_stack+1369, vrr_stack+1009, NULL);
 _BUILD_p0o0(Data,vrr_stack+6046, vrr_stack+5968, vrr_stack+44205, NULL, NULL, vrr_stack+1424);
 _BUILD_d0o0(Data,vrr_stack+29459, vrr_stack+6046, vrr_stack+44283, vrr_stack+5968, vrr_stack+44205, vrr_stack+5770);
 _BUILD_f0o0(Data,vrr_stack+29927, vrr_stack+29459, vrr_stack+28211, vrr_stack+6046, vrr_stack+44283, vrr_stack+6562);
 _BUILD_00o0(Data,vrr_stack+6280, vrr_stack+3207, vrr_stack+3537, vrr_stack+1189, vrr_stack+1912, NULL);
 _BUILD_p0o0(Data,vrr_stack+6358, vrr_stack+2382, vrr_stack+6280, NULL, NULL, vrr_stack+3207);
 _BUILD_d0o0(Data,vrr_stack+30707, vrr_stack+44517, vrr_stack+6358, vrr_stack+43815, vrr_stack+2382, vrr_stack+3273);
 _BUILD_f0o0(Data,vrr_stack+31175, vrr_stack+44751, vrr_stack+30707, vrr_stack+43971, vrr_stack+44517, vrr_stack+579);
 _BUILD_g0o0(Data,vrr_stack+4197, vrr_stack+28679, vrr_stack+31175, vrr_stack+28211, vrr_stack+44751, vrr_stack+16394);
 _BUILD_g0o0(Data,vrr_stack+13492, vrr_stack+29927, vrr_stack+28679, vrr_stack+29459, vrr_stack+28211, vrr_stack+6958);
 _BUILD_h0o0(Data,vrr_stack+51603, vrr_stack+13492, vrr_stack+4197, vrr_stack+29927, vrr_stack+28679, vrr_stack+17054);
 _BUILD_00o0(Data,vrr_stack+16394, vrr_stack+3471, vrr_stack+2547, vrr_stack+57, vrr_stack+1369, NULL);
 _BUILD_p0o0(Data,vrr_stack+16472, vrr_stack+16394, vrr_stack+5968, NULL, NULL, vrr_stack+2547);
 _BUILD_d0o0(Data,vrr_stack+16706, vrr_stack+16472, vrr_stack+6046, vrr_stack+16394, vrr_stack+5968, vrr_stack+2613);
 _BUILD_f0o0(Data,vrr_stack+17174, vrr_stack+16706, vrr_stack+29459, vrr_stack+16472, vrr_stack+6046, vrr_stack+2811);
 _BUILD_g0o0(Data,vrr_stack+53241, vrr_stack+17174, vrr_stack+29927, vrr_stack+16706, vrr_stack+29459, vrr_stack+15734);
 _BUILD_h0o0(Data,vrr_stack+14662, vrr_stack+53241, vrr_stack+13492, vrr_stack+17174, vrr_stack+29927, vrr_stack+7618);
 _BUILD_00o0(Data,vrr_stack+2613, vrr_stack+3537, vrr_stack+22139, vrr_stack+1912, vrr_stack+2012, NULL);
 _BUILD_p0o0(Data,vrr_stack+2691, vrr_stack+6280, vrr_stack+2613, NULL, NULL, vrr_stack+3537);
 _BUILD_d0o0(Data,vrr_stack+6592, vrr_stack+6358, vrr_stack+2691, vrr_stack+2382, vrr_stack+6280, vrr_stack+3603);
 _BUILD_f0o0(Data,vrr_stack+7060, vrr_stack+30707, vrr_stack+6592, vrr_stack+44517, vrr_stack+6358, vrr_stack+3801);
 _BUILD_g0o0(Data,vrr_stack+54411, vrr_stack+31175, vrr_stack+7060, vrr_stack+44751, vrr_stack+30707, vrr_stack+8608);
 _BUILD_h0o0(Data,vrr_stack+55581, vrr_stack+4197, vrr_stack+54411, vrr_stack+28679, vrr_stack+31175, vrr_stack+37215);
 _BUILD_i0o0(Data,vrr_stack+57219, vrr_stack+51603, vrr_stack+55581, vrr_stack+13492, vrr_stack+4197, vrr_stack+38205);
 _BUILD_i0o0(Data,vrr_stack+37215, vrr_stack+14662, vrr_stack+51603, vrr_stack+53241, vrr_stack+13492, vrr_stack+34443);
 _BUILD_k0o0(Data,vrr_stack+59403, vrr_stack+37215, vrr_stack+57219, vrr_stack+14662, vrr_stack+51603, vrr_stack+39591);
 _BUILD_00o0(Data,vrr_stack+34443, vrr_stack+1490, vrr_stack+3471, vrr_stack+497, vrr_stack+57, NULL);
 _BUILD_p0o0(Data,vrr_stack+34521, vrr_stack+34443, vrr_stack+16394, NULL, NULL, vrr_stack+3471);
 _BUILD_d0o0(Data,vrr_stack+34755, vrr_stack+34521, vrr_stack+16472, vrr_stack+34443, vrr_stack+16394, vrr_stack+1671);
 _BUILD_f0o0(Data,vrr_stack+39399, vrr_stack+34755, vrr_stack+16706, vrr_stack+34521, vrr_stack+16472, vrr_stack+18044);
 _BUILD_g0o0(Data,vrr_stack+40179, vrr_stack+39399, vrr_stack+17174, vrr_stack+34755, vrr_stack+16706, vrr_stack+18440);
 _BUILD_h0o0(Data,vrr_stack+62211, vrr_stack+40179, vrr_stack+53241, vrr_stack+39399, vrr_stack+17174, vrr_stack+19100);
   tmp = vrr_stack + 62211;
   target_ptr = Libint->vrr_classes[5][11];
   for(i=0;i<1638;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0o0(Data,vrr_stack+63849, vrr_stack+62211, vrr_stack+14662, vrr_stack+40179, vrr_stack+53241, vrr_stack+35829);
   tmp = vrr_stack + 63849;
   target_ptr = Libint->vrr_classes[6][11];
   for(i=0;i<2184;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0o0(Data,vrr_stack+66033, vrr_stack+63849, vrr_stack+37215, vrr_stack+62211, vrr_stack+14662, vrr_stack+20090);
   tmp = vrr_stack + 66033;
   target_ptr = Libint->vrr_classes[7][11];
   for(i=0;i<2808;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+62211, Data->F+19, Data->F+20, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+62214, vrr_stack+2379, vrr_stack+62211, Data->F+18, Data->F+19, NULL);
 _BUILD_00f0(Data,vrr_stack+62220, vrr_stack+21938, vrr_stack+62214, vrr_stack+15, vrr_stack+2379, NULL);
 _BUILD_00g0(Data,vrr_stack+62230, vrr_stack+21944, vrr_stack+62220, vrr_stack+18, vrr_stack+21938, NULL);
 _BUILD_00h0(Data,vrr_stack+15, vrr_stack+0, vrr_stack+62230, vrr_stack+277, vrr_stack+21944, NULL);
 _BUILD_00i0(Data,vrr_stack+36, vrr_stack+21954, vrr_stack+15, vrr_stack+287, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+64, vrr_stack+21975, vrr_stack+36, vrr_stack+302, vrr_stack+21954, NULL);
 _BUILD_00l0(Data,vrr_stack+100, vrr_stack+22003, vrr_stack+64, vrr_stack+323, vrr_stack+21975, NULL);
 _BUILD_00m0(Data,vrr_stack+145, vrr_stack+22039, vrr_stack+100, vrr_stack+351, vrr_stack+22003, NULL);
 _BUILD_00n0(Data,vrr_stack+200, vrr_stack+22084, vrr_stack+145, vrr_stack+1967, vrr_stack+22039, NULL);
 _BUILD_00o0(Data,vrr_stack+266, vrr_stack+22139, vrr_stack+200, vrr_stack+2012, vrr_stack+22084, NULL);
 _BUILD_p0o0(Data,vrr_stack+344, vrr_stack+2613, vrr_stack+266, NULL, NULL, vrr_stack+22139);
 _BUILD_d0o0(Data,vrr_stack+578, vrr_stack+2691, vrr_stack+344, vrr_stack+6280, vrr_stack+2613, vrr_stack+22205);
 _BUILD_f0o0(Data,vrr_stack+62245, vrr_stack+6592, vrr_stack+578, vrr_stack+6358, vrr_stack+2691, vrr_stack+22403);
 _BUILD_g0o0(Data,vrr_stack+39399, vrr_stack+7060, vrr_stack+62245, vrr_stack+30707, vrr_stack+6592, vrr_stack+22799);
 _BUILD_h0o0(Data,vrr_stack+34521, vrr_stack+54411, vrr_stack+39399, vrr_stack+31175, vrr_stack+7060, vrr_stack+23459);
 _BUILD_i0o0(Data,vrr_stack+22205, vrr_stack+55581, vrr_stack+34521, vrr_stack+4197, vrr_stack+54411, vrr_stack+24449);
 _BUILD_k0o0(Data,vrr_stack+17954, vrr_stack+57219, vrr_stack+22205, vrr_stack+51603, vrr_stack+55581, vrr_stack+11644);
 _BUILD_l0o0(Data,vrr_stack+68841, vrr_stack+59403, vrr_stack+17954, vrr_stack+37215, vrr_stack+57219, vrr_stack+25835);
 _BUILD_l0o0(Data,vrr_stack+24389, vrr_stack+66033, vrr_stack+59403, vrr_stack+63849, vrr_stack+37215, vrr_stack+41439);
   tmp = vrr_stack + 24389;
   target_ptr = Libint->vrr_classes[8][11];
   for(i=0;i<3510;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00q0(Data,vrr_stack+11644, vrr_stack+43815, vrr_stack+2382, vrr_stack+2247, vrr_stack+1244, NULL);
 _BUILD_00q0(Data,vrr_stack+11735, vrr_stack+43893, vrr_stack+43815, vrr_stack+2313, vrr_stack+2247, NULL);
 _BUILD_p0q0(Data,vrr_stack+11826, vrr_stack+11735, vrr_stack+11644, NULL, NULL, vrr_stack+43815);
 _BUILD_00q0(Data,vrr_stack+12099, vrr_stack+44205, vrr_stack+43893, vrr_stack+1424, vrr_stack+2313, NULL);
 _BUILD_p0q0(Data,vrr_stack+12190, vrr_stack+12099, vrr_stack+11735, NULL, NULL, vrr_stack+43893);
 _BUILD_00q0(Data,vrr_stack+12463, vrr_stack+2382, vrr_stack+6280, vrr_stack+1244, vrr_stack+3207, NULL);
 _BUILD_p0q0(Data,vrr_stack+12554, vrr_stack+11644, vrr_stack+12463, NULL, NULL, vrr_stack+2382);
 _BUILD_d0q0(Data,vrr_stack+12827, vrr_stack+11826, vrr_stack+12554, vrr_stack+11735, vrr_stack+11644, vrr_stack+44517);
 _BUILD_d0q0(Data,vrr_stack+63025, vrr_stack+12190, vrr_stack+11826, vrr_stack+12099, vrr_stack+11735, vrr_stack+43971);
 _BUILD_f0q0(Data,vrr_stack+63571, vrr_stack+63025, vrr_stack+12827, vrr_stack+12190, vrr_stack+11826, vrr_stack+44751);
 _BUILD_00q0(Data,vrr_stack+43971, vrr_stack+5968, vrr_stack+44205, vrr_stack+2547, vrr_stack+1424, NULL);
 _BUILD_p0q0(Data,vrr_stack+44517, vrr_stack+43971, vrr_stack+12099, NULL, NULL, vrr_stack+44205);
 _BUILD_d0q0(Data,vrr_stack+44790, vrr_stack+44517, vrr_stack+12190, vrr_stack+43971, vrr_stack+12099, vrr_stack+44283);
 _BUILD_f0q0(Data,vrr_stack+64481, vrr_stack+44790, vrr_stack+63025, vrr_stack+44517, vrr_stack+12190, vrr_stack+28211);
 _BUILD_00q0(Data,vrr_stack+44283, vrr_stack+6280, vrr_stack+2613, vrr_stack+3207, vrr_stack+3537, NULL);
 _BUILD_p0q0(Data,vrr_stack+45336, vrr_stack+12463, vrr_stack+44283, NULL, NULL, vrr_stack+6280);
 _BUILD_d0q0(Data,vrr_stack+2925, vrr_stack+12554, vrr_stack+45336, vrr_stack+11644, vrr_stack+12463, vrr_stack+6358);
 _BUILD_f0q0(Data,vrr_stack+36159, vrr_stack+12827, vrr_stack+2925, vrr_stack+11826, vrr_stack+12554, vrr_stack+30707);
 _BUILD_g0q0(Data,vrr_stack+7840, vrr_stack+63571, vrr_stack+36159, vrr_stack+63025, vrr_stack+12827, vrr_stack+31175);
 _BUILD_g0q0(Data,vrr_stack+72351, vrr_stack+64481, vrr_stack+63571, vrr_stack+44790, vrr_stack+63025, vrr_stack+28679);
 _BUILD_h0q0(Data,vrr_stack+73716, vrr_stack+72351, vrr_stack+7840, vrr_stack+64481, vrr_stack+63571, vrr_stack+4197);
 _BUILD_00q0(Data,vrr_stack+30707, vrr_stack+16394, vrr_stack+5968, vrr_stack+3471, vrr_stack+2547, NULL);
 _BUILD_p0q0(Data,vrr_stack+30798, vrr_stack+30707, vrr_stack+43971, NULL, NULL, vrr_stack+5968);
 _BUILD_d0q0(Data,vrr_stack+31071, vrr_stack+30798, vrr_stack+44517, vrr_stack+30707, vrr_stack+43971, vrr_stack+6046);
 _BUILD_f0q0(Data,vrr_stack+27899, vrr_stack+31071, vrr_stack+44790, vrr_stack+30798, vrr_stack+44517, vrr_stack+29459);
 _BUILD_g0q0(Data,vrr_stack+3603, vrr_stack+27899, vrr_stack+64481, vrr_stack+31071, vrr_stack+44790, vrr_stack+29927);
 _BUILD_h0q0(Data,vrr_stack+75627, vrr_stack+3603, vrr_stack+72351, vrr_stack+27899, vrr_stack+64481, vrr_stack+13492);
 _BUILD_00q0(Data,vrr_stack+6046, vrr_stack+2613, vrr_stack+266, vrr_stack+3537, vrr_stack+22139, NULL);
 _BUILD_p0q0(Data,vrr_stack+31617, vrr_stack+44283, vrr_stack+6046, NULL, NULL, vrr_stack+2613);
 _BUILD_d0q0(Data,vrr_stack+13373, vrr_stack+45336, vrr_stack+31617, vrr_stack+12463, vrr_stack+44283, vrr_stack+2691);
 _BUILD_f0q0(Data,vrr_stack+28809, vrr_stack+2925, vrr_stack+13373, vrr_stack+12554, vrr_stack+45336, vrr_stack+6592);
 _BUILD_g0q0(Data,vrr_stack+77538, vrr_stack+36159, vrr_stack+28809, vrr_stack+12827, vrr_stack+2925, vrr_stack+7060);
 _BUILD_h0q0(Data,vrr_stack+78903, vrr_stack+7840, vrr_stack+77538, vrr_stack+63571, vrr_stack+36159, vrr_stack+54411);
 _BUILD_i0q0(Data,vrr_stack+80814, vrr_stack+73716, vrr_stack+78903, vrr_stack+72351, vrr_stack+7840, vrr_stack+55581);
 _BUILD_i0q0(Data,vrr_stack+54411, vrr_stack+75627, vrr_stack+73716, vrr_stack+3603, vrr_stack+72351, vrr_stack+51603);
 _BUILD_k0q0(Data,vrr_stack+83362, vrr_stack+54411, vrr_stack+80814, vrr_stack+75627, vrr_stack+73716, vrr_stack+57219);
 _BUILD_00q0(Data,vrr_stack+51603, vrr_stack+34443, vrr_stack+16394, vrr_stack+1490, vrr_stack+3471, NULL);
 _BUILD_p0q0(Data,vrr_stack+51694, vrr_stack+51603, vrr_stack+30707, NULL, NULL, vrr_stack+16394);
 _BUILD_d0q0(Data,vrr_stack+51967, vrr_stack+51694, vrr_stack+30798, vrr_stack+51603, vrr_stack+30707, vrr_stack+16472);
 _BUILD_f0q0(Data,vrr_stack+56959, vrr_stack+51967, vrr_stack+31071, vrr_stack+51694, vrr_stack+30798, vrr_stack+16706);
 _BUILD_g0q0(Data,vrr_stack+57869, vrr_stack+56959, vrr_stack+27899, vrr_stack+51967, vrr_stack+31071, vrr_stack+17174);
 _BUILD_h0q0(Data,vrr_stack+86638, vrr_stack+57869, vrr_stack+3603, vrr_stack+56959, vrr_stack+27899, vrr_stack+53241);
   tmp = vrr_stack + 86638;
   target_ptr = Libint->vrr_classes[5][12];
   for(i=0;i<1911;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0q0(Data,vrr_stack+51694, vrr_stack+86638, vrr_stack+75627, vrr_stack+57869, vrr_stack+3603, vrr_stack+14662);
   tmp = vrr_stack + 51694;
   target_ptr = Libint->vrr_classes[6][12];
   for(i=0;i<2548;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0q0(Data,vrr_stack+88549, vrr_stack+51694, vrr_stack+54411, vrr_stack+86638, vrr_stack+75627, vrr_stack+37215);
   tmp = vrr_stack + 88549;
   target_ptr = Libint->vrr_classes[7][12];
   for(i=0;i<3276;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+86638, Data->F+20, Data->F+21, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+86641, vrr_stack+62211, vrr_stack+86638, Data->F+19, Data->F+20, NULL);
 _BUILD_00f0(Data,vrr_stack+86647, vrr_stack+62214, vrr_stack+86641, vrr_stack+2379, vrr_stack+62211, NULL);
 _BUILD_00g0(Data,vrr_stack+86657, vrr_stack+62220, vrr_stack+86647, vrr_stack+21938, vrr_stack+62214, NULL);
 _BUILD_00h0(Data,vrr_stack+86672, vrr_stack+62230, vrr_stack+86657, vrr_stack+21944, vrr_stack+62220, NULL);
 _BUILD_00i0(Data,vrr_stack+86693, vrr_stack+15, vrr_stack+86672, vrr_stack+0, vrr_stack+62230, NULL);
 _BUILD_00k0(Data,vrr_stack+86721, vrr_stack+36, vrr_stack+86693, vrr_stack+21954, vrr_stack+15, NULL);
 _BUILD_00l0(Data,vrr_stack+86757, vrr_stack+64, vrr_stack+86721, vrr_stack+21975, vrr_stack+36, NULL);
 _BUILD_00m0(Data,vrr_stack+86802, vrr_stack+100, vrr_stack+86757, vrr_stack+22003, vrr_stack+64, NULL);
 _BUILD_00n0(Data,vrr_stack+86857, vrr_stack+145, vrr_stack+86802, vrr_stack+22039, vrr_stack+100, NULL);
 _BUILD_00o0(Data,vrr_stack+31890, vrr_stack+200, vrr_stack+86857, vrr_stack+22084, vrr_stack+145, NULL);
 _BUILD_00q0(Data,vrr_stack+86923, vrr_stack+266, vrr_stack+31890, vrr_stack+22139, vrr_stack+200, NULL);
 _BUILD_p0q0(Data,vrr_stack+87014, vrr_stack+6046, vrr_stack+86923, NULL, NULL, vrr_stack+266);
 _BUILD_d0q0(Data,vrr_stack+87287, vrr_stack+31617, vrr_stack+87014, vrr_stack+44283, vrr_stack+6046, vrr_stack+344);
 _BUILD_f0q0(Data,vrr_stack+56959, vrr_stack+13373, vrr_stack+87287, vrr_stack+45336, vrr_stack+31617, vrr_stack+578);
 _BUILD_g0q0(Data,vrr_stack+344, vrr_stack+28809, vrr_stack+56959, vrr_stack+2925, vrr_stack+13373, vrr_stack+62245);
 _BUILD_h0q0(Data,vrr_stack+13919, vrr_stack+77538, vrr_stack+344, vrr_stack+36159, vrr_stack+28809, vrr_stack+39399);
 _BUILD_i0q0(Data,vrr_stack+37069, vrr_stack+78903, vrr_stack+13919, vrr_stack+7840, vrr_stack+77538, vrr_stack+34521);
 _BUILD_k0q0(Data,vrr_stack+91825, vrr_stack+80814, vrr_stack+37069, vrr_stack+73716, vrr_stack+78903, vrr_stack+22205);
 _BUILD_l0q0(Data,vrr_stack+95101, vrr_stack+83362, vrr_stack+91825, vrr_stack+54411, vrr_stack+80814, vrr_stack+17954);
 _BUILD_l0q0(Data,vrr_stack+16472, vrr_stack+88549, vrr_stack+83362, vrr_stack+51694, vrr_stack+54411, vrr_stack+59403);
   tmp = vrr_stack + 16472;
   target_ptr = Libint->vrr_classes[8][12];
   for(i=0;i<4095;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+51694, vrr_stack+11644, vrr_stack+12463, vrr_stack+43815, vrr_stack+2382, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+51799, vrr_stack+11735, vrr_stack+11644, vrr_stack+43893, vrr_stack+43815, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+51904, vrr_stack+51799, vrr_stack+51694, NULL, NULL, vrr_stack+11644);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+52219, vrr_stack+12099, vrr_stack+11735, vrr_stack+44205, vrr_stack+43893, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+52324, vrr_stack+52219, vrr_stack+51799, NULL, NULL, vrr_stack+11735);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+43815, vrr_stack+12463, vrr_stack+44283, vrr_stack+2382, vrr_stack+6280, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+52639, vrr_stack+51694, vrr_stack+43815, NULL, NULL, vrr_stack+12463);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+52954, vrr_stack+51904, vrr_stack+52639, vrr_stack+51799, vrr_stack+51694, vrr_stack+12554);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+53584, vrr_stack+52324, vrr_stack+51904, vrr_stack+52219, vrr_stack+51799, vrr_stack+11826);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+34521, vrr_stack+53584, vrr_stack+52954, vrr_stack+52324, vrr_stack+51904, vrr_stack+12827);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+11826, vrr_stack+43971, vrr_stack+12099, vrr_stack+5968, vrr_stack+44205, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+12554, vrr_stack+11826, vrr_stack+52219, NULL, NULL, vrr_stack+12099);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+62245, vrr_stack+12554, vrr_stack+52324, vrr_stack+11826, vrr_stack+52219, vrr_stack+12190);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+57869, vrr_stack+62245, vrr_stack+53584, vrr_stack+12554, vrr_stack+52324, vrr_stack+63025);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+12190, vrr_stack+44283, vrr_stack+6046, vrr_stack+6280, vrr_stack+2613, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+12869, vrr_stack+43815, vrr_stack+12190, NULL, NULL, vrr_stack+44283);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+62875, vrr_stack+52639, vrr_stack+12869, vrr_stack+51694, vrr_stack+43815, vrr_stack+45336);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+20567, vrr_stack+52954, vrr_stack+62875, vrr_stack+51904, vrr_stack+52639, vrr_stack+2925);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+21617, vrr_stack+34521, vrr_stack+20567, vrr_stack+53584, vrr_stack+52954, vrr_stack+36159);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+6137, vrr_stack+57869, vrr_stack+34521, vrr_stack+62245, vrr_stack+53584, vrr_stack+63571);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+99196, vrr_stack+6137, vrr_stack+21617, vrr_stack+57869, vrr_stack+34521, vrr_stack+7840);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+45336, vrr_stack+30707, vrr_stack+43971, vrr_stack+16394, vrr_stack+5968, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+35571, vrr_stack+45336, vrr_stack+11826, NULL, NULL, vrr_stack+43971);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+35886, vrr_stack+35571, vrr_stack+12554, vrr_stack+45336, vrr_stack+11826, vrr_stack+44517);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+23192, vrr_stack+35886, vrr_stack+62245, vrr_stack+35571, vrr_stack+12554, vrr_stack+44790);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+39617, vrr_stack+23192, vrr_stack+57869, vrr_stack+35886, vrr_stack+62245, vrr_stack+64481);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+63505, vrr_stack+39617, vrr_stack+6137, vrr_stack+23192, vrr_stack+57869, vrr_stack+72351);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+72351, vrr_stack+6046, vrr_stack+86923, vrr_stack+2613, vrr_stack+266, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+72456, vrr_stack+12190, vrr_stack+72351, NULL, NULL, vrr_stack+6046);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+72771, vrr_stack+12869, vrr_stack+72456, vrr_stack+43815, vrr_stack+12190, vrr_stack+31617);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+1709, vrr_stack+62875, vrr_stack+72771, vrr_stack+52639, vrr_stack+12869, vrr_stack+13373);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+101401, vrr_stack+20567, vrr_stack+1709, vrr_stack+52954, vrr_stack+62875, vrr_stack+28809);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+102976, vrr_stack+21617, vrr_stack+101401, vrr_stack+34521, vrr_stack+20567, vrr_stack+77538);
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+105181, vrr_stack+99196, vrr_stack+102976, vrr_stack+6137, vrr_stack+21617, vrr_stack+78903);
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+77538, vrr_stack+63505, vrr_stack+99196, vrr_stack+39617, vrr_stack+6137, vrr_stack+73716);
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+108121, vrr_stack+77538, vrr_stack+105181, vrr_stack+63505, vrr_stack+99196, vrr_stack+80814);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+80478, vrr_stack+51603, vrr_stack+30707, vrr_stack+34443, vrr_stack+16394, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+80583, vrr_stack+80478, vrr_stack+45336, NULL, NULL, vrr_stack+30707);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+80898, vrr_stack+80583, vrr_stack+35571, vrr_stack+80478, vrr_stack+45336, vrr_stack+30798);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+81528, vrr_stack+80898, vrr_stack+35886, vrr_stack+80583, vrr_stack+35571, vrr_stack+31071);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+28809, vrr_stack+81528, vrr_stack+23192, vrr_stack+80898, vrr_stack+35886, vrr_stack+27899);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+73401, vrr_stack+28809, vrr_stack+39617, vrr_stack+81528, vrr_stack+23192, vrr_stack+3603);
   tmp = vrr_stack + 73401;
   target_ptr = Libint->vrr_classes[5][13];
   for(i=0;i<2205;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+2759, vrr_stack+73401, vrr_stack+63505, vrr_stack+28809, vrr_stack+39617, vrr_stack+75627);
   tmp = vrr_stack + 2759;
   target_ptr = Libint->vrr_classes[6][13];
   for(i=0;i<2940;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+111901, vrr_stack+2759, vrr_stack+77538, vrr_stack+73401, vrr_stack+63505, vrr_stack+54411);
   tmp = vrr_stack + 111901;
   target_ptr = Libint->vrr_classes[7][13];
   for(i=0;i<3780;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+73401, Data->F+21, Data->F+22, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+73404, vrr_stack+86638, vrr_stack+73401, Data->F+20, Data->F+21, NULL);
 _BUILD_00f0(Data,vrr_stack+73410, vrr_stack+86641, vrr_stack+73404, vrr_stack+62211, vrr_stack+86638, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+86647, vrr_stack+73410, vrr_stack+62214, vrr_stack+86641, NULL);
 _BUILD_00h0(Data,vrr_stack+73420, vrr_stack+86657, vrr_stack+0, vrr_stack+62220, vrr_stack+86647, NULL);
 _BUILD_00i0(Data,vrr_stack+73441, vrr_stack+86672, vrr_stack+73420, vrr_stack+62230, vrr_stack+86657, NULL);
 _BUILD_00k0(Data,vrr_stack+73469, vrr_stack+86693, vrr_stack+73441, vrr_stack+15, vrr_stack+86672, NULL);
 _BUILD_00l0(Data,vrr_stack+73505, vrr_stack+86721, vrr_stack+73469, vrr_stack+36, vrr_stack+86693, NULL);
 _BUILD_00m0(Data,vrr_stack+73550, vrr_stack+86757, vrr_stack+73505, vrr_stack+64, vrr_stack+86721, NULL);
 _BUILD_00n0(Data,vrr_stack+15, vrr_stack+86802, vrr_stack+73550, vrr_stack+100, vrr_stack+86757, NULL);
 _BUILD_00o0(Data,vrr_stack+34443, vrr_stack+86857, vrr_stack+15, vrr_stack+145, vrr_stack+86802, NULL);
 _BUILD_00q0(Data,vrr_stack+81, vrr_stack+31890, vrr_stack+34443, vrr_stack+200, vrr_stack+86857, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+73605, vrr_stack+86923, vrr_stack+81, vrr_stack+266, vrr_stack+31890, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+73710, vrr_stack+72351, vrr_stack+73605, NULL, NULL, vrr_stack+86923);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+74025, vrr_stack+72456, vrr_stack+73710, vrr_stack+12190, vrr_stack+72351, vrr_stack+87014);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+74655, vrr_stack+72771, vrr_stack+74025, vrr_stack+12869, vrr_stack+72456, vrr_stack+87287);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+75705, vrr_stack+1709, vrr_stack+74655, vrr_stack+62875, vrr_stack+72771, vrr_stack+56959);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+27899, vrr_stack+101401, vrr_stack+75705, vrr_stack+20567, vrr_stack+1709, vrr_stack+344);
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+54214, vrr_stack+102976, vrr_stack+27899, vrr_stack+21617, vrr_stack+101401, vrr_stack+13919);
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+115681, vrr_stack+105181, vrr_stack+54214, vrr_stack+99196, vrr_stack+102976, vrr_stack+37069);
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+119461, vrr_stack+108121, vrr_stack+115681, vrr_stack+77538, vrr_stack+105181, vrr_stack+91825);
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+124186, vrr_stack+111901, vrr_stack+108121, vrr_stack+2759, vrr_stack+77538, vrr_stack+83362);
   tmp = vrr_stack + 124186;
   target_ptr = Libint->vrr_classes[8][13];
   for(i=0;i<4725;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+2759, vrr_stack+51694, vrr_stack+43815, vrr_stack+11644, vrr_stack+12463, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+2879, vrr_stack+51799, vrr_stack+51694, vrr_stack+11735, vrr_stack+11644, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+2999, vrr_stack+2879, vrr_stack+2759, NULL, NULL, vrr_stack+51694);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+3359, vrr_stack+52219, vrr_stack+51799, vrr_stack+12099, vrr_stack+11735, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+3479, vrr_stack+3359, vrr_stack+2879, NULL, NULL, vrr_stack+51799);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+11644, vrr_stack+43815, vrr_stack+12190, vrr_stack+12463, vrr_stack+44283, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+3839, vrr_stack+2759, vrr_stack+11644, NULL, NULL, vrr_stack+43815);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+4199, vrr_stack+2999, vrr_stack+3839, vrr_stack+2879, vrr_stack+2759, vrr_stack+52639);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+4919, vrr_stack+3479, vrr_stack+2999, vrr_stack+3359, vrr_stack+2879, vrr_stack+51904);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+91825, vrr_stack+4919, vrr_stack+4199, vrr_stack+3479, vrr_stack+2999, vrr_stack+52954);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+51904, vrr_stack+11826, vrr_stack+52219, vrr_stack+43971, vrr_stack+12099, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+52639, vrr_stack+51904, vrr_stack+3359, NULL, NULL, vrr_stack+52219);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+93025, vrr_stack+52639, vrr_stack+3479, vrr_stack+51904, vrr_stack+3359, vrr_stack+52324);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+93745, vrr_stack+93025, vrr_stack+4919, vrr_stack+52639, vrr_stack+3479, vrr_stack+53584);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+52324, vrr_stack+12190, vrr_stack+72351, vrr_stack+44283, vrr_stack+6046, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+52999, vrr_stack+11644, vrr_stack+52324, NULL, NULL, vrr_stack+12190);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+53359, vrr_stack+3839, vrr_stack+52999, vrr_stack+2759, vrr_stack+11644, vrr_stack+12869);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+12869, vrr_stack+4199, vrr_stack+53359, vrr_stack+2999, vrr_stack+3839, vrr_stack+62875);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+14069, vrr_stack+91825, vrr_stack+12869, vrr_stack+4919, vrr_stack+4199, vrr_stack+20567);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+80583, vrr_stack+93745, vrr_stack+91825, vrr_stack+93025, vrr_stack+4919, vrr_stack+34521);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+36516, vrr_stack+80583, vrr_stack+14069, vrr_stack+93745, vrr_stack+91825, vrr_stack+21617);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+34521, vrr_stack+45336, vrr_stack+11826, vrr_stack+30707, vrr_stack+43971, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+34641, vrr_stack+34521, vrr_stack+51904, NULL, NULL, vrr_stack+11826);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+20567, vrr_stack+34641, vrr_stack+52639, vrr_stack+34521, vrr_stack+51904, vrr_stack+12554);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+21287, vrr_stack+20567, vrr_stack+93025, vrr_stack+34641, vrr_stack+52639, vrr_stack+62245);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+128911, vrr_stack+21287, vrr_stack+93745, vrr_stack+20567, vrr_stack+93025, vrr_stack+57869);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+130711, vrr_stack+128911, vrr_stack+80583, vrr_stack+21287, vrr_stack+93745, vrr_stack+6137);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6137, vrr_stack+72351, vrr_stack+73605, vrr_stack+6046, vrr_stack+86923, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6257, vrr_stack+52324, vrr_stack+6137, NULL, NULL, vrr_stack+72351);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6617, vrr_stack+52999, vrr_stack+6257, vrr_stack+11644, vrr_stack+52324, vrr_stack+72456);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+7337, vrr_stack+53359, vrr_stack+6617, vrr_stack+3839, vrr_stack+52999, vrr_stack+72771);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+57154, vrr_stack+12869, vrr_stack+7337, vrr_stack+4199, vrr_stack+53359, vrr_stack+1709);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+172, vrr_stack+14069, vrr_stack+57154, vrr_stack+91825, vrr_stack+12869, vrr_stack+101401);
 am[0] = 6;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+133231, vrr_stack+36516, vrr_stack+172, vrr_stack+80583, vrr_stack+14069, vrr_stack+102976);
 am[0] = 6;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+101401, vrr_stack+130711, vrr_stack+36516, vrr_stack+128911, vrr_stack+80583, vrr_stack+99196);
 am[0] = 7;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+136591, vrr_stack+101401, vrr_stack+133231, vrr_stack+130711, vrr_stack+36516, vrr_stack+105181);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+99196, vrr_stack+80478, vrr_stack+45336, vrr_stack+51603, vrr_stack+30707, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+99316, vrr_stack+99196, vrr_stack+34521, NULL, NULL, vrr_stack+45336);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+99676, vrr_stack+99316, vrr_stack+34641, vrr_stack+99196, vrr_stack+34521, vrr_stack+35571);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+104761, vrr_stack+99676, vrr_stack+20567, vrr_stack+99316, vrr_stack+34641, vrr_stack+35886);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+105961, vrr_stack+104761, vrr_stack+21287, vrr_stack+99676, vrr_stack+20567, vrr_stack+23192);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+140911, vrr_stack+105961, vrr_stack+128911, vrr_stack+104761, vrr_stack+21287, vrr_stack+39617);
   tmp = vrr_stack + 140911;
   target_ptr = Libint->vrr_classes[5][14];
   for(i=0;i<2520;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+143431, vrr_stack+140911, vrr_stack+130711, vrr_stack+105961, vrr_stack+128911, vrr_stack+63505);
   tmp = vrr_stack + 143431;
   target_ptr = Libint->vrr_classes[6][14];
   for(i=0;i<3360;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+146791, vrr_stack+143431, vrr_stack+101401, vrr_stack+140911, vrr_stack+130711, vrr_stack+77538);
   tmp = vrr_stack + 146791;
   target_ptr = Libint->vrr_classes[7][14];
   for(i=0;i<4320;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+140911, Data->F+22, Data->F+23, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+140914, vrr_stack+73401, vrr_stack+140911, Data->F+21, Data->F+22, NULL);
 _BUILD_00f0(Data,vrr_stack+140920, vrr_stack+73404, vrr_stack+140914, vrr_stack+86638, vrr_stack+73401, NULL);
 _BUILD_00g0(Data,vrr_stack+140930, vrr_stack+73410, vrr_stack+140920, vrr_stack+86641, vrr_stack+73404, NULL);
 _BUILD_00h0(Data,vrr_stack+140945, vrr_stack+0, vrr_stack+140930, vrr_stack+86647, vrr_stack+73410, NULL);
 _BUILD_00i0(Data,vrr_stack+140966, vrr_stack+73420, vrr_stack+140945, vrr_stack+86657, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+140994, vrr_stack+73441, vrr_stack+140966, vrr_stack+86672, vrr_stack+73420, NULL);
 _BUILD_00l0(Data,vrr_stack+86638, vrr_stack+73469, vrr_stack+140994, vrr_stack+86693, vrr_stack+73441, NULL);
 _BUILD_00m0(Data,vrr_stack+141030, vrr_stack+73505, vrr_stack+86638, vrr_stack+86721, vrr_stack+73469, NULL);
 _BUILD_00n0(Data,vrr_stack+86683, vrr_stack+73550, vrr_stack+141030, vrr_stack+86757, vrr_stack+73505, NULL);
 _BUILD_00o0(Data,vrr_stack+141085, vrr_stack+15, vrr_stack+86683, vrr_stack+86802, vrr_stack+73550, NULL);
 _BUILD_00q0(Data,vrr_stack+51603, vrr_stack+34443, vrr_stack+141085, vrr_stack+86857, vrr_stack+15, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+86749, vrr_stack+81, vrr_stack+51603, vrr_stack+31890, vrr_stack+34443, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+141163, vrr_stack+73605, vrr_stack+86749, vrr_stack+86923, vrr_stack+81, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+86854, vrr_stack+6137, vrr_stack+141163, NULL, NULL, vrr_stack+73605);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+87214, vrr_stack+6257, vrr_stack+86854, vrr_stack+52324, vrr_stack+6137, vrr_stack+73710);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+141283, vrr_stack+6617, vrr_stack+87214, vrr_stack+52999, vrr_stack+6257, vrr_stack+74025);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+104761, vrr_stack+7337, vrr_stack+141283, vrr_stack+53359, vrr_stack+6617, vrr_stack+74655);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+62211, vrr_stack+57154, vrr_stack+104761, vrr_stack+12869, vrr_stack+7337, vrr_stack+75705);
 am[0] = 6;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+73710, vrr_stack+172, vrr_stack+62211, vrr_stack+14069, vrr_stack+57154, vrr_stack+27899);
 am[0] = 7;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+151111, vrr_stack+133231, vrr_stack+73710, vrr_stack+36516, vrr_stack+172, vrr_stack+54214);
 am[0] = 8;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+155431, vrr_stack+136591, vrr_stack+151111, vrr_stack+101401, vrr_stack+133231, vrr_stack+115681);
 am[0] = 8;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+160831, vrr_stack+146791, vrr_stack+136591, vrr_stack+143431, vrr_stack+101401, vrr_stack+108121);
   tmp = vrr_stack + 160831;
   target_ptr = Libint->vrr_classes[8][14];
   for(i=0;i<5400;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+115681, vrr_stack+2759, vrr_stack+11644, vrr_stack+51694, vrr_stack+43815, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+115817, vrr_stack+2879, vrr_stack+2759, vrr_stack+51799, vrr_stack+51694, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+115953, vrr_stack+115817, vrr_stack+115681, NULL, NULL, vrr_stack+2759);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+116361, vrr_stack+3359, vrr_stack+2879, vrr_stack+52219, vrr_stack+51799, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+116497, vrr_stack+116361, vrr_stack+115817, NULL, NULL, vrr_stack+2879);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+51694, vrr_stack+11644, vrr_stack+52324, vrr_stack+43815, vrr_stack+12190, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+43815, vrr_stack+115681, vrr_stack+51694, NULL, NULL, vrr_stack+11644);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+44223, vrr_stack+115953, vrr_stack+43815, vrr_stack+115817, vrr_stack+115681, vrr_stack+3839);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+116905, vrr_stack+116497, vrr_stack+115953, vrr_stack+116361, vrr_stack+115817, vrr_stack+2999);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+117721, vrr_stack+116905, vrr_stack+44223, vrr_stack+116497, vrr_stack+115953, vrr_stack+4199);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+2999, vrr_stack+51904, vrr_stack+3359, vrr_stack+11826, vrr_stack+52219, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+3839, vrr_stack+2999, vrr_stack+116361, NULL, NULL, vrr_stack+3359);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+27899, vrr_stack+3839, vrr_stack+116497, vrr_stack+2999, vrr_stack+116361, vrr_stack+3479);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+28715, vrr_stack+27899, vrr_stack+116905, vrr_stack+3839, vrr_stack+116497, vrr_stack+4919);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+3479, vrr_stack+52324, vrr_stack+6137, vrr_stack+12190, vrr_stack+72351, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+4247, vrr_stack+51694, vrr_stack+3479, NULL, NULL, vrr_stack+52324);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+4655, vrr_stack+43815, vrr_stack+4247, vrr_stack+115681, vrr_stack+51694, vrr_stack+52999);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+30075, vrr_stack+44223, vrr_stack+4655, vrr_stack+115953, vrr_stack+43815, vrr_stack+53359);
 am[0] = 4;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+52999, vrr_stack+117721, vrr_stack+30075, vrr_stack+116905, vrr_stack+44223, vrr_stack+12869);
 am[0] = 4;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+55039, vrr_stack+28715, vrr_stack+117721, vrr_stack+27899, vrr_stack+116905, vrr_stack+91825);
 am[0] = 5;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+77070, vrr_stack+55039, vrr_stack+52999, vrr_stack+28715, vrr_stack+117721, vrr_stack+14069);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+91825, vrr_stack+34521, vrr_stack+51904, vrr_stack+45336, vrr_stack+11826, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+91961, vrr_stack+91825, vrr_stack+2999, NULL, NULL, vrr_stack+51904);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+142483, vrr_stack+91961, vrr_stack+3839, vrr_stack+91825, vrr_stack+2999, vrr_stack+52639);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+143299, vrr_stack+142483, vrr_stack+27899, vrr_stack+91961, vrr_stack+3839, vrr_stack+93025);
 am[0] = 4;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+144659, vrr_stack+143299, vrr_stack+28715, vrr_stack+142483, vrr_stack+27899, vrr_stack+93745);
 am[0] = 5;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+11764, vrr_stack+144659, vrr_stack+55039, vrr_stack+143299, vrr_stack+28715, vrr_stack+80583);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+80583, vrr_stack+6137, vrr_stack+141163, vrr_stack+72351, vrr_stack+73605, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+72351, vrr_stack+3479, vrr_stack+80583, NULL, NULL, vrr_stack+6137);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+80719, vrr_stack+4247, vrr_stack+72351, vrr_stack+51694, vrr_stack+3479, vrr_stack+6257);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+81535, vrr_stack+4655, vrr_stack+80719, vrr_stack+43815, vrr_stack+4247, vrr_stack+6617);
 am[0] = 4;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+92369, vrr_stack+30075, vrr_stack+81535, vrr_stack+44223, vrr_stack+4655, vrr_stack+7337);
 am[0] = 5;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+6257, vrr_stack+52999, vrr_stack+92369, vrr_stack+117721, vrr_stack+30075, vrr_stack+57154);
 am[0] = 6;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+166231, vrr_stack+77070, vrr_stack+6257, vrr_stack+55039, vrr_stack+52999, vrr_stack+172);
 am[0] = 6;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+170039, vrr_stack+11764, vrr_stack+77070, vrr_stack+144659, vrr_stack+55039, vrr_stack+36516);
 am[0] = 7;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+35001, vrr_stack+170039, vrr_stack+166231, vrr_stack+11764, vrr_stack+77070, vrr_stack+133231);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+133231, vrr_stack+99196, vrr_stack+34521, vrr_stack+80478, vrr_stack+45336, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+133367, vrr_stack+133231, vrr_stack+91825, NULL, NULL, vrr_stack+34521);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+133775, vrr_stack+133367, vrr_stack+91961, vrr_stack+133231, vrr_stack+91825, vrr_stack+34641);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+134591, vrr_stack+133775, vrr_stack+142483, vrr_stack+133367, vrr_stack+91961, vrr_stack+20567);
 am[0] = 4;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+172, vrr_stack+134591, vrr_stack+143299, vrr_stack+133775, vrr_stack+142483, vrr_stack+21287);
 am[0] = 5;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+20567, vrr_stack+172, vrr_stack+144659, vrr_stack+134591, vrr_stack+143299, vrr_stack+128911);
   tmp = vrr_stack + 20567;
   target_ptr = Libint->vrr_classes[5][15];
   for(i=0;i<2856;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+173847, vrr_stack+20567, vrr_stack+11764, vrr_stack+172, vrr_stack+144659, vrr_stack+130711);
   tmp = vrr_stack + 173847;
   target_ptr = Libint->vrr_classes[6][15];
   for(i=0;i<3808;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+177655, vrr_stack+173847, vrr_stack+170039, vrr_stack+20567, vrr_stack+11764, vrr_stack+101401);
   tmp = vrr_stack + 177655;
   target_ptr = Libint->vrr_classes[7][15];
   for(i=0;i<4896;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+20567, Data->F+23, Data->F+24, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+20570, vrr_stack+140911, vrr_stack+20567, Data->F+22, Data->F+23, NULL);
 _BUILD_00f0(Data,vrr_stack+20576, vrr_stack+140914, vrr_stack+20570, vrr_stack+73401, vrr_stack+140911, NULL);
 _BUILD_00g0(Data,vrr_stack+20586, vrr_stack+140920, vrr_stack+20576, vrr_stack+73404, vrr_stack+140914, NULL);
 _BUILD_00h0(Data,vrr_stack+20601, vrr_stack+140930, vrr_stack+20586, vrr_stack+73410, vrr_stack+140920, NULL);
 _BUILD_00i0(Data,vrr_stack+20622, vrr_stack+140945, vrr_stack+20601, vrr_stack+0, vrr_stack+140930, NULL);
 _BUILD_00k0(Data,vrr_stack+20650, vrr_stack+140966, vrr_stack+20622, vrr_stack+73420, vrr_stack+140945, NULL);
 _BUILD_00l0(Data,vrr_stack+20686, vrr_stack+140994, vrr_stack+20650, vrr_stack+73441, vrr_stack+140966, NULL);
 _BUILD_00m0(Data,vrr_stack+20731, vrr_stack+86638, vrr_stack+20686, vrr_stack+73469, vrr_stack+140994, NULL);
 _BUILD_00n0(Data,vrr_stack+20786, vrr_stack+141030, vrr_stack+20731, vrr_stack+73505, vrr_stack+86638, NULL);
 _BUILD_00o0(Data,vrr_stack+20852, vrr_stack+86683, vrr_stack+20786, vrr_stack+73550, vrr_stack+141030, NULL);
 _BUILD_00q0(Data,vrr_stack+20930, vrr_stack+141085, vrr_stack+20852, vrr_stack+15, vrr_stack+86683, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+21021, vrr_stack+51603, vrr_stack+20930, vrr_stack+34443, vrr_stack+141085, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+21126, vrr_stack+86749, vrr_stack+21021, vrr_stack+81, vrr_stack+51603, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+141163, vrr_stack+21126, vrr_stack+73605, vrr_stack+86749, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+136, vrr_stack+80583, vrr_stack+0, NULL, NULL, vrr_stack+141163);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+544, vrr_stack+72351, vrr_stack+136, vrr_stack+3479, vrr_stack+80583, vrr_stack+86854);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+1360, vrr_stack+80719, vrr_stack+544, vrr_stack+4247, vrr_stack+72351, vrr_stack+87214);
 am[0] = 4;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+21246, vrr_stack+81535, vrr_stack+1360, vrr_stack+4655, vrr_stack+80719, vrr_stack+141283);
 am[0] = 5;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+128911, vrr_stack+92369, vrr_stack+21246, vrr_stack+30075, vrr_stack+81535, vrr_stack+104761);
 am[0] = 6;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+99316, vrr_stack+6257, vrr_stack+128911, vrr_stack+52999, vrr_stack+92369, vrr_stack+62211);
 am[0] = 7;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+103124, vrr_stack+166231, vrr_stack+99316, vrr_stack+77070, vrr_stack+6257, vrr_stack+73710);
 am[0] = 8;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+182551, vrr_stack+35001, vrr_stack+103124, vrr_stack+170039, vrr_stack+166231, vrr_stack+151111);
 am[0] = 8;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+188671, vrr_stack+177655, vrr_stack+35001, vrr_stack+173847, vrr_stack+170039, vrr_stack+136591);
   tmp = vrr_stack + 188671;
   target_ptr = Libint->vrr_classes[8][15];
   for(i=0;i<6120;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+173847, vrr_stack+115681, vrr_stack+51694, vrr_stack+2759, vrr_stack+11644, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+174000, vrr_stack+115817, vrr_stack+115681, vrr_stack+2879, vrr_stack+2759, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+174153, vrr_stack+174000, vrr_stack+173847, NULL, NULL, vrr_stack+115681);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+174612, vrr_stack+116361, vrr_stack+115817, vrr_stack+3359, vrr_stack+2879, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+174765, vrr_stack+174612, vrr_stack+174000, NULL, NULL, vrr_stack+115817);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+175224, vrr_stack+51694, vrr_stack+3479, vrr_stack+11644, vrr_stack+52324, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+175377, vrr_stack+173847, vrr_stack+175224, NULL, NULL, vrr_stack+51694);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+175836, vrr_stack+174153, vrr_stack+175377, vrr_stack+174000, vrr_stack+173847, vrr_stack+43815);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+151111, vrr_stack+174765, vrr_stack+174153, vrr_stack+174612, vrr_stack+174000, vrr_stack+115953);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+152029, vrr_stack+151111, vrr_stack+175836, vrr_stack+174765, vrr_stack+174153, vrr_stack+44223);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+115953, vrr_stack+2999, vrr_stack+116361, vrr_stack+51904, vrr_stack+3359, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+43815, vrr_stack+115953, vrr_stack+174612, NULL, NULL, vrr_stack+116361);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+44274, vrr_stack+43815, vrr_stack+174765, vrr_stack+115953, vrr_stack+174612, vrr_stack+116497);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+153559, vrr_stack+44274, vrr_stack+151111, vrr_stack+43815, vrr_stack+174765, vrr_stack+116905);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+116497, vrr_stack+3479, vrr_stack+80583, vrr_stack+52324, vrr_stack+6137, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+116650, vrr_stack+175224, vrr_stack+116497, NULL, NULL, vrr_stack+3479);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+62211, vrr_stack+175377, vrr_stack+116650, vrr_stack+173847, vrr_stack+175224, vrr_stack+4247);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+63129, vrr_stack+175836, vrr_stack+62211, vrr_stack+174153, vrr_stack+175377, vrr_stack+4655);
 am[0] = 4;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+133367, vrr_stack+152029, vrr_stack+63129, vrr_stack+151111, vrr_stack+175836, vrr_stack+30075);
 am[0] = 4;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+72759, vrr_stack+153559, vrr_stack+152029, vrr_stack+44274, vrr_stack+151111, vrr_stack+117721);
 am[0] = 5;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+194791, vrr_stack+72759, vrr_stack+133367, vrr_stack+153559, vrr_stack+152029, vrr_stack+52999);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+30075, vrr_stack+91825, vrr_stack+2999, vrr_stack+34521, vrr_stack+51904, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+30228, vrr_stack+30075, vrr_stack+115953, NULL, NULL, vrr_stack+2999);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+30687, vrr_stack+30228, vrr_stack+43815, vrr_stack+30075, vrr_stack+115953, vrr_stack+3839);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+117109, vrr_stack+30687, vrr_stack+44274, vrr_stack+30228, vrr_stack+43815, vrr_stack+27899);
 am[0] = 4;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+57079, vrr_stack+117109, vrr_stack+153559, vrr_stack+30687, vrr_stack+44274, vrr_stack+28715);
 am[0] = 5;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+198004, vrr_stack+57079, vrr_stack+72759, vrr_stack+117109, vrr_stack+153559, vrr_stack+55039);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+27899, vrr_stack+80583, vrr_stack+0, vrr_stack+6137, vrr_stack+141163, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+28052, vrr_stack+116497, vrr_stack+27899, NULL, NULL, vrr_stack+80583);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+28511, vrr_stack+116650, vrr_stack+28052, vrr_stack+175224, vrr_stack+116497, vrr_stack+72351);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+86854, vrr_stack+62211, vrr_stack+28511, vrr_stack+175377, vrr_stack+116650, vrr_stack+80719);
 am[0] = 4;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+3615, vrr_stack+63129, vrr_stack+86854, vrr_stack+175836, vrr_stack+62211, vrr_stack+81535);
 am[0] = 5;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+51830, vrr_stack+133367, vrr_stack+3615, vrr_stack+152029, vrr_stack+63129, vrr_stack+92369);
 am[0] = 6;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+201217, vrr_stack+194791, vrr_stack+51830, vrr_stack+72759, vrr_stack+133367, vrr_stack+6257);
 am[0] = 6;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+205501, vrr_stack+198004, vrr_stack+194791, vrr_stack+57079, vrr_stack+72759, vrr_stack+77070);
 am[0] = 7;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+75054, vrr_stack+205501, vrr_stack+201217, vrr_stack+198004, vrr_stack+194791, vrr_stack+166231);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+166231, vrr_stack+133231, vrr_stack+91825, vrr_stack+99196, vrr_stack+34521, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+166384, vrr_stack+166231, vrr_stack+30075, NULL, NULL, vrr_stack+91825);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+166843, vrr_stack+166384, vrr_stack+30228, vrr_stack+166231, vrr_stack+30075, vrr_stack+91961);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+91961, vrr_stack+166843, vrr_stack+30687, vrr_stack+166384, vrr_stack+30228, vrr_stack+142483);
 am[0] = 4;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+80719, vrr_stack+91961, vrr_stack+117109, vrr_stack+166843, vrr_stack+30687, vrr_stack+143299);
 am[0] = 5;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+166384, vrr_stack+80719, vrr_stack+57079, vrr_stack+91961, vrr_stack+117109, vrr_stack+144659);
   tmp = vrr_stack + 166384;
   target_ptr = Libint->vrr_classes[5][16];
   for(i=0;i<3213;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+141283, vrr_stack+166384, vrr_stack+198004, vrr_stack+80719, vrr_stack+57079, vrr_stack+11764);
   tmp = vrr_stack + 141283;
   target_ptr = Libint->vrr_classes[6][16];
   for(i=0;i<4284;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+209785, vrr_stack+141283, vrr_stack+205501, vrr_stack+166384, vrr_stack+198004, vrr_stack+170039);
   tmp = vrr_stack + 209785;
   target_ptr = Libint->vrr_classes[7][16];
   for(i=0;i<5508;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+166384, Data->F+24, Data->F+25, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+166387, vrr_stack+20567, vrr_stack+166384, Data->F+23, Data->F+24, NULL);
 _BUILD_00f0(Data,vrr_stack+166393, vrr_stack+20570, vrr_stack+166387, vrr_stack+140911, vrr_stack+20567, NULL);
 _BUILD_00g0(Data,vrr_stack+166403, vrr_stack+20576, vrr_stack+166393, vrr_stack+140914, vrr_stack+20570, NULL);
 _BUILD_00h0(Data,vrr_stack+80562, vrr_stack+20586, vrr_stack+166403, vrr_stack+140920, vrr_stack+20576, NULL);
 _BUILD_00i0(Data,vrr_stack+166418, vrr_stack+20601, vrr_stack+80562, vrr_stack+140930, vrr_stack+20586, NULL);
 _BUILD_00k0(Data,vrr_stack+166446, vrr_stack+20622, vrr_stack+166418, vrr_stack+140945, vrr_stack+20601, NULL);
 _BUILD_00l0(Data,vrr_stack+140911, vrr_stack+20650, vrr_stack+166446, vrr_stack+140966, vrr_stack+20622, NULL);
 _BUILD_00m0(Data,vrr_stack+166482, vrr_stack+20686, vrr_stack+140911, vrr_stack+140994, vrr_stack+20650, NULL);
 _BUILD_00n0(Data,vrr_stack+140956, vrr_stack+20731, vrr_stack+166482, vrr_stack+86638, vrr_stack+20686, NULL);
 _BUILD_00o0(Data,vrr_stack+166537, vrr_stack+20786, vrr_stack+140956, vrr_stack+141030, vrr_stack+20731, NULL);
 _BUILD_00q0(Data,vrr_stack+166615, vrr_stack+20852, vrr_stack+166537, vrr_stack+86683, vrr_stack+20786, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+86638, vrr_stack+20930, vrr_stack+166615, vrr_stack+141085, vrr_stack+20852, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+99196, vrr_stack+21021, vrr_stack+86638, vrr_stack+51603, vrr_stack+20930, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+141022, vrr_stack+21126, vrr_stack+99196, vrr_stack+86749, vrr_stack+21021, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+166706, vrr_stack+0, vrr_stack+141022, vrr_stack+141163, vrr_stack+21126, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+166859, vrr_stack+27899, vrr_stack+166706, NULL, NULL, vrr_stack+0);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+167318, vrr_stack+28052, vrr_stack+166859, vrr_stack+116497, vrr_stack+27899, vrr_stack+136);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+168236, vrr_stack+28511, vrr_stack+167318, vrr_stack+116650, vrr_stack+28052, vrr_stack+544);
 am[0] = 4;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+169766, vrr_stack+86854, vrr_stack+168236, vrr_stack+62211, vrr_stack+28511, vrr_stack+1360);
 am[0] = 5;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+11644, vrr_stack+3615, vrr_stack+169766, vrr_stack+63129, vrr_stack+86854, vrr_stack+21246);
 am[0] = 6;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+215293, vrr_stack+51830, vrr_stack+11644, vrr_stack+133367, vrr_stack+3615, vrr_stack+128911);
 am[0] = 7;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+219577, vrr_stack+201217, vrr_stack+215293, vrr_stack+194791, vrr_stack+51830, vrr_stack+99316);
 am[0] = 8;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+225085, vrr_stack+75054, vrr_stack+219577, vrr_stack+205501, vrr_stack+201217, vrr_stack+103124);
 am[0] = 8;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+99316, vrr_stack+209785, vrr_stack+75054, vrr_stack+141283, vrr_stack+205501, vrr_stack+35001);
   tmp = vrr_stack + 99316;
   target_ptr = Libint->vrr_classes[8][16];
   for(i=0;i<6885;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+106201, vrr_stack+173847, vrr_stack+175224, vrr_stack+115681, vrr_stack+51694, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+106372, vrr_stack+174000, vrr_stack+173847, vrr_stack+115817, vrr_stack+115681, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+106543, vrr_stack+106372, vrr_stack+106201, NULL, NULL, vrr_stack+173847);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+107056, vrr_stack+174612, vrr_stack+174000, vrr_stack+116361, vrr_stack+115817, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+107227, vrr_stack+107056, vrr_stack+106372, NULL, NULL, vrr_stack+174000);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+115681, vrr_stack+175224, vrr_stack+116497, vrr_stack+51694, vrr_stack+3479, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+128911, vrr_stack+106201, vrr_stack+115681, NULL, NULL, vrr_stack+175224);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+129424, vrr_stack+106543, vrr_stack+128911, vrr_stack+106372, vrr_stack+106201, vrr_stack+175377);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+130450, vrr_stack+107227, vrr_stack+106543, vrr_stack+107056, vrr_stack+106372, vrr_stack+174153);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+131476, vrr_stack+130450, vrr_stack+129424, vrr_stack+107227, vrr_stack+106543, vrr_stack+175836);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+174153, vrr_stack+115953, vrr_stack+174612, vrr_stack+2999, vrr_stack+116361, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+175377, vrr_stack+174153, vrr_stack+107056, NULL, NULL, vrr_stack+174612);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+175890, vrr_stack+175377, vrr_stack+107227, vrr_stack+174153, vrr_stack+107056, vrr_stack+174765);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+21246, vrr_stack+175890, vrr_stack+130450, vrr_stack+175377, vrr_stack+107227, vrr_stack+151111);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+151111, vrr_stack+116497, vrr_stack+27899, vrr_stack+3479, vrr_stack+80583, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+151282, vrr_stack+115681, vrr_stack+151111, NULL, NULL, vrr_stack+116497);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+22956, vrr_stack+128911, vrr_stack+151282, vrr_stack+106201, vrr_stack+115681, vrr_stack+116650);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+136, vrr_stack+129424, vrr_stack+22956, vrr_stack+106543, vrr_stack+128911, vrr_stack+62211);
 am[0] = 4;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+141158, vrr_stack+131476, vrr_stack+136, vrr_stack+130450, vrr_stack+129424, vrr_stack+63129);
 am[0] = 4;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+62211, vrr_stack+21246, vrr_stack+131476, vrr_stack+175890, vrr_stack+130450, vrr_stack+152029);
 am[0] = 5;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+231970, vrr_stack+62211, vrr_stack+141158, vrr_stack+21246, vrr_stack+131476, vrr_stack+133367);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+133367, vrr_stack+30075, vrr_stack+115953, vrr_stack+91825, vrr_stack+2999, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+133538, vrr_stack+133367, vrr_stack+174153, NULL, NULL, vrr_stack+115953);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+134051, vrr_stack+133538, vrr_stack+175377, vrr_stack+133367, vrr_stack+174153, vrr_stack+43815);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+151795, vrr_stack+134051, vrr_stack+175890, vrr_stack+133538, vrr_stack+175377, vrr_stack+44274);
 am[0] = 4;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+143723, vrr_stack+151795, vrr_stack+21246, vrr_stack+134051, vrr_stack+175890, vrr_stack+153559);
 am[0] = 5;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+235561, vrr_stack+143723, vrr_stack+62211, vrr_stack+151795, vrr_stack+21246, vrr_stack+72759);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+43815, vrr_stack+27899, vrr_stack+166706, vrr_stack+80583, vrr_stack+0, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+80583, vrr_stack+151111, vrr_stack+43815, NULL, NULL, vrr_stack+27899);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+81096, vrr_stack+151282, vrr_stack+80583, vrr_stack+115681, vrr_stack+151111, vrr_stack+28052);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+153505, vrr_stack+22956, vrr_stack+81096, vrr_stack+128911, vrr_stack+151282, vrr_stack+28511);
 am[0] = 4;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+91961, vrr_stack+136, vrr_stack+153505, vrr_stack+129424, vrr_stack+22956, vrr_stack+86854);
 am[0] = 5;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+239152, vrr_stack+141158, vrr_stack+91961, vrr_stack+131476, vrr_stack+136, vrr_stack+3615);
 am[0] = 6;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+1846, vrr_stack+231970, vrr_stack+239152, vrr_stack+62211, vrr_stack+141158, vrr_stack+51830);
 am[0] = 6;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+51603, vrr_stack+235561, vrr_stack+231970, vrr_stack+143723, vrr_stack+62211, vrr_stack+194791);
 am[0] = 7;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+242743, vrr_stack+51603, vrr_stack+1846, vrr_stack+235561, vrr_stack+231970, vrr_stack+201217);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+201217, vrr_stack+166231, vrr_stack+30075, vrr_stack+133231, vrr_stack+91825, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+201388, vrr_stack+201217, vrr_stack+133367, NULL, NULL, vrr_stack+30075);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+201901, vrr_stack+201388, vrr_stack+133538, vrr_stack+201217, vrr_stack+133367, vrr_stack+30228);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+202927, vrr_stack+201901, vrr_stack+134051, vrr_stack+201388, vrr_stack+133538, vrr_stack+30687);
 am[0] = 4;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+194791, vrr_stack+202927, vrr_stack+151795, vrr_stack+201901, vrr_stack+134051, vrr_stack+117109);
 am[0] = 5;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+248899, vrr_stack+194791, vrr_stack+143723, vrr_stack+202927, vrr_stack+151795, vrr_stack+57079);
   tmp = vrr_stack + 248899;
   target_ptr = Libint->vrr_classes[5][17];
   for(i=0;i<3591;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+252490, vrr_stack+248899, vrr_stack+235561, vrr_stack+194791, vrr_stack+143723, vrr_stack+198004);
   tmp = vrr_stack + 252490;
   target_ptr = Libint->vrr_classes[6][17];
   for(i=0;i<4788;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+194791, vrr_stack+252490, vrr_stack+51603, vrr_stack+248899, vrr_stack+235561, vrr_stack+205501);
   tmp = vrr_stack + 194791;
   target_ptr = Libint->vrr_classes[7][17];
   for(i=0;i<6156;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+248899, Data->F+25, Data->F+26, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+248902, vrr_stack+166384, vrr_stack+248899, Data->F+24, Data->F+25, NULL);
 _BUILD_00f0(Data,vrr_stack+248908, vrr_stack+166387, vrr_stack+248902, vrr_stack+20567, vrr_stack+166384, NULL);
 _BUILD_00g0(Data,vrr_stack+248918, vrr_stack+166393, vrr_stack+248908, vrr_stack+20570, vrr_stack+166387, NULL);
 _BUILD_00h0(Data,vrr_stack+248933, vrr_stack+166403, vrr_stack+248918, vrr_stack+20576, vrr_stack+166393, NULL);
 _BUILD_00i0(Data,vrr_stack+248954, vrr_stack+80562, vrr_stack+248933, vrr_stack+20586, vrr_stack+166403, NULL);
 _BUILD_00k0(Data,vrr_stack+248982, vrr_stack+166418, vrr_stack+248954, vrr_stack+20601, vrr_stack+80562, NULL);
 _BUILD_00l0(Data,vrr_stack+20567, vrr_stack+166446, vrr_stack+248982, vrr_stack+20622, vrr_stack+166418, NULL);
 _BUILD_00m0(Data,vrr_stack+249018, vrr_stack+140911, vrr_stack+20567, vrr_stack+20650, vrr_stack+166446, NULL);
 _BUILD_00n0(Data,vrr_stack+20612, vrr_stack+166482, vrr_stack+249018, vrr_stack+20686, vrr_stack+140911, NULL);
 _BUILD_00o0(Data,vrr_stack+249073, vrr_stack+140956, vrr_stack+20612, vrr_stack+20731, vrr_stack+166482, NULL);
 _BUILD_00q0(Data,vrr_stack+20678, vrr_stack+166537, vrr_stack+249073, vrr_stack+20786, vrr_stack+140956, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+249151, vrr_stack+166615, vrr_stack+20678, vrr_stack+20852, vrr_stack+166537, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+20769, vrr_stack+86638, vrr_stack+249151, vrr_stack+20930, vrr_stack+166615, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+91825, vrr_stack+99196, vrr_stack+20769, vrr_stack+21021, vrr_stack+86638, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+20889, vrr_stack+141022, vrr_stack+91825, vrr_stack+21126, vrr_stack+99196, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+21042, vrr_stack+166706, vrr_stack+20889, vrr_stack+0, vrr_stack+141022, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+249256, vrr_stack+43815, vrr_stack+21042, NULL, NULL, vrr_stack+166706);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+249769, vrr_stack+80583, vrr_stack+249256, vrr_stack+151111, vrr_stack+43815, vrr_stack+166859);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+201388, vrr_stack+81096, vrr_stack+249769, vrr_stack+151282, vrr_stack+80583, vrr_stack+167318);
 am[0] = 4;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+203098, vrr_stack+153505, vrr_stack+201388, vrr_stack+22956, vrr_stack+81096, vrr_stack+168236);
 am[0] = 5;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+205663, vrr_stack+91961, vrr_stack+203098, vrr_stack+136, vrr_stack+153505, vrr_stack+169766);
 am[0] = 6;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+166859, vrr_stack+239152, vrr_stack+205663, vrr_stack+141158, vrr_stack+91961, vrr_stack+11644);
 am[0] = 7;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+257278, vrr_stack+1846, vrr_stack+166859, vrr_stack+231970, vrr_stack+239152, vrr_stack+215293);
 am[0] = 8;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+263434, vrr_stack+242743, vrr_stack+257278, vrr_stack+51603, vrr_stack+1846, vrr_stack+219577);
 am[0] = 8;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+215293, vrr_stack+194791, vrr_stack+242743, vrr_stack+252490, vrr_stack+51603, vrr_stack+75054);
   tmp = vrr_stack + 215293;
   target_ptr = Libint->vrr_classes[8][17];
   for(i=0;i<7695;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+222988, vrr_stack+106201, vrr_stack+115681, vrr_stack+173847, vrr_stack+175224, NULL);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+223178, vrr_stack+106372, vrr_stack+106201, vrr_stack+174000, vrr_stack+173847, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+223368, vrr_stack+223178, vrr_stack+222988, NULL, NULL, vrr_stack+106201);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+223938, vrr_stack+107056, vrr_stack+106372, vrr_stack+174612, vrr_stack+174000, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+224128, vrr_stack+223938, vrr_stack+223178, NULL, NULL, vrr_stack+106372);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+224698, vrr_stack+115681, vrr_stack+151111, vrr_stack+175224, vrr_stack+116497, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+11644, vrr_stack+222988, vrr_stack+224698, NULL, NULL, vrr_stack+115681);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+12214, vrr_stack+223368, vrr_stack+11644, vrr_stack+223178, vrr_stack+222988, vrr_stack+128911);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+13354, vrr_stack+224128, vrr_stack+223368, vrr_stack+223938, vrr_stack+223178, vrr_stack+106543);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+14494, vrr_stack+13354, vrr_stack+12214, vrr_stack+224128, vrr_stack+223368, vrr_stack+129424);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+106543, vrr_stack+174153, vrr_stack+107056, vrr_stack+115953, vrr_stack+174612, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+128911, vrr_stack+106543, vrr_stack+223938, NULL, NULL, vrr_stack+107056);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+171647, vrr_stack+128911, vrr_stack+224128, vrr_stack+106543, vrr_stack+223938, vrr_stack+107227);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+250795, vrr_stack+171647, vrr_stack+13354, vrr_stack+128911, vrr_stack+224128, vrr_stack+130450);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+107227, vrr_stack+151111, vrr_stack+43815, vrr_stack+116497, vrr_stack+27899, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+107417, vrr_stack+224698, vrr_stack+107227, NULL, NULL, vrr_stack+151111);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+129481, vrr_stack+11644, vrr_stack+107417, vrr_stack+222988, vrr_stack+224698, vrr_stack+151282);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+252695, vrr_stack+12214, vrr_stack+129481, vrr_stack+223368, vrr_stack+11644, vrr_stack+22956);
 am[0] = 4;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+56391, vrr_stack+14494, vrr_stack+252695, vrr_stack+13354, vrr_stack+12214, vrr_stack+136);
 am[0] = 4;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+116106, vrr_stack+250795, vrr_stack+14494, vrr_stack+171647, vrr_stack+13354, vrr_stack+131476);
 am[0] = 5;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+271129, vrr_stack+116106, vrr_stack+56391, vrr_stack+250795, vrr_stack+14494, vrr_stack+141158);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+141158, vrr_stack+133367, vrr_stack+174153, vrr_stack+30075, vrr_stack+115953, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+141348, vrr_stack+141158, vrr_stack+106543, NULL, NULL, vrr_stack+174153);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+141918, vrr_stack+141348, vrr_stack+128911, vrr_stack+141158, vrr_stack+106543, vrr_stack+175377);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+130621, vrr_stack+141918, vrr_stack+171647, vrr_stack+141348, vrr_stack+128911, vrr_stack+175890);
 am[0] = 4;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+174324, vrr_stack+130621, vrr_stack+250795, vrr_stack+141918, vrr_stack+171647, vrr_stack+21246);
 am[0] = 5;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+275119, vrr_stack+174324, vrr_stack+116106, vrr_stack+130621, vrr_stack+250795, vrr_stack+62211);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+62211, vrr_stack+43815, vrr_stack+21042, vrr_stack+27899, vrr_stack+166706, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+27899, vrr_stack+107227, vrr_stack+62211, NULL, NULL, vrr_stack+43815);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+28469, vrr_stack+107417, vrr_stack+27899, vrr_stack+224698, vrr_stack+107227, vrr_stack+80583);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+62401, vrr_stack+129481, vrr_stack+28469, vrr_stack+11644, vrr_stack+107417, vrr_stack+81096);
 am[0] = 4;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+21213, vrr_stack+252695, vrr_stack+62401, vrr_stack+12214, vrr_stack+129481, vrr_stack+153505);
 am[0] = 5;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+279109, vrr_stack+56391, vrr_stack+21213, vrr_stack+14494, vrr_stack+252695, vrr_stack+91961);
 am[0] = 6;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+283099, vrr_stack+271129, vrr_stack+279109, vrr_stack+116106, vrr_stack+56391, vrr_stack+239152);
 am[0] = 6;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+288419, vrr_stack+275119, vrr_stack+271129, vrr_stack+174324, vrr_stack+116106, vrr_stack+231970);
 am[0] = 7;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+293739, vrr_stack+288419, vrr_stack+283099, vrr_stack+275119, vrr_stack+271129, vrr_stack+1846);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+231970, vrr_stack+201217, vrr_stack+133367, vrr_stack+166231, vrr_stack+30075, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+232160, vrr_stack+231970, vrr_stack+141158, NULL, NULL, vrr_stack+133367);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+232730, vrr_stack+232160, vrr_stack+141348, vrr_stack+231970, vrr_stack+141158, vrr_stack+133538);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+239152, vrr_stack+232730, vrr_stack+141918, vrr_stack+232160, vrr_stack+141348, vrr_stack+134051);
 am[0] = 4;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+133538, vrr_stack+239152, vrr_stack+130621, vrr_stack+232730, vrr_stack+141918, vrr_stack+151795);
 am[0] = 5;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+151282, vrr_stack+133538, vrr_stack+174324, vrr_stack+239152, vrr_stack+130621, vrr_stack+143723);
   tmp = vrr_stack + 151282;
   target_ptr = Libint->vrr_classes[5][18];
   for(i=0;i<3990;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+151282, vrr_stack+275119, vrr_stack+133538, vrr_stack+174324, vrr_stack+235561);
   tmp = vrr_stack + 0;
   target_ptr = Libint->vrr_classes[6][18];
   for(i=0;i<5320;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+232160, vrr_stack+0, vrr_stack+288419, vrr_stack+151282, vrr_stack+275119, vrr_stack+51603);
   tmp = vrr_stack + 232160;
   target_ptr = Libint->vrr_classes[7][18];
   for(i=0;i<6840;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+51603, Data->F+26, Data->F+27, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+51606, vrr_stack+248899, vrr_stack+51603, Data->F+25, Data->F+26, NULL);
 _BUILD_00f0(Data,vrr_stack+51612, vrr_stack+248902, vrr_stack+51606, vrr_stack+166384, vrr_stack+248899, NULL);
 _BUILD_00g0(Data,vrr_stack+51622, vrr_stack+248908, vrr_stack+51612, vrr_stack+166387, vrr_stack+248902, NULL);
 _BUILD_00h0(Data,vrr_stack+51637, vrr_stack+248918, vrr_stack+51622, vrr_stack+166393, vrr_stack+248908, NULL);
 _BUILD_00i0(Data,vrr_stack+51658, vrr_stack+248933, vrr_stack+51637, vrr_stack+166403, vrr_stack+248918, NULL);
 _BUILD_00k0(Data,vrr_stack+51686, vrr_stack+248954, vrr_stack+51658, vrr_stack+80562, vrr_stack+248933, NULL);
 _BUILD_00l0(Data,vrr_stack+80562, vrr_stack+248982, vrr_stack+51686, vrr_stack+166418, vrr_stack+248954, NULL);
 _BUILD_00m0(Data,vrr_stack+80607, vrr_stack+20567, vrr_stack+80562, vrr_stack+166446, vrr_stack+248982, NULL);
 _BUILD_00n0(Data,vrr_stack+80662, vrr_stack+249018, vrr_stack+80607, vrr_stack+140911, vrr_stack+20567, NULL);
 _BUILD_00o0(Data,vrr_stack+16394, vrr_stack+20612, vrr_stack+80662, vrr_stack+166482, vrr_stack+249018, NULL);
 _BUILD_00q0(Data,vrr_stack+80728, vrr_stack+249073, vrr_stack+16394, vrr_stack+140956, vrr_stack+20612, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+140911, vrr_stack+20678, vrr_stack+80728, vrr_stack+166537, vrr_stack+249073, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+80819, vrr_stack+249151, vrr_stack+140911, vrr_stack+166615, vrr_stack+20678, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+80939, vrr_stack+20769, vrr_stack+80819, vrr_stack+86638, vrr_stack+249151, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+86638, vrr_stack+91825, vrr_stack+80939, vrr_stack+99196, vrr_stack+20769, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+86791, vrr_stack+20889, vrr_stack+86638, vrr_stack+141022, vrr_stack+91825, NULL);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+86962, vrr_stack+21042, vrr_stack+86791, vrr_stack+166706, vrr_stack+20889, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+87152, vrr_stack+62211, vrr_stack+86962, NULL, NULL, vrr_stack+21042);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+81075, vrr_stack+27899, vrr_stack+87152, vrr_stack+107227, vrr_stack+62211, vrr_stack+249256);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+51722, vrr_stack+28469, vrr_stack+81075, vrr_stack+107417, vrr_stack+27899, vrr_stack+249769);
 am[0] = 4;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+151282, vrr_stack+62401, vrr_stack+51722, vrr_stack+129481, vrr_stack+28469, vrr_stack+201388);
 am[0] = 5;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+300579, vrr_stack+21213, vrr_stack+151282, vrr_stack+252695, vrr_stack+62401, vrr_stack+203098);
 am[0] = 6;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+304569, vrr_stack+279109, vrr_stack+300579, vrr_stack+56391, vrr_stack+21213, vrr_stack+205663);
 am[0] = 7;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+201388, vrr_stack+283099, vrr_stack+304569, vrr_stack+271129, vrr_stack+279109, vrr_stack+166859);
 am[0] = 8;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+309889, vrr_stack+293739, vrr_stack+201388, vrr_stack+288419, vrr_stack+283099, vrr_stack+257278);
 am[0] = 8;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+254595, vrr_stack+232160, vrr_stack+293739, vrr_stack+0, vrr_stack+288419, vrr_stack+242743);
   tmp = vrr_stack + 254595;
   target_ptr = Libint->vrr_classes[8][18];
   for(i=0;i<8550;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+222988, vrr_stack+224698, vrr_stack+106201, vrr_stack+115681, NULL);
 am[0] = 0;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+210, vrr_stack+223178, vrr_stack+222988, vrr_stack+106372, vrr_stack+106201, NULL);
 am[0] = 1;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+420, vrr_stack+210, vrr_stack+0, NULL, NULL, vrr_stack+222988);
 am[0] = 0;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+1050, vrr_stack+223938, vrr_stack+223178, vrr_stack+107056, vrr_stack+106372, NULL);
 am[0] = 1;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+1260, vrr_stack+1050, vrr_stack+210, NULL, NULL, vrr_stack+223178);
 am[0] = 0;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+222988, vrr_stack+224698, vrr_stack+107227, vrr_stack+115681, vrr_stack+151111, NULL);
 am[0] = 1;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+1890, vrr_stack+0, vrr_stack+222988, NULL, NULL, vrr_stack+224698);
 am[0] = 2;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+2520, vrr_stack+420, vrr_stack+1890, vrr_stack+210, vrr_stack+0, vrr_stack+11644);
 am[0] = 2;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+3780, vrr_stack+1260, vrr_stack+420, vrr_stack+1050, vrr_stack+210, vrr_stack+223368);
 am[0] = 3;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+5040, vrr_stack+3780, vrr_stack+2520, vrr_stack+1260, vrr_stack+420, vrr_stack+12214);
 am[0] = 0;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+210, vrr_stack+106543, vrr_stack+223938, vrr_stack+174153, vrr_stack+107056, NULL);
 am[0] = 1;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+11644, vrr_stack+210, vrr_stack+1050, NULL, NULL, vrr_stack+223938);
 am[0] = 2;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+7140, vrr_stack+11644, vrr_stack+1260, vrr_stack+210, vrr_stack+1050, vrr_stack+224128);
 am[0] = 3;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+53622, vrr_stack+7140, vrr_stack+3780, vrr_stack+11644, vrr_stack+1260, vrr_stack+13354);
 am[0] = 0;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+1050, vrr_stack+107227, vrr_stack+62211, vrr_stack+151111, vrr_stack+43815, NULL);
 am[0] = 1;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+1260, vrr_stack+222988, vrr_stack+1050, NULL, NULL, vrr_stack+107227);
 am[0] = 2;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+12274, vrr_stack+1890, vrr_stack+1260, vrr_stack+0, vrr_stack+222988, vrr_stack+107417);
 am[0] = 3;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+133538, vrr_stack+2520, vrr_stack+12274, vrr_stack+420, vrr_stack+1890, vrr_stack+129481);
 am[0] = 4;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+239000, vrr_stack+5040, vrr_stack+133538, vrr_stack+3780, vrr_stack+2520, vrr_stack+252695);
 am[0] = 4;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+166231, vrr_stack+53622, vrr_stack+5040, vrr_stack+7140, vrr_stack+3780, vrr_stack+14494);
 am[0] = 5;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+318439, vrr_stack+166231, vrr_stack+239000, vrr_stack+53622, vrr_stack+5040, vrr_stack+56391);
 am[0] = 0;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+141158, vrr_stack+106543, vrr_stack+133367, vrr_stack+174153, NULL);
 am[0] = 1;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+420, vrr_stack+0, vrr_stack+210, NULL, NULL, vrr_stack+106543);
 am[0] = 2;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+3780, vrr_stack+420, vrr_stack+11644, vrr_stack+0, vrr_stack+210, vrr_stack+128911);
 am[0] = 3;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+13534, vrr_stack+3780, vrr_stack+7140, vrr_stack+420, vrr_stack+11644, vrr_stack+171647);
 am[0] = 4;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+55722, vrr_stack+13534, vrr_stack+53622, vrr_stack+3780, vrr_stack+7140, vrr_stack+250795);
 am[0] = 5;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+249256, vrr_stack+55722, vrr_stack+166231, vrr_stack+13534, vrr_stack+53622, vrr_stack+116106);
 am[0] = 0;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+210, vrr_stack+62211, vrr_stack+86962, vrr_stack+43815, vrr_stack+21042, NULL);
 am[0] = 1;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+11644, vrr_stack+1050, vrr_stack+210, NULL, NULL, vrr_stack+62211);
 am[0] = 2;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+43815, vrr_stack+1260, vrr_stack+11644, vrr_stack+222988, vrr_stack+1050, vrr_stack+27899);
 am[0] = 3;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+53622, vrr_stack+12274, vrr_stack+43815, vrr_stack+1890, vrr_stack+1260, vrr_stack+28469);
 am[0] = 4;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+27899, vrr_stack+133538, vrr_stack+53622, vrr_stack+2520, vrr_stack+12274, vrr_stack+62401);
 am[0] = 5;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+169381, vrr_stack+239000, vrr_stack+27899, vrr_stack+5040, vrr_stack+133538, vrr_stack+21213);
 am[0] = 6;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+322849, vrr_stack+318439, vrr_stack+169381, vrr_stack+166231, vrr_stack+239000, vrr_stack+279109);
 am[0] = 6;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+328729, vrr_stack+249256, vrr_stack+318439, vrr_stack+55722, vrr_stack+166231, vrr_stack+271129);
 am[0] = 7;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+334609, vrr_stack+328729, vrr_stack+322849, vrr_stack+249256, vrr_stack+318439, vrr_stack+283099);
 am[0] = 0;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+271129, vrr_stack+231970, vrr_stack+141158, vrr_stack+201217, vrr_stack+133367, NULL);
 am[0] = 1;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+271339, vrr_stack+271129, vrr_stack+0, NULL, NULL, vrr_stack+141158);
 am[0] = 2;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+271969, vrr_stack+271339, vrr_stack+420, vrr_stack+271129, vrr_stack+0, vrr_stack+141348);
 am[0] = 3;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+166231, vrr_stack+271969, vrr_stack+3780, vrr_stack+271339, vrr_stack+420, vrr_stack+141918);
 am[0] = 4;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+279109, vrr_stack+166231, vrr_stack+13534, vrr_stack+271969, vrr_stack+3780, vrr_stack+130621);
 am[0] = 5;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+282259, vrr_stack+279109, vrr_stack+55722, vrr_stack+166231, vrr_stack+13534, vrr_stack+174324);
   tmp = vrr_stack + 282259;
   target_ptr = Libint->vrr_classes[5][19];
   for(i=0;i<4410;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+1890, vrr_stack+282259, vrr_stack+249256, vrr_stack+279109, vrr_stack+55722, vrr_stack+275119);
   tmp = vrr_stack + 1890;
   target_ptr = Libint->vrr_classes[6][19];
   for(i=0;i<5880;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+271129, vrr_stack+1890, vrr_stack+328729, vrr_stack+282259, vrr_stack+249256, vrr_stack+288419);
   tmp = vrr_stack + 271129;
   target_ptr = Libint->vrr_classes[7][19];
   for(i=0;i<7560;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+249256, Data->F+27, Data->F+28, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+249259, vrr_stack+51603, vrr_stack+249256, Data->F+26, Data->F+27, NULL);
 _BUILD_00f0(Data,vrr_stack+249265, vrr_stack+51606, vrr_stack+249259, vrr_stack+248899, vrr_stack+51603, NULL);
 _BUILD_00g0(Data,vrr_stack+249275, vrr_stack+51612, vrr_stack+249265, vrr_stack+248902, vrr_stack+51606, NULL);
 _BUILD_00h0(Data,vrr_stack+249290, vrr_stack+51622, vrr_stack+249275, vrr_stack+248908, vrr_stack+51612, NULL);
 _BUILD_00i0(Data,vrr_stack+249256, vrr_stack+51637, vrr_stack+249290, vrr_stack+248918, vrr_stack+51622, NULL);
 _BUILD_00k0(Data,vrr_stack+249284, vrr_stack+51658, vrr_stack+249256, vrr_stack+248933, vrr_stack+51637, NULL);
 _BUILD_00l0(Data,vrr_stack+51603, vrr_stack+51686, vrr_stack+249284, vrr_stack+248954, vrr_stack+51658, NULL);
 _BUILD_00m0(Data,vrr_stack+249256, vrr_stack+80562, vrr_stack+51603, vrr_stack+248982, vrr_stack+51686, NULL);
 _BUILD_00n0(Data,vrr_stack+51603, vrr_stack+80607, vrr_stack+249256, vrr_stack+20567, vrr_stack+80562, NULL);
 _BUILD_00o0(Data,vrr_stack+249256, vrr_stack+80662, vrr_stack+51603, vrr_stack+249018, vrr_stack+80607, NULL);
 _BUILD_00q0(Data,vrr_stack+51603, vrr_stack+16394, vrr_stack+249256, vrr_stack+20612, vrr_stack+80662, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+249256, vrr_stack+80728, vrr_stack+51603, vrr_stack+249073, vrr_stack+16394, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+99196, vrr_stack+140911, vrr_stack+249256, vrr_stack+20678, vrr_stack+80728, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+249256, vrr_stack+80819, vrr_stack+99196, vrr_stack+249151, vrr_stack+140911, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+140911, vrr_stack+80939, vrr_stack+249256, vrr_stack+20769, vrr_stack+80819, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+151111, vrr_stack+86638, vrr_stack+140911, vrr_stack+91825, vrr_stack+80939, NULL);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+231970, vrr_stack+86791, vrr_stack+151111, vrr_stack+20889, vrr_stack+86638, NULL);
 am[0] = 0;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+86962, vrr_stack+231970, vrr_stack+21042, vrr_stack+86791, NULL);
 am[0] = 1;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+420, vrr_stack+210, vrr_stack+0, NULL, NULL, vrr_stack+86962);
 am[0] = 2;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+91825, vrr_stack+11644, vrr_stack+420, vrr_stack+1050, vrr_stack+210, vrr_stack+87152);
 am[0] = 3;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+140911, vrr_stack+43815, vrr_stack+91825, vrr_stack+1260, vrr_stack+11644, vrr_stack+81075);
 am[0] = 4;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+166231, vrr_stack+53622, vrr_stack+140911, vrr_stack+12274, vrr_stack+43815, vrr_stack+51722);
 am[0] = 5;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+140911, vrr_stack+27899, vrr_stack+166231, vrr_stack+133538, vrr_stack+53622, vrr_stack+151282);
 am[0] = 6;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+51603, vrr_stack+169381, vrr_stack+140911, vrr_stack+239000, vrr_stack+27899, vrr_stack+300579);
 am[0] = 7;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+278689, vrr_stack+322849, vrr_stack+51603, vrr_stack+318439, vrr_stack+169381, vrr_stack+304569);
 am[0] = 8;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+166231, vrr_stack+334609, vrr_stack+278689, vrr_stack+328729, vrr_stack+322849, vrr_stack+201388);
 am[0] = 8;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+278689, vrr_stack+271129, vrr_stack+334609, vrr_stack+1890, vrr_stack+328729, vrr_stack+293739);
   tmp = vrr_stack + 278689;
   target_ptr = Libint->vrr_classes[8][19];
   for(i=0;i<9450;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0n0(Data,vrr_stack+288139, vrr_stack+48633, vrr_stack+45663, vrr_stack+9268, vrr_stack+41439, vrr_stack+31968);
   tmp = vrr_stack + 288139;
   target_ptr = Libint->vrr_classes[9][10];
   for(i=0;i<3630;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0o0(Data,vrr_stack+48633, vrr_stack+24389, vrr_stack+68841, vrr_stack+66033, vrr_stack+59403, vrr_stack+45663);
   tmp = vrr_stack + 48633;
   target_ptr = Libint->vrr_classes[9][11];
   for(i=0;i<4290;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0q0(Data,vrr_stack+52923, vrr_stack+16472, vrr_stack+95101, vrr_stack+88549, vrr_stack+83362, vrr_stack+68841);
   tmp = vrr_stack + 52923;
   target_ptr = Libint->vrr_classes[9][12];
   for(i=0;i<5005;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+57928, vrr_stack+124186, vrr_stack+119461, vrr_stack+111901, vrr_stack+108121, vrr_stack+95101);
   tmp = vrr_stack + 57928;
   target_ptr = Libint->vrr_classes[9][13];
   for(i=0;i<5775;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+124186, vrr_stack+160831, vrr_stack+155431, vrr_stack+146791, vrr_stack+136591, vrr_stack+119461);
   tmp = vrr_stack + 124186;
   target_ptr = Libint->vrr_classes[9][14];
   for(i=0;i<6600;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+130786, vrr_stack+188671, vrr_stack+182551, vrr_stack+177655, vrr_stack+35001, vrr_stack+155431);
   tmp = vrr_stack + 130786;
   target_ptr = Libint->vrr_classes[9][15];
   for(i=0;i<7480;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+138266, vrr_stack+99316, vrr_stack+225085, vrr_stack+209785, vrr_stack+75054, vrr_stack+182551);
   tmp = vrr_stack + 138266;
   target_ptr = Libint->vrr_classes[9][16];
   for(i=0;i<8415;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+146681, vrr_stack+215293, vrr_stack+263434, vrr_stack+194791, vrr_stack+242743, vrr_stack+225085);
   tmp = vrr_stack + 146681;
   target_ptr = Libint->vrr_classes[9][17];
   for(i=0;i<9405;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+63703, vrr_stack+254595, vrr_stack+309889, vrr_stack+232160, vrr_stack+293739, vrr_stack+263434);
   tmp = vrr_stack + 63703;
   target_ptr = Libint->vrr_classes[9][18];
   for(i=0;i<10450;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 19;
 vrr_build_xxxx(am,Data,vrr_stack+74153, vrr_stack+278689, vrr_stack+166231, vrr_stack+271129, vrr_stack+334609, vrr_stack+309889);
   tmp = vrr_stack + 74153;
   target_ptr = Libint->vrr_classes[9][19];
   for(i=0;i<11550;i++)
     target_ptr[i] += tmp[i];

}

