#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gfhh(Libr12_t *, prim_data *);

  /* Computes (gf|hh) integrals for linear R12-methods */

void hrr_grt_order_gfhh(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 315;
 Libr12->t2vrr_classes[4][7] = int_stack + 735;
 Libr12->t2vrr_classes[4][8] = int_stack + 1275;
 Libr12->t2vrr_classes[4][9] = int_stack + 1950;
 Libr12->t2vrr_classes[4][10] = int_stack + 2775;
 Libr12->t2vrr_classes[5][5] = int_stack + 3765;
 Libr12->t2vrr_classes[5][6] = int_stack + 4206;
 Libr12->t2vrr_classes[5][7] = int_stack + 4794;
 Libr12->t2vrr_classes[5][8] = int_stack + 5550;
 Libr12->t2vrr_classes[5][9] = int_stack + 6495;
 Libr12->t2vrr_classes[5][10] = int_stack + 7650;
 Libr12->t2vrr_classes[6][5] = int_stack + 9036;
 Libr12->t2vrr_classes[6][6] = int_stack + 9624;
 Libr12->t2vrr_classes[6][7] = int_stack + 10408;
 Libr12->t2vrr_classes[6][8] = int_stack + 11416;
 Libr12->t2vrr_classes[6][9] = int_stack + 12676;
 Libr12->t2vrr_classes[6][10] = int_stack + 14216;
 Libr12->gvrr_classes[8][5] = int_stack + 16064;
 Libr12->t2vrr_classes[7][5] = int_stack + 17009;
 Libr12->gvrr_classes[8][6] = int_stack + 17765;
 Libr12->t2vrr_classes[7][6] = int_stack + 19025;
 Libr12->gvrr_classes[8][7] = int_stack + 20033;
 Libr12->t2vrr_classes[7][7] = int_stack + 21653;
 Libr12->gvrr_classes[8][8] = int_stack + 22949;
 Libr12->t2vrr_classes[7][8] = int_stack + 24974;
 Libr12->gvrr_classes[8][9] = int_stack + 26594;
 Libr12->t2vrr_classes[7][9] = int_stack + 29069;
 Libr12->t2vrr_classes[7][10] = int_stack + 31049;
 Libr12->gvrr_classes[4][11] = int_stack + 33425;
 Libr12->t1vrr_classes[4][5] = int_stack + 34595;
 Libr12->t1vrr_classes[4][6] = int_stack + 34910;
 Libr12->t1vrr_classes[4][7] = int_stack + 35330;
 Libr12->t1vrr_classes[4][8] = int_stack + 35870;
 Libr12->t1vrr_classes[4][9] = int_stack + 36545;
 Libr12->t1vrr_classes[4][10] = int_stack + 37370;
 Libr12->gvrr_classes[5][11] = int_stack + 38360;
 Libr12->t1vrr_classes[5][5] = int_stack + 39998;
 Libr12->t1vrr_classes[5][6] = int_stack + 40439;
 Libr12->t1vrr_classes[5][7] = int_stack + 41027;
 Libr12->t1vrr_classes[5][8] = int_stack + 41783;
 Libr12->t1vrr_classes[5][9] = int_stack + 42728;
 Libr12->t1vrr_classes[5][10] = int_stack + 43883;
 Libr12->gvrr_classes[6][11] = int_stack + 45269;
 Libr12->t1vrr_classes[6][5] = int_stack + 47453;
 Libr12->t1vrr_classes[6][6] = int_stack + 48041;
 Libr12->t1vrr_classes[6][7] = int_stack + 48825;
 Libr12->t1vrr_classes[6][8] = int_stack + 49833;
 Libr12->t1vrr_classes[6][9] = int_stack + 51093;
 Libr12->t1vrr_classes[6][10] = int_stack + 52633;
 Libr12->t1vrr_classes[7][5] = int_stack + 54481;
 Libr12->t1vrr_classes[7][6] = int_stack + 55237;
 Libr12->t1vrr_classes[7][7] = int_stack + 56245;
 Libr12->t1vrr_classes[7][8] = int_stack + 57541;
 Libr12->t1vrr_classes[7][9] = int_stack + 59161;
 Libr12->t1vrr_classes[7][10] = int_stack + 61141;
 Libr12->rvrr_classes[4][5] = int_stack + 63517;
 Libr12->rvrr_classes[4][6] = int_stack + 63832;
 Libr12->rvrr_classes[4][7] = int_stack + 64252;
 Libr12->rvrr_classes[4][8] = int_stack + 64792;
 Libr12->rvrr_classes[4][9] = int_stack + 65467;
 Libr12->rvrr_classes[4][10] = int_stack + 66292;
 Libr12->rvrr_classes[5][5] = int_stack + 67282;
 Libr12->rvrr_classes[5][6] = int_stack + 67723;
 Libr12->rvrr_classes[5][7] = int_stack + 68311;
 Libr12->rvrr_classes[5][8] = int_stack + 69067;
 Libr12->rvrr_classes[5][9] = int_stack + 70012;
 Libr12->rvrr_classes[5][10] = int_stack + 71167;
 Libr12->rvrr_classes[6][5] = int_stack + 72553;
 Libr12->rvrr_classes[6][6] = int_stack + 73141;
 Libr12->rvrr_classes[6][7] = int_stack + 73925;
 Libr12->rvrr_classes[6][8] = int_stack + 74933;
 Libr12->rvrr_classes[6][9] = int_stack + 76193;
 Libr12->rvrr_classes[6][10] = int_stack + 77733;
 Libr12->rvrr_classes[7][5] = int_stack + 79581;
 Libr12->rvrr_classes[7][6] = int_stack + 80337;
 Libr12->rvrr_classes[7][7] = int_stack + 81345;
 Libr12->rvrr_classes[7][8] = int_stack + 82641;
 Libr12->rvrr_classes[7][9] = int_stack + 84261;
 Libr12->rvrr_classes[7][10] = int_stack + 86241;
 Libr12->gvrr_classes[4][5] = int_stack + 88617;
 Libr12->gvrr_classes[4][6] = int_stack + 88932;
 Libr12->gvrr_classes[4][7] = int_stack + 89352;
 Libr12->gvrr_classes[4][8] = int_stack + 89892;
 Libr12->gvrr_classes[4][9] = int_stack + 90567;
 Libr12->gvrr_classes[4][10] = int_stack + 91392;
 Libr12->gvrr_classes[5][5] = int_stack + 92382;
 Libr12->gvrr_classes[5][6] = int_stack + 92823;
 Libr12->gvrr_classes[5][7] = int_stack + 93411;
 Libr12->gvrr_classes[5][8] = int_stack + 94167;
 Libr12->gvrr_classes[5][9] = int_stack + 95112;
 Libr12->gvrr_classes[5][10] = int_stack + 96267;
 Libr12->gvrr_classes[6][5] = int_stack + 97653;
 Libr12->gvrr_classes[6][6] = int_stack + 98241;
 Libr12->gvrr_classes[6][7] = int_stack + 99025;
 Libr12->gvrr_classes[6][8] = int_stack + 100033;
 Libr12->gvrr_classes[6][9] = int_stack + 101293;
 Libr12->gvrr_classes[6][10] = int_stack + 102833;
 Libr12->gvrr_classes[7][5] = int_stack + 104681;
 Libr12->gvrr_classes[7][6] = int_stack + 105437;
 Libr12->gvrr_classes[7][7] = int_stack + 106445;
 Libr12->gvrr_classes[7][8] = int_stack + 107741;
 Libr12->gvrr_classes[7][9] = int_stack + 109361;
 Libr12->gvrr_classes[7][10] = int_stack + 111341;
 memset(int_stack,0,113717*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 113717;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gfhh(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+113717, int_stack+88932, int_stack+88617, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+114662, int_stack+89352, int_stack+88932, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+115922, int_stack+114662, int_stack+113717, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+117812, int_stack+89892, int_stack+89352, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+119432, int_stack+117812, int_stack+114662, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+121952, int_stack+119432, int_stack+115922, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+125102, int_stack+90567, int_stack+89892, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+127127, int_stack+125102, int_stack+117812, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+130367, int_stack+127127, int_stack+119432, 15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+134567, int_stack+130367, int_stack+121952, 15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+139292, int_stack+92823, int_stack+92382, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+140615, int_stack+93411, int_stack+92823, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+142379, int_stack+140615, int_stack+139292, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+145025, int_stack+94167, int_stack+93411, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+147293, int_stack+145025, int_stack+140615, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+150821, int_stack+147293, int_stack+142379, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+155231, int_stack+95112, int_stack+94167, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+158066, int_stack+155231, int_stack+145025, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+162602, int_stack+158066, int_stack+147293, 21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+168482, int_stack+162602, int_stack+150821, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+175097, int_stack+91392, int_stack+90567, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+177572, int_stack+175097, int_stack+125102, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+181622, int_stack+177572, int_stack+127127, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+187022, int_stack+181622, int_stack+130367, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+193322, int_stack+315, int_stack+0, int_stack+88932, int_stack+92382, int_stack+88617, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+194267, int_stack+735, int_stack+315, int_stack+89352, int_stack+92823, int_stack+88932, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+195527, int_stack+194267, int_stack+193322, int_stack+114662, int_stack+139292, int_stack+113717, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197417, int_stack+1275, int_stack+735, int_stack+89892, int_stack+93411, int_stack+89352, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199037, int_stack+197417, int_stack+194267, int_stack+117812, int_stack+140615, int_stack+114662, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+201557, int_stack+199037, int_stack+195527, int_stack+119432, int_stack+142379, int_stack+115922, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+113717, int_stack+1950, int_stack+1275, int_stack+90567, int_stack+94167, int_stack+89892, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+193322, int_stack+113717, int_stack+197417, int_stack+125102, int_stack+145025, int_stack+117812, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+204707, int_stack+193322, int_stack+199037, int_stack+127127, int_stack+147293, int_stack+119432, 4, 0);
 /*--- compute (g0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115742, int_stack+204707, int_stack+201557, int_stack+130367, int_stack+150821, int_stack+121952, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120467, int_stack+2775, int_stack+1950, int_stack+91392, int_stack+95112, int_stack+90567, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+196562, int_stack+120467, int_stack+113717, int_stack+175097, int_stack+155231, int_stack+125102, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120467, int_stack+196562, int_stack+193322, int_stack+177572, int_stack+158066, int_stack+127127, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+193322, int_stack+120467, int_stack+204707, int_stack+181622, int_stack+162602, int_stack+130367, 4, 0);
 /*--- compute (g0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120467, int_stack+193322, int_stack+115742, int_stack+187022, int_stack+168482, int_stack+134567, 4, 0);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+193322, int_stack+98241, int_stack+97653, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+195086, int_stack+99025, int_stack+98241, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+197438, int_stack+195086, int_stack+193322, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+200966, int_stack+100033, int_stack+99025, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+203990, int_stack+200966, int_stack+195086, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+127082, int_stack+203990, int_stack+197438, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+113717, int_stack+101293, int_stack+100033, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+208694, int_stack+113717, int_stack+200966, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+214742, int_stack+208694, int_stack+203990, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+222582, int_stack+214742, int_stack+127082, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+96267, int_stack+95112, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+231402, int_stack+0, int_stack+155231, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+237072, int_stack+231402, int_stack+158066, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+244632, int_stack+237072, int_stack+162602, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132962, int_stack+4206, int_stack+3765, int_stack+92823, int_stack+97653, int_stack+92382, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117497, int_stack+4794, int_stack+4206, int_stack+93411, int_stack+98241, int_stack+92823, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88617, int_stack+117497, int_stack+132962, int_stack+140615, int_stack+193322, int_stack+139292, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+253452, int_stack+5550, int_stack+4794, int_stack+94167, int_stack+99025, int_stack+93411, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+255720, int_stack+253452, int_stack+117497, int_stack+145025, int_stack+195086, int_stack+140615, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+259248, int_stack+255720, int_stack+88617, int_stack+147293, int_stack+197438, int_stack+142379, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117497, int_stack+6495, int_stack+5550, int_stack+95112, int_stack+100033, int_stack+94167, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139292, int_stack+117497, int_stack+253452, int_stack+155231, int_stack+200966, int_stack+145025, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+263658, int_stack+139292, int_stack+255720, int_stack+158066, int_stack+203990, int_stack+147293, 5, 0);
 /*--- compute (h0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+143828, int_stack+263658, int_stack+259248, int_stack+162602, int_stack+127082, int_stack+150821, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+253452, int_stack+7650, int_stack+6495, int_stack+96267, int_stack+101293, int_stack+95112, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+256917, int_stack+253452, int_stack+117497, int_stack+0, int_stack+113717, int_stack+155231, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+150443, int_stack+256917, int_stack+139292, int_stack+231402, int_stack+208694, int_stack+158066, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+253452, int_stack+150443, int_stack+263658, int_stack+237072, int_stack+214742, int_stack+162602, 5, 0);
 /*--- compute (h0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+150443, int_stack+253452, int_stack+143828, int_stack+244632, int_stack+222582, int_stack+168482, 5, 0);
 /*--- compute (gp|[r12,T2]|hh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+253452, int_stack+150443, int_stack+120467, 441);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+159704, int_stack+105437, int_stack+104681, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+161972, int_stack+106445, int_stack+105437, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+139292, int_stack+161972, int_stack+159704, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+143828, int_stack+107741, int_stack+106445, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+117497, int_stack+143828, int_stack+161972, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+273297, int_stack+117497, int_stack+139292, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3465, int_stack+109361, int_stack+107741, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+280857, int_stack+3465, int_stack+143828, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+288633, int_stack+280857, int_stack+117497, 36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+298713, int_stack+288633, int_stack+273297, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+310053, int_stack+102833, int_stack+101293, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+314673, int_stack+310053, int_stack+113717, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+322233, int_stack+314673, int_stack+208694, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+332313, int_stack+322233, int_stack+214742, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+164996, int_stack+9624, int_stack+9036, int_stack+98241, int_stack+104681, int_stack+97653, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+147716, int_stack+10408, int_stack+9624, int_stack+99025, int_stack+105437, int_stack+98241, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123545, int_stack+147716, int_stack+164996, int_stack+195086, int_stack+159704, int_stack+193322, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+164996, int_stack+11416, int_stack+10408, int_stack+100033, int_stack+106445, int_stack+99025, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+344073, int_stack+164996, int_stack+147716, int_stack+200966, int_stack+161972, int_stack+195086, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+348777, int_stack+344073, int_stack+123545, int_stack+203990, int_stack+139292, int_stack+197438, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+193322, int_stack+12676, int_stack+11416, int_stack+101293, int_stack+107741, int_stack+100033, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+354657, int_stack+193322, int_stack+164996, int_stack+113717, int_stack+143828, int_stack+200966, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+360705, int_stack+354657, int_stack+344073, int_stack+208694, int_stack+117497, int_stack+203990, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197102, int_stack+360705, int_stack+348777, int_stack+214742, int_stack+273297, int_stack+127082, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+344073, int_stack+14216, int_stack+12676, int_stack+102833, int_stack+109361, int_stack+101293, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123545, int_stack+344073, int_stack+193322, int_stack+310053, int_stack+3465, int_stack+113717, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+344073, int_stack+123545, int_stack+354657, int_stack+314673, int_stack+280857, int_stack+208694, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+368545, int_stack+344073, int_stack+360705, int_stack+322233, int_stack+288633, int_stack+214742, 6, 0);
 /*--- compute (i0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+344073, int_stack+368545, int_stack+197102, int_stack+332313, int_stack+298713, int_stack+222582, 6, 0);
 /*--- compute (hp|[r12,T2]|hh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+193322, int_stack+344073, int_stack+150443, 441);
 /*--- compute (gd|[r12,T2]|hh) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+356421, int_stack+193322, int_stack+253452, 441);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+253452, int_stack+17765, int_stack+16064, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+113717, int_stack+20033, int_stack+17765, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+256287, int_stack+113717, int_stack+253452, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+261957, int_stack+22949, int_stack+20033, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+123545, int_stack+261957, int_stack+113717, 45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+147716, int_stack+123545, int_stack+256287, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+266817, int_stack+26594, int_stack+22949, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+396111, int_stack+266817, int_stack+261957, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+405831, int_stack+396111, int_stack+123545, 45);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+418431, int_stack+405831, int_stack+147716, 45);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+8325, int_stack+111341, int_stack+109361, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+432606, int_stack+8325, int_stack+3465, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+442326, int_stack+432606, int_stack+280857, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+455286, int_stack+442326, int_stack+288633, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131105, int_stack+19025, int_stack+17009, int_stack+105437, int_stack+16064, int_stack+104681, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+164996, int_stack+21653, int_stack+19025, int_stack+106445, int_stack+17765, int_stack+105437, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97653, int_stack+164996, int_stack+131105, int_stack+161972, int_stack+253452, int_stack+159704, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157166, int_stack+24974, int_stack+21653, int_stack+107741, int_stack+20033, int_stack+106445, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14265, int_stack+157166, int_stack+164996, int_stack+143828, int_stack+113717, int_stack+161972, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+470406, int_stack+14265, int_stack+97653, int_stack+117497, int_stack+256287, int_stack+139292, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97653, int_stack+29069, int_stack+24974, int_stack+109361, int_stack+22949, int_stack+107741, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+253452, int_stack+97653, int_stack+157166, int_stack+3465, int_stack+261957, int_stack+143828, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157166, int_stack+253452, int_stack+14265, int_stack+280857, int_stack+123545, int_stack+117497, 7, 0);
 /*--- compute (k0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14265, int_stack+157166, int_stack+470406, int_stack+288633, int_stack+147716, int_stack+273297, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+470406, int_stack+31049, int_stack+29069, int_stack+111341, int_stack+26594, int_stack+109361, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139292, int_stack+470406, int_stack+97653, int_stack+8325, int_stack+266817, int_stack+3465, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+261228, int_stack+139292, int_stack+253452, int_stack+432606, int_stack+396111, int_stack+280857, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139292, int_stack+261228, int_stack+157166, int_stack+442326, int_stack+405831, int_stack+288633, 7, 0);
 /*--- compute (k0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+396111, int_stack+139292, int_stack+14265, int_stack+455286, int_stack+418431, int_stack+298713, 7, 0);
 /*--- compute (ip|[r12,T2]|hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+411987, int_stack+396111, int_stack+344073, 441);
 /*--- compute (hd|[r12,T2]|hh) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+470406, int_stack+411987, int_stack+193322, 441);
 /*--- compute (g0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+193322, int_stack+187022, int_stack+134567, 15);
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+199937, int_stack+244632, int_stack+168482, 21);
 /*--- compute (gp|hh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+396111, int_stack+199937, int_stack+193322, 441);
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+344073, int_stack+332313, int_stack+222582, 28);
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+415956, int_stack+344073, int_stack+199937, 441);
 /*--- compute (gd|hh) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+253452, int_stack+415956, int_stack+396111, 441);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+209198, int_stack+33425, int_stack+91392, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+212168, int_stack+209198, int_stack+175097, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+217118, int_stack+212168, int_stack+177572, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+443739, int_stack+217118, int_stack+181622, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+209198, int_stack+443739, int_stack+187022, 15);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+443739, int_stack+38360, int_stack+96267, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+447897, int_stack+443739, int_stack+0, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+447897, int_stack+231402, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+9450, int_stack+0, int_stack+237072, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+20790, int_stack+9450, int_stack+244632, 21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+218018, int_stack+20790, int_stack+209198, 588);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+45269, int_stack+102833, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+5544, int_stack+0, int_stack+310053, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+88617, int_stack+5544, int_stack+314673, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+88617, int_stack+322233, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+88617, int_stack+0, int_stack+332313, 28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+105081, int_stack+88617, int_stack+20790, 588);
 /*--- compute (gd|ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+525972, int_stack+105081, int_stack+218018, 588);
 /*--- compute (k0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+455286, int_stack+298713, 36);
 /*--- compute (ip|hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+142125, int_stack+0, int_stack+344073, 441);
 /*--- compute (hd|hh) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+578892, int_stack+142125, int_stack+415956, 441);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+15876, int_stack+34910, int_stack+34595, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+16821, int_stack+35330, int_stack+34910, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+18081, int_stack+16821, int_stack+15876, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+179169, int_stack+35870, int_stack+35330, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+180789, int_stack+179169, int_stack+16821, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+183309, int_stack+180789, int_stack+18081, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+15876, int_stack+36545, int_stack+35870, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+186459, int_stack+15876, int_stack+179169, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+443739, int_stack+186459, int_stack+180789, 15);
 /*--- compute (g0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+447939, int_stack+443739, int_stack+183309, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+179169, int_stack+37370, int_stack+36545, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+181644, int_stack+179169, int_stack+15876, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+33138, int_stack+181644, int_stack+186459, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+179169, int_stack+33138, int_stack+443739, 15);
 /*--- compute (g0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+33138, int_stack+179169, int_stack+447939, 15);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+179169, int_stack+40439, int_stack+39998, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+180492, int_stack+41027, int_stack+40439, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+182256, int_stack+180492, int_stack+179169, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+184902, int_stack+41783, int_stack+41027, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+187170, int_stack+184902, int_stack+180492, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+443739, int_stack+187170, int_stack+182256, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+179169, int_stack+42728, int_stack+41783, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+448149, int_stack+179169, int_stack+184902, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+452685, int_stack+448149, int_stack+187170, 21);
 /*--- compute (h0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+182004, int_stack+452685, int_stack+443739, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+443739, int_stack+43883, int_stack+42728, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+458565, int_stack+443739, int_stack+179169, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+39753, int_stack+458565, int_stack+448149, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+458565, int_stack+39753, int_stack+452685, 21);
 /*--- compute (h0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+443739, int_stack+458565, int_stack+182004, 21);
 /*--- compute (gp|[r12,T1]|hh) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+293142, int_stack+443739, int_stack+33138, int_stack+199937, int_stack+209198, int_stack+193322, 5, 5);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+209198, int_stack+48041, int_stack+47453, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+210962, int_stack+48825, int_stack+48041, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+213314, int_stack+210962, int_stack+209198, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+33138, int_stack+49833, int_stack+48825, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+36162, int_stack+33138, int_stack+210962, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+40866, int_stack+36162, int_stack+213314, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+209198, int_stack+51093, int_stack+49833, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+179169, int_stack+209198, int_stack+33138, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+185217, int_stack+179169, int_stack+36162, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+453000, int_stack+185217, int_stack+40866, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+33138, int_stack+52633, int_stack+51093, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+37758, int_stack+33138, int_stack+209198, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+312987, int_stack+37758, int_stack+179169, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+33138, int_stack+312987, int_stack+185217, 28);
 /*--- compute (i0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+312987, int_stack+33138, int_stack+453000, 28);
 /*--- compute (hp|[r12,T1]|hh) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+634458, int_stack+312987, int_stack+443739, int_stack+344073, int_stack+20790, int_stack+199937, 5, 5);
 /*--- compute (gd|[r12,T1]|hh) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+662241, int_stack+634458, int_stack+293142, int_stack+415956, int_stack+218018, int_stack+396111, 5, 5);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+396111, int_stack+55237, int_stack+54481, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+398379, int_stack+56245, int_stack+55237, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+401403, int_stack+398379, int_stack+396111, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+405939, int_stack+57541, int_stack+56245, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+409827, int_stack+405939, int_stack+398379, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+293142, int_stack+409827, int_stack+401403, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+396111, int_stack+59161, int_stack+57541, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+300702, int_stack+396111, int_stack+405939, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+443739, int_stack+300702, int_stack+409827, 36);
 /*--- compute (k0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+400971, int_stack+443739, int_stack+293142, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+293142, int_stack+61141, int_stack+59161, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+453819, int_stack+293142, int_stack+396111, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+325335, int_stack+453819, int_stack+300702, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+453819, int_stack+325335, int_stack+443739, 36);
 /*--- compute (k0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+325335, int_stack+453819, int_stack+400971, 36);
 /*--- compute (ip|[r12,T1]|hh) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+179169, int_stack+325335, int_stack+312987, int_stack+0, int_stack+88617, int_stack+344073, 5, 5);
 /*--- compute (hd|[r12,T1]|hh) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+179169, int_stack+634458, int_stack+142125, int_stack+105081, int_stack+415956, 5, 5);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+634458, int_stack+63832, int_stack+63517, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+635403, int_stack+64252, int_stack+63832, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+636663, int_stack+635403, int_stack+634458, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+638553, int_stack+64792, int_stack+64252, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+640173, int_stack+638553, int_stack+635403, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+642693, int_stack+640173, int_stack+636663, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+634458, int_stack+65467, int_stack+64792, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+645843, int_stack+634458, int_stack+638553, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+649083, int_stack+645843, int_stack+640173, 15);
 /*--- compute (g0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+636483, int_stack+649083, int_stack+642693, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+641208, int_stack+66292, int_stack+65467, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+653283, int_stack+641208, int_stack+634458, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+88617, int_stack+653283, int_stack+645843, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+653283, int_stack+88617, int_stack+649083, 15);
 /*--- compute (g0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+88617, int_stack+653283, int_stack+636483, 15);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+95232, int_stack+67723, int_stack+67282, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+96555, int_stack+68311, int_stack+67723, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+98319, int_stack+96555, int_stack+95232, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+100965, int_stack+69067, int_stack+68311, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+103233, int_stack+100965, int_stack+96555, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+106761, int_stack+103233, int_stack+98319, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+95232, int_stack+70012, int_stack+69067, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+111171, int_stack+95232, int_stack+100965, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+115707, int_stack+111171, int_stack+103233, 21);
 /*--- compute (h0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+98067, int_stack+115707, int_stack+106761, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+104682, int_stack+71167, int_stack+70012, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+121587, int_stack+104682, int_stack+95232, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+127257, int_stack+121587, int_stack+111171, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+104682, int_stack+127257, int_stack+115707, 21);
 /*--- compute (h0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+113502, int_stack+104682, int_stack+98067, 21);
 /*--- compute (gp||hh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+122763, int_stack+113502, int_stack+88617, 441);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+88617, int_stack+73141, int_stack+72553, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+90381, int_stack+73925, int_stack+73141, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+92733, int_stack+90381, int_stack+88617, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+96261, int_stack+74933, int_stack+73925, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+99285, int_stack+96261, int_stack+90381, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+103989, int_stack+99285, int_stack+92733, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+88617, int_stack+76193, int_stack+74933, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+142608, int_stack+88617, int_stack+96261, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+148656, int_stack+142608, int_stack+99285, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+92397, int_stack+148656, int_stack+103989, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+101217, int_stack+77733, int_stack+76193, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+105837, int_stack+101217, int_stack+88617, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+156496, int_stack+105837, int_stack+142608, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+101217, int_stack+156496, int_stack+148656, 28);
 /*--- compute (i0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+142608, int_stack+101217, int_stack+92397, 28);
 /*--- compute (hp||hh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+634458, int_stack+142608, int_stack+113502, 441);
 /*--- compute (gd||hh) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+154956, int_stack+634458, int_stack+122763, 441);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+194646, int_stack+80337, int_stack+79581, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+196914, int_stack+81345, int_stack+80337, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+199938, int_stack+196914, int_stack+194646, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+204474, int_stack+82641, int_stack+81345, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+208362, int_stack+204474, int_stack+196914, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+214410, int_stack+208362, int_stack+199938, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+194646, int_stack+84261, int_stack+82641, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+221970, int_stack+194646, int_stack+204474, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+229746, int_stack+221970, int_stack+208362, 36);
 /*--- compute (k0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+199506, int_stack+229746, int_stack+214410, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+210846, int_stack+86241, int_stack+84261, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+239826, int_stack+210846, int_stack+194646, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+55566, int_stack+239826, int_stack+221970, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+210846, int_stack+55566, int_stack+229746, 36);
 /*--- compute (k0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+55566, int_stack+210846, int_stack+199506, 36);
 /*--- compute (ip||hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+71442, int_stack+55566, int_stack+142608, 441);
 /*--- compute (hd||hh) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+194646, int_stack+71442, int_stack+634458, 441);
 /*--- compute (gf|[r12,T2]|hh) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+55566, int_stack+470406, int_stack+356421, 441);
     Libr12->te_ptr[3] = int_stack + 55566;
 /*--- compute (gf|[r12,T1]|hh) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+293142, int_stack+0, int_stack+662241, int_stack+578892, int_stack+525972, int_stack+253452, 5, 5);
     Libr12->te_ptr[2] = int_stack + 293142;
 /*--- compute (gf||hh) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+634458, int_stack+194646, int_stack+154956, 441);
     Libr12->te_ptr[1] = int_stack + 634458;
 /*--- compute (gf|hh) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+121716, int_stack+578892, int_stack+253452, 441);
     Libr12->te_ptr[0] = int_stack + 121716;

}
