  /* These machine-generated functions compute a quartet of (is|[r12,T1]|ds) integrals */

#include <libint/libint.h>
#include "libr12.h"

void _t1_build_i0d0(prim_data *Data, contr_data *ShellData, REALTYPE *vp, const REALTYPE *I0, const REALTYPE *I1, const REALTYPE *I2, const REALTYPE *I3, const REALTYPE *I4)
{
  REALTYPE U0, U10, U11, U12;
  REALTYPE AC0, AC1, AC2;
  REALTYPE onezboz;
  REALTYPE twozboz;
  REALTYPE threezboz;
  REALTYPE fourzboz;
  REALTYPE fivezboz;
  REALTYPE sixzboz;
  AC0 = ShellData->AC[0];
  AC1 = ShellData->AC[1];
  AC2 = ShellData->AC[2];
  onezboz = 1.0*(Data->twozeta_b*Data->oo2z);
  twozboz = 2.0*(Data->twozeta_b*Data->oo2z);
  threezboz = 3.0*(Data->twozeta_b*Data->oo2z);
  fourzboz = 4.0*(Data->twozeta_b*Data->oo2z);
  fivezboz = 5.0*(Data->twozeta_b*Data->oo2z);
  sixzboz = 6.0*(Data->twozeta_b*Data->oo2z);
  U10 = ShellData->AB[0]*(Data->twozeta_a*Data->twozeta_b*Data->oo2z);
  U11 = ShellData->AB[1]*(Data->twozeta_a*Data->twozeta_b*Data->oo2z);
  U12 = ShellData->AB[2]*(Data->twozeta_a*Data->twozeta_b*Data->oo2z);
  U0  = (Data->twozeta_a - Data->twozeta_b*(Data->twozeta_a*ShellData->ABdotAC + 7.000000))*Data->oo2z;

*(vp++) = U0*I0[0]
          - U10*(I1[0] - I2[0])
          - U11*(I1[6] - I2[1])
          - U12*(I1[12] - I2[2])
          + (sixzboz)*(I3[0] - AC0*I4[0]);
*(vp++) = U0*I0[1]
          - U10*(I1[1] - I2[1])
          - U11*(I1[7] - I2[3])
          - U12*(I1[13] - I2[4])
          + (sixzboz)*(I3[1] - AC0*I4[1]);
*(vp++) = U0*I0[2]
          - U10*(I1[2] - I2[2])
          - U11*(I1[8] - I2[4])
          - U12*(I1[14] - I2[5])
          + (sixzboz)*(I3[2] - AC0*I4[2]);
*(vp++) = U0*I0[3]
          - U10*(I1[3] - I2[3])
          - U11*(I1[9] - I2[6])
          - U12*(I1[15] - I2[7])
          + (sixzboz)*(I3[3] - AC0*I4[3]);
*(vp++) = U0*I0[4]
          - U10*(I1[4] - I2[4])
          - U11*(I1[10] - I2[7])
          - U12*(I1[16] - I2[8])
          + (sixzboz)*(I3[4] - AC0*I4[4]);
*(vp++) = U0*I0[5]
          - U10*(I1[5] - I2[5])
          - U11*(I1[11] - I2[8])
          - U12*(I1[17] - I2[9])
          + (sixzboz)*(I3[5] - AC0*I4[5]);
*(vp++) = U0*I0[6]
          - U10*(I1[6] - I2[10])
          - U11*(I1[18] - I2[11])
          - U12*(I1[24] - I2[12])
          + (fivezboz)*(I3[10] - AC0*I4[6])
          + (onezboz)*(I3[1] - AC1*I4[0]);
*(vp++) = U0*I0[7]
          - U10*(I1[7] - I2[11])
          - U11*(I1[19] - I2[13])
          - U12*(I1[25] - I2[14])
          + (fivezboz)*(I3[11] - AC0*I4[7])
          + (onezboz)*(I3[3] - AC1*I4[1]);
*(vp++) = U0*I0[8]
          - U10*(I1[8] - I2[12])
          - U11*(I1[20] - I2[14])
          - U12*(I1[26] - I2[15])
          + (fivezboz)*(I3[12] - AC0*I4[8])
          + (onezboz)*(I3[4] - AC1*I4[2]);
*(vp++) = U0*I0[9]
          - U10*(I1[9] - I2[13])
          - U11*(I1[21] - I2[16])
          - U12*(I1[27] - I2[17])
          + (fivezboz)*(I3[13] - AC0*I4[9])
          + (onezboz)*(I3[6] - AC1*I4[3]);
*(vp++) = U0*I0[10]
          - U10*(I1[10] - I2[14])
          - U11*(I1[22] - I2[17])
          - U12*(I1[28] - I2[18])
          + (fivezboz)*(I3[14] - AC0*I4[10])
          + (onezboz)*(I3[7] - AC1*I4[4]);
*(vp++) = U0*I0[11]
          - U10*(I1[11] - I2[15])
          - U11*(I1[23] - I2[18])
          - U12*(I1[29] - I2[19])
          + (fivezboz)*(I3[15] - AC0*I4[11])
          + (onezboz)*(I3[8] - AC1*I4[5]);
*(vp++) = U0*I0[12]
          - U10*(I1[12] - I2[20])
          - U11*(I1[24] - I2[21])
          - U12*(I1[30] - I2[22])
          + (fivezboz)*(I3[20] - AC0*I4[12])
          + (onezboz)*(I3[2] - AC2*I4[0]);
*(vp++) = U0*I0[13]
          - U10*(I1[13] - I2[21])
          - U11*(I1[25] - I2[23])
          - U12*(I1[31] - I2[24])
          + (fivezboz)*(I3[21] - AC0*I4[13])
          + (onezboz)*(I3[4] - AC2*I4[1]);
*(vp++) = U0*I0[14]
          - U10*(I1[14] - I2[22])
          - U11*(I1[26] - I2[24])
          - U12*(I1[32] - I2[25])
          + (fivezboz)*(I3[22] - AC0*I4[14])
          + (onezboz)*(I3[5] - AC2*I4[2]);
*(vp++) = U0*I0[15]
          - U10*(I1[15] - I2[23])
          - U11*(I1[27] - I2[26])
          - U12*(I1[33] - I2[27])
          + (fivezboz)*(I3[23] - AC0*I4[15])
          + (onezboz)*(I3[7] - AC2*I4[3]);
*(vp++) = U0*I0[16]
          - U10*(I1[16] - I2[24])
          - U11*(I1[28] - I2[27])
          - U12*(I1[34] - I2[28])
          + (fivezboz)*(I3[24] - AC0*I4[16])
          + (onezboz)*(I3[8] - AC2*I4[4]);
*(vp++) = U0*I0[17]
          - U10*(I1[17] - I2[25])
          - U11*(I1[29] - I2[28])
          - U12*(I1[35] - I2[29])
          + (fivezboz)*(I3[25] - AC0*I4[17])
          + (onezboz)*(I3[9] - AC2*I4[5]);
*(vp++) = U0*I0[18]
          - U10*(I1[18] - I2[30])
          - U11*(I1[36] - I2[31])
          - U12*(I1[42] - I2[32])
          + (fourzboz)*(I3[30] - AC0*I4[18])
          + (twozboz)*(I3[11] - AC1*I4[6]);
*(vp++) = U0*I0[19]
          - U10*(I1[19] - I2[31])
          - U11*(I1[37] - I2[33])
          - U12*(I1[43] - I2[34])
          + (fourzboz)*(I3[31] - AC0*I4[19])
          + (twozboz)*(I3[13] - AC1*I4[7]);
*(vp++) = U0*I0[20]
          - U10*(I1[20] - I2[32])
          - U11*(I1[38] - I2[34])
          - U12*(I1[44] - I2[35])
          + (fourzboz)*(I3[32] - AC0*I4[20])
          + (twozboz)*(I3[14] - AC1*I4[8]);
*(vp++) = U0*I0[21]
          - U10*(I1[21] - I2[33])
          - U11*(I1[39] - I2[36])
          - U12*(I1[45] - I2[37])
          + (fourzboz)*(I3[33] - AC0*I4[21])
          + (twozboz)*(I3[16] - AC1*I4[9]);
*(vp++) = U0*I0[22]
          - U10*(I1[22] - I2[34])
          - U11*(I1[40] - I2[37])
          - U12*(I1[46] - I2[38])
          + (fourzboz)*(I3[34] - AC0*I4[22])
          + (twozboz)*(I3[17] - AC1*I4[10]);
*(vp++) = U0*I0[23]
          - U10*(I1[23] - I2[35])
          - U11*(I1[41] - I2[38])
          - U12*(I1[47] - I2[39])
          + (fourzboz)*(I3[35] - AC0*I4[23])
          + (twozboz)*(I3[18] - AC1*I4[11]);
*(vp++) = U0*I0[24]
          - U10*(I1[24] - I2[40])
          - U11*(I1[42] - I2[41])
          - U12*(I1[48] - I2[42])
          + (fourzboz)*(I3[40] - AC0*I4[24])
          + (onezboz)*(I3[21] - AC1*I4[12])
          + (onezboz)*(I3[12] - AC2*I4[6]);
*(vp++) = U0*I0[25]
          - U10*(I1[25] - I2[41])
          - U11*(I1[43] - I2[43])
          - U12*(I1[49] - I2[44])
          + (fourzboz)*(I3[41] - AC0*I4[25])
          + (onezboz)*(I3[23] - AC1*I4[13])
          + (onezboz)*(I3[14] - AC2*I4[7]);
*(vp++) = U0*I0[26]
          - U10*(I1[26] - I2[42])
          - U11*(I1[44] - I2[44])
          - U12*(I1[50] - I2[45])
          + (fourzboz)*(I3[42] - AC0*I4[26])
          + (onezboz)*(I3[24] - AC1*I4[14])
          + (onezboz)*(I3[15] - AC2*I4[8]);
*(vp++) = U0*I0[27]
          - U10*(I1[27] - I2[43])
          - U11*(I1[45] - I2[46])
          - U12*(I1[51] - I2[47])
          + (fourzboz)*(I3[43] - AC0*I4[27])
          + (onezboz)*(I3[26] - AC1*I4[15])
          + (onezboz)*(I3[17] - AC2*I4[9]);
*(vp++) = U0*I0[28]
          - U10*(I1[28] - I2[44])
          - U11*(I1[46] - I2[47])
          - U12*(I1[52] - I2[48])
          + (fourzboz)*(I3[44] - AC0*I4[28])
          + (onezboz)*(I3[27] - AC1*I4[16])
          + (onezboz)*(I3[18] - AC2*I4[10]);
*(vp++) = U0*I0[29]
          - U10*(I1[29] - I2[45])
          - U11*(I1[47] - I2[48])
          - U12*(I1[53] - I2[49])
          + (fourzboz)*(I3[45] - AC0*I4[29])
          + (onezboz)*(I3[28] - AC1*I4[17])
          + (onezboz)*(I3[19] - AC2*I4[11]);
*(vp++) = U0*I0[30]
          - U10*(I1[30] - I2[50])
          - U11*(I1[48] - I2[51])
          - U12*(I1[54] - I2[52])
          + (fourzboz)*(I3[50] - AC0*I4[30])
          + (twozboz)*(I3[22] - AC2*I4[12]);
*(vp++) = U0*I0[31]
          - U10*(I1[31] - I2[51])
          - U11*(I1[49] - I2[53])
          - U12*(I1[55] - I2[54])
          + (fourzboz)*(I3[51] - AC0*I4[31])
          + (twozboz)*(I3[24] - AC2*I4[13]);
*(vp++) = U0*I0[32]
          - U10*(I1[32] - I2[52])
          - U11*(I1[50] - I2[54])
          - U12*(I1[56] - I2[55])
          + (fourzboz)*(I3[52] - AC0*I4[32])
          + (twozboz)*(I3[25] - AC2*I4[14]);
*(vp++) = U0*I0[33]
          - U10*(I1[33] - I2[53])
          - U11*(I1[51] - I2[56])
          - U12*(I1[57] - I2[57])
          + (fourzboz)*(I3[53] - AC0*I4[33])
          + (twozboz)*(I3[27] - AC2*I4[15]);
*(vp++) = U0*I0[34]
          - U10*(I1[34] - I2[54])
          - U11*(I1[52] - I2[57])
          - U12*(I1[58] - I2[58])
          + (fourzboz)*(I3[54] - AC0*I4[34])
          + (twozboz)*(I3[28] - AC2*I4[16]);
*(vp++) = U0*I0[35]
          - U10*(I1[35] - I2[55])
          - U11*(I1[53] - I2[58])
          - U12*(I1[59] - I2[59])
          + (fourzboz)*(I3[55] - AC0*I4[35])
          + (twozboz)*(I3[29] - AC2*I4[17]);
*(vp++) = U0*I0[36]
          - U10*(I1[36] - I2[60])
          - U11*(I1[60] - I2[61])
          - U12*(I1[66] - I2[62])
          + (threezboz)*(I3[60] - AC0*I4[36])
          + (threezboz)*(I3[31] - AC1*I4[18]);
*(vp++) = U0*I0[37]
          - U10*(I1[37] - I2[61])
          - U11*(I1[61] - I2[63])
          - U12*(I1[67] - I2[64])
          + (threezboz)*(I3[61] - AC0*I4[37])
          + (threezboz)*(I3[33] - AC1*I4[19]);
*(vp++) = U0*I0[38]
          - U10*(I1[38] - I2[62])
          - U11*(I1[62] - I2[64])
          - U12*(I1[68] - I2[65])
          + (threezboz)*(I3[62] - AC0*I4[38])
          + (threezboz)*(I3[34] - AC1*I4[20]);
*(vp++) = U0*I0[39]
          - U10*(I1[39] - I2[63])
          - U11*(I1[63] - I2[66])
          - U12*(I1[69] - I2[67])
          + (threezboz)*(I3[63] - AC0*I4[39])
          + (threezboz)*(I3[36] - AC1*I4[21]);
*(vp++) = U0*I0[40]
          - U10*(I1[40] - I2[64])
          - U11*(I1[64] - I2[67])
          - U12*(I1[70] - I2[68])
          + (threezboz)*(I3[64] - AC0*I4[40])
          + (threezboz)*(I3[37] - AC1*I4[22]);
*(vp++) = U0*I0[41]
          - U10*(I1[41] - I2[65])
          - U11*(I1[65] - I2[68])
          - U12*(I1[71] - I2[69])
          + (threezboz)*(I3[65] - AC0*I4[41])
          + (threezboz)*(I3[38] - AC1*I4[23]);
*(vp++) = U0*I0[42]
          - U10*(I1[42] - I2[70])
          - U11*(I1[66] - I2[71])
          - U12*(I1[72] - I2[72])
          + (threezboz)*(I3[70] - AC0*I4[42])
          + (twozboz)*(I3[41] - AC1*I4[24])
          + (onezboz)*(I3[32] - AC2*I4[18]);
*(vp++) = U0*I0[43]
          - U10*(I1[43] - I2[71])
          - U11*(I1[67] - I2[73])
          - U12*(I1[73] - I2[74])
          + (threezboz)*(I3[71] - AC0*I4[43])
          + (twozboz)*(I3[43] - AC1*I4[25])
          + (onezboz)*(I3[34] - AC2*I4[19]);
*(vp++) = U0*I0[44]
          - U10*(I1[44] - I2[72])
          - U11*(I1[68] - I2[74])
          - U12*(I1[74] - I2[75])
          + (threezboz)*(I3[72] - AC0*I4[44])
          + (twozboz)*(I3[44] - AC1*I4[26])
          + (onezboz)*(I3[35] - AC2*I4[20]);
*(vp++) = U0*I0[45]
          - U10*(I1[45] - I2[73])
          - U11*(I1[69] - I2[76])
          - U12*(I1[75] - I2[77])
          + (threezboz)*(I3[73] - AC0*I4[45])
          + (twozboz)*(I3[46] - AC1*I4[27])
          + (onezboz)*(I3[37] - AC2*I4[21]);
*(vp++) = U0*I0[46]
          - U10*(I1[46] - I2[74])
          - U11*(I1[70] - I2[77])
          - U12*(I1[76] - I2[78])
          + (threezboz)*(I3[74] - AC0*I4[46])
          + (twozboz)*(I3[47] - AC1*I4[28])
          + (onezboz)*(I3[38] - AC2*I4[22]);
*(vp++) = U0*I0[47]
          - U10*(I1[47] - I2[75])
          - U11*(I1[71] - I2[78])
          - U12*(I1[77] - I2[79])
          + (threezboz)*(I3[75] - AC0*I4[47])
          + (twozboz)*(I3[48] - AC1*I4[29])
          + (onezboz)*(I3[39] - AC2*I4[23]);
*(vp++) = U0*I0[48]
          - U10*(I1[48] - I2[80])
          - U11*(I1[72] - I2[81])
          - U12*(I1[78] - I2[82])
          + (threezboz)*(I3[80] - AC0*I4[48])
          + (onezboz)*(I3[51] - AC1*I4[30])
          + (twozboz)*(I3[42] - AC2*I4[24]);
*(vp++) = U0*I0[49]
          - U10*(I1[49] - I2[81])
          - U11*(I1[73] - I2[83])
          - U12*(I1[79] - I2[84])
          + (threezboz)*(I3[81] - AC0*I4[49])
          + (onezboz)*(I3[53] - AC1*I4[31])
          + (twozboz)*(I3[44] - AC2*I4[25]);
*(vp++) = U0*I0[50]
          - U10*(I1[50] - I2[82])
          - U11*(I1[74] - I2[84])
          - U12*(I1[80] - I2[85])
          + (threezboz)*(I3[82] - AC0*I4[50])
          + (onezboz)*(I3[54] - AC1*I4[32])
          + (twozboz)*(I3[45] - AC2*I4[26]);
*(vp++) = U0*I0[51]
          - U10*(I1[51] - I2[83])
          - U11*(I1[75] - I2[86])
          - U12*(I1[81] - I2[87])
          + (threezboz)*(I3[83] - AC0*I4[51])
          + (onezboz)*(I3[56] - AC1*I4[33])
          + (twozboz)*(I3[47] - AC2*I4[27]);
*(vp++) = U0*I0[52]
          - U10*(I1[52] - I2[84])
          - U11*(I1[76] - I2[87])
          - U12*(I1[82] - I2[88])
          + (threezboz)*(I3[84] - AC0*I4[52])
          + (onezboz)*(I3[57] - AC1*I4[34])
          + (twozboz)*(I3[48] - AC2*I4[28]);
*(vp++) = U0*I0[53]
          - U10*(I1[53] - I2[85])
          - U11*(I1[77] - I2[88])
          - U12*(I1[83] - I2[89])
          + (threezboz)*(I3[85] - AC0*I4[53])
          + (onezboz)*(I3[58] - AC1*I4[35])
          + (twozboz)*(I3[49] - AC2*I4[29]);
*(vp++) = U0*I0[54]
          - U10*(I1[54] - I2[90])
          - U11*(I1[78] - I2[91])
          - U12*(I1[84] - I2[92])
          + (threezboz)*(I3[90] - AC0*I4[54])
          + (threezboz)*(I3[52] - AC2*I4[30]);
*(vp++) = U0*I0[55]
          - U10*(I1[55] - I2[91])
          - U11*(I1[79] - I2[93])
          - U12*(I1[85] - I2[94])
          + (threezboz)*(I3[91] - AC0*I4[55])
          + (threezboz)*(I3[54] - AC2*I4[31]);
*(vp++) = U0*I0[56]
          - U10*(I1[56] - I2[92])
          - U11*(I1[80] - I2[94])
          - U12*(I1[86] - I2[95])
          + (threezboz)*(I3[92] - AC0*I4[56])
          + (threezboz)*(I3[55] - AC2*I4[32]);
*(vp++) = U0*I0[57]
          - U10*(I1[57] - I2[93])
          - U11*(I1[81] - I2[96])
          - U12*(I1[87] - I2[97])
          + (threezboz)*(I3[93] - AC0*I4[57])
          + (threezboz)*(I3[57] - AC2*I4[33]);
*(vp++) = U0*I0[58]
          - U10*(I1[58] - I2[94])
          - U11*(I1[82] - I2[97])
          - U12*(I1[88] - I2[98])
          + (threezboz)*(I3[94] - AC0*I4[58])
          + (threezboz)*(I3[58] - AC2*I4[34]);
*(vp++) = U0*I0[59]
          - U10*(I1[59] - I2[95])
          - U11*(I1[83] - I2[98])
          - U12*(I1[89] - I2[99])
          + (threezboz)*(I3[95] - AC0*I4[59])
          + (threezboz)*(I3[59] - AC2*I4[35]);
*(vp++) = U0*I0[60]
          - U10*(I1[60] - I2[100])
          - U11*(I1[90] - I2[101])
          - U12*(I1[96] - I2[102])
          + (twozboz)*(I3[100] - AC0*I4[60])
          + (fourzboz)*(I3[61] - AC1*I4[36]);
*(vp++) = U0*I0[61]
          - U10*(I1[61] - I2[101])
          - U11*(I1[91] - I2[103])
          - U12*(I1[97] - I2[104])
          + (twozboz)*(I3[101] - AC0*I4[61])
          + (fourzboz)*(I3[63] - AC1*I4[37]);
*(vp++) = U0*I0[62]
          - U10*(I1[62] - I2[102])
          - U11*(I1[92] - I2[104])
          - U12*(I1[98] - I2[105])
          + (twozboz)*(I3[102] - AC0*I4[62])
          + (fourzboz)*(I3[64] - AC1*I4[38]);
*(vp++) = U0*I0[63]
          - U10*(I1[63] - I2[103])
          - U11*(I1[93] - I2[106])
          - U12*(I1[99] - I2[107])
          + (twozboz)*(I3[103] - AC0*I4[63])
          + (fourzboz)*(I3[66] - AC1*I4[39]);
*(vp++) = U0*I0[64]
          - U10*(I1[64] - I2[104])
          - U11*(I1[94] - I2[107])
          - U12*(I1[100] - I2[108])
          + (twozboz)*(I3[104] - AC0*I4[64])
          + (fourzboz)*(I3[67] - AC1*I4[40]);
*(vp++) = U0*I0[65]
          - U10*(I1[65] - I2[105])
          - U11*(I1[95] - I2[108])
          - U12*(I1[101] - I2[109])
          + (twozboz)*(I3[105] - AC0*I4[65])
          + (fourzboz)*(I3[68] - AC1*I4[41]);
*(vp++) = U0*I0[66]
          - U10*(I1[66] - I2[110])
          - U11*(I1[96] - I2[111])
          - U12*(I1[102] - I2[112])
          + (twozboz)*(I3[110] - AC0*I4[66])
          + (threezboz)*(I3[71] - AC1*I4[42])
          + (onezboz)*(I3[62] - AC2*I4[36]);
*(vp++) = U0*I0[67]
          - U10*(I1[67] - I2[111])
          - U11*(I1[97] - I2[113])
          - U12*(I1[103] - I2[114])
          + (twozboz)*(I3[111] - AC0*I4[67])
          + (threezboz)*(I3[73] - AC1*I4[43])
          + (onezboz)*(I3[64] - AC2*I4[37]);
*(vp++) = U0*I0[68]
          - U10*(I1[68] - I2[112])
          - U11*(I1[98] - I2[114])
          - U12*(I1[104] - I2[115])
          + (twozboz)*(I3[112] - AC0*I4[68])
          + (threezboz)*(I3[74] - AC1*I4[44])
          + (onezboz)*(I3[65] - AC2*I4[38]);
*(vp++) = U0*I0[69]
          - U10*(I1[69] - I2[113])
          - U11*(I1[99] - I2[116])
          - U12*(I1[105] - I2[117])
          + (twozboz)*(I3[113] - AC0*I4[69])
          + (threezboz)*(I3[76] - AC1*I4[45])
          + (onezboz)*(I3[67] - AC2*I4[39]);
*(vp++) = U0*I0[70]
          - U10*(I1[70] - I2[114])
          - U11*(I1[100] - I2[117])
          - U12*(I1[106] - I2[118])
          + (twozboz)*(I3[114] - AC0*I4[70])
          + (threezboz)*(I3[77] - AC1*I4[46])
          + (onezboz)*(I3[68] - AC2*I4[40]);
*(vp++) = U0*I0[71]
          - U10*(I1[71] - I2[115])
          - U11*(I1[101] - I2[118])
          - U12*(I1[107] - I2[119])
          + (twozboz)*(I3[115] - AC0*I4[71])
          + (threezboz)*(I3[78] - AC1*I4[47])
          + (onezboz)*(I3[69] - AC2*I4[41]);
*(vp++) = U0*I0[72]
          - U10*(I1[72] - I2[120])
          - U11*(I1[102] - I2[121])
          - U12*(I1[108] - I2[122])
          + (twozboz)*(I3[120] - AC0*I4[72])
          + (twozboz)*(I3[81] - AC1*I4[48])
          + (twozboz)*(I3[72] - AC2*I4[42]);
*(vp++) = U0*I0[73]
          - U10*(I1[73] - I2[121])
          - U11*(I1[103] - I2[123])
          - U12*(I1[109] - I2[124])
          + (twozboz)*(I3[121] - AC0*I4[73])
          + (twozboz)*(I3[83] - AC1*I4[49])
          + (twozboz)*(I3[74] - AC2*I4[43]);
*(vp++) = U0*I0[74]
          - U10*(I1[74] - I2[122])
          - U11*(I1[104] - I2[124])
          - U12*(I1[110] - I2[125])
          + (twozboz)*(I3[122] - AC0*I4[74])
          + (twozboz)*(I3[84] - AC1*I4[50])
          + (twozboz)*(I3[75] - AC2*I4[44]);
*(vp++) = U0*I0[75]
          - U10*(I1[75] - I2[123])
          - U11*(I1[105] - I2[126])
          - U12*(I1[111] - I2[127])
          + (twozboz)*(I3[123] - AC0*I4[75])
          + (twozboz)*(I3[86] - AC1*I4[51])
          + (twozboz)*(I3[77] - AC2*I4[45]);
*(vp++) = U0*I0[76]
          - U10*(I1[76] - I2[124])
          - U11*(I1[106] - I2[127])
          - U12*(I1[112] - I2[128])
          + (twozboz)*(I3[124] - AC0*I4[76])
          + (twozboz)*(I3[87] - AC1*I4[52])
          + (twozboz)*(I3[78] - AC2*I4[46]);
*(vp++) = U0*I0[77]
          - U10*(I1[77] - I2[125])
          - U11*(I1[107] - I2[128])
          - U12*(I1[113] - I2[129])
          + (twozboz)*(I3[125] - AC0*I4[77])
          + (twozboz)*(I3[88] - AC1*I4[53])
          + (twozboz)*(I3[79] - AC2*I4[47]);
*(vp++) = U0*I0[78]
          - U10*(I1[78] - I2[130])
          - U11*(I1[108] - I2[131])
          - U12*(I1[114] - I2[132])
          + (twozboz)*(I3[130] - AC0*I4[78])
          + (onezboz)*(I3[91] - AC1*I4[54])
          + (threezboz)*(I3[82] - AC2*I4[48]);
*(vp++) = U0*I0[79]
          - U10*(I1[79] - I2[131])
          - U11*(I1[109] - I2[133])
          - U12*(I1[115] - I2[134])
          + (twozboz)*(I3[131] - AC0*I4[79])
          + (onezboz)*(I3[93] - AC1*I4[55])
          + (threezboz)*(I3[84] - AC2*I4[49]);
*(vp++) = U0*I0[80]
          - U10*(I1[80] - I2[132])
          - U11*(I1[110] - I2[134])
          - U12*(I1[116] - I2[135])
          + (twozboz)*(I3[132] - AC0*I4[80])
          + (onezboz)*(I3[94] - AC1*I4[56])
          + (threezboz)*(I3[85] - AC2*I4[50]);
*(vp++) = U0*I0[81]
          - U10*(I1[81] - I2[133])
          - U11*(I1[111] - I2[136])
          - U12*(I1[117] - I2[137])
          + (twozboz)*(I3[133] - AC0*I4[81])
          + (onezboz)*(I3[96] - AC1*I4[57])
          + (threezboz)*(I3[87] - AC2*I4[51]);
*(vp++) = U0*I0[82]
          - U10*(I1[82] - I2[134])
          - U11*(I1[112] - I2[137])
          - U12*(I1[118] - I2[138])
          + (twozboz)*(I3[134] - AC0*I4[82])
          + (onezboz)*(I3[97] - AC1*I4[58])
          + (threezboz)*(I3[88] - AC2*I4[52]);
*(vp++) = U0*I0[83]
          - U10*(I1[83] - I2[135])
          - U11*(I1[113] - I2[138])
          - U12*(I1[119] - I2[139])
          + (twozboz)*(I3[135] - AC0*I4[83])
          + (onezboz)*(I3[98] - AC1*I4[59])
          + (threezboz)*(I3[89] - AC2*I4[53]);
*(vp++) = U0*I0[84]
          - U10*(I1[84] - I2[140])
          - U11*(I1[114] - I2[141])
          - U12*(I1[120] - I2[142])
          + (twozboz)*(I3[140] - AC0*I4[84])
          + (fourzboz)*(I3[92] - AC2*I4[54]);
*(vp++) = U0*I0[85]
          - U10*(I1[85] - I2[141])
          - U11*(I1[115] - I2[143])
          - U12*(I1[121] - I2[144])
          + (twozboz)*(I3[141] - AC0*I4[85])
          + (fourzboz)*(I3[94] - AC2*I4[55]);
*(vp++) = U0*I0[86]
          - U10*(I1[86] - I2[142])
          - U11*(I1[116] - I2[144])
          - U12*(I1[122] - I2[145])
          + (twozboz)*(I3[142] - AC0*I4[86])
          + (fourzboz)*(I3[95] - AC2*I4[56]);
*(vp++) = U0*I0[87]
          - U10*(I1[87] - I2[143])
          - U11*(I1[117] - I2[146])
          - U12*(I1[123] - I2[147])
          + (twozboz)*(I3[143] - AC0*I4[87])
          + (fourzboz)*(I3[97] - AC2*I4[57]);
*(vp++) = U0*I0[88]
          - U10*(I1[88] - I2[144])
          - U11*(I1[118] - I2[147])
          - U12*(I1[124] - I2[148])
          + (twozboz)*(I3[144] - AC0*I4[88])
          + (fourzboz)*(I3[98] - AC2*I4[58]);
*(vp++) = U0*I0[89]
          - U10*(I1[89] - I2[145])
          - U11*(I1[119] - I2[148])
          - U12*(I1[125] - I2[149])
          + (twozboz)*(I3[145] - AC0*I4[89])
          + (fourzboz)*(I3[99] - AC2*I4[59]);
*(vp++) = U0*I0[90]
          - U10*(I1[90] - I2[150])
          - U11*(I1[126] - I2[151])
          - U12*(I1[132] - I2[152])
          + (onezboz)*(I3[150] - AC0*I4[90])
          + (fivezboz)*(I3[101] - AC1*I4[60]);
*(vp++) = U0*I0[91]
          - U10*(I1[91] - I2[151])
          - U11*(I1[127] - I2[153])
          - U12*(I1[133] - I2[154])
          + (onezboz)*(I3[151] - AC0*I4[91])
          + (fivezboz)*(I3[103] - AC1*I4[61]);
*(vp++) = U0*I0[92]
          - U10*(I1[92] - I2[152])
          - U11*(I1[128] - I2[154])
          - U12*(I1[134] - I2[155])
          + (onezboz)*(I3[152] - AC0*I4[92])
          + (fivezboz)*(I3[104] - AC1*I4[62]);
*(vp++) = U0*I0[93]
          - U10*(I1[93] - I2[153])
          - U11*(I1[129] - I2[156])
          - U12*(I1[135] - I2[157])
          + (onezboz)*(I3[153] - AC0*I4[93])
          + (fivezboz)*(I3[106] - AC1*I4[63]);
*(vp++) = U0*I0[94]
          - U10*(I1[94] - I2[154])
          - U11*(I1[130] - I2[157])
          - U12*(I1[136] - I2[158])
          + (onezboz)*(I3[154] - AC0*I4[94])
          + (fivezboz)*(I3[107] - AC1*I4[64]);
*(vp++) = U0*I0[95]
          - U10*(I1[95] - I2[155])
          - U11*(I1[131] - I2[158])
          - U12*(I1[137] - I2[159])
          + (onezboz)*(I3[155] - AC0*I4[95])
          + (fivezboz)*(I3[108] - AC1*I4[65]);
*(vp++) = U0*I0[96]
          - U10*(I1[96] - I2[160])
          - U11*(I1[132] - I2[161])
          - U12*(I1[138] - I2[162])
          + (onezboz)*(I3[160] - AC0*I4[96])
          + (fourzboz)*(I3[111] - AC1*I4[66])
          + (onezboz)*(I3[102] - AC2*I4[60]);
*(vp++) = U0*I0[97]
          - U10*(I1[97] - I2[161])
          - U11*(I1[133] - I2[163])
          - U12*(I1[139] - I2[164])
          + (onezboz)*(I3[161] - AC0*I4[97])
          + (fourzboz)*(I3[113] - AC1*I4[67])
          + (onezboz)*(I3[104] - AC2*I4[61]);
*(vp++) = U0*I0[98]
          - U10*(I1[98] - I2[162])
          - U11*(I1[134] - I2[164])
          - U12*(I1[140] - I2[165])
          + (onezboz)*(I3[162] - AC0*I4[98])
          + (fourzboz)*(I3[114] - AC1*I4[68])
          + (onezboz)*(I3[105] - AC2*I4[62]);
*(vp++) = U0*I0[99]
          - U10*(I1[99] - I2[163])
          - U11*(I1[135] - I2[166])
          - U12*(I1[141] - I2[167])
          + (onezboz)*(I3[163] - AC0*I4[99])
          + (fourzboz)*(I3[116] - AC1*I4[69])
          + (onezboz)*(I3[107] - AC2*I4[63]);
*(vp++) = U0*I0[100]
          - U10*(I1[100] - I2[164])
          - U11*(I1[136] - I2[167])
          - U12*(I1[142] - I2[168])
          + (onezboz)*(I3[164] - AC0*I4[100])
          + (fourzboz)*(I3[117] - AC1*I4[70])
          + (onezboz)*(I3[108] - AC2*I4[64]);
*(vp++) = U0*I0[101]
          - U10*(I1[101] - I2[165])
          - U11*(I1[137] - I2[168])
          - U12*(I1[143] - I2[169])
          + (onezboz)*(I3[165] - AC0*I4[101])
          + (fourzboz)*(I3[118] - AC1*I4[71])
          + (onezboz)*(I3[109] - AC2*I4[65]);
*(vp++) = U0*I0[102]
          - U10*(I1[102] - I2[170])
          - U11*(I1[138] - I2[171])
          - U12*(I1[144] - I2[172])
          + (onezboz)*(I3[170] - AC0*I4[102])
          + (threezboz)*(I3[121] - AC1*I4[72])
          + (twozboz)*(I3[112] - AC2*I4[66]);
*(vp++) = U0*I0[103]
          - U10*(I1[103] - I2[171])
          - U11*(I1[139] - I2[173])
          - U12*(I1[145] - I2[174])
          + (onezboz)*(I3[171] - AC0*I4[103])
          + (threezboz)*(I3[123] - AC1*I4[73])
          + (twozboz)*(I3[114] - AC2*I4[67]);
*(vp++) = U0*I0[104]
          - U10*(I1[104] - I2[172])
          - U11*(I1[140] - I2[174])
          - U12*(I1[146] - I2[175])
          + (onezboz)*(I3[172] - AC0*I4[104])
          + (threezboz)*(I3[124] - AC1*I4[74])
          + (twozboz)*(I3[115] - AC2*I4[68]);
*(vp++) = U0*I0[105]
          - U10*(I1[105] - I2[173])
          - U11*(I1[141] - I2[176])
          - U12*(I1[147] - I2[177])
          + (onezboz)*(I3[173] - AC0*I4[105])
          + (threezboz)*(I3[126] - AC1*I4[75])
          + (twozboz)*(I3[117] - AC2*I4[69]);
*(vp++) = U0*I0[106]
          - U10*(I1[106] - I2[174])
          - U11*(I1[142] - I2[177])
          - U12*(I1[148] - I2[178])
          + (onezboz)*(I3[174] - AC0*I4[106])
          + (threezboz)*(I3[127] - AC1*I4[76])
          + (twozboz)*(I3[118] - AC2*I4[70]);
*(vp++) = U0*I0[107]
          - U10*(I1[107] - I2[175])
          - U11*(I1[143] - I2[178])
          - U12*(I1[149] - I2[179])
          + (onezboz)*(I3[175] - AC0*I4[107])
          + (threezboz)*(I3[128] - AC1*I4[77])
          + (twozboz)*(I3[119] - AC2*I4[71]);
*(vp++) = U0*I0[108]
          - U10*(I1[108] - I2[180])
          - U11*(I1[144] - I2[181])
          - U12*(I1[150] - I2[182])
          + (onezboz)*(I3[180] - AC0*I4[108])
          + (twozboz)*(I3[131] - AC1*I4[78])
          + (threezboz)*(I3[122] - AC2*I4[72]);
*(vp++) = U0*I0[109]
          - U10*(I1[109] - I2[181])
          - U11*(I1[145] - I2[183])
          - U12*(I1[151] - I2[184])
          + (onezboz)*(I3[181] - AC0*I4[109])
          + (twozboz)*(I3[133] - AC1*I4[79])
          + (threezboz)*(I3[124] - AC2*I4[73]);
*(vp++) = U0*I0[110]
          - U10*(I1[110] - I2[182])
          - U11*(I1[146] - I2[184])
          - U12*(I1[152] - I2[185])
          + (onezboz)*(I3[182] - AC0*I4[110])
          + (twozboz)*(I3[134] - AC1*I4[80])
          + (threezboz)*(I3[125] - AC2*I4[74]);
*(vp++) = U0*I0[111]
          - U10*(I1[111] - I2[183])
          - U11*(I1[147] - I2[186])
          - U12*(I1[153] - I2[187])
          + (onezboz)*(I3[183] - AC0*I4[111])
          + (twozboz)*(I3[136] - AC1*I4[81])
          + (threezboz)*(I3[127] - AC2*I4[75]);
*(vp++) = U0*I0[112]
          - U10*(I1[112] - I2[184])
          - U11*(I1[148] - I2[187])
          - U12*(I1[154] - I2[188])
          + (onezboz)*(I3[184] - AC0*I4[112])
          + (twozboz)*(I3[137] - AC1*I4[82])
          + (threezboz)*(I3[128] - AC2*I4[76]);
*(vp++) = U0*I0[113]
          - U10*(I1[113] - I2[185])
          - U11*(I1[149] - I2[188])
          - U12*(I1[155] - I2[189])
          + (onezboz)*(I3[185] - AC0*I4[113])
          + (twozboz)*(I3[138] - AC1*I4[83])
          + (threezboz)*(I3[129] - AC2*I4[77]);
*(vp++) = U0*I0[114]
          - U10*(I1[114] - I2[190])
          - U11*(I1[150] - I2[191])
          - U12*(I1[156] - I2[192])
          + (onezboz)*(I3[190] - AC0*I4[114])
          + (onezboz)*(I3[141] - AC1*I4[84])
          + (fourzboz)*(I3[132] - AC2*I4[78]);
*(vp++) = U0*I0[115]
          - U10*(I1[115] - I2[191])
          - U11*(I1[151] - I2[193])
          - U12*(I1[157] - I2[194])
          + (onezboz)*(I3[191] - AC0*I4[115])
          + (onezboz)*(I3[143] - AC1*I4[85])
          + (fourzboz)*(I3[134] - AC2*I4[79]);
*(vp++) = U0*I0[116]
          - U10*(I1[116] - I2[192])
          - U11*(I1[152] - I2[194])
          - U12*(I1[158] - I2[195])
          + (onezboz)*(I3[192] - AC0*I4[116])
          + (onezboz)*(I3[144] - AC1*I4[86])
          + (fourzboz)*(I3[135] - AC2*I4[80]);
*(vp++) = U0*I0[117]
          - U10*(I1[117] - I2[193])
          - U11*(I1[153] - I2[196])
          - U12*(I1[159] - I2[197])
          + (onezboz)*(I3[193] - AC0*I4[117])
          + (onezboz)*(I3[146] - AC1*I4[87])
          + (fourzboz)*(I3[137] - AC2*I4[81]);
*(vp++) = U0*I0[118]
          - U10*(I1[118] - I2[194])
          - U11*(I1[154] - I2[197])
          - U12*(I1[160] - I2[198])
          + (onezboz)*(I3[194] - AC0*I4[118])
          + (onezboz)*(I3[147] - AC1*I4[88])
          + (fourzboz)*(I3[138] - AC2*I4[82]);
*(vp++) = U0*I0[119]
          - U10*(I1[119] - I2[195])
          - U11*(I1[155] - I2[198])
          - U12*(I1[161] - I2[199])
          + (onezboz)*(I3[195] - AC0*I4[119])
          + (onezboz)*(I3[148] - AC1*I4[89])
          + (fourzboz)*(I3[139] - AC2*I4[83]);
*(vp++) = U0*I0[120]
          - U10*(I1[120] - I2[200])
          - U11*(I1[156] - I2[201])
          - U12*(I1[162] - I2[202])
          + (onezboz)*(I3[200] - AC0*I4[120])
          + (fivezboz)*(I3[142] - AC2*I4[84]);
*(vp++) = U0*I0[121]
          - U10*(I1[121] - I2[201])
          - U11*(I1[157] - I2[203])
          - U12*(I1[163] - I2[204])
          + (onezboz)*(I3[201] - AC0*I4[121])
          + (fivezboz)*(I3[144] - AC2*I4[85]);
*(vp++) = U0*I0[122]
          - U10*(I1[122] - I2[202])
          - U11*(I1[158] - I2[204])
          - U12*(I1[164] - I2[205])
          + (onezboz)*(I3[202] - AC0*I4[122])
          + (fivezboz)*(I3[145] - AC2*I4[86]);
*(vp++) = U0*I0[123]
          - U10*(I1[123] - I2[203])
          - U11*(I1[159] - I2[206])
          - U12*(I1[165] - I2[207])
          + (onezboz)*(I3[203] - AC0*I4[123])
          + (fivezboz)*(I3[147] - AC2*I4[87]);
*(vp++) = U0*I0[124]
          - U10*(I1[124] - I2[204])
          - U11*(I1[160] - I2[207])
          - U12*(I1[166] - I2[208])
          + (onezboz)*(I3[204] - AC0*I4[124])
          + (fivezboz)*(I3[148] - AC2*I4[88]);
*(vp++) = U0*I0[125]
          - U10*(I1[125] - I2[205])
          - U11*(I1[161] - I2[208])
          - U12*(I1[167] - I2[209])
          + (onezboz)*(I3[205] - AC0*I4[125])
          + (fivezboz)*(I3[149] - AC2*I4[89]);
*(vp++) = U0*I0[126]
          - U10*(I1[126] - I2[210])
          - U11*(I1[168] - I2[211])
          - U12*(I1[174] - I2[212])
          + (sixzboz)*(I3[151] - AC1*I4[90]);
*(vp++) = U0*I0[127]
          - U10*(I1[127] - I2[211])
          - U11*(I1[169] - I2[213])
          - U12*(I1[175] - I2[214])
          + (sixzboz)*(I3[153] - AC1*I4[91]);
*(vp++) = U0*I0[128]
          - U10*(I1[128] - I2[212])
          - U11*(I1[170] - I2[214])
          - U12*(I1[176] - I2[215])
          + (sixzboz)*(I3[154] - AC1*I4[92]);
*(vp++) = U0*I0[129]
          - U10*(I1[129] - I2[213])
          - U11*(I1[171] - I2[216])
          - U12*(I1[177] - I2[217])
          + (sixzboz)*(I3[156] - AC1*I4[93]);
*(vp++) = U0*I0[130]
          - U10*(I1[130] - I2[214])
          - U11*(I1[172] - I2[217])
          - U12*(I1[178] - I2[218])
          + (sixzboz)*(I3[157] - AC1*I4[94]);
*(vp++) = U0*I0[131]
          - U10*(I1[131] - I2[215])
          - U11*(I1[173] - I2[218])
          - U12*(I1[179] - I2[219])
          + (sixzboz)*(I3[158] - AC1*I4[95]);
*(vp++) = U0*I0[132]
          - U10*(I1[132] - I2[220])
          - U11*(I1[174] - I2[221])
          - U12*(I1[180] - I2[222])
          + (fivezboz)*(I3[161] - AC1*I4[96])
          + (onezboz)*(I3[152] - AC2*I4[90]);
*(vp++) = U0*I0[133]
          - U10*(I1[133] - I2[221])
          - U11*(I1[175] - I2[223])
          - U12*(I1[181] - I2[224])
          + (fivezboz)*(I3[163] - AC1*I4[97])
          + (onezboz)*(I3[154] - AC2*I4[91]);
*(vp++) = U0*I0[134]
          - U10*(I1[134] - I2[222])
          - U11*(I1[176] - I2[224])
          - U12*(I1[182] - I2[225])
          + (fivezboz)*(I3[164] - AC1*I4[98])
          + (onezboz)*(I3[155] - AC2*I4[92]);
*(vp++) = U0*I0[135]
          - U10*(I1[135] - I2[223])
          - U11*(I1[177] - I2[226])
          - U12*(I1[183] - I2[227])
          + (fivezboz)*(I3[166] - AC1*I4[99])
          + (onezboz)*(I3[157] - AC2*I4[93]);
*(vp++) = U0*I0[136]
          - U10*(I1[136] - I2[224])
          - U11*(I1[178] - I2[227])
          - U12*(I1[184] - I2[228])
          + (fivezboz)*(I3[167] - AC1*I4[100])
          + (onezboz)*(I3[158] - AC2*I4[94]);
*(vp++) = U0*I0[137]
          - U10*(I1[137] - I2[225])
          - U11*(I1[179] - I2[228])
          - U12*(I1[185] - I2[229])
          + (fivezboz)*(I3[168] - AC1*I4[101])
          + (onezboz)*(I3[159] - AC2*I4[95]);
*(vp++) = U0*I0[138]
          - U10*(I1[138] - I2[230])
          - U11*(I1[180] - I2[231])
          - U12*(I1[186] - I2[232])
          + (fourzboz)*(I3[171] - AC1*I4[102])
          + (twozboz)*(I3[162] - AC2*I4[96]);
*(vp++) = U0*I0[139]
          - U10*(I1[139] - I2[231])
          - U11*(I1[181] - I2[233])
          - U12*(I1[187] - I2[234])
          + (fourzboz)*(I3[173] - AC1*I4[103])
          + (twozboz)*(I3[164] - AC2*I4[97]);
*(vp++) = U0*I0[140]
          - U10*(I1[140] - I2[232])
          - U11*(I1[182] - I2[234])
          - U12*(I1[188] - I2[235])
          + (fourzboz)*(I3[174] - AC1*I4[104])
          + (twozboz)*(I3[165] - AC2*I4[98]);
*(vp++) = U0*I0[141]
          - U10*(I1[141] - I2[233])
          - U11*(I1[183] - I2[236])
          - U12*(I1[189] - I2[237])
          + (fourzboz)*(I3[176] - AC1*I4[105])
          + (twozboz)*(I3[167] - AC2*I4[99]);
*(vp++) = U0*I0[142]
          - U10*(I1[142] - I2[234])
          - U11*(I1[184] - I2[237])
          - U12*(I1[190] - I2[238])
          + (fourzboz)*(I3[177] - AC1*I4[106])
          + (twozboz)*(I3[168] - AC2*I4[100]);
*(vp++) = U0*I0[143]
          - U10*(I1[143] - I2[235])
          - U11*(I1[185] - I2[238])
          - U12*(I1[191] - I2[239])
          + (fourzboz)*(I3[178] - AC1*I4[107])
          + (twozboz)*(I3[169] - AC2*I4[101]);
*(vp++) = U0*I0[144]
          - U10*(I1[144] - I2[240])
          - U11*(I1[186] - I2[241])
          - U12*(I1[192] - I2[242])
          + (threezboz)*(I3[181] - AC1*I4[108])
          + (threezboz)*(I3[172] - AC2*I4[102]);
*(vp++) = U0*I0[145]
          - U10*(I1[145] - I2[241])
          - U11*(I1[187] - I2[243])
          - U12*(I1[193] - I2[244])
          + (threezboz)*(I3[183] - AC1*I4[109])
          + (threezboz)*(I3[174] - AC2*I4[103]);
*(vp++) = U0*I0[146]
          - U10*(I1[146] - I2[242])
          - U11*(I1[188] - I2[244])
          - U12*(I1[194] - I2[245])
          + (threezboz)*(I3[184] - AC1*I4[110])
          + (threezboz)*(I3[175] - AC2*I4[104]);
*(vp++) = U0*I0[147]
          - U10*(I1[147] - I2[243])
          - U11*(I1[189] - I2[246])
          - U12*(I1[195] - I2[247])
          + (threezboz)*(I3[186] - AC1*I4[111])
          + (threezboz)*(I3[177] - AC2*I4[105]);
*(vp++) = U0*I0[148]
          - U10*(I1[148] - I2[244])
          - U11*(I1[190] - I2[247])
          - U12*(I1[196] - I2[248])
          + (threezboz)*(I3[187] - AC1*I4[112])
          + (threezboz)*(I3[178] - AC2*I4[106]);
*(vp++) = U0*I0[149]
          - U10*(I1[149] - I2[245])
          - U11*(I1[191] - I2[248])
          - U12*(I1[197] - I2[249])
          + (threezboz)*(I3[188] - AC1*I4[113])
          + (threezboz)*(I3[179] - AC2*I4[107]);
*(vp++) = U0*I0[150]
          - U10*(I1[150] - I2[250])
          - U11*(I1[192] - I2[251])
          - U12*(I1[198] - I2[252])
          + (twozboz)*(I3[191] - AC1*I4[114])
          + (fourzboz)*(I3[182] - AC2*I4[108]);
*(vp++) = U0*I0[151]
          - U10*(I1[151] - I2[251])
          - U11*(I1[193] - I2[253])
          - U12*(I1[199] - I2[254])
          + (twozboz)*(I3[193] - AC1*I4[115])
          + (fourzboz)*(I3[184] - AC2*I4[109]);
*(vp++) = U0*I0[152]
          - U10*(I1[152] - I2[252])
          - U11*(I1[194] - I2[254])
          - U12*(I1[200] - I2[255])
          + (twozboz)*(I3[194] - AC1*I4[116])
          + (fourzboz)*(I3[185] - AC2*I4[110]);
*(vp++) = U0*I0[153]
          - U10*(I1[153] - I2[253])
          - U11*(I1[195] - I2[256])
          - U12*(I1[201] - I2[257])
          + (twozboz)*(I3[196] - AC1*I4[117])
          + (fourzboz)*(I3[187] - AC2*I4[111]);
*(vp++) = U0*I0[154]
          - U10*(I1[154] - I2[254])
          - U11*(I1[196] - I2[257])
          - U12*(I1[202] - I2[258])
          + (twozboz)*(I3[197] - AC1*I4[118])
          + (fourzboz)*(I3[188] - AC2*I4[112]);
*(vp++) = U0*I0[155]
          - U10*(I1[155] - I2[255])
          - U11*(I1[197] - I2[258])
          - U12*(I1[203] - I2[259])
          + (twozboz)*(I3[198] - AC1*I4[119])
          + (fourzboz)*(I3[189] - AC2*I4[113]);
*(vp++) = U0*I0[156]
          - U10*(I1[156] - I2[260])
          - U11*(I1[198] - I2[261])
          - U12*(I1[204] - I2[262])
          + (onezboz)*(I3[201] - AC1*I4[120])
          + (fivezboz)*(I3[192] - AC2*I4[114]);
*(vp++) = U0*I0[157]
          - U10*(I1[157] - I2[261])
          - U11*(I1[199] - I2[263])
          - U12*(I1[205] - I2[264])
          + (onezboz)*(I3[203] - AC1*I4[121])
          + (fivezboz)*(I3[194] - AC2*I4[115]);
*(vp++) = U0*I0[158]
          - U10*(I1[158] - I2[262])
          - U11*(I1[200] - I2[264])
          - U12*(I1[206] - I2[265])
          + (onezboz)*(I3[204] - AC1*I4[122])
          + (fivezboz)*(I3[195] - AC2*I4[116]);
*(vp++) = U0*I0[159]
          - U10*(I1[159] - I2[263])
          - U11*(I1[201] - I2[266])
          - U12*(I1[207] - I2[267])
          + (onezboz)*(I3[206] - AC1*I4[123])
          + (fivezboz)*(I3[197] - AC2*I4[117]);
*(vp++) = U0*I0[160]
          - U10*(I1[160] - I2[264])
          - U11*(I1[202] - I2[267])
          - U12*(I1[208] - I2[268])
          + (onezboz)*(I3[207] - AC1*I4[124])
          + (fivezboz)*(I3[198] - AC2*I4[118]);
*(vp++) = U0*I0[161]
          - U10*(I1[161] - I2[265])
          - U11*(I1[203] - I2[268])
          - U12*(I1[209] - I2[269])
          + (onezboz)*(I3[208] - AC1*I4[125])
          + (fivezboz)*(I3[199] - AC2*I4[119]);
*(vp++) = U0*I0[162]
          - U10*(I1[162] - I2[270])
          - U11*(I1[204] - I2[271])
          - U12*(I1[210] - I2[272])
          + (sixzboz)*(I3[202] - AC2*I4[120]);
*(vp++) = U0*I0[163]
          - U10*(I1[163] - I2[271])
          - U11*(I1[205] - I2[273])
          - U12*(I1[211] - I2[274])
          + (sixzboz)*(I3[204] - AC2*I4[121]);
*(vp++) = U0*I0[164]
          - U10*(I1[164] - I2[272])
          - U11*(I1[206] - I2[274])
          - U12*(I1[212] - I2[275])
          + (sixzboz)*(I3[205] - AC2*I4[122]);
*(vp++) = U0*I0[165]
          - U10*(I1[165] - I2[273])
          - U11*(I1[207] - I2[276])
          - U12*(I1[213] - I2[277])
          + (sixzboz)*(I3[207] - AC2*I4[123]);
*(vp++) = U0*I0[166]
          - U10*(I1[166] - I2[274])
          - U11*(I1[208] - I2[277])
          - U12*(I1[214] - I2[278])
          + (sixzboz)*(I3[208] - AC2*I4[124]);
*(vp++) = U0*I0[167]
          - U10*(I1[167] - I2[275])
          - U11*(I1[209] - I2[278])
          - U12*(I1[215] - I2[279])
          + (sixzboz)*(I3[209] - AC2*I4[125]);

}
