#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_p0hf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (p0|hf) integrals */

void d12hrr_order_p0hf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][8][11] = int_stack + 0;
 Libderiv->deriv_classes[1][8][10] = int_stack + 135;
 Libderiv->deriv_classes[1][8][9] = int_stack + 270;
 Libderiv->deriv_classes[1][8][8] = int_stack + 405;
 Libderiv->deriv_classes[1][8][7] = int_stack + 540;
 Libderiv->dvrr_classes[1][7] = int_stack + 675;
 Libderiv->deriv_classes[1][8][6] = int_stack + 783;
 Libderiv->deriv_classes[1][8][2] = int_stack + 918;
 Libderiv->deriv_classes[1][8][1] = int_stack + 1053;
 Libderiv->deriv_classes[1][8][0] = int_stack + 1188;
 Libderiv->deriv2_classes[1][5][143] = int_stack + 1323;
 Libderiv->deriv2_classes[1][6][143] = int_stack + 1386;
 Libderiv->deriv2_classes[1][7][143] = int_stack + 1470;
 Libderiv->deriv2_classes[1][8][143] = int_stack + 1578;
 Libderiv->deriv2_classes[1][5][131] = int_stack + 1713;
 Libderiv->deriv2_classes[1][6][131] = int_stack + 1776;
 Libderiv->deriv2_classes[1][7][131] = int_stack + 1860;
 Libderiv->deriv2_classes[1][8][131] = int_stack + 1968;
 Libderiv->deriv2_classes[1][5][130] = int_stack + 2103;
 Libderiv->deriv2_classes[1][6][130] = int_stack + 2166;
 Libderiv->deriv2_classes[1][7][130] = int_stack + 2250;
 Libderiv->deriv2_classes[1][8][130] = int_stack + 2358;
 Libderiv->deriv2_classes[1][5][119] = int_stack + 2493;
 Libderiv->deriv2_classes[1][6][119] = int_stack + 2556;
 Libderiv->deriv2_classes[1][7][119] = int_stack + 2640;
 Libderiv->deriv2_classes[1][8][119] = int_stack + 2748;
 Libderiv->deriv2_classes[1][5][118] = int_stack + 2883;
 Libderiv->deriv2_classes[1][6][118] = int_stack + 2946;
 Libderiv->deriv2_classes[1][7][118] = int_stack + 3030;
 Libderiv->deriv2_classes[1][8][118] = int_stack + 3138;
 Libderiv->deriv2_classes[1][5][117] = int_stack + 3273;
 Libderiv->deriv2_classes[1][6][117] = int_stack + 3336;
 Libderiv->deriv2_classes[1][7][117] = int_stack + 3420;
 Libderiv->deriv2_classes[1][8][117] = int_stack + 3528;
 Libderiv->deriv2_classes[1][5][107] = int_stack + 3663;
 Libderiv->deriv2_classes[1][6][107] = int_stack + 3726;
 Libderiv->deriv2_classes[1][7][107] = int_stack + 3810;
 Libderiv->deriv2_classes[1][8][107] = int_stack + 3918;
 Libderiv->deriv2_classes[1][5][106] = int_stack + 4053;
 Libderiv->deriv2_classes[1][6][106] = int_stack + 4116;
 Libderiv->deriv2_classes[1][7][106] = int_stack + 4200;
 Libderiv->deriv2_classes[1][8][106] = int_stack + 4308;
 Libderiv->deriv2_classes[1][5][105] = int_stack + 4443;
 Libderiv->deriv2_classes[1][6][105] = int_stack + 4506;
 Libderiv->deriv2_classes[1][7][105] = int_stack + 4590;
 Libderiv->deriv2_classes[1][8][105] = int_stack + 4698;
 Libderiv->deriv2_classes[1][5][104] = int_stack + 4833;
 Libderiv->deriv2_classes[1][6][104] = int_stack + 4896;
 Libderiv->deriv2_classes[1][7][104] = int_stack + 4980;
 Libderiv->deriv2_classes[1][8][104] = int_stack + 5088;
 Libderiv->deriv2_classes[1][5][95] = int_stack + 5223;
 Libderiv->deriv2_classes[1][6][95] = int_stack + 5286;
 Libderiv->deriv2_classes[1][7][95] = int_stack + 5370;
 Libderiv->deriv2_classes[1][8][95] = int_stack + 5478;
 Libderiv->deriv2_classes[1][5][94] = int_stack + 5613;
 Libderiv->deriv2_classes[1][6][94] = int_stack + 5676;
 Libderiv->deriv2_classes[1][7][94] = int_stack + 5760;
 Libderiv->deriv2_classes[1][8][94] = int_stack + 5868;
 Libderiv->deriv2_classes[1][5][93] = int_stack + 6003;
 Libderiv->deriv2_classes[1][6][93] = int_stack + 6066;
 Libderiv->deriv2_classes[1][7][93] = int_stack + 6150;
 Libderiv->deriv2_classes[1][8][93] = int_stack + 6258;
 Libderiv->deriv2_classes[1][5][92] = int_stack + 6393;
 Libderiv->deriv2_classes[1][6][92] = int_stack + 6456;
 Libderiv->deriv2_classes[1][7][92] = int_stack + 6540;
 Libderiv->deriv2_classes[1][8][92] = int_stack + 6648;
 Libderiv->deriv2_classes[1][5][91] = int_stack + 6783;
 Libderiv->deriv2_classes[1][6][91] = int_stack + 6846;
 Libderiv->deriv2_classes[1][7][91] = int_stack + 6930;
 Libderiv->deriv2_classes[1][8][91] = int_stack + 7038;
 Libderiv->deriv_classes[1][5][11] = int_stack + 7173;
 Libderiv->deriv2_classes[1][5][83] = int_stack + 7236;
 Libderiv->deriv_classes[1][6][11] = int_stack + 7299;
 Libderiv->deriv2_classes[1][6][83] = int_stack + 7383;
 Libderiv->deriv_classes[1][7][11] = int_stack + 7467;
 Libderiv->deriv2_classes[1][7][83] = int_stack + 7575;
 Libderiv->deriv2_classes[1][8][83] = int_stack + 7683;
 Libderiv->deriv_classes[1][5][10] = int_stack + 7818;
 Libderiv->deriv2_classes[1][5][82] = int_stack + 7881;
 Libderiv->deriv_classes[1][6][10] = int_stack + 7944;
 Libderiv->deriv2_classes[1][6][82] = int_stack + 8028;
 Libderiv->deriv_classes[1][7][10] = int_stack + 8112;
 Libderiv->deriv2_classes[1][7][82] = int_stack + 8220;
 Libderiv->deriv2_classes[1][8][82] = int_stack + 8328;
 Libderiv->deriv_classes[1][5][9] = int_stack + 8463;
 Libderiv->deriv2_classes[1][5][81] = int_stack + 8526;
 Libderiv->deriv_classes[1][6][9] = int_stack + 8589;
 Libderiv->deriv2_classes[1][6][81] = int_stack + 8673;
 Libderiv->deriv_classes[1][7][9] = int_stack + 8757;
 Libderiv->deriv2_classes[1][7][81] = int_stack + 8865;
 Libderiv->deriv2_classes[1][8][81] = int_stack + 8973;
 Libderiv->deriv_classes[1][5][8] = int_stack + 9108;
 Libderiv->deriv2_classes[1][5][80] = int_stack + 9171;
 Libderiv->deriv_classes[1][6][8] = int_stack + 9234;
 Libderiv->deriv2_classes[1][6][80] = int_stack + 9318;
 Libderiv->deriv_classes[1][7][8] = int_stack + 9402;
 Libderiv->deriv2_classes[1][7][80] = int_stack + 9510;
 Libderiv->deriv2_classes[1][8][80] = int_stack + 9618;
 Libderiv->deriv_classes[1][5][7] = int_stack + 9753;
 Libderiv->deriv2_classes[1][5][79] = int_stack + 9816;
 Libderiv->deriv_classes[1][6][7] = int_stack + 9879;
 Libderiv->deriv2_classes[1][6][79] = int_stack + 9963;
 Libderiv->deriv_classes[1][7][7] = int_stack + 10047;
 Libderiv->deriv2_classes[1][7][79] = int_stack + 10155;
 Libderiv->deriv2_classes[1][8][79] = int_stack + 10263;
 Libderiv->dvrr_classes[1][5] = int_stack + 10398;
 Libderiv->deriv_classes[1][5][6] = int_stack + 10461;
 Libderiv->deriv2_classes[1][5][78] = int_stack + 10524;
 Libderiv->dvrr_classes[1][6] = int_stack + 10587;
 Libderiv->deriv_classes[1][6][6] = int_stack + 10671;
 Libderiv->deriv2_classes[1][6][78] = int_stack + 10755;
 Libderiv->deriv_classes[1][7][6] = int_stack + 10839;
 Libderiv->deriv2_classes[1][7][78] = int_stack + 10947;
 Libderiv->deriv2_classes[1][8][78] = int_stack + 11055;
 Libderiv->deriv2_classes[1][5][35] = int_stack + 11190;
 Libderiv->deriv2_classes[1][6][35] = int_stack + 11253;
 Libderiv->deriv2_classes[1][7][35] = int_stack + 11337;
 Libderiv->deriv2_classes[1][8][35] = int_stack + 11445;
 Libderiv->deriv2_classes[1][5][34] = int_stack + 11580;
 Libderiv->deriv2_classes[1][6][34] = int_stack + 11643;
 Libderiv->deriv2_classes[1][7][34] = int_stack + 11727;
 Libderiv->deriv2_classes[1][8][34] = int_stack + 11835;
 Libderiv->deriv2_classes[1][5][33] = int_stack + 11970;
 Libderiv->deriv2_classes[1][6][33] = int_stack + 12033;
 Libderiv->deriv2_classes[1][7][33] = int_stack + 12117;
 Libderiv->deriv2_classes[1][8][33] = int_stack + 12225;
 Libderiv->deriv2_classes[1][5][32] = int_stack + 12360;
 Libderiv->deriv2_classes[1][6][32] = int_stack + 12423;
 Libderiv->deriv2_classes[1][7][32] = int_stack + 12507;
 Libderiv->deriv2_classes[1][8][32] = int_stack + 12615;
 Libderiv->deriv2_classes[1][5][31] = int_stack + 12750;
 Libderiv->deriv2_classes[1][6][31] = int_stack + 12813;
 Libderiv->deriv2_classes[1][7][31] = int_stack + 12897;
 Libderiv->deriv2_classes[1][8][31] = int_stack + 13005;
 Libderiv->deriv_classes[1][5][2] = int_stack + 13140;
 Libderiv->deriv2_classes[1][5][30] = int_stack + 13203;
 Libderiv->deriv_classes[1][6][2] = int_stack + 13266;
 Libderiv->deriv2_classes[1][6][30] = int_stack + 13350;
 Libderiv->deriv_classes[1][7][2] = int_stack + 13434;
 Libderiv->deriv2_classes[1][7][30] = int_stack + 13542;
 Libderiv->deriv2_classes[1][8][30] = int_stack + 13650;
 Libderiv->deriv2_classes[1][5][26] = int_stack + 13785;
 Libderiv->deriv2_classes[1][6][26] = int_stack + 13848;
 Libderiv->deriv2_classes[1][7][26] = int_stack + 13932;
 Libderiv->deriv2_classes[1][8][26] = int_stack + 14040;
 Libderiv->deriv2_classes[1][5][23] = int_stack + 14175;
 Libderiv->deriv2_classes[1][6][23] = int_stack + 14238;
 Libderiv->deriv2_classes[1][7][23] = int_stack + 14322;
 Libderiv->deriv2_classes[1][8][23] = int_stack + 14430;
 Libderiv->deriv2_classes[1][5][22] = int_stack + 14565;
 Libderiv->deriv2_classes[1][6][22] = int_stack + 14628;
 Libderiv->deriv2_classes[1][7][22] = int_stack + 14712;
 Libderiv->deriv2_classes[1][8][22] = int_stack + 14820;
 Libderiv->deriv2_classes[1][5][21] = int_stack + 14955;
 Libderiv->deriv2_classes[1][6][21] = int_stack + 15018;
 Libderiv->deriv2_classes[1][7][21] = int_stack + 15102;
 Libderiv->deriv2_classes[1][8][21] = int_stack + 15210;
 Libderiv->deriv2_classes[1][5][20] = int_stack + 15345;
 Libderiv->deriv2_classes[1][6][20] = int_stack + 15408;
 Libderiv->deriv2_classes[1][7][20] = int_stack + 15492;
 Libderiv->deriv2_classes[1][8][20] = int_stack + 15600;
 Libderiv->deriv2_classes[1][5][19] = int_stack + 15735;
 Libderiv->deriv2_classes[1][6][19] = int_stack + 15798;
 Libderiv->deriv2_classes[1][7][19] = int_stack + 15882;
 Libderiv->deriv2_classes[1][8][19] = int_stack + 15990;
 Libderiv->deriv_classes[1][5][1] = int_stack + 16125;
 Libderiv->deriv2_classes[1][5][18] = int_stack + 16188;
 Libderiv->deriv_classes[1][6][1] = int_stack + 16251;
 Libderiv->deriv2_classes[1][6][18] = int_stack + 16335;
 Libderiv->deriv_classes[1][7][1] = int_stack + 16419;
 Libderiv->deriv2_classes[1][7][18] = int_stack + 16527;
 Libderiv->deriv2_classes[1][8][18] = int_stack + 16635;
 Libderiv->deriv2_classes[1][5][14] = int_stack + 16770;
 Libderiv->deriv2_classes[1][6][14] = int_stack + 16833;
 Libderiv->deriv2_classes[1][7][14] = int_stack + 16917;
 Libderiv->deriv2_classes[1][8][14] = int_stack + 17025;
 Libderiv->deriv2_classes[1][5][13] = int_stack + 17160;
 Libderiv->deriv2_classes[1][6][13] = int_stack + 17223;
 Libderiv->deriv2_classes[1][7][13] = int_stack + 17307;
 Libderiv->deriv2_classes[1][8][13] = int_stack + 17415;
 Libderiv->deriv2_classes[1][5][11] = int_stack + 17550;
 Libderiv->deriv2_classes[1][6][11] = int_stack + 17613;
 Libderiv->deriv2_classes[1][7][11] = int_stack + 17697;
 Libderiv->deriv2_classes[1][8][11] = int_stack + 17805;
 Libderiv->deriv2_classes[1][5][10] = int_stack + 17940;
 Libderiv->deriv2_classes[1][6][10] = int_stack + 18003;
 Libderiv->deriv2_classes[1][7][10] = int_stack + 18087;
 Libderiv->deriv2_classes[1][8][10] = int_stack + 18195;
 Libderiv->deriv2_classes[1][5][9] = int_stack + 18330;
 Libderiv->deriv2_classes[1][6][9] = int_stack + 18393;
 Libderiv->deriv2_classes[1][7][9] = int_stack + 18477;
 Libderiv->deriv2_classes[1][8][9] = int_stack + 18585;
 Libderiv->deriv2_classes[1][5][8] = int_stack + 18720;
 Libderiv->deriv2_classes[1][6][8] = int_stack + 18783;
 Libderiv->deriv2_classes[1][7][8] = int_stack + 18867;
 Libderiv->deriv2_classes[1][8][8] = int_stack + 18975;
 Libderiv->deriv2_classes[1][5][7] = int_stack + 19110;
 Libderiv->deriv2_classes[1][6][7] = int_stack + 19173;
 Libderiv->deriv2_classes[1][7][7] = int_stack + 19257;
 Libderiv->deriv2_classes[1][8][7] = int_stack + 19365;
 Libderiv->deriv_classes[1][5][0] = int_stack + 19500;
 Libderiv->deriv2_classes[1][5][6] = int_stack + 19563;
 Libderiv->deriv_classes[1][6][0] = int_stack + 19626;
 Libderiv->deriv2_classes[1][6][6] = int_stack + 19710;
 Libderiv->deriv_classes[1][7][0] = int_stack + 19794;
 Libderiv->deriv2_classes[1][7][6] = int_stack + 19902;
 Libderiv->deriv2_classes[1][8][6] = int_stack + 20010;
 Libderiv->deriv2_classes[1][5][2] = int_stack + 20145;
 Libderiv->deriv2_classes[1][6][2] = int_stack + 20208;
 Libderiv->deriv2_classes[1][7][2] = int_stack + 20292;
 Libderiv->deriv2_classes[1][8][2] = int_stack + 20400;
 Libderiv->deriv2_classes[1][5][1] = int_stack + 20535;
 Libderiv->deriv2_classes[1][6][1] = int_stack + 20598;
 Libderiv->deriv2_classes[1][7][1] = int_stack + 20682;
 Libderiv->deriv2_classes[1][8][1] = int_stack + 20790;
 Libderiv->deriv2_classes[1][5][0] = int_stack + 20925;
 Libderiv->deriv2_classes[1][6][0] = int_stack + 20988;
 Libderiv->deriv2_classes[1][7][0] = int_stack + 21072;
 Libderiv->deriv2_classes[1][8][0] = int_stack + 21180;
 memset(int_stack,0,170520);

 Libderiv->dvrr_stack = int_stack + 53157;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_p0hf(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+21315,int_stack+10587,int_stack+10398,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+21504,int_stack+675,int_stack+10587,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+21756,int_stack+21504,int_stack+21315,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22134,int_stack+7299,int_stack+7173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10398,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+22323,int_stack+7467,int_stack+7299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10587,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22575,int_stack+22323,int_stack+22134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21315,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+22953,int_stack+0,int_stack+7467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+675,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+23277,int_stack+22953,int_stack+22323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21504,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+22953,int_stack+7944,int_stack+7818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10398, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+23781,int_stack+8112,int_stack+7944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10587, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+24033,int_stack+23781,int_stack+22953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21315, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+24411,int_stack+135,int_stack+8112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+675, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+24735,int_stack+24411,int_stack+23781, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21504, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+24411,int_stack+8589,int_stack+8463, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10398, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+8757,int_stack+8589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10587, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+25239,int_stack+0,int_stack+24411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21315, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+25617,int_stack+270,int_stack+8757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+675, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+25941,int_stack+25617,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21504, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+25617,int_stack+9234,int_stack+9108, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26445,int_stack+9402,int_stack+9234, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10587, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+26697,int_stack+26445,int_stack+25617, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27075,int_stack+405,int_stack+9402, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+27399,int_stack+27075,int_stack+26445, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27075,int_stack+9879,int_stack+9753, 0.0, zero_stack, 1.0, int_stack+10398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+252,int_stack+10047,int_stack+9879, 0.0, zero_stack, 1.0, int_stack+10587, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27903,int_stack+252,int_stack+27075, 0.0, zero_stack, 1.0, int_stack+21315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28281,int_stack+540,int_stack+10047, 0.0, zero_stack, 1.0, int_stack+675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+28605,int_stack+28281,int_stack+252, 0.0, zero_stack, 1.0, int_stack+21504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+28281,int_stack+10671,int_stack+10461, 1.0, int_stack+10398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+10839,int_stack+10671, 1.0, int_stack+10587, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+29361,int_stack+29109,int_stack+28281, 1.0, int_stack+21315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29739,int_stack+783,int_stack+10839, 1.0, int_stack+675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+30063,int_stack+29739,int_stack+29109, 1.0, int_stack+21504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+29739,int_stack+13266,int_stack+13140,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+21315,int_stack+13434,int_stack+13266,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+504,int_stack+21315,int_stack+29739,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+30567,int_stack+918,int_stack+13434,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+30891,int_stack+30567,int_stack+21315,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+21567,int_stack+16251,int_stack+16125,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+30567,int_stack+16419,int_stack+16251,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+31395,int_stack+30567,int_stack+21567,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+31773,int_stack+1053,int_stack+16419,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+32097,int_stack+31773,int_stack+30567,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+31773,int_stack+19626,int_stack+19500,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+882,int_stack+19794,int_stack+19626,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+32601,int_stack+882,int_stack+31773,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+32979,int_stack+1188,int_stack+19794,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+33303,int_stack+32979,int_stack+882,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+1386,int_stack+1323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+7173,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32979,int_stack+1470,int_stack+1386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+7299,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+33807,int_stack+32979,int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+22134,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1134,int_stack+1578,int_stack+1470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+7467,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+34185,int_stack+1134,int_stack+32979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+22323,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32979,int_stack+1776,int_stack+1713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7173, 1.0, int_stack+7818,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134,int_stack+1860,int_stack+1776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7299, 1.0, int_stack+7944,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1386,int_stack+1134,int_stack+32979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22134, 1.0, int_stack+22953,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32979,int_stack+1968,int_stack+1860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7467, 1.0, int_stack+8112,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+34689,int_stack+32979,int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22323, 1.0, int_stack+23781,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+2166,int_stack+2103, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+7818, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32979,int_stack+2250,int_stack+2166, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+7944, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+1764,int_stack+32979,int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+22953, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35193,int_stack+2358,int_stack+2250, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+8112, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+35517,int_stack+35193,int_stack+32979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+23781, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32979,int_stack+2556,int_stack+2493, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7173, 0.0, zero_stack, 1.0, int_stack+8463,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134,int_stack+2640,int_stack+2556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7299, 0.0, zero_stack, 1.0, int_stack+8589,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2142,int_stack+1134,int_stack+32979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22134, 0.0, zero_stack, 1.0, int_stack+24411,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32979,int_stack+2748,int_stack+2640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7467, 0.0, zero_stack, 1.0, int_stack+8757,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+36021,int_stack+32979,int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22323, 0.0, zero_stack, 1.0, int_stack+0,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+2946,int_stack+2883, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7818, 1.0, int_stack+8463, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32979,int_stack+3030,int_stack+2946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7944, 1.0, int_stack+8589, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2520,int_stack+32979,int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22953, 1.0, int_stack+24411, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35193,int_stack+3138,int_stack+3030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8112, 1.0, int_stack+8757, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+36525,int_stack+35193,int_stack+32979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23781, 1.0, int_stack+0, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32979,int_stack+3336,int_stack+3273, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+8463, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134,int_stack+3420,int_stack+3336, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+8589, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2898,int_stack+1134,int_stack+32979, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+24411, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32979,int_stack+3528,int_stack+3420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+8757, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+37029,int_stack+32979,int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+3726,int_stack+3663, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7173, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9108,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32979,int_stack+3810,int_stack+3726, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7299, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9234,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3276,int_stack+32979,int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22134, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25617,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35193,int_stack+3918,int_stack+3810, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7467, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9402,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+37533,int_stack+35193,int_stack+32979, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22323, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26445,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32979,int_stack+4116,int_stack+4053, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7818, 0.0, zero_stack, 1.0, int_stack+9108, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134,int_stack+4200,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7944, 0.0, zero_stack, 1.0, int_stack+9234, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+3654,int_stack+1134,int_stack+32979, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22953, 0.0, zero_stack, 1.0, int_stack+25617, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32979,int_stack+4308,int_stack+4200, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8112, 0.0, zero_stack, 1.0, int_stack+9402, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+38037,int_stack+32979,int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23781, 0.0, zero_stack, 1.0, int_stack+26445, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+4506,int_stack+4443, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8463, 1.0, int_stack+9108, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32979,int_stack+4590,int_stack+4506, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8589, 1.0, int_stack+9234, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4032,int_stack+32979,int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24411, 1.0, int_stack+25617, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35193,int_stack+4698,int_stack+4590, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8757, 1.0, int_stack+9402, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+38541,int_stack+35193,int_stack+32979, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+26445, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32979,int_stack+4896,int_stack+4833, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+9108, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134,int_stack+4980,int_stack+4896, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+9234, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4410,int_stack+1134,int_stack+32979, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+25617, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32979,int_stack+5088,int_stack+4980, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+9402, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+39045,int_stack+32979,int_stack+1134, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+26445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+5286,int_stack+5223, 0.0, zero_stack, 1.0, int_stack+7173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9753,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32979,int_stack+5370,int_stack+5286, 0.0, zero_stack, 1.0, int_stack+7299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9879,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4788,int_stack+32979,int_stack+1134, 0.0, zero_stack, 1.0, int_stack+22134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27075,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35193,int_stack+5478,int_stack+5370, 0.0, zero_stack, 1.0, int_stack+7467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10047,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+39549,int_stack+35193,int_stack+32979, 0.0, zero_stack, 1.0, int_stack+22323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32979,int_stack+5676,int_stack+5613, 0.0, zero_stack, 1.0, int_stack+7818, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9753, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134,int_stack+5760,int_stack+5676, 0.0, zero_stack, 1.0, int_stack+7944, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9879, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5166,int_stack+1134,int_stack+32979, 0.0, zero_stack, 1.0, int_stack+22953, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27075, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32979,int_stack+5868,int_stack+5760, 0.0, zero_stack, 1.0, int_stack+8112, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10047, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+40053,int_stack+32979,int_stack+1134, 0.0, zero_stack, 1.0, int_stack+23781, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+252, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+6066,int_stack+6003, 0.0, zero_stack, 1.0, int_stack+8463, 0.0, zero_stack, 1.0, int_stack+9753, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32979,int_stack+6150,int_stack+6066, 0.0, zero_stack, 1.0, int_stack+8589, 0.0, zero_stack, 1.0, int_stack+9879, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5544,int_stack+32979,int_stack+1134, 0.0, zero_stack, 1.0, int_stack+24411, 0.0, zero_stack, 1.0, int_stack+27075, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35193,int_stack+6258,int_stack+6150, 0.0, zero_stack, 1.0, int_stack+8757, 0.0, zero_stack, 1.0, int_stack+10047, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+40557,int_stack+35193,int_stack+32979, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+252, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32979,int_stack+6456,int_stack+6393, 0.0, zero_stack, 1.0, int_stack+9108, 1.0, int_stack+9753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134,int_stack+6540,int_stack+6456, 0.0, zero_stack, 1.0, int_stack+9234, 1.0, int_stack+9879, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5922,int_stack+1134,int_stack+32979, 0.0, zero_stack, 1.0, int_stack+25617, 1.0, int_stack+27075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32979,int_stack+6648,int_stack+6540, 0.0, zero_stack, 1.0, int_stack+9402, 1.0, int_stack+10047, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+41061,int_stack+32979,int_stack+1134, 0.0, zero_stack, 1.0, int_stack+26445, 1.0, int_stack+252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+6846,int_stack+6783, 0.0, zero_stack, 2.0, int_stack+9753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32979,int_stack+6930,int_stack+6846, 0.0, zero_stack, 2.0, int_stack+9879, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6300,int_stack+32979,int_stack+1134, 0.0, zero_stack, 2.0, int_stack+27075, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+35193,int_stack+7038,int_stack+6930, 0.0, zero_stack, 2.0, int_stack+10047, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+41565,int_stack+35193,int_stack+32979, 0.0, zero_stack, 2.0, int_stack+252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32979,int_stack+7383,int_stack+7236, 1.0, int_stack+7173, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10461,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134,int_stack+7575,int_stack+7383, 1.0, int_stack+7299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10671,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+6678,int_stack+1134,int_stack+32979, 1.0, int_stack+22134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28281,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32979,int_stack+7683,int_stack+7575, 1.0, int_stack+7467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10839,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+7056,int_stack+32979,int_stack+1134, 1.0, int_stack+22323, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29109,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+8028,int_stack+7881, 1.0, int_stack+7818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10461, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32979,int_stack+8220,int_stack+8028, 1.0, int_stack+7944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10671, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+22134,int_stack+32979,int_stack+1134, 1.0, int_stack+22953, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28281, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+22953,int_stack+8328,int_stack+8220, 1.0, int_stack+8112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10839, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+7560,int_stack+22953,int_stack+32979, 1.0, int_stack+23781, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29109, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+23781,int_stack+8673,int_stack+8526, 1.0, int_stack+8463, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10461, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134,int_stack+8865,int_stack+8673, 1.0, int_stack+8589, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10671, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8064,int_stack+1134,int_stack+23781, 1.0, int_stack+24411, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+28281, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+24411,int_stack+8973,int_stack+8865, 1.0, int_stack+8757, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10839, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8442,int_stack+24411,int_stack+1134, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29109, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+9318,int_stack+9171, 1.0, int_stack+9108, 0.0, zero_stack, 1.0, int_stack+10461, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134,int_stack+9510,int_stack+9318, 1.0, int_stack+9234, 0.0, zero_stack, 1.0, int_stack+10671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+8946,int_stack+1134,int_stack+0, 1.0, int_stack+25617, 0.0, zero_stack, 1.0, int_stack+28281, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+25617,int_stack+9618,int_stack+9510, 1.0, int_stack+9402, 0.0, zero_stack, 1.0, int_stack+10839, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+42069,int_stack+25617,int_stack+1134, 1.0, int_stack+26445, 0.0, zero_stack, 1.0, int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26445,int_stack+9963,int_stack+9816, 1.0, int_stack+9753, 1.0, int_stack+10461, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1134,int_stack+10155,int_stack+9963, 1.0, int_stack+9879, 1.0, int_stack+10671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+9324,int_stack+1134,int_stack+26445, 1.0, int_stack+27075, 1.0, int_stack+28281, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+27075,int_stack+10263,int_stack+10155, 1.0, int_stack+10047, 1.0, int_stack+10839, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+9702,int_stack+27075,int_stack+1134, 1.0, int_stack+252, 1.0, int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+10755,int_stack+10524, 2.0, int_stack+10461, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26445,int_stack+10947,int_stack+10755, 2.0, int_stack+10671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+26445,int_stack+1134, 2.0, int_stack+28281, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28281,int_stack+11055,int_stack+10947, 2.0, int_stack+10839, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10206,int_stack+28281,int_stack+26445, 2.0, int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29109,int_stack+11253,int_stack+11190, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13140,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26445,int_stack+11337,int_stack+11253, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13266,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10710,int_stack+26445,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29739,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28281,int_stack+11445,int_stack+11337, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13434,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+42573,int_stack+28281,int_stack+26445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21315,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26445,int_stack+11643,int_stack+11580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13140, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+11727,int_stack+11643, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13266, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11088,int_stack+29109,int_stack+26445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29739, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28281,int_stack+11835,int_stack+11727, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13434, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11466,int_stack+28281,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21315, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29109,int_stack+12033,int_stack+11970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13140, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26445,int_stack+12117,int_stack+12033, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13266, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+43077,int_stack+26445,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29739, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28281,int_stack+12225,int_stack+12117, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13434, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+43455,int_stack+28281,int_stack+26445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21315, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26445,int_stack+12423,int_stack+12360, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+12507,int_stack+12423, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11970,int_stack+29109,int_stack+26445, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28281,int_stack+12615,int_stack+12507, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+43959,int_stack+28281,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29109,int_stack+12813,int_stack+12750, 0.0, zero_stack, 1.0, int_stack+13140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26445,int_stack+12897,int_stack+12813, 0.0, zero_stack, 1.0, int_stack+13266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+12348,int_stack+26445,int_stack+29109, 0.0, zero_stack, 1.0, int_stack+29739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28281,int_stack+13005,int_stack+12897, 0.0, zero_stack, 1.0, int_stack+13434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+44463,int_stack+28281,int_stack+26445, 0.0, zero_stack, 1.0, int_stack+21315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26445,int_stack+13350,int_stack+13203, 1.0, int_stack+13140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+13542,int_stack+13350, 1.0, int_stack+13266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+12726,int_stack+29109,int_stack+26445, 1.0, int_stack+29739, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29739,int_stack+13650,int_stack+13542, 1.0, int_stack+13434, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+13104,int_stack+29739,int_stack+29109, 1.0, int_stack+21315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+21315,int_stack+13848,int_stack+13785,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+13932,int_stack+13848,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+44967,int_stack+29109,int_stack+21315,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+29739,int_stack+14040,int_stack+13932,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+13608,int_stack+29739,int_stack+29109,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29109,int_stack+14238,int_stack+14175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16125,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+21315,int_stack+14322,int_stack+14238, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16251,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+45345,int_stack+21315,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21567,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29739,int_stack+14430,int_stack+14322, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16419,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+45723,int_stack+29739,int_stack+21315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30567,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21315,int_stack+14628,int_stack+14565, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16125, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+14712,int_stack+14628, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16251, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14112,int_stack+29109,int_stack+21315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21567, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29739,int_stack+14820,int_stack+14712, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16419, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+46227,int_stack+29739,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30567, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29109,int_stack+15018,int_stack+14955, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16125, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+21315,int_stack+15102,int_stack+15018, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16251, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14490,int_stack+21315,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21567, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29739,int_stack+15210,int_stack+15102, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16419, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+46731,int_stack+29739,int_stack+21315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30567, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21315,int_stack+15408,int_stack+15345, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+15492,int_stack+15408, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16251, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+14868,int_stack+29109,int_stack+21315, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29739,int_stack+15600,int_stack+15492, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+47235,int_stack+29739,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+30567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29109,int_stack+15798,int_stack+15735, 0.0, zero_stack, 1.0, int_stack+16125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+21315,int_stack+15882,int_stack+15798, 0.0, zero_stack, 1.0, int_stack+16251, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+15246,int_stack+21315,int_stack+29109, 0.0, zero_stack, 1.0, int_stack+21567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29739,int_stack+15990,int_stack+15882, 0.0, zero_stack, 1.0, int_stack+16419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+47739,int_stack+29739,int_stack+21315, 0.0, zero_stack, 1.0, int_stack+30567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+21315,int_stack+16335,int_stack+16188, 1.0, int_stack+16125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+16527,int_stack+16335, 1.0, int_stack+16251, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+15624,int_stack+29109,int_stack+21315, 1.0, int_stack+21567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+29739,int_stack+16635,int_stack+16527, 1.0, int_stack+16419, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+16002,int_stack+29739,int_stack+29109, 1.0, int_stack+30567, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+30567,int_stack+16833,int_stack+16770,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+16917,int_stack+16833,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+21315,int_stack+29109,int_stack+30567,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+30567,int_stack+17025,int_stack+16917,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+16506,int_stack+30567,int_stack+29109,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+29109,int_stack+17223,int_stack+17160,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+26445,int_stack+17307,int_stack+17223,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+48243,int_stack+26445,int_stack+29109,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+30567,int_stack+17415,int_stack+17307,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+17010,int_stack+30567,int_stack+26445,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26445,int_stack+17613,int_stack+17550, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19500,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+17697,int_stack+17613, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19626,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+48621,int_stack+29109,int_stack+26445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31773,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+30567,int_stack+17805,int_stack+17697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19794,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+48999,int_stack+30567,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+882,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29109,int_stack+18003,int_stack+17940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19500, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26445,int_stack+18087,int_stack+18003, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19626, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+17514,int_stack+26445,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31773, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+30567,int_stack+18195,int_stack+18087, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19794, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+49503,int_stack+30567,int_stack+26445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+882, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26445,int_stack+18393,int_stack+18330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19500, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+18477,int_stack+18393, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19626, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+17892,int_stack+29109,int_stack+26445, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31773, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+30567,int_stack+18585,int_stack+18477, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19794, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+50007,int_stack+30567,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+882, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29109,int_stack+18783,int_stack+18720, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26445,int_stack+18867,int_stack+18783, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+18270,int_stack+26445,int_stack+29109, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+30567,int_stack+18975,int_stack+18867, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19794, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+50511,int_stack+30567,int_stack+26445, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26445,int_stack+19173,int_stack+19110, 0.0, zero_stack, 1.0, int_stack+19500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+19257,int_stack+19173, 0.0, zero_stack, 1.0, int_stack+19626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+18648,int_stack+29109,int_stack+26445, 0.0, zero_stack, 1.0, int_stack+31773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+30567,int_stack+19365,int_stack+19257, 0.0, zero_stack, 1.0, int_stack+19794, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+51015,int_stack+30567,int_stack+29109, 0.0, zero_stack, 1.0, int_stack+882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+29109,int_stack+19710,int_stack+19563, 1.0, int_stack+19500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26445,int_stack+19902,int_stack+19710, 1.0, int_stack+19626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+19026,int_stack+26445,int_stack+29109, 1.0, int_stack+31773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+31773,int_stack+20010,int_stack+19902, 1.0, int_stack+19794, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+19404,int_stack+31773,int_stack+26445, 1.0, int_stack+882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+882,int_stack+20208,int_stack+20145,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+26445,int_stack+20292,int_stack+20208,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+19908,int_stack+26445,int_stack+882,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+31773,int_stack+20400,int_stack+20292,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+882,int_stack+31773,int_stack+26445,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+26445,int_stack+20598,int_stack+20535,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+29109,int_stack+20682,int_stack+20598,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+20286,int_stack+29109,int_stack+26445,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+31773,int_stack+20790,int_stack+20682,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+51519,int_stack+31773,int_stack+29109,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+29109,int_stack+20988,int_stack+20925,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+26445,int_stack+21072,int_stack+20988,3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+20664,int_stack+26445,int_stack+29109,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+31773,int_stack+21180,int_stack+21072,3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+52023,int_stack+31773,int_stack+26445,3);
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+52527,int_stack+23277,int_stack+22575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21756,3);
     Libderiv->ABCD[11] = int_stack + 52527;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+22953,int_stack+24735,int_stack+24033, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21756, 0.0, zero_stack,3);
     Libderiv->ABCD[10] = int_stack + 22953;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+24411,int_stack+25941,int_stack+25239, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21756, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[9] = int_stack + 24411;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+25617,int_stack+27399,int_stack+26697, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[8] = int_stack + 25617;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+27075,int_stack+28605,int_stack+27903, 0.0, zero_stack, 1.0, int_stack+21756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[7] = int_stack + 27075;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+28281,int_stack+30063,int_stack+29361, 1.0, int_stack+21756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[6] = int_stack + 28281;
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+29739,int_stack+30891,int_stack+504,3);
     Libderiv->ABCD[2] = int_stack + 29739;
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+30369,int_stack+32097,int_stack+31395,3);
     Libderiv->ABCD[1] = int_stack + 30369;
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+31773,int_stack+33303,int_stack+32601,3);
     Libderiv->ABCD[0] = int_stack + 31773;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+32979,int_stack+34185,int_stack+33807, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+22575,3);
     Libderiv->ABCD[155] = int_stack + 32979;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+33609,int_stack+34689,int_stack+1386, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22575, 1.0, int_stack+24033,3);
     Libderiv->ABCD[143] = int_stack + 33609;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+34239,int_stack+35517,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+24033, 0.0, zero_stack,3);
     Libderiv->ABCD[142] = int_stack + 34239;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+1386,int_stack+36021,int_stack+2142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22575, 0.0, zero_stack, 1.0, int_stack+25239,3);
     Libderiv->ABCD[131] = int_stack + 1386;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+34869,int_stack+36525,int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24033, 1.0, int_stack+25239, 0.0, zero_stack,3);
     Libderiv->ABCD[130] = int_stack + 34869;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2016,int_stack+37029,int_stack+2898, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+25239, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[129] = int_stack + 2016;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+2646,int_stack+37533,int_stack+3276, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22575, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26697,3);
     Libderiv->ABCD[119] = int_stack + 2646;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+35499,int_stack+38037,int_stack+3654, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+24033, 0.0, zero_stack, 1.0, int_stack+26697, 0.0, zero_stack,3);
     Libderiv->ABCD[118] = int_stack + 35499;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+3276,int_stack+38541,int_stack+4032, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25239, 1.0, int_stack+26697, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[117] = int_stack + 3276;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+36129,int_stack+39045,int_stack+4410, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+26697, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[116] = int_stack + 36129;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+3906,int_stack+39549,int_stack+4788, 0.0, zero_stack, 1.0, int_stack+22575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27903,3);
     Libderiv->ABCD[107] = int_stack + 3906;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+4536,int_stack+40053,int_stack+5166, 0.0, zero_stack, 1.0, int_stack+24033, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27903, 0.0, zero_stack,3);
     Libderiv->ABCD[106] = int_stack + 4536;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+36759,int_stack+40557,int_stack+5544, 0.0, zero_stack, 1.0, int_stack+25239, 0.0, zero_stack, 1.0, int_stack+27903, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[105] = int_stack + 36759;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+5166,int_stack+41061,int_stack+5922, 0.0, zero_stack, 1.0, int_stack+26697, 1.0, int_stack+27903, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[104] = int_stack + 5166;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+37389,int_stack+41565,int_stack+6300, 0.0, zero_stack, 2.0, int_stack+27903, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[103] = int_stack + 37389;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+5796,int_stack+7056,int_stack+6678, 1.0, int_stack+22575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29361,3);
     Libderiv->ABCD[95] = int_stack + 5796;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+6426,int_stack+7560,int_stack+22134, 1.0, int_stack+24033, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29361, 0.0, zero_stack,3);
     Libderiv->ABCD[94] = int_stack + 6426;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+7056,int_stack+8442,int_stack+8064, 1.0, int_stack+25239, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29361, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[93] = int_stack + 7056;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+7686,int_stack+42069,int_stack+8946, 1.0, int_stack+26697, 0.0, zero_stack, 1.0, int_stack+29361, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[92] = int_stack + 7686;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+8316,int_stack+9702,int_stack+9324, 1.0, int_stack+27903, 1.0, int_stack+29361, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[91] = int_stack + 8316;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+8946,int_stack+10206,int_stack+0, 2.0, int_stack+29361, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[90] = int_stack + 8946;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+9576,int_stack+42573,int_stack+10710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+504,3);
     Libderiv->ABCD[47] = int_stack + 9576;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+10206,int_stack+11466,int_stack+11088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+504, 0.0, zero_stack,3);
     Libderiv->ABCD[46] = int_stack + 10206;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+10836,int_stack+43455,int_stack+43077, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+504, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[45] = int_stack + 10836;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+21693,int_stack+43959,int_stack+11970, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[44] = int_stack + 21693;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+22323,int_stack+44463,int_stack+12348, 0.0, zero_stack, 1.0, int_stack+504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[43] = int_stack + 22323;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+11466,int_stack+13104,int_stack+12726, 1.0, int_stack+504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[42] = int_stack + 11466;
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+13608,int_stack+44967,3);
     Libderiv->ABCD[38] = int_stack + 0;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+12096,int_stack+45723,int_stack+45345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31395,3);
     Libderiv->ABCD[35] = int_stack + 12096;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+12726,int_stack+46227,int_stack+14112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31395, 0.0, zero_stack,3);
     Libderiv->ABCD[34] = int_stack + 12726;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+13356,int_stack+46731,int_stack+14490, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31395, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[33] = int_stack + 13356;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+13986,int_stack+47235,int_stack+14868, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[32] = int_stack + 13986;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+14616,int_stack+47739,int_stack+15246, 0.0, zero_stack, 1.0, int_stack+31395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[31] = int_stack + 14616;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+28911,int_stack+16002,int_stack+15624, 1.0, int_stack+31395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[30] = int_stack + 28911;
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+15246,int_stack+16506,int_stack+21315,3);
     Libderiv->ABCD[26] = int_stack + 15246;
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+15876,int_stack+17010,int_stack+48243,3);
     Libderiv->ABCD[25] = int_stack + 15876;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+16506,int_stack+48999,int_stack+48621, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32601,3);
     Libderiv->ABCD[23] = int_stack + 16506;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+30999,int_stack+49503,int_stack+17514, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32601, 0.0, zero_stack,3);
     Libderiv->ABCD[22] = int_stack + 30999;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+17136,int_stack+50007,int_stack+17892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32601, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[21] = int_stack + 17136;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+21042,int_stack+50511,int_stack+18270, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[20] = int_stack + 21042;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+17766,int_stack+51015,int_stack+18648, 0.0, zero_stack, 1.0, int_stack+32601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[19] = int_stack + 17766;
 /*--- compute (p0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+18396,int_stack+19404,int_stack+19026, 1.0, int_stack+32601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[18] = int_stack + 18396;
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+19026,int_stack+882,int_stack+19908,3);
     Libderiv->ABCD[14] = int_stack + 19026;
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+19656,int_stack+51519,int_stack+20286,3);
     Libderiv->ABCD[13] = int_stack + 19656;
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+630,int_stack+52023,int_stack+20664,3);
     Libderiv->ABCD[12] = int_stack + 630;

}
