#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_dpid(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|id) integrals */

void d1hrr_order_dpid(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][6][11] = int_stack + 0;
 Libderiv->deriv_classes[2][7][11] = int_stack + 168;
 Libderiv->deriv_classes[2][8][11] = int_stack + 384;
 Libderiv->deriv_classes[3][6][11] = int_stack + 654;
 Libderiv->deriv_classes[3][7][11] = int_stack + 934;
 Libderiv->deriv_classes[3][8][11] = int_stack + 1294;
 Libderiv->deriv_classes[2][6][10] = int_stack + 1744;
 Libderiv->deriv_classes[2][7][10] = int_stack + 1912;
 Libderiv->deriv_classes[2][8][10] = int_stack + 2128;
 Libderiv->deriv_classes[3][6][10] = int_stack + 2398;
 Libderiv->deriv_classes[3][7][10] = int_stack + 2678;
 Libderiv->deriv_classes[3][8][10] = int_stack + 3038;
 Libderiv->deriv_classes[2][6][9] = int_stack + 3488;
 Libderiv->deriv_classes[2][7][9] = int_stack + 3656;
 Libderiv->deriv_classes[2][8][9] = int_stack + 3872;
 Libderiv->deriv_classes[3][6][9] = int_stack + 4142;
 Libderiv->deriv_classes[3][7][9] = int_stack + 4422;
 Libderiv->deriv_classes[3][8][9] = int_stack + 4782;
 Libderiv->deriv_classes[2][6][8] = int_stack + 5232;
 Libderiv->deriv_classes[2][7][8] = int_stack + 5400;
 Libderiv->deriv_classes[2][8][8] = int_stack + 5616;
 Libderiv->deriv_classes[3][6][8] = int_stack + 5886;
 Libderiv->deriv_classes[3][7][8] = int_stack + 6166;
 Libderiv->deriv_classes[3][8][8] = int_stack + 6526;
 Libderiv->deriv_classes[2][6][7] = int_stack + 6976;
 Libderiv->deriv_classes[2][7][7] = int_stack + 7144;
 Libderiv->deriv_classes[2][8][7] = int_stack + 7360;
 Libderiv->deriv_classes[3][6][7] = int_stack + 7630;
 Libderiv->deriv_classes[3][7][7] = int_stack + 7910;
 Libderiv->deriv_classes[3][8][7] = int_stack + 8270;
 Libderiv->deriv_classes[2][6][6] = int_stack + 8720;
 Libderiv->deriv_classes[2][7][6] = int_stack + 8888;
 Libderiv->deriv_classes[2][8][6] = int_stack + 9104;
 Libderiv->dvrr_classes[3][6] = int_stack + 9374;
 Libderiv->deriv_classes[3][6][6] = int_stack + 9654;
 Libderiv->dvrr_classes[3][7] = int_stack + 9934;
 Libderiv->deriv_classes[3][7][6] = int_stack + 10294;
 Libderiv->deriv_classes[3][8][6] = int_stack + 10654;
 Libderiv->deriv_classes[2][6][2] = int_stack + 11104;
 Libderiv->deriv_classes[2][7][2] = int_stack + 11272;
 Libderiv->deriv_classes[2][8][2] = int_stack + 11488;
 Libderiv->deriv_classes[3][6][2] = int_stack + 11758;
 Libderiv->deriv_classes[3][7][2] = int_stack + 12038;
 Libderiv->deriv_classes[3][8][2] = int_stack + 12398;
 Libderiv->deriv_classes[2][6][1] = int_stack + 12848;
 Libderiv->deriv_classes[2][7][1] = int_stack + 13016;
 Libderiv->deriv_classes[2][8][1] = int_stack + 13232;
 Libderiv->deriv_classes[3][6][1] = int_stack + 13502;
 Libderiv->deriv_classes[3][7][1] = int_stack + 13782;
 Libderiv->deriv_classes[3][8][1] = int_stack + 14142;
 Libderiv->dvrr_classes[2][6] = int_stack + 14592;
 Libderiv->dvrr_classes[2][7] = int_stack + 14760;
 Libderiv->dvrr_classes[2][8] = int_stack + 14976;
 Libderiv->deriv_classes[2][6][0] = int_stack + 15246;
 Libderiv->deriv_classes[2][7][0] = int_stack + 15414;
 Libderiv->deriv_classes[2][8][0] = int_stack + 15630;
 Libderiv->deriv_classes[3][6][0] = int_stack + 15900;
 Libderiv->deriv_classes[3][7][0] = int_stack + 16180;
 Libderiv->deriv_classes[3][8][0] = int_stack + 16540;
 memset(int_stack,0,135920);

 Libderiv->dvrr_stack = int_stack + 34918;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_dpid(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16990,int_stack+14760,int_stack+14592,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+17494,int_stack+168,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14592,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+17998,int_stack+384,int_stack+168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14760,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+18646,int_stack+17998,int_stack+17494, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16990,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+17494,int_stack+9934,int_stack+9374,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19654,int_stack+934,int_stack+654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9374,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+20494,int_stack+1294,int_stack+934, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9934,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+20494,int_stack+19654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17494,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19654,int_stack+1912,int_stack+1744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14592, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+20158,int_stack+2128,int_stack+1912, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14760, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+20806,int_stack+20158,int_stack+19654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16990, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19654,int_stack+2678,int_stack+2398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9374, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+21814,int_stack+3038,int_stack+2678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9934, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1680,int_stack+21814,int_stack+19654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17494, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19654,int_stack+3656,int_stack+3488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14592, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+20158,int_stack+3872,int_stack+3656, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14760, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+21814,int_stack+20158,int_stack+19654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16990, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19654,int_stack+4422,int_stack+4142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9374, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+22822,int_stack+4782,int_stack+4422, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9934, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3360,int_stack+22822,int_stack+19654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17494, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19654,int_stack+5400,int_stack+5232, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+20158,int_stack+5616,int_stack+5400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+22822,int_stack+20158,int_stack+19654, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+16990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19654,int_stack+6166,int_stack+5886, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+5040,int_stack+6526,int_stack+6166, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9934, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+23830,int_stack+5040,int_stack+19654, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+17494, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19654,int_stack+7144,int_stack+6976, 0.0, zero_stack, 1.0, int_stack+14592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+20158,int_stack+7360,int_stack+7144, 0.0, zero_stack, 1.0, int_stack+14760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5040,int_stack+20158,int_stack+19654, 0.0, zero_stack, 1.0, int_stack+16990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19654,int_stack+7910,int_stack+7630, 0.0, zero_stack, 1.0, int_stack+9374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+6048,int_stack+8270,int_stack+7910, 0.0, zero_stack, 1.0, int_stack+9934, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+25510,int_stack+6048,int_stack+19654, 0.0, zero_stack, 1.0, int_stack+17494, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19654,int_stack+8888,int_stack+8720, 1.0, int_stack+14592, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+20158,int_stack+9104,int_stack+8888, 1.0, int_stack+14760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+6048,int_stack+20158,int_stack+19654, 1.0, int_stack+16990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+19654,int_stack+10294,int_stack+9654, 1.0, int_stack+9374, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7056,int_stack+10654,int_stack+10294, 1.0, int_stack+9934, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+8136,int_stack+7056,int_stack+19654, 1.0, int_stack+17494, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+17494,int_stack+14976,int_stack+14760,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+19654,int_stack+17494,int_stack+16990,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16990,int_stack+11272,int_stack+11104,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+17494,int_stack+11488,int_stack+11272,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7056,int_stack+17494,int_stack+16990,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16990,int_stack+12038,int_stack+11758,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+9816,int_stack+12398,int_stack+12038,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+10896,int_stack+9816,int_stack+16990,10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16990,int_stack+13016,int_stack+12848,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+17494,int_stack+13232,int_stack+13016,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+9816,int_stack+17494,int_stack+16990,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16990,int_stack+13782,int_stack+13502,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+12576,int_stack+14142,int_stack+13782,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+27190,int_stack+12576,int_stack+16990,10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16990,int_stack+15414,int_stack+15246,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+17494,int_stack+15630,int_stack+15414,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+12576,int_stack+17494,int_stack+16990,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+16990,int_stack+16180,int_stack+15900,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+13584,int_stack+16540,int_stack+16180,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+14664,int_stack+13584,int_stack+16990,10);
 /*--- compute (dp|id) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+28870,int_stack+0,int_stack+18646,168);
     Libderiv->ABCD[11] = int_stack + 28870;
 /*--- compute (dp|id) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+16344,int_stack+1680,int_stack+20806,168);
     Libderiv->ABCD[10] = int_stack + 16344;
 /*--- compute (dp|id) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+0,int_stack+3360,int_stack+21814,168);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (dp|id) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+31894,int_stack+23830,int_stack+22822,168);
     Libderiv->ABCD[8] = int_stack + 31894;
 /*--- compute (dp|id) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+20662,int_stack+25510,int_stack+5040,168);
     Libderiv->ABCD[7] = int_stack + 20662;
 /*--- compute (dp|id) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+3024,int_stack+8136,int_stack+6048,168);
     Libderiv->ABCD[6] = int_stack + 3024;
 /*--- compute (dp|id) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+23686,int_stack+10896,int_stack+7056, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+19654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[2] = int_stack + 23686;
 /*--- compute (dp|id) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+6048,int_stack+27190,int_stack+9816, 0.0, zero_stack, 1.0, int_stack+19654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[1] = int_stack + 6048;
 /*--- compute (dp|id) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+9072,int_stack+14664,int_stack+12576, 1.0, int_stack+19654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[0] = int_stack + 9072;

}
