#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_gdip(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gd|ip) integrals */

void d1hrr_order_gdip(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][6][11] = int_stack + 0;
 Libderiv->deriv_classes[4][7][11] = int_stack + 420;
 Libderiv->deriv_classes[5][6][11] = int_stack + 960;
 Libderiv->deriv_classes[5][7][11] = int_stack + 1548;
 Libderiv->deriv_classes[6][6][11] = int_stack + 2304;
 Libderiv->deriv_classes[6][7][11] = int_stack + 3088;
 Libderiv->deriv_classes[4][6][10] = int_stack + 4096;
 Libderiv->deriv_classes[4][7][10] = int_stack + 4516;
 Libderiv->deriv_classes[5][6][10] = int_stack + 5056;
 Libderiv->deriv_classes[5][7][10] = int_stack + 5644;
 Libderiv->deriv_classes[6][6][10] = int_stack + 6400;
 Libderiv->deriv_classes[6][7][10] = int_stack + 7184;
 Libderiv->deriv_classes[4][6][9] = int_stack + 8192;
 Libderiv->deriv_classes[4][7][9] = int_stack + 8612;
 Libderiv->deriv_classes[5][6][9] = int_stack + 9152;
 Libderiv->deriv_classes[5][7][9] = int_stack + 9740;
 Libderiv->deriv_classes[6][6][9] = int_stack + 10496;
 Libderiv->deriv_classes[6][7][9] = int_stack + 11280;
 Libderiv->deriv_classes[4][6][8] = int_stack + 12288;
 Libderiv->deriv_classes[4][7][8] = int_stack + 12708;
 Libderiv->deriv_classes[5][6][8] = int_stack + 13248;
 Libderiv->deriv_classes[5][7][8] = int_stack + 13836;
 Libderiv->deriv_classes[6][6][8] = int_stack + 14592;
 Libderiv->deriv_classes[6][7][8] = int_stack + 15376;
 Libderiv->deriv_classes[4][6][7] = int_stack + 16384;
 Libderiv->deriv_classes[4][7][7] = int_stack + 16804;
 Libderiv->deriv_classes[5][6][7] = int_stack + 17344;
 Libderiv->deriv_classes[5][7][7] = int_stack + 17932;
 Libderiv->deriv_classes[6][6][7] = int_stack + 18688;
 Libderiv->deriv_classes[6][7][7] = int_stack + 19472;
 Libderiv->deriv_classes[4][6][6] = int_stack + 20480;
 Libderiv->deriv_classes[4][7][6] = int_stack + 20900;
 Libderiv->deriv_classes[5][6][6] = int_stack + 21440;
 Libderiv->deriv_classes[5][7][6] = int_stack + 22028;
 Libderiv->dvrr_classes[6][6] = int_stack + 22784;
 Libderiv->deriv_classes[6][6][6] = int_stack + 23568;
 Libderiv->deriv_classes[6][7][6] = int_stack + 24352;
 Libderiv->deriv_classes[4][6][2] = int_stack + 25360;
 Libderiv->deriv_classes[4][7][2] = int_stack + 25780;
 Libderiv->deriv_classes[5][6][2] = int_stack + 26320;
 Libderiv->deriv_classes[5][7][2] = int_stack + 26908;
 Libderiv->deriv_classes[6][6][2] = int_stack + 27664;
 Libderiv->deriv_classes[6][7][2] = int_stack + 28448;
 Libderiv->deriv_classes[4][6][1] = int_stack + 29456;
 Libderiv->deriv_classes[4][7][1] = int_stack + 29876;
 Libderiv->deriv_classes[5][6][1] = int_stack + 30416;
 Libderiv->deriv_classes[5][7][1] = int_stack + 31004;
 Libderiv->deriv_classes[6][6][1] = int_stack + 31760;
 Libderiv->deriv_classes[6][7][1] = int_stack + 32544;
 Libderiv->dvrr_classes[4][6] = int_stack + 33552;
 Libderiv->dvrr_classes[4][7] = int_stack + 33972;
 Libderiv->deriv_classes[4][6][0] = int_stack + 34512;
 Libderiv->deriv_classes[4][7][0] = int_stack + 34932;
 Libderiv->dvrr_classes[5][6] = int_stack + 35472;
 Libderiv->dvrr_classes[5][7] = int_stack + 36060;
 Libderiv->deriv_classes[5][6][0] = int_stack + 36816;
 Libderiv->deriv_classes[5][7][0] = int_stack + 37404;
 Libderiv->deriv_classes[6][6][0] = int_stack + 38160;
 Libderiv->deriv_classes[6][7][0] = int_stack + 38944;
 memset(int_stack,0,319616);

 Libderiv->dvrr_stack = int_stack + 101272;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_gdip(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+39952,int_stack+420,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33552,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+41212,int_stack+1548,int_stack+960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35472,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+42976,int_stack+41212,int_stack+39952,84);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+3088,int_stack+2304, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22784,28);
 /*--- compute (hp|ip) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+49108,int_stack+46756,int_stack+41212,84);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+4516,int_stack+4096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33552, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+39952,int_stack+5644,int_stack+5056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35472, 0.0, zero_stack,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+0,int_stack+39952,int_stack+46756,84);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+7184,int_stack+6400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22784, 0.0, zero_stack,28);
 /*--- compute (hp|ip) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+54400,int_stack+46756,int_stack+39952,84);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+39952,int_stack+8612,int_stack+8192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33552, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+41212,int_stack+9740,int_stack+9152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35472, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+3780,int_stack+41212,int_stack+39952,84);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+11280,int_stack+10496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22784, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|ip) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+59692,int_stack+46756,int_stack+41212,84);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+12708,int_stack+12288, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+39952,int_stack+13836,int_stack+13248, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+7560,int_stack+39952,int_stack+46756,84);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+15376,int_stack+14592, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|ip) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+64984,int_stack+46756,int_stack+39952,84);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+39952,int_stack+16804,int_stack+16384, 0.0, zero_stack, 1.0, int_stack+33552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+41212,int_stack+17932,int_stack+17344, 0.0, zero_stack, 1.0, int_stack+35472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+11340,int_stack+41212,int_stack+39952,84);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+19472,int_stack+18688, 0.0, zero_stack, 1.0, int_stack+22784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|ip) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+15120,int_stack+46756,int_stack+41212,84);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+20900,int_stack+20480, 1.0, int_stack+33552, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+39952,int_stack+22028,int_stack+21440, 1.0, int_stack+35472, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+70276,int_stack+39952,int_stack+46756,84);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+24352,int_stack+23568, 1.0, int_stack+22784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|ip) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+74056,int_stack+46756,int_stack+39952,84);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+39952,int_stack+33972,int_stack+33552,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+41212,int_stack+36060,int_stack+35472,21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+20412,int_stack+41212,int_stack+39952,84);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+35472,int_stack+25780,int_stack+25360,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+26908,int_stack+26320,21);
 /*--- compute (gp|ip) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+79348,int_stack+46756,int_stack+35472, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+39952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+24192,int_stack+28448,int_stack+27664,28);
 /*--- compute (hp|ip) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+83128,int_stack+24192,int_stack+46756, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+41212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+29876,int_stack+29456,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+24192,int_stack+31004,int_stack+30416,21);
 /*--- compute (gp|ip) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+25956,int_stack+24192,int_stack+46756, 0.0, zero_stack, 1.0, int_stack+39952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+32544,int_stack+31760,28);
 /*--- compute (hp|ip) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+88420,int_stack+46756,int_stack+24192, 0.0, zero_stack, 1.0, int_stack+41212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+24192,int_stack+34932,int_stack+34512,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+46756,int_stack+37404,int_stack+36816,21);
 /*--- compute (gp|ip) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+29736,int_stack+46756,int_stack+24192, 1.0, int_stack+39952, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+33516,int_stack+38944,int_stack+38160,28);
 /*--- compute (hp|ip) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+35868,int_stack+33516,int_stack+46756, 1.0, int_stack+41212, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
 /*--- compute (gd|ip) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+93712,int_stack+49108,int_stack+42976,84);
     Libderiv->ABCD[11] = int_stack + 93712;
 /*--- compute (gd|ip) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+41160,int_stack+54400,int_stack+0,84);
     Libderiv->ABCD[10] = int_stack + 41160;
 /*--- compute (gd|ip) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+48720,int_stack+59692,int_stack+3780,84);
     Libderiv->ABCD[9] = int_stack + 48720;
 /*--- compute (gd|ip) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+0,int_stack+64984,int_stack+7560,84);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (gd|ip) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+56280,int_stack+15120,int_stack+11340,84);
     Libderiv->ABCD[7] = int_stack + 56280;
 /*--- compute (gd|ip) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+7560,int_stack+74056,int_stack+70276,84);
     Libderiv->ABCD[6] = int_stack + 7560;
 /*--- compute (gd|ip) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+63840,int_stack+83128,int_stack+79348, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+20412, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[2] = int_stack + 63840;
 /*--- compute (gd|ip) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+71400,int_stack+88420,int_stack+25956, 0.0, zero_stack, 1.0, int_stack+20412, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[1] = int_stack + 71400;
 /*--- compute (gd|ip) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+78960,int_stack+35868,int_stack+29736, 1.0, int_stack+20412, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,84);
     Libderiv->ABCD[0] = int_stack + 78960;

}
