#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_gfid(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gf|id) integrals */

void d1hrr_order_gfid(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][6][11] = int_stack + 0;
 Libderiv->deriv_classes[4][7][11] = int_stack + 420;
 Libderiv->deriv_classes[4][8][11] = int_stack + 960;
 Libderiv->deriv_classes[5][6][11] = int_stack + 1635;
 Libderiv->deriv_classes[5][7][11] = int_stack + 2223;
 Libderiv->deriv_classes[5][8][11] = int_stack + 2979;
 Libderiv->deriv_classes[6][6][11] = int_stack + 3924;
 Libderiv->deriv_classes[6][7][11] = int_stack + 4708;
 Libderiv->deriv_classes[6][8][11] = int_stack + 5716;
 Libderiv->deriv_classes[7][6][11] = int_stack + 6976;
 Libderiv->deriv_classes[7][7][11] = int_stack + 7984;
 Libderiv->deriv_classes[7][8][11] = int_stack + 9280;
 Libderiv->deriv_classes[4][6][10] = int_stack + 10900;
 Libderiv->deriv_classes[4][7][10] = int_stack + 11320;
 Libderiv->deriv_classes[4][8][10] = int_stack + 11860;
 Libderiv->deriv_classes[5][6][10] = int_stack + 12535;
 Libderiv->deriv_classes[5][7][10] = int_stack + 13123;
 Libderiv->deriv_classes[5][8][10] = int_stack + 13879;
 Libderiv->deriv_classes[6][6][10] = int_stack + 14824;
 Libderiv->deriv_classes[6][7][10] = int_stack + 15608;
 Libderiv->deriv_classes[6][8][10] = int_stack + 16616;
 Libderiv->deriv_classes[7][6][10] = int_stack + 17876;
 Libderiv->deriv_classes[7][7][10] = int_stack + 18884;
 Libderiv->deriv_classes[7][8][10] = int_stack + 20180;
 Libderiv->deriv_classes[4][6][9] = int_stack + 21800;
 Libderiv->deriv_classes[4][7][9] = int_stack + 22220;
 Libderiv->deriv_classes[4][8][9] = int_stack + 22760;
 Libderiv->deriv_classes[5][6][9] = int_stack + 23435;
 Libderiv->deriv_classes[5][7][9] = int_stack + 24023;
 Libderiv->deriv_classes[5][8][9] = int_stack + 24779;
 Libderiv->deriv_classes[6][6][9] = int_stack + 25724;
 Libderiv->deriv_classes[6][7][9] = int_stack + 26508;
 Libderiv->deriv_classes[6][8][9] = int_stack + 27516;
 Libderiv->deriv_classes[7][6][9] = int_stack + 28776;
 Libderiv->deriv_classes[7][7][9] = int_stack + 29784;
 Libderiv->deriv_classes[7][8][9] = int_stack + 31080;
 Libderiv->deriv_classes[4][6][8] = int_stack + 32700;
 Libderiv->deriv_classes[4][7][8] = int_stack + 33120;
 Libderiv->deriv_classes[4][8][8] = int_stack + 33660;
 Libderiv->deriv_classes[5][6][8] = int_stack + 34335;
 Libderiv->deriv_classes[5][7][8] = int_stack + 34923;
 Libderiv->deriv_classes[5][8][8] = int_stack + 35679;
 Libderiv->deriv_classes[6][6][8] = int_stack + 36624;
 Libderiv->deriv_classes[6][7][8] = int_stack + 37408;
 Libderiv->deriv_classes[6][8][8] = int_stack + 38416;
 Libderiv->deriv_classes[7][6][8] = int_stack + 39676;
 Libderiv->deriv_classes[7][7][8] = int_stack + 40684;
 Libderiv->deriv_classes[7][8][8] = int_stack + 41980;
 Libderiv->deriv_classes[4][6][7] = int_stack + 43600;
 Libderiv->deriv_classes[4][7][7] = int_stack + 44020;
 Libderiv->deriv_classes[4][8][7] = int_stack + 44560;
 Libderiv->deriv_classes[5][6][7] = int_stack + 45235;
 Libderiv->deriv_classes[5][7][7] = int_stack + 45823;
 Libderiv->deriv_classes[5][8][7] = int_stack + 46579;
 Libderiv->deriv_classes[6][6][7] = int_stack + 47524;
 Libderiv->deriv_classes[6][7][7] = int_stack + 48308;
 Libderiv->deriv_classes[6][8][7] = int_stack + 49316;
 Libderiv->deriv_classes[7][6][7] = int_stack + 50576;
 Libderiv->deriv_classes[7][7][7] = int_stack + 51584;
 Libderiv->deriv_classes[7][8][7] = int_stack + 52880;
 Libderiv->deriv_classes[4][6][6] = int_stack + 54500;
 Libderiv->deriv_classes[4][7][6] = int_stack + 54920;
 Libderiv->deriv_classes[4][8][6] = int_stack + 55460;
 Libderiv->deriv_classes[5][6][6] = int_stack + 56135;
 Libderiv->deriv_classes[5][7][6] = int_stack + 56723;
 Libderiv->deriv_classes[5][8][6] = int_stack + 57479;
 Libderiv->deriv_classes[6][6][6] = int_stack + 58424;
 Libderiv->deriv_classes[6][7][6] = int_stack + 59208;
 Libderiv->deriv_classes[6][8][6] = int_stack + 60216;
 Libderiv->dvrr_classes[7][6] = int_stack + 61476;
 Libderiv->deriv_classes[7][6][6] = int_stack + 62484;
 Libderiv->dvrr_classes[7][7] = int_stack + 63492;
 Libderiv->deriv_classes[7][7][6] = int_stack + 64788;
 Libderiv->deriv_classes[7][8][6] = int_stack + 66084;
 Libderiv->deriv_classes[4][6][2] = int_stack + 67704;
 Libderiv->deriv_classes[4][7][2] = int_stack + 68124;
 Libderiv->deriv_classes[4][8][2] = int_stack + 68664;
 Libderiv->deriv_classes[5][6][2] = int_stack + 69339;
 Libderiv->deriv_classes[5][7][2] = int_stack + 69927;
 Libderiv->deriv_classes[5][8][2] = int_stack + 70683;
 Libderiv->deriv_classes[6][6][2] = int_stack + 71628;
 Libderiv->deriv_classes[6][7][2] = int_stack + 72412;
 Libderiv->deriv_classes[6][8][2] = int_stack + 73420;
 Libderiv->deriv_classes[7][6][2] = int_stack + 74680;
 Libderiv->deriv_classes[7][7][2] = int_stack + 75688;
 Libderiv->deriv_classes[7][8][2] = int_stack + 76984;
 Libderiv->deriv_classes[4][6][1] = int_stack + 78604;
 Libderiv->deriv_classes[4][7][1] = int_stack + 79024;
 Libderiv->deriv_classes[4][8][1] = int_stack + 79564;
 Libderiv->deriv_classes[5][6][1] = int_stack + 80239;
 Libderiv->deriv_classes[5][7][1] = int_stack + 80827;
 Libderiv->deriv_classes[5][8][1] = int_stack + 81583;
 Libderiv->deriv_classes[6][6][1] = int_stack + 82528;
 Libderiv->deriv_classes[6][7][1] = int_stack + 83312;
 Libderiv->deriv_classes[6][8][1] = int_stack + 84320;
 Libderiv->deriv_classes[7][6][1] = int_stack + 85580;
 Libderiv->deriv_classes[7][7][1] = int_stack + 86588;
 Libderiv->deriv_classes[7][8][1] = int_stack + 87884;
 Libderiv->dvrr_classes[4][6] = int_stack + 89504;
 Libderiv->dvrr_classes[4][7] = int_stack + 89924;
 Libderiv->dvrr_classes[4][8] = int_stack + 90464;
 Libderiv->deriv_classes[4][6][0] = int_stack + 91139;
 Libderiv->deriv_classes[4][7][0] = int_stack + 91559;
 Libderiv->deriv_classes[4][8][0] = int_stack + 92099;
 Libderiv->dvrr_classes[5][6] = int_stack + 92774;
 Libderiv->dvrr_classes[5][7] = int_stack + 93362;
 Libderiv->dvrr_classes[5][8] = int_stack + 94118;
 Libderiv->deriv_classes[5][6][0] = int_stack + 95063;
 Libderiv->deriv_classes[5][7][0] = int_stack + 95651;
 Libderiv->deriv_classes[5][8][0] = int_stack + 96407;
 Libderiv->dvrr_classes[6][6] = int_stack + 97352;
 Libderiv->dvrr_classes[6][7] = int_stack + 98136;
 Libderiv->dvrr_classes[6][8] = int_stack + 99144;
 Libderiv->deriv_classes[6][6][0] = int_stack + 100404;
 Libderiv->deriv_classes[6][7][0] = int_stack + 101188;
 Libderiv->deriv_classes[6][8][0] = int_stack + 102196;
 Libderiv->deriv_classes[7][6][0] = int_stack + 103456;
 Libderiv->deriv_classes[7][7][0] = int_stack + 104464;
 Libderiv->deriv_classes[7][8][0] = int_stack + 105760;
 memset(int_stack,0,859040);

 Libderiv->dvrr_stack = int_stack + 453232;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_gfid(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+107380,int_stack+89924,int_stack+89504,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+108640,int_stack+420,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89504,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+109900,int_stack+960,int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89924,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+111520,int_stack+109900,int_stack+108640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107380,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+108640,int_stack+93362,int_stack+92774,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+114040,int_stack+2223,int_stack+1635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92774,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+115804,int_stack+2979,int_stack+2223, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93362,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+115804,int_stack+114040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108640,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+114040,int_stack+0,int_stack+111520,168);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+110404,int_stack+98136,int_stack+97352,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+121600,int_stack+4708,int_stack+3924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97352,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+123952,int_stack+5716,int_stack+4708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98136,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+126976,int_stack+123952,int_stack+121600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110404,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+131680,int_stack+126976,int_stack+0,168);
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+142264,int_stack+131680,int_stack+114040,168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+63492,int_stack+61476,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3024,int_stack+7984,int_stack+6976, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61476,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+112756,int_stack+9280,int_stack+7984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63492,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+116644,int_stack+112756,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+157384,int_stack+116644,int_stack+126976,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+171496,int_stack+157384,int_stack+131680,168);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157384,int_stack+11320,int_stack+10900, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89504, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+158644,int_stack+11860,int_stack+11320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89924, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+160264,int_stack+158644,int_stack+157384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107380, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157384,int_stack+13123,int_stack+12535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92774, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+162784,int_stack+13879,int_stack+13123, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93362, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+165052,int_stack+162784,int_stack+157384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108640, 0.0, zero_stack,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+3024,int_stack+165052,int_stack+160264,168);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157384,int_stack+15608,int_stack+14824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97352, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+159736,int_stack+16616,int_stack+15608, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98136, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10584,int_stack+159736,int_stack+157384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110404, 0.0, zero_stack,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+112756,int_stack+10584,int_stack+165052,168);
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+123340,int_stack+112756,int_stack+3024,168);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3024,int_stack+18884,int_stack+17876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61476, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+6048,int_stack+20180,int_stack+18884, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63492, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+157384,int_stack+6048,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+192664,int_stack+157384,int_stack+10584,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+206776,int_stack+192664,int_stack+112756,168);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112756,int_stack+22220,int_stack+21800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89504, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+114016,int_stack+22760,int_stack+22220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89924, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+115636,int_stack+114016,int_stack+112756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107380, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112756,int_stack+24023,int_stack+23435, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92774, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+118156,int_stack+24779,int_stack+24023, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93362, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+192664,int_stack+118156,int_stack+112756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108640, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+196192,int_stack+192664,int_stack+115636,168);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112756,int_stack+26508,int_stack+25724, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97352, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+203752,int_stack+27516,int_stack+26508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98136, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+115108,int_stack+203752,int_stack+112756, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110404, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+157384,int_stack+115108,int_stack+192664,168);
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+3024,int_stack+157384,int_stack+196192,168);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+192664,int_stack+29784,int_stack+28776, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61476, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+195688,int_stack+31080,int_stack+29784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63492, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+199576,int_stack+195688,int_stack+192664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+18144,int_stack+199576,int_stack+115108,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+227944,int_stack+18144,int_stack+157384,168);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157384,int_stack+33120,int_stack+32700, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+158644,int_stack+33660,int_stack+33120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+160264,int_stack+158644,int_stack+157384, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+107380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157384,int_stack+34923,int_stack+34335, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+162784,int_stack+35679,int_stack+34923, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+165052,int_stack+162784,int_stack+157384, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+108640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+18144,int_stack+165052,int_stack+160264,168);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157384,int_stack+37408,int_stack+36624, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+159736,int_stack+38416,int_stack+37408, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+98136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+25704,int_stack+159736,int_stack+157384, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+110404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+112756,int_stack+25704,int_stack+165052,168);
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+249112,int_stack+112756,int_stack+18144,168);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+18144,int_stack+40684,int_stack+39676, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+21168,int_stack+41980,int_stack+40684, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+157384,int_stack+21168,int_stack+18144, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+192664,int_stack+157384,int_stack+25704,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+18144,int_stack+192664,int_stack+112756,168);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112756,int_stack+44020,int_stack+43600, 0.0, zero_stack, 1.0, int_stack+89504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+114016,int_stack+44560,int_stack+44020, 0.0, zero_stack, 1.0, int_stack+89924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+115636,int_stack+114016,int_stack+112756, 0.0, zero_stack, 1.0, int_stack+107380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112756,int_stack+45823,int_stack+45235, 0.0, zero_stack, 1.0, int_stack+92774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+118156,int_stack+46579,int_stack+45823, 0.0, zero_stack, 1.0, int_stack+93362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+192664,int_stack+118156,int_stack+112756, 0.0, zero_stack, 1.0, int_stack+108640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+196192,int_stack+192664,int_stack+115636,168);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+112756,int_stack+48308,int_stack+47524, 0.0, zero_stack, 1.0, int_stack+97352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+203752,int_stack+49316,int_stack+48308, 0.0, zero_stack, 1.0, int_stack+98136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+115108,int_stack+203752,int_stack+112756, 0.0, zero_stack, 1.0, int_stack+110404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+157384,int_stack+115108,int_stack+192664,168);
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+264232,int_stack+157384,int_stack+196192,168);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+192664,int_stack+51584,int_stack+50576, 0.0, zero_stack, 1.0, int_stack+61476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+195688,int_stack+52880,int_stack+51584, 0.0, zero_stack, 1.0, int_stack+63492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+199576,int_stack+195688,int_stack+192664, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+39312,int_stack+199576,int_stack+115108,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+279352,int_stack+39312,int_stack+157384,168);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157384,int_stack+54920,int_stack+54500, 1.0, int_stack+89504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+158644,int_stack+55460,int_stack+54920, 1.0, int_stack+89924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+160264,int_stack+158644,int_stack+157384, 1.0, int_stack+107380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157384,int_stack+56723,int_stack+56135, 1.0, int_stack+92774, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+162784,int_stack+57479,int_stack+56723, 1.0, int_stack+93362, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+165052,int_stack+162784,int_stack+157384, 1.0, int_stack+108640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+39312,int_stack+165052,int_stack+160264,168);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+157384,int_stack+59208,int_stack+58424, 1.0, int_stack+97352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+159736,int_stack+60216,int_stack+59208, 1.0, int_stack+98136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+46872,int_stack+159736,int_stack+157384, 1.0, int_stack+110404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+112756,int_stack+46872,int_stack+165052,168);
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+300520,int_stack+112756,int_stack+39312,168);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+39312,int_stack+64788,int_stack+62484, 1.0, int_stack+61476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+42336,int_stack+66084,int_stack+64788, 1.0, int_stack+63492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+157384,int_stack+42336,int_stack+39312, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+192664,int_stack+157384,int_stack+46872,168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+39312,int_stack+192664,int_stack+112756,168);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+112756,int_stack+90464,int_stack+89924,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+114376,int_stack+112756,int_stack+107380,15);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+116896,int_stack+94118,int_stack+93362,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+119164,int_stack+116896,int_stack+108640,21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+192664,int_stack+119164,int_stack+114376,168);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+107380,int_stack+99144,int_stack+98136,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+200224,int_stack+107380,int_stack+110404,28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+157384,int_stack+200224,int_stack+119164,168);
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libderiv->AB,int_stack+315640,int_stack+157384,int_stack+192664,168);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+107380,int_stack+68124,int_stack+67704,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+108640,int_stack+68664,int_stack+68124,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+110260,int_stack+108640,int_stack+107380,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+107380,int_stack+69927,int_stack+69339,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+116896,int_stack+70683,int_stack+69927,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+167968,int_stack+116896,int_stack+107380,21);
 /*--- compute (gp|id) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+60480,int_stack+167968,int_stack+110260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+114376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+107380,int_stack+72412,int_stack+71628,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+73420,int_stack+72412,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+68040,int_stack+0,int_stack+107380,28);
 /*--- compute (hp|id) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+330760,int_stack+68040,int_stack+167968, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+119164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (gd|id) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+341344,int_stack+330760,int_stack+60480, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+75688,int_stack+74680,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+60480,int_stack+76984,int_stack+75688,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+107380,int_stack+60480,int_stack+0,36);
 /*--- compute (ip|id) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+356464,int_stack+107380,int_stack+68040, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (hd|id) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+370576,int_stack+356464,int_stack+330760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+157384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+330760,int_stack+79024,int_stack+78604,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+332020,int_stack+79564,int_stack+79024,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+333640,int_stack+332020,int_stack+330760,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+330760,int_stack+80827,int_stack+80239,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+116896,int_stack+81583,int_stack+80827,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+167968,int_stack+116896,int_stack+330760,21);
 /*--- compute (gp|id) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+356464,int_stack+167968,int_stack+333640, 0.0, zero_stack, 1.0, int_stack+114376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+330760,int_stack+83312,int_stack+82528,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+84320,int_stack+83312,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+333112,int_stack+0,int_stack+330760,28);
 /*--- compute (hp|id) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+60480,int_stack+333112,int_stack+167968, 0.0, zero_stack, 1.0, int_stack+119164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (gd|id) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+391744,int_stack+60480,int_stack+356464, 0.0, zero_stack, 1.0, int_stack+192664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+86588,int_stack+85580,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+356464,int_stack+87884,int_stack+86588,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+360352,int_stack+356464,int_stack+0,36);
 /*--- compute (ip|id) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+71064,int_stack+360352,int_stack+333112, 0.0, zero_stack, 1.0, int_stack+200224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (hd|id) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+406864,int_stack+71064,int_stack+60480, 0.0, zero_stack, 1.0, int_stack+157384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+60480,int_stack+91559,int_stack+91139,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+61740,int_stack+92099,int_stack+91559,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+63360,int_stack+61740,int_stack+60480,15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+60480,int_stack+95651,int_stack+95063,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+116896,int_stack+96407,int_stack+95651,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+167968,int_stack+116896,int_stack+60480,21);
 /*--- compute (gp|id) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+65880,int_stack+167968,int_stack+63360, 1.0, int_stack+114376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+60480,int_stack+101188,int_stack+100404,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+102196,int_stack+101188,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+73440,int_stack+0,int_stack+60480,28);
 /*--- compute (hp|id) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+330760,int_stack+73440,int_stack+167968, 1.0, int_stack+119164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (gd|id) ---*/
   d1hrr1_build_gd(Libderiv->AB,int_stack+78144,int_stack+330760,int_stack+65880, 1.0, int_stack+192664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+104464,int_stack+103456,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+192664,int_stack+105760,int_stack+104464,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+60480,int_stack+192664,int_stack+0,36);
 /*--- compute (ip|id) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+356464,int_stack+60480,int_stack+73440, 1.0, int_stack+200224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (hd|id) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+93264,int_stack+356464,int_stack+330760, 1.0, int_stack+157384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
 /*--- compute (gf|id) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+428032,int_stack+171496,int_stack+142264,168);
     Libderiv->ABCD[11] = int_stack + 428032;
 /*--- compute (gf|id) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+138460,int_stack+206776,int_stack+123340,168);
     Libderiv->ABCD[10] = int_stack + 138460;
 /*--- compute (gf|id) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+163660,int_stack+227944,int_stack+3024,168);
     Libderiv->ABCD[9] = int_stack + 163660;
 /*--- compute (gf|id) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+188860,int_stack+18144,int_stack+249112,168);
     Libderiv->ABCD[8] = int_stack + 188860;
 /*--- compute (gf|id) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+0,int_stack+279352,int_stack+264232,168);
     Libderiv->ABCD[7] = int_stack + 0;
 /*--- compute (gf|id) ---*/
   hrr1_build_gf(Libderiv->AB,int_stack+214060,int_stack+39312,int_stack+300520,168);
     Libderiv->ABCD[6] = int_stack + 214060;
 /*--- compute (gf|id) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+25200,int_stack+370576,int_stack+341344, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+315640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[2] = int_stack + 25200;
 /*--- compute (gf|id) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+330760,int_stack+406864,int_stack+391744, 0.0, zero_stack, 1.0, int_stack+315640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[1] = int_stack + 330760;
 /*--- compute (gf|id) ---*/
   d1hrr1_build_gf(Libderiv->AB,int_stack+355960,int_stack+93264,int_stack+78144, 1.0, int_stack+315640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[0] = int_stack + 355960;

}
