#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_h0ip(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|ip) integrals */

void d1hrr_order_h0ip(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][6][11] = int_stack + 0;
 Libderiv->deriv_classes[5][7][11] = int_stack + 588;
 Libderiv->deriv_classes[5][6][10] = int_stack + 1344;
 Libderiv->deriv_classes[5][7][10] = int_stack + 1932;
 Libderiv->deriv_classes[5][6][9] = int_stack + 2688;
 Libderiv->deriv_classes[5][7][9] = int_stack + 3276;
 Libderiv->deriv_classes[5][6][8] = int_stack + 4032;
 Libderiv->deriv_classes[5][7][8] = int_stack + 4620;
 Libderiv->deriv_classes[5][6][7] = int_stack + 5376;
 Libderiv->deriv_classes[5][7][7] = int_stack + 5964;
 Libderiv->dvrr_classes[5][6] = int_stack + 6720;
 Libderiv->deriv_classes[5][6][6] = int_stack + 7308;
 Libderiv->deriv_classes[5][7][6] = int_stack + 7896;
 Libderiv->deriv_classes[5][6][2] = int_stack + 8652;
 Libderiv->deriv_classes[5][7][2] = int_stack + 9240;
 Libderiv->deriv_classes[5][6][1] = int_stack + 9996;
 Libderiv->deriv_classes[5][7][1] = int_stack + 10584;
 Libderiv->deriv_classes[5][6][0] = int_stack + 11340;
 Libderiv->deriv_classes[5][7][0] = int_stack + 11928;
 memset(int_stack,0,101472);

 Libderiv->dvrr_stack = int_stack + 17976;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_h0ip(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+12684,int_stack+588,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6720,21);
     Libderiv->ABCD[11] = int_stack + 12684;
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+14448,int_stack+1932,int_stack+1344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6720, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 14448;
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+3276,int_stack+2688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6720, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+4620,int_stack+4032, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 1764;
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3528,int_stack+5964,int_stack+5376, 0.0, zero_stack, 1.0, int_stack+6720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 3528;
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+16212,int_stack+7896,int_stack+7308, 1.0, int_stack+6720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 16212;
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+5292,int_stack+9240,int_stack+8652,21);
     Libderiv->ABCD[2] = int_stack + 5292;
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+7056,int_stack+10584,int_stack+9996,21);
     Libderiv->ABCD[1] = int_stack + 7056;
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+8820,int_stack+11928,int_stack+11340,21);
     Libderiv->ABCD[0] = int_stack + 8820;

}
