#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ifig(Libderiv_t *, prim_data *);

  /* Computes derivatives of (if|ig) integrals */

void d1hrr_order_ifig(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][6][11] = int_stack + 0;
 Libderiv->deriv_classes[6][7][11] = int_stack + 784;
 Libderiv->deriv_classes[6][8][11] = int_stack + 1792;
 Libderiv->deriv_classes[6][9][11] = int_stack + 3052;
 Libderiv->deriv_classes[6][10][11] = int_stack + 4592;
 Libderiv->deriv_classes[7][6][11] = int_stack + 6440;
 Libderiv->deriv_classes[7][7][11] = int_stack + 7448;
 Libderiv->deriv_classes[7][8][11] = int_stack + 8744;
 Libderiv->deriv_classes[7][9][11] = int_stack + 10364;
 Libderiv->deriv_classes[7][10][11] = int_stack + 12344;
 Libderiv->deriv_classes[8][6][11] = int_stack + 14720;
 Libderiv->deriv_classes[8][7][11] = int_stack + 15980;
 Libderiv->deriv_classes[8][8][11] = int_stack + 17600;
 Libderiv->deriv_classes[8][9][11] = int_stack + 19625;
 Libderiv->deriv_classes[8][10][11] = int_stack + 22100;
 Libderiv->deriv_classes[9][6][11] = int_stack + 25070;
 Libderiv->deriv_classes[9][7][11] = int_stack + 26610;
 Libderiv->deriv_classes[9][8][11] = int_stack + 28590;
 Libderiv->deriv_classes[9][9][11] = int_stack + 31065;
 Libderiv->deriv_classes[9][10][11] = int_stack + 34090;
 Libderiv->deriv_classes[6][6][10] = int_stack + 37720;
 Libderiv->deriv_classes[6][7][10] = int_stack + 38504;
 Libderiv->deriv_classes[6][8][10] = int_stack + 39512;
 Libderiv->deriv_classes[6][9][10] = int_stack + 40772;
 Libderiv->deriv_classes[6][10][10] = int_stack + 42312;
 Libderiv->deriv_classes[7][6][10] = int_stack + 44160;
 Libderiv->deriv_classes[7][7][10] = int_stack + 45168;
 Libderiv->deriv_classes[7][8][10] = int_stack + 46464;
 Libderiv->deriv_classes[7][9][10] = int_stack + 48084;
 Libderiv->deriv_classes[7][10][10] = int_stack + 50064;
 Libderiv->deriv_classes[8][6][10] = int_stack + 52440;
 Libderiv->deriv_classes[8][7][10] = int_stack + 53700;
 Libderiv->deriv_classes[8][8][10] = int_stack + 55320;
 Libderiv->deriv_classes[8][9][10] = int_stack + 57345;
 Libderiv->deriv_classes[8][10][10] = int_stack + 59820;
 Libderiv->deriv_classes[9][6][10] = int_stack + 62790;
 Libderiv->deriv_classes[9][7][10] = int_stack + 64330;
 Libderiv->deriv_classes[9][8][10] = int_stack + 66310;
 Libderiv->deriv_classes[9][9][10] = int_stack + 68785;
 Libderiv->deriv_classes[9][10][10] = int_stack + 71810;
 Libderiv->deriv_classes[6][6][9] = int_stack + 75440;
 Libderiv->deriv_classes[6][7][9] = int_stack + 76224;
 Libderiv->deriv_classes[6][8][9] = int_stack + 77232;
 Libderiv->deriv_classes[6][9][9] = int_stack + 78492;
 Libderiv->deriv_classes[6][10][9] = int_stack + 80032;
 Libderiv->deriv_classes[7][6][9] = int_stack + 81880;
 Libderiv->deriv_classes[7][7][9] = int_stack + 82888;
 Libderiv->deriv_classes[7][8][9] = int_stack + 84184;
 Libderiv->deriv_classes[7][9][9] = int_stack + 85804;
 Libderiv->deriv_classes[7][10][9] = int_stack + 87784;
 Libderiv->deriv_classes[8][6][9] = int_stack + 90160;
 Libderiv->deriv_classes[8][7][9] = int_stack + 91420;
 Libderiv->deriv_classes[8][8][9] = int_stack + 93040;
 Libderiv->deriv_classes[8][9][9] = int_stack + 95065;
 Libderiv->deriv_classes[8][10][9] = int_stack + 97540;
 Libderiv->deriv_classes[9][6][9] = int_stack + 100510;
 Libderiv->deriv_classes[9][7][9] = int_stack + 102050;
 Libderiv->deriv_classes[9][8][9] = int_stack + 104030;
 Libderiv->deriv_classes[9][9][9] = int_stack + 106505;
 Libderiv->deriv_classes[9][10][9] = int_stack + 109530;
 Libderiv->deriv_classes[6][6][8] = int_stack + 113160;
 Libderiv->deriv_classes[6][7][8] = int_stack + 113944;
 Libderiv->deriv_classes[6][8][8] = int_stack + 114952;
 Libderiv->deriv_classes[6][9][8] = int_stack + 116212;
 Libderiv->deriv_classes[6][10][8] = int_stack + 117752;
 Libderiv->deriv_classes[7][6][8] = int_stack + 119600;
 Libderiv->deriv_classes[7][7][8] = int_stack + 120608;
 Libderiv->deriv_classes[7][8][8] = int_stack + 121904;
 Libderiv->deriv_classes[7][9][8] = int_stack + 123524;
 Libderiv->deriv_classes[7][10][8] = int_stack + 125504;
 Libderiv->deriv_classes[8][6][8] = int_stack + 127880;
 Libderiv->deriv_classes[8][7][8] = int_stack + 129140;
 Libderiv->deriv_classes[8][8][8] = int_stack + 130760;
 Libderiv->deriv_classes[8][9][8] = int_stack + 132785;
 Libderiv->deriv_classes[8][10][8] = int_stack + 135260;
 Libderiv->deriv_classes[9][6][8] = int_stack + 138230;
 Libderiv->deriv_classes[9][7][8] = int_stack + 139770;
 Libderiv->deriv_classes[9][8][8] = int_stack + 141750;
 Libderiv->deriv_classes[9][9][8] = int_stack + 144225;
 Libderiv->deriv_classes[9][10][8] = int_stack + 147250;
 Libderiv->deriv_classes[6][6][7] = int_stack + 150880;
 Libderiv->deriv_classes[6][7][7] = int_stack + 151664;
 Libderiv->deriv_classes[6][8][7] = int_stack + 152672;
 Libderiv->deriv_classes[6][9][7] = int_stack + 153932;
 Libderiv->deriv_classes[6][10][7] = int_stack + 155472;
 Libderiv->deriv_classes[7][6][7] = int_stack + 157320;
 Libderiv->deriv_classes[7][7][7] = int_stack + 158328;
 Libderiv->deriv_classes[7][8][7] = int_stack + 159624;
 Libderiv->deriv_classes[7][9][7] = int_stack + 161244;
 Libderiv->deriv_classes[7][10][7] = int_stack + 163224;
 Libderiv->deriv_classes[8][6][7] = int_stack + 165600;
 Libderiv->deriv_classes[8][7][7] = int_stack + 166860;
 Libderiv->deriv_classes[8][8][7] = int_stack + 168480;
 Libderiv->deriv_classes[8][9][7] = int_stack + 170505;
 Libderiv->deriv_classes[8][10][7] = int_stack + 172980;
 Libderiv->deriv_classes[9][6][7] = int_stack + 175950;
 Libderiv->deriv_classes[9][7][7] = int_stack + 177490;
 Libderiv->deriv_classes[9][8][7] = int_stack + 179470;
 Libderiv->deriv_classes[9][9][7] = int_stack + 181945;
 Libderiv->deriv_classes[9][10][7] = int_stack + 184970;
 Libderiv->deriv_classes[6][6][6] = int_stack + 188600;
 Libderiv->deriv_classes[6][7][6] = int_stack + 189384;
 Libderiv->deriv_classes[6][8][6] = int_stack + 190392;
 Libderiv->deriv_classes[6][9][6] = int_stack + 191652;
 Libderiv->deriv_classes[6][10][6] = int_stack + 193192;
 Libderiv->deriv_classes[7][6][6] = int_stack + 195040;
 Libderiv->deriv_classes[7][7][6] = int_stack + 196048;
 Libderiv->deriv_classes[7][8][6] = int_stack + 197344;
 Libderiv->deriv_classes[7][9][6] = int_stack + 198964;
 Libderiv->deriv_classes[7][10][6] = int_stack + 200944;
 Libderiv->deriv_classes[8][6][6] = int_stack + 203320;
 Libderiv->deriv_classes[8][7][6] = int_stack + 204580;
 Libderiv->deriv_classes[8][8][6] = int_stack + 206200;
 Libderiv->deriv_classes[8][9][6] = int_stack + 208225;
 Libderiv->deriv_classes[8][10][6] = int_stack + 210700;
 Libderiv->dvrr_classes[9][6] = int_stack + 213670;
 Libderiv->deriv_classes[9][6][6] = int_stack + 215210;
 Libderiv->dvrr_classes[9][7] = int_stack + 216750;
 Libderiv->deriv_classes[9][7][6] = int_stack + 218730;
 Libderiv->dvrr_classes[9][8] = int_stack + 220710;
 Libderiv->deriv_classes[9][8][6] = int_stack + 223185;
 Libderiv->dvrr_classes[9][9] = int_stack + 225660;
 Libderiv->deriv_classes[9][9][6] = int_stack + 228685;
 Libderiv->deriv_classes[9][10][6] = int_stack + 231710;
 Libderiv->deriv_classes[6][6][2] = int_stack + 235340;
 Libderiv->deriv_classes[6][7][2] = int_stack + 236124;
 Libderiv->deriv_classes[6][8][2] = int_stack + 237132;
 Libderiv->deriv_classes[6][9][2] = int_stack + 238392;
 Libderiv->deriv_classes[6][10][2] = int_stack + 239932;
 Libderiv->deriv_classes[7][6][2] = int_stack + 241780;
 Libderiv->deriv_classes[7][7][2] = int_stack + 242788;
 Libderiv->deriv_classes[7][8][2] = int_stack + 244084;
 Libderiv->deriv_classes[7][9][2] = int_stack + 245704;
 Libderiv->deriv_classes[7][10][2] = int_stack + 247684;
 Libderiv->deriv_classes[8][6][2] = int_stack + 250060;
 Libderiv->deriv_classes[8][7][2] = int_stack + 251320;
 Libderiv->deriv_classes[8][8][2] = int_stack + 252940;
 Libderiv->deriv_classes[8][9][2] = int_stack + 254965;
 Libderiv->deriv_classes[8][10][2] = int_stack + 257440;
 Libderiv->deriv_classes[9][6][2] = int_stack + 260410;
 Libderiv->deriv_classes[9][7][2] = int_stack + 261950;
 Libderiv->deriv_classes[9][8][2] = int_stack + 263930;
 Libderiv->deriv_classes[9][9][2] = int_stack + 266405;
 Libderiv->deriv_classes[9][10][2] = int_stack + 269430;
 Libderiv->deriv_classes[6][6][1] = int_stack + 273060;
 Libderiv->deriv_classes[6][7][1] = int_stack + 273844;
 Libderiv->deriv_classes[6][8][1] = int_stack + 274852;
 Libderiv->deriv_classes[6][9][1] = int_stack + 276112;
 Libderiv->deriv_classes[6][10][1] = int_stack + 277652;
 Libderiv->deriv_classes[7][6][1] = int_stack + 279500;
 Libderiv->deriv_classes[7][7][1] = int_stack + 280508;
 Libderiv->deriv_classes[7][8][1] = int_stack + 281804;
 Libderiv->deriv_classes[7][9][1] = int_stack + 283424;
 Libderiv->deriv_classes[7][10][1] = int_stack + 285404;
 Libderiv->deriv_classes[8][6][1] = int_stack + 287780;
 Libderiv->deriv_classes[8][7][1] = int_stack + 289040;
 Libderiv->deriv_classes[8][8][1] = int_stack + 290660;
 Libderiv->deriv_classes[8][9][1] = int_stack + 292685;
 Libderiv->deriv_classes[8][10][1] = int_stack + 295160;
 Libderiv->deriv_classes[9][6][1] = int_stack + 298130;
 Libderiv->deriv_classes[9][7][1] = int_stack + 299670;
 Libderiv->deriv_classes[9][8][1] = int_stack + 301650;
 Libderiv->deriv_classes[9][9][1] = int_stack + 304125;
 Libderiv->deriv_classes[9][10][1] = int_stack + 307150;
 Libderiv->dvrr_classes[6][6] = int_stack + 310780;
 Libderiv->dvrr_classes[6][7] = int_stack + 311564;
 Libderiv->dvrr_classes[6][8] = int_stack + 312572;
 Libderiv->dvrr_classes[6][9] = int_stack + 313832;
 Libderiv->dvrr_classes[6][10] = int_stack + 315372;
 Libderiv->deriv_classes[6][6][0] = int_stack + 317220;
 Libderiv->deriv_classes[6][7][0] = int_stack + 318004;
 Libderiv->deriv_classes[6][8][0] = int_stack + 319012;
 Libderiv->deriv_classes[6][9][0] = int_stack + 320272;
 Libderiv->deriv_classes[6][10][0] = int_stack + 321812;
 Libderiv->dvrr_classes[7][6] = int_stack + 323660;
 Libderiv->dvrr_classes[7][7] = int_stack + 324668;
 Libderiv->dvrr_classes[7][8] = int_stack + 325964;
 Libderiv->dvrr_classes[7][9] = int_stack + 327584;
 Libderiv->dvrr_classes[7][10] = int_stack + 329564;
 Libderiv->deriv_classes[7][6][0] = int_stack + 331940;
 Libderiv->deriv_classes[7][7][0] = int_stack + 332948;
 Libderiv->deriv_classes[7][8][0] = int_stack + 334244;
 Libderiv->deriv_classes[7][9][0] = int_stack + 335864;
 Libderiv->deriv_classes[7][10][0] = int_stack + 337844;
 Libderiv->dvrr_classes[8][6] = int_stack + 340220;
 Libderiv->dvrr_classes[8][7] = int_stack + 341480;
 Libderiv->dvrr_classes[8][8] = int_stack + 343100;
 Libderiv->dvrr_classes[8][9] = int_stack + 345125;
 Libderiv->dvrr_classes[8][10] = int_stack + 347600;
 Libderiv->deriv_classes[8][6][0] = int_stack + 350570;
 Libderiv->deriv_classes[8][7][0] = int_stack + 351830;
 Libderiv->deriv_classes[8][8][0] = int_stack + 353450;
 Libderiv->deriv_classes[8][9][0] = int_stack + 355475;
 Libderiv->deriv_classes[8][10][0] = int_stack + 357950;
 Libderiv->deriv_classes[9][6][0] = int_stack + 360920;
 Libderiv->deriv_classes[9][7][0] = int_stack + 362460;
 Libderiv->deriv_classes[9][8][0] = int_stack + 364440;
 Libderiv->deriv_classes[9][9][0] = int_stack + 366915;
 Libderiv->deriv_classes[9][10][0] = int_stack + 369940;
 memset(int_stack,0,2988560);

 Libderiv->dvrr_stack = int_stack + 2057591;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ifig(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+373570,int_stack+311564,int_stack+310780,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+375922,int_stack+312572,int_stack+311564,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+378946,int_stack+375922,int_stack+373570,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+383650,int_stack+313832,int_stack+312572,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+387430,int_stack+383650,int_stack+375922,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+393478,int_stack+387430,int_stack+378946,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+401318,int_stack+784,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310780,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+403670,int_stack+1792,int_stack+784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+311564,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+406694,int_stack+403670,int_stack+401318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+373570,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+411398,int_stack+3052,int_stack+1792, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+312572,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+415178,int_stack+411398,int_stack+403670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+375922,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+421226,int_stack+415178,int_stack+406694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378946,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+401318,int_stack+4592,int_stack+3052, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313832,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+429066,int_stack+401318,int_stack+411398, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383650,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+401318,int_stack+429066,int_stack+415178, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387430,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+429066,int_stack+401318,int_stack+421226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+393478,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+401318,int_stack+324668,int_stack+323660,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+404342,int_stack+325964,int_stack+324668,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+408230,int_stack+404342,int_stack+401318,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+414278,int_stack+327584,int_stack+325964,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+419138,int_stack+414278,int_stack+404342,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+440826,int_stack+419138,int_stack+408230,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+7448,int_stack+6440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+323660,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3024,int_stack+8744,int_stack+7448, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+324668,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+450906,int_stack+3024,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+401318,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+456954,int_stack+10364,int_stack+8744, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325964,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+461814,int_stack+456954,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+404342,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+461814,int_stack+450906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+408230,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+450906,int_stack+12344,int_stack+10364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+327584,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+469590,int_stack+450906,int_stack+456954, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+414278,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+479310,int_stack+469590,int_stack+461814, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419138,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+450906,int_stack+479310,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+440826,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+466026,int_stack+450906,int_stack+429066,420);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+341480,int_stack+340220,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3780,int_stack+343100,int_stack+341480,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+426914,int_stack+3780,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+8640,int_stack+345125,int_stack+343100,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+501306,int_stack+8640,int_stack+3780,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+511026,int_stack+501306,int_stack+426914,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+434474,int_stack+15980,int_stack+14720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+340220,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+523626,int_stack+17600,int_stack+15980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+341480,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+528486,int_stack+523626,int_stack+434474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+434474,int_stack+19625,int_stack+17600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+343100,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+536046,int_stack+434474,int_stack+523626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+545766,int_stack+536046,int_stack+528486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+426914,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+523626,int_stack+22100,int_stack+19625, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+345125,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+558366,int_stack+523626,int_stack+434474, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+570516,int_stack+558366,int_stack+536046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+501306,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+523626,int_stack+570516,int_stack+545766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511026,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+542526,int_stack+523626,int_stack+450906,420);
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+587886,int_stack+542526,int_stack+466026,420);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+450906,int_stack+216750,int_stack+213670,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+455526,int_stack+220710,int_stack+216750,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+461466,int_stack+455526,int_stack+450906,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+470706,int_stack+225660,int_stack+220710,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+478131,int_stack+470706,int_stack+455526,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+658446,int_stack+478131,int_stack+461466,55);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+490011,int_stack+26610,int_stack+25070, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213670,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+494631,int_stack+28590,int_stack+26610, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216750,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+14715,int_stack+494631,int_stack+490011, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+450906,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+673846,int_stack+31065,int_stack+28590, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220710,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+681271,int_stack+673846,int_stack+494631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+455526,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+693151,int_stack+681271,int_stack+14715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+461466,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+14715,int_stack+34090,int_stack+31065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+225660,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+708551,int_stack+14715,int_stack+673846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+470706,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+14715,int_stack+708551,int_stack+681271, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+478131,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+708551,int_stack+14715,int_stack+693151, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+658446,55);
 /*--- compute (lp|ig) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+731651,int_stack+708551,int_stack+523626,420);
 /*--- compute (kd|ig) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+788351,int_stack+731651,int_stack+542526,420);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+523626,int_stack+38504,int_stack+37720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310780, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+525978,int_stack+39512,int_stack+38504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+311564, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+529002,int_stack+525978,int_stack+523626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+373570, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+533706,int_stack+40772,int_stack+39512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+312572, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+537486,int_stack+533706,int_stack+525978, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+375922, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+543534,int_stack+537486,int_stack+529002, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378946, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+523626,int_stack+42312,int_stack+40772, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313832, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+551374,int_stack+523626,int_stack+533706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383650, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+523626,int_stack+551374,int_stack+537486, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387430, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+551374,int_stack+523626,int_stack+543534, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+393478, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+523626,int_stack+45168,int_stack+44160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+323660, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+526650,int_stack+46464,int_stack+45168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+324668, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+530538,int_stack+526650,int_stack+523626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+401318, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+536586,int_stack+48084,int_stack+46464, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325964, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+541446,int_stack+536586,int_stack+526650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+404342, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+563134,int_stack+541446,int_stack+530538, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+408230, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+523626,int_stack+50064,int_stack+48084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+327584, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+573214,int_stack+523626,int_stack+536586, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+414278, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+523626,int_stack+573214,int_stack+541446, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419138, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+14715,int_stack+523626,int_stack+563134, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+440826, 0.0, zero_stack,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+673846,int_stack+14715,int_stack+551374,420);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+523626,int_stack+53700,int_stack+52440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+340220, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+527406,int_stack+55320,int_stack+53700, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+341480, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+532266,int_stack+527406,int_stack+523626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+539826,int_stack+57345,int_stack+55320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+343100, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+545901,int_stack+539826,int_stack+527406, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+555621,int_stack+545901,int_stack+532266, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+426914, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+523626,int_stack+59820,int_stack+57345, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+345125, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+568221,int_stack+523626,int_stack+539826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+523626,int_stack+568221,int_stack+545901, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+501306, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+568221,int_stack+523626,int_stack+555621, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511026, 0.0, zero_stack,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+709126,int_stack+568221,int_stack+14715,420);
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+879071,int_stack+709126,int_stack+673846,420);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+673846,int_stack+64330,int_stack+62790, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213670, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+678466,int_stack+66310,int_stack+64330, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216750, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+684406,int_stack+678466,int_stack+673846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+450906, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+693646,int_stack+68785,int_stack+66310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220710, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+14715,int_stack+693646,int_stack+678466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+455526, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+26595,int_stack+14715,int_stack+684406, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+461466, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+673846,int_stack+71810,int_stack+68785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+225660, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+41995,int_stack+673846,int_stack+693646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+470706, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+673846,int_stack+41995,int_stack+14715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+478131, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+41995,int_stack+673846,int_stack+26595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+658446, 0.0, zero_stack,55);
 /*--- compute (lp|ig) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+949631,int_stack+41995,int_stack+568221,420);
 /*--- compute (kd|ig) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+1006331,int_stack+949631,int_stack+709126,420);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+949631,int_stack+76224,int_stack+75440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310780, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+951983,int_stack+77232,int_stack+76224, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+311564, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+955007,int_stack+951983,int_stack+949631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+373570, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+959711,int_stack+78492,int_stack+77232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+312572, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+963491,int_stack+959711,int_stack+951983, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+375922, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+969539,int_stack+963491,int_stack+955007, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378946, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+949631,int_stack+80032,int_stack+78492, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313832, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+977379,int_stack+949631,int_stack+959711, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383650, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+949631,int_stack+977379,int_stack+963491, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387430, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+977379,int_stack+949631,int_stack+969539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+393478, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+949631,int_stack+82888,int_stack+81880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+323660, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+952655,int_stack+84184,int_stack+82888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+324668, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+956543,int_stack+952655,int_stack+949631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+401318, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+962591,int_stack+85804,int_stack+84184, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325964, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+967451,int_stack+962591,int_stack+952655, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+404342, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+989139,int_stack+967451,int_stack+956543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+408230, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+949631,int_stack+87784,int_stack+85804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+327584, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+673846,int_stack+949631,int_stack+962591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+414278, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+949631,int_stack+673846,int_stack+967451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419138, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+673846,int_stack+949631,int_stack+989139, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+440826, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+688966,int_stack+673846,int_stack+977379,420);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+949631,int_stack+91420,int_stack+90160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+340220, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+953411,int_stack+93040,int_stack+91420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+341480, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+958271,int_stack+953411,int_stack+949631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+965831,int_stack+95065,int_stack+93040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+343100, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+971906,int_stack+965831,int_stack+953411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+981626,int_stack+971906,int_stack+958271, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+426914, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+949631,int_stack+97540,int_stack+95065, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+345125, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+724246,int_stack+949631,int_stack+965831, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+949631,int_stack+724246,int_stack+971906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+501306, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+724246,int_stack+949631,int_stack+981626, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511026, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+949631,int_stack+724246,int_stack+673846,420);
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+14715,int_stack+949631,int_stack+688966,420);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+673846,int_stack+102050,int_stack+100510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213670, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+678466,int_stack+104030,int_stack+102050, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216750, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+684406,int_stack+678466,int_stack+673846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+450906, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+693646,int_stack+106505,int_stack+104030, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220710, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+701071,int_stack+693646,int_stack+678466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+455526, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+743146,int_stack+701071,int_stack+684406, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+461466, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+673846,int_stack+109530,int_stack+106505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+225660, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+758546,int_stack+673846,int_stack+693646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+470706, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+673846,int_stack+758546,int_stack+701071, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+478131, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+758546,int_stack+673846,int_stack+743146, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+658446, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ig) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+523626,int_stack+758546,int_stack+724246,420);
 /*--- compute (kd|ig) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+673846,int_stack+523626,int_stack+949631,420);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+949631,int_stack+113944,int_stack+113160, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+310780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+951983,int_stack+114952,int_stack+113944, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+311564, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+955007,int_stack+951983,int_stack+949631, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+373570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+959711,int_stack+116212,int_stack+114952, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+312572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+963491,int_stack+959711,int_stack+951983, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+375922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+969539,int_stack+963491,int_stack+955007, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+378946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+949631,int_stack+117752,int_stack+116212, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+313832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+977379,int_stack+949631,int_stack+959711, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+383650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+949631,int_stack+977379,int_stack+963491, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+387430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+977379,int_stack+949631,int_stack+969539, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+393478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+949631,int_stack+120608,int_stack+119600, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+323660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+952655,int_stack+121904,int_stack+120608, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+324668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+956543,int_stack+952655,int_stack+949631, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+401318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+962591,int_stack+123524,int_stack+121904, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+325964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+967451,int_stack+962591,int_stack+952655, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+404342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+989139,int_stack+967451,int_stack+956543, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+408230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+949631,int_stack+125504,int_stack+123524, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+327584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+523626,int_stack+949631,int_stack+962591, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+414278, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+949631,int_stack+523626,int_stack+967451, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+419138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+523626,int_stack+949631,int_stack+989139, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+440826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+538746,int_stack+523626,int_stack+977379,420);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+949631,int_stack+129140,int_stack+127880, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+340220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+953411,int_stack+130760,int_stack+129140, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+341480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+958271,int_stack+953411,int_stack+949631, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+965831,int_stack+132785,int_stack+130760, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+343100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+971906,int_stack+965831,int_stack+953411, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+981626,int_stack+971906,int_stack+958271, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+426914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+949631,int_stack+135260,int_stack+132785, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+345125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+574026,int_stack+949631,int_stack+965831, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+949631,int_stack+574026,int_stack+971906, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+501306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+764566,int_stack+949631,int_stack+981626, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+511026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+949631,int_stack+764566,int_stack+523626,420);
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+1097051,int_stack+949631,int_stack+538746,420);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+523626,int_stack+139770,int_stack+138230, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+213670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+528246,int_stack+141750,int_stack+139770, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+216750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+534186,int_stack+528246,int_stack+523626, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+450906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+543426,int_stack+144225,int_stack+141750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+550851,int_stack+543426,int_stack+528246, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+455526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+562731,int_stack+550851,int_stack+534186, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+461466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+523626,int_stack+147250,int_stack+144225, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+225660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+85275,int_stack+523626,int_stack+543426, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+470706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+523626,int_stack+85275,int_stack+550851, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+478131, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+85275,int_stack+523626,int_stack+562731, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+658446, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ig) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+523626,int_stack+85275,int_stack+764566,420);
 /*--- compute (kd|ig) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+1167611,int_stack+523626,int_stack+949631,420);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+949631,int_stack+151664,int_stack+150880, 0.0, zero_stack, 1.0, int_stack+310780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+951983,int_stack+152672,int_stack+151664, 0.0, zero_stack, 1.0, int_stack+311564, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+955007,int_stack+951983,int_stack+949631, 0.0, zero_stack, 1.0, int_stack+373570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+959711,int_stack+153932,int_stack+152672, 0.0, zero_stack, 1.0, int_stack+312572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+963491,int_stack+959711,int_stack+951983, 0.0, zero_stack, 1.0, int_stack+375922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+969539,int_stack+963491,int_stack+955007, 0.0, zero_stack, 1.0, int_stack+378946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+949631,int_stack+155472,int_stack+153932, 0.0, zero_stack, 1.0, int_stack+313832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+977379,int_stack+949631,int_stack+959711, 0.0, zero_stack, 1.0, int_stack+383650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+949631,int_stack+977379,int_stack+963491, 0.0, zero_stack, 1.0, int_stack+387430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+977379,int_stack+949631,int_stack+969539, 0.0, zero_stack, 1.0, int_stack+393478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+949631,int_stack+158328,int_stack+157320, 0.0, zero_stack, 1.0, int_stack+323660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+952655,int_stack+159624,int_stack+158328, 0.0, zero_stack, 1.0, int_stack+324668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+956543,int_stack+952655,int_stack+949631, 0.0, zero_stack, 1.0, int_stack+401318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+962591,int_stack+161244,int_stack+159624, 0.0, zero_stack, 1.0, int_stack+325964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+967451,int_stack+962591,int_stack+952655, 0.0, zero_stack, 1.0, int_stack+404342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+989139,int_stack+967451,int_stack+956543, 0.0, zero_stack, 1.0, int_stack+408230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+949631,int_stack+163224,int_stack+161244, 0.0, zero_stack, 1.0, int_stack+327584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+523626,int_stack+949631,int_stack+962591, 0.0, zero_stack, 1.0, int_stack+414278, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+949631,int_stack+523626,int_stack+967451, 0.0, zero_stack, 1.0, int_stack+419138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+523626,int_stack+949631,int_stack+989139, 0.0, zero_stack, 1.0, int_stack+440826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+538746,int_stack+523626,int_stack+977379,420);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+949631,int_stack+166860,int_stack+165600, 0.0, zero_stack, 1.0, int_stack+340220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+953411,int_stack+168480,int_stack+166860, 0.0, zero_stack, 1.0, int_stack+341480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+958271,int_stack+953411,int_stack+949631, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+965831,int_stack+170505,int_stack+168480, 0.0, zero_stack, 1.0, int_stack+343100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+971906,int_stack+965831,int_stack+953411, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+981626,int_stack+971906,int_stack+958271, 0.0, zero_stack, 1.0, int_stack+426914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+949631,int_stack+172980,int_stack+170505, 0.0, zero_stack, 1.0, int_stack+345125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+574026,int_stack+949631,int_stack+965831, 0.0, zero_stack, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+949631,int_stack+574026,int_stack+971906, 0.0, zero_stack, 1.0, int_stack+501306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+764566,int_stack+949631,int_stack+981626, 0.0, zero_stack, 1.0, int_stack+511026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+949631,int_stack+764566,int_stack+523626,420);
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+85275,int_stack+949631,int_stack+538746,420);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+523626,int_stack+177490,int_stack+175950, 0.0, zero_stack, 1.0, int_stack+213670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+528246,int_stack+179470,int_stack+177490, 0.0, zero_stack, 1.0, int_stack+216750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+534186,int_stack+528246,int_stack+523626, 0.0, zero_stack, 1.0, int_stack+450906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+543426,int_stack+181945,int_stack+179470, 0.0, zero_stack, 1.0, int_stack+220710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+550851,int_stack+543426,int_stack+528246, 0.0, zero_stack, 1.0, int_stack+455526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+562731,int_stack+550851,int_stack+534186, 0.0, zero_stack, 1.0, int_stack+461466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+523626,int_stack+184970,int_stack+181945, 0.0, zero_stack, 1.0, int_stack+225660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+155835,int_stack+523626,int_stack+543426, 0.0, zero_stack, 1.0, int_stack+470706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+523626,int_stack+155835,int_stack+550851, 0.0, zero_stack, 1.0, int_stack+478131, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+155835,int_stack+523626,int_stack+562731, 0.0, zero_stack, 1.0, int_stack+658446, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ig) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+523626,int_stack+155835,int_stack+764566,420);
 /*--- compute (kd|ig) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+1258331,int_stack+523626,int_stack+949631,420);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+949631,int_stack+189384,int_stack+188600, 1.0, int_stack+310780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+951983,int_stack+190392,int_stack+189384, 1.0, int_stack+311564, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+955007,int_stack+951983,int_stack+949631, 1.0, int_stack+373570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+959711,int_stack+191652,int_stack+190392, 1.0, int_stack+312572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+963491,int_stack+959711,int_stack+951983, 1.0, int_stack+375922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+969539,int_stack+963491,int_stack+955007, 1.0, int_stack+378946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+373570,int_stack+193192,int_stack+191652, 1.0, int_stack+313832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+949631,int_stack+373570,int_stack+959711, 1.0, int_stack+383650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+373570,int_stack+949631,int_stack+963491, 1.0, int_stack+387430, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+949631,int_stack+373570,int_stack+969539, 1.0, int_stack+393478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+373570,int_stack+196048,int_stack+195040, 1.0, int_stack+323660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+376594,int_stack+197344,int_stack+196048, 1.0, int_stack+324668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+961391,int_stack+376594,int_stack+373570, 1.0, int_stack+401318, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+967439,int_stack+198964,int_stack+197344, 1.0, int_stack+325964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+972299,int_stack+967439,int_stack+376594, 1.0, int_stack+404342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+373570,int_stack+972299,int_stack+961391, 1.0, int_stack+408230, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+961391,int_stack+200944,int_stack+198964, 1.0, int_stack+327584, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+401318,int_stack+961391,int_stack+967439, 1.0, int_stack+414278, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+980075,int_stack+401318,int_stack+972299, 1.0, int_stack+419138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+961391,int_stack+980075,int_stack+373570, 1.0, int_stack+440826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+523626,int_stack+961391,int_stack+949631,420);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+949631,int_stack+204580,int_stack+203320, 1.0, int_stack+340220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+953411,int_stack+206200,int_stack+204580, 1.0, int_stack+341480, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+373570,int_stack+953411,int_stack+949631, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+401318,int_stack+208225,int_stack+206200, 1.0, int_stack+343100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+976511,int_stack+401318,int_stack+953411, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+986231,int_stack+976511,int_stack+373570, 1.0, int_stack+426914, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+426914,int_stack+210700,int_stack+208225, 1.0, int_stack+345125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+558906,int_stack+426914,int_stack+401318, 1.0, int_stack+8640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+571056,int_stack+558906,int_stack+976511, 1.0, int_stack+501306, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+764566,int_stack+571056,int_stack+986231, 1.0, int_stack+511026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+155835,int_stack+764566,int_stack+961391,420);
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+1349051,int_stack+155835,int_stack+523626,420);
 /*--- compute (m0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+523626,int_stack+218730,int_stack+215210, 1.0, int_stack+213670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+528246,int_stack+223185,int_stack+218730, 1.0, int_stack+216750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+534186,int_stack+528246,int_stack+523626, 1.0, int_stack+450906, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+543426,int_stack+228685,int_stack+223185, 1.0, int_stack+220710, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+550851,int_stack+543426,int_stack+528246, 1.0, int_stack+455526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+562731,int_stack+550851,int_stack+534186, 1.0, int_stack+461466, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+450906,int_stack+231710,int_stack+228685, 1.0, int_stack+225660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+523626,int_stack+450906,int_stack+543426, 1.0, int_stack+470706, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+450906,int_stack+523626,int_stack+550851, 1.0, int_stack+478131, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (m0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+523626,int_stack+450906,int_stack+562731, 1.0, int_stack+658446, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,55);
 /*--- compute (lp|ig) ---*/
   hrr1_build_lp(Libderiv->AB,int_stack+949631,int_stack+523626,int_stack+764566,420);
 /*--- compute (kd|ig) ---*/
   hrr1_build_kd(Libderiv->AB,int_stack+1419611,int_stack+949631,int_stack+155835,420);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+155835,int_stack+315372,int_stack+313832,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+160455,int_stack+155835,int_stack+383650,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+168015,int_stack+160455,int_stack+387430,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+155835,int_stack+168015,int_stack+393478,28);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+167595,int_stack+329564,int_stack+327584,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+173535,int_stack+167595,int_stack+414278,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+183255,int_stack+173535,int_stack+419138,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+167595,int_stack+183255,int_stack+440826,36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+182715,int_stack+167595,int_stack+155835,420);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+217995,int_stack+347600,int_stack+345125,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+949631,int_stack+217995,int_stack+8640,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+217995,int_stack+949631,int_stack+501306,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+949631,int_stack+217995,int_stack+511026,45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+373570,int_stack+949631,int_stack+167595,420);
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+418930,int_stack+373570,int_stack+182715,420);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+217995,int_stack+236124,int_stack+235340,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+220347,int_stack+237132,int_stack+236124,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+223371,int_stack+220347,int_stack+217995,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+228075,int_stack+238392,int_stack+237132,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+231855,int_stack+228075,int_stack+220347,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+968531,int_stack+231855,int_stack+223371,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+217995,int_stack+239932,int_stack+238392,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+976371,int_stack+217995,int_stack+228075,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+217995,int_stack+976371,int_stack+231855,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+976371,int_stack+217995,int_stack+968531,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+968531,int_stack+242788,int_stack+241780,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+971555,int_stack+244084,int_stack+242788,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+217995,int_stack+971555,int_stack+968531,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+224043,int_stack+245704,int_stack+244084,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+228903,int_stack+224043,int_stack+971555,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+988131,int_stack+228903,int_stack+217995,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+217995,int_stack+247684,int_stack+245704,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+236679,int_stack+217995,int_stack+224043,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+764566,int_stack+236679,int_stack+228903,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+217995,int_stack+764566,int_stack+988131,36);
 /*--- compute (ip|ig) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+489490,int_stack+217995,int_stack+976371, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+155835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+764566,int_stack+251320,int_stack+250060,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+768346,int_stack+252940,int_stack+251320,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+773206,int_stack+768346,int_stack+764566,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+780766,int_stack+254965,int_stack+252940,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+233115,int_stack+780766,int_stack+768346,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+968531,int_stack+233115,int_stack+773206,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+764566,int_stack+257440,int_stack+254965,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+242835,int_stack+764566,int_stack+780766,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+764566,int_stack+242835,int_stack+233115,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+233115,int_stack+764566,int_stack+968531,45);
 /*--- compute (kp|ig) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+524770,int_stack+233115,int_stack+217995, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (id|ig) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+1510331,int_stack+524770,int_stack+489490, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+489490,int_stack+261950,int_stack+260410,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+494110,int_stack+263930,int_stack+261950,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+500050,int_stack+494110,int_stack+489490,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+509290,int_stack+266405,int_stack+263930,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+217995,int_stack+509290,int_stack+494110,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+658446,int_stack+217995,int_stack+500050,55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+489490,int_stack+269430,int_stack+266405,55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+968531,int_stack+489490,int_stack+509290,55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+489490,int_stack+968531,int_stack+217995,55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+968531,int_stack+489490,int_stack+658446,55);
 /*--- compute (lp|ig) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+1580891,int_stack+968531,int_stack+233115, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+949631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (kd|ig) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+1637591,int_stack+1580891,int_stack+524770, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+373570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1580891,int_stack+273844,int_stack+273060,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1583243,int_stack+274852,int_stack+273844,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1586267,int_stack+1583243,int_stack+1580891,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1590971,int_stack+276112,int_stack+274852,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1594751,int_stack+1590971,int_stack+1583243,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1600799,int_stack+1594751,int_stack+1586267,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1580891,int_stack+277652,int_stack+276112,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1608639,int_stack+1580891,int_stack+1590971,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1580891,int_stack+1608639,int_stack+1594751,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1608639,int_stack+1580891,int_stack+1600799,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1580891,int_stack+280508,int_stack+279500,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1583915,int_stack+281804,int_stack+280508,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1587803,int_stack+1583915,int_stack+1580891,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1593851,int_stack+283424,int_stack+281804,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1598711,int_stack+1593851,int_stack+1583915,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1620399,int_stack+1598711,int_stack+1587803,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1580891,int_stack+285404,int_stack+283424,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+968531,int_stack+1580891,int_stack+1593851,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1580891,int_stack+968531,int_stack+1598711,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+968531,int_stack+1580891,int_stack+1620399,36);
 /*--- compute (ip|ig) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+489490,int_stack+968531,int_stack+1608639, 0.0, zero_stack, 1.0, int_stack+155835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1580891,int_stack+289040,int_stack+287780,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1584671,int_stack+290660,int_stack+289040,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1589531,int_stack+1584671,int_stack+1580891,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1597091,int_stack+292685,int_stack+290660,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1603166,int_stack+1597091,int_stack+1584671,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1612886,int_stack+1603166,int_stack+1589531,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1580891,int_stack+295160,int_stack+292685,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+983651,int_stack+1580891,int_stack+1597091,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1580891,int_stack+983651,int_stack+1603166,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+983651,int_stack+1580891,int_stack+1612886,45);
 /*--- compute (kp|ig) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+1580891,int_stack+983651,int_stack+968531, 0.0, zero_stack, 1.0, int_stack+167595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (id|ig) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+217995,int_stack+1580891,int_stack+489490, 0.0, zero_stack, 1.0, int_stack+182715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+489490,int_stack+299670,int_stack+298130,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+494110,int_stack+301650,int_stack+299670,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+500050,int_stack+494110,int_stack+489490,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+509290,int_stack+304125,int_stack+301650,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+516715,int_stack+509290,int_stack+494110,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+658446,int_stack+516715,int_stack+500050,55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+489490,int_stack+307150,int_stack+304125,55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+528595,int_stack+489490,int_stack+509290,55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+489490,int_stack+528595,int_stack+516715,55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+509290,int_stack+489490,int_stack+658446,55);
 /*--- compute (lp|ig) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+1728311,int_stack+509290,int_stack+983651, 0.0, zero_stack, 1.0, int_stack+949631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (kd|ig) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+489490,int_stack+1728311,int_stack+1580891, 0.0, zero_stack, 1.0, int_stack+373570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1580891,int_stack+318004,int_stack+317220,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1583243,int_stack+319012,int_stack+318004,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1586267,int_stack+1583243,int_stack+1580891,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1590971,int_stack+320272,int_stack+319012,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1594751,int_stack+1590971,int_stack+1583243,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1600799,int_stack+1594751,int_stack+1586267,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1580891,int_stack+321812,int_stack+320272,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1608639,int_stack+1580891,int_stack+1590971,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1580891,int_stack+1608639,int_stack+1594751,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1608639,int_stack+1580891,int_stack+1600799,28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1580891,int_stack+332948,int_stack+331940,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1583915,int_stack+334244,int_stack+332948,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1587803,int_stack+1583915,int_stack+1580891,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1593851,int_stack+335864,int_stack+334244,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1598711,int_stack+1593851,int_stack+1583915,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1620399,int_stack+1598711,int_stack+1587803,36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1580891,int_stack+337844,int_stack+335864,36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1728311,int_stack+1580891,int_stack+1593851,36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1580891,int_stack+1728311,int_stack+1598711,36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1728311,int_stack+1580891,int_stack+1620399,36);
 /*--- compute (ip|ig) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+1743431,int_stack+1728311,int_stack+1608639, 1.0, int_stack+155835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+155835,int_stack+351830,int_stack+350570,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+159615,int_stack+353450,int_stack+351830,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1580891,int_stack+159615,int_stack+155835,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1588451,int_stack+355475,int_stack+353450,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1594526,int_stack+1588451,int_stack+159615,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+1604246,int_stack+1594526,int_stack+1580891,45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1580891,int_stack+357950,int_stack+355475,45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+1616846,int_stack+1580891,int_stack+1588451,45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+968531,int_stack+1616846,int_stack+1594526,45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+1616846,int_stack+968531,int_stack+1604246,45);
 /*--- compute (kp|ig) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+288555,int_stack+1616846,int_stack+1728311, 1.0, int_stack+167595, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (id|ig) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+1778711,int_stack+288555,int_stack+1743431, 1.0, int_stack+182715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1728311,int_stack+362460,int_stack+360920,55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1732931,int_stack+364440,int_stack+362460,55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1738871,int_stack+1732931,int_stack+1728311,55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+1748111,int_stack+366915,int_stack+364440,55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+1755536,int_stack+1748111,int_stack+1732931,55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+658446,int_stack+1755536,int_stack+1738871,55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+1728311,int_stack+369940,int_stack+366915,55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+968531,int_stack+1728311,int_stack+1748111,55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+1728311,int_stack+968531,int_stack+1755536,55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+968531,int_stack+1728311,int_stack+658446,55);
 /*--- compute (lp|ig) ---*/
   d1hrr1_build_lp(Libderiv->AB,int_stack+155835,int_stack+968531,int_stack+1616846, 1.0, int_stack+949631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (kd|ig) ---*/
   d1hrr1_build_kd(Libderiv->AB,int_stack+1849271,int_stack+155835,int_stack+288555, 1.0, int_stack+373570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
 /*--- compute (if|ig) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+288555,int_stack+788351,int_stack+587886,420);
     Libderiv->ABCD[11] = int_stack + 288555;
 /*--- compute (if|ig) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+1939991,int_stack+1006331,int_stack+879071,420);
     Libderiv->ABCD[10] = int_stack + 1939991;
 /*--- compute (if|ig) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+764566,int_stack+673846,int_stack+14715,420);
     Libderiv->ABCD[9] = int_stack + 764566;
 /*--- compute (if|ig) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+580210,int_stack+1167611,int_stack+1097051,420);
     Libderiv->ABCD[8] = int_stack + 580210;
 /*--- compute (if|ig) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+882166,int_stack+1258331,int_stack+85275,420);
     Libderiv->ABCD[7] = int_stack + 882166;
 /*--- compute (if|ig) ---*/
   hrr1_build_if(Libderiv->AB,int_stack+999766,int_stack+1419611,int_stack+1349051,420);
     Libderiv->ABCD[6] = int_stack + 999766;
 /*--- compute (if|ig) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+1117366,int_stack+1637591,int_stack+1510331, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+418930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
     Libderiv->ABCD[2] = int_stack + 1117366;
 /*--- compute (if|ig) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+1234966,int_stack+489490,int_stack+217995, 0.0, zero_stack, 1.0, int_stack+418930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
     Libderiv->ABCD[1] = int_stack + 1234966;
 /*--- compute (if|ig) ---*/
   d1hrr1_build_if(Libderiv->AB,int_stack+1352566,int_stack+1849271,int_stack+1778711, 1.0, int_stack+418930, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,420);
     Libderiv->ABCD[0] = int_stack + 1352566;

}
