#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ipgf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (ip|gf) integrals */

void d1hrr_order_ipgf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][4][11] = int_stack + 0;
 Libderiv->deriv_classes[6][5][11] = int_stack + 420;
 Libderiv->deriv_classes[6][6][11] = int_stack + 1008;
 Libderiv->deriv_classes[6][7][11] = int_stack + 1792;
 Libderiv->deriv_classes[7][4][11] = int_stack + 2800;
 Libderiv->deriv_classes[7][5][11] = int_stack + 3340;
 Libderiv->deriv_classes[7][6][11] = int_stack + 4096;
 Libderiv->deriv_classes[7][7][11] = int_stack + 5104;
 Libderiv->deriv_classes[6][4][10] = int_stack + 6400;
 Libderiv->deriv_classes[6][5][10] = int_stack + 6820;
 Libderiv->deriv_classes[6][6][10] = int_stack + 7408;
 Libderiv->deriv_classes[6][7][10] = int_stack + 8192;
 Libderiv->deriv_classes[7][4][10] = int_stack + 9200;
 Libderiv->deriv_classes[7][5][10] = int_stack + 9740;
 Libderiv->deriv_classes[7][6][10] = int_stack + 10496;
 Libderiv->deriv_classes[7][7][10] = int_stack + 11504;
 Libderiv->deriv_classes[6][4][9] = int_stack + 12800;
 Libderiv->deriv_classes[6][5][9] = int_stack + 13220;
 Libderiv->deriv_classes[6][6][9] = int_stack + 13808;
 Libderiv->deriv_classes[6][7][9] = int_stack + 14592;
 Libderiv->deriv_classes[7][4][9] = int_stack + 15600;
 Libderiv->deriv_classes[7][5][9] = int_stack + 16140;
 Libderiv->deriv_classes[7][6][9] = int_stack + 16896;
 Libderiv->deriv_classes[7][7][9] = int_stack + 17904;
 Libderiv->deriv_classes[6][4][8] = int_stack + 19200;
 Libderiv->deriv_classes[6][5][8] = int_stack + 19620;
 Libderiv->deriv_classes[6][6][8] = int_stack + 20208;
 Libderiv->deriv_classes[6][7][8] = int_stack + 20992;
 Libderiv->deriv_classes[7][4][8] = int_stack + 22000;
 Libderiv->deriv_classes[7][5][8] = int_stack + 22540;
 Libderiv->deriv_classes[7][6][8] = int_stack + 23296;
 Libderiv->deriv_classes[7][7][8] = int_stack + 24304;
 Libderiv->deriv_classes[6][4][7] = int_stack + 25600;
 Libderiv->deriv_classes[6][5][7] = int_stack + 26020;
 Libderiv->deriv_classes[6][6][7] = int_stack + 26608;
 Libderiv->deriv_classes[6][7][7] = int_stack + 27392;
 Libderiv->deriv_classes[7][4][7] = int_stack + 28400;
 Libderiv->deriv_classes[7][5][7] = int_stack + 28940;
 Libderiv->deriv_classes[7][6][7] = int_stack + 29696;
 Libderiv->deriv_classes[7][7][7] = int_stack + 30704;
 Libderiv->deriv_classes[6][4][6] = int_stack + 32000;
 Libderiv->deriv_classes[6][5][6] = int_stack + 32420;
 Libderiv->deriv_classes[6][6][6] = int_stack + 33008;
 Libderiv->deriv_classes[6][7][6] = int_stack + 33792;
 Libderiv->dvrr_classes[7][4] = int_stack + 34800;
 Libderiv->deriv_classes[7][4][6] = int_stack + 35340;
 Libderiv->dvrr_classes[7][5] = int_stack + 35880;
 Libderiv->deriv_classes[7][5][6] = int_stack + 36636;
 Libderiv->dvrr_classes[7][6] = int_stack + 37392;
 Libderiv->deriv_classes[7][6][6] = int_stack + 38400;
 Libderiv->deriv_classes[7][7][6] = int_stack + 39408;
 Libderiv->deriv_classes[6][4][2] = int_stack + 40704;
 Libderiv->deriv_classes[6][5][2] = int_stack + 41124;
 Libderiv->deriv_classes[6][6][2] = int_stack + 41712;
 Libderiv->deriv_classes[6][7][2] = int_stack + 42496;
 Libderiv->deriv_classes[7][4][2] = int_stack + 43504;
 Libderiv->deriv_classes[7][5][2] = int_stack + 44044;
 Libderiv->deriv_classes[7][6][2] = int_stack + 44800;
 Libderiv->deriv_classes[7][7][2] = int_stack + 45808;
 Libderiv->deriv_classes[6][4][1] = int_stack + 47104;
 Libderiv->deriv_classes[6][5][1] = int_stack + 47524;
 Libderiv->deriv_classes[6][6][1] = int_stack + 48112;
 Libderiv->deriv_classes[6][7][1] = int_stack + 48896;
 Libderiv->deriv_classes[7][4][1] = int_stack + 49904;
 Libderiv->deriv_classes[7][5][1] = int_stack + 50444;
 Libderiv->deriv_classes[7][6][1] = int_stack + 51200;
 Libderiv->deriv_classes[7][7][1] = int_stack + 52208;
 Libderiv->dvrr_classes[6][4] = int_stack + 53504;
 Libderiv->dvrr_classes[6][5] = int_stack + 53924;
 Libderiv->dvrr_classes[6][6] = int_stack + 54512;
 Libderiv->dvrr_classes[6][7] = int_stack + 55296;
 Libderiv->deriv_classes[6][4][0] = int_stack + 56304;
 Libderiv->deriv_classes[6][5][0] = int_stack + 56724;
 Libderiv->deriv_classes[6][6][0] = int_stack + 57312;
 Libderiv->deriv_classes[6][7][0] = int_stack + 58096;
 Libderiv->deriv_classes[7][4][0] = int_stack + 59104;
 Libderiv->deriv_classes[7][5][0] = int_stack + 59644;
 Libderiv->deriv_classes[7][6][0] = int_stack + 60400;
 Libderiv->deriv_classes[7][7][0] = int_stack + 61408;
 memset(int_stack,0,501632);

 Libderiv->dvrr_stack = int_stack + 168832;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ipgf(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+62704,int_stack+53924,int_stack+53504,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+63964,int_stack+54512,int_stack+53924,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+65728,int_stack+63964,int_stack+62704,28);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+68248,int_stack+420,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53504,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+69508,int_stack+1008,int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53924,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+71272,int_stack+69508,int_stack+68248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62704,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+73792,int_stack+1792,int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54512,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+76144,int_stack+73792,int_stack+69508, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63964,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+79672,int_stack+76144,int_stack+71272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65728,28);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+68248,int_stack+35880,int_stack+34800,36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+69868,int_stack+37392,int_stack+35880,36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+72136,int_stack+69868,int_stack+68248,36);
 /*--- compute (k0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+75376,int_stack+3340,int_stack+2800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34800,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+76996,int_stack+4096,int_stack+3340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35880,36);
 /*--- compute (k0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+76996,int_stack+75376, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68248,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+83872,int_stack+5104,int_stack+4096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37392,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+86896,int_stack+83872,int_stack+76996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69868,36);
 /*--- compute (k0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+91432,int_stack+86896,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72136,36);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+6820,int_stack+6400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53504, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1260,int_stack+7408,int_stack+6820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53924, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3024,int_stack+1260,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62704, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+83872,int_stack+8192,int_stack+7408, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54512, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5544,int_stack+83872,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63964, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+83872,int_stack+5544,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65728, 0.0, zero_stack,28);
 /*--- compute (k0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+88072,int_stack+9740,int_stack+9200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34800, 0.0, zero_stack,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+10496,int_stack+9740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35880, 0.0, zero_stack,36);
 /*--- compute (k0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+2268,int_stack+0,int_stack+88072, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68248, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+88072,int_stack+11504,int_stack+10496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37392, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5508,int_stack+88072,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69868, 0.0, zero_stack,36);
 /*--- compute (k0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+96832,int_stack+5508,int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72136, 0.0, zero_stack,36);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+13220,int_stack+12800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53504, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1260,int_stack+13808,int_stack+13220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53924, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3024,int_stack+1260,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62704, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5544,int_stack+14592,int_stack+13808, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54512, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7896,int_stack+5544,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63964, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+75376,int_stack+7896,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65728, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+16140,int_stack+15600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34800, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1620,int_stack+16896,int_stack+16140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35880, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3888,int_stack+1620,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68248, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7128,int_stack+17904,int_stack+16896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37392, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10152,int_stack+7128,int_stack+1620, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69868, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+102232,int_stack+10152,int_stack+3888, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72136, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+19620,int_stack+19200, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1260,int_stack+20208,int_stack+19620, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3024,int_stack+1260,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+5544,int_stack+20992,int_stack+20208, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7896,int_stack+5544,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+11424,int_stack+7896,int_stack+3024, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+65728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+22540,int_stack+22000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1620,int_stack+23296,int_stack+22540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3888,int_stack+1620,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7128,int_stack+24304,int_stack+23296, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+15624,int_stack+7128,int_stack+1620, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+20160,int_stack+15624,int_stack+3888, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+72136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+15624,int_stack+26020,int_stack+25600, 0.0, zero_stack, 1.0, int_stack+53504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16884,int_stack+26608,int_stack+26020, 0.0, zero_stack, 1.0, int_stack+53924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+16884,int_stack+15624, 0.0, zero_stack, 1.0, int_stack+62704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2520,int_stack+27392,int_stack+26608, 0.0, zero_stack, 1.0, int_stack+54512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4872,int_stack+2520,int_stack+16884, 0.0, zero_stack, 1.0, int_stack+63964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+15624,int_stack+4872,int_stack+0, 0.0, zero_stack, 1.0, int_stack+65728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+28940,int_stack+28400, 0.0, zero_stack, 1.0, int_stack+34800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1620,int_stack+29696,int_stack+28940, 0.0, zero_stack, 1.0, int_stack+35880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3888,int_stack+1620,int_stack+0, 0.0, zero_stack, 1.0, int_stack+68248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+7128,int_stack+30704,int_stack+29696, 0.0, zero_stack, 1.0, int_stack+37392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+25560,int_stack+7128,int_stack+1620, 0.0, zero_stack, 1.0, int_stack+69868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+107632,int_stack+25560,int_stack+3888, 0.0, zero_stack, 1.0, int_stack+72136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+25560,int_stack+32420,int_stack+32000, 1.0, int_stack+53504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26820,int_stack+33008,int_stack+32420, 1.0, int_stack+53924, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+28584,int_stack+26820,int_stack+25560, 1.0, int_stack+62704, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+33792,int_stack+33008, 1.0, int_stack+54512, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+31104,int_stack+0,int_stack+26820, 1.0, int_stack+63964, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+0,int_stack+31104,int_stack+28584, 1.0, int_stack+65728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4200,int_stack+36636,int_stack+35340, 1.0, int_stack+34800, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5820,int_stack+38400,int_stack+36636, 1.0, int_stack+35880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+8088,int_stack+5820,int_stack+4200, 1.0, int_stack+68248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+25560,int_stack+39408,int_stack+38400, 1.0, int_stack+37392, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+28584,int_stack+25560,int_stack+5820, 1.0, int_stack+69868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|gf) ---*/
   d1hrr3_build_gf(Libderiv->CD,int_stack+33120,int_stack+28584,int_stack+8088, 1.0, int_stack+72136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+25560,int_stack+55296,int_stack+54512,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+27912,int_stack+25560,int_stack+63964,28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+68248,int_stack+27912,int_stack+65728,28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+25560,int_stack+41124,int_stack+40704,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+26820,int_stack+41712,int_stack+41124,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+28584,int_stack+26820,int_stack+25560,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+72448,int_stack+42496,int_stack+41712,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+4200,int_stack+72448,int_stack+26820,28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+62704,int_stack+4200,int_stack+28584,28);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+4200,int_stack+44044,int_stack+43504,36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5820,int_stack+44800,int_stack+44044,36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+8088,int_stack+5820,int_stack+4200,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+25560,int_stack+45808,int_stack+44800,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+28584,int_stack+25560,int_stack+5820,36);
 /*--- compute (k0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+38520,int_stack+28584,int_stack+8088,36);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+25560,int_stack+47524,int_stack+47104,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+26820,int_stack+48112,int_stack+47524,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+28584,int_stack+26820,int_stack+25560,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4200,int_stack+48896,int_stack+48112,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+6552,int_stack+4200,int_stack+26820,28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+43920,int_stack+6552,int_stack+28584,28);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+4200,int_stack+50444,int_stack+49904,36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5820,int_stack+51200,int_stack+50444,36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+8088,int_stack+5820,int_stack+4200,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+25560,int_stack+52208,int_stack+51200,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+28584,int_stack+25560,int_stack+5820,36);
 /*--- compute (k0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+48120,int_stack+28584,int_stack+8088,36);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+25560,int_stack+56724,int_stack+56304,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+26820,int_stack+57312,int_stack+56724,28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+28584,int_stack+26820,int_stack+25560,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4200,int_stack+58096,int_stack+57312,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+6552,int_stack+4200,int_stack+26820,28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+53520,int_stack+6552,int_stack+28584,28);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+4200,int_stack+59644,int_stack+59104,36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5820,int_stack+60400,int_stack+59644,36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+8088,int_stack+5820,int_stack+4200,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+25560,int_stack+61408,int_stack+60400,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+28584,int_stack+25560,int_stack+5820,36);
 /*--- compute (k0|gf) ---*/
   hrr3_build_gf(Libderiv->CD,int_stack+113032,int_stack+28584,int_stack+8088,36);
 /*--- compute (ip|gf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+118432,int_stack+91432,int_stack+79672,150);
     Libderiv->ABCD[11] = int_stack + 118432;
 /*--- compute (ip|gf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+131032,int_stack+96832,int_stack+83872,150);
     Libderiv->ABCD[10] = int_stack + 131032;
 /*--- compute (ip|gf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+79576,int_stack+102232,int_stack+75376,150);
     Libderiv->ABCD[9] = int_stack + 79576;
 /*--- compute (ip|gf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+92176,int_stack+20160,int_stack+11424,150);
     Libderiv->ABCD[8] = int_stack + 92176;
 /*--- compute (ip|gf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+19824,int_stack+107632,int_stack+15624,150);
     Libderiv->ABCD[7] = int_stack + 19824;
 /*--- compute (ip|gf) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+4200,int_stack+33120,int_stack+0,150);
     Libderiv->ABCD[6] = int_stack + 4200;
 /*--- compute (ip|gf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+143632,int_stack+38520,int_stack+62704, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[2] = int_stack + 143632;
 /*--- compute (ip|gf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+156232,int_stack+48120,int_stack+43920, 0.0, zero_stack, 1.0, int_stack+68248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[1] = int_stack + 156232;
 /*--- compute (ip|gf) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+32424,int_stack+113032,int_stack+53520, 1.0, int_stack+68248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,150);
     Libderiv->ABCD[0] = int_stack + 32424;

}
