#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_p0ip(Libderiv_t *, prim_data *);

  /* Computes derivatives of (p0|ip) integrals */

void d1hrr_order_p0ip(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][6][11] = int_stack + 0;
 Libderiv->deriv_classes[1][7][11] = int_stack + 84;
 Libderiv->deriv_classes[1][6][10] = int_stack + 192;
 Libderiv->deriv_classes[1][7][10] = int_stack + 276;
 Libderiv->deriv_classes[1][6][9] = int_stack + 384;
 Libderiv->deriv_classes[1][7][9] = int_stack + 468;
 Libderiv->deriv_classes[1][6][8] = int_stack + 576;
 Libderiv->deriv_classes[1][7][8] = int_stack + 660;
 Libderiv->deriv_classes[1][6][7] = int_stack + 768;
 Libderiv->deriv_classes[1][7][7] = int_stack + 852;
 Libderiv->dvrr_classes[1][6] = int_stack + 960;
 Libderiv->deriv_classes[1][6][6] = int_stack + 1044;
 Libderiv->deriv_classes[1][7][6] = int_stack + 1128;
 Libderiv->deriv_classes[1][6][2] = int_stack + 1236;
 Libderiv->deriv_classes[1][7][2] = int_stack + 1320;
 Libderiv->deriv_classes[1][6][1] = int_stack + 1428;
 Libderiv->deriv_classes[1][7][1] = int_stack + 1512;
 Libderiv->deriv_classes[1][6][0] = int_stack + 1620;
 Libderiv->deriv_classes[1][7][0] = int_stack + 1704;
 memset(int_stack,0,14496);

 Libderiv->dvrr_stack = int_stack + 2568;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_p0ip(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1812,int_stack+84,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+960,3);
     Libderiv->ABCD[11] = int_stack + 1812;
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2064,int_stack+276,int_stack+192, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+960, 0.0, zero_stack,3);
     Libderiv->ABCD[10] = int_stack + 2064;
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+468,int_stack+384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+960, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+252,int_stack+660,int_stack+576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[8] = int_stack + 252;
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+504,int_stack+852,int_stack+768, 0.0, zero_stack, 1.0, int_stack+960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[7] = int_stack + 504;
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+2316,int_stack+1128,int_stack+1044, 1.0, int_stack+960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[6] = int_stack + 2316;
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+756,int_stack+1320,int_stack+1236,3);
     Libderiv->ABCD[2] = int_stack + 756;
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1008,int_stack+1512,int_stack+1428,3);
     Libderiv->ABCD[1] = int_stack + 1008;
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1260,int_stack+1704,int_stack+1620,3);
     Libderiv->ABCD[0] = int_stack + 1260;

}
