#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddif(Libint_t*, prim_data*);

  /* Computes quartets of (dd|if) integrals */

REALTYPE *hrr_order_ddif(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][6] = int_stack + 0;
 Libint->vrr_classes[2][7] = int_stack + 168;
 Libint->vrr_classes[2][8] = int_stack + 384;
 Libint->vrr_classes[2][9] = int_stack + 654;
 Libint->vrr_classes[3][6] = int_stack + 984;
 Libint->vrr_classes[3][7] = int_stack + 1264;
 Libint->vrr_classes[3][8] = int_stack + 1624;
 Libint->vrr_classes[3][9] = int_stack + 2074;
 Libint->vrr_classes[4][6] = int_stack + 2624;
 Libint->vrr_classes[4][7] = int_stack + 3044;
 Libint->vrr_classes[4][8] = int_stack + 3584;
 Libint->vrr_classes[4][9] = int_stack + 4259;
 memset(int_stack,0,5084*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5084;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddif(Libint, Data);
   Data++;
 }
 /*--- compute (d0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+5084,int_stack+168,int_stack+0,6);
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5588,int_stack+384,int_stack+168,6);
 /*--- compute (d0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+6236,int_stack+5588,int_stack+5084,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7244,int_stack+654,int_stack+384,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+8054,int_stack+7244,int_stack+5588,6);
 /*--- compute (d0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+9350,int_stack+8054,int_stack+6236,6);
 /*--- compute (f0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+5084,int_stack+1264,int_stack+984,10);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5924,int_stack+1624,int_stack+1264,10);
 /*--- compute (f0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+7004,int_stack+5924,int_stack+5084,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+2074,int_stack+1624,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+11030,int_stack+0,int_stack+5924,10);
 /*--- compute (f0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+13190,int_stack+11030,int_stack+7004,10);
 /*--- compute (dp|if) ---*/
 hrr1_build_dp(Libint->AB,int_stack+15990,int_stack+13190,int_stack+9350,280);
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+3044,int_stack+2624,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+1260,int_stack+3584,int_stack+3044,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+5084,int_stack+1260,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7604,int_stack+4259,int_stack+3584,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+9629,int_stack+7604,int_stack+1260,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+9629,int_stack+5084,15);
 /*--- compute (fp|if) ---*/
 hrr1_build_fp(Libint->AB,int_stack+4200,int_stack+0,int_stack+13190,280);
 /*--- compute (dd|if) ---*/
 hrr1_build_dd(Libint->AB,int_stack+21030,int_stack+4200,int_stack+15990,280);
 return int_stack+21030;}
