#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddnl(Libint_t*, prim_data*);

  /* Computes quartets of (dd|nl) integrals */

REALTYPE *hrr_order_ddnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][10] = int_stack + 0;
 Libint->vrr_classes[2][11] = int_stack + 396;
 Libint->vrr_classes[2][12] = int_stack + 864;
 Libint->vrr_classes[2][13] = int_stack + 1410;
 Libint->vrr_classes[2][14] = int_stack + 2040;
 Libint->vrr_classes[2][15] = int_stack + 2760;
 Libint->vrr_classes[2][16] = int_stack + 3576;
 Libint->vrr_classes[2][17] = int_stack + 4494;
 Libint->vrr_classes[2][18] = int_stack + 5520;
 Libint->vrr_classes[3][10] = int_stack + 6660;
 Libint->vrr_classes[3][11] = int_stack + 7320;
 Libint->vrr_classes[3][12] = int_stack + 8100;
 Libint->vrr_classes[3][13] = int_stack + 9010;
 Libint->vrr_classes[3][14] = int_stack + 10060;
 Libint->vrr_classes[3][15] = int_stack + 11260;
 Libint->vrr_classes[3][16] = int_stack + 12620;
 Libint->vrr_classes[3][17] = int_stack + 14150;
 Libint->vrr_classes[3][18] = int_stack + 15860;
 Libint->vrr_classes[4][10] = int_stack + 17760;
 Libint->vrr_classes[4][11] = int_stack + 18750;
 Libint->vrr_classes[4][12] = int_stack + 19920;
 Libint->vrr_classes[4][13] = int_stack + 21285;
 Libint->vrr_classes[4][14] = int_stack + 22860;
 Libint->vrr_classes[4][15] = int_stack + 24660;
 Libint->vrr_classes[4][16] = int_stack + 26700;
 Libint->vrr_classes[4][17] = int_stack + 28995;
 Libint->vrr_classes[4][18] = int_stack + 31560;
 memset(int_stack,0,34410*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 34410;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddnl(Libint, Data);
   Data++;
 }
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+34410,int_stack+396,int_stack+0,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+35598,int_stack+864,int_stack+396,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+37002,int_stack+35598,int_stack+34410,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+39378,int_stack+1410,int_stack+864,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+41016,int_stack+39378,int_stack+35598,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+43824,int_stack+41016,int_stack+37002,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+34410,int_stack+2040,int_stack+1410,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+47784,int_stack+34410,int_stack+39378,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+36300,int_stack+47784,int_stack+41016,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+51060,int_stack+36300,int_stack+43824,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+40980,int_stack+2760,int_stack+2040,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+43140,int_stack+40980,int_stack+34410,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+57000,int_stack+43140,int_stack+47784,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+62460,int_stack+57000,int_stack+36300,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+69480,int_stack+62460,int_stack+51060,6);
 /*--- compute (d0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+34410,int_stack+3576,int_stack+2760,6);
 /*--- compute (d0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+46920,int_stack+34410,int_stack+40980,6);
 /*--- compute (d0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+77796,int_stack+46920,int_stack+43140,6);
 /*--- compute (d0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+36858,int_stack+77796,int_stack+57000,6);
 /*--- compute (d0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+51240,int_stack+36858,int_stack+62460,6);
 /*--- compute (d0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+84096,int_stack+51240,int_stack+69480,6);
 /*--- compute (d0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+61068,int_stack+4494,int_stack+3576,6);
 /*--- compute (d0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+63822,int_stack+61068,int_stack+34410,6);
 /*--- compute (d0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+68718,int_stack+63822,int_stack+46920,6);
 /*--- compute (d0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+95184,int_stack+68718,int_stack+77796,6);
 /*--- compute (d0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+104634,int_stack+95184,int_stack+36858,6);
 /*--- compute (d0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+34410,int_stack+104634,int_stack+51240,6);
 /*--- compute (d0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+116100,int_stack+34410,int_stack+84096,6);
 /*--- compute (d0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+47514,int_stack+5520,int_stack+4494,6);
 /*--- compute (d0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+50592,int_stack+47514,int_stack+61068,6);
 /*--- compute (d0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+75918,int_stack+50592,int_stack+63822,6);
 /*--- compute (d0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+47514,int_stack+75918,int_stack+68718,6);
 /*--- compute (d0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+58314,int_stack+47514,int_stack+95184,6);
 /*--- compute (d0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+71544,int_stack+58314,int_stack+104634,6);
 /*--- compute (d0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+47514,int_stack+71544,int_stack+34410,6);
 /*--- compute (d0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+64362,int_stack+47514,int_stack+116100,6);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+34410,int_stack+7320,int_stack+6660,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+36390,int_stack+8100,int_stack+7320,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+38730,int_stack+36390,int_stack+34410,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+42690,int_stack+9010,int_stack+8100,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+45420,int_stack+42690,int_stack+36390,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+50100,int_stack+45420,int_stack+38730,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+34410,int_stack+10060,int_stack+9010,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+56700,int_stack+34410,int_stack+42690,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+37560,int_stack+56700,int_stack+45420,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+82182,int_stack+37560,int_stack+50100,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+45360,int_stack+11260,int_stack+10060,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+48960,int_stack+45360,int_stack+34410,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+92082,int_stack+48960,int_stack+56700,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+101182,int_stack+92082,int_stack+37560,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+112882,int_stack+101182,int_stack+82182,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+82182,int_stack+12620,int_stack+11260,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+34410,int_stack+82182,int_stack+45360,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+34410,int_stack+48960,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+41610,int_stack+0,int_stack+92082,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+126742,int_stack+41610,int_stack+101182,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+86262,int_stack+126742,int_stack+112882,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+104742,int_stack+14150,int_stack+12620,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+109332,int_stack+104742,int_stack+82182,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+143122,int_stack+109332,int_stack+34410,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+155122,int_stack+143122,int_stack+0,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+170872,int_stack+155122,int_stack+41610,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+34410,int_stack+170872,int_stack+126742,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+117492,int_stack+34410,int_stack+86262,10);
 /*--- compute (f0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+15860,int_stack+14150,10);
 /*--- compute (f0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+5130,int_stack+0,int_stack+104742,10);
 /*--- compute (f0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+82182,int_stack+5130,int_stack+109332,10);
 /*--- compute (f0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+95782,int_stack+82182,int_stack+143122,10);
 /*--- compute (f0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+189982,int_stack+95782,int_stack+155122,10);
 /*--- compute (f0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+82182,int_stack+189982,int_stack+170872,10);
 /*--- compute (f0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+141252,int_stack+82182,int_stack+34410,10);
 /*--- compute (f0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+34410,int_stack+141252,int_stack+117492,10);
 /*--- compute (dp|nl) ---*/
 hrr1_build_dp(Libint->AB,int_stack+82182,int_stack+34410,int_stack+64362,2970);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+64110,int_stack+18750,int_stack+17760,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+67080,int_stack+19920,int_stack+18750,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+70590,int_stack+67080,int_stack+64110,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+76530,int_stack+21285,int_stack+19920,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+135642,int_stack+76530,int_stack+67080,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+142662,int_stack+135642,int_stack+70590,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+64110,int_stack+22860,int_stack+21285,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+152562,int_stack+64110,int_stack+76530,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+68835,int_stack+152562,int_stack+135642,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+160752,int_stack+68835,int_stack+142662,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+135642,int_stack+24660,int_stack+22860,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+141042,int_stack+135642,int_stack+64110,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+175602,int_stack+141042,int_stack+152562,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+189252,int_stack+175602,int_stack+68835,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+189252,int_stack+160752,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+64110,int_stack+26700,int_stack+24660,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+70230,int_stack+64110,int_stack+135642,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+150492,int_stack+70230,int_stack+141042,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+206802,int_stack+150492,int_stack+175602,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+227277,int_stack+206802,int_stack+189252,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+166242,int_stack+227277,int_stack+0,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+28995,int_stack+26700,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+6885,int_stack+0,int_stack+64110,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+251847,int_stack+6885,int_stack+70230,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+269847,int_stack+251847,int_stack+150492,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+135642,int_stack+269847,int_stack+206802,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+193962,int_stack+135642,int_stack+227277,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+293472,int_stack+193962,int_stack+166242,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+64110,int_stack+31560,int_stack+28995,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+19125,int_stack+64110,int_stack+0,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+164307,int_stack+19125,int_stack+6885,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+164307,int_stack+251847,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+226722,int_stack+0,int_stack+269847,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+329112,int_stack+226722,int_stack+135642,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+135642,int_stack+329112,int_stack+193962,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+177762,int_stack+135642,int_stack+293472,15);
 /*--- compute (fp|nl) ---*/
 hrr1_build_fp(Libint->AB,int_stack+222312,int_stack+177762,int_stack+34410,2970);
 /*--- compute (dd|nl) ---*/
 hrr1_build_dd(Libint->AB,int_stack+311412,int_stack+222312,int_stack+82182,2970);
 return int_stack+311412;}
