#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpkp(Libint_t*, prim_data*);

  /* Computes quartets of (dp|kp) integrals */

REALTYPE *hrr_order_dpkp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][7] = int_stack + 0;
 Libint->vrr_classes[2][8] = int_stack + 216;
 Libint->vrr_classes[3][7] = int_stack + 486;
 Libint->vrr_classes[3][8] = int_stack + 846;
 memset(int_stack,0,1296*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1296;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpkp(Libint, Data);
   Data++;
 }
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+1296,int_stack+216,int_stack+0,6);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+1944,int_stack+846,int_stack+486,10);
 /*--- compute (dp|kp) ---*/
 hrr1_build_dp(Libint->AB,int_stack+3024,int_stack+1944,int_stack+1296,108);
 return int_stack+3024;}
