#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_f0lf(Libint_t*, prim_data*);

  /* Computes quartets of (f0|lf) integrals */

REALTYPE *hrr_order_f0lf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][8] = int_stack + 0;
 Libint->vrr_classes[3][9] = int_stack + 450;
 Libint->vrr_classes[3][10] = int_stack + 1000;
 Libint->vrr_classes[3][11] = int_stack + 1660;
 memset(int_stack,0,2440*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2440;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_f0lf(Libint, Data);
   Data++;
 }
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+2440,int_stack+450,int_stack+0,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3790,int_stack+1000,int_stack+450,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+5440,int_stack+3790,int_stack+2440,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+8140,int_stack+1660,int_stack+1000,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+8140,int_stack+3790,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+8140,int_stack+0,int_stack+5440,10);
 return int_stack+8140;}
