#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdkp(Libint_t*, prim_data*);

  /* Computes quartets of (fd|kp) integrals */

REALTYPE *hrr_order_fdkp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][7] = int_stack + 0;
 Libint->vrr_classes[3][8] = int_stack + 360;
 Libint->vrr_classes[4][7] = int_stack + 810;
 Libint->vrr_classes[4][8] = int_stack + 1350;
 Libint->vrr_classes[5][7] = int_stack + 2025;
 Libint->vrr_classes[5][8] = int_stack + 2781;
 memset(int_stack,0,3726*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3726;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdkp(Libint, Data);
   Data++;
 }
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3726,int_stack+360,int_stack+0,10);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4806,int_stack+1350,int_stack+810,15);
 /*--- compute (fp|kp) ---*/
 hrr1_build_fp(Libint->AB,int_stack+6426,int_stack+4806,int_stack+3726,108);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+9666,int_stack+2781,int_stack+2025,21);
 /*--- compute (gp|kp) ---*/
 hrr1_build_gp(Libint->AB,int_stack+11934,int_stack+9666,int_stack+4806,108);
 /*--- compute (fd|kp) ---*/
 hrr1_build_fd(Libint->AB,int_stack+16794,int_stack+11934,int_stack+6426,108);
 return int_stack+16794;}
