#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fpkp(Libint_t*, prim_data*);

  /* Computes quartets of (fp|kp) integrals */

REALTYPE *hrr_order_fpkp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][7] = int_stack + 0;
 Libint->vrr_classes[3][8] = int_stack + 360;
 Libint->vrr_classes[4][7] = int_stack + 810;
 Libint->vrr_classes[4][8] = int_stack + 1350;
 memset(int_stack,0,2025*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2025;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fpkp(Libint, Data);
   Data++;
 }
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2025,int_stack+360,int_stack+0,10);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3105,int_stack+1350,int_stack+810,15);
 /*--- compute (fp|kp) ---*/
 hrr1_build_fp(Libint->AB,int_stack+4725,int_stack+3105,int_stack+2025,108);
 return int_stack+4725;}
