#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdnl(Libint_t*, prim_data*);

  /* Computes quartets of (gd|nl) integrals */

REALTYPE *hrr_order_gdnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[4][15] = int_stack + 6900;
 Libint->vrr_classes[4][16] = int_stack + 8940;
 Libint->vrr_classes[4][17] = int_stack + 11235;
 Libint->vrr_classes[4][18] = int_stack + 13800;
 Libint->vrr_classes[5][10] = int_stack + 16650;
 Libint->vrr_classes[5][11] = int_stack + 18036;
 Libint->vrr_classes[5][12] = int_stack + 19674;
 Libint->vrr_classes[5][13] = int_stack + 21585;
 Libint->vrr_classes[5][14] = int_stack + 23790;
 Libint->vrr_classes[5][15] = int_stack + 26310;
 Libint->vrr_classes[5][16] = int_stack + 29166;
 Libint->vrr_classes[5][17] = int_stack + 32379;
 Libint->vrr_classes[5][18] = int_stack + 35970;
 Libint->vrr_classes[6][10] = int_stack + 39960;
 Libint->vrr_classes[6][11] = int_stack + 41808;
 Libint->vrr_classes[6][12] = int_stack + 43992;
 Libint->vrr_classes[6][13] = int_stack + 46540;
 Libint->vrr_classes[6][14] = int_stack + 49480;
 Libint->vrr_classes[6][15] = int_stack + 52840;
 Libint->vrr_classes[6][16] = int_stack + 56648;
 Libint->vrr_classes[6][17] = int_stack + 60932;
 Libint->vrr_classes[6][18] = int_stack + 65720;
 memset(int_stack,0,71040*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 71040;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdnl(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+71040,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+74010,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+77520,int_stack+74010,int_stack+71040,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+83460,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+87555,int_stack+83460,int_stack+74010,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+94575,int_stack+87555,int_stack+77520,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+71040,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+104475,int_stack+71040,int_stack+83460,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+75765,int_stack+104475,int_stack+87555,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+112665,int_stack+75765,int_stack+94575,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+87465,int_stack+6900,int_stack+5100,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+92865,int_stack+87465,int_stack+71040,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+127515,int_stack+92865,int_stack+104475,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+141165,int_stack+127515,int_stack+75765,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+158715,int_stack+141165,int_stack+112665,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+71040,int_stack+8940,int_stack+6900,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+102315,int_stack+71040,int_stack+87465,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+179505,int_stack+102315,int_stack+92865,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+77160,int_stack+179505,int_stack+127515,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+113115,int_stack+77160,int_stack+141165,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+195255,int_stack+113115,int_stack+158715,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+137685,int_stack+11235,int_stack+8940,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+144570,int_stack+137685,int_stack+71040,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+156810,int_stack+144570,int_stack+102315,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+222975,int_stack+156810,int_stack+179505,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+246600,int_stack+222975,int_stack+77160,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+71040,int_stack+246600,int_stack+113115,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+275265,int_stack+71040,int_stack+195255,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+103800,int_stack+13800,int_stack+11235,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+111495,int_stack+103800,int_stack+137685,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+174810,int_stack+111495,int_stack+144570,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+103800,int_stack+174810,int_stack+156810,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+130800,int_stack+103800,int_stack+222975,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+163875,int_stack+130800,int_stack+246600,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+103800,int_stack+163875,int_stack+71040,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+145920,int_stack+103800,int_stack+275265,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+71040,int_stack+18036,int_stack+16650,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+75198,int_stack+19674,int_stack+18036,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+80112,int_stack+75198,int_stack+71040,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+88428,int_stack+21585,int_stack+19674,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+94161,int_stack+88428,int_stack+75198,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+103989,int_stack+94161,int_stack+80112,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+71040,int_stack+23790,int_stack+21585,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+117849,int_stack+71040,int_stack+88428,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+77655,int_stack+117849,int_stack+94161,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+190470,int_stack+77655,int_stack+103989,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+94035,int_stack+26310,int_stack+23790,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+101595,int_stack+94035,int_stack+71040,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+211260,int_stack+101595,int_stack+117849,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+114825,int_stack+211260,int_stack+77655,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+230370,int_stack+114825,int_stack+190470,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+190470,int_stack+29166,int_stack+26310,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+71040,int_stack+190470,int_stack+94035,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+259476,int_stack+71040,int_stack+101595,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+86160,int_stack+259476,int_stack+211260,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+281526,int_stack+86160,int_stack+114825,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+315924,int_stack+281526,int_stack+230370,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+114825,int_stack+32379,int_stack+29166,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+124464,int_stack+114825,int_stack+190470,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+190470,int_stack+124464,int_stack+71040,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+215670,int_stack+190470,int_stack+259476,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+354732,int_stack+215670,int_stack+86160,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+394863,int_stack+354732,int_stack+281526,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+248745,int_stack+394863,int_stack+315924,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+71040,int_stack+35970,int_stack+32379,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+81813,int_stack+71040,int_stack+114825,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+298641,int_stack+81813,int_stack+124464,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+71040,int_stack+298641,int_stack+190470,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+298641,int_stack+71040,int_stack+215670,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+71040,int_stack+298641,int_stack+354732,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+298641,int_stack+71040,int_stack+394863,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+71040,int_stack+298641,int_stack+248745,21);
 /*--- compute (gp|nl) ---*/
 hrr1_build_gp(Libint->AB,int_stack+190470,int_stack+71040,int_stack+145920,2970);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+133410,int_stack+41808,int_stack+39960,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+138954,int_stack+43992,int_stack+41808,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+145506,int_stack+138954,int_stack+133410,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+156594,int_stack+46540,int_stack+43992,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+164238,int_stack+156594,int_stack+138954,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+324120,int_stack+164238,int_stack+145506,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+133410,int_stack+49480,int_stack+46540,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+342600,int_stack+133410,int_stack+156594,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+142230,int_stack+342600,int_stack+164238,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+357888,int_stack+142230,int_stack+324120,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+324120,int_stack+52840,int_stack+49480,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+164070,int_stack+324120,int_stack+133410,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+385608,int_stack+164070,int_stack+342600,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+385608,int_stack+142230,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+411088,int_stack+0,int_stack+357888,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+133410,int_stack+56648,int_stack+52840,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+334200,int_stack+133410,int_stack+324120,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+354360,int_stack+334200,int_stack+164070,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+144834,int_stack+354360,int_stack+385608,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+449896,int_stack+144834,int_stack+0,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+449896,int_stack+411088,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+383760,int_stack+60932,int_stack+56648,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+396612,int_stack+383760,int_stack+133410,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+495760,int_stack+396612,int_stack+334200,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+529360,int_stack+495760,int_stack+354360,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+324120,int_stack+529360,int_stack+144834,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+573460,int_stack+324120,int_stack+449896,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+419460,int_stack+573460,int_stack+0,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+65720,int_stack+60932,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+14364,int_stack+0,int_stack+383760,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+133410,int_stack+14364,int_stack+396612,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+133410,int_stack+495760,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+634612,int_stack+0,int_stack+529360,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+485988,int_stack+634612,int_stack+324120,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+324120,int_stack+485988,int_stack+573460,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+485988,int_stack+324120,int_stack+419460,28);
 /*--- compute (hp|nl) ---*/
 hrr1_build_hp(Libint->AB,int_stack+569148,int_stack+485988,int_stack+71040,2970);
 /*--- compute (gd|nl) ---*/
 hrr1_build_gd(Libint->AB,int_stack+756258,int_stack+569148,int_stack+190470,2970);
 return int_stack+756258;}
