#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfl0(Libint_t*, prim_data*);

  /* Computes quartets of (gf|l0) integrals */

REALTYPE *hrr_order_gfl0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][8] = int_stack + 0;
 Libint->vrr_classes[5][8] = int_stack + 675;
 Libint->vrr_classes[6][8] = int_stack + 1620;
 Libint->vrr_classes[7][8] = int_stack + 2880;
 memset(int_stack,0,4500*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 4500;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfl0(Libint, Data);
   Data++;
 }
 /*--- compute (gp|l0) ---*/
 hrr1_build_gp(Libint->AB,int_stack+4500,int_stack+675,int_stack+0,45);
 /*--- compute (hp|l0) ---*/
 hrr1_build_hp(Libint->AB,int_stack+6525,int_stack+1620,int_stack+675,45);
 /*--- compute (gd|l0) ---*/
 hrr1_build_gd(Libint->AB,int_stack+9360,int_stack+6525,int_stack+4500,45);
 /*--- compute (ip|l0) ---*/
 hrr1_build_ip(Libint->AB,int_stack+13410,int_stack+2880,int_stack+1620,45);
 /*--- compute (hd|l0) ---*/
 hrr1_build_hd(Libint->AB,int_stack+0,int_stack+13410,int_stack+6525,45);
 /*--- compute (gf|l0) ---*/
 hrr1_build_gf(Libint->AB,int_stack+13410,int_stack+0,int_stack+9360,45);
 return int_stack+13410;}
