#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfmf(Libint_t*, prim_data*);

  /* Computes quartets of (gf|mf) integrals */

REALTYPE *hrr_order_gfmf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 Libint->vrr_classes[4][12] = int_stack + 2985;
 Libint->vrr_classes[5][9] = int_stack + 4350;
 Libint->vrr_classes[5][10] = int_stack + 5505;
 Libint->vrr_classes[5][11] = int_stack + 6891;
 Libint->vrr_classes[5][12] = int_stack + 8529;
 Libint->vrr_classes[6][9] = int_stack + 10440;
 Libint->vrr_classes[6][10] = int_stack + 11980;
 Libint->vrr_classes[6][11] = int_stack + 13828;
 Libint->vrr_classes[6][12] = int_stack + 16012;
 Libint->vrr_classes[7][9] = int_stack + 18560;
 Libint->vrr_classes[7][10] = int_stack + 20540;
 Libint->vrr_classes[7][11] = int_stack + 22916;
 Libint->vrr_classes[7][12] = int_stack + 25724;
 memset(int_stack,0,29000*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 29000;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfmf(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+29000,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31475,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+34445,int_stack+31475,int_stack+29000,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+39395,int_stack+2985,int_stack+1815,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+42905,int_stack+39395,int_stack+31475,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+48845,int_stack+42905,int_stack+34445,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+29000,int_stack+5505,int_stack+4350,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+32465,int_stack+6891,int_stack+5505,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+36623,int_stack+32465,int_stack+29000,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+43553,int_stack+8529,int_stack+6891,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+43553,int_stack+32465,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+57095,int_stack+0,int_stack+36623,21);
 /*--- compute (gp|mf) ---*/
 hrr1_build_gp(Libint->AB,int_stack+68645,int_stack+57095,int_stack+48845,550);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+11980,int_stack+10440,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4620,int_stack+13828,int_stack+11980,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+29000,int_stack+4620,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+38240,int_stack+16012,int_stack+13828,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+44792,int_stack+38240,int_stack+4620,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+44792,int_stack+29000,28);
 /*--- compute (hp|mf) ---*/
 hrr1_build_hp(Libint->AB,int_stack+93395,int_stack+0,int_stack+57095,550);
 /*--- compute (gd|mf) ---*/
 hrr1_build_gd(Libint->AB,int_stack+128045,int_stack+93395,int_stack+68645,550);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+29000,int_stack+20540,int_stack+18560,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+34940,int_stack+22916,int_stack+20540,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+42068,int_stack+34940,int_stack+29000,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+53948,int_stack+25724,int_stack+22916,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+62372,int_stack+53948,int_stack+34940,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+15400,int_stack+62372,int_stack+42068,36);
 /*--- compute (ip|mf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+35200,int_stack+15400,int_stack+0,550);
 /*--- compute (hd|mf) ---*/
 hrr1_build_hd(Libint->AB,int_stack+177545,int_stack+35200,int_stack+93395,550);
 /*--- compute (gf|mf) ---*/
 hrr1_build_gf(Libint->AB,int_stack+0,int_stack+177545,int_stack+128045,550);
 return int_stack+0;}
