#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggmp(Libint_t*, prim_data*);

  /* Computes quartets of (gg|mp) integrals */

REALTYPE *hrr_order_ggmp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[5][9] = int_stack + 1815;
 Libint->vrr_classes[5][10] = int_stack + 2970;
 Libint->vrr_classes[6][9] = int_stack + 4356;
 Libint->vrr_classes[6][10] = int_stack + 5896;
 Libint->vrr_classes[7][9] = int_stack + 7744;
 Libint->vrr_classes[7][10] = int_stack + 9724;
 Libint->vrr_classes[8][9] = int_stack + 12100;
 Libint->vrr_classes[8][10] = int_stack + 14575;
 memset(int_stack,0,17545*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 17545;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggmp(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+17545,int_stack+825,int_stack+0,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+20020,int_stack+2970,int_stack+1815,21);
 /*--- compute (gp|mp) ---*/
 hrr1_build_gp(Libint->AB,int_stack+23485,int_stack+20020,int_stack+17545,165);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30910,int_stack+5896,int_stack+4356,28);
 /*--- compute (hp|mp) ---*/
 hrr1_build_hp(Libint->AB,int_stack+35530,int_stack+30910,int_stack+20020,165);
 /*--- compute (gd|mp) ---*/
 hrr1_build_gd(Libint->AB,int_stack+45925,int_stack+35530,int_stack+23485,165);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+17545,int_stack+9724,int_stack+7744,36);
 /*--- compute (ip|mp) ---*/
 hrr1_build_ip(Libint->AB,int_stack+60775,int_stack+17545,int_stack+30910,165);
 /*--- compute (hd|mp) ---*/
 hrr1_build_hd(Libint->AB,int_stack+74635,int_stack+60775,int_stack+35530,165);
 /*--- compute (gf|mp) ---*/
 hrr1_build_gf(Libint->AB,int_stack+95425,int_stack+74635,int_stack+45925,165);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+23485,int_stack+14575,int_stack+12100,45);
 /*--- compute (kp|mp) ---*/
 hrr1_build_kp(Libint->AB,int_stack+30910,int_stack+23485,int_stack+17545,165);
 /*--- compute (id|mp) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+30910,int_stack+60775,165);
 /*--- compute (hf|mp) ---*/
 hrr1_build_hf(Libint->AB,int_stack+27720,int_stack+0,int_stack+74635,165);
 /*--- compute (gg|mp) ---*/
 hrr1_build_gg(Libint->AB,int_stack+120175,int_stack+27720,int_stack+95425,165);
 return int_stack+120175;}
