#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ggnl(Libint_t*, prim_data*);

  /* Computes quartets of (gg|nl) integrals */

REALTYPE *hrr_order_ggnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[4][15] = int_stack + 6900;
 Libint->vrr_classes[4][16] = int_stack + 8940;
 Libint->vrr_classes[4][17] = int_stack + 11235;
 Libint->vrr_classes[4][18] = int_stack + 13800;
 Libint->vrr_classes[5][10] = int_stack + 16650;
 Libint->vrr_classes[5][11] = int_stack + 18036;
 Libint->vrr_classes[5][12] = int_stack + 19674;
 Libint->vrr_classes[5][13] = int_stack + 21585;
 Libint->vrr_classes[5][14] = int_stack + 23790;
 Libint->vrr_classes[5][15] = int_stack + 26310;
 Libint->vrr_classes[5][16] = int_stack + 29166;
 Libint->vrr_classes[5][17] = int_stack + 32379;
 Libint->vrr_classes[5][18] = int_stack + 35970;
 Libint->vrr_classes[6][10] = int_stack + 39960;
 Libint->vrr_classes[6][11] = int_stack + 41808;
 Libint->vrr_classes[6][12] = int_stack + 43992;
 Libint->vrr_classes[6][13] = int_stack + 46540;
 Libint->vrr_classes[6][14] = int_stack + 49480;
 Libint->vrr_classes[6][15] = int_stack + 52840;
 Libint->vrr_classes[6][16] = int_stack + 56648;
 Libint->vrr_classes[6][17] = int_stack + 60932;
 Libint->vrr_classes[6][18] = int_stack + 65720;
 Libint->vrr_classes[7][10] = int_stack + 71040;
 Libint->vrr_classes[7][11] = int_stack + 73416;
 Libint->vrr_classes[7][12] = int_stack + 76224;
 Libint->vrr_classes[7][13] = int_stack + 79500;
 Libint->vrr_classes[7][14] = int_stack + 83280;
 Libint->vrr_classes[7][15] = int_stack + 87600;
 Libint->vrr_classes[7][16] = int_stack + 92496;
 Libint->vrr_classes[7][17] = int_stack + 98004;
 Libint->vrr_classes[7][18] = int_stack + 104160;
 Libint->vrr_classes[8][10] = int_stack + 111000;
 Libint->vrr_classes[8][11] = int_stack + 113970;
 Libint->vrr_classes[8][12] = int_stack + 117480;
 Libint->vrr_classes[8][13] = int_stack + 121575;
 Libint->vrr_classes[8][14] = int_stack + 126300;
 Libint->vrr_classes[8][15] = int_stack + 131700;
 Libint->vrr_classes[8][16] = int_stack + 137820;
 Libint->vrr_classes[8][17] = int_stack + 144705;
 Libint->vrr_classes[8][18] = int_stack + 152400;
 memset(int_stack,0,160950*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 160950;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ggnl(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+160950,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+163920,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+167430,int_stack+163920,int_stack+160950,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+173370,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+177465,int_stack+173370,int_stack+163920,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+184485,int_stack+177465,int_stack+167430,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+160950,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+194385,int_stack+160950,int_stack+173370,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+165675,int_stack+194385,int_stack+177465,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+202575,int_stack+165675,int_stack+184485,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+177375,int_stack+6900,int_stack+5100,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+182775,int_stack+177375,int_stack+160950,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+217425,int_stack+182775,int_stack+194385,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+231075,int_stack+217425,int_stack+165675,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+248625,int_stack+231075,int_stack+202575,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+160950,int_stack+8940,int_stack+6900,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+192225,int_stack+160950,int_stack+177375,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+269415,int_stack+192225,int_stack+182775,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+167070,int_stack+269415,int_stack+217425,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+203025,int_stack+167070,int_stack+231075,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+285165,int_stack+203025,int_stack+248625,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+227595,int_stack+11235,int_stack+8940,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+234480,int_stack+227595,int_stack+160950,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+246720,int_stack+234480,int_stack+192225,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+312885,int_stack+246720,int_stack+269415,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+336510,int_stack+312885,int_stack+167070,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+160950,int_stack+336510,int_stack+203025,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+365175,int_stack+160950,int_stack+285165,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+193710,int_stack+13800,int_stack+11235,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+201405,int_stack+193710,int_stack+227595,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+264720,int_stack+201405,int_stack+234480,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+193710,int_stack+264720,int_stack+246720,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+220710,int_stack+193710,int_stack+312885,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+253785,int_stack+220710,int_stack+336510,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+193710,int_stack+253785,int_stack+160950,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+235830,int_stack+193710,int_stack+365175,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+160950,int_stack+18036,int_stack+16650,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+165108,int_stack+19674,int_stack+18036,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+170022,int_stack+165108,int_stack+160950,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+178338,int_stack+21585,int_stack+19674,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+184071,int_stack+178338,int_stack+165108,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+193899,int_stack+184071,int_stack+170022,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+160950,int_stack+23790,int_stack+21585,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+207759,int_stack+160950,int_stack+178338,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+167565,int_stack+207759,int_stack+184071,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+280380,int_stack+167565,int_stack+193899,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+183945,int_stack+26310,int_stack+23790,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+191505,int_stack+183945,int_stack+160950,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+301170,int_stack+191505,int_stack+207759,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+204735,int_stack+301170,int_stack+167565,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+320280,int_stack+204735,int_stack+280380,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+280380,int_stack+29166,int_stack+26310,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+160950,int_stack+280380,int_stack+183945,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+349386,int_stack+160950,int_stack+191505,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+176070,int_stack+349386,int_stack+301170,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+371436,int_stack+176070,int_stack+204735,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+405834,int_stack+371436,int_stack+320280,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+204735,int_stack+32379,int_stack+29166,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+214374,int_stack+204735,int_stack+280380,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+280380,int_stack+214374,int_stack+160950,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+305580,int_stack+280380,int_stack+349386,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+444642,int_stack+305580,int_stack+176070,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+484773,int_stack+444642,int_stack+371436,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+338655,int_stack+484773,int_stack+405834,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+160950,int_stack+35970,int_stack+32379,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+171723,int_stack+160950,int_stack+204735,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+388551,int_stack+171723,int_stack+214374,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+160950,int_stack+388551,int_stack+280380,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+388551,int_stack+160950,int_stack+305580,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+160950,int_stack+388551,int_stack+444642,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+388551,int_stack+160950,int_stack+484773,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+160950,int_stack+388551,int_stack+338655,21);
 /*--- compute (gp|nl) ---*/
 hrr1_build_gp(Libint->AB,int_stack+280380,int_stack+160950,int_stack+235830,2970);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+223320,int_stack+41808,int_stack+39960,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+228864,int_stack+43992,int_stack+41808,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+235416,int_stack+228864,int_stack+223320,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+246504,int_stack+46540,int_stack+43992,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+254148,int_stack+246504,int_stack+228864,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+414030,int_stack+254148,int_stack+235416,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+223320,int_stack+49480,int_stack+46540,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+432510,int_stack+223320,int_stack+246504,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+232140,int_stack+432510,int_stack+254148,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+447798,int_stack+232140,int_stack+414030,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+414030,int_stack+52840,int_stack+49480,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+253980,int_stack+414030,int_stack+223320,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+475518,int_stack+253980,int_stack+432510,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+475518,int_stack+232140,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+500998,int_stack+0,int_stack+447798,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+223320,int_stack+56648,int_stack+52840,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+424110,int_stack+223320,int_stack+414030,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+444270,int_stack+424110,int_stack+253980,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+234744,int_stack+444270,int_stack+475518,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+539806,int_stack+234744,int_stack+0,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+539806,int_stack+500998,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+473670,int_stack+60932,int_stack+56648,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+486522,int_stack+473670,int_stack+223320,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+585670,int_stack+486522,int_stack+424110,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+619270,int_stack+585670,int_stack+444270,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+414030,int_stack+619270,int_stack+234744,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+663370,int_stack+414030,int_stack+539806,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+509370,int_stack+663370,int_stack+0,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+65720,int_stack+60932,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+14364,int_stack+0,int_stack+473670,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+223320,int_stack+14364,int_stack+486522,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+223320,int_stack+585670,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+724522,int_stack+0,int_stack+619270,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+575898,int_stack+724522,int_stack+414030,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+414030,int_stack+575898,int_stack+663370,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+575898,int_stack+414030,int_stack+509370,28);
 /*--- compute (hp|nl) ---*/
 hrr1_build_hp(Libint->AB,int_stack+659058,int_stack+575898,int_stack+160950,2970);
 /*--- compute (gd|nl) ---*/
 hrr1_build_gd(Libint->AB,int_stack+846168,int_stack+659058,int_stack+280380,2970);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+160950,int_stack+73416,int_stack+71040,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+168078,int_stack+76224,int_stack+73416,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+176502,int_stack+168078,int_stack+160950,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+190758,int_stack+79500,int_stack+76224,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+200586,int_stack+190758,int_stack+168078,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+217434,int_stack+200586,int_stack+176502,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+160950,int_stack+83280,int_stack+79500,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+241194,int_stack+160950,int_stack+190758,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+172290,int_stack+241194,int_stack+200586,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+260850,int_stack+172290,int_stack+217434,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+200370,int_stack+87600,int_stack+83280,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+213330,int_stack+200370,int_stack+160950,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+296490,int_stack+213330,int_stack+241194,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+329250,int_stack+296490,int_stack+172290,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+371370,int_stack+329250,int_stack+260850,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+160950,int_stack+92496,int_stack+87600,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+236010,int_stack+160950,int_stack+200370,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+421266,int_stack+236010,int_stack+213330,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+175638,int_stack+421266,int_stack+296490,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+261930,int_stack+175638,int_stack+329250,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+459066,int_stack+261930,int_stack+371370,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+320898,int_stack+98004,int_stack+92496,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+337422,int_stack+320898,int_stack+160950,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+366798,int_stack+337422,int_stack+236010,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+366798,int_stack+421266,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1113468,int_stack+0,int_stack+175638,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+160950,int_stack+1113468,int_stack+261930,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1182264,int_stack+160950,int_stack+459066,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+239574,int_stack+104160,int_stack+98004,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+258042,int_stack+239574,int_stack+320898,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+409998,int_stack+258042,int_stack+337422,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+239574,int_stack+409998,int_stack+366798,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+304374,int_stack+239574,int_stack+0,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+304374,int_stack+1113468,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+239574,int_stack+0,int_stack+160950,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+239574,int_stack+1182264,36);
 /*--- compute (ip|nl) ---*/
 hrr1_build_ip(Libint->AB,int_stack+160950,int_stack+0,int_stack+575898,2970);
 /*--- compute (hd|nl) ---*/
 hrr1_build_hd(Libint->AB,int_stack+1113468,int_stack+160950,int_stack+659058,2970);
 /*--- compute (gf|nl) ---*/
 hrr1_build_gf(Libint->AB,int_stack+1487688,int_stack+1113468,int_stack+846168,2970);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+410430,int_stack+113970,int_stack+111000,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+419340,int_stack+117480,int_stack+113970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+429870,int_stack+419340,int_stack+410430,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+447690,int_stack+121575,int_stack+117480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+459975,int_stack+447690,int_stack+419340,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+481035,int_stack+459975,int_stack+429870,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+410430,int_stack+126300,int_stack+121575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+510735,int_stack+410430,int_stack+447690,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+424605,int_stack+510735,int_stack+459975,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+535305,int_stack+424605,int_stack+481035,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+459705,int_stack+131700,int_stack+126300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+475905,int_stack+459705,int_stack+410430,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+579855,int_stack+475905,int_stack+510735,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+620805,int_stack+579855,int_stack+424605,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+673455,int_stack+620805,int_stack+535305,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+410430,int_stack+137820,int_stack+131700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+504255,int_stack+410430,int_stack+459705,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+735825,int_stack+504255,int_stack+475905,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+428790,int_stack+735825,int_stack+579855,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+536655,int_stack+428790,int_stack+620805,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+783075,int_stack+536655,int_stack+673455,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+610365,int_stack+144705,int_stack+137820,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+631020,int_stack+610365,int_stack+410430,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+667740,int_stack+631020,int_stack+504255,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+866235,int_stack+667740,int_stack+735825,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+937110,int_stack+866235,int_stack+428790,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+410430,int_stack+937110,int_stack+536655,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1933188,int_stack+410430,int_stack+783075,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+508710,int_stack+152400,int_stack+144705,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+531795,int_stack+508710,int_stack+610365,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+721740,int_stack+531795,int_stack+631020,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+508710,int_stack+721740,int_stack+667740,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+589710,int_stack+508710,int_stack+866235,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+688935,int_stack+589710,int_stack+937110,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+508710,int_stack+688935,int_stack+410430,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+635070,int_stack+508710,int_stack+1933188,45);
 /*--- compute (kp|nl) ---*/
 hrr1_build_kp(Libint->AB,int_stack+768720,int_stack+635070,int_stack+0,2970);
 /*--- compute (id|nl) ---*/
 hrr1_build_id(Libint->AB,int_stack+1933188,int_stack+768720,int_stack+160950,2970);
 /*--- compute (hf|nl) ---*/
 hrr1_build_hf(Libint->AB,int_stack+0,int_stack+1933188,int_stack+1113468,2970);
 /*--- compute (gg|nl) ---*/
 hrr1_build_gg(Libint->AB,int_stack+623700,int_stack+0,int_stack+1487688,2970);
 return int_stack+623700;}
