#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpkd(Libint_t*, prim_data*);

  /* Computes quartets of (gp|kd) integrals */

REALTYPE *hrr_order_gpkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 Libint->vrr_classes[5][7] = int_stack + 2040;
 Libint->vrr_classes[5][8] = int_stack + 2796;
 Libint->vrr_classes[5][9] = int_stack + 3741;
 memset(int_stack,0,4896*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 4896;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpkd(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4896,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+6516,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+8541,int_stack+6516,int_stack+4896,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4896,int_stack+2796,int_stack+2040,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+11781,int_stack+3741,int_stack+2796,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+11781,int_stack+4896,21);
 /*--- compute (gp|kd) ---*/
 hrr1_build_gp(Libint->AB,int_stack+11781,int_stack+0,int_stack+8541,216);
 return int_stack+11781;}
