#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpml(Libint_t*, prim_data*);

  /* Computes quartets of (gp|ml) integrals */

REALTYPE *hrr_order_gpml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 Libint->vrr_classes[4][12] = int_stack + 2985;
 Libint->vrr_classes[4][13] = int_stack + 4350;
 Libint->vrr_classes[4][14] = int_stack + 5925;
 Libint->vrr_classes[4][15] = int_stack + 7725;
 Libint->vrr_classes[4][16] = int_stack + 9765;
 Libint->vrr_classes[4][17] = int_stack + 12060;
 Libint->vrr_classes[5][9] = int_stack + 14625;
 Libint->vrr_classes[5][10] = int_stack + 15780;
 Libint->vrr_classes[5][11] = int_stack + 17166;
 Libint->vrr_classes[5][12] = int_stack + 18804;
 Libint->vrr_classes[5][13] = int_stack + 20715;
 Libint->vrr_classes[5][14] = int_stack + 22920;
 Libint->vrr_classes[5][15] = int_stack + 25440;
 Libint->vrr_classes[5][16] = int_stack + 28296;
 Libint->vrr_classes[5][17] = int_stack + 31509;
 memset(int_stack,0,35100*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 35100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpml(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+35100,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+37575,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+40545,int_stack+37575,int_stack+35100,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+45495,int_stack+2985,int_stack+1815,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+49005,int_stack+45495,int_stack+37575,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+54945,int_stack+49005,int_stack+40545,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+35100,int_stack+4350,int_stack+2985,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+63195,int_stack+35100,int_stack+45495,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+70215,int_stack+63195,int_stack+49005,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+39195,int_stack+70215,int_stack+54945,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+51570,int_stack+5925,int_stack+4350,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+80115,int_stack+51570,int_stack+35100,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+88305,int_stack+80115,int_stack+63195,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+100005,int_stack+88305,int_stack+70215,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+56295,int_stack+100005,int_stack+39195,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+35100,int_stack+7725,int_stack+5925,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+40500,int_stack+35100,int_stack+51570,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+114855,int_stack+40500,int_stack+80115,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+128505,int_stack+114855,int_stack+88305,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+73620,int_stack+128505,int_stack+100005,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+146055,int_stack+73620,int_stack+56295,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+49950,int_stack+9765,int_stack+7725,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+56070,int_stack+49950,int_stack+35100,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+94410,int_stack+56070,int_stack+40500,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+169155,int_stack+94410,int_stack+114855,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+189630,int_stack+169155,int_stack+128505,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+110160,int_stack+189630,int_stack+73620,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+214200,int_stack+110160,int_stack+146055,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+35100,int_stack+12060,int_stack+9765,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+66870,int_stack+35100,int_stack+49950,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+35100,int_stack+66870,int_stack+56070,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+53100,int_stack+35100,int_stack+94410,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+76725,int_stack+53100,int_stack+169155,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+35100,int_stack+76725,int_stack+189630,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+67860,int_stack+35100,int_stack+110160,15);
 /*--- compute (g0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+103500,int_stack+67860,int_stack+214200,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+35100,int_stack+15780,int_stack+14625,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+38565,int_stack+17166,int_stack+15780,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+42723,int_stack+38565,int_stack+35100,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+49653,int_stack+18804,int_stack+17166,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+54567,int_stack+49653,int_stack+38565,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+62883,int_stack+54567,int_stack+42723,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+35100,int_stack+20715,int_stack+18804,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+74433,int_stack+35100,int_stack+49653,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+84261,int_stack+74433,int_stack+54567,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+40833,int_stack+84261,int_stack+62883,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+58158,int_stack+22920,int_stack+20715,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+140625,int_stack+58158,int_stack+35100,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+152091,int_stack+140625,int_stack+74433,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+168471,int_stack+152091,int_stack+84261,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+64773,int_stack+168471,int_stack+40833,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+35100,int_stack+25440,int_stack+22920,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+42660,int_stack+35100,int_stack+58158,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+189261,int_stack+42660,int_stack+140625,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+208371,int_stack+189261,int_stack+152091,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+232941,int_stack+208371,int_stack+168471,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+140625,int_stack+232941,int_stack+64773,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+172965,int_stack+28296,int_stack+25440,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+55890,int_stack+172965,int_stack+35100,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+71010,int_stack+55890,int_stack+42660,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+262047,int_stack+71010,int_stack+189261,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+290712,int_stack+262047,int_stack+208371,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+181533,int_stack+290712,int_stack+232941,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+220341,int_stack+181533,int_stack+140625,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+140625,int_stack+31509,int_stack+28296,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+150264,int_stack+140625,int_stack+172965,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+150264,int_stack+55890,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+140625,int_stack+0,int_stack+71010,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+140625,int_stack+262047,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+40131,int_stack+0,int_stack+290712,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+261921,int_stack+40131,int_stack+181533,21);
 /*--- compute (h0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+261921,int_stack+220341,21);
 /*--- compute (gp|ml) ---*/
 hrr1_build_gp(Libint->AB,int_stack+140625,int_stack+0,int_stack+103500,2475);
 return int_stack+140625;}
