#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpmm(Libint_t*, prim_data*);

  /* Computes quartets of (gp|mm) integrals */

REALTYPE *hrr_order_gpmm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 Libint->vrr_classes[4][12] = int_stack + 2985;
 Libint->vrr_classes[4][13] = int_stack + 4350;
 Libint->vrr_classes[4][14] = int_stack + 5925;
 Libint->vrr_classes[4][15] = int_stack + 7725;
 Libint->vrr_classes[4][16] = int_stack + 9765;
 Libint->vrr_classes[4][17] = int_stack + 12060;
 Libint->vrr_classes[4][18] = int_stack + 14625;
 Libint->vrr_classes[5][9] = int_stack + 17475;
 Libint->vrr_classes[5][10] = int_stack + 18630;
 Libint->vrr_classes[5][11] = int_stack + 20016;
 Libint->vrr_classes[5][12] = int_stack + 21654;
 Libint->vrr_classes[5][13] = int_stack + 23565;
 Libint->vrr_classes[5][14] = int_stack + 25770;
 Libint->vrr_classes[5][15] = int_stack + 28290;
 Libint->vrr_classes[5][16] = int_stack + 31146;
 Libint->vrr_classes[5][17] = int_stack + 34359;
 Libint->vrr_classes[5][18] = int_stack + 37950;
 memset(int_stack,0,41940*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 41940;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpmm(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+41940,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44415,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+47385,int_stack+44415,int_stack+41940,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+52335,int_stack+2985,int_stack+1815,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+55845,int_stack+52335,int_stack+44415,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+61785,int_stack+55845,int_stack+47385,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+41940,int_stack+4350,int_stack+2985,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+70035,int_stack+41940,int_stack+52335,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+77055,int_stack+70035,int_stack+55845,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+46035,int_stack+77055,int_stack+61785,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+58410,int_stack+5925,int_stack+4350,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+86955,int_stack+58410,int_stack+41940,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+95145,int_stack+86955,int_stack+70035,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+106845,int_stack+95145,int_stack+77055,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+63135,int_stack+106845,int_stack+46035,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+41940,int_stack+7725,int_stack+5925,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+47340,int_stack+41940,int_stack+58410,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+121695,int_stack+47340,int_stack+86955,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+135345,int_stack+121695,int_stack+95145,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+80460,int_stack+135345,int_stack+106845,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+152895,int_stack+80460,int_stack+63135,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+56790,int_stack+9765,int_stack+7725,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+62910,int_stack+56790,int_stack+41940,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+101250,int_stack+62910,int_stack+47340,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+175995,int_stack+101250,int_stack+121695,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+196470,int_stack+175995,int_stack+135345,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+117000,int_stack+196470,int_stack+80460,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+221040,int_stack+117000,int_stack+152895,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+41940,int_stack+12060,int_stack+9765,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+73710,int_stack+41940,int_stack+56790,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+144720,int_stack+73710,int_stack+62910,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+48825,int_stack+144720,int_stack+101250,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+85950,int_stack+48825,int_stack+175995,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+162720,int_stack+85950,int_stack+196470,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+250740,int_stack+162720,int_stack+117000,15);
 /*--- compute (g0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+286380,int_stack+250740,int_stack+221040,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+114615,int_stack+14625,int_stack+12060,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+122310,int_stack+114615,int_stack+41940,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+195480,int_stack+122310,int_stack+73710,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+114615,int_stack+195480,int_stack+144720,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+195480,int_stack+114615,int_stack+48825,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+114615,int_stack+195480,int_stack+85950,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+195480,int_stack+114615,int_stack+162720,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+41940,int_stack+195480,int_stack+250740,15);
 /*--- compute (g0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+86490,int_stack+41940,int_stack+286380,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+41940,int_stack+18630,int_stack+17475,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+45405,int_stack+20016,int_stack+18630,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49563,int_stack+45405,int_stack+41940,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+56493,int_stack+21654,int_stack+20016,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+61407,int_stack+56493,int_stack+45405,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+69723,int_stack+61407,int_stack+49563,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+41940,int_stack+23565,int_stack+21654,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+131865,int_stack+41940,int_stack+56493,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+141693,int_stack+131865,int_stack+61407,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+47673,int_stack+141693,int_stack+69723,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+64998,int_stack+25770,int_stack+23565,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+71613,int_stack+64998,int_stack+41940,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+155553,int_stack+71613,int_stack+131865,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+171933,int_stack+155553,int_stack+141693,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+192723,int_stack+171933,int_stack+47673,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+131865,int_stack+28290,int_stack+25770,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+139425,int_stack+131865,int_stack+64998,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+41940,int_stack+139425,int_stack+71613,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+61050,int_stack+41940,int_stack+155553,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+216978,int_stack+61050,int_stack+171933,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+152655,int_stack+216978,int_stack+192723,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+184995,int_stack+31146,int_stack+28290,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+193563,int_stack+184995,int_stack+131865,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+246084,int_stack+193563,int_stack+139425,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+268134,int_stack+246084,int_stack+41940,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+296799,int_stack+268134,int_stack+61050,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+41940,int_stack+296799,int_stack+216978,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+331197,int_stack+41940,int_stack+152655,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+131865,int_stack+34359,int_stack+31146,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+141504,int_stack+131865,int_stack+184995,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+158640,int_stack+141504,int_stack+193563,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+183840,int_stack+158640,int_stack+246084,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+216915,int_stack+183840,int_stack+268134,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+372777,int_stack+216915,int_stack+296799,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+257046,int_stack+372777,int_stack+41940,21);
 /*--- compute (h0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+418641,int_stack+257046,int_stack+331197,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+41940,int_stack+37950,int_stack+34359,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+52713,int_stack+41940,int_stack+131865,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+306942,int_stack+52713,int_stack+141504,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+306942,int_stack+158640,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+306942,int_stack+0,int_stack+183840,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+306942,int_stack+216915,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+306942,int_stack+0,int_stack+372777,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+306942,int_stack+257046,21);
 /*--- compute (h0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+131865,int_stack+0,int_stack+418641,21);
 /*--- compute (gp|mm) ---*/
 hrr1_build_gp(Libint->AB,int_stack+195390,int_stack+131865,int_stack+86490,3025);
 return int_stack+195390;}
