#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_h0ni(Libint_t*, prim_data*);

  /* Computes quartets of (h0|ni) integrals */

REALTYPE *hrr_order_h0ni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[5][16] = int_stack + 12516;
 memset(int_stack,0,15729*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 15729;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_h0ni(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15729,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+19887,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+24801,int_stack+19887,int_stack+15729,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+33117,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+38850,int_stack+33117,int_stack+19887,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+48678,int_stack+38850,int_stack+24801,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+15729,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+62538,int_stack+15729,int_stack+33117,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+22344,int_stack+62538,int_stack+38850,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+74004,int_stack+22344,int_stack+48678,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+38724,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+46284,int_stack+38724,int_stack+15729,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+94794,int_stack+46284,int_stack+62538,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+113904,int_stack+94794,int_stack+22344,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+138474,int_stack+113904,int_stack+74004,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+15729,int_stack+12516,int_stack+9660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+59514,int_stack+15729,int_stack+38724,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+59514,int_stack+46284,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+22050,int_stack+0,int_stack+94794,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+50715,int_stack+22050,int_stack+113904,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+50715,int_stack+138474,21);
 return int_stack+0;}
