#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hdih(Libint_t*, prim_data*);

  /* Computes quartets of (hd|ih) integrals */

REALTYPE *hrr_order_hdih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][6] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 588;
 Libint->vrr_classes[5][8] = int_stack + 1344;
 Libint->vrr_classes[5][9] = int_stack + 2289;
 Libint->vrr_classes[5][10] = int_stack + 3444;
 Libint->vrr_classes[5][11] = int_stack + 4830;
 Libint->vrr_classes[6][6] = int_stack + 6468;
 Libint->vrr_classes[6][7] = int_stack + 7252;
 Libint->vrr_classes[6][8] = int_stack + 8260;
 Libint->vrr_classes[6][9] = int_stack + 9520;
 Libint->vrr_classes[6][10] = int_stack + 11060;
 Libint->vrr_classes[6][11] = int_stack + 12908;
 Libint->vrr_classes[7][6] = int_stack + 15092;
 Libint->vrr_classes[7][7] = int_stack + 16100;
 Libint->vrr_classes[7][8] = int_stack + 17396;
 Libint->vrr_classes[7][9] = int_stack + 19016;
 Libint->vrr_classes[7][10] = int_stack + 20996;
 Libint->vrr_classes[7][11] = int_stack + 23372;
 memset(int_stack,0,26180*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 26180;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hdih(Libint, Data);
   Data++;
 }
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+26180,int_stack+588,int_stack+0,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+27944,int_stack+1344,int_stack+588,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+30212,int_stack+27944,int_stack+26180,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+33740,int_stack+2289,int_stack+1344,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+36575,int_stack+33740,int_stack+27944,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+41111,int_stack+36575,int_stack+30212,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+26180,int_stack+3444,int_stack+2289,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+46991,int_stack+26180,int_stack+33740,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+52661,int_stack+46991,int_stack+36575,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+29645,int_stack+52661,int_stack+41111,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+38465,int_stack+4830,int_stack+3444,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+60221,int_stack+38465,int_stack+26180,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+67151,int_stack+60221,int_stack+46991,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+38465,int_stack+67151,int_stack+52661,21);
 /*--- compute (h0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+49805,int_stack+38465,int_stack+29645,21);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+26180,int_stack+7252,int_stack+6468,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+28532,int_stack+8260,int_stack+7252,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+31556,int_stack+28532,int_stack+26180,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+36260,int_stack+9520,int_stack+8260,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+40040,int_stack+36260,int_stack+28532,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+62153,int_stack+40040,int_stack+31556,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+26180,int_stack+11060,int_stack+9520,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+26180,int_stack+36260,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+69993,int_stack+0,int_stack+40040,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+30800,int_stack+69993,int_stack+62153,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+62153,int_stack+12908,int_stack+11060,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+80073,int_stack+62153,int_stack+26180,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+89313,int_stack+80073,int_stack+0,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+101913,int_stack+89313,int_stack+69993,28);
 /*--- compute (i0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+62153,int_stack+101913,int_stack+30800,28);
 /*--- compute (hp|ih) ---*/
 hrr1_build_hp(Libint->AB,int_stack+78617,int_stack+62153,int_stack+49805,588);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+16100,int_stack+15092,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3024,int_stack+17396,int_stack+16100,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+6912,int_stack+3024,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+26180,int_stack+19016,int_stack+17396,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+31040,int_stack+26180,int_stack+3024,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+38816,int_stack+31040,int_stack+6912,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+20996,int_stack+19016,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+5940,int_stack+0,int_stack+26180,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+48896,int_stack+5940,int_stack+31040,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+115661,int_stack+48896,int_stack+38816,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+26180,int_stack+23372,int_stack+20996,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+33308,int_stack+26180,int_stack+0,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+15660,int_stack+33308,int_stack+5940,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+130781,int_stack+15660,int_stack+48896,36);
 /*--- compute (k0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+0,int_stack+130781,int_stack+115661,36);
 /*--- compute (ip|ih) ---*/
 hrr1_build_ip(Libint->AB,int_stack+115661,int_stack+0,int_stack+62153,588);
 /*--- compute (hd|ih) ---*/
 hrr1_build_hd(Libint->AB,int_stack+0,int_stack+115661,int_stack+78617,588);
 return int_stack+0;}
