#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hflf(Libint_t*, prim_data*);

  /* Computes quartets of (hf|lf) integrals */

REALTYPE *hrr_order_hflf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][8] = int_stack + 0;
 Libint->vrr_classes[5][9] = int_stack + 945;
 Libint->vrr_classes[5][10] = int_stack + 2100;
 Libint->vrr_classes[5][11] = int_stack + 3486;
 Libint->vrr_classes[6][8] = int_stack + 5124;
 Libint->vrr_classes[6][9] = int_stack + 6384;
 Libint->vrr_classes[6][10] = int_stack + 7924;
 Libint->vrr_classes[6][11] = int_stack + 9772;
 Libint->vrr_classes[7][8] = int_stack + 11956;
 Libint->vrr_classes[7][9] = int_stack + 13576;
 Libint->vrr_classes[7][10] = int_stack + 15556;
 Libint->vrr_classes[7][11] = int_stack + 17932;
 Libint->vrr_classes[8][8] = int_stack + 20740;
 Libint->vrr_classes[8][9] = int_stack + 22765;
 Libint->vrr_classes[8][10] = int_stack + 25240;
 Libint->vrr_classes[8][11] = int_stack + 28210;
 memset(int_stack,0,31720*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 31720;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hflf(Libint, Data);
   Data++;
 }
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+31720,int_stack+945,int_stack+0,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+34555,int_stack+2100,int_stack+945,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+38020,int_stack+34555,int_stack+31720,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+43690,int_stack+3486,int_stack+2100,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+47848,int_stack+43690,int_stack+34555,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+54778,int_stack+47848,int_stack+38020,21);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+31720,int_stack+6384,int_stack+5124,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+35500,int_stack+7924,int_stack+6384,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+40120,int_stack+35500,int_stack+31720,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+47680,int_stack+9772,int_stack+7924,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+47680,int_stack+35500,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+64228,int_stack+0,int_stack+40120,28);
 /*--- compute (hp|lf) ---*/
 hrr1_build_hp(Libint->AB,int_stack+76828,int_stack+64228,int_stack+54778,450);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+13576,int_stack+11956,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4860,int_stack+15556,int_stack+13576,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+31720,int_stack+4860,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+41440,int_stack+17932,int_stack+15556,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+48568,int_stack+41440,int_stack+4860,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+48568,int_stack+31720,36);
 /*--- compute (ip|lf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+105178,int_stack+0,int_stack+64228,450);
 /*--- compute (hd|lf) ---*/
 hrr1_build_hd(Libint->AB,int_stack+142978,int_stack+105178,int_stack+76828,450);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+31720,int_stack+22765,int_stack+20740,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+37795,int_stack+25240,int_stack+22765,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+45220,int_stack+37795,int_stack+31720,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+57370,int_stack+28210,int_stack+25240,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+66280,int_stack+57370,int_stack+37795,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+81130,int_stack+66280,int_stack+45220,45);
 /*--- compute (kp|lf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+16200,int_stack+81130,int_stack+0,450);
 /*--- compute (id|lf) ---*/
 hrr1_build_id(Libint->AB,int_stack+199678,int_stack+16200,int_stack+105178,450);
 /*--- compute (hf|lf) ---*/
 hrr1_build_hf(Libint->AB,int_stack+0,int_stack+199678,int_stack+142978,450);
 return int_stack+0;}
