#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hfmd(Libint_t*, prim_data*);

  /* Computes quartets of (hf|md) integrals */

REALTYPE *hrr_order_hfmd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 1155;
 Libint->vrr_classes[5][11] = int_stack + 2541;
 Libint->vrr_classes[6][9] = int_stack + 4179;
 Libint->vrr_classes[6][10] = int_stack + 5719;
 Libint->vrr_classes[6][11] = int_stack + 7567;
 Libint->vrr_classes[7][9] = int_stack + 9751;
 Libint->vrr_classes[7][10] = int_stack + 11731;
 Libint->vrr_classes[7][11] = int_stack + 14107;
 Libint->vrr_classes[8][9] = int_stack + 16915;
 Libint->vrr_classes[8][10] = int_stack + 19390;
 Libint->vrr_classes[8][11] = int_stack + 22360;
 memset(int_stack,0,25870*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 25870;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hfmd(Libint, Data);
   Data++;
 }
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25870,int_stack+1155,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+29335,int_stack+2541,int_stack+1155,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+33493,int_stack+29335,int_stack+25870,21);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25870,int_stack+5719,int_stack+4179,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+7567,int_stack+5719,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+40423,int_stack+0,int_stack+25870,28);
 /*--- compute (hp|md) ---*/
 hrr1_build_hp(Libint->AB,int_stack+49663,int_stack+40423,int_stack+33493,330);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25870,int_stack+11731,int_stack+9751,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31810,int_stack+14107,int_stack+11731,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+31810,int_stack+25870,36);
 /*--- compute (ip|md) ---*/
 hrr1_build_ip(Libint->AB,int_stack+70453,int_stack+0,int_stack+40423,330);
 /*--- compute (hd|md) ---*/
 hrr1_build_hd(Libint->AB,int_stack+98173,int_stack+70453,int_stack+49663,330);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25870,int_stack+19390,int_stack+16915,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+33295,int_stack+22360,int_stack+19390,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+42205,int_stack+33295,int_stack+25870,45);
 /*--- compute (kp|md) ---*/
 hrr1_build_kp(Libint->AB,int_stack+139753,int_stack+42205,int_stack+0,330);
 /*--- compute (id|md) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+139753,int_stack+70453,330);
 /*--- compute (hf|md) ---*/
 hrr1_build_hf(Libint->AB,int_stack+139753,int_stack+0,int_stack+98173,330);
 return int_stack+139753;}
