#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hhmk(Libint_t*, prim_data*);

  /* Computes quartets of (hh|mk) integrals */

REALTYPE *hrr_order_hhmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 1155;
 Libint->vrr_classes[5][11] = int_stack + 2541;
 Libint->vrr_classes[5][12] = int_stack + 4179;
 Libint->vrr_classes[5][13] = int_stack + 6090;
 Libint->vrr_classes[5][14] = int_stack + 8295;
 Libint->vrr_classes[5][15] = int_stack + 10815;
 Libint->vrr_classes[5][16] = int_stack + 13671;
 Libint->vrr_classes[6][9] = int_stack + 16884;
 Libint->vrr_classes[6][10] = int_stack + 18424;
 Libint->vrr_classes[6][11] = int_stack + 20272;
 Libint->vrr_classes[6][12] = int_stack + 22456;
 Libint->vrr_classes[6][13] = int_stack + 25004;
 Libint->vrr_classes[6][14] = int_stack + 27944;
 Libint->vrr_classes[6][15] = int_stack + 31304;
 Libint->vrr_classes[6][16] = int_stack + 35112;
 Libint->vrr_classes[7][9] = int_stack + 39396;
 Libint->vrr_classes[7][10] = int_stack + 41376;
 Libint->vrr_classes[7][11] = int_stack + 43752;
 Libint->vrr_classes[7][12] = int_stack + 46560;
 Libint->vrr_classes[7][13] = int_stack + 49836;
 Libint->vrr_classes[7][14] = int_stack + 53616;
 Libint->vrr_classes[7][15] = int_stack + 57936;
 Libint->vrr_classes[7][16] = int_stack + 62832;
 Libint->vrr_classes[8][9] = int_stack + 68340;
 Libint->vrr_classes[8][10] = int_stack + 70815;
 Libint->vrr_classes[8][11] = int_stack + 73785;
 Libint->vrr_classes[8][12] = int_stack + 77295;
 Libint->vrr_classes[8][13] = int_stack + 81390;
 Libint->vrr_classes[8][14] = int_stack + 86115;
 Libint->vrr_classes[8][15] = int_stack + 91515;
 Libint->vrr_classes[8][16] = int_stack + 97635;
 Libint->vrr_classes[9][9] = int_stack + 104520;
 Libint->vrr_classes[9][10] = int_stack + 107545;
 Libint->vrr_classes[9][11] = int_stack + 111175;
 Libint->vrr_classes[9][12] = int_stack + 115465;
 Libint->vrr_classes[9][13] = int_stack + 120470;
 Libint->vrr_classes[9][14] = int_stack + 126245;
 Libint->vrr_classes[9][15] = int_stack + 132845;
 Libint->vrr_classes[9][16] = int_stack + 140325;
 Libint->vrr_classes[10][9] = int_stack + 148740;
 Libint->vrr_classes[10][10] = int_stack + 152370;
 Libint->vrr_classes[10][11] = int_stack + 156726;
 Libint->vrr_classes[10][12] = int_stack + 161874;
 Libint->vrr_classes[10][13] = int_stack + 167880;
 Libint->vrr_classes[10][14] = int_stack + 174810;
 Libint->vrr_classes[10][15] = int_stack + 182730;
 Libint->vrr_classes[10][16] = int_stack + 191706;
 memset(int_stack,0,201804*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 201804;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hhmk(Libint, Data);
   Data++;
 }
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+201804,int_stack+1155,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+205269,int_stack+2541,int_stack+1155,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+209427,int_stack+205269,int_stack+201804,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+216357,int_stack+4179,int_stack+2541,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+221271,int_stack+216357,int_stack+205269,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+229587,int_stack+221271,int_stack+209427,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+201804,int_stack+6090,int_stack+4179,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+241137,int_stack+201804,int_stack+216357,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+250965,int_stack+241137,int_stack+221271,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+207537,int_stack+250965,int_stack+229587,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+224862,int_stack+8295,int_stack+6090,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+264825,int_stack+224862,int_stack+201804,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+276291,int_stack+264825,int_stack+241137,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+292671,int_stack+276291,int_stack+250965,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+231477,int_stack+292671,int_stack+207537,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+201804,int_stack+10815,int_stack+8295,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+209364,int_stack+201804,int_stack+224862,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+313461,int_stack+209364,int_stack+264825,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+332571,int_stack+313461,int_stack+276291,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+255732,int_stack+332571,int_stack+292671,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+357141,int_stack+255732,int_stack+231477,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+222594,int_stack+13671,int_stack+10815,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+231162,int_stack+222594,int_stack+201804,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+284838,int_stack+231162,int_stack+209364,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+201804,int_stack+284838,int_stack+313461,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+284838,int_stack+201804,int_stack+332571,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+201804,int_stack+284838,int_stack+255732,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+240612,int_stack+201804,int_stack+357141,21);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+201804,int_stack+18424,int_stack+16884,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+206424,int_stack+20272,int_stack+18424,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+211968,int_stack+206424,int_stack+201804,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+221208,int_stack+22456,int_stack+20272,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+227760,int_stack+221208,int_stack+206424,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+282192,int_stack+227760,int_stack+211968,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+201804,int_stack+25004,int_stack+22456,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+297592,int_stack+201804,int_stack+221208,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+310696,int_stack+297592,int_stack+227760,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+209448,int_stack+310696,int_stack+282192,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+282192,int_stack+27944,int_stack+25004,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+329176,int_stack+282192,int_stack+201804,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+344464,int_stack+329176,int_stack+297592,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+344464,int_stack+310696,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+291012,int_stack+0,int_stack+209448,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+201804,int_stack+31304,int_stack+27944,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+211884,int_stack+201804,int_stack+282192,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+366304,int_stack+211884,int_stack+329176,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+391784,int_stack+366304,int_stack+344464,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+323352,int_stack+391784,int_stack+0,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+424544,int_stack+323352,int_stack+291012,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+35112,int_stack+31304,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+11424,int_stack+0,int_stack+201804,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+282192,int_stack+11424,int_stack+211884,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+201804,int_stack+282192,int_stack+366304,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+467664,int_stack+201804,int_stack+391784,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+362160,int_stack+467664,int_stack+323352,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+282192,int_stack+362160,int_stack+424544,28);
 /*--- compute (hp|mk) ---*/
 hrr1_build_hp(Libint->AB,int_stack+337632,int_stack+282192,int_stack+240612,1980);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+201804,int_stack+41376,int_stack+39396,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+207744,int_stack+43752,int_stack+41376,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+214872,int_stack+207744,int_stack+201804,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+226752,int_stack+46560,int_stack+43752,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+235176,int_stack+226752,int_stack+207744,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+249432,int_stack+235176,int_stack+214872,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+201804,int_stack+49836,int_stack+46560,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+462372,int_stack+201804,int_stack+226752,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+479220,int_stack+462372,int_stack+235176,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+211632,int_stack+479220,int_stack+249432,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+241332,int_stack+53616,int_stack+49836,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+252672,int_stack+241332,int_stack+201804,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+252672,int_stack+462372,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+502980,int_stack+0,int_stack+479220,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+538620,int_stack+502980,int_stack+211632,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+462372,int_stack+57936,int_stack+53616,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+475332,int_stack+462372,int_stack+241332,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+201804,int_stack+475332,int_stack+252672,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+234564,int_stack+201804,int_stack+0,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+234564,int_stack+502980,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+580200,int_stack+0,int_stack+538620,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+498012,int_stack+62832,int_stack+57936,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+512700,int_stack+498012,int_stack+462372,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+538620,int_stack+512700,int_stack+475332,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+462372,int_stack+538620,int_stack+201804,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+511512,int_stack+462372,int_stack+234564,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+201804,int_stack+511512,int_stack+0,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+462372,int_stack+201804,int_stack+580200,36);
 /*--- compute (ip|mk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+533652,int_stack+462372,int_stack+282192,1980);
 /*--- compute (hd|mk) ---*/
 hrr1_build_hd(Libint->AB,int_stack+699972,int_stack+533652,int_stack+337632,1980);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+201804,int_stack+70815,int_stack+68340,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+209229,int_stack+73785,int_stack+70815,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+218139,int_stack+209229,int_stack+201804,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+232989,int_stack+77295,int_stack+73785,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+243519,int_stack+232989,int_stack+209229,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+261339,int_stack+243519,int_stack+218139,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+201804,int_stack+81390,int_stack+77295,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+286089,int_stack+201804,int_stack+232989,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+307149,int_stack+286089,int_stack+243519,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+214089,int_stack+307149,int_stack+261339,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+251214,int_stack+86115,int_stack+81390,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+336849,int_stack+251214,int_stack+201804,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+361419,int_stack+336849,int_stack+286089,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+396519,int_stack+361419,int_stack+307149,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+265389,int_stack+396519,int_stack+214089,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+201804,int_stack+91515,int_stack+86115,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+218004,int_stack+201804,int_stack+251214,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+218004,int_stack+336849,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+949452,int_stack+0,int_stack+361419,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+317364,int_stack+949452,int_stack+396519,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+379734,int_stack+317364,int_stack+265389,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+246354,int_stack+97635,int_stack+91515,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+264714,int_stack+246354,int_stack+201804,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+40950,int_stack+264714,int_stack+218004,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+201804,int_stack+40950,int_stack+0,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+201804,int_stack+949452,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+201804,int_stack+0,int_stack+317364,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+201804,int_stack+379734,45);
 /*--- compute (kp|mk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+201804,int_stack+0,int_stack+462372,1980);
 /*--- compute (id|mk) ---*/
 hrr1_build_id(Libint->AB,int_stack+949452,int_stack+201804,int_stack+533652,1980);
 /*--- compute (hf|mk) ---*/
 hrr1_build_hf(Libint->AB,int_stack+1282092,int_stack+949452,int_stack+699972,1980);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+415644,int_stack+107545,int_stack+104520,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+424719,int_stack+111175,int_stack+107545,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+435609,int_stack+424719,int_stack+415644,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+453759,int_stack+115465,int_stack+111175,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+466629,int_stack+453759,int_stack+424719,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+488409,int_stack+466629,int_stack+435609,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+415644,int_stack+120470,int_stack+115465,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+518659,int_stack+415644,int_stack+453759,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+544399,int_stack+518659,int_stack+466629,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+430659,int_stack+544399,int_stack+488409,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+476034,int_stack+126245,int_stack+120470,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+580699,int_stack+476034,int_stack+415644,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+610729,int_stack+580699,int_stack+518659,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+653629,int_stack+610729,int_stack+544399,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+493359,int_stack+653629,int_stack+430659,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+415644,int_stack+132845,int_stack+126245,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+435444,int_stack+415644,int_stack+476034,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+708079,int_stack+435444,int_stack+580699,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+758129,int_stack+708079,int_stack+610729,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+556884,int_stack+758129,int_stack+653629,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+822479,int_stack+556884,int_stack+493359,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+470094,int_stack+140325,int_stack+132845,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+492534,int_stack+470094,int_stack+415644,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+633114,int_stack+492534,int_stack+435444,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+415644,int_stack+633114,int_stack+708079,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+633114,int_stack+415644,int_stack+758129,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+415644,int_stack+633114,int_stack+556884,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+517284,int_stack+415644,int_stack+822479,55);
 /*--- compute (lp|mk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+626184,int_stack+517284,int_stack+0,1980);
 /*--- compute (kd|mk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1697892,int_stack+626184,int_stack+201804,1980);
 /*--- compute (if|mk) ---*/
 hrr1_build_if(Libint->AB,int_stack+2125572,int_stack+1697892,int_stack+949452,1980);
 /*--- compute (hg|mk) ---*/
 hrr1_build_hg(Libint->AB,int_stack+2679972,int_stack+2125572,int_stack+1282092,1980);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+201804,int_stack+152370,int_stack+148740,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+212694,int_stack+156726,int_stack+152370,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+225762,int_stack+212694,int_stack+201804,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+247542,int_stack+161874,int_stack+156726,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+262986,int_stack+247542,int_stack+212694,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+289122,int_stack+262986,int_stack+225762,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+201804,int_stack+167880,int_stack+161874,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+325422,int_stack+201804,int_stack+247542,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+356310,int_stack+325422,int_stack+262986,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+219822,int_stack+356310,int_stack+289122,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+274272,int_stack+174810,int_stack+167880,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+399870,int_stack+274272,int_stack+201804,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+435906,int_stack+399870,int_stack+325422,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+435906,int_stack+356310,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+295062,int_stack+0,int_stack+219822,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+201804,int_stack+182730,int_stack+174810,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+225564,int_stack+201804,int_stack+274272,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+65340,int_stack+225564,int_stack+399870,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+893484,int_stack+65340,int_stack+435906,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+371292,int_stack+893484,int_stack+0,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+970704,int_stack+371292,int_stack+295062,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+191706,int_stack+182730,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+267144,int_stack+0,int_stack+201804,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+125400,int_stack+267144,int_stack+225564,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+194700,int_stack+125400,int_stack+65340,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+194700,int_stack+893484,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+108108,int_stack+0,int_stack+371292,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+230076,int_stack+108108,int_stack+970704,66);
 /*--- compute (mp|mk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+893484,int_stack+230076,int_stack+517284,1980);
 /*--- compute (ld|mk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+893484,int_stack+626184,1980);
 /*--- compute (kf|mk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+534600,int_stack+0,int_stack+1697892,1980);
 /*--- compute (ig|mk) ---*/
 hrr1_build_ig(Libint->AB,int_stack+1247400,int_stack+534600,int_stack+2125572,1980);
 /*--- compute (hh|mk) ---*/
 hrr1_build_hh(Libint->AB,int_stack+0,int_stack+1247400,int_stack+2679972,1980);
 return int_stack+0;}
