#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpii(Libint_t*, prim_data*);

  /* Computes quartets of (hp|ii) integrals */

REALTYPE *hrr_order_hpii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][6] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 588;
 Libint->vrr_classes[5][8] = int_stack + 1344;
 Libint->vrr_classes[5][9] = int_stack + 2289;
 Libint->vrr_classes[5][10] = int_stack + 3444;
 Libint->vrr_classes[5][11] = int_stack + 4830;
 Libint->vrr_classes[5][12] = int_stack + 6468;
 Libint->vrr_classes[6][6] = int_stack + 8379;
 Libint->vrr_classes[6][7] = int_stack + 9163;
 Libint->vrr_classes[6][8] = int_stack + 10171;
 Libint->vrr_classes[6][9] = int_stack + 11431;
 Libint->vrr_classes[6][10] = int_stack + 12971;
 Libint->vrr_classes[6][11] = int_stack + 14819;
 Libint->vrr_classes[6][12] = int_stack + 17003;
 memset(int_stack,0,19551*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 19551;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpii(Libint, Data);
   Data++;
 }
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+19551,int_stack+588,int_stack+0,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+21315,int_stack+1344,int_stack+588,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+23583,int_stack+21315,int_stack+19551,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+27111,int_stack+2289,int_stack+1344,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+29946,int_stack+27111,int_stack+21315,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+34482,int_stack+29946,int_stack+23583,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19551,int_stack+3444,int_stack+2289,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+40362,int_stack+19551,int_stack+27111,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+46032,int_stack+40362,int_stack+29946,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+23016,int_stack+46032,int_stack+34482,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31836,int_stack+4830,int_stack+3444,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+53592,int_stack+31836,int_stack+19551,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+60522,int_stack+53592,int_stack+40362,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+69972,int_stack+60522,int_stack+46032,21);
 /*--- compute (h0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+35994,int_stack+69972,int_stack+23016,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+19551,int_stack+6468,int_stack+4830,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+19551,int_stack+31836,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+19551,int_stack+0,int_stack+53592,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+81312,int_stack+19551,int_stack+60522,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+19551,int_stack+81312,int_stack+69972,21);
 /*--- compute (h0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+48342,int_stack+19551,int_stack+35994,21);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+19551,int_stack+9163,int_stack+8379,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+21903,int_stack+10171,int_stack+9163,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+24927,int_stack+21903,int_stack+19551,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+29631,int_stack+11431,int_stack+10171,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+33411,int_stack+29631,int_stack+21903,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+39459,int_stack+33411,int_stack+24927,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19551,int_stack+12971,int_stack+11431,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+19551,int_stack+29631,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+64806,int_stack+0,int_stack+33411,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+24171,int_stack+64806,int_stack+39459,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+35931,int_stack+14819,int_stack+12971,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+74886,int_stack+35931,int_stack+19551,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+84126,int_stack+74886,int_stack+0,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+96726,int_stack+84126,int_stack+64806,28);
 /*--- compute (i0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+111846,int_stack+96726,int_stack+24171,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+64806,int_stack+17003,int_stack+14819,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+64806,int_stack+35931,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+11088,int_stack+0,int_stack+74886,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+64806,int_stack+11088,int_stack+84126,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+64806,int_stack+96726,28);
 /*--- compute (i0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+64806,int_stack+0,int_stack+111846,28);
 /*--- compute (hp|ii) ---*/
 hrr1_build_hp(Libint->AB,int_stack+86758,int_stack+64806,int_stack+48342,784);
 return int_stack+86758;}
