#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpni(Libint_t*, prim_data*);

  /* Computes quartets of (hp|ni) integrals */

REALTYPE *hrr_order_hpni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[5][16] = int_stack + 12516;
 Libint->vrr_classes[6][10] = int_stack + 15729;
 Libint->vrr_classes[6][11] = int_stack + 17577;
 Libint->vrr_classes[6][12] = int_stack + 19761;
 Libint->vrr_classes[6][13] = int_stack + 22309;
 Libint->vrr_classes[6][14] = int_stack + 25249;
 Libint->vrr_classes[6][15] = int_stack + 28609;
 Libint->vrr_classes[6][16] = int_stack + 32417;
 memset(int_stack,0,36701*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 36701;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpni(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+36701,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+40859,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+45773,int_stack+40859,int_stack+36701,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+54089,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+59822,int_stack+54089,int_stack+40859,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+69650,int_stack+59822,int_stack+45773,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+36701,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+83510,int_stack+36701,int_stack+54089,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+43316,int_stack+83510,int_stack+59822,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+94976,int_stack+43316,int_stack+69650,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+59696,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+67256,int_stack+59696,int_stack+36701,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+115766,int_stack+67256,int_stack+83510,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+134876,int_stack+115766,int_stack+43316,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+159446,int_stack+134876,int_stack+94976,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+36701,int_stack+12516,int_stack+9660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+80486,int_stack+36701,int_stack+59696,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+36701,int_stack+80486,int_stack+67256,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+58751,int_stack+36701,int_stack+115766,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+87416,int_stack+58751,int_stack+134876,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+36701,int_stack+87416,int_stack+159446,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+75509,int_stack+17577,int_stack+15729,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+81053,int_stack+19761,int_stack+17577,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+87605,int_stack+81053,int_stack+75509,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+98693,int_stack+22309,int_stack+19761,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+106337,int_stack+98693,int_stack+81053,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+119441,int_stack+106337,int_stack+87605,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+75509,int_stack+25249,int_stack+22309,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+137921,int_stack+75509,int_stack+98693,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+84329,int_stack+137921,int_stack+106337,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+153209,int_stack+84329,int_stack+119441,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+106169,int_stack+28609,int_stack+25249,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+116249,int_stack+106169,int_stack+75509,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+116249,int_stack+137921,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+180929,int_stack+0,int_stack+84329,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+213689,int_stack+180929,int_stack+153209,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+75509,int_stack+32417,int_stack+28609,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+133889,int_stack+75509,int_stack+106169,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+75509,int_stack+133889,int_stack+116249,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+104909,int_stack+75509,int_stack+0,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+252497,int_stack+104909,int_stack+180929,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+75509,int_stack+252497,int_stack+213689,28);
 /*--- compute (hp|ni) ---*/
 hrr1_build_hp(Libint->AB,int_stack+127253,int_stack+75509,int_stack+36701,1848);
 return int_stack+127253;}
