#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpnl(Libint_t*, prim_data*);

  /* Computes quartets of (hp|nl) integrals */

REALTYPE *hrr_order_hpnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[5][16] = int_stack + 12516;
 Libint->vrr_classes[5][17] = int_stack + 15729;
 Libint->vrr_classes[5][18] = int_stack + 19320;
 Libint->vrr_classes[6][10] = int_stack + 23310;
 Libint->vrr_classes[6][11] = int_stack + 25158;
 Libint->vrr_classes[6][12] = int_stack + 27342;
 Libint->vrr_classes[6][13] = int_stack + 29890;
 Libint->vrr_classes[6][14] = int_stack + 32830;
 Libint->vrr_classes[6][15] = int_stack + 36190;
 Libint->vrr_classes[6][16] = int_stack + 39998;
 Libint->vrr_classes[6][17] = int_stack + 44282;
 Libint->vrr_classes[6][18] = int_stack + 49070;
 memset(int_stack,0,54390*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 54390;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpnl(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+54390,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+58548,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+63462,int_stack+58548,int_stack+54390,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+71778,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+77511,int_stack+71778,int_stack+58548,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+87339,int_stack+77511,int_stack+63462,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+54390,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+101199,int_stack+54390,int_stack+71778,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+61005,int_stack+101199,int_stack+77511,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+112665,int_stack+61005,int_stack+87339,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+77385,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+84945,int_stack+77385,int_stack+54390,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+133455,int_stack+84945,int_stack+101199,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+152565,int_stack+133455,int_stack+61005,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+177135,int_stack+152565,int_stack+112665,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+54390,int_stack+12516,int_stack+9660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+98175,int_stack+54390,int_stack+77385,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+206241,int_stack+98175,int_stack+84945,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+62958,int_stack+206241,int_stack+133455,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+113295,int_stack+62958,int_stack+152565,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+228291,int_stack+113295,int_stack+177135,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+147693,int_stack+15729,int_stack+12516,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+157332,int_stack+147693,int_stack+54390,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+174468,int_stack+157332,int_stack+98175,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+267099,int_stack+174468,int_stack+206241,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+300174,int_stack+267099,int_stack+62958,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+54390,int_stack+300174,int_stack+113295,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+340305,int_stack+54390,int_stack+228291,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+100254,int_stack+19320,int_stack+15729,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+111027,int_stack+100254,int_stack+147693,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+199668,int_stack+111027,int_stack+157332,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+100254,int_stack+199668,int_stack+174468,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+138054,int_stack+100254,int_stack+267099,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+184359,int_stack+138054,int_stack+300174,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+100254,int_stack+184359,int_stack+54390,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+159222,int_stack+100254,int_stack+340305,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+54390,int_stack+25158,int_stack+23310,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+59934,int_stack+27342,int_stack+25158,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+66486,int_stack+59934,int_stack+54390,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+77574,int_stack+29890,int_stack+27342,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85218,int_stack+77574,int_stack+59934,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+98322,int_stack+85218,int_stack+66486,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+54390,int_stack+32830,int_stack+29890,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+116802,int_stack+54390,int_stack+77574,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+63210,int_stack+116802,int_stack+85218,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+221592,int_stack+63210,int_stack+98322,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+85050,int_stack+36190,int_stack+32830,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+95130,int_stack+85050,int_stack+54390,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+132090,int_stack+95130,int_stack+116802,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+249312,int_stack+132090,int_stack+63210,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+282072,int_stack+249312,int_stack+221592,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+221592,int_stack+39998,int_stack+36190,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+54390,int_stack+221592,int_stack+85050,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+320880,int_stack+54390,int_stack+95130,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+74550,int_stack+320880,int_stack+132090,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+112770,int_stack+74550,int_stack+249312,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+350280,int_stack+112770,int_stack+282072,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+233016,int_stack+44282,int_stack+39998,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+245868,int_stack+233016,int_stack+221592,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+268716,int_stack+245868,int_stack+54390,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+268716,int_stack+320880,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+402024,int_stack+0,int_stack+74550,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+455532,int_stack+402024,int_stack+112770,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+54390,int_stack+455532,int_stack+350280,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+120918,int_stack+49070,int_stack+44282,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+302316,int_stack+120918,int_stack+233016,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+120918,int_stack+302316,int_stack+245868,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+302316,int_stack+120918,int_stack+268716,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+221592,int_stack+302316,int_stack+0,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+283332,int_stack+221592,int_stack+402024,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+354676,int_stack+283332,int_stack+455532,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+221592,int_stack+354676,int_stack+54390,28);
 /*--- compute (hp|nl) ---*/
 hrr1_build_hp(Libint->AB,int_stack+304752,int_stack+221592,int_stack+159222,2970);
 return int_stack+304752;}
