#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0ih(Libint_t*, prim_data*);

  /* Computes quartets of (i0|ih) integrals */

REALTYPE *hrr_order_i0ih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][6] = int_stack + 0;
 Libint->vrr_classes[6][7] = int_stack + 784;
 Libint->vrr_classes[6][8] = int_stack + 1792;
 Libint->vrr_classes[6][9] = int_stack + 3052;
 Libint->vrr_classes[6][10] = int_stack + 4592;
 Libint->vrr_classes[6][11] = int_stack + 6440;
 memset(int_stack,0,8624*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 8624;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0ih(Libint, Data);
   Data++;
 }
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+8624,int_stack+784,int_stack+0,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+10976,int_stack+1792,int_stack+784,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+14000,int_stack+10976,int_stack+8624,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+18704,int_stack+3052,int_stack+1792,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+22484,int_stack+18704,int_stack+10976,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+28532,int_stack+22484,int_stack+14000,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+8624,int_stack+4592,int_stack+3052,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+36372,int_stack+8624,int_stack+18704,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+43932,int_stack+36372,int_stack+22484,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+13244,int_stack+43932,int_stack+28532,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+25004,int_stack+6440,int_stack+4592,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+54012,int_stack+25004,int_stack+8624,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+54012,int_stack+36372,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+25004,int_stack+0,int_stack+43932,28);
 /*--- compute (i0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+40124,int_stack+25004,int_stack+13244,28);
 return int_stack+40124;}
