#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0m0(Libint_t*, prim_data*);

  /* Computes quartets of (i0|m0) integrals */

REALTYPE *hrr_order_i0m0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 memset(int_stack,0,1540*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1540;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0m0(Libint, Data);
   Data++;
 }
 /*--- compute (i0|m0) ---*/
 return int_stack+0;}
