#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idkd(Libint_t*, prim_data*);

  /* Computes quartets of (id|kd) integrals */

REALTYPE *hrr_order_idkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[7][7] = int_stack + 3808;
 Libint->vrr_classes[7][8] = int_stack + 5104;
 Libint->vrr_classes[7][9] = int_stack + 6724;
 Libint->vrr_classes[8][7] = int_stack + 8704;
 Libint->vrr_classes[8][8] = int_stack + 10324;
 Libint->vrr_classes[8][9] = int_stack + 12349;
 memset(int_stack,0,14824*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 14824;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idkd(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+14824,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+17848,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+21628,int_stack+17848,int_stack+14824,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+14824,int_stack+5104,int_stack+3808,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+6724,int_stack+5104,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+27676,int_stack+0,int_stack+14824,36);
 /*--- compute (ip|kd) ---*/
 hrr1_build_ip(Libint->AB,int_stack+35452,int_stack+27676,int_stack+21628,216);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+14824,int_stack+10324,int_stack+8704,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+19684,int_stack+12349,int_stack+10324,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+19684,int_stack+14824,45);
 /*--- compute (kp|kd) ---*/
 hrr1_build_kp(Libint->AB,int_stack+53596,int_stack+0,int_stack+27676,216);
 /*--- compute (id|kd) ---*/
 hrr1_build_id(Libint->AB,int_stack+76924,int_stack+53596,int_stack+35452,216);
 return int_stack+76924;}
