#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idkf(Libint_t*, prim_data*);

  /* Computes quartets of (id|kf) integrals */

REALTYPE *hrr_order_idkf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[7][7] = int_stack + 5656;
 Libint->vrr_classes[7][8] = int_stack + 6952;
 Libint->vrr_classes[7][9] = int_stack + 8572;
 Libint->vrr_classes[7][10] = int_stack + 10552;
 Libint->vrr_classes[8][7] = int_stack + 12928;
 Libint->vrr_classes[8][8] = int_stack + 14548;
 Libint->vrr_classes[8][9] = int_stack + 16573;
 Libint->vrr_classes[8][10] = int_stack + 19048;
 memset(int_stack,0,22018*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 22018;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idkf(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+22018,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25042,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+28822,int_stack+25042,int_stack+22018,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+34870,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+39490,int_stack+34870,int_stack+25042,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+47050,int_stack+39490,int_stack+28822,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+22018,int_stack+6952,int_stack+5656,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25906,int_stack+8572,int_stack+6952,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+30766,int_stack+25906,int_stack+22018,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+38542,int_stack+10552,int_stack+8572,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+38542,int_stack+25906,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+57130,int_stack+0,int_stack+30766,36);
 /*--- compute (ip|kf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+70090,int_stack+57130,int_stack+47050,360);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+14548,int_stack+12928,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4860,int_stack+16573,int_stack+14548,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+22018,int_stack+4860,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+31738,int_stack+19048,int_stack+16573,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+39163,int_stack+31738,int_stack+4860,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+39163,int_stack+22018,45);
 /*--- compute (kp|kf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+16200,int_stack+0,int_stack+57130,360);
 /*--- compute (id|kf) ---*/
 hrr1_build_id(Libint->AB,int_stack+100330,int_stack+16200,int_stack+70090,360);
 return int_stack+100330;}
