#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ifkk(Libint_t*, prim_data*);

  /* Computes quartets of (if|kk) integrals */

REALTYPE *hrr_order_ifkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[6][11] = int_stack + 5656;
 Libint->vrr_classes[6][12] = int_stack + 7840;
 Libint->vrr_classes[6][13] = int_stack + 10388;
 Libint->vrr_classes[6][14] = int_stack + 13328;
 Libint->vrr_classes[7][7] = int_stack + 16688;
 Libint->vrr_classes[7][8] = int_stack + 17984;
 Libint->vrr_classes[7][9] = int_stack + 19604;
 Libint->vrr_classes[7][10] = int_stack + 21584;
 Libint->vrr_classes[7][11] = int_stack + 23960;
 Libint->vrr_classes[7][12] = int_stack + 26768;
 Libint->vrr_classes[7][13] = int_stack + 30044;
 Libint->vrr_classes[7][14] = int_stack + 33824;
 Libint->vrr_classes[8][7] = int_stack + 38144;
 Libint->vrr_classes[8][8] = int_stack + 39764;
 Libint->vrr_classes[8][9] = int_stack + 41789;
 Libint->vrr_classes[8][10] = int_stack + 44264;
 Libint->vrr_classes[8][11] = int_stack + 47234;
 Libint->vrr_classes[8][12] = int_stack + 50744;
 Libint->vrr_classes[8][13] = int_stack + 54839;
 Libint->vrr_classes[8][14] = int_stack + 59564;
 Libint->vrr_classes[9][7] = int_stack + 64964;
 Libint->vrr_classes[9][8] = int_stack + 66944;
 Libint->vrr_classes[9][9] = int_stack + 69419;
 Libint->vrr_classes[9][10] = int_stack + 72444;
 Libint->vrr_classes[9][11] = int_stack + 76074;
 Libint->vrr_classes[9][12] = int_stack + 80364;
 Libint->vrr_classes[9][13] = int_stack + 85369;
 Libint->vrr_classes[9][14] = int_stack + 91144;
 memset(int_stack,0,97744*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 97744;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ifkk(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+97744,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+100768,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+104548,int_stack+100768,int_stack+97744,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+110596,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+115216,int_stack+110596,int_stack+100768,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+122776,int_stack+115216,int_stack+104548,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+97744,int_stack+5656,int_stack+3808,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+132856,int_stack+97744,int_stack+110596,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+142096,int_stack+132856,int_stack+115216,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+103288,int_stack+142096,int_stack+122776,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+118408,int_stack+7840,int_stack+5656,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+154696,int_stack+118408,int_stack+97744,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+165784,int_stack+154696,int_stack+132856,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+181184,int_stack+165784,int_stack+142096,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+124960,int_stack+181184,int_stack+103288,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+97744,int_stack+10388,int_stack+7840,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+200084,int_stack+97744,int_stack+118408,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+105388,int_stack+200084,int_stack+154696,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+213188,int_stack+105388,int_stack+165784,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+146128,int_stack+213188,int_stack+181184,28);
 /*--- compute (i0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+236288,int_stack+146128,int_stack+124960,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+123868,int_stack+13328,int_stack+10388,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+172588,int_stack+123868,int_stack+97744,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+123868,int_stack+172588,int_stack+200084,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+172588,int_stack+123868,int_stack+105388,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+97744,int_stack+172588,int_stack+213188,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+172588,int_stack+97744,int_stack+146128,28);
 /*--- compute (i0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+97744,int_stack+172588,int_stack+236288,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+134032,int_stack+17984,int_stack+16688,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+137920,int_stack+19604,int_stack+17984,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+142780,int_stack+137920,int_stack+134032,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+150556,int_stack+21584,int_stack+19604,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+156496,int_stack+150556,int_stack+137920,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+166216,int_stack+156496,int_stack+142780,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+134032,int_stack+23960,int_stack+21584,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+179176,int_stack+134032,int_stack+150556,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+191056,int_stack+179176,int_stack+156496,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+141160,int_stack+191056,int_stack+166216,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+160600,int_stack+26768,int_stack+23960,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+207256,int_stack+160600,int_stack+134032,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+221512,int_stack+207256,int_stack+179176,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+221512,int_stack+191056,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+169024,int_stack+0,int_stack+141160,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+134032,int_stack+30044,int_stack+26768,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+241312,int_stack+134032,int_stack+160600,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+143860,int_stack+241312,int_stack+207256,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+258160,int_stack+143860,int_stack+221512,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+196240,int_stack+258160,int_stack+0,36);
 /*--- compute (k0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+287860,int_stack+196240,int_stack+169024,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+33824,int_stack+30044,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+11340,int_stack+0,int_stack+134032,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+167620,int_stack+11340,int_stack+241312,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+167620,int_stack+143860,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+134032,int_stack+0,int_stack+258160,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+230260,int_stack+134032,int_stack+196240,36);
 /*--- compute (k0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+134032,int_stack+230260,int_stack+287860,36);
 /*--- compute (ip|kk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+180688,int_stack+134032,int_stack+97744,1296);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+97744,int_stack+39764,int_stack+38144,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+102604,int_stack+41789,int_stack+39764,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+108679,int_stack+102604,int_stack+97744,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+118399,int_stack+44264,int_stack+41789,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+289552,int_stack+118399,int_stack+102604,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+301702,int_stack+289552,int_stack+108679,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+97744,int_stack+47234,int_stack+44264,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+97744,int_stack+118399,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+106654,int_stack+0,int_stack+289552,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+14850,int_stack+106654,int_stack+301702,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+289552,int_stack+50744,int_stack+47234,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+300082,int_stack+289552,int_stack+97744,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+317902,int_stack+300082,int_stack+0,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+342652,int_stack+317902,int_stack+106654,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+97744,int_stack+342652,int_stack+14850,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+54839,int_stack+50744,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+12285,int_stack+0,int_stack+289552,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+373027,int_stack+12285,int_stack+300082,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+402727,int_stack+373027,int_stack+317902,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+289552,int_stack+402727,int_stack+342652,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+439852,int_stack+289552,int_stack+97744,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+97744,int_stack+59564,int_stack+54839,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+332077,int_stack+97744,int_stack+0,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+97744,int_stack+332077,int_stack+12285,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+97744,int_stack+373027,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+332077,int_stack+0,int_stack+402727,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+332077,int_stack+289552,45);
 /*--- compute (l0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+289552,int_stack+0,int_stack+439852,45);
 /*--- compute (kp|kk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+347872,int_stack+289552,int_stack+134032,1296);
 /*--- compute (id|kk) ---*/
 hrr1_build_id(Libint->AB,int_stack+487840,int_stack+347872,int_stack+180688,1296);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+66944,int_stack+64964,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5940,int_stack+69419,int_stack+66944,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+13365,int_stack+5940,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25245,int_stack+72444,int_stack+69419,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+34320,int_stack+25245,int_stack+5940,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+49170,int_stack+34320,int_stack+13365,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+76074,int_stack+72444,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+97744,int_stack+0,int_stack+25245,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+115894,int_stack+97744,int_stack+34320,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+10890,int_stack+115894,int_stack+49170,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+40590,int_stack+80364,int_stack+76074,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+53460,int_stack+40590,int_stack+0,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+140644,int_stack+53460,int_stack+97744,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+170894,int_stack+140644,int_stack+115894,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+97744,int_stack+170894,int_stack+10890,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+85369,int_stack+80364,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+208019,int_stack+0,int_stack+40590,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+15015,int_stack+208019,int_stack+53460,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+233759,int_stack+15015,int_stack+140644,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+705568,int_stack+233759,int_stack+170894,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+139324,int_stack+705568,int_stack+97744,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+97744,int_stack+91144,int_stack+85369,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+51315,int_stack+97744,int_stack+0,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+81345,int_stack+51315,int_stack+208019,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+757543,int_stack+81345,int_stack+15015,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+757543,int_stack+233759,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+63525,int_stack+0,int_stack+705568,55);
 /*--- compute (m0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+705568,int_stack+63525,int_stack+139324,55);
 /*--- compute (lp|kk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+0,int_stack+705568,int_stack+289552,1296);
 /*--- compute (kd|kk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+705568,int_stack+0,int_stack+347872,1296);
 /*--- compute (if|kk) ---*/
 hrr1_build_if(Libint->AB,int_stack+0,int_stack+705568,int_stack+487840,1296);
 return int_stack+0;}
