#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_igkk(Libint_t*, prim_data*);

  /* Computes quartets of (ig|kk) integrals */

REALTYPE *hrr_order_igkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[6][11] = int_stack + 5656;
 Libint->vrr_classes[6][12] = int_stack + 7840;
 Libint->vrr_classes[6][13] = int_stack + 10388;
 Libint->vrr_classes[6][14] = int_stack + 13328;
 Libint->vrr_classes[7][7] = int_stack + 16688;
 Libint->vrr_classes[7][8] = int_stack + 17984;
 Libint->vrr_classes[7][9] = int_stack + 19604;
 Libint->vrr_classes[7][10] = int_stack + 21584;
 Libint->vrr_classes[7][11] = int_stack + 23960;
 Libint->vrr_classes[7][12] = int_stack + 26768;
 Libint->vrr_classes[7][13] = int_stack + 30044;
 Libint->vrr_classes[7][14] = int_stack + 33824;
 Libint->vrr_classes[8][7] = int_stack + 38144;
 Libint->vrr_classes[8][8] = int_stack + 39764;
 Libint->vrr_classes[8][9] = int_stack + 41789;
 Libint->vrr_classes[8][10] = int_stack + 44264;
 Libint->vrr_classes[8][11] = int_stack + 47234;
 Libint->vrr_classes[8][12] = int_stack + 50744;
 Libint->vrr_classes[8][13] = int_stack + 54839;
 Libint->vrr_classes[8][14] = int_stack + 59564;
 Libint->vrr_classes[9][7] = int_stack + 64964;
 Libint->vrr_classes[9][8] = int_stack + 66944;
 Libint->vrr_classes[9][9] = int_stack + 69419;
 Libint->vrr_classes[9][10] = int_stack + 72444;
 Libint->vrr_classes[9][11] = int_stack + 76074;
 Libint->vrr_classes[9][12] = int_stack + 80364;
 Libint->vrr_classes[9][13] = int_stack + 85369;
 Libint->vrr_classes[9][14] = int_stack + 91144;
 Libint->vrr_classes[10][7] = int_stack + 97744;
 Libint->vrr_classes[10][8] = int_stack + 100120;
 Libint->vrr_classes[10][9] = int_stack + 103090;
 Libint->vrr_classes[10][10] = int_stack + 106720;
 Libint->vrr_classes[10][11] = int_stack + 111076;
 Libint->vrr_classes[10][12] = int_stack + 116224;
 Libint->vrr_classes[10][13] = int_stack + 122230;
 Libint->vrr_classes[10][14] = int_stack + 129160;
 memset(int_stack,0,137080*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 137080;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_igkk(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+137080,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+140104,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+143884,int_stack+140104,int_stack+137080,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+149932,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+154552,int_stack+149932,int_stack+140104,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+162112,int_stack+154552,int_stack+143884,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+137080,int_stack+5656,int_stack+3808,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+172192,int_stack+137080,int_stack+149932,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+181432,int_stack+172192,int_stack+154552,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+142624,int_stack+181432,int_stack+162112,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+157744,int_stack+7840,int_stack+5656,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+194032,int_stack+157744,int_stack+137080,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+205120,int_stack+194032,int_stack+172192,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+220520,int_stack+205120,int_stack+181432,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+164296,int_stack+220520,int_stack+142624,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+137080,int_stack+10388,int_stack+7840,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+239420,int_stack+137080,int_stack+157744,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+144724,int_stack+239420,int_stack+194032,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+252524,int_stack+144724,int_stack+205120,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+185464,int_stack+252524,int_stack+220520,28);
 /*--- compute (i0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+275624,int_stack+185464,int_stack+164296,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+163204,int_stack+13328,int_stack+10388,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+211924,int_stack+163204,int_stack+137080,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+163204,int_stack+211924,int_stack+239420,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+211924,int_stack+163204,int_stack+144724,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+137080,int_stack+211924,int_stack+252524,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+211924,int_stack+137080,int_stack+185464,28);
 /*--- compute (i0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+137080,int_stack+211924,int_stack+275624,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+173368,int_stack+17984,int_stack+16688,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+177256,int_stack+19604,int_stack+17984,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+182116,int_stack+177256,int_stack+173368,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+189892,int_stack+21584,int_stack+19604,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+195832,int_stack+189892,int_stack+177256,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+205552,int_stack+195832,int_stack+182116,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+173368,int_stack+23960,int_stack+21584,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+218512,int_stack+173368,int_stack+189892,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+230392,int_stack+218512,int_stack+195832,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+180496,int_stack+230392,int_stack+205552,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+199936,int_stack+26768,int_stack+23960,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+246592,int_stack+199936,int_stack+173368,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+260848,int_stack+246592,int_stack+218512,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+260848,int_stack+230392,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+208360,int_stack+0,int_stack+180496,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+173368,int_stack+30044,int_stack+26768,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+280648,int_stack+173368,int_stack+199936,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+183196,int_stack+280648,int_stack+246592,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+297496,int_stack+183196,int_stack+260848,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+235576,int_stack+297496,int_stack+0,36);
 /*--- compute (k0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+327196,int_stack+235576,int_stack+208360,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+33824,int_stack+30044,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+11340,int_stack+0,int_stack+173368,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+206956,int_stack+11340,int_stack+280648,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+206956,int_stack+183196,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+173368,int_stack+0,int_stack+297496,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+269596,int_stack+173368,int_stack+235576,36);
 /*--- compute (k0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+173368,int_stack+269596,int_stack+327196,36);
 /*--- compute (ip|kk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+220024,int_stack+173368,int_stack+137080,1296);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+137080,int_stack+39764,int_stack+38144,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+141940,int_stack+41789,int_stack+39764,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+148015,int_stack+141940,int_stack+137080,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+157735,int_stack+44264,int_stack+41789,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+328888,int_stack+157735,int_stack+141940,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+341038,int_stack+328888,int_stack+148015,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+137080,int_stack+47234,int_stack+44264,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+137080,int_stack+157735,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+145990,int_stack+0,int_stack+328888,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+14850,int_stack+145990,int_stack+341038,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+328888,int_stack+50744,int_stack+47234,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+339418,int_stack+328888,int_stack+137080,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+357238,int_stack+339418,int_stack+0,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+381988,int_stack+357238,int_stack+145990,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+137080,int_stack+381988,int_stack+14850,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+54839,int_stack+50744,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+12285,int_stack+0,int_stack+328888,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+412363,int_stack+12285,int_stack+339418,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+442063,int_stack+412363,int_stack+357238,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+328888,int_stack+442063,int_stack+381988,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+479188,int_stack+328888,int_stack+137080,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+137080,int_stack+59564,int_stack+54839,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+371413,int_stack+137080,int_stack+0,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+137080,int_stack+371413,int_stack+12285,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+137080,int_stack+412363,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+371413,int_stack+0,int_stack+442063,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+371413,int_stack+328888,45);
 /*--- compute (l0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+328888,int_stack+0,int_stack+479188,45);
 /*--- compute (kp|kk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+387208,int_stack+328888,int_stack+173368,1296);
 /*--- compute (id|kk) ---*/
 hrr1_build_id(Libint->AB,int_stack+527176,int_stack+387208,int_stack+220024,1296);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+66944,int_stack+64964,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5940,int_stack+69419,int_stack+66944,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+13365,int_stack+5940,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25245,int_stack+72444,int_stack+69419,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+34320,int_stack+25245,int_stack+5940,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+49170,int_stack+34320,int_stack+13365,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+76074,int_stack+72444,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+137080,int_stack+0,int_stack+25245,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+155230,int_stack+137080,int_stack+34320,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+10890,int_stack+155230,int_stack+49170,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+40590,int_stack+80364,int_stack+76074,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+53460,int_stack+40590,int_stack+0,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+179980,int_stack+53460,int_stack+137080,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+210230,int_stack+179980,int_stack+155230,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+137080,int_stack+210230,int_stack+10890,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+85369,int_stack+80364,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+247355,int_stack+0,int_stack+40590,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+15015,int_stack+247355,int_stack+53460,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+273095,int_stack+15015,int_stack+179980,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+744904,int_stack+273095,int_stack+210230,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+178660,int_stack+744904,int_stack+137080,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+137080,int_stack+91144,int_stack+85369,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+51315,int_stack+137080,int_stack+0,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+796879,int_stack+51315,int_stack+247355,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+839779,int_stack+796879,int_stack+15015,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+839779,int_stack+273095,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+796879,int_stack+0,int_stack+744904,55);
 /*--- compute (m0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+0,int_stack+796879,int_stack+178660,55);
 /*--- compute (lp|kk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+137080,int_stack+0,int_stack+328888,1296);
 /*--- compute (kd|kk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+744904,int_stack+137080,int_stack+387208,1296);
 /*--- compute (if|kk) ---*/
 hrr1_build_if(Libint->AB,int_stack+1024840,int_stack+744904,int_stack+527176,1296);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+71280,int_stack+100120,int_stack+97744,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+78408,int_stack+103090,int_stack+100120,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+87318,int_stack+78408,int_stack+71280,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+312040,int_stack+106720,int_stack+103090,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+322930,int_stack+312040,int_stack+78408,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+340750,int_stack+322930,int_stack+87318,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+71280,int_stack+111076,int_stack+106720,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+84348,int_stack+71280,int_stack+312040,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+364510,int_stack+84348,int_stack+322930,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+394210,int_stack+364510,int_stack+340750,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+312040,int_stack+116224,int_stack+111076,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+327484,int_stack+312040,int_stack+71280,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+429850,int_stack+327484,int_stack+84348,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+71280,int_stack+429850,int_stack+364510,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+466150,int_stack+71280,int_stack+394210,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+353620,int_stack+122230,int_stack+116224,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+371638,int_stack+353620,int_stack+312040,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+516046,int_stack+371638,int_stack+327484,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+559606,int_stack+516046,int_stack+429850,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+402526,int_stack+559606,int_stack+71280,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+614056,int_stack+402526,int_stack+466150,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+71280,int_stack+129160,int_stack+122230,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+92070,int_stack+71280,int_stack+353620,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+312040,int_stack+92070,int_stack+371638,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+71280,int_stack+312040,int_stack+516046,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+312040,int_stack+71280,int_stack+559606,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+464896,int_stack+312040,int_stack+402526,66);
 /*--- compute (n0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+312040,int_stack+464896,int_stack+614056,66);
 /*--- compute (mp|kk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+397576,int_stack+312040,int_stack+0,1296);
 /*--- compute (ld|kk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1387720,int_stack+397576,int_stack+137080,1296);
 /*--- compute (kf|kk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+1387720,int_stack+744904,1296);
 /*--- compute (ig|kk) ---*/
 hrr1_build_ig(Libint->AB,int_stack+466560,int_stack+0,int_stack+1024840,1296);
 return int_stack+466560;}
