#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ignp(Libint_t*, prim_data*);

  /* Computes quartets of (ig|np) integrals */

REALTYPE *hrr_order_ignp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[7][10] = int_stack + 4032;
 Libint->vrr_classes[7][11] = int_stack + 6408;
 Libint->vrr_classes[8][10] = int_stack + 9216;
 Libint->vrr_classes[8][11] = int_stack + 12186;
 Libint->vrr_classes[9][10] = int_stack + 15696;
 Libint->vrr_classes[9][11] = int_stack + 19326;
 Libint->vrr_classes[10][10] = int_stack + 23616;
 Libint->vrr_classes[10][11] = int_stack + 27972;
 memset(int_stack,0,33120*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 33120;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ignp(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+33120,int_stack+1848,int_stack+0,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+38664,int_stack+6408,int_stack+4032,36);
 /*--- compute (ip|np) ---*/
 hrr1_build_ip(Libint->AB,int_stack+45792,int_stack+38664,int_stack+33120,198);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+12186,int_stack+9216,45);
 /*--- compute (kp|np) ---*/
 hrr1_build_kp(Libint->AB,int_stack+62424,int_stack+0,int_stack+38664,198);
 /*--- compute (id|np) ---*/
 hrr1_build_id(Libint->AB,int_stack+83808,int_stack+62424,int_stack+45792,198);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+33120,int_stack+19326,int_stack+15696,55);
 /*--- compute (lp|np) ---*/
 hrr1_build_lp(Libint->AB,int_stack+117072,int_stack+33120,int_stack+0,198);
 /*--- compute (kd|np) ---*/
 hrr1_build_kd(Libint->AB,int_stack+143802,int_stack+117072,int_stack+62424,198);
 /*--- compute (if|np) ---*/
 hrr1_build_if(Libint->AB,int_stack+186570,int_stack+143802,int_stack+83808,198);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+27972,int_stack+23616,66);
 /*--- compute (mp|np) ---*/
 hrr1_build_mp(Libint->AB,int_stack+44010,int_stack+0,int_stack+33120,198);
 /*--- compute (ld|np) ---*/
 hrr1_build_ld(Libint->AB,int_stack+242010,int_stack+44010,int_stack+117072,198);
 /*--- compute (kf|np) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+242010,int_stack+143802,198);
 /*--- compute (ig|np) ---*/
 hrr1_build_ig(Libint->AB,int_stack+71280,int_stack+0,int_stack+186570,198);
 return int_stack+71280;}
