#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ihlk(Libint_t*, prim_data*);

  /* Computes quartets of (ih|lk) integrals */

REALTYPE *hrr_order_ihlk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[6][12] = int_stack + 6832;
 Libint->vrr_classes[6][13] = int_stack + 9380;
 Libint->vrr_classes[6][14] = int_stack + 12320;
 Libint->vrr_classes[6][15] = int_stack + 15680;
 Libint->vrr_classes[7][8] = int_stack + 19488;
 Libint->vrr_classes[7][9] = int_stack + 21108;
 Libint->vrr_classes[7][10] = int_stack + 23088;
 Libint->vrr_classes[7][11] = int_stack + 25464;
 Libint->vrr_classes[7][12] = int_stack + 28272;
 Libint->vrr_classes[7][13] = int_stack + 31548;
 Libint->vrr_classes[7][14] = int_stack + 35328;
 Libint->vrr_classes[7][15] = int_stack + 39648;
 Libint->vrr_classes[8][8] = int_stack + 44544;
 Libint->vrr_classes[8][9] = int_stack + 46569;
 Libint->vrr_classes[8][10] = int_stack + 49044;
 Libint->vrr_classes[8][11] = int_stack + 52014;
 Libint->vrr_classes[8][12] = int_stack + 55524;
 Libint->vrr_classes[8][13] = int_stack + 59619;
 Libint->vrr_classes[8][14] = int_stack + 64344;
 Libint->vrr_classes[8][15] = int_stack + 69744;
 Libint->vrr_classes[9][8] = int_stack + 75864;
 Libint->vrr_classes[9][9] = int_stack + 78339;
 Libint->vrr_classes[9][10] = int_stack + 81364;
 Libint->vrr_classes[9][11] = int_stack + 84994;
 Libint->vrr_classes[9][12] = int_stack + 89284;
 Libint->vrr_classes[9][13] = int_stack + 94289;
 Libint->vrr_classes[9][14] = int_stack + 100064;
 Libint->vrr_classes[9][15] = int_stack + 106664;
 Libint->vrr_classes[10][8] = int_stack + 114144;
 Libint->vrr_classes[10][9] = int_stack + 117114;
 Libint->vrr_classes[10][10] = int_stack + 120744;
 Libint->vrr_classes[10][11] = int_stack + 125100;
 Libint->vrr_classes[10][12] = int_stack + 130248;
 Libint->vrr_classes[10][13] = int_stack + 136254;
 Libint->vrr_classes[10][14] = int_stack + 143184;
 Libint->vrr_classes[10][15] = int_stack + 151104;
 Libint->vrr_classes[11][8] = int_stack + 160080;
 Libint->vrr_classes[11][9] = int_stack + 163590;
 Libint->vrr_classes[11][10] = int_stack + 167880;
 Libint->vrr_classes[11][11] = int_stack + 173028;
 Libint->vrr_classes[11][12] = int_stack + 179112;
 Libint->vrr_classes[11][13] = int_stack + 186210;
 Libint->vrr_classes[11][14] = int_stack + 194400;
 Libint->vrr_classes[11][15] = int_stack + 203760;
 memset(int_stack,0,214368*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 214368;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ihlk(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+214368,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+218148,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+222768,int_stack+218148,int_stack+214368,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+230328,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+235872,int_stack+230328,int_stack+218148,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+245112,int_stack+235872,int_stack+222768,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+214368,int_stack+6832,int_stack+4648,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+257712,int_stack+214368,int_stack+230328,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+268800,int_stack+257712,int_stack+235872,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+220920,int_stack+268800,int_stack+245112,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+239820,int_stack+9380,int_stack+6832,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+284200,int_stack+239820,int_stack+214368,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+297304,int_stack+284200,int_stack+257712,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+315784,int_stack+297304,int_stack+268800,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+247464,int_stack+315784,int_stack+220920,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+214368,int_stack+12320,int_stack+9380,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+223188,int_stack+214368,int_stack+239820,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+338884,int_stack+223188,int_stack+284200,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+360724,int_stack+338884,int_stack+297304,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+273924,int_stack+360724,int_stack+315784,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+388444,int_stack+273924,int_stack+247464,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+238476,int_stack+15680,int_stack+12320,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+248556,int_stack+238476,int_stack+214368,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+306264,int_stack+248556,int_stack+223188,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+214368,int_stack+306264,int_stack+338884,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+306264,int_stack+214368,int_stack+360724,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+214368,int_stack+306264,int_stack+273924,28);
 /*--- compute (i0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+257488,int_stack+214368,int_stack+388444,28);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+214368,int_stack+21108,int_stack+19488,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+219228,int_stack+23088,int_stack+21108,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+225168,int_stack+219228,int_stack+214368,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+234888,int_stack+25464,int_stack+23088,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+242016,int_stack+234888,int_stack+219228,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+302848,int_stack+242016,int_stack+225168,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+214368,int_stack+28272,int_stack+25464,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+319048,int_stack+214368,int_stack+234888,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+333304,int_stack+319048,int_stack+242016,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+222792,int_stack+333304,int_stack+302848,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+302848,int_stack+31548,int_stack+28272,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+353104,int_stack+302848,int_stack+214368,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+369952,int_stack+353104,int_stack+319048,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+393712,int_stack+369952,int_stack+333304,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+312676,int_stack+393712,int_stack+222792,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+214368,int_stack+35328,int_stack+31548,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+225708,int_stack+214368,int_stack+302848,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+225708,int_stack+353104,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+423412,int_stack+0,int_stack+369952,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+346696,int_stack+423412,int_stack+393712,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+459052,int_stack+346696,int_stack+312676,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+302848,int_stack+39648,int_stack+35328,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+315808,int_stack+302848,int_stack+214368,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+388276,int_stack+315808,int_stack+225708,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+214368,int_stack+388276,int_stack+0,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+504412,int_stack+214368,int_stack+423412,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+388276,int_stack+504412,int_stack+346696,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+302848,int_stack+388276,int_stack+459052,36);
 /*--- compute (ip|lk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+361168,int_stack+302848,int_stack+257488,1620);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+214368,int_stack+46569,int_stack+44544,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+220443,int_stack+49044,int_stack+46569,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+227868,int_stack+220443,int_stack+214368,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+240018,int_stack+52014,int_stack+49044,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+248928,int_stack+240018,int_stack+220443,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+263778,int_stack+248928,int_stack+227868,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+214368,int_stack+55524,int_stack+52014,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+284028,int_stack+214368,int_stack+240018,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+284028,int_stack+248928,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+224898,int_stack+0,int_stack+263778,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+255273,int_stack+59619,int_stack+55524,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+24750,int_stack+255273,int_stack+214368,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+497248,int_stack+24750,int_stack+284028,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+526948,int_stack+497248,int_stack+0,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+564073,int_stack+526948,int_stack+224898,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+64344,int_stack+59619,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+214368,int_stack+0,int_stack+255273,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+238938,int_stack+214368,int_stack+24750,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+14175,int_stack+238938,int_stack+497248,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+606598,int_stack+14175,int_stack+526948,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+497248,int_stack+606598,int_stack+564073,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+553948,int_stack+69744,int_stack+64344,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+570148,int_stack+553948,int_stack+0,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+658573,int_stack+570148,int_stack+214368,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+553948,int_stack+658573,int_stack+238938,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+214368,int_stack+553948,int_stack+14175,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+214368,int_stack+606598,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+214368,int_stack+0,int_stack+497248,45);
 /*--- compute (kp|lk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+497248,int_stack+214368,int_stack+302848,1620);
 /*--- compute (id|lk) ---*/
 hrr1_build_id(Libint->AB,int_stack+672208,int_stack+497248,int_stack+361168,1620);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+78339,int_stack+75864,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7425,int_stack+81364,int_stack+78339,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+16500,int_stack+7425,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31350,int_stack+84994,int_stack+81364,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+42240,int_stack+31350,int_stack+7425,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+287268,int_stack+42240,int_stack+16500,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+89284,int_stack+84994,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+60390,int_stack+0,int_stack+31350,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+312018,int_stack+60390,int_stack+42240,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+12870,int_stack+312018,int_stack+287268,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+287268,int_stack+94289,int_stack+89284,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+342268,int_stack+287268,int_stack+0,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+368008,int_stack+342268,int_stack+60390,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+404308,int_stack+368008,int_stack+312018,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+944368,int_stack+404308,int_stack+12870,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+100064,int_stack+94289,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+17325,int_stack+0,int_stack+287268,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+287268,int_stack+17325,int_stack+342268,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+996343,int_stack+287268,int_stack+368008,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+330168,int_stack+996343,int_stack+404308,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+393693,int_stack+330168,int_stack+944368,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+944368,int_stack+106664,int_stack+100064,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+47355,int_stack+944368,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+944368,int_stack+47355,int_stack+17325,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+944368,int_stack+287268,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1050793,int_stack+0,int_stack+996343,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+1050793,int_stack+330168,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+287268,int_stack+0,int_stack+393693,55);
 /*--- compute (lp|lk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+944368,int_stack+287268,int_stack+214368,1620);
 /*--- compute (kd|lk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1163068,int_stack+944368,int_stack+497248,1620);
 /*--- compute (if|lk) ---*/
 hrr1_build_if(Libint->AB,int_stack+1512988,int_stack+1163068,int_stack+672208,1620);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+214368,int_stack+117114,int_stack+114144,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+223278,int_stack+120744,int_stack+117114,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+234168,int_stack+223278,int_stack+214368,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+251988,int_stack+125100,int_stack+120744,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+265056,int_stack+251988,int_stack+223278,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+265056,int_stack+234168,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+214368,int_stack+130248,int_stack+125100,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+29700,int_stack+214368,int_stack+251988,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+55836,int_stack+29700,int_stack+265056,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+229812,int_stack+55836,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+136254,int_stack+130248,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+92136,int_stack+0,int_stack+214368,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+376368,int_stack+92136,int_stack+29700,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+419928,int_stack+376368,int_stack+55836,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+18018,int_stack+419928,int_stack+229812,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+214368,int_stack+143184,int_stack+136254,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+235158,int_stack+214368,int_stack+0,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+474378,int_stack+235158,int_stack+92136,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+525858,int_stack+474378,int_stack+376368,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+591198,int_stack+525858,int_stack+419928,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+376368,int_stack+591198,int_stack+18018,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+151104,int_stack+143184,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+23760,int_stack+0,int_stack+214368,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+65340,int_stack+23760,int_stack+235158,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+667428,int_stack+65340,int_stack+474378,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+667428,int_stack+525858,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+667428,int_stack+0,int_stack+591198,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+0,int_stack+667428,int_stack+376368,66);
 /*--- compute (mp|lk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+376368,int_stack+0,int_stack+287268,1620);
 /*--- compute (ld|lk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1966588,int_stack+376368,int_stack+944368,1620);
 /*--- compute (kf|lk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+2403988,int_stack+1966588,int_stack+1163068,1620);
 /*--- compute (ig|lk) ---*/
 hrr1_build_ig(Libint->AB,int_stack+643668,int_stack+2403988,int_stack+1512988,1620);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+1324068,int_stack+163590,int_stack+160080,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1334598,int_stack+167880,int_stack+163590,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+1347468,int_stack+1334598,int_stack+1324068,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1368528,int_stack+173028,int_stack+167880,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1383972,int_stack+1368528,int_stack+1334598,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+1409712,int_stack+1383972,int_stack+1347468,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1324068,int_stack+179112,int_stack+173028,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1444812,int_stack+1324068,int_stack+1368528,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1475700,int_stack+1444812,int_stack+1383972,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+1342320,int_stack+1475700,int_stack+1409712,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1394970,int_stack+186210,int_stack+179112,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1518600,int_stack+1394970,int_stack+1324068,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1555104,int_stack+1518600,int_stack+1444812,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1606584,int_stack+1555104,int_stack+1475700,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1416264,int_stack+1606584,int_stack+1342320,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1324068,int_stack+194400,int_stack+186210,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1348638,int_stack+1324068,int_stack+1394970,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1670934,int_stack+1348638,int_stack+1518600,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1731774,int_stack+1670934,int_stack+1555104,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1489974,int_stack+1731774,int_stack+1606584,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+1808994,int_stack+1489974,int_stack+1416264,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1391226,int_stack+203760,int_stack+194400,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1419306,int_stack+1391226,int_stack+1324068,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1580064,int_stack+1419306,int_stack+1348638,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1324068,int_stack+1580064,int_stack+1670934,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1580064,int_stack+1324068,int_stack+1731774,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1324068,int_stack+1580064,int_stack+1489974,78);
 /*--- compute (o0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1444188,int_stack+1324068,int_stack+1808994,78);
 /*--- compute (np|lk) ---*/
 hrr1_build_np(Libint->AB,int_stack+1570548,int_stack+1444188,int_stack+0,1620);
 /*--- compute (md|lk) ---*/
 hrr1_build_md(Libint->AB,int_stack+2987188,int_stack+1570548,int_stack+376368,1620);
 /*--- compute (lf|lk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+3521788,int_stack+2987188,int_stack+1966588,1620);
 /*--- compute (kg|lk) ---*/
 hrr1_build_kg(Libint->AB,int_stack+1324068,int_stack+3521788,int_stack+2403988,1620);
 /*--- compute (ih|lk) ---*/
 hrr1_build_ih(Libint->AB,int_stack+2198868,int_stack+1324068,int_stack+643668,1620);
 return int_stack+2198868;}
