#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ihmg(Libint_t*, prim_data*);

  /* Computes quartets of (ih|mg) integrals */

REALTYPE *hrr_order_ihmg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[7][9] = int_stack + 11060;
 Libint->vrr_classes[7][10] = int_stack + 13040;
 Libint->vrr_classes[7][11] = int_stack + 15416;
 Libint->vrr_classes[7][12] = int_stack + 18224;
 Libint->vrr_classes[7][13] = int_stack + 21500;
 Libint->vrr_classes[8][9] = int_stack + 25280;
 Libint->vrr_classes[8][10] = int_stack + 27755;
 Libint->vrr_classes[8][11] = int_stack + 30725;
 Libint->vrr_classes[8][12] = int_stack + 34235;
 Libint->vrr_classes[8][13] = int_stack + 38330;
 Libint->vrr_classes[9][9] = int_stack + 43055;
 Libint->vrr_classes[9][10] = int_stack + 46080;
 Libint->vrr_classes[9][11] = int_stack + 49710;
 Libint->vrr_classes[9][12] = int_stack + 54000;
 Libint->vrr_classes[9][13] = int_stack + 59005;
 Libint->vrr_classes[10][9] = int_stack + 64780;
 Libint->vrr_classes[10][10] = int_stack + 68410;
 Libint->vrr_classes[10][11] = int_stack + 72766;
 Libint->vrr_classes[10][12] = int_stack + 77914;
 Libint->vrr_classes[10][13] = int_stack + 83920;
 Libint->vrr_classes[11][9] = int_stack + 90850;
 Libint->vrr_classes[11][10] = int_stack + 95140;
 Libint->vrr_classes[11][11] = int_stack + 100288;
 Libint->vrr_classes[11][12] = int_stack + 106372;
 Libint->vrr_classes[11][13] = int_stack + 113470;
 memset(int_stack,0,121660*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 121660;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ihmg(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+121660,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+126280,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+131824,int_stack+126280,int_stack+121660,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+141064,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+147616,int_stack+141064,int_stack+126280,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+158704,int_stack+147616,int_stack+131824,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+121660,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+174104,int_stack+121660,int_stack+141064,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+121660,int_stack+174104,int_stack+147616,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+174104,int_stack+121660,int_stack+158704,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+121660,int_stack+13040,int_stack+11060,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+127600,int_stack+15416,int_stack+13040,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+134728,int_stack+127600,int_stack+121660,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+146608,int_stack+18224,int_stack+15416,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+155032,int_stack+146608,int_stack+127600,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+197204,int_stack+155032,int_stack+134728,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+121660,int_stack+21500,int_stack+18224,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+121660,int_stack+146608,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+121660,int_stack+0,int_stack+155032,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+217004,int_stack+121660,int_stack+197204,36);
 /*--- compute (ip|mg) ---*/
 hrr1_build_ip(Libint->AB,int_stack+246704,int_stack+217004,int_stack+174104,825);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+121660,int_stack+27755,int_stack+25280,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+129085,int_stack+30725,int_stack+27755,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+137995,int_stack+129085,int_stack+121660,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+152845,int_stack+34235,int_stack+30725,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+163375,int_stack+152845,int_stack+129085,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+181195,int_stack+163375,int_stack+137995,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+121660,int_stack+38330,int_stack+34235,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+121660,int_stack+152845,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+121660,int_stack+0,int_stack+163375,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+121660,int_stack+181195,45);
 /*--- compute (kp|mg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+121660,int_stack+0,int_stack+217004,825);
 /*--- compute (id|mg) ---*/
 hrr1_build_id(Libint->AB,int_stack+316004,int_stack+121660,int_stack+246704,825);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+210760,int_stack+46080,int_stack+43055,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+219835,int_stack+49710,int_stack+46080,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+230725,int_stack+219835,int_stack+210760,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+248875,int_stack+54000,int_stack+49710,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+261745,int_stack+248875,int_stack+219835,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+283525,int_stack+261745,int_stack+230725,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+210760,int_stack+59005,int_stack+54000,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+37125,int_stack+210760,int_stack+248875,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+210760,int_stack+37125,int_stack+261745,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+454604,int_stack+210760,int_stack+283525,55);
 /*--- compute (lp|mg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+499979,int_stack+454604,int_stack+0,825);
 /*--- compute (kd|mg) ---*/
 hrr1_build_kd(Libint->AB,int_stack+611354,int_stack+499979,int_stack+121660,825);
 /*--- compute (if|mg) ---*/
 hrr1_build_if(Libint->AB,int_stack+789554,int_stack+611354,int_stack+316004,825);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+121660,int_stack+68410,int_stack+64780,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+132550,int_stack+72766,int_stack+68410,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+145618,int_stack+132550,int_stack+121660,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+167398,int_stack+77914,int_stack+72766,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+182842,int_stack+167398,int_stack+132550,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+208978,int_stack+182842,int_stack+145618,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+121660,int_stack+83920,int_stack+77914,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+245278,int_stack+121660,int_stack+167398,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+121660,int_stack+245278,int_stack+182842,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+245278,int_stack+121660,int_stack+208978,66);
 /*--- compute (mp|mg) ---*/
 hrr1_build_mp(Libint->AB,int_stack+299728,int_stack+245278,int_stack+454604,825);
 /*--- compute (ld|mg) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1020554,int_stack+299728,int_stack+499979,825);
 /*--- compute (kf|mg) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1243304,int_stack+1020554,int_stack+611354,825);
 /*--- compute (ig|mg) ---*/
 hrr1_build_ig(Libint->AB,int_stack+435853,int_stack+1243304,int_stack+789554,825);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+121660,int_stack+95140,int_stack+90850,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+134530,int_stack+100288,int_stack+95140,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+149974,int_stack+134530,int_stack+121660,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+175714,int_stack+106372,int_stack+100288,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+193966,int_stack+175714,int_stack+134530,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+782353,int_stack+193966,int_stack+149974,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+121660,int_stack+113470,int_stack+106372,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+825253,int_stack+121660,int_stack+175714,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+861757,int_stack+825253,int_stack+193966,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+913237,int_stack+861757,int_stack+782353,78);
 /*--- compute (np|mg) ---*/
 hrr1_build_np(Libint->AB,int_stack+0,int_stack+913237,int_stack+245278,825);
 /*--- compute (md|mg) ---*/
 hrr1_build_md(Libint->AB,int_stack+1540304,int_stack+0,int_stack+299728,825);
 /*--- compute (lf|mg) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+1540304,int_stack+1020554,825);
 /*--- compute (kg|mg) ---*/
 hrr1_build_kg(Libint->AB,int_stack+782353,int_stack+0,int_stack+1243304,825);
 /*--- compute (ih|mg) ---*/
 hrr1_build_ih(Libint->AB,int_stack+1227853,int_stack+782353,int_stack+435853,825);
 return int_stack+1227853;}
