#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iink(Libint_t*, prim_data*);

  /* Computes quartets of (ii|nk) integrals */

REALTYPE *hrr_order_iink(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[6][15] = int_stack + 12880;
 Libint->vrr_classes[6][16] = int_stack + 16688;
 Libint->vrr_classes[6][17] = int_stack + 20972;
 Libint->vrr_classes[7][10] = int_stack + 25760;
 Libint->vrr_classes[7][11] = int_stack + 28136;
 Libint->vrr_classes[7][12] = int_stack + 30944;
 Libint->vrr_classes[7][13] = int_stack + 34220;
 Libint->vrr_classes[7][14] = int_stack + 38000;
 Libint->vrr_classes[7][15] = int_stack + 42320;
 Libint->vrr_classes[7][16] = int_stack + 47216;
 Libint->vrr_classes[7][17] = int_stack + 52724;
 Libint->vrr_classes[8][10] = int_stack + 58880;
 Libint->vrr_classes[8][11] = int_stack + 61850;
 Libint->vrr_classes[8][12] = int_stack + 65360;
 Libint->vrr_classes[8][13] = int_stack + 69455;
 Libint->vrr_classes[8][14] = int_stack + 74180;
 Libint->vrr_classes[8][15] = int_stack + 79580;
 Libint->vrr_classes[8][16] = int_stack + 85700;
 Libint->vrr_classes[8][17] = int_stack + 92585;
 Libint->vrr_classes[9][10] = int_stack + 100280;
 Libint->vrr_classes[9][11] = int_stack + 103910;
 Libint->vrr_classes[9][12] = int_stack + 108200;
 Libint->vrr_classes[9][13] = int_stack + 113205;
 Libint->vrr_classes[9][14] = int_stack + 118980;
 Libint->vrr_classes[9][15] = int_stack + 125580;
 Libint->vrr_classes[9][16] = int_stack + 133060;
 Libint->vrr_classes[9][17] = int_stack + 141475;
 Libint->vrr_classes[10][10] = int_stack + 150880;
 Libint->vrr_classes[10][11] = int_stack + 155236;
 Libint->vrr_classes[10][12] = int_stack + 160384;
 Libint->vrr_classes[10][13] = int_stack + 166390;
 Libint->vrr_classes[10][14] = int_stack + 173320;
 Libint->vrr_classes[10][15] = int_stack + 181240;
 Libint->vrr_classes[10][16] = int_stack + 190216;
 Libint->vrr_classes[10][17] = int_stack + 200314;
 Libint->vrr_classes[11][10] = int_stack + 211600;
 Libint->vrr_classes[11][11] = int_stack + 216748;
 Libint->vrr_classes[11][12] = int_stack + 222832;
 Libint->vrr_classes[11][13] = int_stack + 229930;
 Libint->vrr_classes[11][14] = int_stack + 238120;
 Libint->vrr_classes[11][15] = int_stack + 247480;
 Libint->vrr_classes[11][16] = int_stack + 258088;
 Libint->vrr_classes[11][17] = int_stack + 270022;
 Libint->vrr_classes[12][10] = int_stack + 283360;
 Libint->vrr_classes[12][11] = int_stack + 289366;
 Libint->vrr_classes[12][12] = int_stack + 296464;
 Libint->vrr_classes[12][13] = int_stack + 304745;
 Libint->vrr_classes[12][14] = int_stack + 314300;
 Libint->vrr_classes[12][15] = int_stack + 325220;
 Libint->vrr_classes[12][16] = int_stack + 337596;
 Libint->vrr_classes[12][17] = int_stack + 351519;
 memset(int_stack,0,367080*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 367080;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iink(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+367080,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+372624,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+379176,int_stack+372624,int_stack+367080,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+390264,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+397908,int_stack+390264,int_stack+372624,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+411012,int_stack+397908,int_stack+379176,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+367080,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+429492,int_stack+367080,int_stack+390264,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+375900,int_stack+429492,int_stack+397908,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+444780,int_stack+375900,int_stack+411012,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+397740,int_stack+12880,int_stack+9520,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+407820,int_stack+397740,int_stack+367080,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+472500,int_stack+407820,int_stack+429492,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+497980,int_stack+472500,int_stack+375900,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+530740,int_stack+497980,int_stack+444780,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+367080,int_stack+16688,int_stack+12880,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+425460,int_stack+367080,int_stack+397740,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+569548,int_stack+425460,int_stack+407820,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+378504,int_stack+569548,int_stack+472500,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+445620,int_stack+378504,int_stack+497980,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+598948,int_stack+445620,int_stack+530740,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+491484,int_stack+20972,int_stack+16688,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+504336,int_stack+491484,int_stack+367080,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+527184,int_stack+504336,int_stack+425460,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+650692,int_stack+527184,int_stack+569548,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+491484,int_stack+650692,int_stack+378504,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+367080,int_stack+491484,int_stack+445620,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+428232,int_stack+367080,int_stack+598948,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+367080,int_stack+28136,int_stack+25760,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+374208,int_stack+30944,int_stack+28136,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+382632,int_stack+374208,int_stack+367080,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+396888,int_stack+34220,int_stack+30944,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+406716,int_stack+396888,int_stack+374208,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+494760,int_stack+406716,int_stack+382632,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+367080,int_stack+38000,int_stack+34220,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+518520,int_stack+367080,int_stack+396888,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+378420,int_stack+518520,int_stack+406716,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+538176,int_stack+378420,int_stack+494760,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+494760,int_stack+42320,int_stack+38000,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+573816,int_stack+494760,int_stack+367080,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+596496,int_stack+573816,int_stack+518520,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+629256,int_stack+596496,int_stack+378420,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+367080,int_stack+629256,int_stack+538176,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+507720,int_stack+47216,int_stack+42320,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+522408,int_stack+507720,int_stack+494760,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+522408,int_stack+573816,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+671376,int_stack+0,int_stack+596496,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+548328,int_stack+671376,int_stack+629256,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+720516,int_stack+548328,int_stack+367080,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+367080,int_stack+52724,int_stack+47216,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+383604,int_stack+367080,int_stack+507720,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+607296,int_stack+383604,int_stack+522408,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+367080,int_stack+607296,int_stack+0,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+787044,int_stack+367080,int_stack+671376,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+607296,int_stack+787044,int_stack+548328,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+494760,int_stack+607296,int_stack+720516,36);
 /*--- compute (ip|nk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+580296,int_stack+494760,int_stack+428232,2376);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+367080,int_stack+61850,int_stack+58880,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+375990,int_stack+65360,int_stack+61850,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+386520,int_stack+375990,int_stack+367080,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+404340,int_stack+69455,int_stack+65360,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+416625,int_stack+404340,int_stack+375990,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+437685,int_stack+416625,int_stack+386520,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+367080,int_stack+74180,int_stack+69455,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+467385,int_stack+367080,int_stack+404340,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+381255,int_stack+467385,int_stack+416625,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+381255,int_stack+437685,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+416355,int_stack+79580,int_stack+74180,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+432555,int_stack+416355,int_stack+367080,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+779880,int_stack+432555,int_stack+467385,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+820830,int_stack+779880,int_stack+381255,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+873480,int_stack+820830,int_stack+0,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+85700,int_stack+79580,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+18360,int_stack+0,int_stack+416355,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+367080,int_stack+18360,int_stack+432555,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+414330,int_stack+367080,int_stack+779880,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+935850,int_stack+414330,int_stack+820830,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+779880,int_stack+935850,int_stack+873480,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+863040,int_stack+92585,int_stack+85700,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+883695,int_stack+863040,int_stack+0,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1009560,int_stack+883695,int_stack+18360,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1009560,int_stack+367080,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1009560,int_stack+0,int_stack+414330,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+1009560,int_stack+935850,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+367080,int_stack+0,int_stack+779880,45);
 /*--- compute (kp|nk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+779880,int_stack+367080,int_stack+494760,2376);
 /*--- compute (id|nk) ---*/
 hrr1_build_id(Libint->AB,int_stack+1036488,int_stack+779880,int_stack+580296,2376);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+103910,int_stack+100280,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+108200,int_stack+103910,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+113205,int_stack+108200,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60555,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+474000,int_stack+60555,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+118980,int_stack+113205,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+86295,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+86295,int_stack+60555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+510300,int_stack+17325,int_stack+474000,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+474000,int_stack+125580,int_stack+118980,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+564750,int_stack+474000,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+599400,int_stack+564750,int_stack+86295,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+60225,int_stack+599400,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+649450,int_stack+60225,int_stack+510300,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+133060,int_stack+125580,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+493800,int_stack+0,int_stack+474000,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1435656,int_stack+493800,int_stack+564750,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1493406,int_stack+1435656,int_stack+599400,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+533400,int_stack+1493406,int_stack+60225,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+22440,int_stack+533400,int_stack+649450,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+623490,int_stack+141475,int_stack+133060,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+648735,int_stack+623490,int_stack+0,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+693615,int_stack+648735,int_stack+493800,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1568481,int_stack+693615,int_stack+1435656,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+623490,int_stack+1568481,int_stack+1493406,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1435656,int_stack+623490,int_stack+533400,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+474000,int_stack+1435656,int_stack+22440,55);
 /*--- compute (lp|nk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1435656,int_stack+474000,int_stack+367080,2376);
 /*--- compute (kd|nk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1756416,int_stack+1435656,int_stack+779880,2376);
 /*--- compute (if|nk) ---*/
 hrr1_build_if(Libint->AB,int_stack+2269632,int_stack+1756416,int_stack+1036488,2376);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+367080,int_stack+155236,int_stack+150880,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+380148,int_stack+160384,int_stack+155236,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+395592,int_stack+380148,int_stack+367080,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+421728,int_stack+166390,int_stack+160384,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+439746,int_stack+421728,int_stack+380148,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+439746,int_stack+395592,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+367080,int_stack+173320,int_stack+166390,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+43560,int_stack+367080,int_stack+421728,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+387870,int_stack+43560,int_stack+439746,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+79596,int_stack+387870,int_stack+0,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+181240,int_stack+173320,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+604680,int_stack+0,int_stack+367080,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+646260,int_stack+604680,int_stack+43560,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+706320,int_stack+646260,int_stack+387870,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+367080,int_stack+706320,int_stack+79596,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+23760,int_stack+190216,int_stack+181240,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+50688,int_stack+23760,int_stack+0,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+98208,int_stack+50688,int_stack+604680,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+783540,int_stack+98208,int_stack+646260,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+873630,int_stack+783540,int_stack+706320,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+604680,int_stack+873630,int_stack+367080,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+367080,int_stack+200314,int_stack+190216,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+397374,int_stack+367080,int_stack+23760,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+981738,int_stack+397374,int_stack+50688,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+367080,int_stack+981738,int_stack+98208,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+981738,int_stack+367080,int_stack+783540,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1107864,int_stack+981738,int_stack+873630,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1252008,int_stack+1107864,int_stack+604680,66);
 /*--- compute (mp|nk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+604680,int_stack+1252008,int_stack+474000,2376);
 /*--- compute (ld|nk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2934912,int_stack+604680,int_stack+1435656,2376);
 /*--- compute (kf|nk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+3576432,int_stack+2934912,int_stack+1756416,2376);
 /*--- compute (ig|nk) ---*/
 hrr1_build_ig(Libint->AB,int_stack+4431792,int_stack+3576432,int_stack+2269632,2376);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+996720,int_stack+216748,int_stack+211600,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1012164,int_stack+222832,int_stack+216748,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1030416,int_stack+1012164,int_stack+996720,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1061304,int_stack+229930,int_stack+222832,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1082598,int_stack+1061304,int_stack+1012164,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1119102,int_stack+1082598,int_stack+1030416,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+996720,int_stack+238120,int_stack+229930,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1170582,int_stack+996720,int_stack+1061304,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1021290,int_stack+1170582,int_stack+1082598,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+367080,int_stack+1021290,int_stack+1119102,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1082130,int_stack+247480,int_stack+238120,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1110210,int_stack+1082130,int_stack+996720,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+444300,int_stack+1110210,int_stack+1170582,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1159350,int_stack+444300,int_stack+1021290,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1408824,int_stack+1159350,int_stack+367080,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+367080,int_stack+258088,int_stack+247480,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+996720,int_stack+367080,int_stack+1082130,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+515280,int_stack+996720,int_stack+1110210,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1052880,int_stack+515280,int_stack+444300,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1516932,int_stack+1052880,int_stack+1159350,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1644696,int_stack+1516932,int_stack+1408824,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1408824,int_stack+270022,int_stack+258088,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1444626,int_stack+1408824,int_stack+367080,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+367080,int_stack+1444626,int_stack+996720,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1788840,int_stack+367080,int_stack+515280,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+367080,int_stack+1788840,int_stack+1052880,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1788840,int_stack+367080,int_stack+1516932,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+367080,int_stack+1788840,int_stack+1644696,78);
 /*--- compute (np|nk) ---*/
 hrr1_build_np(Libint->AB,int_stack+1408824,int_stack+367080,int_stack+1252008,2376);
 /*--- compute (md|nk) ---*/
 hrr1_build_md(Libint->AB,int_stack+1879272,int_stack+1408824,int_stack+604680,2376);
 /*--- compute (lf|nk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+5429712,int_stack+1879272,int_stack+2934912,2376);
 /*--- compute (kg|nk) ---*/
 hrr1_build_kg(Libint->AB,int_stack+6498912,int_stack+5429712,int_stack+3576432,2376);
 /*--- compute (ih|nk) ---*/
 hrr1_build_ih(Libint->AB,int_stack+2663352,int_stack+6498912,int_stack+4431792,2376);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+552408,int_stack+289366,int_stack+283360,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+570426,int_stack+296464,int_stack+289366,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+591720,int_stack+570426,int_stack+552408,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+627756,int_stack+304745,int_stack+296464,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+652599,int_stack+627756,int_stack+570426,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+695187,int_stack+652599,int_stack+591720,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+552408,int_stack+314300,int_stack+304745,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+755247,int_stack+552408,int_stack+627756,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+581073,int_stack+755247,int_stack+652599,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+804933,int_stack+581073,int_stack+695187,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+652053,int_stack+325220,int_stack+314300,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+684813,int_stack+652053,int_stack+552408,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+895023,int_stack+684813,int_stack+755247,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+977833,int_stack+895023,int_stack+581073,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1084303,int_stack+977833,int_stack+804933,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+552408,int_stack+337596,int_stack+325220,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+742143,int_stack+552408,int_stack+652053,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1210429,int_stack+742143,int_stack+684813,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+589536,int_stack+1210429,int_stack+895023,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+807663,int_stack+589536,int_stack+977833,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+4060440,int_stack+807663,int_stack+1084303,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+956721,int_stack+351519,int_stack+337596,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+998490,int_stack+956721,int_stack+552408,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1072746,int_stack+998490,int_stack+742143,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+4228608,int_stack+1072746,int_stack+1210429,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+956721,int_stack+4228608,int_stack+589536,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+4228608,int_stack+956721,int_stack+807663,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4427352,int_stack+4228608,int_stack+4060440,91);
 /*--- compute (op|nk) ---*/
 hrr1_build_op(Libint->AB,int_stack+4643568,int_stack+4427352,int_stack+367080,2376);
 /*--- compute (nd|nk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+4643568,int_stack+1408824,2376);
 /*--- compute (mf|nk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+4060440,int_stack+0,int_stack+1879272,2376);
 /*--- compute (lg|nk) ---*/
 hrr1_build_lg(Libint->AB,int_stack+0,int_stack+4060440,int_stack+5429712,2376);
 /*--- compute (kh|nk) ---*/
 hrr1_build_kh(Libint->AB,int_stack+4060440,int_stack+0,int_stack+6498912,2376);
 /*--- compute (ii|nk) ---*/
 hrr1_build_ii(Libint->AB,int_stack+0,int_stack+4060440,int_stack+2663352,2376);
 return int_stack+0;}
