#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0kd(Libint_t*, prim_data*);

  /* Computes quartets of (k0|kd) integrals */

REALTYPE *hrr_order_k0kd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 memset(int_stack,0,4896*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 4896;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0kd(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4896,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8784,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+13644,int_stack+8784,int_stack+4896,36);
 return int_stack+13644;}
