#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0md(Libint_t*, prim_data*);

  /* Computes quartets of (k0|md) integrals */

REALTYPE *hrr_order_k0md(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 memset(int_stack,0,7164*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7164;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0md(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7164,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+13104,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+20232,int_stack+13104,int_stack+7164,36);
 return int_stack+20232;}
