#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0mp(Libint_t*, prim_data*);

  /* Computes quartets of (k0|mp) integrals */

REALTYPE *hrr_order_k0mp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 memset(int_stack,0,4356*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 4356;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0mp(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4356,int_stack+1980,int_stack+0,36);
 return int_stack+4356;}
