#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kfni(Libint_t*, prim_data*);

  /* Computes quartets of (kf|ni) integrals */

REALTYPE *hrr_order_kfni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 Libint->vrr_classes[8][10] = int_stack + 26964;
 Libint->vrr_classes[8][11] = int_stack + 29934;
 Libint->vrr_classes[8][12] = int_stack + 33444;
 Libint->vrr_classes[8][13] = int_stack + 37539;
 Libint->vrr_classes[8][14] = int_stack + 42264;
 Libint->vrr_classes[8][15] = int_stack + 47664;
 Libint->vrr_classes[8][16] = int_stack + 53784;
 Libint->vrr_classes[9][10] = int_stack + 60669;
 Libint->vrr_classes[9][11] = int_stack + 64299;
 Libint->vrr_classes[9][12] = int_stack + 68589;
 Libint->vrr_classes[9][13] = int_stack + 73594;
 Libint->vrr_classes[9][14] = int_stack + 79369;
 Libint->vrr_classes[9][15] = int_stack + 85969;
 Libint->vrr_classes[9][16] = int_stack + 93449;
 Libint->vrr_classes[10][10] = int_stack + 101864;
 Libint->vrr_classes[10][11] = int_stack + 106220;
 Libint->vrr_classes[10][12] = int_stack + 111368;
 Libint->vrr_classes[10][13] = int_stack + 117374;
 Libint->vrr_classes[10][14] = int_stack + 124304;
 Libint->vrr_classes[10][15] = int_stack + 132224;
 Libint->vrr_classes[10][16] = int_stack + 141200;
 memset(int_stack,0,151298*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 151298;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kfni(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+151298,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+158426,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+166850,int_stack+158426,int_stack+151298,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+181106,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+190934,int_stack+181106,int_stack+158426,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+207782,int_stack+190934,int_stack+166850,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+151298,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+231542,int_stack+151298,int_stack+181106,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+162638,int_stack+231542,int_stack+190934,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+251198,int_stack+162638,int_stack+207782,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+190718,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+203678,int_stack+190718,int_stack+151298,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+286838,int_stack+203678,int_stack+231542,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+319598,int_stack+286838,int_stack+162638,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+361718,int_stack+319598,int_stack+251198,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+151298,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+226358,int_stack+151298,int_stack+190718,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+151298,int_stack+226358,int_stack+203678,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+189098,int_stack+151298,int_stack+286838,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+238238,int_stack+189098,int_stack+319598,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+151298,int_stack+238238,int_stack+361718,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+217826,int_stack+29934,int_stack+26964,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+226736,int_stack+33444,int_stack+29934,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+237266,int_stack+226736,int_stack+217826,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+255086,int_stack+37539,int_stack+33444,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+267371,int_stack+255086,int_stack+226736,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+288431,int_stack+267371,int_stack+237266,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+217826,int_stack+42264,int_stack+37539,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+318131,int_stack+217826,int_stack+255086,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+232001,int_stack+318131,int_stack+267371,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+342701,int_stack+232001,int_stack+288431,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+267101,int_stack+47664,int_stack+42264,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+283301,int_stack+267101,int_stack+217826,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+283301,int_stack+318131,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+387251,int_stack+0,int_stack+232001,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+439901,int_stack+387251,int_stack+342701,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+217826,int_stack+53784,int_stack+47664,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+311651,int_stack+217826,int_stack+267101,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+217826,int_stack+311651,int_stack+283301,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+265076,int_stack+217826,int_stack+0,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+502271,int_stack+265076,int_stack+387251,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+217826,int_stack+502271,int_stack+439901,45);
 /*--- compute (kp|ni) ---*/
 hrr1_build_kp(Libint->AB,int_stack+300986,int_stack+217826,int_stack+151298,1848);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+151298,int_stack+64299,int_stack+60669,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+162188,int_stack+68589,int_stack+64299,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+175058,int_stack+162188,int_stack+151298,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+196838,int_stack+73594,int_stack+68589,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+196838,int_stack+162188,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+25740,int_stack+0,int_stack+175058,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+151298,int_stack+79369,int_stack+73594,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+500570,int_stack+151298,int_stack+196838,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+168623,int_stack+500570,int_stack+0,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+530600,int_stack+168623,int_stack+25740,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+85969,int_stack+79369,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+19800,int_stack+0,int_stack+151298,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+585050,int_stack+19800,int_stack+500570,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+635100,int_stack+585050,int_stack+168623,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+699450,int_stack+635100,int_stack+530600,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+500570,int_stack+93449,int_stack+85969,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+523010,int_stack+500570,int_stack+0,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+151298,int_stack+523010,int_stack+19800,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+151298,int_stack+585050,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+500570,int_stack+0,int_stack+635100,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+500570,int_stack+699450,55);
 /*--- compute (lp|ni) ---*/
 hrr1_build_lp(Libint->AB,int_stack+500570,int_stack+0,int_stack+217826,1848);
 /*--- compute (kd|ni) ---*/
 hrr1_build_kd(Libint->AB,int_stack+750050,int_stack+500570,int_stack+300986,1848);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+151298,int_stack+106220,int_stack+101864,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+164366,int_stack+111368,int_stack+106220,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+179810,int_stack+164366,int_stack+151298,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+205946,int_stack+117374,int_stack+111368,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+223964,int_stack+205946,int_stack+164366,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+254852,int_stack+223964,int_stack+179810,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+151298,int_stack+124304,int_stack+117374,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+298412,int_stack+151298,int_stack+205946,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+172088,int_stack+298412,int_stack+223964,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+334448,int_stack+172088,int_stack+254852,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+223568,int_stack+132224,int_stack+124304,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+247328,int_stack+223568,int_stack+151298,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+399788,int_stack+247328,int_stack+298412,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1149218,int_stack+399788,int_stack+172088,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1226438,int_stack+1149218,int_stack+334448,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+151298,int_stack+141200,int_stack+132224,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+288908,int_stack+151298,int_stack+223568,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+101640,int_stack+288908,int_stack+247328,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+170940,int_stack+101640,int_stack+399788,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+261030,int_stack+170940,int_stack+1149218,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+101640,int_stack+261030,int_stack+1226438,66);
 /*--- compute (mp|ni) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1149218,int_stack+101640,int_stack+0,1848);
 /*--- compute (ld|ni) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+1149218,int_stack+500570,1848);
 /*--- compute (kf|ni) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1149218,int_stack+0,int_stack+750050,1848);
 return int_stack+1149218;}
