#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kfnm(Libint_t*, prim_data*);

  /* Computes quartets of (kf|nm) integrals */

REALTYPE *hrr_order_kfnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 Libint->vrr_classes[7][17] = int_stack + 26964;
 Libint->vrr_classes[7][18] = int_stack + 33120;
 Libint->vrr_classes[7][19] = int_stack + 39960;
 Libint->vrr_classes[8][10] = int_stack + 47520;
 Libint->vrr_classes[8][11] = int_stack + 50490;
 Libint->vrr_classes[8][12] = int_stack + 54000;
 Libint->vrr_classes[8][13] = int_stack + 58095;
 Libint->vrr_classes[8][14] = int_stack + 62820;
 Libint->vrr_classes[8][15] = int_stack + 68220;
 Libint->vrr_classes[8][16] = int_stack + 74340;
 Libint->vrr_classes[8][17] = int_stack + 81225;
 Libint->vrr_classes[8][18] = int_stack + 88920;
 Libint->vrr_classes[8][19] = int_stack + 97470;
 Libint->vrr_classes[9][10] = int_stack + 106920;
 Libint->vrr_classes[9][11] = int_stack + 110550;
 Libint->vrr_classes[9][12] = int_stack + 114840;
 Libint->vrr_classes[9][13] = int_stack + 119845;
 Libint->vrr_classes[9][14] = int_stack + 125620;
 Libint->vrr_classes[9][15] = int_stack + 132220;
 Libint->vrr_classes[9][16] = int_stack + 139700;
 Libint->vrr_classes[9][17] = int_stack + 148115;
 Libint->vrr_classes[9][18] = int_stack + 157520;
 Libint->vrr_classes[9][19] = int_stack + 167970;
 Libint->vrr_classes[10][10] = int_stack + 179520;
 Libint->vrr_classes[10][11] = int_stack + 183876;
 Libint->vrr_classes[10][12] = int_stack + 189024;
 Libint->vrr_classes[10][13] = int_stack + 195030;
 Libint->vrr_classes[10][14] = int_stack + 201960;
 Libint->vrr_classes[10][15] = int_stack + 209880;
 Libint->vrr_classes[10][16] = int_stack + 218856;
 Libint->vrr_classes[10][17] = int_stack + 228954;
 Libint->vrr_classes[10][18] = int_stack + 240240;
 Libint->vrr_classes[10][19] = int_stack + 252780;
 memset(int_stack,0,266640*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 266640;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kfnm(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+266640,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+273768,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+282192,int_stack+273768,int_stack+266640,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+296448,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+306276,int_stack+296448,int_stack+273768,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+323124,int_stack+306276,int_stack+282192,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+266640,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+346884,int_stack+266640,int_stack+296448,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+277980,int_stack+346884,int_stack+306276,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+366540,int_stack+277980,int_stack+323124,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+306060,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+319020,int_stack+306060,int_stack+266640,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+402180,int_stack+319020,int_stack+346884,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+434940,int_stack+402180,int_stack+277980,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+477060,int_stack+434940,int_stack+366540,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+266640,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+341700,int_stack+266640,int_stack+306060,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+526956,int_stack+341700,int_stack+319020,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+281328,int_stack+526956,int_stack+402180,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+367620,int_stack+281328,int_stack+434940,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+564756,int_stack+367620,int_stack+477060,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+426588,int_stack+26964,int_stack+21456,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+443112,int_stack+426588,int_stack+266640,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+472488,int_stack+443112,int_stack+341700,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+631284,int_stack+472488,int_stack+526956,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+687984,int_stack+631284,int_stack+281328,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+266640,int_stack+687984,int_stack+367620,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+756780,int_stack+266640,int_stack+564756,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+345264,int_stack+33120,int_stack+26964,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+363732,int_stack+345264,int_stack+426588,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+515688,int_stack+363732,int_stack+443112,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+396780,int_stack+515688,int_stack+472488,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+842316,int_stack+396780,int_stack+631284,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+564648,int_stack+842316,int_stack+687984,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+921696,int_stack+564648,int_stack+266640,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1022784,int_stack+921696,int_stack+756780,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+266640,int_stack+39960,int_stack+33120,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+287160,int_stack+266640,int_stack+345264,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+656376,int_stack+287160,int_stack+363732,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+266640,int_stack+656376,int_stack+515688,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+656376,int_stack+266640,int_stack+396780,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+266640,int_stack+656376,int_stack+842316,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+656376,int_stack+266640,int_stack+564648,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+266640,int_stack+656376,int_stack+921696,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+393000,int_stack+266640,int_stack+1022784,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+266640,int_stack+50490,int_stack+47520,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+275550,int_stack+54000,int_stack+50490,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+286080,int_stack+275550,int_stack+266640,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+303900,int_stack+58095,int_stack+54000,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+316185,int_stack+303900,int_stack+275550,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+337245,int_stack+316185,int_stack+286080,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+266640,int_stack+62820,int_stack+58095,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+366945,int_stack+266640,int_stack+303900,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+280815,int_stack+366945,int_stack+316185,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+523680,int_stack+280815,int_stack+337245,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+315915,int_stack+68220,int_stack+62820,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+332115,int_stack+315915,int_stack+266640,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+568230,int_stack+332115,int_stack+366945,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+609180,int_stack+568230,int_stack+280815,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+661830,int_stack+609180,int_stack+523680,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+523680,int_stack+74340,int_stack+68220,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+266640,int_stack+523680,int_stack+315915,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+724200,int_stack+266640,int_stack+332115,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+299040,int_stack+724200,int_stack+568230,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+771450,int_stack+299040,int_stack+609180,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+542040,int_stack+771450,int_stack+661830,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+625200,int_stack+81225,int_stack+74340,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+645855,int_stack+625200,int_stack+523680,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+845160,int_stack+645855,int_stack+266640,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+899160,int_stack+845160,int_stack+724200,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+682575,int_stack+899160,int_stack+299040,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+266640,int_stack+682575,int_stack+771450,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+970035,int_stack+266640,int_stack+542040,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+364920,int_stack+88920,int_stack+81225,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+523680,int_stack+364920,int_stack+625200,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+564990,int_stack+523680,int_stack+645855,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+564990,int_stack+845160,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+768570,int_stack+0,int_stack+899160,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1076955,int_stack+768570,int_stack+682575,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+626190,int_stack+1076955,int_stack+266640,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1191615,int_stack+626190,int_stack+970035,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+266640,int_stack+97470,int_stack+88920,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+292290,int_stack+266640,int_stack+364920,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+867795,int_stack+292290,int_stack+523680,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+266640,int_stack+867795,int_stack+564990,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+867795,int_stack+266640,int_stack+0,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1325265,int_stack+867795,int_stack+768570,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+752550,int_stack+1325265,int_stack+1076955,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+899970,int_stack+752550,int_stack+626190,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+523680,int_stack+899970,int_stack+1191615,45);
 /*--- compute (kp|nm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+687030,int_stack+523680,int_stack+393000,3630);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+110550,int_stack+106920,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+114840,int_stack+110550,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+119845,int_stack+114840,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60555,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+266640,int_stack+60555,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+125620,int_stack+119845,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+86295,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+86295,int_stack+60555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+302940,int_stack+17325,int_stack+266640,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+266640,int_stack+132220,int_stack+125620,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+357390,int_stack+266640,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+392040,int_stack+357390,int_stack+86295,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+60225,int_stack+392040,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+442090,int_stack+60225,int_stack+302940,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+139700,int_stack+132220,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+286440,int_stack+0,int_stack+266640,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1079070,int_stack+286440,int_stack+357390,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1136820,int_stack+1079070,int_stack+392040,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+326040,int_stack+1136820,int_stack+60225,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+22440,int_stack+326040,int_stack+442090,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+416130,int_stack+148115,int_stack+139700,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+441375,int_stack+416130,int_stack+0,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1211895,int_stack+441375,int_stack+286440,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1277895,int_stack+1211895,int_stack+1079070,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1364520,int_stack+1277895,int_stack+1136820,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1079070,int_stack+1364520,int_stack+326040,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+266640,int_stack+1079070,int_stack+22440,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+157520,int_stack+148115,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+28215,int_stack+0,int_stack+416130,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+78705,int_stack+28215,int_stack+441375,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+397320,int_stack+78705,int_stack+1211895,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1469625,int_stack+397320,int_stack+1277895,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1199190,int_stack+1469625,int_stack+1364520,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1590900,int_stack+1199190,int_stack+1079070,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1745340,int_stack+1590900,int_stack+266640,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+266640,int_stack+167970,int_stack+157520,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+297990,int_stack+266640,int_stack+0,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1079070,int_stack+297990,int_stack+28215,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+266640,int_stack+1079070,int_stack+78705,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+0,int_stack+266640,int_stack+397320,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+266640,int_stack+0,int_stack+1469625,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1339330,int_stack+266640,int_stack+1199190,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+266640,int_stack+1339330,int_stack+1590900,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1079070,int_stack+266640,int_stack+1745340,55);
 /*--- compute (lp|nm) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1278720,int_stack+1079070,int_stack+523680,3630);
 /*--- compute (kd|nm) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1768770,int_stack+1278720,int_stack+687030,3630);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+266640,int_stack+183876,int_stack+179520,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+279708,int_stack+189024,int_stack+183876,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+295152,int_stack+279708,int_stack+266640,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+321288,int_stack+195030,int_stack+189024,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+339306,int_stack+321288,int_stack+279708,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+370194,int_stack+339306,int_stack+295152,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+266640,int_stack+201960,int_stack+195030,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+413754,int_stack+266640,int_stack+321288,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+287430,int_stack+413754,int_stack+339306,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+449790,int_stack+287430,int_stack+370194,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+338910,int_stack+209880,int_stack+201960,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+362670,int_stack+338910,int_stack+266640,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+515130,int_stack+362670,int_stack+413754,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+575190,int_stack+515130,int_stack+287430,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+652410,int_stack+575190,int_stack+449790,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+266640,int_stack+218856,int_stack+209880,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+404250,int_stack+266640,int_stack+338910,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+743886,int_stack+404250,int_stack+362670,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+293568,int_stack+743886,int_stack+515130,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+451770,int_stack+293568,int_stack+575190,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+813186,int_stack+451770,int_stack+652410,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+559878,int_stack+228954,int_stack+218856,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+590172,int_stack+559878,int_stack+266640,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+644028,int_stack+590172,int_stack+404250,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+935154,int_stack+644028,int_stack+743886,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+935154,int_stack+293568,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+266640,int_stack+0,int_stack+451770,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2552850,int_stack+266640,int_stack+813186,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+410784,int_stack+240240,int_stack+228954,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+444642,int_stack+410784,int_stack+559878,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+723228,int_stack+444642,int_stack+590172,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+505230,int_stack+723228,int_stack+644028,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2709666,int_stack+505230,int_stack+935154,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+812988,int_stack+2709666,int_stack+0,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+812988,int_stack+266640,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2855196,int_stack+0,int_stack+2552850,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2552850,int_stack+252780,int_stack+240240,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2590470,int_stack+2552850,int_stack+410784,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+185328,int_stack+2590470,int_stack+444642,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2552850,int_stack+185328,int_stack+723228,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+185328,int_stack+2552850,int_stack+505230,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+351648,int_stack+185328,int_stack+2709666,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2552850,int_stack+351648,int_stack+812988,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+185328,int_stack+2552850,int_stack+0,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2552850,int_stack+185328,int_stack+2855196,66);
 /*--- compute (mp|nm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+0,int_stack+2552850,int_stack+1079070,3630);
 /*--- compute (ld|nm) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2552850,int_stack+0,int_stack+1278720,3630);
 /*--- compute (kf|nm) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+2552850,int_stack+1768770,3630);
 return int_stack+0;}
