#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kgnp(Libint_t*, prim_data*);

  /* Computes quartets of (kg|np) integrals */

REALTYPE *hrr_order_kgnp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[8][10] = int_stack + 5184;
 Libint->vrr_classes[8][11] = int_stack + 8154;
 Libint->vrr_classes[9][10] = int_stack + 11664;
 Libint->vrr_classes[9][11] = int_stack + 15294;
 Libint->vrr_classes[10][10] = int_stack + 19584;
 Libint->vrr_classes[10][11] = int_stack + 23940;
 Libint->vrr_classes[11][10] = int_stack + 29088;
 Libint->vrr_classes[11][11] = int_stack + 34236;
 memset(int_stack,0,40320*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 40320;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kgnp(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+40320,int_stack+2376,int_stack+0,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+47448,int_stack+8154,int_stack+5184,45);
 /*--- compute (kp|np) ---*/
 hrr1_build_kp(Libint->AB,int_stack+56358,int_stack+47448,int_stack+40320,198);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+15294,int_stack+11664,55);
 /*--- compute (lp|np) ---*/
 hrr1_build_lp(Libint->AB,int_stack+77742,int_stack+0,int_stack+47448,198);
 /*--- compute (kd|np) ---*/
 hrr1_build_kd(Libint->AB,int_stack+104472,int_stack+77742,int_stack+56358,198);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+40320,int_stack+23940,int_stack+19584,66);
 /*--- compute (mp|np) ---*/
 hrr1_build_mp(Libint->AB,int_stack+147240,int_stack+40320,int_stack+0,198);
 /*--- compute (ld|np) ---*/
 hrr1_build_ld(Libint->AB,int_stack+179910,int_stack+147240,int_stack+77742,198);
 /*--- compute (kf|np) ---*/
 hrr1_build_kf(Libint->AB,int_stack+233370,int_stack+179910,int_stack+104472,198);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+34236,int_stack+29088,78);
 /*--- compute (np|np) ---*/
 hrr1_build_np(Libint->AB,int_stack+53388,int_stack+0,int_stack+40320,198);
 /*--- compute (md|np) ---*/
 hrr1_build_md(Libint->AB,int_stack+304650,int_stack+53388,int_stack+147240,198);
 /*--- compute (lf|np) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+304650,int_stack+179910,198);
 /*--- compute (kg|np) ---*/
 hrr1_build_kg(Libint->AB,int_stack+89100,int_stack+0,int_stack+233370,198);
 return int_stack+89100;}
