#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_king(Libint_t*, prim_data*);

  /* Computes quartets of (ki|ng) integrals */

REALTYPE *hrr_order_king(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[8][10] = int_stack + 16560;
 Libint->vrr_classes[8][11] = int_stack + 19530;
 Libint->vrr_classes[8][12] = int_stack + 23040;
 Libint->vrr_classes[8][13] = int_stack + 27135;
 Libint->vrr_classes[8][14] = int_stack + 31860;
 Libint->vrr_classes[9][10] = int_stack + 37260;
 Libint->vrr_classes[9][11] = int_stack + 40890;
 Libint->vrr_classes[9][12] = int_stack + 45180;
 Libint->vrr_classes[9][13] = int_stack + 50185;
 Libint->vrr_classes[9][14] = int_stack + 55960;
 Libint->vrr_classes[10][10] = int_stack + 62560;
 Libint->vrr_classes[10][11] = int_stack + 66916;
 Libint->vrr_classes[10][12] = int_stack + 72064;
 Libint->vrr_classes[10][13] = int_stack + 78070;
 Libint->vrr_classes[10][14] = int_stack + 85000;
 Libint->vrr_classes[11][10] = int_stack + 92920;
 Libint->vrr_classes[11][11] = int_stack + 98068;
 Libint->vrr_classes[11][12] = int_stack + 104152;
 Libint->vrr_classes[11][13] = int_stack + 111250;
 Libint->vrr_classes[11][14] = int_stack + 119440;
 Libint->vrr_classes[12][10] = int_stack + 128800;
 Libint->vrr_classes[12][11] = int_stack + 134806;
 Libint->vrr_classes[12][12] = int_stack + 141904;
 Libint->vrr_classes[12][13] = int_stack + 150185;
 Libint->vrr_classes[12][14] = int_stack + 159740;
 Libint->vrr_classes[13][10] = int_stack + 170660;
 Libint->vrr_classes[13][11] = int_stack + 177590;
 Libint->vrr_classes[13][12] = int_stack + 185780;
 Libint->vrr_classes[13][13] = int_stack + 195335;
 Libint->vrr_classes[13][14] = int_stack + 206360;
 memset(int_stack,0,218960*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 218960;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_king(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+218960,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+226088,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+234512,int_stack+226088,int_stack+218960,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+248768,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+258596,int_stack+248768,int_stack+226088,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+275444,int_stack+258596,int_stack+234512,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+218960,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+299204,int_stack+218960,int_stack+248768,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+218960,int_stack+299204,int_stack+258596,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+299204,int_stack+218960,int_stack+275444,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+218960,int_stack+19530,int_stack+16560,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+227870,int_stack+23040,int_stack+19530,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+238400,int_stack+227870,int_stack+218960,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+256220,int_stack+27135,int_stack+23040,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+268505,int_stack+256220,int_stack+227870,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+334844,int_stack+268505,int_stack+238400,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+218960,int_stack+31860,int_stack+27135,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+218960,int_stack+256220,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+218960,int_stack+0,int_stack+268505,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+254060,int_stack+218960,int_stack+334844,45);
 /*--- compute (kp|ng) ---*/
 hrr1_build_kp(Libint->AB,int_stack+334844,int_stack+254060,int_stack+299204,990);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+218960,int_stack+40890,int_stack+37260,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+229850,int_stack+45180,int_stack+40890,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+229850,int_stack+218960,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+21780,int_stack+50185,int_stack+45180,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+298610,int_stack+21780,int_stack+229850,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+441764,int_stack+298610,int_stack+0,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+55960,int_stack+50185,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+218960,int_stack+0,int_stack+21780,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+218960,int_stack+298610,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+478064,int_stack+0,int_stack+441764,55);
 /*--- compute (lp|ng) ---*/
 hrr1_build_lp(Libint->AB,int_stack+532514,int_stack+478064,int_stack+254060,990);
 /*--- compute (kd|ng) ---*/
 hrr1_build_kd(Libint->AB,int_stack+666164,int_stack+532514,int_stack+334844,990);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+66916,int_stack+62560,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13068,int_stack+72064,int_stack+66916,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+28512,int_stack+13068,int_stack+0,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+218960,int_stack+78070,int_stack+72064,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+236978,int_stack+218960,int_stack+13068,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+267866,int_stack+236978,int_stack+28512,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+85000,int_stack+78070,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+20790,int_stack+0,int_stack+218960,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+311426,int_stack+20790,int_stack+236978,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+311426,int_stack+267866,66);
 /*--- compute (mp|ng) ---*/
 hrr1_build_mp(Libint->AB,int_stack+218960,int_stack+0,int_stack+478064,990);
 /*--- compute (ld|ng) ---*/
 hrr1_build_ld(Libint->AB,int_stack+880004,int_stack+218960,int_stack+532514,990);
 /*--- compute (kf|ng) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1147304,int_stack+880004,int_stack+666164,990);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+382310,int_stack+98068,int_stack+92920,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+397754,int_stack+104152,int_stack+98068,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+416006,int_stack+397754,int_stack+382310,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+446894,int_stack+111250,int_stack+104152,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+468188,int_stack+446894,int_stack+397754,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+504692,int_stack+468188,int_stack+416006,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+382310,int_stack+119440,int_stack+111250,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+556172,int_stack+382310,int_stack+446894,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+382310,int_stack+556172,int_stack+468188,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+556172,int_stack+382310,int_stack+504692,78);
 /*--- compute (np|ng) ---*/
 hrr1_build_np(Libint->AB,int_stack+633392,int_stack+556172,int_stack+0,990);
 /*--- compute (md|ng) ---*/
 hrr1_build_md(Libint->AB,int_stack+1503704,int_stack+633392,int_stack+218960,990);
 /*--- compute (lf|ng) ---*/
 hrr1_build_lf(Libint->AB,int_stack+1830404,int_stack+1503704,int_stack+880004,990);
 /*--- compute (kg|ng) ---*/
 hrr1_build_kg(Libint->AB,int_stack+2275904,int_stack+1830404,int_stack+1147304,990);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+218960,int_stack+134806,int_stack+128800,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+236978,int_stack+141904,int_stack+134806,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+258272,int_stack+236978,int_stack+218960,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+294308,int_stack+150185,int_stack+141904,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+319151,int_stack+294308,int_stack+236978,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+361739,int_stack+319151,int_stack+258272,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+218960,int_stack+159740,int_stack+150185,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+421799,int_stack+218960,int_stack+294308,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+218960,int_stack+421799,int_stack+319151,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+421799,int_stack+218960,int_stack+361739,91);
 /*--- compute (op|ng) ---*/
 hrr1_build_op(Libint->AB,int_stack+829412,int_stack+421799,int_stack+556172,990);
 /*--- compute (nd|ng) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1061072,int_stack+829412,int_stack+633392,990);
 /*--- compute (mf|ng) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2810504,int_stack+1061072,int_stack+1503704,990);
 /*--- compute (lg|ng) ---*/
 hrr1_build_lg(Libint->AB,int_stack+3355004,int_stack+2810504,int_stack+1830404,990);
 /*--- compute (kh|ng) ---*/
 hrr1_build_kh(Libint->AB,int_stack+1453112,int_stack+3355004,int_stack+2275904,990);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+218960,int_stack+177590,int_stack+170660,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+239750,int_stack+185780,int_stack+177590,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+264320,int_stack+239750,int_stack+218960,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+305900,int_stack+195335,int_stack+185780,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+334565,int_stack+305900,int_stack+239750,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+511889,int_stack+334565,int_stack+264320,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+218960,int_stack+206360,int_stack+195335,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+581189,int_stack+218960,int_stack+305900,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+638519,int_stack+581189,int_stack+334565,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+720419,int_stack+638519,int_stack+511889,105);
 /*--- compute (qp|ng) ---*/
 hrr1_build_qp(Libint->AB,int_stack+0,int_stack+720419,int_stack+421799,990);
 /*--- compute (od|ng) ---*/
 hrr1_build_od(Libint->AB,int_stack+270270,int_stack+0,int_stack+829412,990);
 /*--- compute (nf|ng) ---*/
 hrr1_build_nf(Libint->AB,int_stack+4023254,int_stack+270270,int_stack+1061072,990);
 /*--- compute (mg|ng) ---*/
 hrr1_build_mg(Libint->AB,int_stack+0,int_stack+4023254,int_stack+2810504,990);
 /*--- compute (lh|ng) ---*/
 hrr1_build_lh(Libint->AB,int_stack+2201552,int_stack+0,int_stack+3355004,990);
 /*--- compute (ki|ng) ---*/
 hrr1_build_ki(Libint->AB,int_stack+0,int_stack+2201552,int_stack+1453112,990);
 return int_stack+0;}
