#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kpkd(Libint_t*, prim_data*);

  /* Computes quartets of (kp|kd) integrals */

REALTYPE *hrr_order_kpkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[8][7] = int_stack + 4896;
 Libint->vrr_classes[8][8] = int_stack + 6516;
 Libint->vrr_classes[8][9] = int_stack + 8541;
 memset(int_stack,0,11016*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 11016;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kpkd(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+11016,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+14904,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+19764,int_stack+14904,int_stack+11016,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+11016,int_stack+6516,int_stack+4896,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+8541,int_stack+6516,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+27540,int_stack+0,int_stack+11016,45);
 /*--- compute (kp|kd) ---*/
 hrr1_build_kp(Libint->AB,int_stack+37260,int_stack+27540,int_stack+19764,216);
 return int_stack+37260;}
