#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lkmi(Libint_t*, prim_data*);

  /* Computes quartets of (lk|mi) integrals */

REALTYPE *hrr_order_lkmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[8][15] = int_stack + 23175;
 Libint->vrr_classes[9][9] = int_stack + 29295;
 Libint->vrr_classes[9][10] = int_stack + 32320;
 Libint->vrr_classes[9][11] = int_stack + 35950;
 Libint->vrr_classes[9][12] = int_stack + 40240;
 Libint->vrr_classes[9][13] = int_stack + 45245;
 Libint->vrr_classes[9][14] = int_stack + 51020;
 Libint->vrr_classes[9][15] = int_stack + 57620;
 Libint->vrr_classes[10][9] = int_stack + 65100;
 Libint->vrr_classes[10][10] = int_stack + 68730;
 Libint->vrr_classes[10][11] = int_stack + 73086;
 Libint->vrr_classes[10][12] = int_stack + 78234;
 Libint->vrr_classes[10][13] = int_stack + 84240;
 Libint->vrr_classes[10][14] = int_stack + 91170;
 Libint->vrr_classes[10][15] = int_stack + 99090;
 Libint->vrr_classes[11][9] = int_stack + 108066;
 Libint->vrr_classes[11][10] = int_stack + 112356;
 Libint->vrr_classes[11][11] = int_stack + 117504;
 Libint->vrr_classes[11][12] = int_stack + 123588;
 Libint->vrr_classes[11][13] = int_stack + 130686;
 Libint->vrr_classes[11][14] = int_stack + 138876;
 Libint->vrr_classes[11][15] = int_stack + 148236;
 Libint->vrr_classes[12][9] = int_stack + 158844;
 Libint->vrr_classes[12][10] = int_stack + 163849;
 Libint->vrr_classes[12][11] = int_stack + 169855;
 Libint->vrr_classes[12][12] = int_stack + 176953;
 Libint->vrr_classes[12][13] = int_stack + 185234;
 Libint->vrr_classes[12][14] = int_stack + 194789;
 Libint->vrr_classes[12][15] = int_stack + 205709;
 Libint->vrr_classes[13][9] = int_stack + 218085;
 Libint->vrr_classes[13][10] = int_stack + 223860;
 Libint->vrr_classes[13][11] = int_stack + 230790;
 Libint->vrr_classes[13][12] = int_stack + 238980;
 Libint->vrr_classes[13][13] = int_stack + 248535;
 Libint->vrr_classes[13][14] = int_stack + 259560;
 Libint->vrr_classes[13][15] = int_stack + 272160;
 Libint->vrr_classes[14][9] = int_stack + 286440;
 Libint->vrr_classes[14][10] = int_stack + 293040;
 Libint->vrr_classes[14][11] = int_stack + 300960;
 Libint->vrr_classes[14][12] = int_stack + 310320;
 Libint->vrr_classes[14][13] = int_stack + 321240;
 Libint->vrr_classes[14][14] = int_stack + 333840;
 Libint->vrr_classes[14][15] = int_stack + 348240;
 Libint->vrr_classes[15][9] = int_stack + 364560;
 Libint->vrr_classes[15][10] = int_stack + 372040;
 Libint->vrr_classes[15][11] = int_stack + 381016;
 Libint->vrr_classes[15][12] = int_stack + 391624;
 Libint->vrr_classes[15][13] = int_stack + 404000;
 Libint->vrr_classes[15][14] = int_stack + 418280;
 Libint->vrr_classes[15][15] = int_stack + 434600;
 memset(int_stack,0,453096*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 453096;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lkmi(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+453096,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+460521,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+469431,int_stack+460521,int_stack+453096,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+484281,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+494811,int_stack+484281,int_stack+460521,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+512631,int_stack+494811,int_stack+469431,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+453096,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+537381,int_stack+453096,int_stack+484281,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+558441,int_stack+537381,int_stack+494811,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+465381,int_stack+558441,int_stack+512631,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+502506,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+588141,int_stack+502506,int_stack+453096,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+612711,int_stack+588141,int_stack+537381,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+647811,int_stack+612711,int_stack+558441,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+516681,int_stack+647811,int_stack+465381,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+453096,int_stack+23175,int_stack+17775,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+469296,int_stack+453096,int_stack+502506,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+692361,int_stack+469296,int_stack+588141,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+453096,int_stack+692361,int_stack+612711,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+568656,int_stack+453096,int_stack+647811,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+631026,int_stack+568656,int_stack+516681,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+453096,int_stack+32320,int_stack+29295,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+462171,int_stack+35950,int_stack+32320,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+473061,int_stack+462171,int_stack+453096,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+491211,int_stack+40240,int_stack+35950,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+504081,int_stack+491211,int_stack+462171,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+525861,int_stack+504081,int_stack+473061,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+453096,int_stack+45245,int_stack+40240,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+556111,int_stack+453096,int_stack+491211,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+581851,int_stack+556111,int_stack+504081,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+468111,int_stack+581851,int_stack+525861,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+513486,int_stack+51020,int_stack+45245,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+700326,int_stack+513486,int_stack+453096,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+700326,int_stack+556111,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+730356,int_stack+0,int_stack+581851,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+530811,int_stack+730356,int_stack+468111,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+453096,int_stack+57620,int_stack+51020,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+472896,int_stack+453096,int_stack+513486,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+784806,int_stack+472896,int_stack+700326,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+453096,int_stack+784806,int_stack+0,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+784806,int_stack+453096,int_stack+730356,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+861036,int_stack+784806,int_stack+530811,55);
 /*--- compute (lp|mi) ---*/
 hrr1_build_lp(Libint->AB,int_stack+945736,int_stack+861036,int_stack+631026,1540);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+453096,int_stack+68730,int_stack+65100,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+463986,int_stack+73086,int_stack+68730,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+477054,int_stack+463986,int_stack+453096,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+498834,int_stack+78234,int_stack+73086,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+514278,int_stack+498834,int_stack+463986,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+540414,int_stack+514278,int_stack+477054,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+453096,int_stack+84240,int_stack+78234,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+576714,int_stack+453096,int_stack+498834,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+607602,int_stack+576714,int_stack+514278,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+471114,int_stack+607602,int_stack+540414,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+525564,int_stack+91170,int_stack+84240,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+651162,int_stack+525564,int_stack+453096,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+687198,int_stack+651162,int_stack+576714,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+738678,int_stack+687198,int_stack+607602,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+546354,int_stack+738678,int_stack+471114,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+453096,int_stack+99090,int_stack+91170,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+476856,int_stack+453096,int_stack+525564,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+476856,int_stack+651162,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+453096,int_stack+0,int_stack+687198,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+453096,int_stack+738678,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+622584,int_stack+0,int_stack+546354,66);
 /*--- compute (mp|mi) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1153636,int_stack+622584,int_stack+861036,1540);
 /*--- compute (ld|mi) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1407736,int_stack+1153636,int_stack+945736,1540);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+112356,int_stack+108066,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12870,int_stack+117504,int_stack+112356,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28314,int_stack+12870,int_stack+0,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54054,int_stack+123588,int_stack+117504,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+72306,int_stack+54054,int_stack+12870,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+453096,int_stack+72306,int_stack+28314,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+130686,int_stack+123588,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+495996,int_stack+0,int_stack+54054,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+532500,int_stack+495996,int_stack+72306,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+21294,int_stack+532500,int_stack+453096,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+453096,int_stack+138876,int_stack+130686,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+85644,int_stack+453096,int_stack+0,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+724224,int_stack+85644,int_stack+495996,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+785064,int_stack+724224,int_stack+532500,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+477666,int_stack+785064,int_stack+21294,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+148236,int_stack+138876,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+28080,int_stack+0,int_stack+453096,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+862284,int_stack+28080,int_stack+85644,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+862284,int_stack+724224,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+862284,int_stack+0,int_stack+785064,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+862284,int_stack+477666,78);
 /*--- compute (np|mi) ---*/
 hrr1_build_np(Libint->AB,int_stack+724224,int_stack+0,int_stack+622584,1540);
 /*--- compute (md|mi) ---*/
 hrr1_build_md(Libint->AB,int_stack+1823536,int_stack+724224,int_stack+1153636,1540);
 /*--- compute (lf|mi) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2331736,int_stack+1823536,int_stack+1407736,1540);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+120120,int_stack+163849,int_stack+158844,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+135135,int_stack+169855,int_stack+163849,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1029144,int_stack+135135,int_stack+120120,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1059174,int_stack+176953,int_stack+169855,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1080468,int_stack+1059174,int_stack+135135,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+120120,int_stack+1080468,int_stack+1029144,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1029144,int_stack+185234,int_stack+176953,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1116504,int_stack+1029144,int_stack+1059174,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1159092,int_stack+1116504,int_stack+1080468,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1219152,int_stack+1159092,int_stack+120120,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+120120,int_stack+194789,int_stack+185234,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1053987,int_stack+120120,int_stack+1029144,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1294227,int_stack+1053987,int_stack+1116504,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1365207,int_stack+1294227,int_stack+1159092,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1103673,int_stack+1365207,int_stack+1219152,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+148785,int_stack+205709,int_stack+194789,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1208778,int_stack+148785,int_stack+120120,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+120120,int_stack+1208778,int_stack+1053987,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1455297,int_stack+120120,int_stack+1294227,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1208778,int_stack+1455297,int_stack+1365207,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1334904,int_stack+1208778,int_stack+1103673,91);
 /*--- compute (op|mi) ---*/
 hrr1_build_op(Libint->AB,int_stack+3024736,int_stack+1334904,int_stack+0,1540);
 /*--- compute (nd|mi) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3385096,int_stack+3024736,int_stack+724224,1540);
 /*--- compute (mf|mi) ---*/
 hrr1_build_mf(Libint->AB,int_stack+453096,int_stack+3385096,int_stack+1823536,1540);
 /*--- compute (lg|mi) ---*/
 hrr1_build_lg(Libint->AB,int_stack+3994936,int_stack+453096,int_stack+2331736,1540);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+223860,int_stack+218085,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17325,int_stack+230790,int_stack+223860,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+38115,int_stack+17325,int_stack+0,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+72765,int_stack+238980,int_stack+230790,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+97335,int_stack+72765,int_stack+17325,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+138915,int_stack+97335,int_stack+38115,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+248535,int_stack+238980,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+196665,int_stack+0,int_stack+72765,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1475044,int_stack+196665,int_stack+97335,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+28665,int_stack+1475044,int_stack+138915,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+115290,int_stack+259560,int_stack+248535,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1544344,int_stack+115290,int_stack+0,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1601674,int_stack+1544344,int_stack+196665,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+148365,int_stack+1601674,int_stack+1475044,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1683574,int_stack+148365,int_stack+28665,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1475044,int_stack+272160,int_stack+259560,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+1475044,int_stack+115290,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1804849,int_stack+0,int_stack+1544344,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+1804849,int_stack+1601674,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1804849,int_stack+0,int_stack+148365,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+1804849,int_stack+1683574,105);
 /*--- compute (qp|mi) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1475044,int_stack+0,int_stack+1334904,1540);
 /*--- compute (od|mi) ---*/
 hrr1_build_od(Libint->AB,int_stack+1895464,int_stack+1475044,int_stack+3024736,1540);
 /*--- compute (nf|mi) ---*/
 hrr1_build_nf(Libint->AB,int_stack+5034436,int_stack+1895464,int_stack+3385096,1540);
 /*--- compute (mg|mi) ---*/
 hrr1_build_mg(Libint->AB,int_stack+2616184,int_stack+5034436,int_stack+453096,1540);
 /*--- compute (lh|mi) ---*/
 hrr1_build_lh(Libint->AB,int_stack+6050836,int_stack+2616184,int_stack+3994936,1540);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+453096,int_stack+293040,int_stack+286440,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+472896,int_stack+300960,int_stack+293040,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+496656,int_stack+472896,int_stack+453096,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+536256,int_stack+310320,int_stack+300960,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+564336,int_stack+536256,int_stack+472896,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+611856,int_stack+564336,int_stack+496656,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+453096,int_stack+321240,int_stack+310320,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+677856,int_stack+453096,int_stack+536256,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+734016,int_stack+677856,int_stack+564336,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+485856,int_stack+734016,int_stack+611856,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+584856,int_stack+333840,int_stack+321240,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+813216,int_stack+584856,int_stack+453096,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+878736,int_stack+813216,int_stack+677856,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+972336,int_stack+878736,int_stack+734016,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+622656,int_stack+972336,int_stack+485856,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+453096,int_stack+348240,int_stack+333840,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+496296,int_stack+453096,int_stack+584856,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1091136,int_stack+496296,int_stack+813216,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+453096,int_stack+1091136,int_stack+878736,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1091136,int_stack+453096,int_stack+972336,120);
 /*--- compute (t0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1257456,int_stack+1091136,int_stack+622656,120);
 /*--- compute (rp|mi) ---*/
 hrr1_build_rp(Libint->AB,int_stack+453096,int_stack+1257456,int_stack+0,1540);
 /*--- compute (qd|mi) ---*/
 hrr1_build_qd(Libint->AB,int_stack+3886684,int_stack+453096,int_stack+1475044,1540);
 /*--- compute (of|mi) ---*/
 hrr1_build_of(Libint->AB,int_stack+7506136,int_stack+3886684,int_stack+1895464,1540);
 /*--- compute (ng|mi) ---*/
 hrr1_build_ng(Libint->AB,int_stack+8707336,int_stack+7506136,int_stack+5034436,1540);
 /*--- compute (mh|mi) ---*/
 hrr1_build_mh(Libint->AB,int_stack+10231936,int_stack+8707336,int_stack+2616184,1540);
 /*--- compute (li|mi) ---*/
 hrr1_build_li(Libint->AB,int_stack+1442256,int_stack+10231936,int_stack+6050836,1540);
 /*--- compute (u0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+372040,int_stack+364560,136);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22440,int_stack+381016,int_stack+372040,136);
 /*--- compute (u0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49368,int_stack+22440,int_stack+0,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+94248,int_stack+391624,int_stack+381016,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+126072,int_stack+94248,int_stack+22440,136);
 /*--- compute (u0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+179928,int_stack+126072,int_stack+49368,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+404000,int_stack+391624,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+254728,int_stack+0,int_stack+94248,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+938196,int_stack+254728,int_stack+126072,136);
 /*--- compute (u0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+37128,int_stack+938196,int_stack+179928,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+149328,int_stack+418280,int_stack+404000,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+318376,int_stack+149328,int_stack+0,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1027956,int_stack+318376,int_stack+254728,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+3382656,int_stack+1027956,int_stack+938196,136);
 /*--- compute (u0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+3517296,int_stack+3382656,int_stack+37128,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+938196,int_stack+434600,int_stack+418280,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+938196,int_stack+149328,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+85680,int_stack+0,int_stack+318376,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+209440,int_stack+85680,int_stack+1027956,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+209440,int_stack+3382656,136);
 /*--- compute (u0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+188496,int_stack+0,int_stack+3517296,136);
 /*--- compute (tp|mi) ---*/
 hrr1_build_tp(Libint->AB,int_stack+4727524,int_stack+188496,int_stack+1257456,1540);
 /*--- compute (rd|mi) ---*/
 hrr1_build_rd(Libint->AB,int_stack+5281924,int_stack+4727524,int_stack+453096,1540);
 /*--- compute (qf|mi) ---*/
 hrr1_build_qf(Libint->AB,int_stack+0,int_stack+5281924,int_stack+3886684,1540);
 /*--- compute (og|mi) ---*/
 hrr1_build_og(Libint->AB,int_stack+3382656,int_stack+0,int_stack+7506136,1540);
 /*--- compute (nh|mi) ---*/
 hrr1_build_nh(Libint->AB,int_stack+5184456,int_stack+3382656,int_stack+8707336,1540);
 /*--- compute (mi|mi) ---*/
 hrr1_build_mi(Libint->AB,int_stack+7318896,int_stack+5184456,int_stack+10231936,1540);
 /*--- compute (lk|mi) ---*/
 hrr1_build_lk(Libint->AB,int_stack+3382656,int_stack+7318896,int_stack+1442256,1540);
 return int_stack+3382656;}
