#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lkmk(Libint_t*, prim_data*);

  /* Computes quartets of (lk|mk) integrals */

REALTYPE *hrr_order_lkmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[8][15] = int_stack + 23175;
 Libint->vrr_classes[8][16] = int_stack + 29295;
 Libint->vrr_classes[9][9] = int_stack + 36180;
 Libint->vrr_classes[9][10] = int_stack + 39205;
 Libint->vrr_classes[9][11] = int_stack + 42835;
 Libint->vrr_classes[9][12] = int_stack + 47125;
 Libint->vrr_classes[9][13] = int_stack + 52130;
 Libint->vrr_classes[9][14] = int_stack + 57905;
 Libint->vrr_classes[9][15] = int_stack + 64505;
 Libint->vrr_classes[9][16] = int_stack + 71985;
 Libint->vrr_classes[10][9] = int_stack + 80400;
 Libint->vrr_classes[10][10] = int_stack + 84030;
 Libint->vrr_classes[10][11] = int_stack + 88386;
 Libint->vrr_classes[10][12] = int_stack + 93534;
 Libint->vrr_classes[10][13] = int_stack + 99540;
 Libint->vrr_classes[10][14] = int_stack + 106470;
 Libint->vrr_classes[10][15] = int_stack + 114390;
 Libint->vrr_classes[10][16] = int_stack + 123366;
 Libint->vrr_classes[11][9] = int_stack + 133464;
 Libint->vrr_classes[11][10] = int_stack + 137754;
 Libint->vrr_classes[11][11] = int_stack + 142902;
 Libint->vrr_classes[11][12] = int_stack + 148986;
 Libint->vrr_classes[11][13] = int_stack + 156084;
 Libint->vrr_classes[11][14] = int_stack + 164274;
 Libint->vrr_classes[11][15] = int_stack + 173634;
 Libint->vrr_classes[11][16] = int_stack + 184242;
 Libint->vrr_classes[12][9] = int_stack + 196176;
 Libint->vrr_classes[12][10] = int_stack + 201181;
 Libint->vrr_classes[12][11] = int_stack + 207187;
 Libint->vrr_classes[12][12] = int_stack + 214285;
 Libint->vrr_classes[12][13] = int_stack + 222566;
 Libint->vrr_classes[12][14] = int_stack + 232121;
 Libint->vrr_classes[12][15] = int_stack + 243041;
 Libint->vrr_classes[12][16] = int_stack + 255417;
 Libint->vrr_classes[13][9] = int_stack + 269340;
 Libint->vrr_classes[13][10] = int_stack + 275115;
 Libint->vrr_classes[13][11] = int_stack + 282045;
 Libint->vrr_classes[13][12] = int_stack + 290235;
 Libint->vrr_classes[13][13] = int_stack + 299790;
 Libint->vrr_classes[13][14] = int_stack + 310815;
 Libint->vrr_classes[13][15] = int_stack + 323415;
 Libint->vrr_classes[13][16] = int_stack + 337695;
 Libint->vrr_classes[14][9] = int_stack + 353760;
 Libint->vrr_classes[14][10] = int_stack + 360360;
 Libint->vrr_classes[14][11] = int_stack + 368280;
 Libint->vrr_classes[14][12] = int_stack + 377640;
 Libint->vrr_classes[14][13] = int_stack + 388560;
 Libint->vrr_classes[14][14] = int_stack + 401160;
 Libint->vrr_classes[14][15] = int_stack + 415560;
 Libint->vrr_classes[14][16] = int_stack + 431880;
 Libint->vrr_classes[15][9] = int_stack + 450240;
 Libint->vrr_classes[15][10] = int_stack + 457720;
 Libint->vrr_classes[15][11] = int_stack + 466696;
 Libint->vrr_classes[15][12] = int_stack + 477304;
 Libint->vrr_classes[15][13] = int_stack + 489680;
 Libint->vrr_classes[15][14] = int_stack + 503960;
 Libint->vrr_classes[15][15] = int_stack + 520280;
 Libint->vrr_classes[15][16] = int_stack + 538776;
 memset(int_stack,0,559584*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 559584;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lkmk(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+559584,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+567009,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+575919,int_stack+567009,int_stack+559584,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+590769,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+601299,int_stack+590769,int_stack+567009,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+619119,int_stack+601299,int_stack+575919,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+559584,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+643869,int_stack+559584,int_stack+590769,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+664929,int_stack+643869,int_stack+601299,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+571869,int_stack+664929,int_stack+619119,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+608994,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+694629,int_stack+608994,int_stack+559584,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+719199,int_stack+694629,int_stack+643869,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+754299,int_stack+719199,int_stack+664929,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+623169,int_stack+754299,int_stack+571869,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+559584,int_stack+23175,int_stack+17775,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+575784,int_stack+559584,int_stack+608994,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+798849,int_stack+575784,int_stack+694629,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+839799,int_stack+798849,int_stack+719199,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+675144,int_stack+839799,int_stack+754299,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+892449,int_stack+675144,int_stack+623169,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+604134,int_stack+29295,int_stack+23175,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+622494,int_stack+604134,int_stack+559584,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+737514,int_stack+622494,int_stack+575784,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+559584,int_stack+737514,int_stack+798849,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+737514,int_stack+559584,int_stack+839799,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+559584,int_stack+737514,int_stack+675144,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+642744,int_stack+559584,int_stack+892449,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+559584,int_stack+39205,int_stack+36180,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+568659,int_stack+42835,int_stack+39205,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+579549,int_stack+568659,int_stack+559584,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+597699,int_stack+47125,int_stack+42835,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+610569,int_stack+597699,int_stack+568659,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+731844,int_stack+610569,int_stack+579549,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+559584,int_stack+52130,int_stack+47125,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+762094,int_stack+559584,int_stack+597699,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+787834,int_stack+762094,int_stack+610569,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+574599,int_stack+787834,int_stack+731844,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+731844,int_stack+57905,int_stack+52130,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+824134,int_stack+731844,int_stack+559584,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+854164,int_stack+824134,int_stack+762094,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+897064,int_stack+854164,int_stack+787834,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+749169,int_stack+897064,int_stack+574599,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+559584,int_stack+64505,int_stack+57905,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+579384,int_stack+559584,int_stack+731844,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+579384,int_stack+824134,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+951514,int_stack+0,int_stack+854164,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+812694,int_stack+951514,int_stack+897064,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1015864,int_stack+812694,int_stack+749169,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+731844,int_stack+71985,int_stack+64505,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+754284,int_stack+731844,int_stack+559584,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+888924,int_stack+754284,int_stack+579384,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+559584,int_stack+888924,int_stack+0,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1100564,int_stack+559584,int_stack+951514,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+888924,int_stack+1100564,int_stack+812694,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+731844,int_stack+888924,int_stack+1015864,55);
 /*--- compute (lp|mk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+840744,int_stack+731844,int_stack+642744,1980);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+559584,int_stack+84030,int_stack+80400,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+570474,int_stack+88386,int_stack+84030,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+583542,int_stack+570474,int_stack+559584,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+605322,int_stack+93534,int_stack+88386,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+620766,int_stack+605322,int_stack+570474,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+646902,int_stack+620766,int_stack+583542,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+559584,int_stack+99540,int_stack+93534,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+683202,int_stack+559584,int_stack+605322,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+683202,int_stack+620766,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+577602,int_stack+0,int_stack+646902,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+632052,int_stack+106470,int_stack+99540,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+43560,int_stack+632052,int_stack+559584,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1108044,int_stack+43560,int_stack+683202,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+652842,int_stack+1108044,int_stack+0,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1159524,int_stack+652842,int_stack+577602,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+114390,int_stack+106470,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+559584,int_stack+0,int_stack+632052,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1235754,int_stack+559584,int_stack+43560,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+23760,int_stack+1235754,int_stack+1108044,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1295814,int_stack+23760,int_stack+652842,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+601164,int_stack+1295814,int_stack+1159524,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1108044,int_stack+123366,int_stack+114390,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1134972,int_stack+1108044,int_stack+0,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1387290,int_stack+1134972,int_stack+559584,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1108044,int_stack+1387290,int_stack+1235754,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1387290,int_stack+1108044,int_stack+23760,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1108044,int_stack+1387290,int_stack+1295814,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1230012,int_stack+1108044,int_stack+601164,66);
 /*--- compute (mp|mk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1360692,int_stack+1230012,int_stack+731844,1980);
 /*--- compute (ld|mk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1687392,int_stack+1360692,int_stack+840744,1980);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+559584,int_stack+137754,int_stack+133464,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+572454,int_stack+142902,int_stack+137754,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+587898,int_stack+572454,int_stack+559584,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+613638,int_stack+148986,int_stack+142902,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+631890,int_stack+613638,int_stack+572454,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+662778,int_stack+631890,int_stack+587898,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+559584,int_stack+156084,int_stack+148986,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+705678,int_stack+559584,int_stack+613638,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+742182,int_stack+705678,int_stack+631890,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+580878,int_stack+742182,int_stack+662778,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+645228,int_stack+164274,int_stack+156084,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+793662,int_stack+645228,int_stack+559584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+836250,int_stack+793662,int_stack+705678,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+897090,int_stack+836250,int_stack+742182,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+669798,int_stack+897090,int_stack+580878,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+559584,int_stack+173634,int_stack+164274,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+587664,int_stack+559584,int_stack+645228,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+974310,int_stack+587664,int_stack+793662,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1045290,int_stack+974310,int_stack+836250,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+759888,int_stack+1045290,int_stack+897090,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+759888,int_stack+669798,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+636804,int_stack+184242,int_stack+173634,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+668628,int_stack+636804,int_stack+559584,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+867996,int_stack+668628,int_stack+587664,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+559584,int_stack+867996,int_stack+974310,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+867996,int_stack+559584,int_stack+1045290,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+559584,int_stack+867996,int_stack+759888,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+703728,int_stack+559584,int_stack+0,78);
 /*--- compute (np|mk) ---*/
 hrr1_build_np(Libint->AB,int_stack+2221992,int_stack+703728,int_stack+1230012,1980);
 /*--- compute (md|mk) ---*/
 hrr1_build_md(Libint->AB,int_stack+2614032,int_stack+2221992,int_stack+1360692,1980);
 /*--- compute (lf|mk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+3267432,int_stack+2614032,int_stack+1687392,1980);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+201181,int_stack+196176,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15015,int_stack+207187,int_stack+201181,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+33033,int_stack+15015,int_stack+0,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+63063,int_stack+214285,int_stack+207187,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+84357,int_stack+63063,int_stack+15015,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+120393,int_stack+84357,int_stack+33033,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+222566,int_stack+214285,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+170443,int_stack+0,int_stack+63063,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+559584,int_stack+170443,int_stack+84357,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+24843,int_stack+559584,int_stack+120393,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+99918,int_stack+232121,int_stack+222566,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+619644,int_stack+99918,int_stack+0,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+858168,int_stack+619644,int_stack+170443,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+128583,int_stack+858168,int_stack+559584,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+929148,int_stack+128583,int_stack+24843,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+559584,int_stack+243041,int_stack+232121,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+559584,int_stack+99918,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1034253,int_stack+0,int_stack+619644,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+592344,int_stack+1034253,int_stack+858168,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1117063,int_stack+592344,int_stack+128583,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+57330,int_stack+1117063,int_stack+929148,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+858168,int_stack+255417,int_stack+243041,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+895296,int_stack+858168,int_stack+559584,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1243189,int_stack+895296,int_stack+0,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+858168,int_stack+1243189,int_stack+1034253,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1243189,int_stack+858168,int_stack+592344,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+858168,int_stack+1243189,int_stack+1117063,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1026336,int_stack+858168,int_stack+57330,91);
 /*--- compute (op|mk) ---*/
 hrr1_build_op(Libint->AB,int_stack+1206516,int_stack+1026336,int_stack+703728,1980);
 /*--- compute (nd|mk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+4158432,int_stack+1206516,int_stack+2221992,1980);
 /*--- compute (mf|mk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+4942512,int_stack+4158432,int_stack+2614032,1980);
 /*--- compute (lg|mk) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1669836,int_stack+4942512,int_stack+3267432,1980);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3006336,int_stack+275115,int_stack+269340,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+3023661,int_stack+282045,int_stack+275115,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+3044451,int_stack+3023661,int_stack+3006336,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+3079101,int_stack+290235,int_stack+282045,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+3103671,int_stack+3079101,int_stack+3023661,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+3145251,int_stack+3103671,int_stack+3044451,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+3006336,int_stack+299790,int_stack+290235,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+3203001,int_stack+3006336,int_stack+3079101,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+3252141,int_stack+3203001,int_stack+3103671,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+3035001,int_stack+3252141,int_stack+3145251,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+3121626,int_stack+310815,int_stack+299790,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+3321441,int_stack+3121626,int_stack+3006336,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+3378771,int_stack+3321441,int_stack+3203001,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+3460671,int_stack+3378771,int_stack+3252141,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+3154701,int_stack+3460671,int_stack+3035001,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+3006336,int_stack+323415,int_stack+310815,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+3044136,int_stack+3006336,int_stack+3121626,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+3564621,int_stack+3044136,int_stack+3321441,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+3660171,int_stack+3564621,int_stack+3378771,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+3275976,int_stack+3660171,int_stack+3460671,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+3783021,int_stack+3275976,int_stack+3154701,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+3110286,int_stack+337695,int_stack+323415,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+3153126,int_stack+3110286,int_stack+3006336,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+3421506,int_stack+3153126,int_stack+3044136,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+3006336,int_stack+3421506,int_stack+3564621,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+3421506,int_stack+3006336,int_stack+3660171,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+3006336,int_stack+3421506,int_stack+3275976,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+3200376,int_stack+3006336,int_stack+3783021,105);
 /*--- compute (qp|mk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+3408276,int_stack+3200376,int_stack+1026336,1980);
 /*--- compute (od|mk) ---*/
 hrr1_build_od(Libint->AB,int_stack+6031512,int_stack+3408276,int_stack+1206516,1980);
 /*--- compute (nf|mk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+6958152,int_stack+6031512,int_stack+4158432,1980);
 /*--- compute (mg|mk) ---*/
 hrr1_build_mg(Libint->AB,int_stack+8264952,int_stack+6958152,int_stack+4942512,1980);
 /*--- compute (lh|mk) ---*/
 hrr1_build_lh(Libint->AB,int_stack+3948816,int_stack+8264952,int_stack+1669836,1980);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+5819916,int_stack+360360,int_stack+353760,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5839716,int_stack+368280,int_stack+360360,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+5863476,int_stack+5839716,int_stack+5819916,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+5903076,int_stack+377640,int_stack+368280,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+5931156,int_stack+5903076,int_stack+5839716,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+5931156,int_stack+5863476,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+5819916,int_stack+388560,int_stack+377640,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+66000,int_stack+5819916,int_stack+5903076,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+122160,int_stack+66000,int_stack+5931156,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+5852676,int_stack+122160,int_stack+0,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+401160,int_stack+388560,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+5951676,int_stack+0,int_stack+5819916,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+201360,int_stack+5951676,int_stack+66000,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+559584,int_stack+201360,int_stack+122160,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+37800,int_stack+559584,int_stack+5852676,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+5819916,int_stack+415560,int_stack+401160,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+5863116,int_stack+5819916,int_stack+0,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+294960,int_stack+5863116,int_stack+5951676,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+678384,int_stack+294960,int_stack+201360,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+818784,int_stack+678384,int_stack+559584,120);
 /*--- compute (t0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+985104,int_stack+818784,int_stack+37800,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+559584,int_stack+431880,int_stack+415560,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+559584,int_stack+5819916,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+86400,int_stack+0,int_stack+5863116,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+5819916,int_stack+86400,int_stack+294960,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+5819916,int_stack+678384,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+196560,int_stack+0,int_stack+818784,120);
 /*--- compute (t0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+559584,int_stack+196560,int_stack+985104,120);
 /*--- compute (rp|mk) ---*/
 hrr1_build_rp(Libint->AB,int_stack+797184,int_stack+559584,int_stack+3200376,1980);
 /*--- compute (qd|mk) ---*/
 hrr1_build_qd(Libint->AB,int_stack+1420884,int_stack+797184,int_stack+3408276,1980);
 /*--- compute (of|mk) ---*/
 hrr1_build_of(Libint->AB,int_stack+9898452,int_stack+1420884,int_stack+6031512,1980);
 /*--- compute (ng|mk) ---*/
 hrr1_build_ng(Libint->AB,int_stack+11442852,int_stack+9898452,int_stack+6958152,1980);
 /*--- compute (mh|mk) ---*/
 hrr1_build_mh(Libint->AB,int_stack+5819916,int_stack+11442852,int_stack+8264952,1980);
 /*--- compute (li|mk) ---*/
 hrr1_build_li(Libint->AB,int_stack+13403052,int_stack+5819916,int_stack+3948816,1980);
 /*--- compute (u0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+457720,int_stack+450240,136);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22440,int_stack+466696,int_stack+457720,136);
 /*--- compute (u0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49368,int_stack+22440,int_stack+0,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+94248,int_stack+477304,int_stack+466696,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+126072,int_stack+94248,int_stack+22440,136);
 /*--- compute (u0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+179928,int_stack+126072,int_stack+49368,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+489680,int_stack+477304,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+254728,int_stack+0,int_stack+94248,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+318376,int_stack+254728,int_stack+126072,136);
 /*--- compute (u0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+37128,int_stack+318376,int_stack+179928,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+149328,int_stack+503960,int_stack+489680,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+408136,int_stack+149328,int_stack+0,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+8106816,int_stack+408136,int_stack+254728,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+8212896,int_stack+8106816,int_stack+318376,136);
 /*--- compute (u0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+192168,int_stack+8212896,int_stack+37128,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+520280,int_stack+503960,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+48960,int_stack+0,int_stack+149328,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+8347536,int_stack+48960,int_stack+408136,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+349248,int_stack+8347536,int_stack+8106816,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+8471296,int_stack+349248,int_stack+8212896,136);
 /*--- compute (u0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+8106816,int_stack+8471296,int_stack+192168,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+134640,int_stack+538776,int_stack+520280,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+190128,int_stack+134640,int_stack+0,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+8659792,int_stack+190128,int_stack+48960,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+8659792,int_stack+8347536,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+8659792,int_stack+0,int_stack+349248,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+8659792,int_stack+8471296,136);
 /*--- compute (u0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+251328,int_stack+0,int_stack+8106816,136);
 /*--- compute (tp|mk) ---*/
 hrr1_build_tp(Libint->AB,int_stack+8106816,int_stack+251328,int_stack+559584,1980);
 /*--- compute (rd|mk) ---*/
 hrr1_build_rd(Libint->AB,int_stack+2501964,int_stack+8106816,int_stack+797184,1980);
 /*--- compute (qf|mk) ---*/
 hrr1_build_qf(Libint->AB,int_stack+3749364,int_stack+2501964,int_stack+1420884,1980);
 /*--- compute (og|mk) ---*/
 hrr1_build_og(Libint->AB,int_stack+0,int_stack+3749364,int_stack+9898452,1980);
 /*--- compute (nh|mk) ---*/
 hrr1_build_nh(Libint->AB,int_stack+8106816,int_stack+0,int_stack+11442852,1980);
 /*--- compute (mi|mk) ---*/
 hrr1_build_mi(Libint->AB,int_stack+0,int_stack+8106816,int_stack+5819916,1980);
 /*--- compute (lk|mk) ---*/
 hrr1_build_lk(Libint->AB,int_stack+3049200,int_stack+0,int_stack+13403052,1980);
 return int_stack+3049200;}
