#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mfmf(Libint_t*, prim_data*);

  /* Computes quartets of (mf|mf) integrals */

REALTYPE *hrr_order_mfmf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][9] = int_stack + 0;
 Libint->vrr_classes[9][10] = int_stack + 3025;
 Libint->vrr_classes[9][11] = int_stack + 6655;
 Libint->vrr_classes[9][12] = int_stack + 10945;
 Libint->vrr_classes[10][9] = int_stack + 15950;
 Libint->vrr_classes[10][10] = int_stack + 19580;
 Libint->vrr_classes[10][11] = int_stack + 23936;
 Libint->vrr_classes[10][12] = int_stack + 29084;
 Libint->vrr_classes[11][9] = int_stack + 35090;
 Libint->vrr_classes[11][10] = int_stack + 39380;
 Libint->vrr_classes[11][11] = int_stack + 44528;
 Libint->vrr_classes[11][12] = int_stack + 50612;
 Libint->vrr_classes[12][9] = int_stack + 57710;
 Libint->vrr_classes[12][10] = int_stack + 62715;
 Libint->vrr_classes[12][11] = int_stack + 68721;
 Libint->vrr_classes[12][12] = int_stack + 75819;
 memset(int_stack,0,84100*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 84100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mfmf(Libint, Data);
   Data++;
 }
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+84100,int_stack+3025,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93175,int_stack+6655,int_stack+3025,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+104065,int_stack+93175,int_stack+84100,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+122215,int_stack+10945,int_stack+6655,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+135085,int_stack+122215,int_stack+93175,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+156865,int_stack+135085,int_stack+104065,55);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+84100,int_stack+19580,int_stack+15950,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+94990,int_stack+23936,int_stack+19580,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+108058,int_stack+94990,int_stack+84100,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+129838,int_stack+29084,int_stack+23936,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+129838,int_stack+94990,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+187115,int_stack+0,int_stack+108058,66);
 /*--- compute (mp|mf) ---*/
 hrr1_build_mp(Libint->AB,int_stack+223415,int_stack+187115,int_stack+156865,550);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+39380,int_stack+35090,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12870,int_stack+44528,int_stack+39380,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+84100,int_stack+12870,int_stack+0,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+109840,int_stack+50612,int_stack+44528,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+128092,int_stack+109840,int_stack+12870,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+128092,int_stack+84100,78);
 /*--- compute (np|mf) ---*/
 hrr1_build_np(Libint->AB,int_stack+314165,int_stack+0,int_stack+187115,550);
 /*--- compute (md|mf) ---*/
 hrr1_build_md(Libint->AB,int_stack+423065,int_stack+314165,int_stack+223415,550);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+84100,int_stack+62715,int_stack+57710,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+99115,int_stack+68721,int_stack+62715,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+117133,int_stack+99115,int_stack+84100,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+147163,int_stack+75819,int_stack+68721,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+168457,int_stack+147163,int_stack+99115,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+204493,int_stack+168457,int_stack+117133,91);
 /*--- compute (op|mf) ---*/
 hrr1_build_op(Libint->AB,int_stack+42900,int_stack+204493,int_stack+0,550);
 /*--- compute (nd|mf) ---*/
 hrr1_build_nd(Libint->AB,int_stack+604565,int_stack+42900,int_stack+314165,550);
 /*--- compute (mf|mf) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+604565,int_stack+423065,550);
 return int_stack+0;}
