#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mgll(Libint_t*, prim_data*);

  /* Computes quartets of (mg|ll) integrals */

REALTYPE *hrr_order_mgll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][8] = int_stack + 0;
 Libint->vrr_classes[9][9] = int_stack + 2475;
 Libint->vrr_classes[9][10] = int_stack + 5500;
 Libint->vrr_classes[9][11] = int_stack + 9130;
 Libint->vrr_classes[9][12] = int_stack + 13420;
 Libint->vrr_classes[9][13] = int_stack + 18425;
 Libint->vrr_classes[9][14] = int_stack + 24200;
 Libint->vrr_classes[9][15] = int_stack + 30800;
 Libint->vrr_classes[9][16] = int_stack + 38280;
 Libint->vrr_classes[10][8] = int_stack + 46695;
 Libint->vrr_classes[10][9] = int_stack + 49665;
 Libint->vrr_classes[10][10] = int_stack + 53295;
 Libint->vrr_classes[10][11] = int_stack + 57651;
 Libint->vrr_classes[10][12] = int_stack + 62799;
 Libint->vrr_classes[10][13] = int_stack + 68805;
 Libint->vrr_classes[10][14] = int_stack + 75735;
 Libint->vrr_classes[10][15] = int_stack + 83655;
 Libint->vrr_classes[10][16] = int_stack + 92631;
 Libint->vrr_classes[11][8] = int_stack + 102729;
 Libint->vrr_classes[11][9] = int_stack + 106239;
 Libint->vrr_classes[11][10] = int_stack + 110529;
 Libint->vrr_classes[11][11] = int_stack + 115677;
 Libint->vrr_classes[11][12] = int_stack + 121761;
 Libint->vrr_classes[11][13] = int_stack + 128859;
 Libint->vrr_classes[11][14] = int_stack + 137049;
 Libint->vrr_classes[11][15] = int_stack + 146409;
 Libint->vrr_classes[11][16] = int_stack + 157017;
 Libint->vrr_classes[12][8] = int_stack + 168951;
 Libint->vrr_classes[12][9] = int_stack + 173046;
 Libint->vrr_classes[12][10] = int_stack + 178051;
 Libint->vrr_classes[12][11] = int_stack + 184057;
 Libint->vrr_classes[12][12] = int_stack + 191155;
 Libint->vrr_classes[12][13] = int_stack + 199436;
 Libint->vrr_classes[12][14] = int_stack + 208991;
 Libint->vrr_classes[12][15] = int_stack + 219911;
 Libint->vrr_classes[12][16] = int_stack + 232287;
 Libint->vrr_classes[13][8] = int_stack + 246210;
 Libint->vrr_classes[13][9] = int_stack + 250935;
 Libint->vrr_classes[13][10] = int_stack + 256710;
 Libint->vrr_classes[13][11] = int_stack + 263640;
 Libint->vrr_classes[13][12] = int_stack + 271830;
 Libint->vrr_classes[13][13] = int_stack + 281385;
 Libint->vrr_classes[13][14] = int_stack + 292410;
 Libint->vrr_classes[13][15] = int_stack + 305010;
 Libint->vrr_classes[13][16] = int_stack + 319290;
 memset(int_stack,0,335355*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 335355;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mgll(Libint, Data);
   Data++;
 }
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+335355,int_stack+2475,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+342780,int_stack+5500,int_stack+2475,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+351855,int_stack+342780,int_stack+335355,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+366705,int_stack+9130,int_stack+5500,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+377595,int_stack+366705,int_stack+342780,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+395745,int_stack+377595,int_stack+351855,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+335355,int_stack+13420,int_stack+9130,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+420495,int_stack+335355,int_stack+366705,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+442275,int_stack+420495,int_stack+377595,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+348225,int_stack+442275,int_stack+395745,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+385350,int_stack+18425,int_stack+13420,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+472525,int_stack+385350,int_stack+335355,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+498265,int_stack+472525,int_stack+420495,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+534565,int_stack+498265,int_stack+442275,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+400365,int_stack+534565,int_stack+348225,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+335355,int_stack+24200,int_stack+18425,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+352680,int_stack+335355,int_stack+385350,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+579940,int_stack+352680,int_stack+472525,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+622840,int_stack+579940,int_stack+498265,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+452340,int_stack+622840,int_stack+534565,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+677290,int_stack+452340,int_stack+400365,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+382710,int_stack+30800,int_stack+24200,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+402510,int_stack+382710,int_stack+335355,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+515865,int_stack+402510,int_stack+352680,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+746590,int_stack+515865,int_stack+579940,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+810940,int_stack+746590,int_stack+622840,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+565915,int_stack+810940,int_stack+452340,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+887170,int_stack+565915,int_stack+677290,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+335355,int_stack+38280,int_stack+30800,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+437160,int_stack+335355,int_stack+382710,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+335355,int_stack+437160,int_stack+402510,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+393105,int_stack+335355,int_stack+515865,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+468180,int_stack+393105,int_stack+746590,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+335355,int_stack+468180,int_stack+810940,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+436995,int_stack+335355,int_stack+565915,55);
 /*--- compute (m0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+545895,int_stack+436995,int_stack+887170,55);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+335355,int_stack+49665,int_stack+46695,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+344265,int_stack+53295,int_stack+49665,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+355155,int_stack+344265,int_stack+335355,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+372975,int_stack+57651,int_stack+53295,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+386043,int_stack+372975,int_stack+344265,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+407823,int_stack+386043,int_stack+355155,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+335355,int_stack+62799,int_stack+57651,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+437523,int_stack+335355,int_stack+372975,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+463659,int_stack+437523,int_stack+386043,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+350799,int_stack+463659,int_stack+407823,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+395349,int_stack+68805,int_stack+62799,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+499959,int_stack+395349,int_stack+335355,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+657270,int_stack+499959,int_stack+437523,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+700830,int_stack+657270,int_stack+463659,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+413367,int_stack+700830,int_stack+350799,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+335355,int_stack+75735,int_stack+68805,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+356145,int_stack+335355,int_stack+395349,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+755280,int_stack+356145,int_stack+499959,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+475737,int_stack+755280,int_stack+657270,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+806760,int_stack+475737,int_stack+700830,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+657270,int_stack+806760,int_stack+413367,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+392181,int_stack+83655,int_stack+75735,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+415941,int_stack+392181,int_stack+335355,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+882990,int_stack+415941,int_stack+356145,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+882990,int_stack+755280,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+943050,int_stack+0,int_stack+475737,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1034526,int_stack+943050,int_stack+806760,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+740430,int_stack+1034526,int_stack+657270,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+657270,int_stack+92631,int_stack+83655,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+684198,int_stack+657270,int_stack+392181,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+335355,int_stack+684198,int_stack+415941,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+404655,int_stack+335355,int_stack+882990,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1136166,int_stack+404655,int_stack+0,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+335355,int_stack+1136166,int_stack+943050,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+847350,int_stack+335355,int_stack+1034526,66);
 /*--- compute (n0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+335355,int_stack+847350,int_stack+740430,66);
 /*--- compute (mp|ll) ---*/
 hrr1_build_mp(Libint->AB,int_stack+657270,int_stack+335355,int_stack+545895,2025);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+469005,int_stack+106239,int_stack+102729,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+479535,int_stack+110529,int_stack+106239,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+492405,int_stack+479535,int_stack+469005,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+513465,int_stack+115677,int_stack+110529,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+528909,int_stack+513465,int_stack+479535,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+554649,int_stack+528909,int_stack+492405,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+469005,int_stack+121761,int_stack+115677,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+589749,int_stack+469005,int_stack+513465,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+589749,int_stack+528909,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+487257,int_stack+0,int_stack+554649,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+539907,int_stack+128859,int_stack+121761,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+620637,int_stack+539907,int_stack+469005,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+42900,int_stack+620637,int_stack+589749,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+991395,int_stack+42900,int_stack+0,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1055745,int_stack+991395,int_stack+487257,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+137049,int_stack+128859,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+469005,int_stack+0,int_stack+539907,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+511593,int_stack+469005,int_stack+620637,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+572433,int_stack+511593,int_stack+42900,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+24570,int_stack+572433,int_stack+991395,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+1129455,int_stack+24570,int_stack+1055745,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+991395,int_stack+146409,int_stack+137049,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1019475,int_stack+991395,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1227735,int_stack+1019475,int_stack+469005,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1298715,int_stack+1227735,int_stack+511593,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1389975,int_stack+1298715,int_stack+572433,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+469005,int_stack+1389975,int_stack+24570,78);
 /*--- compute (o0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+0,int_stack+469005,int_stack+1129455,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+589125,int_stack+157017,int_stack+146409,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1068615,int_stack+589125,int_stack+991395,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1124775,int_stack+1068615,int_stack+1019475,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+991395,int_stack+1124775,int_stack+1227735,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1097865,int_stack+991395,int_stack+1298715,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1225629,int_stack+1097865,int_stack+1389975,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+991395,int_stack+1225629,int_stack+469005,78);
 /*--- compute (o0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+469005,int_stack+991395,int_stack+0,78);
 /*--- compute (np|ll) ---*/
 hrr1_build_np(Libint->AB,int_stack+991395,int_stack+469005,int_stack+335355,2025);
 /*--- compute (md|ll) ---*/
 hrr1_build_md(Libint->AB,int_stack+1392345,int_stack+991395,int_stack+657270,2025);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+335355,int_stack+173046,int_stack+168951,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+347640,int_stack+178051,int_stack+173046,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+362655,int_stack+347640,int_stack+335355,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+387225,int_stack+184057,int_stack+178051,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+405243,int_stack+387225,int_stack+347640,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+405243,int_stack+362655,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+335355,int_stack+191155,int_stack+184057,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+40950,int_stack+335355,int_stack+387225,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+76986,int_stack+40950,int_stack+405243,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+356649,int_stack+76986,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+199436,int_stack+191155,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+418074,int_stack+0,int_stack+335355,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+127036,int_stack+418074,int_stack+40950,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+626955,int_stack+127036,int_stack+76986,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+24843,int_stack+626955,int_stack+356649,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+335355,int_stack+208991,int_stack+199436,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+364020,int_stack+335355,int_stack+0,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+702030,int_stack+364020,int_stack+418074,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+773010,int_stack+702030,int_stack+127036,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+863100,int_stack+773010,int_stack+626955,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+2060595,int_stack+863100,int_stack+24843,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+626955,int_stack+219911,int_stack+208991,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+626955,int_stack+335355,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+57330,int_stack+0,int_stack+364020,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+335355,int_stack+57330,int_stack+702030,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2175255,int_stack+335355,int_stack+773010,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+659715,int_stack+2175255,int_stack+863100,91);
 /*--- compute (q0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+799855,int_stack+659715,int_stack+2060595,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+2060595,int_stack+232287,int_stack+219911,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2097723,int_stack+2060595,int_stack+626955,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+140140,int_stack+2097723,int_stack+0,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2301381,int_stack+140140,int_stack+57330,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+2301381,int_stack+335355,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2301381,int_stack+0,int_stack+2175255,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+2301381,int_stack+659715,91);
 /*--- compute (q0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+2060595,int_stack+0,int_stack+799855,91);
 /*--- compute (op|ll) ---*/
 hrr1_build_op(Libint->AB,int_stack+2244870,int_stack+2060595,int_stack+469005,2025);
 /*--- compute (nd|ll) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2718720,int_stack+2244870,int_stack+991395,2025);
 /*--- compute (mf|ll) ---*/
 hrr1_build_mf(Libint->AB,int_stack+3520620,int_stack+2718720,int_stack+1392345,2025);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+250935,int_stack+246210,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14175,int_stack+256710,int_stack+250935,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+31500,int_stack+14175,int_stack+0,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59850,int_stack+263640,int_stack+256710,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+80640,int_stack+59850,int_stack+14175,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+115290,int_stack+80640,int_stack+31500,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+271830,int_stack+263640,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+162540,int_stack+0,int_stack+59850,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+204120,int_stack+162540,int_stack+80640,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+24570,int_stack+204120,int_stack+115290,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+95445,int_stack+281385,int_stack+271830,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+335355,int_stack+95445,int_stack+0,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+384495,int_stack+335355,int_stack+162540,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+453795,int_stack+384495,int_stack+204120,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+124110,int_stack+453795,int_stack+24570,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+292410,int_stack+281385,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+33075,int_stack+0,int_stack+95445,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+540420,int_stack+33075,int_stack+335355,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+622320,int_stack+540420,int_stack+384495,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+726270,int_stack+622320,int_stack+453795,105);
 /*--- compute (r0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+335355,int_stack+726270,int_stack+124110,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+467655,int_stack+305010,int_stack+292410,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+90405,int_stack+467655,int_stack+0,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+156555,int_stack+90405,int_stack+33075,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+847545,int_stack+156555,int_stack+540420,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+970395,int_stack+847545,int_stack+622320,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+505455,int_stack+970395,int_stack+726270,105);
 /*--- compute (r0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+667155,int_stack+505455,int_stack+335355,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+335355,int_stack+319290,int_stack+305010,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+378195,int_stack+335355,int_stack+467655,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+252105,int_stack+378195,int_stack+90405,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+252105,int_stack+156555,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+143325,int_stack+0,int_stack+847545,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1115925,int_stack+143325,int_stack+970395,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+1115925,int_stack+505455,105);
 /*--- compute (r0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+207900,int_stack+0,int_stack+667155,105);
 /*--- compute (qp|ll) ---*/
 hrr1_build_qp(Libint->AB,int_stack+420525,int_stack+207900,int_stack+2060595,2025);
 /*--- compute (od|ll) ---*/
 hrr1_build_od(Libint->AB,int_stack+973350,int_stack+420525,int_stack+2244870,2025);
 /*--- compute (nf|ll) ---*/
 hrr1_build_nf(Libint->AB,int_stack+4634370,int_stack+973350,int_stack+2718720,2025);
 /*--- compute (mg|ll) ---*/
 hrr1_build_mg(Libint->AB,int_stack+0,int_stack+4634370,int_stack+3520620,2025);
 return int_stack+0;}
