#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mpmd(Libint_t*, prim_data*);

  /* Computes quartets of (mp|md) integrals */

REALTYPE *hrr_order_mpmd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][9] = int_stack + 0;
 Libint->vrr_classes[9][10] = int_stack + 3025;
 Libint->vrr_classes[9][11] = int_stack + 6655;
 Libint->vrr_classes[10][9] = int_stack + 10945;
 Libint->vrr_classes[10][10] = int_stack + 14575;
 Libint->vrr_classes[10][11] = int_stack + 18931;
 memset(int_stack,0,24079*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 24079;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mpmd(Libint, Data);
   Data++;
 }
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+24079,int_stack+3025,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+33154,int_stack+6655,int_stack+3025,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+44044,int_stack+33154,int_stack+24079,55);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+24079,int_stack+14575,int_stack+10945,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+18931,int_stack+14575,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+62194,int_stack+0,int_stack+24079,66);
 /*--- compute (mp|md) ---*/
 hrr1_build_mp(Libint->AB,int_stack+83974,int_stack+62194,int_stack+44044,330);
 return int_stack+83974;}
