#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_n0md(Libint_t*, prim_data*);

  /* Computes quartets of (n0|md) integrals */

REALTYPE *hrr_order_n0md(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][9] = int_stack + 0;
 Libint->vrr_classes[10][10] = int_stack + 3630;
 Libint->vrr_classes[10][11] = int_stack + 7986;
 memset(int_stack,0,13134*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 13134;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_n0md(Libint, Data);
   Data++;
 }
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+13134,int_stack+3630,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+24024,int_stack+7986,int_stack+3630,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+37092,int_stack+24024,int_stack+13134,66);
 return int_stack+37092;}
