#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ndni(Libint_t*, prim_data*);

  /* Computes quartets of (nd|ni) integrals */

REALTYPE *hrr_order_ndni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[10][13] = int_stack + 15510;
 Libint->vrr_classes[10][14] = int_stack + 22440;
 Libint->vrr_classes[10][15] = int_stack + 30360;
 Libint->vrr_classes[10][16] = int_stack + 39336;
 Libint->vrr_classes[11][10] = int_stack + 49434;
 Libint->vrr_classes[11][11] = int_stack + 54582;
 Libint->vrr_classes[11][12] = int_stack + 60666;
 Libint->vrr_classes[11][13] = int_stack + 67764;
 Libint->vrr_classes[11][14] = int_stack + 75954;
 Libint->vrr_classes[11][15] = int_stack + 85314;
 Libint->vrr_classes[11][16] = int_stack + 95922;
 Libint->vrr_classes[12][10] = int_stack + 107856;
 Libint->vrr_classes[12][11] = int_stack + 113862;
 Libint->vrr_classes[12][12] = int_stack + 120960;
 Libint->vrr_classes[12][13] = int_stack + 129241;
 Libint->vrr_classes[12][14] = int_stack + 138796;
 Libint->vrr_classes[12][15] = int_stack + 149716;
 Libint->vrr_classes[12][16] = int_stack + 162092;
 memset(int_stack,0,176015*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 176015;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ndni(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+176015,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+189083,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+204527,int_stack+189083,int_stack+176015,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+230663,int_stack+15510,int_stack+9504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+248681,int_stack+230663,int_stack+189083,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+279569,int_stack+248681,int_stack+204527,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+176015,int_stack+22440,int_stack+15510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+323129,int_stack+176015,int_stack+230663,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+196805,int_stack+323129,int_stack+248681,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+359165,int_stack+196805,int_stack+279569,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+248285,int_stack+30360,int_stack+22440,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+272045,int_stack+248285,int_stack+176015,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+424505,int_stack+272045,int_stack+323129,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+484565,int_stack+424505,int_stack+196805,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+561785,int_stack+484565,int_stack+359165,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+176015,int_stack+39336,int_stack+30360,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+313625,int_stack+176015,int_stack+248285,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+176015,int_stack+313625,int_stack+272045,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+245315,int_stack+176015,int_stack+424505,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+335405,int_stack+245315,int_stack+484565,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+176015,int_stack+335405,int_stack+561785,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+297983,int_stack+54582,int_stack+49434,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+313427,int_stack+60666,int_stack+54582,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+331679,int_stack+313427,int_stack+297983,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+362567,int_stack+67764,int_stack+60666,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+383861,int_stack+362567,int_stack+313427,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+420365,int_stack+383861,int_stack+331679,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+297983,int_stack+75954,int_stack+67764,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+471845,int_stack+297983,int_stack+362567,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+322553,int_stack+471845,int_stack+383861,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+514433,int_stack+322553,int_stack+420365,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+383393,int_stack+85314,int_stack+75954,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+411473,int_stack+383393,int_stack+297983,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+411473,int_stack+471845,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+591653,int_stack+0,int_stack+322553,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+682913,int_stack+591653,int_stack+514433,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+297983,int_stack+95922,int_stack+85314,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+460613,int_stack+297983,int_stack+383393,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+297983,int_stack+460613,int_stack+411473,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+379883,int_stack+297983,int_stack+0,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+791021,int_stack+379883,int_stack+591653,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+297983,int_stack+791021,int_stack+682913,78);
 /*--- compute (np|ni) ---*/
 hrr1_build_np(Libint->AB,int_stack+442127,int_stack+297983,int_stack+176015,1848);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+176015,int_stack+113862,int_stack+107856,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+194033,int_stack+120960,int_stack+113862,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+215327,int_stack+194033,int_stack+176015,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+251363,int_stack+129241,int_stack+120960,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+251363,int_stack+194033,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+42588,int_stack+0,int_stack+215327,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+176015,int_stack+138796,int_stack+129241,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+808031,int_stack+176015,int_stack+251363,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+204680,int_stack+808031,int_stack+0,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+857717,int_stack+204680,int_stack+42588,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+149716,int_stack+138796,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+32760,int_stack+0,int_stack+176015,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+947807,int_stack+32760,int_stack+808031,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1030617,int_stack+947807,int_stack+204680,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1137087,int_stack+1030617,int_stack+857717,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+808031,int_stack+162092,int_stack+149716,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+845159,int_stack+808031,int_stack+0,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+90090,int_stack+845159,int_stack+32760,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+808031,int_stack+90090,int_stack+947807,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+808031,int_stack+1030617,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+808031,int_stack+0,int_stack+1137087,91);
 /*--- compute (op|ni) ---*/
 hrr1_build_op(Libint->AB,int_stack+976199,int_stack+808031,int_stack+297983,1848);
 /*--- compute (nd|ni) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1408631,int_stack+976199,int_stack+442127,1848);
 return int_stack+1408631;}
