#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nfnh(Libint_t*, prim_data*);

  /* Computes quartets of (nf|nh) integrals */

REALTYPE *hrr_order_nfnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[10][13] = int_stack + 15510;
 Libint->vrr_classes[10][14] = int_stack + 22440;
 Libint->vrr_classes[10][15] = int_stack + 30360;
 Libint->vrr_classes[11][10] = int_stack + 39336;
 Libint->vrr_classes[11][11] = int_stack + 44484;
 Libint->vrr_classes[11][12] = int_stack + 50568;
 Libint->vrr_classes[11][13] = int_stack + 57666;
 Libint->vrr_classes[11][14] = int_stack + 65856;
 Libint->vrr_classes[11][15] = int_stack + 75216;
 Libint->vrr_classes[12][10] = int_stack + 85824;
 Libint->vrr_classes[12][11] = int_stack + 91830;
 Libint->vrr_classes[12][12] = int_stack + 98928;
 Libint->vrr_classes[12][13] = int_stack + 107209;
 Libint->vrr_classes[12][14] = int_stack + 116764;
 Libint->vrr_classes[12][15] = int_stack + 127684;
 Libint->vrr_classes[13][10] = int_stack + 140060;
 Libint->vrr_classes[13][11] = int_stack + 146990;
 Libint->vrr_classes[13][12] = int_stack + 155180;
 Libint->vrr_classes[13][13] = int_stack + 164735;
 Libint->vrr_classes[13][14] = int_stack + 175760;
 Libint->vrr_classes[13][15] = int_stack + 188360;
 memset(int_stack,0,202640*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 202640;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nfnh(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+202640,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+215708,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+231152,int_stack+215708,int_stack+202640,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+257288,int_stack+15510,int_stack+9504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+275306,int_stack+257288,int_stack+215708,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+306194,int_stack+275306,int_stack+231152,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+202640,int_stack+22440,int_stack+15510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+349754,int_stack+202640,int_stack+257288,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+223430,int_stack+349754,int_stack+275306,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+385790,int_stack+223430,int_stack+306194,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+274910,int_stack+30360,int_stack+22440,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+298670,int_stack+274910,int_stack+202640,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+451130,int_stack+298670,int_stack+349754,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+274910,int_stack+451130,int_stack+223430,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+451130,int_stack+274910,int_stack+385790,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+202640,int_stack+44484,int_stack+39336,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+218084,int_stack+50568,int_stack+44484,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+236336,int_stack+218084,int_stack+202640,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+267224,int_stack+57666,int_stack+50568,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+288518,int_stack+267224,int_stack+218084,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+325022,int_stack+288518,int_stack+236336,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+202640,int_stack+65856,int_stack+57666,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+376502,int_stack+202640,int_stack+267224,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+227210,int_stack+376502,int_stack+288518,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+542606,int_stack+227210,int_stack+325022,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+288050,int_stack+75216,int_stack+65856,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+316130,int_stack+288050,int_stack+202640,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+316130,int_stack+376502,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+288050,int_stack+0,int_stack+227210,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+619826,int_stack+288050,int_stack+542606,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+727934,int_stack+619826,int_stack+451130,1386);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+91830,int_stack+85824,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+98928,int_stack+91830,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+202640,int_stack+107209,int_stack+98928,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+227483,int_stack+202640,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+270071,int_stack+227483,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+116764,int_stack+107209,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+28665,int_stack+0,int_stack+202640,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+330131,int_stack+28665,int_stack+227483,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+401111,int_stack+330131,int_stack+270071,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+202640,int_stack+127684,int_stack+116764,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+235400,int_stack+202640,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+491201,int_stack+235400,int_stack+28665,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+491201,int_stack+330131,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+491201,int_stack+0,int_stack+401111,91);
 /*--- compute (op|nh) ---*/
 hrr1_build_op(Libint->AB,int_stack+1002362,int_stack+491201,int_stack+619826,1386);
 /*--- compute (nd|nh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1326686,int_stack+1002362,int_stack+727934,1386);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+146990,int_stack+140060,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+20790,int_stack+155180,int_stack+146990,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+45360,int_stack+20790,int_stack+0,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+86940,int_stack+164735,int_stack+155180,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+617327,int_stack+86940,int_stack+20790,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+666467,int_stack+617327,int_stack+45360,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+175760,int_stack+164735,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+115605,int_stack+0,int_stack+86940,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+33075,int_stack+115605,int_stack+617327,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+735767,int_stack+33075,int_stack+666467,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+617327,int_stack+188360,int_stack+175760,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+655127,int_stack+617327,int_stack+0,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+172935,int_stack+655127,int_stack+115605,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+268485,int_stack+172935,int_stack+33075,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+268485,int_stack+735767,105);
 /*--- compute (qp|nh) ---*/
 hrr1_build_qp(Libint->AB,int_stack+617327,int_stack+0,int_stack+491201,1386);
 /*--- compute (od|nh) ---*/
 hrr1_build_od(Libint->AB,int_stack+1875542,int_stack+617327,int_stack+1002362,1386);
 /*--- compute (nf|nh) ---*/
 hrr1_build_nf(Libint->AB,int_stack+0,int_stack+1875542,int_stack+1326686,1386);
 return int_stack+0;}
