#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ngml(Libint_t*, prim_data*);

  /* Computes quartets of (ng|ml) integrals */

REALTYPE *hrr_order_ngml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][9] = int_stack + 0;
 Libint->vrr_classes[10][10] = int_stack + 3630;
 Libint->vrr_classes[10][11] = int_stack + 7986;
 Libint->vrr_classes[10][12] = int_stack + 13134;
 Libint->vrr_classes[10][13] = int_stack + 19140;
 Libint->vrr_classes[10][14] = int_stack + 26070;
 Libint->vrr_classes[10][15] = int_stack + 33990;
 Libint->vrr_classes[10][16] = int_stack + 42966;
 Libint->vrr_classes[10][17] = int_stack + 53064;
 Libint->vrr_classes[11][9] = int_stack + 64350;
 Libint->vrr_classes[11][10] = int_stack + 68640;
 Libint->vrr_classes[11][11] = int_stack + 73788;
 Libint->vrr_classes[11][12] = int_stack + 79872;
 Libint->vrr_classes[11][13] = int_stack + 86970;
 Libint->vrr_classes[11][14] = int_stack + 95160;
 Libint->vrr_classes[11][15] = int_stack + 104520;
 Libint->vrr_classes[11][16] = int_stack + 115128;
 Libint->vrr_classes[11][17] = int_stack + 127062;
 Libint->vrr_classes[12][9] = int_stack + 140400;
 Libint->vrr_classes[12][10] = int_stack + 145405;
 Libint->vrr_classes[12][11] = int_stack + 151411;
 Libint->vrr_classes[12][12] = int_stack + 158509;
 Libint->vrr_classes[12][13] = int_stack + 166790;
 Libint->vrr_classes[12][14] = int_stack + 176345;
 Libint->vrr_classes[12][15] = int_stack + 187265;
 Libint->vrr_classes[12][16] = int_stack + 199641;
 Libint->vrr_classes[12][17] = int_stack + 213564;
 Libint->vrr_classes[13][9] = int_stack + 229125;
 Libint->vrr_classes[13][10] = int_stack + 234900;
 Libint->vrr_classes[13][11] = int_stack + 241830;
 Libint->vrr_classes[13][12] = int_stack + 250020;
 Libint->vrr_classes[13][13] = int_stack + 259575;
 Libint->vrr_classes[13][14] = int_stack + 270600;
 Libint->vrr_classes[13][15] = int_stack + 283200;
 Libint->vrr_classes[13][16] = int_stack + 297480;
 Libint->vrr_classes[13][17] = int_stack + 313545;
 Libint->vrr_classes[14][9] = int_stack + 331500;
 Libint->vrr_classes[14][10] = int_stack + 338100;
 Libint->vrr_classes[14][11] = int_stack + 346020;
 Libint->vrr_classes[14][12] = int_stack + 355380;
 Libint->vrr_classes[14][13] = int_stack + 366300;
 Libint->vrr_classes[14][14] = int_stack + 378900;
 Libint->vrr_classes[14][15] = int_stack + 393300;
 Libint->vrr_classes[14][16] = int_stack + 409620;
 Libint->vrr_classes[14][17] = int_stack + 427980;
 memset(int_stack,0,448500*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 448500;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ngml(Libint, Data);
   Data++;
 }
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+448500,int_stack+3630,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+459390,int_stack+7986,int_stack+3630,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+472458,int_stack+459390,int_stack+448500,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+494238,int_stack+13134,int_stack+7986,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+509682,int_stack+494238,int_stack+459390,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+535818,int_stack+509682,int_stack+472458,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+448500,int_stack+19140,int_stack+13134,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+572118,int_stack+448500,int_stack+494238,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+603006,int_stack+572118,int_stack+509682,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+466518,int_stack+603006,int_stack+535818,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+520968,int_stack+26070,int_stack+19140,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+646566,int_stack+520968,int_stack+448500,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+682602,int_stack+646566,int_stack+572118,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+734082,int_stack+682602,int_stack+603006,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+541758,int_stack+734082,int_stack+466518,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+448500,int_stack+33990,int_stack+26070,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+472260,int_stack+448500,int_stack+520968,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+799422,int_stack+472260,int_stack+646566,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+859482,int_stack+799422,int_stack+682602,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+617988,int_stack+859482,int_stack+734082,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+936702,int_stack+617988,int_stack+541758,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+513840,int_stack+42966,int_stack+33990,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+540768,int_stack+513840,int_stack+448500,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+709464,int_stack+540768,int_stack+472260,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1038342,int_stack+709464,int_stack+799422,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1128432,int_stack+1038342,int_stack+859482,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+778764,int_stack+1128432,int_stack+617988,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1236540,int_stack+778764,int_stack+936702,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+448500,int_stack+53064,int_stack+42966,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+588288,int_stack+448500,int_stack+513840,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+448500,int_stack+588288,int_stack+540768,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+527700,int_stack+448500,int_stack+709464,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+631650,int_stack+527700,int_stack+1038342,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+448500,int_stack+631650,int_stack+1128432,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+592644,int_stack+448500,int_stack+778764,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+749460,int_stack+592644,int_stack+1236540,66);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+448500,int_stack+68640,int_stack+64350,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+461370,int_stack+73788,int_stack+68640,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+476814,int_stack+461370,int_stack+448500,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+502554,int_stack+79872,int_stack+73788,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+520806,int_stack+502554,int_stack+461370,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+551694,int_stack+520806,int_stack+476814,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+448500,int_stack+86970,int_stack+79872,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+594594,int_stack+448500,int_stack+502554,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+631098,int_stack+594594,int_stack+520806,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+469794,int_stack+631098,int_stack+551694,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+534144,int_stack+95160,int_stack+86970,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+682578,int_stack+534144,int_stack+448500,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+912810,int_stack+682578,int_stack+594594,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+973650,int_stack+912810,int_stack+631098,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+558714,int_stack+973650,int_stack+469794,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+448500,int_stack+104520,int_stack+95160,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+476580,int_stack+448500,int_stack+534144,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1050870,int_stack+476580,int_stack+682578,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+648804,int_stack+1050870,int_stack+912810,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1121850,int_stack+648804,int_stack+973650,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+912810,int_stack+1121850,int_stack+558714,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+525720,int_stack+115128,int_stack+104520,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+557544,int_stack+525720,int_stack+448500,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1229958,int_stack+557544,int_stack+476580,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+1229958,int_stack+1050870,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1311858,int_stack+0,int_stack+648804,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1439622,int_stack+1311858,int_stack+1121850,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1032930,int_stack+1439622,int_stack+912810,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+912810,int_stack+127062,int_stack+115128,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+948612,int_stack+912810,int_stack+525720,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+448500,int_stack+948612,int_stack+557544,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+542100,int_stack+448500,int_stack+1229958,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1583766,int_stack+542100,int_stack+0,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+448500,int_stack+1583766,int_stack+1311858,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1187370,int_stack+448500,int_stack+1439622,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+448500,int_stack+1187370,int_stack+1032930,78);
 /*--- compute (np|ml) ---*/
 hrr1_build_np(Libint->AB,int_stack+912810,int_stack+448500,int_stack+749460,2475);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+641550,int_stack+145405,int_stack+140400,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+656565,int_stack+151411,int_stack+145405,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+674583,int_stack+656565,int_stack+641550,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+704613,int_stack+158509,int_stack+151411,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+725907,int_stack+704613,int_stack+656565,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+761943,int_stack+725907,int_stack+674583,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+641550,int_stack+166790,int_stack+158509,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+811993,int_stack+641550,int_stack+704613,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+811993,int_stack+725907,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+666393,int_stack+0,int_stack+761943,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+741468,int_stack+176345,int_stack+166790,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+854581,int_stack+741468,int_stack+641550,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+60060,int_stack+854581,int_stack+811993,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1402860,int_stack+60060,int_stack+0,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1492950,int_stack+1402860,int_stack+666393,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+187265,int_stack+176345,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+641550,int_stack+0,int_stack+741468,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+698880,int_stack+641550,int_stack+854581,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+781690,int_stack+698880,int_stack+60060,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+32760,int_stack+781690,int_stack+1402860,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1598055,int_stack+32760,int_stack+1492950,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1402860,int_stack+199641,int_stack+187265,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1439988,int_stack+1402860,int_stack+0,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1738195,int_stack+1439988,int_stack+641550,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1833745,int_stack+1738195,int_stack+698880,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1957960,int_stack+1833745,int_stack+781690,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+641550,int_stack+1957960,int_stack+32760,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+641550,int_stack+1598055,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+809718,int_stack+213564,int_stack+199641,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1505508,int_stack+809718,int_stack+1402860,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1579764,int_stack+1505508,int_stack+1439988,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1402860,int_stack+1579764,int_stack+1738195,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1546185,int_stack+1402860,int_stack+1833745,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1720086,int_stack+1546185,int_stack+1957960,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1402860,int_stack+1720086,int_stack+641550,91);
 /*--- compute (q0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+641550,int_stack+1402860,int_stack+0,91);
 /*--- compute (op|ml) ---*/
 hrr1_build_op(Libint->AB,int_stack+1402860,int_stack+641550,int_stack+448500,2475);
 /*--- compute (nd|ml) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1982010,int_stack+1402860,int_stack+912810,2475);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+448500,int_stack+234900,int_stack+229125,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+465825,int_stack+241830,int_stack+234900,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+486615,int_stack+465825,int_stack+448500,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+521265,int_stack+250020,int_stack+241830,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+545835,int_stack+521265,int_stack+465825,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+545835,int_stack+486615,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+448500,int_stack+259575,int_stack+250020,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+587415,int_stack+448500,int_stack+521265,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+57750,int_stack+587415,int_stack+545835,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+477165,int_stack+57750,int_stack+0,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+270600,int_stack+259575,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+127050,int_stack+0,int_stack+448500,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+184380,int_stack+127050,int_stack+587415,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+866775,int_stack+184380,int_stack+57750,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+970725,int_stack+866775,int_stack+477165,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+448500,int_stack+283200,int_stack+270600,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+486300,int_stack+448500,int_stack+0,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+486300,int_stack+127050,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1092000,int_stack+0,int_stack+184380,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+95550,int_stack+1092000,int_stack+866775,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1214850,int_stack+95550,int_stack+970725,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+866775,int_stack+297480,int_stack+283200,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+909615,int_stack+866775,int_stack+448500,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2962110,int_stack+909615,int_stack+486300,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+448500,int_stack+2962110,int_stack+0,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+3072360,int_stack+448500,int_stack+1092000,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+985215,int_stack+3072360,int_stack+95550,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+985215,int_stack+1214850,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+207900,int_stack+313545,int_stack+297480,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1179255,int_stack+207900,int_stack+866775,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1264935,int_stack+1179255,int_stack+909615,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+3244350,int_stack+1264935,int_stack+2962110,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1179255,int_stack+3244350,int_stack+448500,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+3244350,int_stack+1179255,int_stack+3072360,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2962110,int_stack+3244350,int_stack+985215,105);
 /*--- compute (r0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+3211590,int_stack+2962110,int_stack+0,105);
 /*--- compute (qp|ml) ---*/
 hrr1_build_qp(Libint->AB,int_stack+3471465,int_stack+3211590,int_stack+641550,2475);
 /*--- compute (od|ml) ---*/
 hrr1_build_od(Libint->AB,int_stack+4147140,int_stack+3471465,int_stack+1402860,2475);
 /*--- compute (nf|ml) ---*/
 hrr1_build_nf(Libint->AB,int_stack+5305440,int_stack+4147140,int_stack+1982010,2475);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+338100,int_stack+331500,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+19800,int_stack+346020,int_stack+338100,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+43560,int_stack+19800,int_stack+0,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+83160,int_stack+355380,int_stack+346020,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+111240,int_stack+83160,int_stack+19800,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+158760,int_stack+111240,int_stack+43560,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+366300,int_stack+355380,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+224760,int_stack+0,int_stack+83160,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+280920,int_stack+224760,int_stack+111240,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+32760,int_stack+280920,int_stack+158760,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+131760,int_stack+378900,int_stack+366300,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+448500,int_stack+131760,int_stack+0,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+514020,int_stack+448500,int_stack+224760,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+607620,int_stack+514020,int_stack+280920,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+169560,int_stack+607620,int_stack+32760,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+393300,int_stack+378900,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+43200,int_stack+0,int_stack+131760,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+726420,int_stack+43200,int_stack+448500,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+835620,int_stack+726420,int_stack+514020,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+976020,int_stack+835620,int_stack+607620,120);
 /*--- compute (t0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+448500,int_stack+976020,int_stack+169560,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+633300,int_stack+409620,int_stack+393300,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+118800,int_stack+633300,int_stack+0,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+205200,int_stack+118800,int_stack+43200,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1142340,int_stack+205200,int_stack+726420,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1306140,int_stack+1142340,int_stack+835620,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+682260,int_stack+1306140,int_stack+976020,120);
 /*--- compute (t0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+904020,int_stack+682260,int_stack+448500,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+448500,int_stack+427980,int_stack+409620,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+503580,int_stack+448500,int_stack+633300,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+331200,int_stack+503580,int_stack+118800,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+331200,int_stack+205200,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+189000,int_stack+0,int_stack+1142340,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+418320,int_stack+189000,int_stack+1306140,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+418320,int_stack+682260,120);
 /*--- compute (t0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+285120,int_stack+0,int_stack+904020,120);
 /*--- compute (rp|ml) ---*/
 hrr1_build_rp(Libint->AB,int_stack+582120,int_stack+285120,int_stack+3211590,2475);
 /*--- compute (qd|ml) ---*/
 hrr1_build_qd(Libint->AB,int_stack+1361745,int_stack+582120,int_stack+3471465,2475);
 /*--- compute (of|ml) ---*/
 hrr1_build_of(Libint->AB,int_stack+6938940,int_stack+1361745,int_stack+4147140,2475);
 /*--- compute (ng|ml) ---*/
 hrr1_build_ng(Libint->AB,int_stack+0,int_stack+6938940,int_stack+5305440,2475);
 return int_stack+0;}
