#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nhnl(Libint_t*, prim_data*);

  /* Computes quartets of (nh|nl) integrals */

REALTYPE *hrr_order_nhnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][10] = int_stack + 0;
 Libint->vrr_classes[10][11] = int_stack + 4356;
 Libint->vrr_classes[10][12] = int_stack + 9504;
 Libint->vrr_classes[10][13] = int_stack + 15510;
 Libint->vrr_classes[10][14] = int_stack + 22440;
 Libint->vrr_classes[10][15] = int_stack + 30360;
 Libint->vrr_classes[10][16] = int_stack + 39336;
 Libint->vrr_classes[10][17] = int_stack + 49434;
 Libint->vrr_classes[10][18] = int_stack + 60720;
 Libint->vrr_classes[11][10] = int_stack + 73260;
 Libint->vrr_classes[11][11] = int_stack + 78408;
 Libint->vrr_classes[11][12] = int_stack + 84492;
 Libint->vrr_classes[11][13] = int_stack + 91590;
 Libint->vrr_classes[11][14] = int_stack + 99780;
 Libint->vrr_classes[11][15] = int_stack + 109140;
 Libint->vrr_classes[11][16] = int_stack + 119748;
 Libint->vrr_classes[11][17] = int_stack + 131682;
 Libint->vrr_classes[11][18] = int_stack + 145020;
 Libint->vrr_classes[12][10] = int_stack + 159840;
 Libint->vrr_classes[12][11] = int_stack + 165846;
 Libint->vrr_classes[12][12] = int_stack + 172944;
 Libint->vrr_classes[12][13] = int_stack + 181225;
 Libint->vrr_classes[12][14] = int_stack + 190780;
 Libint->vrr_classes[12][15] = int_stack + 201700;
 Libint->vrr_classes[12][16] = int_stack + 214076;
 Libint->vrr_classes[12][17] = int_stack + 227999;
 Libint->vrr_classes[12][18] = int_stack + 243560;
 Libint->vrr_classes[13][10] = int_stack + 260850;
 Libint->vrr_classes[13][11] = int_stack + 267780;
 Libint->vrr_classes[13][12] = int_stack + 275970;
 Libint->vrr_classes[13][13] = int_stack + 285525;
 Libint->vrr_classes[13][14] = int_stack + 296550;
 Libint->vrr_classes[13][15] = int_stack + 309150;
 Libint->vrr_classes[13][16] = int_stack + 323430;
 Libint->vrr_classes[13][17] = int_stack + 339495;
 Libint->vrr_classes[13][18] = int_stack + 357450;
 Libint->vrr_classes[14][10] = int_stack + 377400;
 Libint->vrr_classes[14][11] = int_stack + 385320;
 Libint->vrr_classes[14][12] = int_stack + 394680;
 Libint->vrr_classes[14][13] = int_stack + 405600;
 Libint->vrr_classes[14][14] = int_stack + 418200;
 Libint->vrr_classes[14][15] = int_stack + 432600;
 Libint->vrr_classes[14][16] = int_stack + 448920;
 Libint->vrr_classes[14][17] = int_stack + 467280;
 Libint->vrr_classes[14][18] = int_stack + 487800;
 Libint->vrr_classes[15][10] = int_stack + 510600;
 Libint->vrr_classes[15][11] = int_stack + 519576;
 Libint->vrr_classes[15][12] = int_stack + 530184;
 Libint->vrr_classes[15][13] = int_stack + 542560;
 Libint->vrr_classes[15][14] = int_stack + 556840;
 Libint->vrr_classes[15][15] = int_stack + 573160;
 Libint->vrr_classes[15][16] = int_stack + 591656;
 Libint->vrr_classes[15][17] = int_stack + 612464;
 Libint->vrr_classes[15][18] = int_stack + 635720;
 memset(int_stack,0,661560*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 661560;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nhnl(Libint, Data);
   Data++;
 }
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+661560,int_stack+4356,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+674628,int_stack+9504,int_stack+4356,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+690072,int_stack+674628,int_stack+661560,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+716208,int_stack+15510,int_stack+9504,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+734226,int_stack+716208,int_stack+674628,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+765114,int_stack+734226,int_stack+690072,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+661560,int_stack+22440,int_stack+15510,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+808674,int_stack+661560,int_stack+716208,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+682350,int_stack+808674,int_stack+734226,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+844710,int_stack+682350,int_stack+765114,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+733830,int_stack+30360,int_stack+22440,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+757590,int_stack+733830,int_stack+661560,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+910050,int_stack+757590,int_stack+808674,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+970110,int_stack+910050,int_stack+682350,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1047330,int_stack+970110,int_stack+844710,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+661560,int_stack+39336,int_stack+30360,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+799170,int_stack+661560,int_stack+733830,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1138806,int_stack+799170,int_stack+757590,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+688488,int_stack+1138806,int_stack+910050,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+846690,int_stack+688488,int_stack+970110,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1208106,int_stack+846690,int_stack+1047330,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+954798,int_stack+49434,int_stack+39336,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+985092,int_stack+954798,int_stack+661560,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1038948,int_stack+985092,int_stack+799170,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1330074,int_stack+1038948,int_stack+1138806,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1434024,int_stack+1330074,int_stack+688488,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+661560,int_stack+1434024,int_stack+846690,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1560150,int_stack+661560,int_stack+1208106,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+805704,int_stack+60720,int_stack+49434,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+839562,int_stack+805704,int_stack+954798,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1118148,int_stack+839562,int_stack+985092,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+805704,int_stack+1118148,int_stack+1038948,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+924504,int_stack+805704,int_stack+1330074,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1070034,int_stack+924504,int_stack+1434024,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+805704,int_stack+1070034,int_stack+661560,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+991032,int_stack+805704,int_stack+1560150,66);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+661560,int_stack+78408,int_stack+73260,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+677004,int_stack+84492,int_stack+78408,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+695256,int_stack+677004,int_stack+661560,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+726144,int_stack+91590,int_stack+84492,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+747438,int_stack+726144,int_stack+677004,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+783942,int_stack+747438,int_stack+695256,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+661560,int_stack+99780,int_stack+91590,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+835422,int_stack+661560,int_stack+726144,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+686130,int_stack+835422,int_stack+747438,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+878010,int_stack+686130,int_stack+783942,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+746970,int_stack+109140,int_stack+99780,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+775050,int_stack+746970,int_stack+661560,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1187052,int_stack+775050,int_stack+835422,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1258032,int_stack+1187052,int_stack+686130,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1349292,int_stack+1258032,int_stack+878010,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+661560,int_stack+119748,int_stack+109140,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+824190,int_stack+661560,int_stack+746970,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+880350,int_stack+824190,int_stack+775050,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+693384,int_stack+880350,int_stack+1187052,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1457400,int_stack+693384,int_stack+1258032,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1187052,int_stack+1457400,int_stack+1349292,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1331196,int_stack+131682,int_stack+119748,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1366998,int_stack+1331196,int_stack+661560,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1585164,int_stack+1366998,int_stack+824190,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1585164,int_stack+880350,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+799854,int_stack+0,int_stack+693384,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1678764,int_stack+799854,int_stack+1457400,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1849116,int_stack+1678764,int_stack+1187052,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1187052,int_stack+145020,int_stack+131682,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1227066,int_stack+1187052,int_stack+1331196,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+661560,int_stack+1227066,int_stack+1366998,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1187052,int_stack+661560,int_stack+1585164,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1327452,int_stack+1187052,int_stack+0,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2034444,int_stack+1327452,int_stack+799854,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1187052,int_stack+2034444,int_stack+1678764,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1406076,int_stack+1187052,int_stack+1849116,78);
 /*--- compute (np|nl) ---*/
 hrr1_build_np(Libint->AB,int_stack+1637736,int_stack+1406076,int_stack+991032,2970);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+165846,int_stack+159840,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+172944,int_stack+165846,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+181225,int_stack+172944,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100191,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+661560,int_stack+100191,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+190780,int_stack+181225,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+721620,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+721620,int_stack+100191,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+99645,int_stack+28665,int_stack+661560,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+661560,int_stack+201700,int_stack+190780,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+771306,int_stack+661560,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+828636,int_stack+771306,int_stack+721620,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+911446,int_stack+828636,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1017916,int_stack+911446,int_stack+99645,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+214076,int_stack+201700,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+37128,int_stack+0,int_stack+661560,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+661560,int_stack+37128,int_stack+771306,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1144042,int_stack+661560,int_stack+828636,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+757110,int_stack+1144042,int_stack+911446,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2225796,int_stack+757110,int_stack+1017916,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+906168,int_stack+227999,int_stack+214076,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+947937,int_stack+906168,int_stack+0,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1022193,int_stack+947937,int_stack+37128,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1022193,int_stack+661560,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2393964,int_stack+0,int_stack+1144042,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1131393,int_stack+2393964,int_stack+757110,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+661560,int_stack+1131393,int_stack+2225796,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2225796,int_stack+243560,int_stack+227999,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2272479,int_stack+2225796,int_stack+906168,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2567865,int_stack+2272479,int_stack+947937,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2225796,int_stack+2567865,int_stack+1022193,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+877776,int_stack+2225796,int_stack+0,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+877776,int_stack+2393964,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2225796,int_stack+0,int_stack+1131393,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+877776,int_stack+2225796,int_stack+661560,91);
 /*--- compute (op|nl) ---*/
 hrr1_build_op(Libint->AB,int_stack+2225796,int_stack+877776,int_stack+1406076,2970);
 /*--- compute (nd|nl) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2920776,int_stack+2225796,int_stack+1637736,2970);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+661560,int_stack+267780,int_stack+260850,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+682350,int_stack+275970,int_stack+267780,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+706920,int_stack+682350,int_stack+661560,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+748500,int_stack+285525,int_stack+275970,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+777165,int_stack+748500,int_stack+682350,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+777165,int_stack+706920,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+661560,int_stack+296550,int_stack+285525,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+69300,int_stack+661560,int_stack+748500,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+694635,int_stack+69300,int_stack+777165,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+126630,int_stack+694635,int_stack+0,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+309150,int_stack+296550,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+776535,int_stack+0,int_stack+661560,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1148046,int_stack+776535,int_stack+69300,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1243596,int_stack+1148046,int_stack+694635,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1366446,int_stack+1243596,int_stack+126630,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+661560,int_stack+323430,int_stack+309150,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+37800,int_stack+661560,int_stack+0,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+113400,int_stack+37800,int_stack+776535,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+704400,int_stack+113400,int_stack+1148046,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1511976,int_stack+704400,int_stack+1243596,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1148046,int_stack+1511976,int_stack+1366446,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1342086,int_stack+339495,int_stack+323430,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1390281,int_stack+1342086,int_stack+661560,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1683966,int_stack+1390281,int_stack+37800,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1809966,int_stack+1683966,int_stack+113400,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+1809966,int_stack+704400,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1975341,int_stack+0,int_stack+1511976,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4096896,int_stack+1975341,int_stack+1148046,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1148046,int_stack+357450,int_stack+339495,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1201911,int_stack+1148046,int_stack+1342086,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+661560,int_stack+1201911,int_stack+1390281,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1148046,int_stack+661560,int_stack+1683966,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1337046,int_stack+1148046,int_stack+1809966,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1568571,int_stack+1337046,int_stack+0,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+1568571,int_stack+1975341,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1148046,int_stack+0,int_stack+4096896,105);
 /*--- compute (qp|nl) ---*/
 hrr1_build_qp(Libint->AB,int_stack+4096896,int_stack+1148046,int_stack+877776,2970);
 /*--- compute (od|nl) ---*/
 hrr1_build_od(Libint->AB,int_stack+4907706,int_stack+4096896,int_stack+2225796,2970);
 /*--- compute (nf|nl) ---*/
 hrr1_build_nf(Libint->AB,int_stack+6297666,int_stack+4907706,int_stack+2920776,2970);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+385320,int_stack+377400,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+23760,int_stack+394680,int_stack+385320,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+51840,int_stack+23760,int_stack+0,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+99360,int_stack+405600,int_stack+394680,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+132120,int_stack+99360,int_stack+23760,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+188280,int_stack+132120,int_stack+51840,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+418200,int_stack+405600,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+267480,int_stack+0,int_stack+99360,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+37800,int_stack+267480,int_stack+132120,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1459896,int_stack+37800,int_stack+188280,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+131400,int_stack+432600,int_stack+418200,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+174600,int_stack+131400,int_stack+0,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1578696,int_stack+174600,int_stack+267480,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+250200,int_stack+1578696,int_stack+37800,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1687896,int_stack+250200,int_stack+1459896,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1459896,int_stack+448920,int_stack+432600,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+0,int_stack+1459896,int_stack+131400,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1854216,int_stack+0,int_stack+174600,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+86400,int_stack+1854216,int_stack+1578696,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1980216,int_stack+86400,int_stack+250200,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2176776,int_stack+1980216,int_stack+1687896,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+250200,int_stack+467280,int_stack+448920,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+305280,int_stack+250200,int_stack+1459896,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1459896,int_stack+305280,int_stack+0,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1603896,int_stack+1459896,int_stack+1854216,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2398536,int_stack+1603896,int_stack+86400,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2627856,int_stack+2398536,int_stack+1980216,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1792896,int_stack+2627856,int_stack+2176776,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+487800,int_stack+467280,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+61560,int_stack+0,int_stack+250200,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2078016,int_stack+61560,int_stack+305280,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+2078016,int_stack+1459896,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2078016,int_stack+0,int_stack+1603896,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+2078016,int_stack+2398536,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2078016,int_stack+0,int_stack+2627856,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+2078016,int_stack+1792896,120);
 /*--- compute (rp|nl) ---*/
 hrr1_build_rp(Libint->AB,int_stack+1459896,int_stack+0,int_stack+1148046,2970);
 /*--- compute (qd|nl) ---*/
 hrr1_build_qd(Libint->AB,int_stack+2395446,int_stack+1459896,int_stack+4096896,2970);
 /*--- compute (of|nl) ---*/
 hrr1_build_of(Libint->AB,int_stack+8257866,int_stack+2395446,int_stack+4907706,2970);
 /*--- compute (ng|nl) ---*/
 hrr1_build_ng(Libint->AB,int_stack+10574466,int_stack+8257866,int_stack+6297666,2970);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+356400,int_stack+519576,int_stack+510600,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+383328,int_stack+530184,int_stack+519576,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+415152,int_stack+383328,int_stack+356400,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+469008,int_stack+542560,int_stack+530184,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+4017066,int_stack+469008,int_stack+383328,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+4080714,int_stack+4017066,int_stack+415152,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+356400,int_stack+556840,int_stack+542560,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+4170474,int_stack+356400,int_stack+469008,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+399240,int_stack+4170474,int_stack+4017066,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+4244730,int_stack+399240,int_stack+4080714,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+4017066,int_stack+573160,int_stack+556840,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+4066026,int_stack+4017066,int_stack+356400,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+4379370,int_stack+4066026,int_stack+4170474,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+4503130,int_stack+4379370,int_stack+399240,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+356400,int_stack+4503130,int_stack+4244730,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+4151706,int_stack+591656,int_stack+573160,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+4207194,int_stack+4151706,int_stack+4017066,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+4662250,int_stack+4207194,int_stack+4066026,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+4805050,int_stack+4662250,int_stack+4379370,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+4990690,int_stack+4805050,int_stack+4503130,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+4305114,int_stack+4990690,int_stack+356400,136);
 /*--- compute (u0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+356400,int_stack+612464,int_stack+591656,136);
 /*--- compute (u0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+418824,int_stack+356400,int_stack+4151706,136);
 /*--- compute (u0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+4017066,int_stack+418824,int_stack+4207194,136);
 /*--- compute (u0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+5213458,int_stack+4017066,int_stack+4662250,136);
 /*--- compute (u0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+5427658,int_stack+5213458,int_stack+4805050,136);
 /*--- compute (u0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+4556442,int_stack+5427658,int_stack+4990690,136);
 /*--- compute (u0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4853466,int_stack+4556442,int_stack+4305114,136);
 /*--- compute (u0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+529800,int_stack+635720,int_stack+612464,136);
 /*--- compute (u0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+599568,int_stack+529800,int_stack+356400,136);
 /*--- compute (u0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+724416,int_stack+599568,int_stack+418824,136);
 /*--- compute (u0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+356400,int_stack+724416,int_stack+4017066,136);
 /*--- compute (u0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+4017066,int_stack+356400,int_stack+5213458,136);
 /*--- compute (u0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+356400,int_stack+4017066,int_stack+5427658,136);
 /*--- compute (u0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+4017066,int_stack+356400,int_stack+4556442,136);
 /*--- compute (u0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+356400,int_stack+4017066,int_stack+4853466,136);
 /*--- compute (tp|nl) ---*/
 hrr1_build_tp(Libint->AB,int_stack+4017066,int_stack+356400,int_stack+0,2970);
 /*--- compute (rd|nl) ---*/
 hrr1_build_rd(Libint->AB,int_stack+5086266,int_stack+4017066,int_stack+1459896,2970);
 /*--- compute (qf|nl) ---*/
 hrr1_build_qf(Libint->AB,int_stack+13514766,int_stack+5086266,int_stack+2395446,2970);
 /*--- compute (og|nl) ---*/
 hrr1_build_og(Libint->AB,int_stack+0,int_stack+13514766,int_stack+8257866,2970);
 /*--- compute (nh|nl) ---*/
 hrr1_build_nh(Libint->AB,int_stack+3474900,int_stack+0,int_stack+10574466,2970);
 return int_stack+3474900;}
