#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_p0ii(Libint_t*, prim_data*);

  /* Computes quartets of (p0|ii) integrals */

REALTYPE *hrr_order_p0ii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][6] = int_stack + 0;
 Libint->vrr_classes[1][7] = int_stack + 84;
 Libint->vrr_classes[1][8] = int_stack + 192;
 Libint->vrr_classes[1][9] = int_stack + 327;
 Libint->vrr_classes[1][10] = int_stack + 492;
 Libint->vrr_classes[1][11] = int_stack + 690;
 Libint->vrr_classes[1][12] = int_stack + 924;
 memset(int_stack,0,1197*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1197;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_p0ii(Libint, Data);
   Data++;
 }
 /*--- compute (p0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+1197,int_stack+84,int_stack+0,3);
 /*--- compute (p0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+1449,int_stack+192,int_stack+84,3);
 /*--- compute (p0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+1773,int_stack+1449,int_stack+1197,3);
 /*--- compute (p0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+2277,int_stack+327,int_stack+192,3);
 /*--- compute (p0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+2682,int_stack+2277,int_stack+1449,3);
 /*--- compute (p0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+3330,int_stack+2682,int_stack+1773,3);
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1197,int_stack+492,int_stack+327,3);
 /*--- compute (p0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+4170,int_stack+1197,int_stack+2277,3);
 /*--- compute (p0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+4980,int_stack+4170,int_stack+2682,3);
 /*--- compute (p0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+1692,int_stack+4980,int_stack+3330,3);
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2952,int_stack+690,int_stack+492,3);
 /*--- compute (p0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+6060,int_stack+2952,int_stack+1197,3);
 /*--- compute (p0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+7050,int_stack+6060,int_stack+4170,3);
 /*--- compute (p0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+8400,int_stack+7050,int_stack+4980,3);
 /*--- compute (p0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+3546,int_stack+8400,int_stack+1692,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1197,int_stack+924,int_stack+690,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+1197,int_stack+2952,3);
 /*--- compute (p0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1188,int_stack+0,int_stack+6060,3);
 /*--- compute (p0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+10020,int_stack+1188,int_stack+7050,3);
 /*--- compute (p0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+10020,int_stack+8400,3);
 /*--- compute (p0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+5310,int_stack+0,int_stack+3546,3);
 return int_stack+5310;}
