#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_p0mk(Libint_t*, prim_data*);

  /* Computes quartets of (p0|mk) integrals */

REALTYPE *hrr_order_p0mk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][9] = int_stack + 0;
 Libint->vrr_classes[1][10] = int_stack + 165;
 Libint->vrr_classes[1][11] = int_stack + 363;
 Libint->vrr_classes[1][12] = int_stack + 597;
 Libint->vrr_classes[1][13] = int_stack + 870;
 Libint->vrr_classes[1][14] = int_stack + 1185;
 Libint->vrr_classes[1][15] = int_stack + 1545;
 Libint->vrr_classes[1][16] = int_stack + 1953;
 memset(int_stack,0,2412*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2412;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_p0mk(Libint, Data);
   Data++;
 }
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+2412,int_stack+165,int_stack+0,3);
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2907,int_stack+363,int_stack+165,3);
 /*--- compute (p0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+3501,int_stack+2907,int_stack+2412,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4491,int_stack+597,int_stack+363,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+5193,int_stack+4491,int_stack+2907,3);
 /*--- compute (p0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+6381,int_stack+5193,int_stack+3501,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2412,int_stack+870,int_stack+597,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+8031,int_stack+2412,int_stack+4491,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+9435,int_stack+8031,int_stack+5193,3);
 /*--- compute (p0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+3231,int_stack+9435,int_stack+6381,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+5706,int_stack+1185,int_stack+870,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+11415,int_stack+5706,int_stack+2412,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+13053,int_stack+11415,int_stack+8031,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+15393,int_stack+13053,int_stack+9435,3);
 /*--- compute (p0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+6651,int_stack+15393,int_stack+3231,3);
 /*--- compute (p0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2412,int_stack+1545,int_stack+1185,3);
 /*--- compute (p0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+3492,int_stack+2412,int_stack+5706,3);
 /*--- compute (p0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+18363,int_stack+3492,int_stack+11415,3);
 /*--- compute (p0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+21093,int_stack+18363,int_stack+13053,3);
 /*--- compute (p0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+10116,int_stack+21093,int_stack+15393,3);
 /*--- compute (p0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+24603,int_stack+10116,int_stack+6651,3);
 /*--- compute (p0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+5382,int_stack+1953,int_stack+1545,3);
 /*--- compute (p0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+6606,int_stack+5382,int_stack+2412,3);
 /*--- compute (p0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+14274,int_stack+6606,int_stack+3492,3);
 /*--- compute (p0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+14274,int_stack+18363,3);
 /*--- compute (p0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+14274,int_stack+0,int_stack+21093,3);
 /*--- compute (p0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+14274,int_stack+10116,3);
 /*--- compute (p0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+5544,int_stack+0,int_stack+24603,3);
 return int_stack+5544;}
