#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_pplf(Libint_t*, prim_data*);

  /* Computes quartets of (pp|lf) integrals */

REALTYPE *hrr_order_pplf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][8] = int_stack + 0;
 Libint->vrr_classes[1][9] = int_stack + 135;
 Libint->vrr_classes[1][10] = int_stack + 300;
 Libint->vrr_classes[1][11] = int_stack + 498;
 Libint->vrr_classes[2][8] = int_stack + 732;
 Libint->vrr_classes[2][9] = int_stack + 1002;
 Libint->vrr_classes[2][10] = int_stack + 1332;
 Libint->vrr_classes[2][11] = int_stack + 1728;
 memset(int_stack,0,2196*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2196;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_pplf(Libint, Data);
   Data++;
 }
 /*--- compute (p0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+2196,int_stack+135,int_stack+0,3);
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+2601,int_stack+300,int_stack+135,3);
 /*--- compute (p0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+3096,int_stack+2601,int_stack+2196,3);
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+3906,int_stack+498,int_stack+300,3);
 /*--- compute (p0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+4500,int_stack+3906,int_stack+2601,3);
 /*--- compute (p0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+5490,int_stack+4500,int_stack+3096,3);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+2196,int_stack+1002,int_stack+732,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3006,int_stack+1332,int_stack+1002,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+6840,int_stack+3006,int_stack+2196,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+3996,int_stack+1728,int_stack+1332,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+3996,int_stack+3006,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+1980,int_stack+0,int_stack+6840,6);
 /*--- compute (pp|lf) ---*/
 hrr1_build_pp(Libint->AB,int_stack+6840,int_stack+1980,int_stack+5490,450);
 return int_stack+6840;}
