#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (gf|lg) integrals */

void vrr_order_gflg(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+3, Data->F+7, Data->F+8, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+12, vrr_stack+0, Data->F+6, Data->F+7, NULL);
 _BUILD_p0d0(Data,vrr_stack+21, vrr_stack+15, vrr_stack+6, NULL, NULL, vrr_stack+0);
 _BUILD_00f0(Data,vrr_stack+39, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+49, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+52, vrr_stack+49, vrr_stack+12, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+58, vrr_stack+52, vrr_stack+15, vrr_stack+49, vrr_stack+12, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+68, vrr_stack+3, vrr_stack+12, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+74, vrr_stack+6, vrr_stack+68, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_p0f0(Data,vrr_stack+84, vrr_stack+39, vrr_stack+74, NULL, NULL, vrr_stack+6);
 _BUILD_p0f0(Data,vrr_stack+114, vrr_stack+58, vrr_stack+39, NULL, NULL, vrr_stack+15);
 _BUILD_d0f0(Data,vrr_stack+144, vrr_stack+114, vrr_stack+84, vrr_stack+58, vrr_stack+39, vrr_stack+21);
 _BUILD_00g0(Data,vrr_stack+21, vrr_stack+39, vrr_stack+74, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+204, vrr_stack+58, vrr_stack+39, vrr_stack+52, vrr_stack+15, NULL);
 _BUILD_p0g0(Data,vrr_stack+219, vrr_stack+204, vrr_stack+21, NULL, NULL, vrr_stack+39);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+36, vrr_stack+49, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+264, vrr_stack+15, vrr_stack+52, vrr_stack+36, vrr_stack+49, NULL);
 _BUILD_00g0(Data,vrr_stack+274, vrr_stack+264, vrr_stack+58, vrr_stack+15, vrr_stack+52, NULL);
 _BUILD_p0g0(Data,vrr_stack+289, vrr_stack+274, vrr_stack+204, NULL, NULL, vrr_stack+58);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+49, vrr_stack+12, vrr_stack+0, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+334, vrr_stack+68, vrr_stack+49, vrr_stack+3, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+344, vrr_stack+74, vrr_stack+334, vrr_stack+6, vrr_stack+68, NULL);
 _BUILD_p0g0(Data,vrr_stack+359, vrr_stack+21, vrr_stack+344, NULL, NULL, vrr_stack+74);
 _BUILD_d0g0(Data,vrr_stack+404, vrr_stack+219, vrr_stack+359, vrr_stack+204, vrr_stack+21, vrr_stack+84);
 _BUILD_d0g0(Data,vrr_stack+494, vrr_stack+289, vrr_stack+219, vrr_stack+274, vrr_stack+204, vrr_stack+114);
 _BUILD_f0g0(Data,vrr_stack+584, vrr_stack+494, vrr_stack+404, vrr_stack+289, vrr_stack+219, vrr_stack+144);
 _BUILD_00h0(Data,vrr_stack+84, vrr_stack+204, vrr_stack+21, vrr_stack+58, vrr_stack+39, NULL);
 _BUILD_00h0(Data,vrr_stack+105, vrr_stack+274, vrr_stack+204, vrr_stack+264, vrr_stack+58, NULL);
 _BUILD_00h0(Data,vrr_stack+126, vrr_stack+21, vrr_stack+344, vrr_stack+39, vrr_stack+74, NULL);
 _BUILD_p0h0(Data,vrr_stack+734, vrr_stack+84, vrr_stack+126, NULL, NULL, vrr_stack+21);
 _BUILD_p0h0(Data,vrr_stack+797, vrr_stack+105, vrr_stack+84, NULL, NULL, vrr_stack+204);
 _BUILD_d0h0(Data,vrr_stack+860, vrr_stack+797, vrr_stack+734, vrr_stack+105, vrr_stack+84, vrr_stack+219);
 _BUILD_00p0(Data,vrr_stack+219, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+222, vrr_stack+219, vrr_stack+36, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+39, vrr_stack+222, vrr_stack+15, vrr_stack+219, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+986, vrr_stack+39, vrr_stack+264, vrr_stack+222, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+228, vrr_stack+986, vrr_stack+274, vrr_stack+39, vrr_stack+264, NULL);
 _BUILD_p0h0(Data,vrr_stack+1001, vrr_stack+228, vrr_stack+105, NULL, NULL, vrr_stack+274);
 _BUILD_d0h0(Data,vrr_stack+1064, vrr_stack+1001, vrr_stack+797, vrr_stack+228, vrr_stack+105, vrr_stack+289);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+0, vrr_stack+36, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+289, vrr_stack+49, vrr_stack+15, vrr_stack+12, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+299, vrr_stack+334, vrr_stack+289, vrr_stack+68, vrr_stack+49, NULL);
 _BUILD_00h0(Data,vrr_stack+249, vrr_stack+344, vrr_stack+299, vrr_stack+74, vrr_stack+334, NULL);
 _BUILD_p0h0(Data,vrr_stack+1190, vrr_stack+126, vrr_stack+249, NULL, NULL, vrr_stack+344);
 _BUILD_d0h0(Data,vrr_stack+1253, vrr_stack+734, vrr_stack+1190, vrr_stack+84, vrr_stack+126, vrr_stack+359);
 _BUILD_f0h0(Data,vrr_stack+1379, vrr_stack+860, vrr_stack+1253, vrr_stack+797, vrr_stack+734, vrr_stack+404);
 _BUILD_f0h0(Data,vrr_stack+1589, vrr_stack+1064, vrr_stack+860, vrr_stack+1001, vrr_stack+797, vrr_stack+494);
 _BUILD_g0h0(Data,vrr_stack+1799, vrr_stack+1589, vrr_stack+1379, vrr_stack+1064, vrr_stack+860, vrr_stack+584);
 _BUILD_00i0(Data,vrr_stack+359, vrr_stack+84, vrr_stack+126, vrr_stack+204, vrr_stack+21, NULL);
 _BUILD_00i0(Data,vrr_stack+387, vrr_stack+105, vrr_stack+84, vrr_stack+274, vrr_stack+204, NULL);
 _BUILD_p0i0(Data,vrr_stack+415, vrr_stack+387, vrr_stack+359, NULL, NULL, vrr_stack+84);
 _BUILD_00i0(Data,vrr_stack+499, vrr_stack+228, vrr_stack+105, vrr_stack+986, vrr_stack+274, NULL);
 _BUILD_p0i0(Data,vrr_stack+527, vrr_stack+499, vrr_stack+387, NULL, NULL, vrr_stack+105);
 _BUILD_00i0(Data,vrr_stack+611, vrr_stack+126, vrr_stack+249, vrr_stack+21, vrr_stack+344, NULL);
 _BUILD_p0i0(Data,vrr_stack+639, vrr_stack+359, vrr_stack+611, NULL, NULL, vrr_stack+126);
 _BUILD_d0i0(Data,vrr_stack+2114, vrr_stack+415, vrr_stack+639, vrr_stack+387, vrr_stack+359, vrr_stack+734);
 _BUILD_d0i0(Data,vrr_stack+2282, vrr_stack+527, vrr_stack+415, vrr_stack+499, vrr_stack+387, vrr_stack+797);
 _BUILD_f0i0(Data,vrr_stack+2450, vrr_stack+2282, vrr_stack+2114, vrr_stack+527, vrr_stack+415, vrr_stack+860);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+21, vrr_stack+219, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+723, vrr_stack+24, vrr_stack+222, vrr_stack+21, vrr_stack+219, NULL);
 _BUILD_00g0(Data,vrr_stack+733, vrr_stack+723, vrr_stack+39, vrr_stack+24, vrr_stack+222, NULL);
 _BUILD_00h0(Data,vrr_stack+748, vrr_stack+733, vrr_stack+986, vrr_stack+723, vrr_stack+39, NULL);
 _BUILD_00i0(Data,vrr_stack+769, vrr_stack+748, vrr_stack+228, vrr_stack+733, vrr_stack+986, NULL);
 _BUILD_p0i0(Data,vrr_stack+797, vrr_stack+769, vrr_stack+499, NULL, NULL, vrr_stack+228);
 _BUILD_d0i0(Data,vrr_stack+2730, vrr_stack+797, vrr_stack+527, vrr_stack+769, vrr_stack+499, vrr_stack+1001);
 _BUILD_f0i0(Data,vrr_stack+2898, vrr_stack+2730, vrr_stack+2282, vrr_stack+797, vrr_stack+527, vrr_stack+1064);
 _BUILD_00p0(Data,vrr_stack+39, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30, vrr_stack+36, vrr_stack+39, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+881, vrr_stack+15, vrr_stack+30, vrr_stack+0, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+289, vrr_stack+881, vrr_stack+49, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+42, vrr_stack+299, vrr_stack+0, vrr_stack+334, vrr_stack+289, NULL);
 _BUILD_00i0(Data,vrr_stack+891, vrr_stack+249, vrr_stack+42, vrr_stack+344, vrr_stack+299, NULL);
 _BUILD_p0i0(Data,vrr_stack+919, vrr_stack+611, vrr_stack+891, NULL, NULL, vrr_stack+249);
 _BUILD_d0i0(Data,vrr_stack+1003, vrr_stack+639, vrr_stack+919, vrr_stack+359, vrr_stack+611, vrr_stack+1190);
 _BUILD_f0i0(Data,vrr_stack+3178, vrr_stack+2114, vrr_stack+1003, vrr_stack+415, vrr_stack+639, vrr_stack+1253);
 _BUILD_g0i0(Data,vrr_stack+3458, vrr_stack+2450, vrr_stack+3178, vrr_stack+2282, vrr_stack+2114, vrr_stack+1379);
 _BUILD_g0i0(Data,vrr_stack+3878, vrr_stack+2898, vrr_stack+2450, vrr_stack+2730, vrr_stack+2282, vrr_stack+1589);
 _BUILD_h0i0(Data,vrr_stack+1171, vrr_stack+3878, vrr_stack+3458, vrr_stack+2898, vrr_stack+2450, vrr_stack+1799);
 _BUILD_00k0(Data,vrr_stack+1759, vrr_stack+387, vrr_stack+359, vrr_stack+105, vrr_stack+84, NULL);
 _BUILD_00k0(Data,vrr_stack+1795, vrr_stack+499, vrr_stack+387, vrr_stack+228, vrr_stack+105, NULL);
 _BUILD_00k0(Data,vrr_stack+1831, vrr_stack+359, vrr_stack+611, vrr_stack+84, vrr_stack+126, NULL);
 _BUILD_p0k0(Data,vrr_stack+1867, vrr_stack+1759, vrr_stack+1831, NULL, NULL, vrr_stack+359);
 _BUILD_p0k0(Data,vrr_stack+1975, vrr_stack+1795, vrr_stack+1759, NULL, NULL, vrr_stack+387);
 _BUILD_d0k0(Data,vrr_stack+4298, vrr_stack+1975, vrr_stack+1867, vrr_stack+1795, vrr_stack+1759, vrr_stack+415);
 _BUILD_00k0(Data,vrr_stack+415, vrr_stack+769, vrr_stack+499, vrr_stack+748, vrr_stack+228, NULL);
 _BUILD_p0k0(Data,vrr_stack+4514, vrr_stack+415, vrr_stack+1795, NULL, NULL, vrr_stack+499);
 _BUILD_d0k0(Data,vrr_stack+4622, vrr_stack+4514, vrr_stack+1975, vrr_stack+415, vrr_stack+1795, vrr_stack+527);
 _BUILD_00k0(Data,vrr_stack+527, vrr_stack+611, vrr_stack+891, vrr_stack+126, vrr_stack+249, NULL);
 _BUILD_p0k0(Data,vrr_stack+63, vrr_stack+1831, vrr_stack+527, NULL, NULL, vrr_stack+611);
 _BUILD_d0k0(Data,vrr_stack+4838, vrr_stack+1867, vrr_stack+63, vrr_stack+1759, vrr_stack+1831, vrr_stack+639);
 _BUILD_f0k0(Data,vrr_stack+5054, vrr_stack+4298, vrr_stack+4838, vrr_stack+1975, vrr_stack+1867, vrr_stack+2114);
 _BUILD_f0k0(Data,vrr_stack+5414, vrr_stack+4622, vrr_stack+4298, vrr_stack+4514, vrr_stack+1975, vrr_stack+2282);
 _BUILD_g0k0(Data,vrr_stack+5774, vrr_stack+5414, vrr_stack+5054, vrr_stack+4622, vrr_stack+4298, vrr_stack+2450);
 _BUILD_00p0(Data,vrr_stack+639, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+642, vrr_stack+639, vrr_stack+21, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+648, vrr_stack+642, vrr_stack+24, vrr_stack+639, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+658, vrr_stack+648, vrr_stack+723, vrr_stack+642, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+673, vrr_stack+658, vrr_stack+733, vrr_stack+648, vrr_stack+723, NULL);
 _BUILD_00i0(Data,vrr_stack+694, vrr_stack+673, vrr_stack+748, vrr_stack+658, vrr_stack+733, NULL);
 _BUILD_00k0(Data,vrr_stack+563, vrr_stack+694, vrr_stack+769, vrr_stack+673, vrr_stack+748, NULL);
 _BUILD_p0k0(Data,vrr_stack+2083, vrr_stack+563, vrr_stack+415, NULL, NULL, vrr_stack+769);
 _BUILD_d0k0(Data,vrr_stack+2191, vrr_stack+2083, vrr_stack+4514, vrr_stack+563, vrr_stack+415, vrr_stack+797);
 _BUILD_f0k0(Data,vrr_stack+6314, vrr_stack+2191, vrr_stack+4622, vrr_stack+2083, vrr_stack+4514, vrr_stack+2730);
 _BUILD_g0k0(Data,vrr_stack+6674, vrr_stack+6314, vrr_stack+5414, vrr_stack+2191, vrr_stack+4622, vrr_stack+2898);
 _BUILD_00p0(Data,vrr_stack+797, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+800, vrr_stack+39, vrr_stack+797, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+806, vrr_stack+30, vrr_stack+800, vrr_stack+36, vrr_stack+39, NULL);
 _BUILD_00g0(Data,vrr_stack+816, vrr_stack+881, vrr_stack+806, vrr_stack+15, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+831, vrr_stack+0, vrr_stack+816, vrr_stack+289, vrr_stack+881, NULL);
 _BUILD_00i0(Data,vrr_stack+852, vrr_stack+42, vrr_stack+831, vrr_stack+299, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+722, vrr_stack+891, vrr_stack+852, vrr_stack+249, vrr_stack+42, NULL);
 _BUILD_p0k0(Data,vrr_stack+171, vrr_stack+527, vrr_stack+722, NULL, NULL, vrr_stack+891);
 _BUILD_d0k0(Data,vrr_stack+2407, vrr_stack+63, vrr_stack+171, vrr_stack+1831, vrr_stack+527, vrr_stack+919);
 _BUILD_f0k0(Data,vrr_stack+2623, vrr_stack+4838, vrr_stack+2407, vrr_stack+1867, vrr_stack+63, vrr_stack+1003);
 _BUILD_g0k0(Data,vrr_stack+7214, vrr_stack+5054, vrr_stack+2623, vrr_stack+4298, vrr_stack+4838, vrr_stack+3178);
 _BUILD_h0k0(Data,vrr_stack+7754, vrr_stack+5774, vrr_stack+7214, vrr_stack+5414, vrr_stack+5054, vrr_stack+3458);
 _BUILD_h0k0(Data,vrr_stack+2983, vrr_stack+6674, vrr_stack+5774, vrr_stack+6314, vrr_stack+5414, vrr_stack+3878);
 _BUILD_i0k0(Data,vrr_stack+8510, vrr_stack+2983, vrr_stack+7754, vrr_stack+6674, vrr_stack+5774, vrr_stack+1171);
 _BUILD_00l0(Data,vrr_stack+919, vrr_stack+1759, vrr_stack+1831, vrr_stack+387, vrr_stack+359, NULL);
 _BUILD_00l0(Data,vrr_stack+964, vrr_stack+1795, vrr_stack+1759, vrr_stack+499, vrr_stack+387, NULL);
 _BUILD_p0l0(Data,vrr_stack+1009, vrr_stack+964, vrr_stack+919, NULL, NULL, vrr_stack+1759);
 _BUILD_00l0(Data,vrr_stack+1144, vrr_stack+415, vrr_stack+1795, vrr_stack+769, vrr_stack+499, NULL);
 _BUILD_p0l0(Data,vrr_stack+1189, vrr_stack+1144, vrr_stack+964, NULL, NULL, vrr_stack+1795);
 _BUILD_00l0(Data,vrr_stack+1324, vrr_stack+1831, vrr_stack+527, vrr_stack+359, vrr_stack+611, NULL);
 _BUILD_p0l0(Data,vrr_stack+1369, vrr_stack+919, vrr_stack+1324, NULL, NULL, vrr_stack+1831);
 _BUILD_d0l0(Data,vrr_stack+3739, vrr_stack+1009, vrr_stack+1369, vrr_stack+964, vrr_stack+919, vrr_stack+1867);
 _BUILD_d0l0(Data,vrr_stack+4009, vrr_stack+1189, vrr_stack+1009, vrr_stack+1144, vrr_stack+964, vrr_stack+1975);
 _BUILD_f0l0(Data,vrr_stack+9518, vrr_stack+4009, vrr_stack+3739, vrr_stack+1189, vrr_stack+1009, vrr_stack+4298);
 _BUILD_00l0(Data,vrr_stack+1867, vrr_stack+563, vrr_stack+415, vrr_stack+694, vrr_stack+769, NULL);
 _BUILD_p0l0(Data,vrr_stack+1912, vrr_stack+1867, vrr_stack+1144, NULL, NULL, vrr_stack+415);
 _BUILD_d0l0(Data,vrr_stack+9968, vrr_stack+1912, vrr_stack+1189, vrr_stack+1867, vrr_stack+1144, vrr_stack+4514);
 _BUILD_f0l0(Data,vrr_stack+10238, vrr_stack+9968, vrr_stack+4009, vrr_stack+1912, vrr_stack+1189, vrr_stack+4622);
 _BUILD_00l0(Data,vrr_stack+1504, vrr_stack+527, vrr_stack+722, vrr_stack+611, vrr_stack+891, NULL);
 _BUILD_p0l0(Data,vrr_stack+1549, vrr_stack+1324, vrr_stack+1504, NULL, NULL, vrr_stack+527);
 _BUILD_d0l0(Data,vrr_stack+4279, vrr_stack+1369, vrr_stack+1549, vrr_stack+919, vrr_stack+1324, vrr_stack+63);
 _BUILD_f0l0(Data,vrr_stack+10688, vrr_stack+3739, vrr_stack+4279, vrr_stack+1009, vrr_stack+1369, vrr_stack+4838);
 _BUILD_g0l0(Data,vrr_stack+11138, vrr_stack+9518, vrr_stack+10688, vrr_stack+4009, vrr_stack+3739, vrr_stack+5054);
 _BUILD_g0l0(Data,vrr_stack+4549, vrr_stack+10238, vrr_stack+9518, vrr_stack+9968, vrr_stack+4009, vrr_stack+5414);
 _BUILD_h0l0(Data,vrr_stack+11813, vrr_stack+4549, vrr_stack+11138, vrr_stack+10238, vrr_stack+9518, vrr_stack+5774);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+63, vrr_stack+36, vrr_stack+639, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+69, vrr_stack+63, vrr_stack+642, vrr_stack+36, vrr_stack+639, NULL);
 _BUILD_00g0(Data,vrr_stack+15, vrr_stack+69, vrr_stack+648, vrr_stack+63, vrr_stack+642, NULL);
 _BUILD_00h0(Data,vrr_stack+79, vrr_stack+15, vrr_stack+658, vrr_stack+69, vrr_stack+648, NULL);
 _BUILD_00i0(Data,vrr_stack+100, vrr_stack+79, vrr_stack+673, vrr_stack+15, vrr_stack+658, NULL);
 _BUILD_00k0(Data,vrr_stack+2047, vrr_stack+100, vrr_stack+694, vrr_stack+79, vrr_stack+673, NULL);
 _BUILD_00l0(Data,vrr_stack+1684, vrr_stack+2047, vrr_stack+563, vrr_stack+100, vrr_stack+694, NULL);
 _BUILD_p0l0(Data,vrr_stack+279, vrr_stack+1684, vrr_stack+1867, NULL, NULL, vrr_stack+563);
 _BUILD_d0l0(Data,vrr_stack+5224, vrr_stack+279, vrr_stack+1912, vrr_stack+1684, vrr_stack+1867, vrr_stack+2083);
 _BUILD_f0l0(Data,vrr_stack+5494, vrr_stack+5224, vrr_stack+9968, vrr_stack+279, vrr_stack+1912, vrr_stack+2191);
 _BUILD_g0l0(Data,vrr_stack+12758, vrr_stack+5494, vrr_stack+10238, vrr_stack+5224, vrr_stack+9968, vrr_stack+6314);
   tmp = vrr_stack + 12758;
   target_ptr = Libint->vrr_classes[4][8];
   for(i=0;i<675;i++)
     target_ptr[i] += tmp[i];
 _BUILD_h0l0(Data,vrr_stack+13433, vrr_stack+12758, vrr_stack+4549, vrr_stack+5494, vrr_stack+10238, vrr_stack+6674);
   tmp = vrr_stack + 13433;
   target_ptr = Libint->vrr_classes[5][8];
   for(i=0;i<945;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+36, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+5224, vrr_stack+797, vrr_stack+36, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+5230, vrr_stack+800, vrr_stack+5224, vrr_stack+39, vrr_stack+797, NULL);
 _BUILD_00g0(Data,vrr_stack+15, vrr_stack+806, vrr_stack+5230, vrr_stack+30, vrr_stack+800, NULL);
 _BUILD_00h0(Data,vrr_stack+5240, vrr_stack+816, vrr_stack+15, vrr_stack+881, vrr_stack+806, NULL);
 _BUILD_00i0(Data,vrr_stack+5261, vrr_stack+831, vrr_stack+5240, vrr_stack+0, vrr_stack+816, NULL);
 _BUILD_00k0(Data,vrr_stack+5289, vrr_stack+852, vrr_stack+5261, vrr_stack+42, vrr_stack+831, NULL);
 _BUILD_00l0(Data,vrr_stack+39, vrr_stack+722, vrr_stack+5289, vrr_stack+891, vrr_stack+852, NULL);
 _BUILD_p0l0(Data,vrr_stack+5325, vrr_stack+1504, vrr_stack+39, NULL, NULL, vrr_stack+722);
 _BUILD_d0l0(Data,vrr_stack+5460, vrr_stack+1549, vrr_stack+5325, vrr_stack+1324, vrr_stack+1504, vrr_stack+171);
 _BUILD_f0l0(Data,vrr_stack+5730, vrr_stack+4279, vrr_stack+5460, vrr_stack+1369, vrr_stack+1549, vrr_stack+2407);
 _BUILD_g0l0(Data,vrr_stack+6180, vrr_stack+10688, vrr_stack+5730, vrr_stack+3739, vrr_stack+4279, vrr_stack+2623);
 _BUILD_h0l0(Data,vrr_stack+14378, vrr_stack+11138, vrr_stack+6180, vrr_stack+9518, vrr_stack+10688, vrr_stack+7214);
 _BUILD_i0l0(Data,vrr_stack+15323, vrr_stack+11813, vrr_stack+14378, vrr_stack+4549, vrr_stack+11138, vrr_stack+7754);
 _BUILD_i0l0(Data,vrr_stack+6855, vrr_stack+13433, vrr_stack+11813, vrr_stack+12758, vrr_stack+4549, vrr_stack+2983);
   tmp = vrr_stack + 6855;
   target_ptr = Libint->vrr_classes[6][8];
   for(i=0;i<1260;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00m0(Data,vrr_stack+12758, vrr_stack+919, vrr_stack+1324, vrr_stack+1759, vrr_stack+1831, NULL);
 _BUILD_00m0(Data,vrr_stack+12813, vrr_stack+964, vrr_stack+919, vrr_stack+1795, vrr_stack+1759, NULL);
 _BUILD_p0m0(Data,vrr_stack+12868, vrr_stack+12813, vrr_stack+12758, NULL, NULL, vrr_stack+919);
 _BUILD_00m0(Data,vrr_stack+13033, vrr_stack+1144, vrr_stack+964, vrr_stack+415, vrr_stack+1795, NULL);
 _BUILD_p0m0(Data,vrr_stack+13088, vrr_stack+13033, vrr_stack+12813, NULL, NULL, vrr_stack+964);
 _BUILD_00m0(Data,vrr_stack+13253, vrr_stack+1324, vrr_stack+1504, vrr_stack+1831, vrr_stack+527, NULL);
 _BUILD_p0m0(Data,vrr_stack+84, vrr_stack+12758, vrr_stack+13253, NULL, NULL, vrr_stack+1324);
 _BUILD_d0m0(Data,vrr_stack+8115, vrr_stack+12868, vrr_stack+84, vrr_stack+12813, vrr_stack+12758, vrr_stack+1369);
 _BUILD_d0m0(Data,vrr_stack+2083, vrr_stack+13088, vrr_stack+12868, vrr_stack+13033, vrr_stack+12813, vrr_stack+1009);
 _BUILD_f0m0(Data,vrr_stack+2413, vrr_stack+2083, vrr_stack+8115, vrr_stack+13088, vrr_stack+12868, vrr_stack+3739);
 _BUILD_00m0(Data,vrr_stack+1009, vrr_stack+1867, vrr_stack+1144, vrr_stack+563, vrr_stack+415, NULL);
 _BUILD_p0m0(Data,vrr_stack+249, vrr_stack+1009, vrr_stack+13033, NULL, NULL, vrr_stack+1144);
 _BUILD_d0m0(Data,vrr_stack+2963, vrr_stack+249, vrr_stack+13088, vrr_stack+1009, vrr_stack+13033, vrr_stack+1189);
 _BUILD_f0m0(Data,vrr_stack+3293, vrr_stack+2963, vrr_stack+2083, vrr_stack+249, vrr_stack+13088, vrr_stack+4009);
 _BUILD_00m0(Data,vrr_stack+1189, vrr_stack+1504, vrr_stack+39, vrr_stack+527, vrr_stack+722, NULL);
 _BUILD_p0m0(Data,vrr_stack+3843, vrr_stack+13253, vrr_stack+1189, NULL, NULL, vrr_stack+1504);
 _BUILD_d0m0(Data,vrr_stack+16583, vrr_stack+84, vrr_stack+3843, vrr_stack+12758, vrr_stack+13253, vrr_stack+1549);
 _BUILD_f0m0(Data,vrr_stack+16913, vrr_stack+8115, vrr_stack+16583, vrr_stack+12868, vrr_stack+84, vrr_stack+4279);
 _BUILD_g0m0(Data,vrr_stack+17463, vrr_stack+2413, vrr_stack+16913, vrr_stack+2083, vrr_stack+8115, vrr_stack+10688);
 _BUILD_g0m0(Data,vrr_stack+18288, vrr_stack+3293, vrr_stack+2413, vrr_stack+2963, vrr_stack+2083, vrr_stack+9518);
 _BUILD_h0m0(Data,vrr_stack+19113, vrr_stack+18288, vrr_stack+17463, vrr_stack+3293, vrr_stack+2413, vrr_stack+11138);
 _BUILD_00m0(Data,vrr_stack+9518, vrr_stack+1684, vrr_stack+1867, vrr_stack+2047, vrr_stack+563, NULL);
 _BUILD_p0m0(Data,vrr_stack+9573, vrr_stack+9518, vrr_stack+1009, NULL, NULL, vrr_stack+1867);
 _BUILD_d0m0(Data,vrr_stack+10688, vrr_stack+9573, vrr_stack+249, vrr_stack+9518, vrr_stack+1009, vrr_stack+1912);
 _BUILD_f0m0(Data,vrr_stack+11018, vrr_stack+10688, vrr_stack+2963, vrr_stack+9573, vrr_stack+249, vrr_stack+9968);
 _BUILD_g0m0(Data,vrr_stack+20268, vrr_stack+11018, vrr_stack+3293, vrr_stack+10688, vrr_stack+2963, vrr_stack+10238);
   tmp = vrr_stack + 20268;
   target_ptr = Libint->vrr_classes[4][9];
   for(i=0;i<825;i++)
     target_ptr[i] += tmp[i];
 _BUILD_h0m0(Data,vrr_stack+9573, vrr_stack+20268, vrr_stack+18288, vrr_stack+11018, vrr_stack+3293, vrr_stack+4549);
   tmp = vrr_stack + 9573;
   target_ptr = Libint->vrr_classes[5][9];
   for(i=0;i<1155;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+10728, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30, vrr_stack+36, vrr_stack+10728, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+10731, vrr_stack+5224, vrr_stack+30, vrr_stack+797, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+5230, vrr_stack+10731, vrr_stack+800, vrr_stack+5224, NULL);
 _BUILD_00h0(Data,vrr_stack+10741, vrr_stack+15, vrr_stack+0, vrr_stack+806, vrr_stack+5230, NULL);
 _BUILD_00i0(Data,vrr_stack+10762, vrr_stack+5240, vrr_stack+10741, vrr_stack+816, vrr_stack+15, NULL);
 _BUILD_00k0(Data,vrr_stack+10790, vrr_stack+5261, vrr_stack+10762, vrr_stack+831, vrr_stack+5240, NULL);
 _BUILD_00l0(Data,vrr_stack+10826, vrr_stack+5289, vrr_stack+10790, vrr_stack+852, vrr_stack+5261, NULL);
 _BUILD_00m0(Data,vrr_stack+10871, vrr_stack+39, vrr_stack+10826, vrr_stack+722, vrr_stack+5289, NULL);
 _BUILD_p0m0(Data,vrr_stack+10926, vrr_stack+1189, vrr_stack+10871, NULL, NULL, vrr_stack+39);
 _BUILD_d0m0(Data,vrr_stack+11091, vrr_stack+3843, vrr_stack+10926, vrr_stack+13253, vrr_stack+1189, vrr_stack+5325);
 _BUILD_f0m0(Data,vrr_stack+4008, vrr_stack+16583, vrr_stack+11091, vrr_stack+84, vrr_stack+3843, vrr_stack+5460);
 _BUILD_g0m0(Data,vrr_stack+21093, vrr_stack+16913, vrr_stack+4008, vrr_stack+8115, vrr_stack+16583, vrr_stack+5730);
 _BUILD_h0m0(Data,vrr_stack+21918, vrr_stack+17463, vrr_stack+21093, vrr_stack+2413, vrr_stack+16913, vrr_stack+6180);
 _BUILD_i0m0(Data,vrr_stack+23073, vrr_stack+19113, vrr_stack+21918, vrr_stack+18288, vrr_stack+17463, vrr_stack+14378);
 _BUILD_i0m0(Data,vrr_stack+24613, vrr_stack+9573, vrr_stack+19113, vrr_stack+20268, vrr_stack+18288, vrr_stack+11813);
   tmp = vrr_stack + 24613;
   target_ptr = Libint->vrr_classes[6][9];
   for(i=0;i<1540;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00n0(Data,vrr_stack+20268, vrr_stack+12758, vrr_stack+13253, vrr_stack+919, vrr_stack+1324, NULL);
 _BUILD_00n0(Data,vrr_stack+20334, vrr_stack+12813, vrr_stack+12758, vrr_stack+964, vrr_stack+919, NULL);
 _BUILD_p0n0(Data,vrr_stack+20400, vrr_stack+20334, vrr_stack+20268, NULL, NULL, vrr_stack+12758);
 _BUILD_00n0(Data,vrr_stack+20598, vrr_stack+13033, vrr_stack+12813, vrr_stack+1144, vrr_stack+964, NULL);
 _BUILD_p0n0(Data,vrr_stack+20664, vrr_stack+20598, vrr_stack+20334, NULL, NULL, vrr_stack+12813);
 _BUILD_00n0(Data,vrr_stack+20862, vrr_stack+13253, vrr_stack+1189, vrr_stack+1324, vrr_stack+1504, NULL);
 _BUILD_p0n0(Data,vrr_stack+14378, vrr_stack+20268, vrr_stack+20862, NULL, NULL, vrr_stack+13253);
 _BUILD_d0n0(Data,vrr_stack+14576, vrr_stack+20400, vrr_stack+14378, vrr_stack+20334, vrr_stack+20268, vrr_stack+84);
 _BUILD_d0n0(Data,vrr_stack+5325, vrr_stack+20664, vrr_stack+20400, vrr_stack+20598, vrr_stack+20334, vrr_stack+12868);
 _BUILD_f0n0(Data,vrr_stack+5721, vrr_stack+5325, vrr_stack+14576, vrr_stack+20664, vrr_stack+20400, vrr_stack+8115);
 _BUILD_00n0(Data,vrr_stack+8115, vrr_stack+1009, vrr_stack+13033, vrr_stack+1867, vrr_stack+1144, NULL);
 _BUILD_p0n0(Data,vrr_stack+8181, vrr_stack+8115, vrr_stack+20598, NULL, NULL, vrr_stack+13033);
 _BUILD_d0n0(Data,vrr_stack+6381, vrr_stack+8181, vrr_stack+20664, vrr_stack+8115, vrr_stack+20598, vrr_stack+13088);
 _BUILD_f0n0(Data,vrr_stack+4558, vrr_stack+6381, vrr_stack+5325, vrr_stack+8181, vrr_stack+20664, vrr_stack+2083);
 _BUILD_00n0(Data,vrr_stack+13088, vrr_stack+1189, vrr_stack+10871, vrr_stack+1504, vrr_stack+39, NULL);
 _BUILD_p0n0(Data,vrr_stack+14972, vrr_stack+20862, vrr_stack+13088, NULL, NULL, vrr_stack+1189);
 _BUILD_d0n0(Data,vrr_stack+1912, vrr_stack+14378, vrr_stack+14972, vrr_stack+20268, vrr_stack+20862, vrr_stack+3843);
 _BUILD_f0n0(Data,vrr_stack+26153, vrr_stack+14576, vrr_stack+1912, vrr_stack+20400, vrr_stack+14378, vrr_stack+16583);
 _BUILD_g0n0(Data,vrr_stack+26813, vrr_stack+5721, vrr_stack+26153, vrr_stack+5325, vrr_stack+14576, vrr_stack+16913);
 _BUILD_g0n0(Data,vrr_stack+27803, vrr_stack+4558, vrr_stack+5721, vrr_stack+6381, vrr_stack+5325, vrr_stack+2413);
 _BUILD_h0n0(Data,vrr_stack+28793, vrr_stack+27803, vrr_stack+26813, vrr_stack+4558, vrr_stack+5721, vrr_stack+17463);
 _BUILD_00n0(Data,vrr_stack+16583, vrr_stack+9518, vrr_stack+1009, vrr_stack+1684, vrr_stack+1867, NULL);
 _BUILD_p0n0(Data,vrr_stack+16649, vrr_stack+16583, vrr_stack+8115, NULL, NULL, vrr_stack+1009);
 _BUILD_d0n0(Data,vrr_stack+16847, vrr_stack+16649, vrr_stack+8181, vrr_stack+16583, vrr_stack+8115, vrr_stack+249);
 _BUILD_f0n0(Data,vrr_stack+17243, vrr_stack+16847, vrr_stack+6381, vrr_stack+16649, vrr_stack+8181, vrr_stack+2963);
 _BUILD_g0n0(Data,vrr_stack+30179, vrr_stack+17243, vrr_stack+4558, vrr_stack+16847, vrr_stack+6381, vrr_stack+3293);
   tmp = vrr_stack + 30179;
   target_ptr = Libint->vrr_classes[4][10];
   for(i=0;i<990;i++)
     target_ptr[i] += tmp[i];
 _BUILD_h0n0(Data,vrr_stack+2308, vrr_stack+30179, vrr_stack+27803, vrr_stack+17243, vrr_stack+4558, vrr_stack+18288);
   tmp = vrr_stack + 2308;
   target_ptr = Libint->vrr_classes[5][10];
   for(i=0;i<1386;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+16649, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+5218, vrr_stack+10728, vrr_stack+16649, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+16652, vrr_stack+30, vrr_stack+5218, vrr_stack+36, vrr_stack+10728, NULL);
 _BUILD_00g0(Data,vrr_stack+16662, vrr_stack+10731, vrr_stack+16652, vrr_stack+5224, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+16677, vrr_stack+0, vrr_stack+16662, vrr_stack+5230, vrr_stack+10731, NULL);
 _BUILD_00i0(Data,vrr_stack+16698, vrr_stack+10741, vrr_stack+16677, vrr_stack+15, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+16726, vrr_stack+10762, vrr_stack+16698, vrr_stack+5240, vrr_stack+10741, NULL);
 _BUILD_00l0(Data,vrr_stack+16762, vrr_stack+10790, vrr_stack+16726, vrr_stack+5261, vrr_stack+10762, NULL);
 _BUILD_00m0(Data,vrr_stack+5224, vrr_stack+10826, vrr_stack+16762, vrr_stack+5289, vrr_stack+10790, NULL);
 _BUILD_00n0(Data,vrr_stack+16807, vrr_stack+10871, vrr_stack+5224, vrr_stack+39, vrr_stack+10826, NULL);
 _BUILD_p0n0(Data,vrr_stack+36, vrr_stack+13088, vrr_stack+16807, NULL, NULL, vrr_stack+10871);
 _BUILD_d0n0(Data,vrr_stack+234, vrr_stack+14972, vrr_stack+36, vrr_stack+20862, vrr_stack+13088, vrr_stack+10926);
 _BUILD_f0n0(Data,vrr_stack+16873, vrr_stack+1912, vrr_stack+234, vrr_stack+14378, vrr_stack+14972, vrr_stack+11091);
 _BUILD_g0n0(Data,vrr_stack+17533, vrr_stack+26153, vrr_stack+16873, vrr_stack+14576, vrr_stack+1912, vrr_stack+4008);
 _BUILD_h0n0(Data,vrr_stack+31169, vrr_stack+26813, vrr_stack+17533, vrr_stack+5721, vrr_stack+26153, vrr_stack+21093);
 _BUILD_i0n0(Data,vrr_stack+32555, vrr_stack+28793, vrr_stack+31169, vrr_stack+27803, vrr_stack+26813, vrr_stack+21918);
 _BUILD_i0n0(Data,vrr_stack+20928, vrr_stack+2308, vrr_stack+28793, vrr_stack+30179, vrr_stack+27803, vrr_stack+19113);
   tmp = vrr_stack + 20928;
   target_ptr = Libint->vrr_classes[6][10];
   for(i=0;i<1848;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00o0(Data,vrr_stack+6777, vrr_stack+20268, vrr_stack+20862, vrr_stack+12758, vrr_stack+13253, NULL);
 _BUILD_00o0(Data,vrr_stack+30179, vrr_stack+20334, vrr_stack+20268, vrr_stack+12813, vrr_stack+12758, NULL);
 _BUILD_p0o0(Data,vrr_stack+30257, vrr_stack+30179, vrr_stack+6777, NULL, NULL, vrr_stack+20268);
 _BUILD_00o0(Data,vrr_stack+30491, vrr_stack+20598, vrr_stack+20334, vrr_stack+13033, vrr_stack+12813, NULL);
 _BUILD_p0o0(Data,vrr_stack+12758, vrr_stack+30491, vrr_stack+30179, NULL, NULL, vrr_stack+20334);
 _BUILD_00o0(Data,vrr_stack+30569, vrr_stack+20862, vrr_stack+13088, vrr_stack+13253, vrr_stack+1189, NULL);
 _BUILD_p0o0(Data,vrr_stack+30647, vrr_stack+6777, vrr_stack+30569, NULL, NULL, vrr_stack+20862);
 _BUILD_d0o0(Data,vrr_stack+10926, vrr_stack+30257, vrr_stack+30647, vrr_stack+30179, vrr_stack+6777, vrr_stack+14378);
 _BUILD_d0o0(Data,vrr_stack+18523, vrr_stack+12758, vrr_stack+30257, vrr_stack+30491, vrr_stack+30179, vrr_stack+20400);
 _BUILD_f0o0(Data,vrr_stack+3694, vrr_stack+18523, vrr_stack+10926, vrr_stack+12758, vrr_stack+30257, vrr_stack+14576);
 _BUILD_00o0(Data,vrr_stack+20400, vrr_stack+8115, vrr_stack+20598, vrr_stack+1009, vrr_stack+13033, NULL);
 _BUILD_p0o0(Data,vrr_stack+14378, vrr_stack+20400, vrr_stack+30491, NULL, NULL, vrr_stack+20598);
 _BUILD_d0o0(Data,vrr_stack+1244, vrr_stack+14378, vrr_stack+12758, vrr_stack+20400, vrr_stack+30491, vrr_stack+20664);
 _BUILD_f0o0(Data,vrr_stack+34403, vrr_stack+1244, vrr_stack+18523, vrr_stack+14378, vrr_stack+12758, vrr_stack+5325);
 _BUILD_00o0(Data,vrr_stack+20664, vrr_stack+13088, vrr_stack+16807, vrr_stack+1189, vrr_stack+10871, NULL);
 _BUILD_p0o0(Data,vrr_stack+14612, vrr_stack+30569, vrr_stack+20664, NULL, NULL, vrr_stack+13088);
 _BUILD_d0o0(Data,vrr_stack+35183, vrr_stack+30647, vrr_stack+14612, vrr_stack+6777, vrr_stack+30569, vrr_stack+14972);
 _BUILD_f0o0(Data,vrr_stack+35651, vrr_stack+10926, vrr_stack+35183, vrr_stack+30257, vrr_stack+30647, vrr_stack+1912);
 _BUILD_g0o0(Data,vrr_stack+36431, vrr_stack+3694, vrr_stack+35651, vrr_stack+18523, vrr_stack+10926, vrr_stack+26153);
 _BUILD_g0o0(Data,vrr_stack+37601, vrr_stack+34403, vrr_stack+3694, vrr_stack+1244, vrr_stack+18523, vrr_stack+5721);
 _BUILD_h0o0(Data,vrr_stack+38771, vrr_stack+37601, vrr_stack+36431, vrr_stack+34403, vrr_stack+3694, vrr_stack+26813);
 _BUILD_00o0(Data,vrr_stack+26153, vrr_stack+16583, vrr_stack+8115, vrr_stack+9518, vrr_stack+1009, NULL);
 _BUILD_p0o0(Data,vrr_stack+26231, vrr_stack+26153, vrr_stack+20400, NULL, NULL, vrr_stack+8115);
 _BUILD_d0o0(Data,vrr_stack+26465, vrr_stack+26231, vrr_stack+14378, vrr_stack+26153, vrr_stack+20400, vrr_stack+8181);
 _BUILD_f0o0(Data,vrr_stack+26933, vrr_stack+26465, vrr_stack+1244, vrr_stack+26231, vrr_stack+14378, vrr_stack+6381);
 _BUILD_g0o0(Data,vrr_stack+5279, vrr_stack+26933, vrr_stack+34403, vrr_stack+26465, vrr_stack+1244, vrr_stack+4558);
   tmp = vrr_stack + 5279;
   target_ptr = Libint->vrr_classes[4][11];
   for(i=0;i<1170;i++)
     target_ptr[i] += tmp[i];
 _BUILD_h0o0(Data,vrr_stack+40409, vrr_stack+5279, vrr_stack+37601, vrr_stack+26933, vrr_stack+34403, vrr_stack+27803);
   tmp = vrr_stack + 40409;
   target_ptr = Libint->vrr_classes[5][11];
   for(i=0;i<1638;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+26231, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+26234, vrr_stack+16649, vrr_stack+26231, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+26240, vrr_stack+5218, vrr_stack+26234, vrr_stack+10728, vrr_stack+16649, NULL);
 _BUILD_00g0(Data,vrr_stack+15, vrr_stack+16652, vrr_stack+26240, vrr_stack+30, vrr_stack+5218, NULL);
 _BUILD_00h0(Data,vrr_stack+26250, vrr_stack+16662, vrr_stack+15, vrr_stack+10731, vrr_stack+16652, NULL);
 _BUILD_00i0(Data,vrr_stack+26271, vrr_stack+16677, vrr_stack+26250, vrr_stack+0, vrr_stack+16662, NULL);
 _BUILD_00k0(Data,vrr_stack+26299, vrr_stack+16698, vrr_stack+26271, vrr_stack+10741, vrr_stack+16677, NULL);
 _BUILD_00l0(Data,vrr_stack+26335, vrr_stack+16726, vrr_stack+26299, vrr_stack+10762, vrr_stack+16698, NULL);
 _BUILD_00m0(Data,vrr_stack+9518, vrr_stack+16762, vrr_stack+26335, vrr_stack+10790, vrr_stack+16726, NULL);
 _BUILD_00n0(Data,vrr_stack+10728, vrr_stack+5224, vrr_stack+9518, vrr_stack+10826, vrr_stack+16762, NULL);
 _BUILD_00o0(Data,vrr_stack+26380, vrr_stack+16807, vrr_stack+10728, vrr_stack+10871, vrr_stack+5224, NULL);
 _BUILD_p0o0(Data,vrr_stack+26458, vrr_stack+20664, vrr_stack+26380, NULL, NULL, vrr_stack+16807);
 _BUILD_d0o0(Data,vrr_stack+26692, vrr_stack+14612, vrr_stack+26458, vrr_stack+30569, vrr_stack+20664, vrr_stack+36);
 _BUILD_f0o0(Data,vrr_stack+27160, vrr_stack+35183, vrr_stack+26692, vrr_stack+30647, vrr_stack+14612, vrr_stack+234);
 _BUILD_g0o0(Data,vrr_stack+30, vrr_stack+35651, vrr_stack+27160, vrr_stack+10926, vrr_stack+35183, vrr_stack+16873);
 _BUILD_h0o0(Data,vrr_stack+42047, vrr_stack+36431, vrr_stack+30, vrr_stack+3694, vrr_stack+35651, vrr_stack+17533);
 _BUILD_i0o0(Data,vrr_stack+43685, vrr_stack+38771, vrr_stack+42047, vrr_stack+37601, vrr_stack+36431, vrr_stack+31169);
 _BUILD_i0o0(Data,vrr_stack+45869, vrr_stack+40409, vrr_stack+38771, vrr_stack+5279, vrr_stack+37601, vrr_stack+28793);
   tmp = vrr_stack + 45869;
   target_ptr = Libint->vrr_classes[6][11];
   for(i=0;i<2184;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00q0(Data,vrr_stack+5279, vrr_stack+6777, vrr_stack+30569, vrr_stack+20268, vrr_stack+20862, NULL);
 _BUILD_00q0(Data,vrr_stack+5370, vrr_stack+30179, vrr_stack+6777, vrr_stack+20334, vrr_stack+20268, NULL);
 _BUILD_p0q0(Data,vrr_stack+5461, vrr_stack+5370, vrr_stack+5279, NULL, NULL, vrr_stack+6777);
 _BUILD_00q0(Data,vrr_stack+5734, vrr_stack+30491, vrr_stack+30179, vrr_stack+20598, vrr_stack+20334, NULL);
 _BUILD_p0q0(Data,vrr_stack+5825, vrr_stack+5734, vrr_stack+5370, NULL, NULL, vrr_stack+30179);
 _BUILD_00q0(Data,vrr_stack+20268, vrr_stack+30569, vrr_stack+20664, vrr_stack+20862, vrr_stack+13088, NULL);
 _BUILD_p0q0(Data,vrr_stack+6098, vrr_stack+5279, vrr_stack+20268, NULL, NULL, vrr_stack+30569);
 _BUILD_d0q0(Data,vrr_stack+16873, vrr_stack+5461, vrr_stack+6098, vrr_stack+5370, vrr_stack+5279, vrr_stack+30647);
 _BUILD_d0q0(Data,vrr_stack+30569, vrr_stack+5825, vrr_stack+5461, vrr_stack+5734, vrr_stack+5370, vrr_stack+30257);
 _BUILD_f0q0(Data,vrr_stack+31115, vrr_stack+30569, vrr_stack+16873, vrr_stack+5825, vrr_stack+5461, vrr_stack+10926);
 _BUILD_00q0(Data,vrr_stack+5370, vrr_stack+20400, vrr_stack+30491, vrr_stack+8115, vrr_stack+20598, NULL);
 _BUILD_p0q0(Data,vrr_stack+32025, vrr_stack+5370, vrr_stack+5734, NULL, NULL, vrr_stack+30491);
 _BUILD_d0q0(Data,vrr_stack+17419, vrr_stack+32025, vrr_stack+5825, vrr_stack+5370, vrr_stack+5734, vrr_stack+12758);
 _BUILD_f0q0(Data,vrr_stack+10794, vrr_stack+17419, vrr_stack+30569, vrr_stack+32025, vrr_stack+5825, vrr_stack+18523);
 _BUILD_00q0(Data,vrr_stack+12758, vrr_stack+20664, vrr_stack+26380, vrr_stack+13088, vrr_stack+16807, NULL);
 _BUILD_p0q0(Data,vrr_stack+12849, vrr_stack+20268, vrr_stack+12758, NULL, NULL, vrr_stack+20664);
 _BUILD_d0q0(Data,vrr_stack+17965, vrr_stack+6098, vrr_stack+12849, vrr_stack+5279, vrr_stack+20268, vrr_stack+14612);
 _BUILD_f0q0(Data,vrr_stack+48053, vrr_stack+16873, vrr_stack+17965, vrr_stack+5461, vrr_stack+6098, vrr_stack+35183);
 _BUILD_g0q0(Data,vrr_stack+48963, vrr_stack+31115, vrr_stack+48053, vrr_stack+30569, vrr_stack+16873, vrr_stack+35651);
 _BUILD_g0q0(Data,vrr_stack+50328, vrr_stack+10794, vrr_stack+31115, vrr_stack+17419, vrr_stack+30569, vrr_stack+3694);
 _BUILD_h0q0(Data,vrr_stack+51693, vrr_stack+50328, vrr_stack+48963, vrr_stack+10794, vrr_stack+31115, vrr_stack+36431);
 _BUILD_00q0(Data,vrr_stack+5279, vrr_stack+26153, vrr_stack+20400, vrr_stack+16583, vrr_stack+8115, NULL);
 _BUILD_p0q0(Data,vrr_stack+8115, vrr_stack+5279, vrr_stack+5370, NULL, NULL, vrr_stack+20400);
 _BUILD_d0q0(Data,vrr_stack+3694, vrr_stack+8115, vrr_stack+32025, vrr_stack+5279, vrr_stack+5370, vrr_stack+14378);
 _BUILD_f0q0(Data,vrr_stack+14378, vrr_stack+3694, vrr_stack+17419, vrr_stack+8115, vrr_stack+32025, vrr_stack+1244);
 _BUILD_g0q0(Data,vrr_stack+35183, vrr_stack+14378, vrr_stack+10794, vrr_stack+3694, vrr_stack+17419, vrr_stack+34403);
   tmp = vrr_stack + 35183;
   target_ptr = Libint->vrr_classes[4][12];
   for(i=0;i<1365;i++)
     target_ptr[i] += tmp[i];
 _BUILD_h0q0(Data,vrr_stack+53604, vrr_stack+35183, vrr_stack+50328, vrr_stack+14378, vrr_stack+10794, vrr_stack+37601);
   tmp = vrr_stack + 53604;
   target_ptr = Libint->vrr_classes[5][12];
   for(i=0;i<1911;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+10794, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+10797, vrr_stack+26231, vrr_stack+10794, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+10803, vrr_stack+26234, vrr_stack+10797, vrr_stack+16649, vrr_stack+26231, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+26240, vrr_stack+10803, vrr_stack+5218, vrr_stack+26234, NULL);
 _BUILD_00h0(Data,vrr_stack+10794, vrr_stack+15, vrr_stack+0, vrr_stack+16652, vrr_stack+26240, NULL);
 _BUILD_00i0(Data,vrr_stack+10815, vrr_stack+26250, vrr_stack+10794, vrr_stack+16662, vrr_stack+15, NULL);
 _BUILD_00k0(Data,vrr_stack+10843, vrr_stack+26271, vrr_stack+10815, vrr_stack+16677, vrr_stack+26250, NULL);
 _BUILD_00l0(Data,vrr_stack+10794, vrr_stack+26299, vrr_stack+10843, vrr_stack+16698, vrr_stack+26271, NULL);
 _BUILD_00m0(Data,vrr_stack+10839, vrr_stack+26335, vrr_stack+10794, vrr_stack+16726, vrr_stack+26299, NULL);
 _BUILD_00n0(Data,vrr_stack+10894, vrr_stack+9518, vrr_stack+10839, vrr_stack+16762, vrr_stack+26335, NULL);
 _BUILD_00o0(Data,vrr_stack+10794, vrr_stack+10728, vrr_stack+10894, vrr_stack+5224, vrr_stack+9518, NULL);
 _BUILD_00q0(Data,vrr_stack+10872, vrr_stack+26380, vrr_stack+10794, vrr_stack+16807, vrr_stack+10728, NULL);
 _BUILD_p0q0(Data,vrr_stack+10963, vrr_stack+12758, vrr_stack+10872, NULL, NULL, vrr_stack+26380);
 _BUILD_d0q0(Data,vrr_stack+17419, vrr_stack+12849, vrr_stack+10963, vrr_stack+20268, vrr_stack+12758, vrr_stack+26458);
 _BUILD_f0q0(Data,vrr_stack+10728, vrr_stack+17965, vrr_stack+17419, vrr_stack+6098, vrr_stack+12849, vrr_stack+26692);
 _BUILD_g0q0(Data,vrr_stack+3694, vrr_stack+48053, vrr_stack+10728, vrr_stack+16873, vrr_stack+17965, vrr_stack+27160);
 _BUILD_h0q0(Data,vrr_stack+16583, vrr_stack+48963, vrr_stack+3694, vrr_stack+31115, vrr_stack+48053, vrr_stack+30);
 _BUILD_i0q0(Data,vrr_stack+3694, vrr_stack+51693, vrr_stack+16583, vrr_stack+50328, vrr_stack+48963, vrr_stack+42047);
 _BUILD_i0q0(Data,vrr_stack+26153, vrr_stack+53604, vrr_stack+51693, vrr_stack+35183, vrr_stack+50328, vrr_stack+38771);
   tmp = vrr_stack + 26153;
   target_ptr = Libint->vrr_classes[6][12];
   for(i=0;i<2548;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0l0(Data,vrr_stack+42047, vrr_stack+6855, vrr_stack+15323, vrr_stack+13433, vrr_stack+11813, vrr_stack+8510);
   tmp = vrr_stack + 42047;
   target_ptr = Libint->vrr_classes[7][8];
   for(i=0;i<1620;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0m0(Data,vrr_stack+16583, vrr_stack+24613, vrr_stack+23073, vrr_stack+9573, vrr_stack+19113, vrr_stack+15323);
   tmp = vrr_stack + 16583;
   target_ptr = Libint->vrr_classes[7][9];
   for(i=0;i<1980;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0n0(Data,vrr_stack+30179, vrr_stack+20928, vrr_stack+32555, vrr_stack+2308, vrr_stack+28793, vrr_stack+23073);
   tmp = vrr_stack + 30179;
   target_ptr = Libint->vrr_classes[7][10];
   for(i=0;i<2376;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0o0(Data,vrr_stack+18563, vrr_stack+45869, vrr_stack+43685, vrr_stack+40409, vrr_stack+38771, vrr_stack+32555);
   tmp = vrr_stack + 18563;
   target_ptr = Libint->vrr_classes[7][11];
   for(i=0;i<2808;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0q0(Data,vrr_stack+32555, vrr_stack+26153, vrr_stack+3694, vrr_stack+53604, vrr_stack+51693, vrr_stack+43685);
   tmp = vrr_stack + 32555;
   target_ptr = Libint->vrr_classes[7][12];
   for(i=0;i<3276;i++)
     target_ptr[i] += tmp[i];

}

