#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (i0|ih) integrals */

void vrr_order_i0ih(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, NULL, NULL, Data->F+6);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+3, vrr_stack+0, Data->F+5, Data->F+6, NULL);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+21, vrr_stack+3, Data->F+4, Data->F+5, NULL);
 _BUILD_00p0(Data,vrr_stack+30, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+33, vrr_stack+0, vrr_stack+30, Data->F+6, Data->F+7, NULL);
 _BUILD_p0d0(Data,vrr_stack+39, vrr_stack+15, vrr_stack+33, NULL, NULL, vrr_stack+0);
 _BUILD_p0d0(Data,vrr_stack+57, vrr_stack+24, vrr_stack+15, NULL, NULL, vrr_stack+3);
 _BUILD_d0d0(Data,vrr_stack+75, vrr_stack+57, vrr_stack+39, vrr_stack+24, vrr_stack+15, vrr_stack+6);
 _BUILD_00f0(Data,vrr_stack+111, vrr_stack+15, vrr_stack+33, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00f0(Data,vrr_stack+121, vrr_stack+24, vrr_stack+15, vrr_stack+21, vrr_stack+3, NULL);
 _BUILD_p0f0(Data,vrr_stack+131, vrr_stack+121, vrr_stack+111, NULL, NULL, vrr_stack+15);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+3, vrr_stack+21, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+161, vrr_stack+6, vrr_stack+24, vrr_stack+3, vrr_stack+21, NULL);
 _BUILD_p0f0(Data,vrr_stack+171, vrr_stack+161, vrr_stack+121, NULL, NULL, vrr_stack+24);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+201, vrr_stack+30, vrr_stack+21, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+207, vrr_stack+33, vrr_stack+201, vrr_stack+0, vrr_stack+30, NULL);
 _BUILD_p0f0(Data,vrr_stack+217, vrr_stack+111, vrr_stack+207, NULL, NULL, vrr_stack+33);
 _BUILD_d0f0(Data,vrr_stack+247, vrr_stack+131, vrr_stack+217, vrr_stack+121, vrr_stack+111, vrr_stack+39);
 _BUILD_d0f0(Data,vrr_stack+307, vrr_stack+171, vrr_stack+131, vrr_stack+161, vrr_stack+121, vrr_stack+57);
 _BUILD_f0f0(Data,vrr_stack+367, vrr_stack+307, vrr_stack+247, vrr_stack+171, vrr_stack+131, vrr_stack+75);
 _BUILD_00g0(Data,vrr_stack+39, vrr_stack+121, vrr_stack+111, vrr_stack+24, vrr_stack+15, NULL);
 _BUILD_00g0(Data,vrr_stack+54, vrr_stack+161, vrr_stack+121, vrr_stack+6, vrr_stack+24, NULL);
 _BUILD_00g0(Data,vrr_stack+69, vrr_stack+111, vrr_stack+207, vrr_stack+15, vrr_stack+33, NULL);
 _BUILD_p0g0(Data,vrr_stack+467, vrr_stack+39, vrr_stack+69, NULL, NULL, vrr_stack+111);
 _BUILD_p0g0(Data,vrr_stack+512, vrr_stack+54, vrr_stack+39, NULL, NULL, vrr_stack+121);
 _BUILD_d0g0(Data,vrr_stack+557, vrr_stack+512, vrr_stack+467, vrr_stack+54, vrr_stack+39, vrr_stack+131);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+0, vrr_stack+3, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+131, vrr_stack+24, vrr_stack+6, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+141, vrr_stack+131, vrr_stack+161, vrr_stack+24, vrr_stack+6, NULL);
 _BUILD_p0g0(Data,vrr_stack+647, vrr_stack+141, vrr_stack+54, NULL, NULL, vrr_stack+161);
 _BUILD_d0g0(Data,vrr_stack+692, vrr_stack+647, vrr_stack+512, vrr_stack+141, vrr_stack+54, vrr_stack+171);
 _BUILD_00p0(Data,vrr_stack+171, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+174, vrr_stack+21, vrr_stack+171, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+180, vrr_stack+201, vrr_stack+174, vrr_stack+30, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+3, vrr_stack+207, vrr_stack+180, vrr_stack+33, vrr_stack+201, NULL);
 _BUILD_p0g0(Data,vrr_stack+782, vrr_stack+69, vrr_stack+3, NULL, NULL, vrr_stack+207);
 _BUILD_d0g0(Data,vrr_stack+827, vrr_stack+467, vrr_stack+782, vrr_stack+39, vrr_stack+69, vrr_stack+217);
 _BUILD_f0g0(Data,vrr_stack+917, vrr_stack+557, vrr_stack+827, vrr_stack+512, vrr_stack+467, vrr_stack+247);
 _BUILD_f0g0(Data,vrr_stack+1067, vrr_stack+692, vrr_stack+557, vrr_stack+647, vrr_stack+512, vrr_stack+307);
 _BUILD_g0g0(Data,vrr_stack+1217, vrr_stack+1067, vrr_stack+917, vrr_stack+692, vrr_stack+557, vrr_stack+367);
 _BUILD_00h0(Data,vrr_stack+217, vrr_stack+39, vrr_stack+69, vrr_stack+121, vrr_stack+111, NULL);
 _BUILD_00h0(Data,vrr_stack+238, vrr_stack+54, vrr_stack+39, vrr_stack+161, vrr_stack+121, NULL);
 _BUILD_p0h0(Data,vrr_stack+259, vrr_stack+238, vrr_stack+217, NULL, NULL, vrr_stack+39);
 _BUILD_00h0(Data,vrr_stack+322, vrr_stack+141, vrr_stack+54, vrr_stack+131, vrr_stack+161, NULL);
 _BUILD_p0h0(Data,vrr_stack+343, vrr_stack+322, vrr_stack+238, NULL, NULL, vrr_stack+54);
 _BUILD_00h0(Data,vrr_stack+406, vrr_stack+69, vrr_stack+3, vrr_stack+111, vrr_stack+207, NULL);
 _BUILD_p0h0(Data,vrr_stack+1442, vrr_stack+217, vrr_stack+406, NULL, NULL, vrr_stack+69);
 _BUILD_d0h0(Data,vrr_stack+1505, vrr_stack+259, vrr_stack+1442, vrr_stack+238, vrr_stack+217, vrr_stack+467);
 _BUILD_d0h0(Data,vrr_stack+1631, vrr_stack+343, vrr_stack+259, vrr_stack+322, vrr_stack+238, vrr_stack+512);
 _BUILD_f0h0(Data,vrr_stack+1757, vrr_stack+1631, vrr_stack+1505, vrr_stack+343, vrr_stack+259, vrr_stack+557);
 _BUILD_00p0(Data,vrr_stack+18, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+427, vrr_stack+18, vrr_stack+0, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+433, vrr_stack+427, vrr_stack+24, vrr_stack+18, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+156, vrr_stack+433, vrr_stack+131, vrr_stack+427, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+443, vrr_stack+156, vrr_stack+141, vrr_stack+433, vrr_stack+131, NULL);
 _BUILD_p0h0(Data,vrr_stack+464, vrr_stack+443, vrr_stack+322, NULL, NULL, vrr_stack+141);
 _BUILD_d0h0(Data,vrr_stack+1967, vrr_stack+464, vrr_stack+343, vrr_stack+443, vrr_stack+322, vrr_stack+647);
 _BUILD_f0h0(Data,vrr_stack+2093, vrr_stack+1967, vrr_stack+1631, vrr_stack+464, vrr_stack+343, vrr_stack+692);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+171, vrr_stack+0, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+527, vrr_stack+174, vrr_stack+24, vrr_stack+21, vrr_stack+171, NULL);
 _BUILD_00g0(Data,vrr_stack+537, vrr_stack+180, vrr_stack+527, vrr_stack+201, vrr_stack+174, NULL);
 _BUILD_00h0(Data,vrr_stack+552, vrr_stack+3, vrr_stack+537, vrr_stack+207, vrr_stack+180, NULL);
 _BUILD_p0h0(Data,vrr_stack+573, vrr_stack+406, vrr_stack+552, NULL, NULL, vrr_stack+3);
 _BUILD_d0h0(Data,vrr_stack+636, vrr_stack+1442, vrr_stack+573, vrr_stack+217, vrr_stack+406, vrr_stack+782);
 _BUILD_f0h0(Data,vrr_stack+2303, vrr_stack+1505, vrr_stack+636, vrr_stack+259, vrr_stack+1442, vrr_stack+827);
 _BUILD_g0h0(Data,vrr_stack+2513, vrr_stack+1757, vrr_stack+2303, vrr_stack+1631, vrr_stack+1505, vrr_stack+917);
 _BUILD_g0h0(Data,vrr_stack+2828, vrr_stack+2093, vrr_stack+1757, vrr_stack+1967, vrr_stack+1631, vrr_stack+1067);
 _BUILD_h0h0(Data,vrr_stack+762, vrr_stack+2828, vrr_stack+2513, vrr_stack+2093, vrr_stack+1757, vrr_stack+1217);
 _BUILD_00i0(Data,vrr_stack+1203, vrr_stack+238, vrr_stack+217, vrr_stack+54, vrr_stack+39, NULL);
 _BUILD_00i0(Data,vrr_stack+1231, vrr_stack+322, vrr_stack+238, vrr_stack+141, vrr_stack+54, NULL);
 _BUILD_00i0(Data,vrr_stack+1259, vrr_stack+217, vrr_stack+406, vrr_stack+39, vrr_stack+69, NULL);
 _BUILD_p0i0(Data,vrr_stack+1287, vrr_stack+1203, vrr_stack+1259, NULL, NULL, vrr_stack+217);
 _BUILD_p0i0(Data,vrr_stack+3143, vrr_stack+1231, vrr_stack+1203, NULL, NULL, vrr_stack+238);
 _BUILD_d0i0(Data,vrr_stack+3227, vrr_stack+3143, vrr_stack+1287, vrr_stack+1231, vrr_stack+1203, vrr_stack+259);
 _BUILD_00i0(Data,vrr_stack+259, vrr_stack+443, vrr_stack+322, vrr_stack+156, vrr_stack+141, NULL);
 _BUILD_p0i0(Data,vrr_stack+3395, vrr_stack+259, vrr_stack+1231, NULL, NULL, vrr_stack+322);
 _BUILD_d0i0(Data,vrr_stack+3479, vrr_stack+3395, vrr_stack+3143, vrr_stack+259, vrr_stack+1231, vrr_stack+343);
 _BUILD_00i0(Data,vrr_stack+343, vrr_stack+406, vrr_stack+552, vrr_stack+69, vrr_stack+3, NULL);
 _BUILD_p0i0(Data,vrr_stack+30, vrr_stack+1259, vrr_stack+343, NULL, NULL, vrr_stack+406);
 _BUILD_d0i0(Data,vrr_stack+3647, vrr_stack+1287, vrr_stack+30, vrr_stack+1203, vrr_stack+1259, vrr_stack+1442);
 _BUILD_f0i0(Data,vrr_stack+3815, vrr_stack+3227, vrr_stack+3647, vrr_stack+3143, vrr_stack+1287, vrr_stack+1505);
 _BUILD_f0i0(Data,vrr_stack+4095, vrr_stack+3479, vrr_stack+3227, vrr_stack+3395, vrr_stack+3143, vrr_stack+1631);
 _BUILD_g0i0(Data,vrr_stack+4375, vrr_stack+4095, vrr_stack+3815, vrr_stack+3479, vrr_stack+3227, vrr_stack+1757);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+371, vrr_stack+21, vrr_stack+18, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+377, vrr_stack+371, vrr_stack+427, vrr_stack+21, vrr_stack+18, NULL);
 _BUILD_00g0(Data,vrr_stack+387, vrr_stack+377, vrr_stack+433, vrr_stack+371, vrr_stack+427, NULL);
 _BUILD_00h0(Data,vrr_stack+287, vrr_stack+387, vrr_stack+156, vrr_stack+377, vrr_stack+433, NULL);
 _BUILD_00i0(Data,vrr_stack+114, vrr_stack+287, vrr_stack+443, vrr_stack+387, vrr_stack+156, NULL);
 _BUILD_p0i0(Data,vrr_stack+1371, vrr_stack+114, vrr_stack+259, NULL, NULL, vrr_stack+443);
 _BUILD_d0i0(Data,vrr_stack+1455, vrr_stack+1371, vrr_stack+3395, vrr_stack+114, vrr_stack+259, vrr_stack+464);
 _BUILD_f0i0(Data,vrr_stack+1623, vrr_stack+1455, vrr_stack+3479, vrr_stack+1371, vrr_stack+3395, vrr_stack+1967);
 _BUILD_g0i0(Data,vrr_stack+4795, vrr_stack+1623, vrr_stack+4095, vrr_stack+1455, vrr_stack+3479, vrr_stack+2093);
 _BUILD_00p0(Data,vrr_stack+1371, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+18, vrr_stack+0, vrr_stack+1371, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+1374, vrr_stack+24, vrr_stack+18, vrr_stack+171, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+1384, vrr_stack+527, vrr_stack+1374, vrr_stack+174, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+1399, vrr_stack+537, vrr_stack+1384, vrr_stack+180, vrr_stack+527, NULL);
 _BUILD_00i0(Data,vrr_stack+1420, vrr_stack+552, vrr_stack+1399, vrr_stack+3, vrr_stack+537, NULL);
 _BUILD_p0i0(Data,vrr_stack+1448, vrr_stack+343, vrr_stack+1420, NULL, NULL, vrr_stack+552);
 _BUILD_d0i0(Data,vrr_stack+1903, vrr_stack+30, vrr_stack+1448, vrr_stack+1259, vrr_stack+343, vrr_stack+573);
 _BUILD_f0i0(Data,vrr_stack+5215, vrr_stack+3647, vrr_stack+1903, vrr_stack+1287, vrr_stack+30, vrr_stack+636);
 _BUILD_g0i0(Data,vrr_stack+5495, vrr_stack+3815, vrr_stack+5215, vrr_stack+3227, vrr_stack+3647, vrr_stack+2303);
 _BUILD_h0i0(Data,vrr_stack+5915, vrr_stack+4375, vrr_stack+5495, vrr_stack+4095, vrr_stack+3815, vrr_stack+2513);
 _BUILD_h0i0(Data,vrr_stack+2071, vrr_stack+4795, vrr_stack+4375, vrr_stack+1623, vrr_stack+4095, vrr_stack+2828);
 _BUILD_00k0(Data,vrr_stack+573, vrr_stack+1203, vrr_stack+1259, vrr_stack+238, vrr_stack+217, NULL);
 _BUILD_00k0(Data,vrr_stack+609, vrr_stack+1231, vrr_stack+1203, vrr_stack+322, vrr_stack+238, NULL);
 _BUILD_00k0(Data,vrr_stack+645, vrr_stack+1259, vrr_stack+343, vrr_stack+217, vrr_stack+406, NULL);
 _BUILD_p0k0(Data,vrr_stack+1532, vrr_stack+573, vrr_stack+645, NULL, NULL, vrr_stack+1259);
 _BUILD_p0k0(Data,vrr_stack+1640, vrr_stack+609, vrr_stack+573, NULL, NULL, vrr_stack+1203);
 _BUILD_d0k0(Data,vrr_stack+2659, vrr_stack+1640, vrr_stack+1532, vrr_stack+609, vrr_stack+573, vrr_stack+1287);
 _BUILD_00k0(Data,vrr_stack+1287, vrr_stack+259, vrr_stack+1231, vrr_stack+443, vrr_stack+322, NULL);
 _BUILD_p0k0(Data,vrr_stack+1748, vrr_stack+1287, vrr_stack+609, NULL, NULL, vrr_stack+1231);
 _BUILD_d0k0(Data,vrr_stack+2875, vrr_stack+1748, vrr_stack+1640, vrr_stack+1287, vrr_stack+609, vrr_stack+3143);
 _BUILD_00k0(Data,vrr_stack+1323, vrr_stack+343, vrr_stack+1420, vrr_stack+406, vrr_stack+552, NULL);
 _BUILD_p0k0(Data,vrr_stack+142, vrr_stack+645, vrr_stack+1323, NULL, NULL, vrr_stack+343);
 _BUILD_d0k0(Data,vrr_stack+6503, vrr_stack+1532, vrr_stack+142, vrr_stack+573, vrr_stack+645, vrr_stack+30);
 _BUILD_f0k0(Data,vrr_stack+6719, vrr_stack+2659, vrr_stack+6503, vrr_stack+1640, vrr_stack+1532, vrr_stack+3647);
 _BUILD_f0k0(Data,vrr_stack+7079, vrr_stack+2875, vrr_stack+2659, vrr_stack+1748, vrr_stack+1640, vrr_stack+3227);
 _BUILD_g0k0(Data,vrr_stack+7439, vrr_stack+7079, vrr_stack+6719, vrr_stack+2875, vrr_stack+2659, vrr_stack+3815);
 _BUILD_00k0(Data,vrr_stack+3647, vrr_stack+114, vrr_stack+259, vrr_stack+287, vrr_stack+443, NULL);
 _BUILD_p0k0(Data,vrr_stack+3683, vrr_stack+3647, vrr_stack+1287, NULL, NULL, vrr_stack+259);
 _BUILD_d0k0(Data,vrr_stack+3791, vrr_stack+3683, vrr_stack+1748, vrr_stack+3647, vrr_stack+1287, vrr_stack+3395);
 _BUILD_f0k0(Data,vrr_stack+3091, vrr_stack+3791, vrr_stack+2875, vrr_stack+3683, vrr_stack+1748, vrr_stack+3479);
 _BUILD_g0k0(Data,vrr_stack+7979, vrr_stack+3091, vrr_stack+7079, vrr_stack+3791, vrr_stack+2875, vrr_stack+4095);
 _BUILD_00p0(Data,vrr_stack+3683, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+3686, vrr_stack+1371, vrr_stack+3683, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+3692, vrr_stack+18, vrr_stack+3686, vrr_stack+0, vrr_stack+1371, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+1374, vrr_stack+3692, vrr_stack+24, vrr_stack+18, NULL);
 _BUILD_00h0(Data,vrr_stack+24, vrr_stack+1384, vrr_stack+0, vrr_stack+527, vrr_stack+1374, NULL);
 _BUILD_00i0(Data,vrr_stack+45, vrr_stack+1399, vrr_stack+24, vrr_stack+537, vrr_stack+1384, NULL);
 _BUILD_00k0(Data,vrr_stack+73, vrr_stack+1420, vrr_stack+45, vrr_stack+552, vrr_stack+1399, NULL);
 _BUILD_p0k0(Data,vrr_stack+3702, vrr_stack+1323, vrr_stack+73, NULL, NULL, vrr_stack+1420);
 _BUILD_d0k0(Data,vrr_stack+3810, vrr_stack+142, vrr_stack+3702, vrr_stack+645, vrr_stack+1323, vrr_stack+1448);
 _BUILD_f0k0(Data,vrr_stack+8519, vrr_stack+6503, vrr_stack+3810, vrr_stack+1532, vrr_stack+142, vrr_stack+1903);
 _BUILD_g0k0(Data,vrr_stack+8879, vrr_stack+6719, vrr_stack+8519, vrr_stack+2659, vrr_stack+6503, vrr_stack+5215);
 _BUILD_h0k0(Data,vrr_stack+9419, vrr_stack+7439, vrr_stack+8879, vrr_stack+7079, vrr_stack+6719, vrr_stack+5495);
 _BUILD_h0k0(Data,vrr_stack+10175, vrr_stack+7979, vrr_stack+7439, vrr_stack+3091, vrr_stack+7079, vrr_stack+4375);
 _BUILD_00l0(Data,vrr_stack+3091, vrr_stack+573, vrr_stack+645, vrr_stack+1203, vrr_stack+1259, NULL);
 _BUILD_00l0(Data,vrr_stack+3136, vrr_stack+609, vrr_stack+573, vrr_stack+1231, vrr_stack+1203, NULL);
 _BUILD_00l0(Data,vrr_stack+3181, vrr_stack+645, vrr_stack+1323, vrr_stack+1259, vrr_stack+343, NULL);
 _BUILD_p0l0(Data,vrr_stack+3226, vrr_stack+3091, vrr_stack+3181, NULL, NULL, vrr_stack+645);
 _BUILD_p0l0(Data,vrr_stack+3361, vrr_stack+3136, vrr_stack+3091, NULL, NULL, vrr_stack+573);
 _BUILD_d0l0(Data,vrr_stack+5215, vrr_stack+3361, vrr_stack+3226, vrr_stack+3136, vrr_stack+3091, vrr_stack+1532);
 _BUILD_00l0(Data,vrr_stack+3496, vrr_stack+1287, vrr_stack+609, vrr_stack+259, vrr_stack+1231, NULL);
 _BUILD_p0l0(Data,vrr_stack+5485, vrr_stack+3496, vrr_stack+3136, NULL, NULL, vrr_stack+609);
 _BUILD_d0l0(Data,vrr_stack+5620, vrr_stack+5485, vrr_stack+3361, vrr_stack+3496, vrr_stack+3136, vrr_stack+1640);
 _BUILD_00l0(Data,vrr_stack+1203, vrr_stack+1323, vrr_stack+73, vrr_stack+343, vrr_stack+1420, NULL);
 _BUILD_p0l0(Data,vrr_stack+1448, vrr_stack+3181, vrr_stack+1203, NULL, NULL, vrr_stack+1323);
 _BUILD_d0l0(Data,vrr_stack+4026, vrr_stack+3226, vrr_stack+1448, vrr_stack+3091, vrr_stack+3181, vrr_stack+142);
 _BUILD_f0l0(Data,vrr_stack+10931, vrr_stack+5215, vrr_stack+4026, vrr_stack+3361, vrr_stack+3226, vrr_stack+6503);
 _BUILD_f0l0(Data,vrr_stack+11381, vrr_stack+5620, vrr_stack+5215, vrr_stack+5485, vrr_stack+3361, vrr_stack+2659);
 _BUILD_g0l0(Data,vrr_stack+11831, vrr_stack+11381, vrr_stack+10931, vrr_stack+5620, vrr_stack+5215, vrr_stack+6719);
 _BUILD_00l0(Data,vrr_stack+2659, vrr_stack+3647, vrr_stack+1287, vrr_stack+114, vrr_stack+259, NULL);
 _BUILD_p0l0(Data,vrr_stack+2704, vrr_stack+2659, vrr_stack+3496, NULL, NULL, vrr_stack+1287);
 _BUILD_d0l0(Data,vrr_stack+6503, vrr_stack+2704, vrr_stack+5485, vrr_stack+2659, vrr_stack+3496, vrr_stack+1748);
 _BUILD_f0l0(Data,vrr_stack+1583, vrr_stack+6503, vrr_stack+5620, vrr_stack+2704, vrr_stack+5485, vrr_stack+2875);
 _BUILD_g0l0(Data,vrr_stack+12506, vrr_stack+1583, vrr_stack+11381, vrr_stack+6503, vrr_stack+5620, vrr_stack+7079);
 _BUILD_00p0(Data,vrr_stack+15, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6503, vrr_stack+3683, vrr_stack+15, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+6509, vrr_stack+3686, vrr_stack+6503, vrr_stack+1371, vrr_stack+3683, NULL);
 _BUILD_00g0(Data,vrr_stack+1359, vrr_stack+3692, vrr_stack+6509, vrr_stack+18, vrr_stack+3686, NULL);
 _BUILD_00h0(Data,vrr_stack+6519, vrr_stack+0, vrr_stack+1359, vrr_stack+1374, vrr_stack+3692, NULL);
 _BUILD_00i0(Data,vrr_stack+6540, vrr_stack+24, vrr_stack+6519, vrr_stack+1384, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+6568, vrr_stack+45, vrr_stack+6540, vrr_stack+1399, vrr_stack+24, NULL);
 _BUILD_00l0(Data,vrr_stack+1374, vrr_stack+73, vrr_stack+6568, vrr_stack+1420, vrr_stack+45, NULL);
 _BUILD_p0l0(Data,vrr_stack+6604, vrr_stack+1203, vrr_stack+1374, NULL, NULL, vrr_stack+73);
 _BUILD_d0l0(Data,vrr_stack+6739, vrr_stack+1448, vrr_stack+6604, vrr_stack+3181, vrr_stack+1203, vrr_stack+3702);
 _BUILD_f0l0(Data,vrr_stack+109, vrr_stack+4026, vrr_stack+6739, vrr_stack+3226, vrr_stack+1448, vrr_stack+3810);
 _BUILD_g0l0(Data,vrr_stack+13181, vrr_stack+10931, vrr_stack+109, vrr_stack+5215, vrr_stack+4026, vrr_stack+8519);
 _BUILD_h0l0(Data,vrr_stack+13856, vrr_stack+11831, vrr_stack+13181, vrr_stack+11381, vrr_stack+10931, vrr_stack+8879);
 _BUILD_h0l0(Data,vrr_stack+14801, vrr_stack+12506, vrr_stack+11831, vrr_stack+1583, vrr_stack+11381, vrr_stack+7439);
 _BUILD_00m0(Data,vrr_stack+1583, vrr_stack+3091, vrr_stack+3181, vrr_stack+573, vrr_stack+645, NULL);
 _BUILD_00m0(Data,vrr_stack+1638, vrr_stack+3136, vrr_stack+3091, vrr_stack+609, vrr_stack+573, NULL);
 _BUILD_00m0(Data,vrr_stack+1693, vrr_stack+3181, vrr_stack+1203, vrr_stack+645, vrr_stack+1323, NULL);
 _BUILD_p0m0(Data,vrr_stack+1748, vrr_stack+1583, vrr_stack+1693, NULL, NULL, vrr_stack+3181);
 _BUILD_p0m0(Data,vrr_stack+8519, vrr_stack+1638, vrr_stack+1583, NULL, NULL, vrr_stack+3091);
 _BUILD_d0m0(Data,vrr_stack+8684, vrr_stack+8519, vrr_stack+1748, vrr_stack+1638, vrr_stack+1583, vrr_stack+3226);
 _BUILD_00m0(Data,vrr_stack+3226, vrr_stack+3496, vrr_stack+3136, vrr_stack+1287, vrr_stack+609, NULL);
 _BUILD_p0m0(Data,vrr_stack+9014, vrr_stack+3226, vrr_stack+1638, NULL, NULL, vrr_stack+3136);
 _BUILD_d0m0(Data,vrr_stack+7009, vrr_stack+9014, vrr_stack+8519, vrr_stack+3226, vrr_stack+1638, vrr_stack+3361);
 _BUILD_00m0(Data,vrr_stack+3281, vrr_stack+1203, vrr_stack+1374, vrr_stack+1323, vrr_stack+73, NULL);
 _BUILD_p0m0(Data,vrr_stack+9179, vrr_stack+1693, vrr_stack+3281, NULL, NULL, vrr_stack+1203);
 _BUILD_d0m0(Data,vrr_stack+2704, vrr_stack+1748, vrr_stack+9179, vrr_stack+1583, vrr_stack+1693, vrr_stack+1448);
 _BUILD_f0m0(Data,vrr_stack+15746, vrr_stack+8684, vrr_stack+2704, vrr_stack+8519, vrr_stack+1748, vrr_stack+4026);
 _BUILD_f0m0(Data,vrr_stack+3702, vrr_stack+7009, vrr_stack+8684, vrr_stack+9014, vrr_stack+8519, vrr_stack+5215);
 _BUILD_g0m0(Data,vrr_stack+16296, vrr_stack+3702, vrr_stack+15746, vrr_stack+7009, vrr_stack+8684, vrr_stack+10931);
 _BUILD_00m0(Data,vrr_stack+10931, vrr_stack+2659, vrr_stack+3496, vrr_stack+3647, vrr_stack+1287, NULL);
 _BUILD_p0m0(Data,vrr_stack+10986, vrr_stack+10931, vrr_stack+3226, NULL, NULL, vrr_stack+3496);
 _BUILD_d0m0(Data,vrr_stack+17121, vrr_stack+10986, vrr_stack+9014, vrr_stack+10931, vrr_stack+3226, vrr_stack+5485);
 _BUILD_f0m0(Data,vrr_stack+17451, vrr_stack+17121, vrr_stack+7009, vrr_stack+10986, vrr_stack+9014, vrr_stack+5620);
 _BUILD_g0m0(Data,vrr_stack+18001, vrr_stack+17451, vrr_stack+3702, vrr_stack+17121, vrr_stack+7009, vrr_stack+11381);
 _BUILD_00p0(Data,vrr_stack+17121, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+18, vrr_stack+15, vrr_stack+17121, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+17124, vrr_stack+6503, vrr_stack+18, vrr_stack+3683, vrr_stack+15, NULL);
 _BUILD_00g0(Data,vrr_stack+17134, vrr_stack+6509, vrr_stack+17124, vrr_stack+3686, vrr_stack+6503, NULL);
 _BUILD_00h0(Data,vrr_stack+17149, vrr_stack+1359, vrr_stack+17134, vrr_stack+3692, vrr_stack+6509, NULL);
 _BUILD_00i0(Data,vrr_stack+17170, vrr_stack+6519, vrr_stack+17149, vrr_stack+0, vrr_stack+1359, NULL);
 _BUILD_00k0(Data,vrr_stack+17198, vrr_stack+6540, vrr_stack+17170, vrr_stack+24, vrr_stack+6519, NULL);
 _BUILD_00l0(Data,vrr_stack+17234, vrr_stack+6568, vrr_stack+17198, vrr_stack+45, vrr_stack+6540, NULL);
 _BUILD_00m0(Data,vrr_stack+17279, vrr_stack+1374, vrr_stack+17234, vrr_stack+73, vrr_stack+6568, NULL);
 _BUILD_p0m0(Data,vrr_stack+10986, vrr_stack+3281, vrr_stack+17279, NULL, NULL, vrr_stack+1374);
 _BUILD_d0m0(Data,vrr_stack+11151, vrr_stack+9179, vrr_stack+10986, vrr_stack+1693, vrr_stack+3281, vrr_stack+6604);
 _BUILD_f0m0(Data,vrr_stack+5215, vrr_stack+2704, vrr_stack+11151, vrr_stack+1748, vrr_stack+9179, vrr_stack+6739);
 _BUILD_g0m0(Data,vrr_stack+18826, vrr_stack+15746, vrr_stack+5215, vrr_stack+8684, vrr_stack+2704, vrr_stack+109);
 _BUILD_h0m0(Data,vrr_stack+19651, vrr_stack+16296, vrr_stack+18826, vrr_stack+3702, vrr_stack+15746, vrr_stack+13181);
 _BUILD_h0m0(Data,vrr_stack+20806, vrr_stack+18001, vrr_stack+16296, vrr_stack+17451, vrr_stack+3702, vrr_stack+11831);
 _BUILD_00n0(Data,vrr_stack+13181, vrr_stack+1583, vrr_stack+1693, vrr_stack+3091, vrr_stack+3181, NULL);
 _BUILD_00n0(Data,vrr_stack+13247, vrr_stack+1638, vrr_stack+1583, vrr_stack+3136, vrr_stack+3091, NULL);
 _BUILD_00n0(Data,vrr_stack+13313, vrr_stack+1693, vrr_stack+3281, vrr_stack+3181, vrr_stack+1203, NULL);
 _BUILD_p0n0(Data,vrr_stack+13379, vrr_stack+13181, vrr_stack+13313, NULL, NULL, vrr_stack+1693);
 _BUILD_p0n0(Data,vrr_stack+13577, vrr_stack+13247, vrr_stack+13181, NULL, NULL, vrr_stack+1583);
 _BUILD_d0n0(Data,vrr_stack+6604, vrr_stack+13577, vrr_stack+13379, vrr_stack+13247, vrr_stack+13181, vrr_stack+1748);
 _BUILD_00n0(Data,vrr_stack+1748, vrr_stack+3226, vrr_stack+1638, vrr_stack+3496, vrr_stack+3136, NULL);
 _BUILD_p0n0(Data,vrr_stack+1814, vrr_stack+1748, vrr_stack+13247, NULL, NULL, vrr_stack+1638);
 _BUILD_d0n0(Data,vrr_stack+24, vrr_stack+1814, vrr_stack+13577, vrr_stack+1748, vrr_stack+13247, vrr_stack+8519);
 _BUILD_00n0(Data,vrr_stack+8519, vrr_stack+3281, vrr_stack+17279, vrr_stack+1203, vrr_stack+1374, NULL);
 _BUILD_p0n0(Data,vrr_stack+420, vrr_stack+13313, vrr_stack+8519, NULL, NULL, vrr_stack+3281);
 _BUILD_d0n0(Data,vrr_stack+17334, vrr_stack+13379, vrr_stack+420, vrr_stack+13181, vrr_stack+13313, vrr_stack+9179);
 _BUILD_f0n0(Data,vrr_stack+21961, vrr_stack+6604, vrr_stack+17334, vrr_stack+13577, vrr_stack+13379, vrr_stack+2704);
 _BUILD_f0n0(Data,vrr_stack+22621, vrr_stack+24, vrr_stack+6604, vrr_stack+1814, vrr_stack+13577, vrr_stack+8684);
 _BUILD_g0n0(Data,vrr_stack+23281, vrr_stack+22621, vrr_stack+21961, vrr_stack+24, vrr_stack+6604, vrr_stack+15746);
 _BUILD_00n0(Data,vrr_stack+15746, vrr_stack+10931, vrr_stack+3226, vrr_stack+2659, vrr_stack+3496, NULL);
 _BUILD_p0n0(Data,vrr_stack+2659, vrr_stack+15746, vrr_stack+1748, NULL, NULL, vrr_stack+3226);
 _BUILD_d0n0(Data,vrr_stack+15812, vrr_stack+2659, vrr_stack+1814, vrr_stack+15746, vrr_stack+1748, vrr_stack+9014);
 _BUILD_f0n0(Data,vrr_stack+8585, vrr_stack+15812, vrr_stack+24, vrr_stack+2659, vrr_stack+1814, vrr_stack+7009);
 _BUILD_g0n0(Data,vrr_stack+24271, vrr_stack+8585, vrr_stack+22621, vrr_stack+15812, vrr_stack+24, vrr_stack+3702);
 _BUILD_00p0(Data,vrr_stack+15812, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15815, vrr_stack+17121, vrr_stack+15812, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+15821, vrr_stack+18, vrr_stack+15815, vrr_stack+15, vrr_stack+17121, NULL);
 _BUILD_00g0(Data,vrr_stack+15831, vrr_stack+17124, vrr_stack+15821, vrr_stack+6503, vrr_stack+18, NULL);
 _BUILD_00h0(Data,vrr_stack+15846, vrr_stack+17134, vrr_stack+15831, vrr_stack+6509, vrr_stack+17124, NULL);
 _BUILD_00i0(Data,vrr_stack+15867, vrr_stack+17149, vrr_stack+15846, vrr_stack+1359, vrr_stack+17134, NULL);
 _BUILD_00k0(Data,vrr_stack+15895, vrr_stack+17170, vrr_stack+15867, vrr_stack+6519, vrr_stack+17149, NULL);
 _BUILD_00l0(Data,vrr_stack+15931, vrr_stack+17198, vrr_stack+15895, vrr_stack+6540, vrr_stack+17170, NULL);
 _BUILD_00m0(Data,vrr_stack+6503, vrr_stack+17234, vrr_stack+15931, vrr_stack+6568, vrr_stack+17198, NULL);
 _BUILD_00n0(Data,vrr_stack+15976, vrr_stack+17279, vrr_stack+6503, vrr_stack+1374, vrr_stack+17234, NULL);
 _BUILD_p0n0(Data,vrr_stack+16042, vrr_stack+8519, vrr_stack+15976, NULL, NULL, vrr_stack+17279);
 _BUILD_d0n0(Data,vrr_stack+2659, vrr_stack+420, vrr_stack+16042, vrr_stack+13313, vrr_stack+8519, vrr_stack+10986);
 _BUILD_f0n0(Data,vrr_stack+3336, vrr_stack+17334, vrr_stack+2659, vrr_stack+13379, vrr_stack+420, vrr_stack+11151);
 _BUILD_g0n0(Data,vrr_stack+25261, vrr_stack+21961, vrr_stack+3336, vrr_stack+6604, vrr_stack+17334, vrr_stack+5215);
 _BUILD_h0n0(Data,vrr_stack+26251, vrr_stack+23281, vrr_stack+25261, vrr_stack+22621, vrr_stack+21961, vrr_stack+18826);
 _BUILD_h0n0(Data,vrr_stack+27637, vrr_stack+24271, vrr_stack+23281, vrr_stack+8585, vrr_stack+22621, vrr_stack+16296);
 _BUILD_00o0(Data,vrr_stack+8585, vrr_stack+13181, vrr_stack+13313, vrr_stack+1583, vrr_stack+1693, NULL);
 _BUILD_00o0(Data,vrr_stack+8663, vrr_stack+13247, vrr_stack+13181, vrr_stack+1638, vrr_stack+1583, NULL);
 _BUILD_00o0(Data,vrr_stack+8741, vrr_stack+13313, vrr_stack+8519, vrr_stack+1693, vrr_stack+3281, NULL);
 _BUILD_p0o0(Data,vrr_stack+8819, vrr_stack+8585, vrr_stack+8741, NULL, NULL, vrr_stack+13313);
 _BUILD_p0o0(Data,vrr_stack+9053, vrr_stack+8663, vrr_stack+8585, NULL, NULL, vrr_stack+13181);
 _BUILD_d0o0(Data,vrr_stack+18826, vrr_stack+9053, vrr_stack+8819, vrr_stack+8663, vrr_stack+8585, vrr_stack+13379);
 _BUILD_00o0(Data,vrr_stack+13313, vrr_stack+1748, vrr_stack+13247, vrr_stack+3226, vrr_stack+1638, NULL);
 _BUILD_p0o0(Data,vrr_stack+19294, vrr_stack+13313, vrr_stack+8663, NULL, NULL, vrr_stack+13247);
 _BUILD_d0o0(Data,vrr_stack+5215, vrr_stack+19294, vrr_stack+9053, vrr_stack+13313, vrr_stack+8663, vrr_stack+13577);
 _BUILD_00o0(Data,vrr_stack+8663, vrr_stack+8519, vrr_stack+15976, vrr_stack+3281, vrr_stack+17279, NULL);
 _BUILD_p0o0(Data,vrr_stack+13391, vrr_stack+8741, vrr_stack+8663, NULL, NULL, vrr_stack+8519);
 _BUILD_d0o0(Data,vrr_stack+10986, vrr_stack+8819, vrr_stack+13391, vrr_stack+8585, vrr_stack+8741, vrr_stack+420);
 _BUILD_f0o0(Data,vrr_stack+29023, vrr_stack+18826, vrr_stack+10986, vrr_stack+9053, vrr_stack+8819, vrr_stack+17334);
 _BUILD_f0o0(Data,vrr_stack+29803, vrr_stack+5215, vrr_stack+18826, vrr_stack+19294, vrr_stack+9053, vrr_stack+6604);
 _BUILD_g0o0(Data,vrr_stack+30583, vrr_stack+29803, vrr_stack+29023, vrr_stack+5215, vrr_stack+18826, vrr_stack+21961);
 _BUILD_00o0(Data,vrr_stack+21961, vrr_stack+15746, vrr_stack+1748, vrr_stack+10931, vrr_stack+3226, NULL);
 _BUILD_p0o0(Data,vrr_stack+22039, vrr_stack+21961, vrr_stack+13313, NULL, NULL, vrr_stack+1748);
 _BUILD_d0o0(Data,vrr_stack+17334, vrr_stack+22039, vrr_stack+19294, vrr_stack+21961, vrr_stack+13313, vrr_stack+1814);
 _BUILD_f0o0(Data,vrr_stack+6558, vrr_stack+17334, vrr_stack+5215, vrr_stack+22039, vrr_stack+19294, vrr_stack+24);
 _BUILD_g0o0(Data,vrr_stack+31753, vrr_stack+6558, vrr_stack+29803, vrr_stack+17334, vrr_stack+5215, vrr_stack+22621);
 _BUILD_00p0(Data,vrr_stack+5215, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+5218, vrr_stack+15812, vrr_stack+5215, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+5224, vrr_stack+15815, vrr_stack+5218, vrr_stack+17121, vrr_stack+15812, NULL);
 _BUILD_00g0(Data,vrr_stack+5234, vrr_stack+15821, vrr_stack+5224, vrr_stack+18, vrr_stack+15815, NULL);
 _BUILD_00h0(Data,vrr_stack+5249, vrr_stack+15831, vrr_stack+5234, vrr_stack+17124, vrr_stack+15821, NULL);
 _BUILD_00i0(Data,vrr_stack+5215, vrr_stack+15846, vrr_stack+5249, vrr_stack+17134, vrr_stack+15831, NULL);
 _BUILD_00k0(Data,vrr_stack+5243, vrr_stack+15867, vrr_stack+5215, vrr_stack+17149, vrr_stack+15846, NULL);
 _BUILD_00l0(Data,vrr_stack+17121, vrr_stack+15895, vrr_stack+5243, vrr_stack+17170, vrr_stack+15867, NULL);
 _BUILD_00m0(Data,vrr_stack+10931, vrr_stack+15931, vrr_stack+17121, vrr_stack+17198, vrr_stack+15895, NULL);
 _BUILD_00n0(Data,vrr_stack+17121, vrr_stack+6503, vrr_stack+10931, vrr_stack+17234, vrr_stack+15931, NULL);
 _BUILD_00o0(Data,vrr_stack+17187, vrr_stack+15976, vrr_stack+17121, vrr_stack+17279, vrr_stack+6503, NULL);
 _BUILD_p0o0(Data,vrr_stack+17265, vrr_stack+8663, vrr_stack+17187, NULL, NULL, vrr_stack+15976);
 _BUILD_d0o0(Data,vrr_stack+17499, vrr_stack+13391, vrr_stack+17265, vrr_stack+8741, vrr_stack+8663, vrr_stack+16042);
 _BUILD_f0o0(Data,vrr_stack+21961, vrr_stack+10986, vrr_stack+17499, vrr_stack+8819, vrr_stack+13391, vrr_stack+2659);
 _BUILD_g0o0(Data,vrr_stack+32923, vrr_stack+29023, vrr_stack+21961, vrr_stack+18826, vrr_stack+10986, vrr_stack+3336);
 _BUILD_h0o0(Data,vrr_stack+2659, vrr_stack+30583, vrr_stack+32923, vrr_stack+29803, vrr_stack+29023, vrr_stack+25261);
 _BUILD_h0o0(Data,vrr_stack+32923, vrr_stack+31753, vrr_stack+30583, vrr_stack+6558, vrr_stack+29803, vrr_stack+23281);
 _BUILD_i0i0(Data,vrr_stack+25261, vrr_stack+2071, vrr_stack+5915, vrr_stack+4795, vrr_stack+4375, vrr_stack+762);
   tmp = vrr_stack + 25261;
   target_ptr = Libint->vrr_classes[6][6];
   for(i=0;i<784;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0k0(Data,vrr_stack+29023, vrr_stack+10175, vrr_stack+9419, vrr_stack+7979, vrr_stack+7439, vrr_stack+5915);
   tmp = vrr_stack + 29023;
   target_ptr = Libint->vrr_classes[6][7];
   for(i=0;i<1008;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0l0(Data,vrr_stack+10175, vrr_stack+14801, vrr_stack+13856, vrr_stack+12506, vrr_stack+11831, vrr_stack+9419);
   tmp = vrr_stack + 10175;
   target_ptr = Libint->vrr_classes[6][8];
   for(i=0;i<1260;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0m0(Data,vrr_stack+11435, vrr_stack+20806, vrr_stack+19651, vrr_stack+18001, vrr_stack+16296, vrr_stack+13856);
   tmp = vrr_stack + 11435;
   target_ptr = Libint->vrr_classes[6][9];
   for(i=0;i<1540;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0n0(Data,vrr_stack+20806, vrr_stack+27637, vrr_stack+26251, vrr_stack+24271, vrr_stack+23281, vrr_stack+19651);
   tmp = vrr_stack + 20806;
   target_ptr = Libint->vrr_classes[6][10];
   for(i=0;i<1848;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0o0(Data,vrr_stack+22654, vrr_stack+32923, vrr_stack+2659, vrr_stack+31753, vrr_stack+30583, vrr_stack+26251);
   tmp = vrr_stack + 22654;
   target_ptr = Libint->vrr_classes[6][11];
   for(i=0;i<2184;i++)
     target_ptr[i] += tmp[i];

}

