#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hfhg(Libr12_t *, prim_data *);

  /* Computes (hf|hg) integrals for linear R12-methods */

void hrr_grt_order_hfhg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][5] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 441;
 Libr12->t2vrr_classes[5][7] = int_stack + 1029;
 Libr12->t2vrr_classes[5][8] = int_stack + 1785;
 Libr12->t2vrr_classes[5][9] = int_stack + 2730;
 Libr12->t2vrr_classes[6][5] = int_stack + 3885;
 Libr12->t2vrr_classes[6][6] = int_stack + 4473;
 Libr12->t2vrr_classes[6][7] = int_stack + 5257;
 Libr12->t2vrr_classes[6][8] = int_stack + 6265;
 Libr12->t2vrr_classes[6][9] = int_stack + 7525;
 Libr12->t2vrr_classes[7][5] = int_stack + 9065;
 Libr12->t2vrr_classes[7][6] = int_stack + 9821;
 Libr12->t2vrr_classes[7][7] = int_stack + 10829;
 Libr12->t2vrr_classes[7][8] = int_stack + 12125;
 Libr12->t2vrr_classes[7][9] = int_stack + 13745;
 Libr12->gvrr_classes[9][5] = int_stack + 15725;
 Libr12->t2vrr_classes[8][5] = int_stack + 16880;
 Libr12->gvrr_classes[9][6] = int_stack + 17825;
 Libr12->t2vrr_classes[8][6] = int_stack + 19365;
 Libr12->gvrr_classes[9][7] = int_stack + 20625;
 Libr12->t2vrr_classes[8][7] = int_stack + 22605;
 Libr12->gvrr_classes[9][8] = int_stack + 24225;
 Libr12->t2vrr_classes[8][8] = int_stack + 26700;
 Libr12->t2vrr_classes[8][9] = int_stack + 28725;
 Libr12->gvrr_classes[5][10] = int_stack + 31200;
 Libr12->t1vrr_classes[5][5] = int_stack + 32586;
 Libr12->t1vrr_classes[5][6] = int_stack + 33027;
 Libr12->t1vrr_classes[5][7] = int_stack + 33615;
 Libr12->t1vrr_classes[5][8] = int_stack + 34371;
 Libr12->t1vrr_classes[5][9] = int_stack + 35316;
 Libr12->gvrr_classes[6][10] = int_stack + 36471;
 Libr12->t1vrr_classes[6][5] = int_stack + 38319;
 Libr12->t1vrr_classes[6][6] = int_stack + 38907;
 Libr12->t1vrr_classes[6][7] = int_stack + 39691;
 Libr12->t1vrr_classes[6][8] = int_stack + 40699;
 Libr12->t1vrr_classes[6][9] = int_stack + 41959;
 Libr12->gvrr_classes[7][10] = int_stack + 43499;
 Libr12->t1vrr_classes[7][5] = int_stack + 45875;
 Libr12->t1vrr_classes[7][6] = int_stack + 46631;
 Libr12->t1vrr_classes[7][7] = int_stack + 47639;
 Libr12->t1vrr_classes[7][8] = int_stack + 48935;
 Libr12->t1vrr_classes[7][9] = int_stack + 50555;
 Libr12->t1vrr_classes[8][5] = int_stack + 52535;
 Libr12->t1vrr_classes[8][6] = int_stack + 53480;
 Libr12->t1vrr_classes[8][7] = int_stack + 54740;
 Libr12->t1vrr_classes[8][8] = int_stack + 56360;
 Libr12->t1vrr_classes[8][9] = int_stack + 58385;
 Libr12->rvrr_classes[5][5] = int_stack + 60860;
 Libr12->rvrr_classes[5][6] = int_stack + 61301;
 Libr12->rvrr_classes[5][7] = int_stack + 61889;
 Libr12->rvrr_classes[5][8] = int_stack + 62645;
 Libr12->rvrr_classes[5][9] = int_stack + 63590;
 Libr12->rvrr_classes[6][5] = int_stack + 64745;
 Libr12->rvrr_classes[6][6] = int_stack + 65333;
 Libr12->rvrr_classes[6][7] = int_stack + 66117;
 Libr12->rvrr_classes[6][8] = int_stack + 67125;
 Libr12->rvrr_classes[6][9] = int_stack + 68385;
 Libr12->rvrr_classes[7][5] = int_stack + 69925;
 Libr12->rvrr_classes[7][6] = int_stack + 70681;
 Libr12->rvrr_classes[7][7] = int_stack + 71689;
 Libr12->rvrr_classes[7][8] = int_stack + 72985;
 Libr12->rvrr_classes[7][9] = int_stack + 74605;
 Libr12->rvrr_classes[8][5] = int_stack + 76585;
 Libr12->rvrr_classes[8][6] = int_stack + 77530;
 Libr12->rvrr_classes[8][7] = int_stack + 78790;
 Libr12->rvrr_classes[8][8] = int_stack + 80410;
 Libr12->rvrr_classes[8][9] = int_stack + 82435;
 Libr12->gvrr_classes[5][5] = int_stack + 84910;
 Libr12->gvrr_classes[5][6] = int_stack + 85351;
 Libr12->gvrr_classes[5][7] = int_stack + 85939;
 Libr12->gvrr_classes[5][8] = int_stack + 86695;
 Libr12->gvrr_classes[5][9] = int_stack + 87640;
 Libr12->gvrr_classes[6][5] = int_stack + 88795;
 Libr12->gvrr_classes[6][6] = int_stack + 89383;
 Libr12->gvrr_classes[6][7] = int_stack + 90167;
 Libr12->gvrr_classes[6][8] = int_stack + 91175;
 Libr12->gvrr_classes[6][9] = int_stack + 92435;
 Libr12->gvrr_classes[7][5] = int_stack + 93975;
 Libr12->gvrr_classes[7][6] = int_stack + 94731;
 Libr12->gvrr_classes[7][7] = int_stack + 95739;
 Libr12->gvrr_classes[7][8] = int_stack + 97035;
 Libr12->gvrr_classes[7][9] = int_stack + 98655;
 Libr12->gvrr_classes[8][5] = int_stack + 100635;
 Libr12->gvrr_classes[8][6] = int_stack + 101580;
 Libr12->gvrr_classes[8][7] = int_stack + 102840;
 Libr12->gvrr_classes[8][8] = int_stack + 104460;
 Libr12->gvrr_classes[8][9] = int_stack + 106485;
 memset(int_stack,0,108960*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 108960;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hfhg(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+108960, int_stack+85351, int_stack+84910, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+110283, int_stack+85939, int_stack+85351, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+112047, int_stack+110283, int_stack+108960, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+114693, int_stack+86695, int_stack+85939, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+116961, int_stack+114693, int_stack+110283, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+120489, int_stack+116961, int_stack+112047, 21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+124899, int_stack+89383, int_stack+88795, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+126663, int_stack+90167, int_stack+89383, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+129015, int_stack+126663, int_stack+124899, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+132543, int_stack+91175, int_stack+90167, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+135567, int_stack+132543, int_stack+126663, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+140271, int_stack+135567, int_stack+129015, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+146151, int_stack+87640, int_stack+86695, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+148986, int_stack+146151, int_stack+114693, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+153522, int_stack+148986, int_stack+116961, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+159402, int_stack+441, int_stack+0, int_stack+85351, int_stack+88795, int_stack+84910, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+160725, int_stack+1029, int_stack+441, int_stack+85939, int_stack+89383, int_stack+85351, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+162489, int_stack+160725, int_stack+159402, int_stack+110283, int_stack+124899, int_stack+108960, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165135, int_stack+1785, int_stack+1029, int_stack+86695, int_stack+90167, int_stack+85939, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+167403, int_stack+165135, int_stack+160725, int_stack+114693, int_stack+126663, int_stack+110283, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+170931, int_stack+167403, int_stack+162489, int_stack+116961, int_stack+129015, int_stack+112047, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108960, int_stack+2730, int_stack+1785, int_stack+87640, int_stack+91175, int_stack+86695, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+159402, int_stack+108960, int_stack+165135, int_stack+146151, int_stack+132543, int_stack+114693, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108960, int_stack+159402, int_stack+167403, int_stack+148986, int_stack+135567, int_stack+116961, 5, 0);
 /*--- compute (h0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+159402, int_stack+108960, int_stack+170931, int_stack+153522, int_stack+140271, int_stack+120489, 5, 0);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+108960, int_stack+94731, int_stack+93975, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+111228, int_stack+95739, int_stack+94731, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+114252, int_stack+111228, int_stack+108960, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+166017, int_stack+97035, int_stack+95739, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+169905, int_stack+166017, int_stack+111228, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+175953, int_stack+169905, int_stack+114252, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+92435, int_stack+91175, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+183513, int_stack+0, int_stack+132543, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+189561, int_stack+183513, int_stack+135567, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84910, int_stack+4473, int_stack+3885, int_stack+89383, int_stack+93975, int_stack+88795, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197401, int_stack+5257, int_stack+4473, int_stack+90167, int_stack+94731, int_stack+89383, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199753, int_stack+197401, int_stack+84910, int_stack+126663, int_stack+108960, int_stack+124899, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203281, int_stack+6265, int_stack+5257, int_stack+91175, int_stack+95739, int_stack+90167, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206305, int_stack+203281, int_stack+197401, int_stack+132543, int_stack+111228, int_stack+126663, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+211009, int_stack+206305, int_stack+199753, int_stack+135567, int_stack+114252, int_stack+129015, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197401, int_stack+7525, int_stack+6265, int_stack+92435, int_stack+97035, int_stack+91175, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124899, int_stack+197401, int_stack+203281, int_stack+0, int_stack+166017, int_stack+132543, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197401, int_stack+124899, int_stack+206305, int_stack+183513, int_stack+169905, int_stack+135567, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124899, int_stack+197401, int_stack+211009, int_stack+189561, int_stack+175953, int_stack+140271, 6, 0);
 /*--- compute (hp|[r12,T2]|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+197401, int_stack+124899, int_stack+159402, 315);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+159402, int_stack+101580, int_stack+100635, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+162237, int_stack+102840, int_stack+101580, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+133719, int_stack+162237, int_stack+159402, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+104460, int_stack+102840, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+217246, int_stack+3780, int_stack+162237, 45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+224806, int_stack+217246, int_stack+133719, 45);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+234256, int_stack+98655, int_stack+97035, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+239116, int_stack+234256, int_stack+166017, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+246892, int_stack+239116, int_stack+169905, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84910, int_stack+9821, int_stack+9065, int_stack+94731, int_stack+100635, int_stack+93975, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88795, int_stack+10829, int_stack+9821, int_stack+95739, int_stack+101580, int_stack+94731, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+256972, int_stack+88795, int_stack+84910, int_stack+111228, int_stack+159402, int_stack+108960, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+261508, int_stack+12125, int_stack+10829, int_stack+97035, int_stack+102840, int_stack+95739, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265396, int_stack+261508, int_stack+88795, int_stack+166017, int_stack+162237, int_stack+111228, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+271444, int_stack+265396, int_stack+256972, int_stack+169905, int_stack+133719, int_stack+114252, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108960, int_stack+13745, int_stack+12125, int_stack+98655, int_stack+104460, int_stack+97035, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+279004, int_stack+108960, int_stack+261508, int_stack+234256, int_stack+3780, int_stack+166017, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108960, int_stack+279004, int_stack+265396, int_stack+239116, int_stack+217246, int_stack+169905, 7, 0);
 /*--- compute (k0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+256972, int_stack+108960, int_stack+271444, int_stack+246892, int_stack+224806, int_stack+175953, 7, 0);
 /*--- compute (ip|[r12,T2]|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+268312, int_stack+256972, int_stack+124899, 315);
 /*--- compute (hd|[r12,T2]|hg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+294772, int_stack+268312, int_stack+197401, 315);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+197401, int_stack+17825, int_stack+15725, 55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+200866, int_stack+20625, int_stack+17825, 55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+205486, int_stack+200866, int_stack+197401, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+124899, int_stack+24225, int_stack+20625, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+108960, int_stack+124899, int_stack+200866, 55);
 /*--- compute (m0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+334462, int_stack+108960, int_stack+205486, 55);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+166017, int_stack+106485, int_stack+104460, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+346012, int_stack+166017, int_stack+3780, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+355732, int_stack+346012, int_stack+217246, 45);
 /*--- compute (l0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+212416, int_stack+19365, int_stack+16880, int_stack+101580, int_stack+15725, int_stack+100635, 8, 0);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+172092, int_stack+22605, int_stack+19365, int_stack+102840, int_stack+17825, int_stack+101580, 8, 0);
 /*--- compute (l0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8640, int_stack+172092, int_stack+212416, int_stack+162237, int_stack+197401, int_stack+159402, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14310, int_stack+26700, int_stack+22605, int_stack+104460, int_stack+20625, int_stack+102840, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+368332, int_stack+14310, int_stack+172092, int_stack+3780, int_stack+200866, int_stack+162237, 8, 0);
 /*--- compute (l0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+375892, int_stack+368332, int_stack+8640, int_stack+217246, int_stack+205486, int_stack+133719, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+159402, int_stack+28725, int_stack+26700, int_stack+106485, int_stack+24225, int_stack+104460, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197401, int_stack+159402, int_stack+14310, int_stack+166017, int_stack+124899, int_stack+3780, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3780, int_stack+197401, int_stack+368332, int_stack+346012, int_stack+108960, int_stack+217246, 8, 0);
 /*--- compute (l0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197401, int_stack+3780, int_stack+375892, int_stack+355732, int_stack+334462, int_stack+224806, 8, 0);
 /*--- compute (kp|[r12,T2]|hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+368332, int_stack+197401, int_stack+256972, 315);
 /*--- compute (id|[r12,T2]|hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+402352, int_stack+368332, int_stack+268312, 315);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+368332, int_stack+153522, int_stack+120489, 21);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+374947, int_stack+189561, int_stack+140271, 28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+256972, int_stack+374947, int_stack+368332, 315);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+383767, int_stack+246892, int_stack+175953, 36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+197401, int_stack+383767, int_stack+374947, 315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+100635, int_stack+197401, int_stack+256972, 315);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+395107, int_stack+31200, int_stack+87640, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+276817, int_stack+395107, int_stack+146151, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+282487, int_stack+276817, int_stack+148986, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+334462, int_stack+282487, int_stack+153522, 21);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+276817, int_stack+36471, int_stack+92435, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+281437, int_stack+276817, int_stack+0, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+281437, int_stack+183513, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+0, int_stack+189561, 28);
 /*--- compute (hp|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+140325, int_stack+10080, int_stack+334462, 420);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+43499, int_stack+98655, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+21840, int_stack+0, int_stack+234256, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+276817, int_stack+21840, int_stack+239116, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+166785, int_stack+276817, int_stack+246892, 36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+455272, int_stack+166785, int_stack+10080, 420);
 /*--- compute (hd|ig) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+490552, int_stack+455272, int_stack+140325, 420);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+276817, int_stack+355732, int_stack+224806, 45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+543472, int_stack+276817, int_stack+383767, 315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+577492, int_stack+543472, int_stack+197401, 315);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+290992, int_stack+33027, int_stack+32586, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+292315, int_stack+33615, int_stack+33027, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+21840, int_stack+292315, int_stack+290992, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24486, int_stack+34371, int_stack+33615, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+26754, int_stack+24486, int_stack+292315, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+26754, int_stack+21840, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+290992, int_stack+35316, int_stack+34371, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+30282, int_stack+290992, int_stack+24486, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+395107, int_stack+30282, int_stack+26754, 21);
 /*--- compute (h0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+21840, int_stack+395107, int_stack+0, 21);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+38907, int_stack+38319, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+39691, int_stack+38907, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+4116, int_stack+1764, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+395107, int_stack+40699, int_stack+39691, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+28455, int_stack+395107, int_stack+1764, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+33159, int_stack+28455, int_stack+4116, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+290992, int_stack+41959, int_stack+40699, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+290992, int_stack+395107, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+223861, int_stack+0, int_stack+28455, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+223861, int_stack+33159, 28);
 /*--- compute (hp|[r12,T1]|hg) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+223861, int_stack+0, int_stack+21840, int_stack+374947, int_stack+334462, int_stack+368332, 5, 4);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+334462, int_stack+46631, int_stack+45875, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+336730, int_stack+47639, int_stack+46631, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+339754, int_stack+336730, int_stack+334462, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+344290, int_stack+48935, int_stack+47639, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+348178, int_stack+344290, int_stack+336730, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+354226, int_stack+348178, int_stack+339754, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+334462, int_stack+50555, int_stack+48935, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+361786, int_stack+334462, int_stack+344290, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+334462, int_stack+361786, int_stack+348178, 36);
 /*--- compute (k0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+361786, int_stack+334462, int_stack+354226, 36);
 /*--- compute (ip|[r12,T1]|hg) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+334462, int_stack+361786, int_stack+0, int_stack+383767, int_stack+10080, int_stack+374947, 5, 4);
 /*--- compute (hd|[r12,T1]|hg) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+334462, int_stack+223861, int_stack+197401, int_stack+140325, int_stack+256972, 5, 4);
 /*--- compute (l0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+140325, int_stack+53480, int_stack+52535, 45);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+290992, int_stack+54740, int_stack+53480, 45);
 /*--- compute (l0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+143160, int_stack+290992, int_stack+140325, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+148830, int_stack+56360, int_stack+54740, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+153690, int_stack+148830, int_stack+290992, 45);
 /*--- compute (l0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+223861, int_stack+153690, int_stack+143160, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+140325, int_stack+58385, int_stack+56360, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+233311, int_stack+140325, int_stack+148830, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+140325, int_stack+233311, int_stack+153690, 45);
 /*--- compute (l0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+233311, int_stack+140325, int_stack+223861, 45);
 /*--- compute (kp|[r12,T1]|hg) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+630412, int_stack+233311, int_stack+361786, int_stack+276817, int_stack+166785, int_stack+383767, 5, 4);
 /*--- compute (id|[r12,T1]|hg) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+223861, int_stack+630412, int_stack+334462, int_stack+543472, int_stack+455272, int_stack+197401, 5, 4);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+455272, int_stack+61301, int_stack+60860, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+456595, int_stack+61889, int_stack+61301, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+458359, int_stack+456595, int_stack+455272, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+461005, int_stack+62645, int_stack+61889, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+463273, int_stack+461005, int_stack+456595, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+466801, int_stack+463273, int_stack+458359, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+455272, int_stack+63590, int_stack+62645, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+471211, int_stack+455272, int_stack+461005, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+455272, int_stack+471211, int_stack+463273, 21);
 /*--- compute (h0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+471211, int_stack+455272, int_stack+466801, 21);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+455272, int_stack+65333, int_stack+64745, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+457036, int_stack+66117, int_stack+65333, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+459388, int_stack+457036, int_stack+455272, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+462916, int_stack+67125, int_stack+66117, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+465940, int_stack+462916, int_stack+457036, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+477826, int_stack+465940, int_stack+459388, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+455272, int_stack+68385, int_stack+67125, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+483706, int_stack+455272, int_stack+462916, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+455272, int_stack+483706, int_stack+465940, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+543472, int_stack+455272, int_stack+477826, 28);
 /*--- compute (hp||hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+552292, int_stack+543472, int_stack+471211, 315);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+455272, int_stack+70681, int_stack+69925, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+457540, int_stack+71689, int_stack+70681, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+460564, int_stack+457540, int_stack+455272, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+465100, int_stack+72985, int_stack+71689, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+468988, int_stack+465100, int_stack+457540, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+475036, int_stack+468988, int_stack+460564, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+455272, int_stack+74605, int_stack+72985, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+482596, int_stack+455272, int_stack+465100, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+455272, int_stack+482596, int_stack+468988, 36);
 /*--- compute (k0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+334462, int_stack+455272, int_stack+475036, 36);
 /*--- compute (ip||hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+455272, int_stack+334462, int_stack+543472, 315);
 /*--- compute (hd||hg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+345802, int_stack+455272, int_stack+552292, 315);
 /*--- compute (l0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+543472, int_stack+77530, int_stack+76585, 45);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+546307, int_stack+78790, int_stack+77530, 45);
 /*--- compute (l0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+550087, int_stack+546307, int_stack+543472, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+555757, int_stack+80410, int_stack+78790, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+560617, int_stack+555757, int_stack+546307, 45);
 /*--- compute (l0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+385492, int_stack+560617, int_stack+550087, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+543472, int_stack+82435, int_stack+80410, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+630412, int_stack+543472, int_stack+555757, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+543472, int_stack+630412, int_stack+560617, 45);
 /*--- compute (l0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+630412, int_stack+543472, int_stack+385492, 45);
 /*--- compute (kp||hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+543472, int_stack+630412, int_stack+334462, 315);
 /*--- compute (id||hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+140325, int_stack+543472, int_stack+455272, 315);
 /*--- compute (hf|[r12,T2]|hg) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+630412, int_stack+402352, int_stack+294772, 315);
     Libr12->te_ptr[3] = int_stack + 630412;
 /*--- compute (hf|[r12,T1]|hg) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+385492, int_stack+223861, int_stack+0, int_stack+577492, int_stack+490552, int_stack+100635, 5, 4);
     Libr12->te_ptr[2] = int_stack + 385492;
 /*--- compute (hf||hg) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+140325, int_stack+345802, 315);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (hf|hg) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+140325, int_stack+577492, int_stack+100635, 315);
     Libr12->te_ptr[0] = int_stack + 140325;

}
