#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ppd0(Libr12_t *, prim_data *);

  /* Computes (pp|d0) integrals for linear R12-methods */

void hrr_grt_order_ppd0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][2] = int_stack + 0;
 Libr12->t2vrr_classes[2][2] = int_stack + 18;
 Libr12->gvrr_classes[1][3] = int_stack + 54;
 Libr12->t1vrr_classes[1][2] = int_stack + 84;
 Libr12->t1vrr_classes[2][2] = int_stack + 102;
 Libr12->rvrr_classes[1][2] = int_stack + 138;
 Libr12->rvrr_classes[2][2] = int_stack + 156;
 Libr12->gvrr_classes[1][2] = int_stack + 192;
 Libr12->gvrr_classes[2][2] = int_stack + 210;
 memset(int_stack,0,246*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 246;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ppd0(Libr12, Data);
   Data++;
 }

 /*--- compute (pp|[r12,T2]|d0) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+246, int_stack+18, int_stack+0, 6);
     Libr12->te_ptr[3] = int_stack + 246;
 /*--- compute (pp|[r12,T1]|d0) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+102, int_stack+84, int_stack+210, int_stack+54, int_stack+192, 2, 0);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (pp||d0) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+54, int_stack+156, int_stack+138, 6);
     Libr12->te_ptr[1] = int_stack + 54;
 /*--- compute (pp|d0) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+108, int_stack+210, int_stack+192, 6);
     Libr12->te_ptr[0] = int_stack + 108;

}
